var m_1571978527006Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Deny rule exceptions<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1571978527006\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Deny rule exceptions<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N10006\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10007\"><span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> \'s allow definition of fine-grained exceptions for all request attributes. Deny rule exceptions can be defined for individual rules or for entire deny rule groups. Defining an exception for a group has the same effect as defining the exception for each rule of the group individually. <\/p><p class=\"par\" id=\"1571978527006_N10017\">For exceptions to take effect, the following conditions must hold: <\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The deny rule for which an exception is defined must block a request.<\/li><li class=\"enum-element\">Any of the relevant exceptions must match. Multiple exceptions are linked with a logical OR operation.<\/li><li class=\"enum-element\">For an individual exception to match, all exception attributes must be matched. Attributes within an exception are linked with a logical AND operation.<\/li><\/ul><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1571978527006_N10020\">Be as specific as possible when defining exceptions. For instance, adding an exception for content type \"application\/pdf\" may allow bypassing a deny rule simply by adding a header to requests! Whether or not the content is actually interpreted as a PDF file depends on the application and cannot be controlled by <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> .<\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15CD4\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">Surrounding conditions for exceptions to take effect<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N10028\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10029\">In order to unblock a blocked request, some additional conditions must hold. <\/p><\/div><\/div><\/article><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15CD8\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Only blocked headers and parameters are considered<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N1002F\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10030\">When a request is blocked by a deny rule, all non-matching headers and parameters are stripped away for further exception handling.  That is, the blocked request is internally reduced to its \"bad\" headers and parameters. This implies that <i class=\"italics\">exceptions cannot unblock requests based on headers and parameters that were not actually blocked by the deny rule<\/i>.  <\/p><p class=\"par\" id=\"1571978527006_N10035\">The reason for this behavior is a simple security consideration. If all headers\/parameters were considered in exceptions, an attacker could simply unblock an attack request by adding an additional header\/parameter for which an exception exists. In that case, the request would be unblocked even though the exception was not meant to allow list the header\/parameter containing the actual attack.<\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15CE1\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Exceptions may collectively unblock parameters (or headers)<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N1003B\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N1003C\">In case there are blocked parameters all exceptions collectively must unblock all blocked parameters for the request to pass.  <\/p><p class=\"par\" id=\"1571978527006_N10054\">For example, if a request contains two blocked parameters, the request may be unblocked by:<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">an exception matching both blocked parameters<\/li><li class=\"enum-element\">two exceptions unblocking a single parameter each<\/li><li class=\"enum-element\">an exception to the used path (see below)<\/li><\/ul><p class=\"par\" id=\"1571978527006_N10048\">The same logic is used for unblocking headers.<\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15CF0\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Name and value of headers\/parameters are linked<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N1004E\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N1004F\">Names and values of parameters\/headers in exceptions are linked. That is, if both name and value patterns are defined in an exception, the exception only takes effect if both patterns match on the same parameter\/header. <\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15CF4\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Exceptions on path or HTTP method<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N10055\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10056\">Exceptions to path or HTTP method are treated differently. They do unblock a request regardless of whether it was blocked by this attribute or not. <\/p><p class=\"par\" id=\"1571978527006_N1007C\">This behavior is useful for implementing use-cases as: <\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">unblock administration network<\/li><li class=\"enum-element\">the form <code class=\"codeinline\">\/mypath\/form1<\/code> must not block mobile clients, since the mobile version of the page uses the same path<\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15CFD\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">Examples<\/h2><\/div><\/div><\/header><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15CFF\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Excluding certain values for a specific parameter<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N10067\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10068\">Assume your company is hosting an online tool for reporting security incidents. The report form needs to collect incident information and must therefore allow certain file names to pass that would trigger file inclusion deny rule: <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1006A\"><strong class=\"emphasis\">Exception:<\/strong><br\/>Parameter name:  ^affected-files$\r\nValue: \/etc\/(crontab|group|passwd)\t\t\t\t<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15D07\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Excluding a parameter on a specific URL<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N10073\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10074\">To exclude parameter <code class=\"codeinline\">comment1<\/code> only on a single URL and not for the entire mapping, combine the two conditions in a single exception: <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10076\"><strong class=\"emphasis\">Exception:<\/strong><br\/>Path:            ^\/register\/form1$\r\nParameter name:  ^comment1$<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15D0F\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Excluding URL-parameter pairs<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N1007F\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10080\">If the comment parameter needs to be excluded on yet another form, you can either add a second exception or include the second URL in the path condition of the first exception. However, if you want to exclude a different parameter <code class=\"codeinline\">comment2<\/code> on a different form, make sure to use a second exception to avoid excluding all combinations of parameters and URLs (e.g. <code class=\"codeinline\">comment2<\/code> on <code class=\"codeinline\">\/register\/form1<\/code>): <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10082\"><strong class=\"emphasis\">Exception 1:<\/strong><br\/>Path:            ^\/register\/form1$\r\nParameter name:  ^comment1$\r\n\r\n<strong class=\"emphasis\">Exception 2:<\/strong><br\/>Path:            ^\/register\/form2$\r\nParameter name:  ^comment2$\r\n\r\n<strong class=\"emphasis\">Exception 3:<\/strong><br\/>Path:            ^\/register\/form3$\r\nParameter name:  ^comment3$<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527006_N15D1D\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Testing the new form from mobile clients<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527006_N10093\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527006_N10094\">To disable a deny rule for developers accessing the new registration pagewith iPhone clients: <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10096\"><strong class=\"emphasis\">Exception:<\/strong>Path:            ^\/register\/form$\r\nHeader Name:     ^User-Agent$               Value: iPhone \t\t\t\t\t<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/section><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';