var m_1571978527015_N65979Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Regular Expressions advanced examples<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1571978527015_N65979\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Regular Expressions advanced examples<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10006\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N10007\">This is the regular expressions expert page. For a simpler and quicker overview consult the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978527014.html\">basic regular expression page<\/a>. <\/p><\/div><\/div><\/article><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18145\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">Regex syntax<\/h2><\/div><\/div><\/header><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18147\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Mode of operation<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10020\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N10021\"><span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> uses the pattern matching engine exclusively to perform \"find\" operations: A match exists if the given pattern occurs at least once in the tested string. In contrast a \"match\" operation would match if the given pattern covers the entire tested string. Example: the pattern \'b\' matches the string \'abc\' in <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span>. For ensuring a complete match string start and string end tags would have to be added.<\/p><p class=\"par\" id=\"1571978527015_N65979_N1002D1574853185550\">Example: the pattern \'^b$\' does not match the string \'abc\' - but the pattern \'^abc$\' would match it. As a consequence the empty pattern \'\' matches every possible string (including the empty string). <\/p><p class=\"par\" id=\"1571978527015_N65979_N10025\"><strong class=\"emphasis\">PCRE is run with following flags \/ modes: <\/strong><\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">dotall: the dot matches all characters (inclusive newline characters)<\/li><li class=\"enum-element\">no UCP: meaning standard mode - some relevant Perl and POSIX classes are matching to ASCII only<\/li><li class=\"enum-element\">JIT: Just-in-time compiler support - makes matching faster<\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18156\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Characters<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10033\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10034\">\\x{hhh..}       Character with unicode codepoint U+hhh.. (1 to 6 hex digits) (recommended to use)\r\n\\a              Alert (bell) character (U+0007)\r\n\\cx             \"control-x\", where x is any ASCII character\r\n\\e              Escape character (U+001B)\r\n\\f              Form feed character (U+000C)\r\n\\n              Line feed character (U+000A)\r\n\\o{ddd..}       Character with unicode codepoint ddd.. (1 to 7 octal digits)\r\n\\r              Carriage return character (U+000D)\r\n\\t              Tab character (U+0009)\r\n\\xhh            Character with unicode codepoint hh (hex) (not recommended to use!)\r\n\\ddd            Character with unicode codepoint ddd (octal) (not recommended to use!)<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N1815A\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Escaping<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N1003A\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1003B\">\\\\              Backslash character\r\n\\?              Escaped character (for any non-alphanumeric character)\r\n                   Escaping is needed for these characters: [({.*?+^$\\|\r\n\\Q .. \\E        Literal-text span: treat enclosed characters as literal\r\n                   until the first appearance of \\E (no escaping possible)<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N1815E\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Generic characters types<\/h3><\/div><\/div><\/header><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18160\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Basic character types<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10046\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10047\">.               Any character (including CR or LF)\r\n\\C              One data unit (\"Byte\") - not recommended to use\r\n\\R              Any unicode newline sequence such as CRLF, CR,LF, VT, FF, NEL, ..\r\n                  - see (*BSR_...) settings\r\n\\X              a Unicode extended grapheme cluster (meaning a character potentially with modification marks)\r\n                  shorthand for \\P{M}\\p{M}*<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18164\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">ASCII character types<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N1004D\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1004E\">\\d              Any ASCII decimal digit - equals [0123456789]\r\n\\D              Any character that is not an ASCII decimal digit\r\n\\s              Any ASCII white space character - equals to \' \', HT, LF, FF, CR, VT\r\n\\S              Any character that is not an ASCII whitespace character\r\n\\w              Any ASCII \"word\" character [a-zA-Z0-9_]\r\n\\W              Any \"non-word\" character<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18168\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">non-ASCII character types<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10054\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10055\">\\h              Any horizontal white space character (including non-ASCII U+2000, U+00a0, U+180e, ...)\r\n\\H              Any character that is not a horizontal whitespace character\r\n\\v              Any vertical white space character (including non-ASCII U+2028, U+0085)\r\n\\V              Any character that is not a vertical white space character<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N1816C\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Unicode properties and scripts<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N1005B\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1005C\">\\p{xx}          a character with the unicode property xx\r\n\\P{xx}          a character without the unicode property xx<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1571978527015_N65979_N1005E\">The following general category property codes are supported:<\/p><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10060\">C               Other\r\nCc              Control                - The ASCII and Latin-1 control characters HT, LF, CR, NULL, Escape, NEL, ...)\r\nCf              Format                 - Non-visible characters for basic formatting (zero width joiner,\r\n                                         activate arabic form shaping, ...)\r\nCn              Unassigned             - Codepoints that have no characters assigned\r\nCo              Private use            - Company logos, ...\r\nCs              Surrogate              - No characters, reserved for use in UTF-16 for specifying characters outside basic\r\n                                         multilingual plane\r\n\r\nL               Letter\r\nL&amp;              Case letters           - A composite matching all Ll, Lu and Lt characters\r\nLl              Lower case letter\r\nLm              Modifier letter        - A small set of letter-like special-use characters\r\nLo              Other letter           - Letters that have no case and aren\'t modifiers (hebrew, arabic, bengali, tibetan,\r\n                                         japanese, ...)\r\nLt              Title case letter      - Letters that appear at the start of a word (e.g. the character \u01C5 is the title case of\r\n                                         the lowercase \u01C6 and of the uppercase \u01C4)\r\nLu              Upper case letter\r\n\r\nM               Mark\r\nMc              Spacing mark          - Modification characters that take up space (mostly \"vowel signs\" in bengali, gujarati,\r\n                                        tamil, telugu, kannada, sinhala, ...)\r\nMe              Enclosing mark        - A small set of marks that can enclose other characters (circles, squares, diamonds,\r\n                                        keycaps, ...)\r\nMn              Non-spacing mark      - Characters that modify other characters, such as accents, umlauts, \"vowel signs\",\r\n                                        tone marks, ...\r\n\r\nN               Number\r\nNd              Decimal number        - Zero to nine, in various scripts (not including chinese, japanese and korean):\r\n                                        8, \u0663, \u0ED6 or \uA627\r\nNl              Letter number         - Mostly roman numerals (such as \u2176, \u2189, \u3028, \u3007, \u16EF or \u16F0)\r\nNo              Other number          - Other numbers as \u2472, \u1377, \u2085, \u215E or \u17F5\r\n\r\nP               Punctuation\r\nPc              Connector punctuation - A few punctuation characters with special linguistic meaning such as underscore\r\nPd              Dash punctuation      - Hyphens and dashes of all sorts\r\nPe              Close punctuation     - Characters like ), ], }, \u27EB \u3011, \uFE3E, ...\r\nPf              Final punctuation     - Characters like \u00BB, \u203A, \u201D, \u2019, ...\r\nPi              Initial punctuation   - Characters like \u00AB, \u2018, \u201B, \u2039, ...\r\nPo              Other punctuation     - Characters like !, \", *, :, @, \u07F7, \u2031, \u205C, \u1363 or \u00B6\r\nPs              Open punctuation      - Characters like (, [, {, \u0F3C, \u2770, \uFE43, ...\r\n\r\nS               Symbol\r\nSc              Currency symbol       - Characters like $, \u00A3, \u00A4, \u00A5, \u20A0, \u0BF9, \u20AC, \u20A7, \u20AAd or \uFDFC\r\nSk              Modifier symbol       - Mostly versions of the combining characters, but as full-fledged characters in their own\r\n                                        right such as ^, `, \u00B8, \u02DA or \u02E8\r\nSm              Mathematical symbol   - Characters like +, &gt;, =, \u00B1, \u00F7, \u2140, \u2200, \u221C, \u2230, \u2279\r\n                                        or \uFB29 (not including \'-\' which is in Pd)\r\nSo              Other symbol          - Various Dingbats, box-drawing symbols, Braille patterns, ...\r\n                                        (\u00A6, \u00A9, \u05DE, \u0FCF, \u2121, \u232B, \u25A7, \uF4BE, \uF6C0 or \u2623) \r\n\r\nZ               Separator\r\nZl              Line separator        - Just the LINE SEPARATOR characters (U+2028)\r\nZp              Paragraph separator   - Just the PARAGRAPH SEPARATOR character (U+2029)\r\nZs              Space separator       - Various spacing characters such as normal space, non-breaking space, em-space,\r\n                                        thin space, ...<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18173\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">PCRE special categories<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10066\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N10067\">To be used within \\p{xxx} and \\P{xxx}. <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10069\">Xan             Alphanumeric: union of properties L and N\r\nXps             POSIX-like space: property Z plus HT, NL, VT, FF and CR\r\nXsp             Perl-like space: property Z plus HT, NL, FF, CR\r\nXwd             Perl-like word: property Xan or underscore<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18178\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Unicode script<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N1006F\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N10070\">Script recognition like \\p{Greek} (\"is Greek\") or \\P{Greek} (\"is not Greek\") is possible for the following scripts: <\/p><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1571978527015_N65979_N10072\">Arabic, Armenian, Avestan, Balinese, Bamum, Batak,  Bengali,  Bopomofo,        Brahmi,  Braille, Buginese, Buhid, Canadian_Aboriginal, Carian, Chakma,        Cham, Cherokee, Common, Coptic, Cuneiform, Cypriot, Cyrillic,  Deseret,        Devanagari,   Egyptian_Hieroglyphs,   Ethiopic,  Georgian,  Glagolitic,        Gothic, Greek, Gujarati, Gurmukhi, Han, Hangul, Hanunoo, Hebrew,  Hiragana,   Imperial_Aramaic,  Inherited,  Inscriptional_Pahlavi,  Inscriptional_Parthian,  Javanese,  Kaithi,   Kannada,   Katakana,   Kayah_Li,        Kharoshthi,  Khmer,  Lao, Latin, Lepcha, Limbu, Linear_B, Lisu, Lycian,        Lydian,    Malayalam,    Mandaic,    Meetei_Mayek,    Meroitic_Cursive,        Meroitic_Hieroglyphs,   Miao,  Mongolian,  Myanmar,  New_Tai_Lue,  Nko,        Ogham,   Old_Italic,   Old_Persian,   Old_South_Arabian,    Old_Turkic,        Ol_Chiki,  Oriya, Osmanya, Phags_Pa, Phoenician, Rejang, Runic, Samaritan, Saurashtra, Sharada, Shavian,  Sinhala,  Sora_Sompeng,  Sundanese,        Syloti_Nagri,  Syriac,  Tagalog,  Tagbanwa, Tai_Le, Tai_Tham, Tai_Viet,        Takri, Tamil, Telugu, Thaana, Thai, Tibetan, Tifinagh,  Ugaritic,  Vai,        Yi. <\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N1817E\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">POSIX named sets<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10078\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N10079\">All POSIX named sets include ASCII characters only.  <\/p><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1007B\">[[:alnum:]]     An alphanumeric character: [[:alpha:][:digit:]]\r\n[[:alpha:]]     An ascii character: [[:lower:][:upper:]]\r\n[[:ascii:]]     Codepoints U+0000 .. U+007F\r\n[[:blank:]]     A space or a tab: [ \\t]\r\n[[:cntrl:]]     An ascii control character: U+0000 to U+001f\r\n[[:digit:]]     A decimal digit: [0123456789]\r\n[[:graph:]]     A visible ascii character: [[:alnum:][:punct:]]\r\n[[:lower:]]     A lower-case ascii character\r\n[[:print:]]     A printable character: [ [:graph:]] (including space U+0020)\r\n[[:punct:]]     Punctuation: One of !\"#$%&amp;`()*+,-.\/:;&lt;=&gt;?@[\\]^_`{|}~\r\n[[:space:]]     A whitespace character: [ \\t\\n\\x{0b}\\f\\r]\r\n[[:upper:]]     An upper-case ASCII character\r\n[[:word:]]      Same as \\w\r\n[[:xdigit:]]    A hexadecimal digit: [[:digit:]abcdefABCDEF]\r\n\r\n[[:^xxxx:]]     negative POSIX named set<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18183\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Boundary matchers<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10081\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10082\">^               The beginning of the string\r\n                  (plus after newlines in multiline mode)\r\n$               The end of the string\r\n                  (plus before newline at end of string)\r\n                  (plus before internal newline in multiline mode)\r\n\\b              Word boundary\r\n                  the position is between a word character (\\w) and a non-word character (\\W)\r\n                  beware: only ASCII characters are regarded as word characters\r\n\\B              Not a word boundary\r\n[[:&lt;:]]         start of a word\r\n[[:&gt;:]]         end of a word\r\n\\A              start of the string\r\n\\Z              end of the string\r\n                  (plus before newline at end of string)\r\n\\z              end of the string\r\n\\G              first matching position in string<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18187\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Comments<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10088\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10089\">(?#...)         comment (not nestable)<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N1818B\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Mode modifiers<\/h3><\/div><\/div><\/header><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N1818D\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Option setting<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10094\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10095\">(?i)            case insensitive\r\n(?J)            allow duplicate names\r\n(?m)            multiline (^ and $ are matching newlines in the string)\r\n(?s)            dot-matches-all mode (already set by default)\r\n(?U)            default ungreedy\r\n(?x)            extended (ignore white space) - used for documentation\/readability\r\n(?-...)         unset option(s)<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18191\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Unicode operational mode<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N1009B\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N1009C\">The following modifiers are recognized only at the start of a pattern or after one of the newline-setting options with similar syntax. <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1009E\">(*NO_START_OPT) no start-match optimization\r\n(*UTF8)         set UTF-8 mode: 8-bit library (already set by default)\r\n(*UTF-16)       set UTF-16 mode: 16-bit library (not recommended)\r\n(*UTF-32)       set UTF-32 mode: 32-bit library (not recommended)\r\n(*UTF)          set appropriate UTF mode for the library (not recommended)\r\n(*UCP)          set PCRE_UCP to use Unicode properties instead of ASCII for:\r\n                    [:alnum:] [:alpha:] [:blank:] [:digit:] [:graph:] [:lower:] [:print:] [:punct:] [:space:] [:upper:] [:word:]\r\n                    \\b \\B \\d \\D \\s \\S \\w \\W<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18197\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Newline conventions<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100A4\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N100A5\">Since <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> operates in dot-matches-all and multiline-off mode those settings are not that relevant normally.<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100A8\">(*CR)           carriage return only U+000d\r\n(*LF)           linefeed only U+000a\r\n(*CRLF)         carriage return followed by linefeed\r\n(*ANYCRLF)      all three of the above\r\n(*ANY)          any Unicode newline sequence<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N1819E\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">What \\R matches<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100AE\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100AF\">(*BSR_ANYCRLF)  CR, LF or CRLF\r\n(*BSR_UNICODE)  any Unicode newline sequence (default on <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span>)<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181A2\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Grouping, capturing and back references<\/h3><\/div><\/div><\/header><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181A4\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Grouping<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100BA\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100BB\">(...)           capturing group\r\n(?&lt;name&gt;...)    named capturing group (used by <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> in (?&lt;URL&gt;...) )\r\n(?\'name\'...)    named capturing group\r\n(?P&lt;name&gt;...)   named capturing group\r\n(?:...)         non-capturing group - grouping only\r\n(?|...)         non-capturing group\r\n                  reset group numbers for capturing groups in each alternative\r\n\r\n(?&gt;...)         Atomic grouping (never gives up the first match - no backtracking)<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181A8\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Back references<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100C1\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100C2\">\\1 .. \\9        Back reference by number (for values within 1..9) - not recommended for using, ambiguous\r\n\\g1 .. \\g9      Back reference by number (for values within 1..9)\r\n\\g{n}           Back reference by number\r\n\\g{-n}          Relative reference by number\r\n\\k&lt;name&gt;        Back reference by name\r\n\\k\'name\'        Back reference by name\r\n\\g{name}        Back reference by name\r\n\\k{name}        Back reference by name\r\n(?P=name)       Back reference by name<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181AC\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Subroutine references<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100C8\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N100C9\"> Subroutine references are possibly recursive. <\/p><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100CB\">(?R)            recurse whole pattern\r\n(?n)            call subpattern by absolute number (0 for whole)\r\n(?+n)           call subpattern by relative number\r\n(?-n)           call subpattern by relative number\r\n(?&amp;name)        call subpattern by name\r\n(?P&gt;name)       call subpattern by name\r\n\\g&lt;name&gt;        call subpattern by name\r\n\\g\'name\'        call subpattern by name\r\n\\g&lt;n&gt;           call subpattern by absolute number\r\n\\g\'n\'           call subpattern by absolute number\r\n\\g&lt;+n&gt;          call subpattern by relative number\r\n\\g&lt;-n&gt;          call subpattern by relative number\r\n\\g\'+n\'          call subpattern by absolute number\r\n\\g\'-n\'          call subpattern by absolute number<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181B1\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Conditional patterns<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100D1\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100D2\">(?(condition)yes-pattern)\r\n(?(condition)yes-pattern|no-pattern)\r\n\r\n(?(n)...        absolute reference condition\r\n(?(+n)...       relative reference condition\r\n(?(-n)...       relative reference condition\r\n(?(&lt;name&gt;)...   named reference condition\r\n(?(\'name\')...   named reference condition\r\n(?(name)...     named reference condition\r\n(?(R)...        overall recursion condition\r\n(?(Rn)...       specific group recursion condition\r\n(?(R&amp;name)...   specific group recursion condition\r\n(?(DEFINE)...   define subpattern for references\r\n(?(assert)...   assertion condition<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181B5\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Quantifiers<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100D8\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100D9\">X?              X, one single occurrence or none at all, equivalent to X{0,1}, greedy\r\nX?+             X, one single occurrence or none at all, possessive\r\nX??             X, one single occurrence or none at all, lazy\r\nX*              X, zero or more times, equivalent to X{0,}, greedy\r\nX*+             X, zero or more times, possessive\r\nX*?             X, zero or more times, lazy\r\nX+              X, one or more times, equivalent to X{1,}, greedy\r\nX++             X, one or more times, possessive\r\nX+?             X, one or more times, lazy\r\nX{n}            X, exactly n times\r\nX{min,}         X, at least min times, greedy\r\nX{min,}+        X, at least min times, possessive\r\nX{min,}?        X, at least min times, lazy\r\nX{min,max}      X, at least min but not more than max times, greedy\r\nX{min,max}+     X, at least min but not more than max times, possessive\r\nX{min,max}?     X, at least min but not more than max times, lazy<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181B9\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Lookaround<\/h3><\/div><\/div><\/header><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181BB\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Lookahead and lookbehind<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100E4\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N100E5\">Lookaround constructs check for existence, but do not \'consume\' the text. Lookbehind is only supported for fixed-length strings. <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100E7\">(?=...)         positive look ahead\r\n(?!...)         negative look ahead\r\n(?&lt;=...)        positive look behind\r\n(?&lt;!...)        negative look behind<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181C0\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h4 class=\"headline-content\">Match point reset<\/h4><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100ED\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100EE\">\\K              resets start of match<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1571978527015_N65979_N100F0\">This can be useful to reset the start of the current whole match. This provides a flexible alternative approach to lookbehind assertions because the discarded part of the match (the part that precedes \\K) need not to be fixed in length. <\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181C6\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Backtracking control<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N100F6\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N100F7\"><strong class=\"emphasis\">The following tags act immediately they are reached:<\/strong><\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100F9\">(*ACCEPT)      force successful match\r\n(*FAIL)        force backtrack; synonym (*F)\r\n(*MARK:NAME)   set name to be passed back; synonym (*:NAME)<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1571978527015_N65979_N100FB\">The following tags act only when a subsequent match failure causes a backtrack to reach them. They all force a match failure, but they differ in what happens afterwards. <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100FD\">(*COMMIT)      overall failure, no advance of starting point\r\n(*PRUNE)       advance to next starting character\r\n(*PRUNE:NAME)  equivalent to (*MARK:NAME)(*PRUNE)\r\n(*SKIP)        advance to current matching position\r\n(*SKIP:NAME)   advance to position corresponding to an earlier (*MARK:NAME);\r\n                  if not found, the (*SKIP) is ignored\r\n(*THEN)        local failure, backtrack to next alternation\r\n(*THEN:NAME)   equivalent to (*MARK:NAME)(*THEN)<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181CF\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h3 class=\"headline-content\">Precedence<\/h3><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10103\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N10104\"><strong class=\"emphasis\">The precedence of regex operators, from highest to lowest: <\/strong><\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">      Escaped special characters like \\\\ \\. \\( \\[ \\^   <\/li><li class=\"enum-element\">      Extended ASCII characters like \\x{hh} \\t \\r \\f \\a   <\/li><li class=\"enum-element\">      Unicode property \\p{Prop}   <\/li><li class=\"enum-element\">      Collation-related bracket symbols [: :]   <\/li><li class=\"enum-element\">      Character class [ ]   <\/li><li class=\"enum-element\">      Grouping ( )   <\/li><li class=\"enum-element\">      Quantifiers * + ? {m,n}   <\/li><li class=\"enum-element\">      Concatenation   <\/li><li class=\"enum-element\">      Anchoring ^ $   <\/li><li class=\"enum-element\">      Alternation |   <\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N181F2\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">Examples<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10120\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><table border=\"0\" cellspacing=\"0\" class=\"table table table- table-block-description table-\" id=\"1571978527015_N65979_N10121\"><thead class=\"thead\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-firstrow table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10131\"> Pattern <\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-cell-lastcolumn table-header table-header-horizontal table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10134\"> Matches <\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10138\"><code class=\"codeinline\"><\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1013B\"> the empty pattern matches every string <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1013F\"><code class=\"codeinline\">[aaaa]<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10143\"> Just the letter \'a\' <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10147\"><code class=\"codeinline\">[+--]<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1014B\"> Matches any of the ASCII characters between + and -. What evaluates to the three characters plus, comma and minus. <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1014F\"><code class=\"codeinline\">[a--@]<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10153\"> Invalid expression, since the letter \'a\' follows the symbol \'-\'. <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10157\"><code class=\"codeinline\">[a-c-o]<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1015B\"> One of the five characters \'a\', \'b\', \'c\', \'-\' or \'o\' <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1015F\"><code class=\"codeinline\">[]ab]<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10163\"> Either the letter \'a\' or \'b\' or the symbol \']\' <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10167\"><code class=\"codeinline\">[@\\d[:lower:]\\p{Lu}\\t]<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1016B\"> The at-Symbol, any digit from 0-9, a lowercase ASCII letter, any uppercase Unicode letter or the tabulator <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1016F\"><code class=\"codeinline\">(?&lt;!^Expires|^If-Match):.*[\'\"]<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10173\"> Any value, which does not start with \'Expires:\' or \'If-Match:\' and does contain a single or double quote <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10177\"><code class=\"codeinline\">(x(i?)y)z<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1017B\"> xYz and xyz - no other variants <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-lastrow table-cell-col-odd-\"><div><p class=\"par\" id=\"1571978527015_N65979_N1017F\"><code class=\"codeinline\">(?=\\p{N})\\p{Thai}<\/code><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastrow table-cell-lastcolumn table-cell-col-even-\"><div><p class=\"par\" id=\"1571978527015_N65979_N10183\"> Any thai digit <\/p><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1571978527015_N65979_N18238\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">Original documentation<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1571978527015_N65979_N10192\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1571978527015_N65979_N10193\">For a more detailed documentation please read the extensive <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/www.pcre.org\/pcre2.txt\" target=\"_blank\">PCRE2 man pages<\/a>. <\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';