var m_1574686290838Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Session control<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1574686290838\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Session control<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290838_N10248\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290838_N10249\">The <code class=\"codeinline\">SESSION<\/code>-command allows to modify the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> session:<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1024E\">;; SESSION\r\nsession-command           = current-session-command | foreign-session-command\r\ncurrent-session-command   = session-command-name \"=\" current-session-command-value\r\nsession-command-name      = \"SESSION\"\r\ncurrent-session-command-value = \"TERMINATE\" | \"NEWID\" | \"NEW\" | \"CLEAR\"\r\n\r\n;; SESSION[sid:{foreign session id}]\r\nsession-command           = current-session-command | foreign-session-command\r\nforeign-session-command   = session-command-name \"[sid:\" foreign-session-id \"]\" \"=\" foreign-session-command-value\r\nsession-command-name      = \"SESSION\"\r\nforeign-session-id        = 1*ALPHANUM\r\nforeign-session-command-value = \"TERMINATE\"\r\nALPHANUM                  = ALPHA | DIGIT<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1574686290838_N14D5C\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">TERMINATE<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290838_N10254\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290838_N10255\"> The <code class=\"codeinline\">TERMINATE<\/code> command terminates the current <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> session. By using the extended notation <code class=\"codeinline\">SESSION[sid:{foreign session id}]<\/code> any given session can be terminated. Please note that the <code class=\"codeinline\">TERMINATE<\/code> command does not create a new session at the same time. Only in case the client is sending a subsequent request after the session termination, a new session may be created. <\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1574686290838_N14D68\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">NEWID<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290838_N10264\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290838_N10265\">The <code class=\"codeinline\">NEWID<\/code> command causes the session cookie to get a new ID, thus invalidating any access using the old session ID, but preserving the internally used session. This prevents <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/en.wikipedia.org\/wiki\/Session_fixation\" target=\"_blank\">session fixation<\/a> and other attacks based on the session ID. If HTTPS is used on the front-end, a new SSL session is initiated as well. Because <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> already changes the session cookie each time when roles are set, an explicit <code class=\"codeinline\">NEWID<\/code> call is only required if a user gets more privileges in a back-end application without obtaining new <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> roles. <\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1574686290838_N14D79\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">NEW<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290838_N10284\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290838_N10285\">The <code class=\"codeinline\">NEW<\/code> command terminates the current <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> session and creates a new, empty session with a new ID. This causes that encrypted URLs (with session based encryption) or CSRF tokens are not valid anymore with the new session. The command also initiates a new SSL session if the current session is not tracked by SSL session ID. <\/p><\/div><\/div><\/article><\/div><\/div><\/section><\/div><div class=\" subsection-ct\"><section class=\"subsection\" id=\"1574686290838_N14D7F\"><div class=\" subsection-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h2 class=\"headline-content\">CLEAR<\/h2><\/div><\/div><\/header><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290838_N1028E\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290838_N1028F\">The <code class=\"codeinline\">CLEAR<\/code> command clears specific fields in the current session typically set by Control API commands. These fields are: cookie store, header store, audit token, roles, NTLM credentials, Kerberos users and session variables. In contrast to the command <code class=\"codeinline\">NEW<\/code>, <code class=\"codeinline\">CLEAR<\/code> does not reset fingerprinting information nor does it invalidate CSRF tokens and encrypted URLs.  <\/p><p class=\"par\" id=\"1574686290838_N1029A\"><strong class=\"emphasis\">Example:<\/strong><br\/>The <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290855.html\">pseudo code<\/a> examples below demonstrate session management using the control API:<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N10092\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10095\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"SESSION=TERMINATE\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N10097\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1009A\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=SESSION%3DTERMINATE<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N100B0\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100B3\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"SESSION[sid:713f232b1a67e46248e41dc3a85d9289]=TERMINATE\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N100B5\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100B8\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=SESSION%5Bsid%3A713f232b1a67e46248e41dc3a85d9289%5D%3DTERMINATE<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N100CE\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100D1\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"SESSION=NEWID\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N100D3\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100D6\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=SESSION%3DNEWID<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N100EC\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100EF\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"SESSION=NEW\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N100F1\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100F4\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=SESSION%3DNEW<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N1010A\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1010D\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"SESSION=CLEAR\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290838_N1010F\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10112\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=SESSION%3DCLEAR<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/section><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';