var m_1574686290847Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Kerberos user and domain<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1574686290847\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Kerberos user and domain<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290847_N10463\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290847_N10464\">The control API command <code class=\"codeinline\">KERB_USER<\/code> sets which Kerberos user to use for which mapping. For each mapping only one kerberos user can be set. Therefore a command with a mapping specification will override any value with the same mapping specification. Similarly a command without mapping specification will override the global kerberos user. Cross-realm authentication is possible with both, Kerberos Constrained Delegation (KCD) and Resource Based Kerberos Constrained Delegation (RBKCD). <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10469\">;; KERB_USER\r\nkerberos-user-command       = kerberos-user-command-name \"=\" kerberos-user-command-value\r\nkerberos-user-command-name  = \"KERB_USER\"\r\nkerberos-user-command-value = kerberos-user-values\r\nkerberos-user-values        = kerberos-user-value [ \",\" kerberos-user-values ]\r\nkerberos-user-value         = percent-encoded-domain-and-user [ \"@\" [ mapping-name ] ]\r\ndomain-and-user             = [ domain ] \"\\\" [ user ]<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1574686290847_N1046B\">When a Kerberos user is searched for the current mapping the most qualified user will be selected. That means that a user entry with a matching mapping will be preferred over a user entry without a defined mapping. <\/p><p class=\"par\" id=\"1574686290847_N1046D\">If a user is given and no domain is specified, a service ticket will be acquired for the user in the current domain. The current domain is defined by the Kerberos environment configured in the back-end group of the issuing request. If a domain name is given, the service ticket will be acquired for the user in the given domain.  <\/p><p class=\"par\" id=\"1574686290847_N1046F\">Sending the command with an empty user definition deletes the entry for the given mapping. If both the mapping and the user definitions are empty, all entries are removed. <\/p><p class=\"par\" id=\"1574686290847_N10471\"><strong class=\"emphasis\">Example:<\/strong><br\/>The <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290855.html\">pseudo code<\/a> example below shows how to use this command. <\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10038\"><strong class=\"emphasis\">Set user \"john\" on mapping \"mapping_a\"<\/strong><\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10044\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100471582113060086\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"KERB_USER=\"+<span class=\"dialog\">URL_Encode(UTF8_Encode(<\/span>\"john\"<span class=\"dialog\">))+<\/span>\"@mapping_a\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10049\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1004C\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=KERB_USER%3Djohn%40mapping_a<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10058\"><strong class=\"emphasis\">Set user \"susan\" for all mappings<\/strong><\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N1006C\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1006F\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"KERB_USER=\"+<span class=\"dialog\">URL_Encode(UTF8_Encode(<\/span>\"susan\"<span class=\"dialog\">)))<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10071\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10074\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=KERB_USER%3Dsusan<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10075\"><strong class=\"emphasis\">Set user \"thiago\" on all mappings with domain specification (cross-domain)<\/strong><\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10091\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10094\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"KERB_USER=\"+<span class=\"dialog\">URL_Encode(UTF8_Encode(<\/span>\"other_domain\\\\thiago\"<span class=\"dialog\">)))))<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10096\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10099\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=KERB_USER%3DOTHER_DOMAIN%255Cthiago<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N10092\"><strong class=\"emphasis\">Remove the entry for mapping \"mapping_b\"<\/strong><\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N100B6\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100B9\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"KERB_USER=\"+<span class=\"dialog\">URL_Encode(UTF8_Encode(<\/span>\"\"<span class=\"dialog\">))+<\/span>\"@mapping_b\"<span class=\"dialog\">)<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N100BB\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100BE\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=KERB_USER%3D%40mapping_b<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N100B21582114303641\"><strong class=\"emphasis\">Remove all user entries<\/strong><\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N100DE\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100E1\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"KERB_USER=\"+<span class=\"dialog\">URL_Encode(UTF8_Encode(<\/span>\"\"<span class=\"dialog\">)))<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290847_N100E3\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100E6\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=KERB_USER%3D<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';