var m_1574686290853Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Session variables<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1574686290853\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Session variables<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1574686290853_N1057E\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1574686290853_N1057F\">With the following control API commands it is possible to add and remove arbitrary name\/value pairs, so-called session variables, to the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> session. These variables can be used in <i class=\"italics\">Client Fingerprinting<\/i> rules or can be sent to the back-end as <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1571978527048.html\">environment cookies<\/a>.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><code class=\"codeinline\">SET_SESSION_VARIABLES<\/code>: set variables in the session (clear existing variables).<\/li><li class=\"enum-element\"><code class=\"codeinline\">ADD_SESSION_VARIABLES<\/code>: add variables to the session (keep existing variables).<\/li><li class=\"enum-element\"><code class=\"codeinline\">REMOVE_SESSION_VARIABLES<\/code>: remove variables from the session<\/li><\/ul><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290853_N10045\">The command syntax is:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N105A8\">;; SET_SESSION_VARIABLES, ADD_SESSION_VARIABLES, REMOVE_SESSION_VARIABLES\r\nsession-variable-command       = session-variable-command-name \"=\" session-variable-command-value\r\nsession-variable-command-name  = \"SET_SESSION_VARIABLES\" | \"ADD_SESSION_VARIABLES\" | \"REMOVE_SESSION_VARIABLES\"\r\nsession-variable-command-value = session-variable-definitions\r\nsession-variable-definitions   = session-variable-definition [ \",\" session-variable-definitions ]\r\n                                 ;at this place each \'session-variable-definition\' must be percent encoded\r\nsession-variable-definition    = session-variable-name [ \"=\" session-variable-value ]<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1574686290853_N105AA\"><strong class=\"emphasis\">Example:<\/strong><br\/>The <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686290855.html\">pseudo code<\/a> example below shows how to set and remove session variables using the control API.<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290853_N10065\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10068\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"SET_SESSION_VARIABLES=\"+<span class=\"dialog\">URL_Encode(<\/span>\"myVariable1=myValue1\"<span class=\"dialog\">)<\/span>+\",\"<br\/>+<span class=\"dialog\">URL_Encode(<\/span>\"myVariable2=myValue2\"<span class=\"dialog\">))<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290853_N1006A\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1006D\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=SET_SESSION_VARIABLES%3DmyVariable1%253DmyValue1%2CmyVariable2%253DmyValue2<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290853_N1008C\">Pseudo code:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1008F\"><code class=\"codeinline\">response.header=\"Set-Cookie: AL_CONTROL=\"+<span class=\"dialog\">URL_Encode(<\/span>\"REMOVE_SESSION_VARIABLES=\"+<span class=\"dialog\">URL_Encode(<\/span>\"myVariable1\"<span class=\"dialog\">)<\/span>+\",\"+<span class=\"dialog\">URL_Encode(<\/span>\"myVariable2\"<span class=\"dialog\">))<\/span><\/code><\/pre><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1574686290853_N10091\">Results in:<\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10094\"><code class=\"codeinline\">Set-Cookie: AL_CONTROL=REMOVE_SESSION_VARIABLES%3DmyVariable1%2CmyVariable2<\/code><\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';