var m_1618511385019Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Optional \u2013 Changing the Airlock Anomaly Shield HotDB (Redis instance)<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1618511385019\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Optional \u2013 Changing the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Anomaly Shield<\/span> HotDB (Redis instance)<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1618511385019_N10006\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1618511385019_N10007\">A Redis instance is used as HotDB for communication and storage of the request data between <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Anomaly Shield<\/span> and the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Security Gate<\/span> process. <\/p><ol class=\"enum-enum-instruction container-enum instruction standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">By default, the globally configured Redis (session store) instance of the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Gateway<\/span> is used, but this can be changed as follows:<\/strong><\/li><li class=\"step\">Define the new Redis instance in the global Expert Settings.<\/li><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonCopy\" href=\"#\">copy<\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1001B1619012450137\">Redis.Service.0.Name                                 \"Local\" \r\nRedis.Service.Local.Mode                             \"SOCKET\" \r\nRedis.Service.Local.SocketFile                       \"\/var\/run\/redis-ml\/redis-ml.sock\" \r\n  \r\nRedis.Service.1.Name                                 \"RedisWithSsl\" \r\nRedis.Service.RedisWithSsl.Mode                      \"SERVER\" \r\nRedis.Service.RedisWithSsl.Server.0.Host             \"80.264.93.142\" \r\nRedis.Service.RedisWithSsl.Server.0.Port             \"6379\" \r\nRedis.Service.RedisWithSsl.Server.0.SSLEnable        \"TRUE\" \r\nRedis.Service.RedisWithSsl.Server.0.SSLServerCA      \"\/opt\/airlock\/custom-settings\/gatekeeper\/redis_server_ca.pem\" \r\nRedis.Service.RedisWithSsl.Server.0.SSLClientCert    \"\/opt\/airlock\/custom-settings\/gatekeeper\/redis_client_cert.pem\" \r\nRedis.Service.RedisWithSsl.Server.0.SSLClientCertKey \"\/opt\/airlock\/custom-settings\/gatekeeper\/redis_client_cert_key.pem\" \r\n<\/pre><\/div><\/div><\/div><\/div><\/div><li class=\"step\">Reference which Redis service is used as HotDB for the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Anomaly Shield<\/span> <code class=\"codeinline\">AnomalyShield.Redis.Service<\/code>.<\/li><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonCopy\" href=\"#\">copy<\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1005F\">AnomalyShield.Redis.Service          \"RedisWithSsl\"<\/pre><\/div><\/div><\/div><\/div><\/div><li class=\"step\">Add the Redis server address and port information to the configuration file of the ML-Service.<\/li><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1618511385019_N1006B\">Path: <code class=\"codeinline\">\/opt\/airlock\/ml-service\/conf\/ml.ini<\/code><\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1006F\">hot_db = server:80.264.93.142:6379<\/pre><\/div><\/div><\/div><\/div><\/div><\/ol><div xmlns=\"\" class=\"container-warning important\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_important\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1618511385019_N1005A\">The <code class=\"codeinline\">AnomalyShield.Redis.Service<\/code> can not handle Redis clusters. Make sure to reference a Redis service that is either configured with mode <code class=\"codeinline\">SERVER<\/code> or <code class=\"codeinline\">SOCKET<\/code>.<\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';