var m_1618511385027Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Reducing false-positives<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1618511385027\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Reducing false-positives<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1618511385027_N1000A\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\"><\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1618511385027_N1000E\">False positives are created whenever Airlock Anomaly Shield flags legitimate sessions as anomalous. The causes of false positives can be very different \u2013 thus we have to choose the correct measures to successfully reduce the number of false positives. <\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Keep training data clean:<\/strong><\/li><p class=\"par\" id=\"1618511385027_N100141686575982186\">Training data should be based solely on legitimate traffic. <\/p><li class=\"enum-element\">Create traffic exclusions to exclude non-legitimate traffic before gathering training data and ML model training. <br\/>See also <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1662655602277.html\">Optional configuration of Traffic Matchers<\/a>.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Configure response rule exceptions and anomaly detection exclusions for Anomaly Shield applications:<\/strong><\/li><p class=\"par\" id=\"1618511385027_N100321686578390256\">Adding new response rule exceptions to Anomaly Shield applications can effectively reduce the number of blocks. However, creating exceptions will not influence the anomaly detection itself \u2013 logs will still be written whenever an anomaly has been detected. <br\/>Anomaly detection exclusions allow bypassing certain traffic from being analyzed, which can be an appropriate measure to reduce false positives. Detection exclusions can also reduce the system load.<\/p><li class=\"enum-element\">Configure response rule exceptions for Anomaly Shield applications if applicable. <br\/>See also  <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-detail\" href=\"..\/data\/1629119806884.html#1629119806884_N1008C\">Section \u2013 Anomaly Detection<\/a>.<\/li><li class=\"enum-element\">Configure anomaly detection exclusions for Anomaly Shield applications if applicable.<br\/>See also <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1652878093364.html\">Traffic Matchers detail page<\/a>.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Fine-tune the thresholds for anomaly detection to reduce the false positive rate:<\/strong><\/li><p class=\"par\" id=\"1618511385027_N1004E\">Tuning anomaly detection thresholds greatly impact what behavior may result in what action. Keep in mind that the default threshold set is the result based on extensive research and is suitable for a wide variety of use cases. <\/p><li class=\"enum-element\">Ensure the ML models have been trained with clean traffic data and that exceptions have been configured before testing\/attempting any fine-tuning measures.<\/li><li class=\"enum-element\">The default Anomaly Shield model thresholds can be tuned globally and for individual applications. See the table below.<\/li><li class=\"enum-element\">Airlock Anomaly Shield evaluates sessions after the first 15 requests by default. This threshold can be increased so that the session evaluation happens <i class=\"italics\">at a later point <\/i>of a session. See the table below.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1618511385027_N100A9\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Inspect the log messages<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1618511385027_N100AC\">With clean training data in the ColdDB and the required enforcement exception rules configured, we have to inspect the <code class=\"codeinline\">WR-SG-NMLY-200<\/code> log messages in order to decide what to fine-tune:<\/p><table border=\"0\" cellspacing=\"0\" class=\"table table table-BoldHeader table-BoldHeader table- table-block-description table-\" id=\"1618511385027_N100B1\"><col style=\"width:50%;\"\/><col style=\"width:50%;\"\/><thead class=\"thead-BoldHeader\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-header table-header-horizontal table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1618511385027_N100C3\">Log-observation<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-header table-header-horizontal table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1618511385027_N100C8\">Tuning measure<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody-BoldHeader\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1618511385027_N100CE\">One ML model appears too aggressive and is active for most or all sessions.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1618511385027_N100D3\">This is a strong indicator for increasing the default model thresholds.<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1618511385027_N100D9\">Airlock Anomaly Shield evaluates a session as anomalous within the first few requests, but the bit count decreases to non-anomalous values while the session is ongoing.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1618511385027_N100DE\">This is a strong indicator for increasing the number of requests within a session prior to the evaluation.<\/p><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1618511385027_N100B0\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Threshold tuning<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1618511385027_N100271619010603500\">Anomaly indicator values are processed based on the set of thresholds in the <i class=\"italics\">Expert Settings<\/i> during operation. For dry-run testing, new thresholds can be set in the <code class=\"codeinline\">analytics_indicator_thresholds.json<\/code> file and be applied against ColdDB data. This allows you to simulate how changing the thresholds would affect the evaluation before applying new thresholds in operational mode.<\/p><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">Get the current thresholds that are stored in the Expert Settings (<a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032121.html\">Section \u2013 Security Gate<\/a>). <br\/><strong class=\"emphasis\">Default values:<\/strong><\/li><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonDetails\" href=\"#\">details...<\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100D61686647656490\">################## \r\n# ANOMALY SHIELD # \r\n################## \r\n \r\n# DEFAULT INDICATOR THRESHOLDS \r\n# \r\n# (Context: global, AnomalyShield application) \r\n# \r\n# The indicator thresholds can be configured per model with \r\n# the following resources: \r\nAnomalyShield.Indicator.ConnectionMetrics.Threshold          \"0.99\" \r\nAnomalyShield.Indicator.GraphMetricsCluster.Threshold        \"0.99\" \r\nAnomalyShield.Indicator.IsolationForest.Threshold            \"0.99\" \r\nAnomalyShield.Indicator.MultipleCountries.Threshold          \"0.99\" \r\nAnomalyShield.Indicator.StatusCodeMeta.Threshold             \"0.90\" \r\nAnomalyShield.Indicator.TimingCluster.Threshold              \"0.97\" \r\nAnomalyShield.Indicator.QueryParameters.Threshold            \"0.90\"<\/pre><\/div><\/div><\/div><\/div><\/div><div xmlns=\"\" class=\"container-warning info compact\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1618511385027_N10124\">You can read out the threshold values of your current configuration with this command:<\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1618511385027_N10128\"><code class=\"codeinline\">\/opt\/airlock\/ml-service\/bin\/airlock-ml-analytics export_thresholds<\/code><\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1618511385027_N10102\">Note that the displayed thresholds <strong class=\"emphasis\">will be sorted in alphabetical order<\/strong>.<\/p><\/div><\/div><\/div><\/div><\/div><li class=\"step\">Use your current thresholds in the <code class=\"codeinline\">\/opt\/airlock\/ml-service\/conf\/analytics_indicator_thresholds.json<\/code> file as a starting point for the analytics tool.<\/li><li class=\"step\">Run the analytics tool in <code class=\"codeinline\">\/opt\/airlock\/ml-service\/bin\/<\/code> against the ColdDB data and check which ML model is configured with an overly sensitive threshold.<\/li><p class=\"par\" id=\"1618511385027_N10114\">Example:<br\/><code class=\"codeinline\">\/opt\/airlock\/ml-service\/bin\/airlock-ml-analytics --cold-db \/var\/airlock\/ml-service\/cold.db apply_models --query \'{\"bitcount\": \"&gt;= 3\"}\' --output pattern bitcount<\/code><\/p><p class=\"par\" id=\"1618511385027_N10119\">Note that we filtered the output for <code class=\"codeinline\">\"bitcount\": \"&gt;= 3\"<\/code> in our example. Adjust the query as required.<\/p><li class=\"step\">Gradually increase the thresholds that are found to be too sensitive. <br\/>For example, you may change the <code class=\"codeinline\">IsolationForest.Threshold<\/code> from <code class=\"codeinline\">0.99<\/code> to <code class=\"codeinline\">0.993<\/code> in the <code class=\"codeinline\">analytics_indicator_thresholds.json<\/code>.<\/li><li class=\"step\">Re-run the analytics tool against the ColdDB data and check if the change shows the desired effect on reducing false positives. If not, proceed the threshold tuning until the outcome of the analytics tool is acceptable.<\/li><li class=\"step\">Apply the determined values either globally or as individual settings <i class=\"italics\">per application<\/i> in the Expert Settings.<\/li><div xmlns=\"\" class=\"container-warning info compact\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1618511385027_N10145\">Individual thresholds per application have the following Expert Settings syntax:<\/p><div class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1012C\">AnomalyShield.Application.NAME-OF-AS-APPLICATION.Indicator.IsolationForest.Threshold            \"0.993\"<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/div><li class=\"step\">After changing the Expert Settings, apply the new thresholds by activating the configuration.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1618511385027_N100BD\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Increasing the number of requests within a session<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1618511385027_N100C01686665635803\">The <i class=\"italics\">minimal session length<\/i> value can be increased if sessions are tagged anomalous after too few session requests and when the same session-bit count drops with additional requests. Note that the <i class=\"italics\">minimal required (request) aggregation<\/i> value should be equally increased.<br\/>By doing so, session evaluation requires more requests within a session before the session is tagged.<\/p><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">Go to:<br\/><code class=\"codeinline\">\/opt\/airlock\/ml-service\/devel\/conf\/ml.ini <\/code><\/li><li class=\"step\">Increase the <code class=\"codeinline\">min_sess_length<\/code> (default is <code class=\"codeinline\">15<\/code>) gradually, e.g., in +5 steps. <\/li><li class=\"step\">Go to:<br\/><code class=\"codeinline\">\/opt\/airlock\/ml-service\/devel\/conf\/default_hyper_parameters.ini <\/code><\/li><li class=\"step\">Increase the <code class=\"codeinline\">min_req_aggregation<\/code> (default is <code class=\"codeinline\">15<\/code>) equally to <code class=\"codeinline\">min_sess_length<\/code>. <\/li><li class=\"step\">Re-train the models as described in the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1662655602108.html\">Training and model enforcement<\/a> article and activate the configuration.<\/li><li class=\"step\">Check if the changes show the desired effect on reducing false positives during operation. If not, further increase the values until the outcome is acceptable.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1618511385027_N10166\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links:<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Internal links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1618511385035.html\">CLI analytics tool<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1618511385038.html\">Airlock Anomaly Shield logs, tuning and advanced configuration<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032121.html\">Expert Settings \u2013 Security Gate<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';