var m_1626375361574Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>JWKS and JWK selection by filtering<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1626375361574\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">JWKS and JWK selection by filtering<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1626375361574_N10006\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1582295287499_N10038\">When a JSON Web Key Set provider is configured to be used in a mapping, the keys in the set will be consulted when trying to verify a JWS or when decrypting a JWE.<\/p><p class=\"par\" id=\"1582295287499_N10009\">Since there are potentially multiple JWKS and multiple keys per key set, reducing the number of processed keys by filtering is recommended. By doing so, only a selection of keys is processed for the verification or decryption of the given token instead of all available keys.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">The gateway uses a 2-stage filtering process to reduce the number of processed keys:<\/li><li class=\"enum-element\">Stage 1 \u2013 JWKS are filtered by their <span class=\"dialog\">Issuer<\/span> information.<\/li><li class=\"enum-element\">Stage 2 \u2013 The individual keys of the selected JWKS are finally filtered according to their key properties.<\/li><\/ul><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><ul xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">JSON Web Key Sets (JWKS) can have two sources:<\/li><li class=\"enum-element\">They can be locally configured.<\/li><li class=\"enum-element\">They can be configured to be dynamically fetched from a remote source using a <span class=\"dialog\">Service URL<\/span>.<\/li><\/ul><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1626375361574_N100101626857146198\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Stage 1 \u2013 JWKS issuer selection<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1626375361574_N100131626857146214\">The <span class=\"dialog\">Issuer<\/span> information is used as a restriction to reduce the number of processed JWKS per mapping. Since the issuer information is optional, selecting JWKS is based upon several options.<\/p><ol class=\"enum-enum-instruction container-enum instruction Numeric\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">For all referenced JWKS of a mapping:<\/li><li class=\"step\">All key sets without issuer information are being selected.<\/li><li class=\"step\">All key sets with issuer information that matches the <code class=\"codeinline\">iss<\/code> claim of the currently processed JWT are being selected.<\/li><p class=\"par\" id=\"1626375361574_N10056\">That means key sets will <strong class=\"emphasis\">not be considered<\/strong> if the issuer information does not match the iss claim of the processed JWT.<\/p><\/ol><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1626375361574_N100681627473375047\"><strong class=\"emphasis\">Example:<\/strong><\/p><ol xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum instruction Numeric\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Given a mapping has 4 providers with and without <code class=\"codeinline\">iss<\/code> restrictions: <\/li><li class=\"step\">Local JWKS with <code class=\"codeinline\">local_issuer_name<\/code>.<\/li><li class=\"step\">Local JWKS without issuer information.<\/li><li class=\"step\">Remotely fetched JWKS with <code class=\"codeinline\">remote_issuer_name<\/code>.<\/li><li class=\"step\">Remotely fetched JWKS without issuer information.<\/li><\/ol><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1626375361574_N1008A1627474277573\">With this set of information, 4 different types of request scenarios are possible:<\/p><ul xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"> Request where JWT <code class=\"codeinline\">iss<\/code> == <code class=\"codeinline\">local_issuer_name<\/code>:<\/li><li class=\"enum-element\">Selected JWKS: 1 + 2 + 4 <\/li><\/ul><ul xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Request with JWT with <code class=\"codeinline\">iss<\/code> == <code class=\"codeinline\">remote_issuer_name<\/code>:<\/li><li class=\"enum-element\">Selected JWKS: 2 + 3 + 4  <\/li><\/ul><ul xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"> Request with JWT without any <code class=\"codeinline\">iss<\/code>:<\/li><li class=\"enum-element\">Selected JWKS: 2 + 4  <\/li><\/ul><ul xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Request where JWT <code class=\"codeinline\">iss<\/code> does not match any JWKS issuer:<\/li><li class=\"enum-element\">Selected JWKS: 2 + 4<\/li><\/ul><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1626375361574_N100A7\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Stage 2 \u2013 Property selection mechanism<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1626375361574_N1011B\">Using JWK properties, the key selection filter can further reduce the number of keys that have to be tried for the two JWT types <i class=\"italics\">JWS<\/i> and <i class=\"italics\">JWE<\/i>.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Keys are filtered out when:<\/li><li class=\"enum-element\">The optional <code class=\"codeinline\">\"use\"<\/code> property does not match the JWT type.<\/li><li class=\"enum-element\">The optional <code class=\"codeinline\">\"key_ops\"<\/code> does not contain the relevant value of the JWT type.<\/li><li class=\"enum-element\">The optional <code class=\"codeinline\">\"alg\"<\/code> property in its header does not match the <code class=\"codeinline\">\"alg\"<\/code> property of the JWT.<\/li><li class=\"enum-element\">The JWTs optional <code class=\"codeinline\">\"kid\"<\/code> property in its header does not match the keys <code class=\"codeinline\">\"kid\"<\/code> property.<\/li><\/ul><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1626375361574_N101D1\">The property selection mechanism only uses a limited number of properties specified for JWT.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1626375361574_N10105\">The following table adds more detailed information about the properties and their possible values:<\/p><table border=\"0\" cellspacing=\"0\" class=\"table table table- table-block-description table-\" id=\"1626375361574_N1002F\"><col style=\"width:10%;\"\/><col style=\"width:45%;\"\/><col style=\"width:45%;\"\/><thead class=\"thead\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-firstrow table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1626375361574_N10045\"><strong class=\"emphasis\">Property name<\/strong><\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-header table-header-horizontal table-cell-innercol table-cell-col-even-\"><div><p class=\"par\" id=\"1626375361574_N1004A\"><strong class=\"emphasis\">Description<\/strong><\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-odd table-cell-firstrow table-cell-lastcolumn table-header table-header-horizontal table-cell-col-odd-\"><div><p class=\"par\" id=\"1626375361574_N1004F\"><strong class=\"emphasis\">Possible values<\/strong><\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><pre class=\"code\" id=\"N10055\">\"use\"<\/pre><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-innerrow table-cell-innercol table-cell-col-even-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">It states the intended use for the public key.<\/li><li class=\"enum-element\">This property is optional.<\/li><\/ul><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><code class=\"codeinline\">\"sig\"<\/code> \u2013 for signing or verifying<\/li><\/ul><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><pre class=\"code\" id=\"N1006E\">\"key_ops\"<\/pre><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-innerrow table-cell-innercol table-cell-col-even-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">This property is an array that can have entries of different values.<\/li><li class=\"enum-element\">The array values define the key operations that may be performed with that property.<\/li><li class=\"enum-element\">This property is optional.<\/li><\/ul><p class=\"par\" id=\"1626375361574_N100961626442116076\"><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard standard first last\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Only two values are relevant:<\/li><li class=\"enum-element\"><code class=\"codeinline\">\"verify\"<\/code> \u2013 to verify JWS\'<\/li><li class=\"enum-element\"><code class=\"codeinline\">\"decrypt\"<\/code> \u2013 to decrypt JWEs<\/li><\/ul><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-even table-cell-firstcolumn table-cell-innerrow table-cell-col-odd-\"><div><pre class=\"code\" id=\"N10086\">\"alg\"<\/pre><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-innerrow table-cell-innercol table-cell-col-even-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">This property specifies the cryptographical algorithm the JWT is intended to be used with.<\/li><li class=\"enum-element\">This property is optional.<\/li><\/ul><\/div><\/td><td class=\"table-cell table-cell table-cell-even table-cell-lastcolumn table-cell-innerrow table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">JWE\/JWS and JWKs must use the same <code class=\"codeinline\">\"alg\"<\/code>-value.<\/li><li class=\"enum-element\">JWEs with the <code class=\"codeinline\">\"alg\"<\/code> property <code class=\"codeinline\">\"dir\"<\/code> require symmetric keys. In addition, the key length must match the <code class=\"codeinline\">\"enc\"<\/code> key value of the JWE.<\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1626375361589.html\">Reference lists of supported JWKS algorithms<\/a><\/li><\/ul><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-odd table-cell-firstcolumn table-cell-lastrow table-cell-col-odd-\"><div><pre class=\"code\" id=\"N10094\">\"kid\"<\/pre><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastrow table-cell-innercol table-cell-col-even-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The key ID identifies the key and may be present in the JWT\'s header.<\/li><li class=\"enum-element\">This property is optional.<\/li><\/ul><\/div><\/td><td class=\"table-cell table-cell table-cell-odd table-cell-lastrow table-cell-lastcolumn table-cell-col-odd-\"><div><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">JWE\/JWS and JWKs must have the same <code class=\"codeinline\">\"kid\"<\/code>.<\/li><\/ul><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1626375361574_N10013\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">JWKS format example<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1626375361574_N10017\">A JWKS is a set of JWK and has the following format:<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10010\">{ \r\n  \"keys\": &lt;array_of_jwk&gt; \r\n}<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1626375361574_N10028\">Here is an example with two JWK entries:<\/p><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10018\">{ \r\n  \"keys\": [ \r\n    { \r\n      \"kty\": \"RSA\", \r\n      \"n\": \"AJdfpzpkSaMpiyKgsqbr9n1jpnA12vZy8NntcQgxg-oh8N2Lhmdt0ks3i08s4WC7tod6irhXBwdp5QHyRZDODbIzWtJMOk94vZYp9AKJNpoeqdmbe0zLISmzBanRYRNZhMBkRCQCqob2i3urm-RE09HLTT_wvMxLNFuxwTl_gF3hTK4wcjOLkAky8cDbu0NX[...]\", \r\n      \"e\": \"AQAB\", \r\n      \"kid\": \"iPz_o1_uG8p-RmrpR-MX3dO9lDvwMPjmZ-WEWvLn8QM\" \r\n    }, \r\n    { \r\n      \"kty\": \"EC\", \r\n      \"x\": \"APWNl5usaFe3K3O1tQh3bwlQBKgHPuSHZ9O9NvK7uyK2\", \r\n      \"y\": \"HwCd34E8zm0hjnT0c71gBmHv--ABAjFDKBu4dI2-o-w\", \r\n      \"crv\": \"P-256\", \r\n      \"kid\": \"NqFC-b4dDXt3Tmah70rYEkn8JpuPcOS19avwqyRQgqA\", \r\n      \"alg\": \"ES256\" \r\n    } \r\n  ] \r\n}<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1626375361574_N10141\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1626375361589.html\">Reference lists of supported JWKS algorithms<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1626375361568.html\">Submenu \u2013 JWKS Providers<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1626375361852.html\">Local and remote JWKS Providers configuration<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686289775.html\">Section \u2013 Access Tokens<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1606338148306.html\">Tab \u2013 SSL<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';