var m_1632471135633Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Cross-Site Request Forgery (CSRF) protection for SPAs<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1632471135633\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Cross-Site Request Forgery (CSRF) protection for SPAs<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471135633_N10006\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471135633_N10019\">This section aims to explain how any single-page application (SPA) can be protected from CSRF attacks by using the CSRF Token feature of the Security Gate.<\/p><p class=\"par\" id=\"1632471135633_N10007\">Enable CSRF tokens on the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686289787.html\">Tab \u2013 CSRF Tokens<\/a> of the corresponding mapping to protect your application against CSRF attacks.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471135633_N1001E\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">CSRF blocking based on CSRF tokens<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471135633_N10022\">The Security Gate will block any state-changing request with a missing or invalid CSRF token. There are legitimate use cases for which the CSRF token is no longer valid. Typical examples are session timeouts or terminated sessions. In those cases, the gateway\'s response to a CSRF block might be inappropriate for a SPA.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Blocking responses:<\/li><li class=\"enum-element\">If no <span class=\"dialog\">Invalid token redirect location<\/span> was configured, the response is <code class=\"codeinline\">400 Bad Request<\/code> with a generic HTML error page. SPAs typically do not expect HTML content in API responses.<\/li><li class=\"enum-element\">Otherwise, the gateway\'s response is <code class=\"codeinline\">303 See Other<\/code> with a location header pointing towards the configured <span class=\"dialog\">Invalid token redirect location<\/span>. Redirects cannot be handled by SPAs based on <i class=\"italics\">XMLHttpRequest (XHR)<\/i>, such as Angular, and will be directly handled by the web browser.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">The following steps are needed for the SPA to handle this situation more transparently:<\/li><li class=\"enum-element\">Recognize that a CSRF block occurred.<\/li><li class=\"enum-element\">Retrieve a new CSRF token.<\/li><li class=\"enum-element\">Replay the original request with the new CSRF token.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471135633_N10042\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Changing the gateway response for CSRF blocks<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471135633_N10046\">Set the <span class=\"dialog\">invalid token redirect location<\/span> in the CSRF Tokens tab on the corresponding mapping to <code class=\"codeinline\">\/%ENTRYPATH%\/invalid\/csrf-token<\/code>.<\/p><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471135633_N10029\">Note that the exact path is not important as long as the configured value does not collide with any URL used in your application.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1632471135633_N1002B\">To ensure that the SPA can handle the gateway\'s response,  transform the redirect into for example a <code class=\"codeinline\">403 Forbidden<\/code>. <\/p><p class=\"par\" id=\"1632471135633_N100B91632991977470\">To do so, set the following <span class=\"dialog\">Apache Expert Settings<\/span> on the corresponding mapping:<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10061\">RewriteEngine On \r\nRewriteRule \"invalid\/csrf-token\" \"-\" [F]<\/pre><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1632471135633_N1004C\">The path in the rewrite rule must match the previously configured invalid token redirect location. With this rewrite rule, any request to <code class=\"codeinline\">\/%ENTRYPATH%\/invalid\/csrf-token<\/code> will be responded to by a <code class=\"codeinline\">403 Forbidden<\/code>.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">The changes above ensure that in case of a CSRF block:<\/li><li class=\"enum-element\">The user\'s session ID and CSRF token will be renewed. These new values are delivered as cookies in the gateway\'s response (<code class=\"codeinline\">303 See Other<\/code> towards <code class=\"codeinline\">\/%ENTRYPATH%\/invalid\/csrf-token<\/code>) to the CSRF block.<\/li><li class=\"enum-element\">The user\'s browser follows the redirect and effectuates a <code class=\"codeinline\">GET \/%ENTRYPATH%\/invalid\/csrf-token<\/code> which is answered by a <code class=\"codeinline\">403 Forbidden<\/code>. This error is propagated to your SPA which can then handle it appropriately.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471135633_N100A8\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Intercepting in your SPA gateway response to CSRF Blocks<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471135633_N100AC\">The exact syntax to intercept an HTTP request or response depends on the exact framework used by your SPA.<\/p><p class=\"par\" id=\"1632471135633_N100AF\">The following example has been successfully tested with Angular 11 and 12. It assumes that the SPA uses the Angular framework and implements the <code class=\"codeinline\">HttpInterceptor<\/code> interface:<\/p><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonShow\" href=\"#\"><span class=\"showMore\">Show more<\/span><span class=\"showLess\">Show less<\/span><\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div character-limit=\"200\" class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471135633_N100B9\"><strong class=\"emphasis\">Example of a CSRF Block Interceptor in Angular:<\/strong><\/p><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N100BB\">import {HttpErrorResponse, HttpEvent, HttpHandler, HttpInterceptor, HttpRequest} from \'@angular\/common\/http\'; \r\nimport {Observable} from \'rxjs\'; \r\nimport {catchError} from \'rxjs\/operators\'; \r\nimport {Injectable} from \'@angular\/core\'; \r\n  \r\n@Injectable() \r\nexport class CsrfBlockInterceptor implements HttpInterceptor { \r\n  \r\n    intercept (req: HttpRequest&lt;any&gt;, next: HttpHandler): Observable&lt;HttpEvent&lt;any&gt;&gt; { \r\n        return next.handle(req).pipe( \r\n            catchError((error: HttpErrorResponse) =&gt; { \r\n                if (this.isCsrfBlock(error)) { \r\n                    return this.replayRequest(req, next); \r\n                } \r\n                return this.anyOtherInternalErrorHandling(error); \r\n            }) \r\n        ); \r\n    } \r\n  \r\n    private isCsrfBlock (error: HttpErrorResponse): boolean | undefined { \r\n        \/\/the end of the url needs to match the one configured as \"Invalid token redirect location\" \r\n        return error.status === 403 &amp;&amp; error.url?.endsWith(\'\/invalid\/csrf-token\'); \r\n    } \r\n  \r\n    private replayRequest (req: HttpRequest&lt;any&gt;, next: HttpHandler): Observable&lt;HttpEvent&lt;any&gt;&gt; { \r\n        return next.handle(req); \r\n    } \r\n  \r\n    private anyOtherInternalErrorHandling (error: HttpErrorResponse) { \r\n        return observableThrowError(error); \r\n    } \r\n  \r\n}<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471135633_N100BD\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Sequences of requests and responses<\/h2><\/div><\/header><div class=\" block-content-ct\"><div xmlns=\"\" class=\"container-warning advice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_advice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471135633_N100C4\">Note that the normal sequence of requests and responses between your SPA and the Security Gate is not modified in any way by our exemplary configuration as long as no CSRF block occurs.<\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471135633_N100C7\">When a CSRF block occurs, then an extra round-trip between your application and the gateway is made to handle the CSRF block transparently. This additional delay should be acceptable for most applications since a CSRF block typically occurs at most once per user session.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1632471135633_N10027\">In case a CSRF block occurs, the sequence of requests and responses with our exemplary configuration is depicted below. Note that only relevant headers are displayed.<\/p><figure class=\"media\"><div class=\"media-theme\" id=\"1632471135633_N1029C\"><img alt=\"redirects-during-a-csrf-block-8924d185a3bb27b1d7533aa9d14d9bf6ed5654b623141d21b404df431c9092f0\" class=\"media-theme-img-tag png\" src=\"..\/media\/01_Books\/01_Airlock_Gateway_Manuals\/_23Module_23\/Release_7.7\/CSRF_-_ALIAM-14483_ALPOOL-31405_DOC-711\/references\/mediaset\/png\/redirects-during-a-csrf-block-8924d185a3bb27b1d7533aa9d14d9bf6ed5654b623141d21b404df431c9092f0.theme\/1.0\/en-us.redirects-during-a-csrf-block-8924d185a3bb27b1d7533aa9d14d9bf6ed5654b623141d21b404df431c9092f0_html.png\" style=\"width:;height:515px;border:0;\"\/><\/div><\/figure><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 Numeric\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">(A) Your SPA does some state-changing requests (here a <code class=\"codeinline\">POST<\/code> request) with an invalid CSRF token. This is for example the case when the user session is no longer valid (possibly due to a timeout).<\/li><li class=\"step\">(B) The Security Gate verifies the provided CSRF token and considers it to be invalid since the corresponding session is invalid. This triggers a CSRF block. <br\/>The gateway responds with a redirect towards the configured Invalid token redirect location and provides via cookies a new session ID and CSRF token.<\/li><li class=\"step\">(C) The redirect is not propagated to your SPA but is instead directly handled by the user\'s web browser, which issues a <code class=\"codeinline\">GET<\/code> request towards the configured invalid token redirect location.<\/li><li class=\"step\">(D) The configured mapping settings ensure that any request towards the configured invalid token redirect location will be answered by <code class=\"codeinline\">403 Forbidden<\/code>.<\/li><li class=\"step\">(E) The <code class=\"codeinline\">403 Forbidden<\/code> response is propagated to your SPA, which intercepts it and recognizes from the request URL in (C) that a CSRF block occurred. <br\/>The SPA can then replay the original request from (A) transparently using the new session ID and CSRF token. The script initially injected by the Security Gate will automatically inject the CSRF token to the appropriate header.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471135633_N10165\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Pre-configured mapping templates are included in <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock IAM<\/span>  starting with <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">IAM<\/span> 7.5. See <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/docs.airlock.com\/iam\/latest?topic=IAM-00000003\" target=\"_blank\">Configuration of IAM mappings<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/en.wikipedia.org\/wiki\/Single-page_application\" target=\"_blank\">What are single-page applications (SPAs)?<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';