var m_1632471138238Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Cross-Site Request Forgery (CSRF) protection<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1632471138238\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Cross-Site Request Forgery (CSRF) protection<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471138238_N1000A\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471138238_N1001B\">If you are already familiar with CSRF attacks and the protection offered by <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> against it, you can skip ahead and jump to <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1632471135633.html\">Cross-Site Request Forgery (CSRF) protection for SPAs<\/a>.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471138238_N10006\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Cross-Site Request Forgery attacks and vulnerability<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471138238_N10007\">A Cross-Site Request Forgery (CSRF) attack consists of sending illegitimate requests to a site on behalf of a user who is already authenticated via a session cookie. These illegitimate requests are usually triggered by the authenticated user visiting a malicious website, which sends the forged requests to the target site  (typically using Javascript in a web browser). Without CSRF protection, the session cookie and the requests originating from the malicious site are indistinguishable from legitimate requests by the server.<\/p><div xmlns=\"\" class=\"container-warning notice\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/notice_white.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_notice\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471138238_N10009\">Note that the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/developer.mozilla.org\/en-US\/docs\/Web\/Security\/Same-origin_policy\" target=\"_blank\">same-origin policy<\/a> implemented in web browsers ensures that responses to requests originating from the malicious site cannot be accessed by the malicious script. <\/p><ul xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">Read-only operations like <code class=\"codeinline\">GET<\/code> requests are considered to be <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/www.rfc-editor.org\/rfc\/rfc7231#page-22\" target=\"_blank\">safe request methods<\/a> and therefore not subject to CSRF attacks.<\/li><li class=\"enum-element\">When CSRF protection is enabled, the CSRF token is automatically disabled for sessions that do not use the Security Gate session cookie. So, for example, for mobile applications that cannot use the Security Gate session cookie, but instead use the configured request header for session tracking. Note that this implicit disabling is not visible in the log files.<\/li><\/ul><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471138238_N1002B\"><\/p><\/div><\/div><\/div><\/div><\/div><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Your application is vulnerable to Cross-Site Request Forgery attacks if <strong class=\"emphasis\">all<\/strong> the following points are true:<\/li><li class=\"enum-element\">The user\'s web browser can automatically send the session credentials. This includes but is not limited to the case where session tracking is done via cookies. Credentials from other authentication schemes, such as Basic or client certificate authentication, can also be automatically sent by the browser.<\/li><li class=\"enum-element\">There are state-changing requests requiring an authenticated session.<\/li><li class=\"enum-element\">The URLs of those state-changing requests are not secret. This is usually always the case excepted when session-based URL encryption is enabled.<\/li><\/ul><p class=\"par\" id=\"1632471138238_N100C9\">We highly recommend enabling the Security Gate CSRF token if your application is vulnerable to CSRF attacks.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471138238_N100C0\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">CSRF protection by Security Gate<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471138238_N10027\">The Security Gate can protect your web application against Cross-Site Request Forgery (CSRF) attacks using <i class=\"italics\">CSRF tokens<\/i>.<\/p><p class=\"par\" id=\"1632471138238_N10081\">Until <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> 7.6, CSRF tokens were only used to protect POST requests which are insufficient for modern REST APIs used by a typical single-page application (SPA). With <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock Gateway<\/span> 7.6 and later, CSRF tokens can protect all request types except for GET, HEAD and OPTIONS requests.<\/p><div xmlns=\"\" class=\"container-warning observe\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_observe\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471138238_N1004C\">Standard read-only GET requests are expected to be idempotent and safe (see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/datatracker.ietf.org\/doc\/html\/rfc2616\" target=\"_blank\">RFC2616<\/a>). State-changing operations implemented using <code class=\"codeinline\">GET<\/code> requests are therefore non-standard and should be avoided as they additionally pose a security risk for Cross-Site Request Forgery.<\/p><ul xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">They can be the target of CSRF attacks.<\/li><li class=\"enum-element\">The CSRF tokens functionality of the Security Gate will not protect <code class=\"codeinline\">GET<\/code> requests.<\/li><li class=\"enum-element\">If possible, modify your application to ensure that state-changing operations are implemented using standard <code class=\"codeinline\">POST<\/code>, <code class=\"codeinline\">PATCH<\/code>, <code class=\"codeinline\">PUT<\/code> or <code class=\"codeinline\">DELETE<\/code> requests.<\/li><li class=\"enum-element\">Otherwise, ensure that those <code class=\"codeinline\">GET<\/code> requests are sufficiently protected against CSRF attacks (see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/cheatsheetseries.owasp.org\/cheatsheets\/Cross-Site_Request_Forgery_Prevention_Cheat_Sheet.html\" target=\"_blank\">OWASP - Cross-Site Request Forgery Prevention Cheat Sheet<\/a>).<\/li><\/ul><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471138238_N10113\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Security Gate CSRF defense in depth<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471138238_N10118\">The Security Gate offers a defense in depth against CSRF attacks as recommended by current best practices (see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/cheatsheetseries.owasp.org\/cheatsheets\/Cross-Site_Request_Forgery_Prevention_Cheat_Sheet.html\" target=\"_blank\">OWASP - Cross-Site Request Forgery Prevention Cheat Sheet<\/a>).<\/p><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471138238_N1012B\">The CSRF token is named CSRFT759 by default for all HTTP requests and CSRFT759-S for HTTPS.<\/p><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1632471138238_N1013D\">Note that the token name can be changed in the field <span class=\"dialog\">CSRF token name<\/span> under <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435032076.html\">Cookies and Tokens<\/a>.<\/p><\/div><\/div><\/div><\/div><\/div><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">The countermeasures include:<\/li><li class=\"enum-element\">Standard security attributes on session cookies, such as HttpOnly, Secure, and SameSite.<\/li><li class=\"enum-element\">The option to protect mappings by enabling CSRF tokens for each mapping. This does the following:<\/li><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The Security Gate generates a random token bound to the user session. This token will be sent to the client via an additional cookie (CSRFT759) when the user session is created.<\/li><li class=\"enum-element\">Every state-changing request is then required to provide the delivered token in a specific request <i class=\"italics\">header<\/i> (X-CSRFT759) in order not to be blocked by the Security Gate. However, for <code class=\"codeinline\">POST<\/code> requests also the <code class=\"codeinline\">POST<\/code> parameter <code class=\"codeinline\">CSRFT759<\/code> can be used for forms with content type <code class=\"codeinline\">application\/x-www-form-urlencoded<\/code>.<\/li><\/ul><\/ul><p class=\"par\" id=\"1632471138238_N10166\">Note that CSRF countermeasures cannot apply in situations where the Security Gate CSRF token is not used (header-based session tracking) i.e. for non-browser-based mobile applications. <\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471138238_N1005F\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\"> Same-origin policy web browser implementation<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1632471138238_N10063\">The protection offered by Security Gate CSRF tokens relies on the correct implementation of the same-origin policy by the user\'s web browser, which prevents scripts from another origin to be able to read the value of the CSRF token delivered in the corresponding cookie.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">General requirements and thoughts:<\/li><li class=\"enum-element\">Correct implementation of the same-origin policy. No other assumption on the user\'s browser (e.g., support for the SameSite cookie attribute, correct implementation of CORS, etc.) is required for the protection to be effective.<\/li><li class=\"enum-element\">The application must not be vulnerable to XSS attacks. If vulnerable, an injected malicious script could directly send malicious requests to the server which can not be blocked by the CSRF token feature. Such requests would be indistinguishable from requests executed by legit JavaScript code in the application.<\/li><li class=\"enum-element\">Reading the CSRF token from the cookie to set it as a custom header in a state-changing request will be handled via JavaScript. The cookie (CSRFT759) delivering the CSRF token to the client does therefore not have the security attribute HttpOnly \u2013 in contrast to the session cookie. This, however, is of no consequence for the security based on the previous assumptions (same-origin policy and impossibility of XSS attacks).<\/li><li class=\"enum-element\">If your application (e.g. the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Airlock IAM<\/span> <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Loginapp UI<\/span>) is being delivered through a gateway mapping with CSRF tokens enabled, a script tag referencing a JavaScript file is automatically injected by the <span class=\"include-text\" data-objid=\"1587054503497\" data-objtype=\"doc\" data-serverid=\"JACKRABBIT\">Gateway<\/span>. This feature transparently attaches the CSRF token to every state-changing request, your SPA does therefore not need to handle CSRF tokens at all.<\/li><\/ul><p class=\"par\" id=\"1632471138238_N10019\">See <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-detail\" href=\"..\/data\/1632471135633.html#1632471135633_N100BD\">Sequences of requests and responses<\/a> for an exemplary sequence diagram.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1632471138238_N1008D\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1632471135633.html\">Cross-Site Request Forgery (CSRF) protection for SPAs<\/a><\/li><li class=\"enum-element\">Session-based URL encryption: <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1583435029758.html\">Tab \u2013 URL Encryption<\/a><\/li><li class=\"enum-element\">Enable\/disable CSRF token: <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1574686289787.html\">Tab \u2013 CSRF Tokens<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';