var m_1648621032193Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Airlock Gateway rewrite engine with URL encryption<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1648621032193\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Airlock Gateway rewrite engine with URL encryption<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1648621032193_N10005\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1583435029758_N10009\">Based on a powerful back-end HTML content rewriting engine Airlock Gateway provides advanced URL encryption and dynamic form protection functions.  When enabled, dynamically encrypted URLs (in combination with cryptographically protected HTML forms) prevent anyone from sending illegal requests or malicious user data to the application server.<\/p><figure class=\"media shadow\"><div class=\"media-theme shadow\" id=\"1648621032193_N1000E\"><img alt=\"Section - URL Encryption\" class=\"media-theme-img-tag png shadow\" src=\"..\/media\/05_Media\/Screenshots\/GW\/Airlock_GW_Control_Center\/Section_-_URL_Encryption.theme\/1.2\/en-us.Section_-_URL_Encryption_html.png\" style=\"width:;height:270px;border:0;\"\/><\/div><\/figure><p class=\"par\" id=\"1648621032193_N10030\">Example what an encrypted URL may look like in a browser:<\/p><figure class=\"media\"><div class=\"media-theme shadow\" id=\"1648621032193_N10031\"><img alt=\"Encrypted URL as seen in browsers address bar\" class=\"media-theme-img-tag png shadow\" src=\"..\/media\/01_Books\/01_Airlock_Gateway_Manuals\/_23Module_23\/Release_8.0\/DOC_840\/references\/mediaset\/png\/Encrypted_URL_as_seen_in_browsers_address_bar.theme\/1.0\/en-us.Encrypted_URL_as_seen_in_browsers_address_bar_html.png\" style=\"width:;height:31px;border:0;\"\/><\/div><\/figure><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">These security functions can completely protect an application against forceful browsing attacks:<\/li><li class=\"enum-element\">Users and attackers cannot retrieve information about the back-end applications because the URLs are encrypted. <\/li><li class=\"enum-element\">No request manipulation or sending of invalid user input fields is possible anymore.<\/li><\/ul><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1648621032193_N10010\"><i class=\"italics\">Dynamic allowlisting<\/i> with URL encryption is a <i class=\"italics\">positive security model<\/i>. There is no need for iterative re-learning! <\/p><\/div><\/div><\/div><\/div><\/div><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">At a glance:<\/li><li class=\"enum-element\">The web application defines the allowed requests.<\/li><li class=\"enum-element\">URL encryption is transparent and requires no changes to the application.<\/li><li class=\"enum-element\">Only allowed URLs are forwarded to the application server. Everything else is blocked.<\/li><li class=\"enum-element\">Airlock enforces secure application usage with dynamic allowlisting in real-time.<\/li><li class=\"enum-element\">Only a positive security model can prevent unknown attacks and zero-day exploits. No learning phase is necessary for the Airlock Gateway URL encryption and Smart Form protection engine to instantly protect a Web application.<\/li><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1648621032193_N1003D\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">URL encryption in action<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1648621032193_N10026\">In this showcase, only a single entry URL (for <code class=\"codeinline\">https:\/\/www.myapp.demo<\/code>) has been configured in Airlock Gateway. All further links and documents accessible from that entry page are then automatically protected.<\/p><ol class=\"enum-enum-instruction container-enum instruction fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"step\">The user requests the web application\'s entry page, e.g. <code class=\"codeinline\">https:\/\/www.myapp.demo<\/code>.<\/li><li class=\"step\">The web application returns an HTML document containing many links that lead to further pages of the same web application, e.g. <code class=\"codeinline\">HTTP:\/\/192.168.1.123\/news.php?include=news.txt<\/code>.<\/li><li class=\"step\">Airlock Gateway processes the document and encrypts all URLs, i.e. the path, file name, and others before returning e.g. <code class=\"codeinline\">https:\/\/www.myapp.com\/$xp1\/GMnGuYqPtCSYMQgb<\/code> to the users\' browser.<\/li><li class=\"step result\">The following is achieved:<\/li><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">All parameters of an URL are cryptographically protected against tampering. <\/li><li class=\"enum-element\">Beyond the entry page, all further requests must have encrypted URLs. <\/li><li class=\"enum-element\">Manipulated or unencrypted URLs will be blocked.<\/li><\/ul><li class=\"step\">Correct requests are decrypted and the original plain text URL is sent to web application.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1648621032193_N10093\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Internal links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1648621032202.html\">Configuration example cases for URL encryption <\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';