var m_1689269958466Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Recommendations for assigning mappings to Anomaly Shield applications<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1689269958466\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Recommendations for assigning mappings to Anomaly Shield applications<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1689269958466_N1000A\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1689269958466_N1000B\">Every Anomaly Shield application can combine one or more mappings for data collection, training and protection \u2013 but how can you decide whether two mappings should be combined into the same AS application or kept separate? The information in this article should help answer this question.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">General considerations:<\/strong><\/li><li class=\"enum-element\">Mappings that behave similarly should be combined into a single AS application. Combining multiple mappings into a single AS application allows for faster training data collection due to a potentially high request rate. It improves model training to determine normal (non-anomalous) traffic.<\/li><li class=\"enum-element\">Mappings that protect back-end applications with different technology or different business logic should be assigned to separate AS applications.<\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Separate AS applications for mappings with differences in business logic:<\/strong><\/li><li class=\"enum-element\">Mappings belong to different business functions.<\/li><li class=\"enum-element\">Mappings cover different user groups, e.g., regular users and professional users.<\/li><p class=\"par\" id=\"1689269958466_N1001B\">Different business functions and user groups generate inhomogeneous traffic \u2013 an AS application works best with homogeneous traffic.<\/p><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Separate AS applications for mappings with differences in used technologies:<\/strong><\/li><li class=\"enum-element\">Mappings distinguish between a desktop and mobile application.<\/li><li class=\"enum-element\">Mappings belong to different technical components.<\/li><li class=\"enum-element\">Mappings belong to different software versions, and there may be significant changes.<\/li><p class=\"par\" id=\"1689269958466_N10026\">Different back-end technologies and functions can generate non-comparable traffic \u2013 an AS application works best with comparable traffic.<\/p><\/ul><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1689269958466_N1003C\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Examples<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1689269958466_N1003F\">The following examples demonstrate how the above rules can be applied:<\/p><table border=\"0\" cellspacing=\"0\" class=\"table table table-BoldHeader table-BoldHeader table- table-block-description table-\" id=\"1689269958466_N10041\"><col style=\"width:33%;\"\/><col style=\"width:10%;\"\/><col style=\"width:33%;\"\/><thead class=\"thead-BoldHeader\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-header table-header-horizontal table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10057\">Use case<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-header table-header-horizontal table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N1005C\">Mappings<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-header table-header-horizontal table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10061\">Reason<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody-BoldHeader\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10067\">An e-banking application uses Airlock IAM to authenticate its users.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-innerrow table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N1006C\"><i class=\"italics\">separate<\/i><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10071\">The e-banking application and Airlock IAM use different technologies and provide other business logic.<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\" rowspan=\"2\"><div><p class=\"par\" id=\"1689269958466_N10078\">The same users use an e-banking application and a trading platform application.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-innerrow table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N1007D\"><i class=\"italics\">separate<\/i><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10082\">If the applications are from different vendors, the technology and business logic difference is sufficient to keep them separate.<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-innerrow table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10088\"><i class=\"italics\">combined<\/i><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N1008D\">If the applications are from the same vendor and use the same technology, you should keep them combined.<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10093\">A large Wordpress site that hosts portals for multiple customers.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N10098\"><i class=\"italics\">combined<\/i><\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1689269958466_N1009D\">The technology is the same and the business logic is still very similar. These sites should be kept combined.<\/p><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';