Smc.XSearch.add('../data/1576844236664.html','Titel Main Manual Airlock Gateway 8.3 30.10.2024','Titel','','')
Smc.XSearch.add('../data/1565679354509.html','Table of contents Titel Table of contents Airlock Secure Access Hub Semantic versioning scheme for Airlock Secure Access Hub components About this document How information is structured in this manual Leveled prerequisites Warning tiers in this document Additional panel types About Airlock Gateway Airlock Gateway license and sales 3rd party software license conditions System and hardware requirements Resource requirements for on-premises installations Resource requirements for cloud installations Performance considerations on load and configuration Hardware configuration recommendations Supported SSL/TLS versions About the Airlock Gateway user interfaces About the Airlock Gateway admin menu About the Airlock Gateway Configuration Center Release notes New features in Airlock Gateway 8.3 Actions required when upgrading Changelog Airlock Gateway 8.3 Getting started Prepare the installation media Quick installation guide for Airlock Gateway on-premises installation Updating Airlock Gateway using the admin menu Apply an update interactively Apply an update non-interactively NIC setups for cloud and on-premises installations Public cloud installations On-premises installations General warnings and recommendations Basic concepts and functional overviews Airlock Anomaly Shield Terms and definitions related to Airlock Anomaly Shield Architecture overview Anomaly detection Airlock Gateway rewrite engine with URL encryption Airlock Gateway Smart Form Protection API access control with Airlock Secure Access Hub Solution overview Tech-Client management Attribute locking in the Configuration Center Back-end load balancing and failover Runtime behavior Load balancing example cases Clustering, load-balancing, and failover scenarios for Airlock Gateway setups Cookie handling and cookie types Environment cookies Cookie security attributes Cross-Site Request Forgery (CSRF) protection Dynamic back-end group selection Entry path to back-end path settings Entry path as Directory or Regular expression Option Enforce trailing slashes HTTP/HTML rewriting JSON parsing and filtering JWKS and JWK selection by filtering Reference lists of supported JWKS algorithms Multitenancy feature Terms and definitions Role and rights management for tenant-user s Security considerations Manage tenant-user s Practical applications and examples Rewrite variables Rule-based filtering Simultaneous administration and configuration merge How does configuration merge work in general? When does the merge process fail? Cancel vs. overwrite a configuration REST API based Airlock Gateway configuration and management interface Configuration Center (web-based GUI) Button – Activate Menu – Dashboard Section – Users logged in Section – System health Section – Proxy statistics Menu – System Setup Submenu – License Submenu – Updates Submenu – Nodes & Interfaces Submenu – Routes Submenu – Hosts Submenu – Network Services Submenu – Threat Intelligence Submenu – IP Address Lists Submenu – System Admin Menu – Application Firewall Submenu – Reverse Proxy Submenu – Policy Learning Submenu – Anomaly Shield Submenu – Geolocation Filter Submenu – Certificates Submenu – JWKS Providers Submenu – Session Submenu – Default Actions Submenu – Deny Rules Submenu – API Security Submenu – Dynamic IP Blacklist Submenu – Error Pages Menu – Log & Report Submenu – Log Viewer Submenu – Reporting Submenu – Session Viewer Submenu – System Monitor Submenu – Settings Menu – Configuration Submenu – Configuration Files Submenu – Configuration Summary Menu – Expert Settings Submenu – Security Gate / Apache Submenu – Add-on Modules Configuration examples and guides for general configuration tasks Airlock Anomaly Shield configuration Part 1 – Preconfigure an Airlock Anomaly Shield application Part 2 – Training and model enforcement Part 3 – Trigger, pattern and rule configuration Part 4 – Activate detection and response action (log-only mode) Part 5 – Analyze and adjust threat handling settings Optional configuration of Traffic Matchers Recommendations for assigning mappings to Anomaly Shield applications Airlock Anomaly Shield logs, tuning and advanced configuration Airlock Gateway failover setup for on-premises installations Setup a failover cluster Remote activation within an Airlock Gateway failover cluster Maintaining actions on cluster nodes Hardware replacement in failover cluster Allow rule configuration API access control configuration for Airlock IAM and Airlock Gateway Configure the Airlock IAM API policy service Configure Tech-Client management in Airlock IAM Configure API gateway for API key-based access control Configure and manage custom HTTP error pages Customize Elasticsearch data archiving Configuration example cases for URL encryption Configure filter rules using regular expression patterns Regular Expressions basic examples Regular Expressions advanced examples Cookie parsing according to RFC 6265 Customizing events Deny rule configuration Blocking levels Blocking and logging Deny rule exceptions How to choose/switch to the best session handling mode HTTP compression Remote Elasticsearch access with HTTPS Syslog forwarding with SSL TLS/SSL Certificate creation Using the policy learning feature Integration tasks for web applications and 3rd-party software Control API Control API cookie ICAP control API header General command syntax Session authorization Basic-Auth propagation NTLM propagation Session control Selecting session tracking mode via API Audit token Setting HTTP headers Kerberos user and domain Session timeout Authentication workflow Session variables Pseudo code Unconditional control API commands Summary of syntax rules Expert Settings Using header tokens for session tracking Cross-Site Request Forgery (CSRF) protection for SPAs ICAP configuration Local and remote JWKS Providers configuration GraphQL integration Let´s Encrypt as certificate provider Threat Intelligence by Webroot BrightCloud Microsoft integration guides Integration of Microsoft Exchange 2016 / 2019 Publishing Microsoft SharePoint 2016 Publishing Microsoft SharePoint 2019 Publishing Microsoft WebDAV Kerberos integration Tasks to maintain and improve the operation Working with Airlock Anomaly Shield dashboards Airlock Gateway failover cluster upgrade with full system installation Airlock Gateway Configuration Center access via IAM Configure Airlock IAM access management using URL parameters (recommended) Configure IAM access management using cookies (alternative) Emergency access and troubleshooting Automatic configuration backup with SCP System backup/restore via the Airlock Gateway admin menu or scripts Client connection handling keepalive using the Apache MPM module instead of the Apache HTTP Server Configure automatic updates for the geolocation database Increasing the Java heap space for Configuration Center Tomcat and the Airlock management agent Logs and diagnostics List of frequent events Possible ICAP problem - response time repeatedly too high Possible back-end problem – response time repeatedly too high Possible attack - many requests with status code 404 Possible attack - many requests blocked SSH login with public/private key authentication Reference documentation Airlock Gateway default deny rule groups and request/response actions Default Deny Rules Default Request Actions Default Response Actions Reference lists of log messages and events Log messages Events Administrative roles in Airlock Gateway Expert settings collection Regular Expressions advanced examples Modification of default Apache SSL/TLS settings Deploy Apache mod_status for analysis purposes Troubleshooting and support Network traffic tracing using tcpdump and TShark/Wireshark Network traffic tracking based on conntrace log messages','Table of contents','','')
Smc.XSearch.add('../data/1583435036195.html','Airlock Secure Access Hub Airlock Secure Access Hub - a consolidated all-in-one solution is a central hub for secure access management in a digitized world. It is built on a flexible architecture to deliver a full set of functionalities. The following picture gives an overview of the Secure Access Hub on different levels: components, modules, and solutions. Components The tangible components of the Secure Access Hub are the following: Airlock Gateway Airlock Microgateway Airlock IAM Components are independent pieces of software that are downloaded and installed (or instantiated) separately. There is a separate manual for each of these components. Modules Components consist of functional modules. Modules are licensed individually and are associated with a price. That is, buying the Secure Access Hub boils down to selecting the relevant modules. Some modules come with a sizing parameter, others are priced relative to a base module and still others have a flat price. Solutions Depending on which modules and components are combined, a large variety of solutions can be built. Solutions are not hardwired packages, but simply a term for describing the resulting way of using the Airlock Secure Access Hub. Solutions may reflect market needs and are typically designed around specific use-cases. The picture gives examples of possible solutions, without claiming completeness. Example solutions Authn/Authz Server: Airlock IAM with enhanced authentication and self-service modules could be used as a simple local authentication server, e.g., for authenticating VPN sessions. Web Access Gateway: Using Airlock IAM as an authentication server for web sessions together with Airlock Gateway as a web proxy for authentication enforcement. Web Application Firewall (WAF): A basic Web Application Firewall can be built using modules GW Base and GW Webroot. More modules can always be added. For instance, by adding the GW API module, the WAF is turned into a WAAP (Web Application and API Protection) solution. API Security Gateway: A WAAP solution, combined with Airlock IAM´s API Management module offers API access control with API usage plans. Zero Trust for Microsevices:By combining Airlock Microgateway with Airlock IAM´s federation modules, you get a powerful zero trust policy enforcement point for content security and access control. Secure Online Banking: Securing online banking systems requires a combination of a WAF and Authentication Server solution. Additional modules for banking needs, such as PSD2 or transaction approval, are available as well, rounding off the solution. Solutions are flexible and can grow over time. Additional modules can always be added later on by simply updating the product license. Component documentation and UI This documentation is available online with enhanced search options (Apache Lucene) and downloadable as a stand-alone JavaScript version on docs.airlock.com . Our manuals are centered around Components and are available as Airlock Gateway , Airlock Microgateway , and Airlock IAM manual. However, documentation and the UI still contain legacy wording that does not necessarily reflect today´s view-oriented Airlock Secure Access Hub​ communication.','Airlock Secure Access Hub','','')
Smc.XSearch.add('../data/1627571813359.html','Airlock semantic versioning scheme Semantic versioning scheme for Airlock Secure Access Hub components This article describes the versioning scheme of the Airlock products. Affected components: Airlock Gateway About the versioning scheme The versioning scheme is based on semantic versioning with specific definitions of breaking change: Goals and motivation: One versioning scheme for Airlock Gateway, Microgateway, and IAM. The version number indicates the expected upgrade effort. Specific definitions of breaking changes Semantic versioning requires a release to be major whenever it contains breaking changes. We adhere to the following definitions of breaking change. A version is considered to be breaking and, therefore a major release in the following cases: Airlock Gateway In case of invasive changes, potentially requiring manual configuration changes or re-testing of already integrated applications (e.g. major rule or parser changes, new regex engine, removal of deprecated features, etc.). Changes in the config REST API with expected high impact for customers. Non-backward-compatible changes in the control API. If a full re-installation is necessary (e.g. major OS update). Changes on non-published features or features marked as incubating are not considered breaking.','Semantic versioning scheme for Airlock Secure Access Hub components','','')
Smc.XSearch.add('../data/1605524572599.html','About this document This chapter contains basic information about this manual. Among other things, it serves to: Introduce panel types of the different warning levels and text panels that can be found in this manual. Introduce additional panel types that can be found in this manual. Provide an overview of how we sorted the different chapters and topics of this manual. Found errors? Please report errors in this documentation (release date: 2024/10/30) by mail to documentation-feedback@airlock.com . When reporting errors, please let us know: The full title of the referred document. What kind of problem or error you found. If ever possible, send us a copy or a screenshot of the affected document page. Thank you very much for your support! Your feedback is highly appreciated.','About this document','','##warning_level##:important|autocomplete_use:true')
Smc.XSearch.add('../data/1710760544513.html','How information is structured in this manual Although we have linked information between different types of information and chapters below, using the search functionality of the online help manual is the fastest way to find all occurrences linked to the information you are looking up. Information sorting in this manual Information type Content/targeted information Main chapters General information Information about this documentation and how to use it most efficiently Introductory product information Airlock Secure Access Hub About this document Preparational content License information and requirements Release notes Introductory content About Airlock Gateway Release notes General warnings and recommendations Getting started Quick start guide for installation Getting started Conceptual and functional overview A selection of concepts and functionalities of Airlock Gateway for basic understanding and introduction Basic concepts and functional overviews Configuration interfaces REST API Configuration Center interface Airlock Gateway REST API Airlock Gateway Configuration center Configuration, integration, and operation Instructions and examples for elementary configuration, integration, and operation Configuration examples and guides for general configuration tasks Integration tasks for web applications and 3rd-party software Tasks to maintain and improve the operation Default groups and actions Lists with Airlock Gateway defaults Airlock Gateway default deny rule groups and request/response actions Logs and diagnostics Tools and log lists Logs and diagnostics Expert settings collection Documentation for expert-level settings e.g. configurations of core functionalities Expert settings collection','How information is structured in this manual','','##warning_level##:important|autocomplete_use:true')
Smc.XSearch.add('../data/1567166011258.html','Leveled prerequisites Within our documentation, we have rationalized the use of prerequisite elements to three different levels. Document related prerequisites, which apply to the whole document and are of basic type. Chapter related prerequisites, which apply to a chapter including its subchapters. Special prerequisites, which apply to a single Instruction list. This way, we effectively reduce the information load onto our readers, without sacrificing important information.','Leveled prerequisites','','')
Smc.XSearch.add('../data/1567166011260.html','Warning tiers Warning tiers in this document We use 3 different types of warning messages for digital hazards. Our warning types are as follows: Risk (red) for potential security risks. Limitation (dark yellow) for functional limitations. Notice (blue) for general important information. We always place our warning messages before the hazardous situation. Full-size warning layout examples This type of warning is used in case of data security hazards. This type of warning is used in the case of functional restrictions or limitations. This type of warning is used in cases where none of the above warning types are applicable. Compact warnings Where the full-size warning layout might distract the reader too much, we make use of the compact warning messages layout. This type of warning is used in case of data security hazards. This type of warning is used in the case of functional restrictions or limitations. This type of warning is used in cases where none of the above warning types are applicable. Compact warning messages are equivalent to our standard warning messages.','Warning tiers in this document','','')
Smc.XSearch.add('../data/1567166011283.html','Additional panel types The following specially formatted content types are not part of our warning concept but can be found in this documentation: Used for additional information which is of mostly informative character. Used for examples and configuration file content. Used for all types of terminal output and commands. Can also be used for examples, similar to the panel type above. Used for informal information and to highlight specific information. Used for quotations, e.g. for copied text snippets from external sources.','Additional panel types','','')
Smc.XSearch.add('../data/1583435026192.html','About Airlock Gateway Within the Airlock Secure Access Hub , Airlock Gateway acts as a central reverse proxy for all HTTPS connections and protects against web attacks. Airlock Gateway analyses all the traffic to the services and applications under protection, blocking attempted attacks long before they reach in-house services. Airlock Gateway provides comprehensive protection against OWASP Top 10 vulnerabilities, enabling centralized management of security guidelines. Airlock Gateway works in conjunction with Airlock IAM to ensure secure session management while serving as a policy enforcement point for authentication and authorization decisions. Following DevOps principles, a cascaded setup with Airlock Gateway and Airlock Microgateway allows a DevSecOps culture, i.e. is an architecture for securing microservices. An architecture for securing microservices The following architecture overview shows an Airlock Gateway and Airlock Microgateway s in a cascaded setup - each with individual tasks and responsibilities. Having a central Airlock Gateway in front of the Airlock Microgateway is no technical requirement. However, we believe it makes a lot of sense to distinguish between edge-oriented tasks and tasks tightly connected to the services. The distinction between Airlock Gateway and Airlock Microgateway tasks may vary in specific setups. In this scenario, the Airlock Gateway represents the central enterprise gateway. It controls all incoming traffic and acts as a policy enforcement point for authentication, authorization and API access. For this task, the Airlock Gateway requires a rather generic configuration, enabling quick and seamless integration of new services protected by individual Airlock Microgateway instances. The Airlock Microgateway has detailed knowledge about its protected service. Typical integration tasks, such as adding deny rule exceptions, are done on the Microgateway. Thus, all service-specific details are located close to the service itself, minimizing role conflicts and handover problems at the central gateway. To meet the different requirements of an edge gateway and a microgateway setup, Airlock has designed the Airlock Gateway and the Airlock Microgateway under complementary considerations. Task split between Airlock Gateway and Airlock Microgateway The following table indicates the main use cases for which the two components were designed: Topic Airlock Gateway Airlock Microgateway Main task Publish web applications Secure web applications Architecture Appliance with hardened OS Container High Availability Loadbalancing and failover for Back-end service Managed by container platform offers probes for health checks Authentication / Authorization Policy Enforcement Point Proxy for SSO Interaction with Airlock IAM Injection of internal token Policy Enforcement Point Interaction with Airlock IAM Internal token validation Security Baseline security TLS ciphers and protocols Session hijacking prevention Threat Intelligence Geo location blocking HSM integration Connection to Malware scanner Connection to co-browsing solutions ... Strict security Authentication enforcement Allow rules Deny rules and its exceptions Enforcing OpenAPI spec. ... Service Integration Generic turnkey configuration Specific service integration API Keys API Usage Plans Policy Enforcement Point Interaction with Airlock IAM Internal token validation Configuration Graphical UI REST API (imperative) YAML file (declarative)','About Airlock Gateway ','','')
Smc.XSearch.add('../data/1644518924949.html','License and sales Airlock Gateway license and sales Without a valid license, request processing is disabled. For evaluating the Airlock Gateway or Airlock API product, please contact Airlock Support or your reseller for a time-limited evaluation license. If asked for the MAC address(es), please report the address of the first network interface of each machine. A Failover Cluster license normally contains 2 MAC addresses and is therefore valid for both systems (active/passive). For questions and requests regarding Airlock licenses and orders, please contact order@airlock.com . See also the PDF version of . Throughput definition and limits Licenses can contain a maximum throughput value. If your license contains such a throughput limit, the limit is shown as a red threshold-line in the Gateway Throughput (for licensing) Kibana dashboard. In case the measured throughput exceeds the licensed throughput, the following warning is displayed on the Dashboard screen after login: Your system exceeded the licensed throughput within the last 24 hours. Please check log messages (log_id: "WR-SG-TIME-200") or the license reporting dashboard, respectively and contact your sales representative. The throughput is defined as the rate of processed calls per second, averaged over one-minute time windows. Calls can be blocked due to security considerations, e.g., because they contain attack payload. Blocked calls are not counted when calculating the throughput. Only valid calls are forwarded to protected services. Valid calls are counted when calculating the throughput. The throughput is logged periodically using log_id "WR-SG-TIME-200" as a reference. The dashboard Gateway Throughput (for licensing) displays these values. Policy enforcement Airlock Gateway features for blocking attacks are disabled if policy enforcement is not licensed! If policy enforcement is not licensed, these features are disabled (not conclusive): Allow rule configuration Deny Rules URL encryption Form Protection CSRF Tokens DoS Attack Prevention Session Denial-of-Service Mitigation Submenu – Geolocation Filter Note: Even though these features are disabled, they are still visible and configurable in the Configuration Center.','Airlock Gateway license and sales','','')
Smc.XSearch.add('../data/1571978527052.html','3rd party license conditions 3rd party software license conditions Before using the software, carefully read and understand the attached Airlock License Conditions and the 3rd party software license details . 3rd party software license details are part of every Airlock Gateway installation under /opt/airlock/doc .','3rd party software license conditions','','')
Smc.XSearch.add('../data/1626375370464.html','System requirements System and hardware requirements General information for the Airlock Gateway Configuration Center The Configuration Center officially supports the following browsers: Chrome stable channel Firefox ESR Edge Chromium The listed browsers are tested in the versions officially supported by the respective vendor at the time of the Airlock Gateway release. Other modern browsers might also work but are not tested. Note that due to constant browser technology development, browser compatibility is subject to change without notice. Chapter content Resource requirements for on-premises installations Resource requirements for cloud installations Performance considerations on load and configuration Hardware configuration recommendations Supported SSL/TLS versions','System and hardware requirements','','')
Smc.XSearch.add('../data/1646935126745.html','On-premises requirements Resource requirements for on-premises installations The following sizing examples are based on the performance depending on load and configuration considerations. Sizing profile Minimum requirements Example Minimum (for demo purposes) Max. 5 parallel users / sessions 1 CPU 2.0 GHz 8 GB RAM 1 Ethernet 1 x 18 Gb HD DVD-ROM / USB-Boot Virtual machine with 8 GB RAM and a virtual 18 GB disk Small Up to 1000 HTTP sessions 2 CPU 2.0 GHz 8 GB RAM 2 x 1Gb Ethernet 1 x 80 GB HD DVD-ROM / USB-Boot Virtual machine with 8 GB RAM and a virtual 80 GB disk HP ProLiant DL20 Gen9: 1 x 4-Core Xeon (E3-1240v5) CPU 3.5 - 3.9 GHz 8 GB RAM 2 x 1Gb Ethernet 2 x 100 GB HD Medium Up to 9000 HTTP sessions 1 x 8-Core CPU 2.5 GHz 32 GB RAM 2 x 1Gb Ethernet 2 x 200 GB HD DVD-ROM / USB-Boot HP ProLiant DL360 Gen10: 1 x 8-Core Xeon (4110) CPU 2.1 - 3.0 GHz 32 GB RAM 4 x 1Gb Ethernet 2 x 300 GB HD Raid Controller; HP Smart Array S100i DVD-ROM Large Up to 40000 HTTP sessions 2 x 8-Core CPU 2.5 GHz 64+ GB RAM 2 x 1Gb Ethernet 2 x 200 GB HD DVD-ROM / USB-Boot HP ProLiant DL360 Gen10 1 x 18-Core Xeon (6140) CPU 2.3 - 3.7 GHz 128 GB RAM 4 x 1Gb Ethernet 2 x 300 GB HD Raid Controller; HP Smart Array S100i DVD-ROM','Resource requirements for on-premises installations','','')
Smc.XSearch.add('../data/1646935126752.html','Cloud requirements Resource requirements for cloud installations The following sizing examples are based on the performance depending on load and configuration considerations. Sizing profile Requirements Minimum (for demo purposes) Max. 5 parallel users / sessions 1 vCPU 8 GB RAM 1 Network Interface 10 GB Storage Small Up to 1000 HTTP sessions 2 vCPUs 8 GB RAM 10 GB SWAP 2 Network Interfaces 80 GB Storage Medium Up to 9000 HTTP sessions 8 vCPUs 32 GB RAM 24 GB SWAP 2 Network Interfaces 200 GB Storage Large Up to 40000 HTTP sessions 16 vCPUs 64 GB RAM 24 GB SWAP 2 Network Interfaces 200 GB Storage','Resource requirements for cloud installations','','')
Smc.XSearch.add('../data/1646935126748.html','Performance considerations Performance considerations on load and configuration With modern hardware, the Airlock Gateway is capable of answering several thousand HTTP requests per second. However, the actual performance depends heavily on the protected applications and the activated Airlock Gateway functions. Airlock Anomaly Shield enabled. URL encryption and content rewriting can easily double the CPU load. Long-running requests, WebSockets and NTLM-passthrough connections reduces the number of requests that can be handled with the same hardware. Assumptions for performance numbers Performance numbers are based on a number of assumptions. The most important are: The average application response time is 200 ms. 10 HTTP requests per minute and user on average. Complex Airlock Gateway features are enabled, e.g., HTML Rewriting, General Response Rewriting, Deny Rules. Also, a large number of mappings can be a limiting factor, even though is not technically limited by the Airlock Gateway Configuration Center. Airlock Gateway has been tested with up to: 1000 mappings 300 virtual hosts 300 back-end groups We recommend not to exceed these limits to avoid slow response time and memory issues in the Configuration Center or the Security Gate process. The average system load should be low to medium. Increase hardware or set up an additional Airlock Gateway before slow reactions, timeouts, or instabilities can occur. When dealing with a large number of mappings: Use Dynamic back-end group selection to reduce the complexity of your configuration and to significantly reduce the number of mappings in the Airlock Gateway Configuration Center. If java.lang.OutOfMemoryError occur in the Configuration Center or the Airlock Gateway Management Agent due to large configurations: Increase the Java Heap Space.','Performance considerations on load and configuration','','')
Smc.XSearch.add('../data/1646935126750.html','Hardware recommendations Hardware configuration recommendations SSD vs. HDD In environments with high traffic rates and local reporting enabled, at least one log message per request is written to the disk, creating a high number of IOPS. Therefore, we recommend the use of SSD-based storage over HDDs in these setups. RAM Airlock Gateway automatically tunes the scalability settings for critical system components depending on the amount of installed RAM. The scalability settings are tuned for systems with up to 256 GB of installed RAM. Servers that have even more installed RAM are tuned like servers that have exactly the mentioned amount of installed RAM. This means that most performance metrics will not improve anymore. The maximum number of requests per second and the maximum number of concurrent connections will stay on a similar level.','Hardware configuration recommendations','','')
Smc.XSearch.add('../data/1606834944271.html','Supported SSL/TLS versions The following table shows which SSL/TLS versions are available and enabled by default for front-side connections for the corresponding gateway version. Gateway version Available TLS version Enabled TLS version by default Airlock Gateway 8.0 and higher TLS 1.3 TLS 1.2 TLS 1.1 TLS 1.0 TLS 1.3 TLS 1.2 Note that by using a hardware security module (HSM) with Airlock Gateway , the number of available TLS protocols can be lower, compared to the table above. SSLv3 is unsupported by Airlock Gateway 8.0 and higher (configuration activation fails). If you use custom settings, you will also not automatically benefit from optimizations in future Airlock Gateway updates. We recommend using the default TLS settings of Airlock Gateway for an optimal balance between security and compatibility. How to enable TLS 1.0/1.1 TLS 1.0 and TLS 1.1 is no longer recommended for production (see RFC8996 - Deprecating TLS 1.0 and TLS 1.1 ) use but can still be activated as follows. Go to: Virtual host detail page, Tab – SSL Set SSL protocol to Custom mode with the following settings: all +TLSv1 +TLSv1.1 Set Cipher suite to Custom mode and insert the ciphers required by the legacy application. See also Mozilla security recommendations for TLS ciphers for best practice information. For example: ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:DHE-DSS-AES256-GCM-SHA384:DHE-RSA-AES256-GCM-SHA384:DHE-RSA-CHACHA20-POLY1305:DHE-DSS-AES128-GCM-SHA256:DHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256:DHE-RSA-AES256-SHA256:DHE-DSS-AES256-SHA256:DHE-RSA-AES128-SHA256:DHE-DSS-AES128-SHA256:AES256-GCM-SHA384:AES128-GCM-SHA256:AES256-SHA256:AES128-SHA256:ECDHE-ECDSA-AES256-SHA:ECDHE-RSA-AES256-SHA:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES128-SHA:ECDHE-RSA-AES128-SHAEC:AES256-SHA:AES128-SHA:DHE-RSA-AES256-SHA:DHE-DSS-AES256-SHA:DHE-RSA-AES128-SHA:DHE-DSS-AES128-SHA:SRP-DSS-AES-256-CBC-SHA:SRP-RSA-AES-256-CBC-SHA:SRP-AES-256-CBC-SHA:PSK-AES256-CBC-SHA:SRP-DSS-AES-128-CBC-SHA:SRP-RSA-AES-128-CBC-SHA:SRP-AES-128-CBC-SHA:PSK-AES128-CBC-SHA:DHE-RSA-CAMELLIA256-SHA:DHE-DSS-CAMELLIA256-SHA:CAMELLIA256-SHA:DHE-RSA-SEED-SHA:DHE-DSS-SEED-SHA:DHE-RSA-CAMELLIA128-SHA:DHE-DSS-CAMELLIA128-SHA:SEED-SHA:CAMELLIA128-SHA:IDEA-CBC-SHA Further information and links Internal links: Tab - SSL (virtual hosts) Tab - SSL (back-end groups) External links: RFC8996 - Deprecating TLS 1.0 and TLS 1.1 Mozilla security recommendations for TLS ciphers D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Supported SSL/TLS versions','','autocomplete_use:true')
Smc.XSearch.add('../data/1646935131789.html','Airlock Gateway user interfaces About the Airlock Gateway user interfaces Airlock Gateway offers two user interfaces: Airlock Gateway admin menu – a text-based interface for basic system configuration and update tasks. Airlock Gateway Configuration Center – a modern web-based GUI for the configuration and management of Airlock Gateway. In addition to the graphical Airlock Gateway Configuration Center, the Airlock Gateway REST API offers a REST-based configuration interface. Additional information and links See Configuration Center (web-based GUI) for help content. See Updating Airlock Gateway using the admin menu for system update tasks. See REST API based Airlock Gateway configuration and management interface','About the Airlock Gateway user interfaces','','')
Smc.XSearch.add('../data/1605524573091.html','About the admin menu About the Airlock Gateway admin menu The Airlock Gateway admin menu is a command-line interface for basic administration tasks. Log in via ssh as user menu to access the Airlock Gateway admin menu : Airlock Gateway admin menu  ==========================   1) System Management   2) Updates   3) Expert Settings   4) Change Password   q) Quit   Your choice? System Management System Management menu options: Reboot Halt Power Off Collect system log Restore saved searches and dashboards Back to Main Menu Quit Updates Update Menu options: Apply update Display list of all installed updates Uninstall update Clear list of uploaded updates Back to Main Menu Quit See also Updating Airlock Gateway using the admin menu. Expert Settings Expert Settings options: Set network basics for the internal network interface (re-ip) Network statistics Mirroring setup Enable/Disable User "root" Back to Main Menu Quit Change Password Change Passwort options: Change password for user menu Quit Closes the session to the Gateway . D_05 Descriptive module for concepts (with TOC) D_05 Descriptive module for concepts (with TOC)','About the Airlock Gateway admin menu','','autocomplete_use:true')
Smc.XSearch.add('../data/1646935131791.html','About the Configuration Center About the Airlock Gateway Configuration Center The Airlock Gateway Configuration Center is the central web-based interface for administration and management tasks. Gateway-related settings can be managed here, from configuration and integration to operation and monitoring tasks. For easy orientation, the structure of chapter Configuration Center (web-based GUI) is an accurate copy of the Configuration Center menu structure. In addition, the GUI offers help links that will direct you to the corresponding page of this manual.','About the Airlock Gateway Configuration Center','','')
Smc.XSearch.add('../data/1619512322828.html','Release notes Before performing any updates/upgrades Carefully read other release notes that may apply to your planned update/upgrade action. Release information for earlier releases: Release notes 8.2 Release notes 8.1 Release notes 8.0 Release notes 7.8 Release notes 7.7 Release notes 7.6 See Section – Updates for general information about the available update processes. You may also check Techzone for available product updates and the List of known issues . Minor release updates: Updates from any predecessor minor release (X.Y ) to the follow-up minor release (X.Y+1 ) are possible. Major release updates: Changing from any predecessor release to a new major release requires an upgrade (new installation). Additional information: Updates and bugfixes can only be installed if they are more recent than the currently installed version. Hotfixes can be uninstalled (X.Y-HF001 to X.Y ). Note that in some cases, updates from lower release numbers to higher release numbers may be restricted to specific release versions – therefore, always check the release information of the target release, you want to update to. Release lifecycles and support Information about release lifecycles, such as end-of-support dates for specific releases, is found on Techzone: Techzone - Release lifecycle . Chapter content New features in Airlock Gateway 8.3 Actions required when upgrading Changelog Airlock Gateway 8.3','Release notes','','')
Smc.XSearch.add('../data/1686902910519.html','New features New features in Airlock Gateway 8.3 This section describes new features in Airlock Gateway 8.3 and lists changes that may require attention when upgrading from an earlier version. Airlock Gateway 8.3 is available in the Techzone download area . Main new features Back-end protection – DoS protection feature extended and overload prevention. Airlock Anomaly Shield – Enhanced models and Kibana dashboards. Improved mapping templates for medium-security and high-security use cases. New default deny rules for SSRF protection and Bot detection. New and revised administrative roles for the actions and configuration management. See also the section Breaking changes below. ACME services support with preconfigured Let´s Encrypt services for staging and production. IP Whitelist with path conditions. This feature allows reducing the number of mappings and fine-grained configuration to improve your application security further. See the Changelog Airlock Gateway 8.3 for details. Breaking changes Custom access control lists (ACL) for the Airlock Gateway Configuration Center​ are no longer available. Use the revised predefined roles instead. The role airlock-supervisor is deprecated – use airlock-administrator instead. See article Administrative roles in Airlock Gateway for details. Increased memory requirements. The minimal memory requirements for non-productive systems has been increased to minimal 8 GB.','New features in Airlock Gateway 8.3','','')
Smc.XSearch.add('../data/1726159387100.html','Actions required when upgrading Actions required when upgrading This section describes changes in Airlock Gateway 8.3 that may require manual actions. Read this section carefully to see whether your configuration is affected. Airlock Anomaly Shield In Airlock Gateway 8.3, improvements have been made to the Status Code and Timing models. In addition, new Training strategy options are now available. Due to the drastic improvements in false-positive detection, we now use stricter threshold default settings for Anomaly Shield. Automatic upgrade actions: Updating from Airlock Gateway 8.3 will add new columns to the database schema. Existing trained models will be removed because the new version of Anomaly Shield provides improved models. After the upgrade, follow our approach for migration from 8.2 to 8.3: Re-train the models as described in the article Training and model enforcement. Enforce the prepared model to secure your Anomaly Shield application as before the upgrade. (Suggested) settings: Enable training data collection for your Anomaly Shield application to collect traffic. It is recommended to keep training data collection enabled at all times so that automatic retraining can be used. For Automatic retraining, we recommend the Retrain and enforce setting. For Training strategy, we recommend the default setting Best sessions. Comment out any custom Anomaly Shield threshold settings on your mappings to take advantage of the improved false-positive detection. Improved Airlock Anomaly Shield-related dashboards are installed when upgrading to Airlock Gateway 8.3. For more information, see article Working with Airlock Anomaly Shield dashboards.',' Actions required when upgrading','','')
Smc.XSearch.add('../data/1726159387083.html','Changelog Changelog Airlock Gateway 8.3 The following lists show the changes from Airlock Gateway 8.2 to 8.3. New NEW: AP-29179 Configure host header for out-of-band health checks (CASE-30967,CASE-32619) NEW: AP-30938 Allow request limiting per session (CASE-31840,CASE-32941,CASE-34692) NEW: AP-33467 Automatically add OCSP servers to allowed network endpoints (CASE-33870) NEW: AP-34645 Path conditions for IP whitelists NEW: AP-34646 custom-settings for event notifications over HTTP channel (e.g. proxy settings) NEW: AP-34666 Retrieve logged-in users via REST endpoint (CASE-34917) NEW: AP-34670 Configure host header sent on logout propagation (CASE-34832) NEW: AP-35170 Add high security mapping template NEW: AP-35235 Introduce new deny rule group for bot detection NEW: AP-35278 Prevent enabling of OCSP stapling when using ACME services NEW: AP-35453 Add configuration center user role "airlock-readonly" NEW: AP-35454 Add configuration center user role "airlock-readonly-restricted" NEW: AP-35455 Add configuration center user role "airlock-config-operator" NEW: AP-35456 Add configuration center user role "airlock-cert-admin" NEW: AP-35457 Add configuration center user role "airlock-config-editor" NEW: AP-35458 Add configuration center user role "airlock-config-applier" NEW: AP-35473 New deny rule DOR_020 blocks insecure multipart filename extensions in security level strict NEW: AP-5632 DoS attack prevention for paths (CASE-24057) NEW: Anomaly Shield Dashboards with drill down functionality for convenient analysis of evaluated traffic Fixes FIX: AP-20267 Correctly resize label value input field upon window resize FIX: AP-26893 Redirect on non standard ports when cancelling password change (CASE-32231) FIX: AP-31557 Cleanup ACME services DB on relevant changes FIX: AP-33677 Avoid backend communication errors with client certificates when activating (CASE-34133) FIX: AP-34744 Pulling of deny-rule group exceptions (CASE-34962, CASE-35490) FIX: AP-34756 Support authentication when reporting to multiple remote elasticsearch instances (CASE-31742) FIX: AP-34821 Improved handling of security-headers in Configuration Center FIX: AP-34875 XSS vulnerability in validator messages FIX: AP-35004 Ensure that Kibana is running after restore of saved searches and dashboards FIX: AP-35009 Mapping import with referenced JWKS-Providers FIX: AP-35078 File descriptors leak if the threat intelligence servers are unreachable FIX: AP-35268 Allow empty schemas for binary body validators (CASE-35262) FIX: AP-35379 "Redirect to HTTPS": Support requests with "%3F" in the path FIX: AP-35431 ext-apache: Better question mark tracking in mod_rewrite to avoid UnsafeAllow3F (CASE-35366) FIX: AP-35489 Prevent concurrent activations when automatic retraining for Anomaly Shield is enabled (CASE-35325) FIX: AP-35647 Restart ext-apache on OpenAPI document changes (CASE-35501) FIX: AP-35795 Ensure that WR-SG-BLOCK-170 gets logged also when error page replacement is enabled (CASE-35583) Changes CHG: AP-18799 Add the "Host" header to the log messages WR-SG-BACK-50x and WR-SG-BLOCK-801 (CASE-35067) CHG: AP-26700 Optimized deny rule XSS_030 reducing the number of false positives (CASE-29782) CHG: AP-26901 Allow CIDR style networks in allowed network endpoints table (CASE-29859) CHG: AP-29608 Double max-age value of HSTS header to 31536000 (one year) CHG: AP-32852 Deny rule SQL_050 no longer blocks tracestate header (CASE-33162) CHG: AP-33274 Remove X-XSS-Protection Header from default allow list and default response action (CASE-34856) CHG: AP-34636 Various deny rule evasion fixes CHG: AP-34783 Remove the Kibana dashboard "GATEWAY Throughput (for licensing)" CHG: AP-34820 Set SameSite flag on mgt-tomcat session cookies CHG: AP-34824 Disable autocomplete for sensitive input fields in Configuration Center CHG: AP-34835 Improve CSRF protection for Configuration Center CHG: AP-34928 Added separate log message for client abort (CASE-34902) CHG: AP-35066 sanity deny rules no longer block characters of unicode category "Format" CHG: AP-35079 Optimized deny rule UNIX_005 reducing the number of false positives (CASE-35191) CHG: AP-35101 Prohibit unwanted outgoing network traffic with RST instead of silent drops (CASE-35130) CHG: AP-35184 Improve CSRF protection for Configuration Center REST interface CHG: AP-35329 Remove support for configurations older than Airlock Gateway 7.7 CHG: AP-35560 Rename and document SG Expert Settings for JWKS client (CASE-35424) CHG: AP-35586 Deprecating configuration center user role "airlock-supervisor" CHG: AP-35602 Increase access restrictions for configuration center user role "airlock-auditor" CHG: AP-35603 Increase access restrictions for configuration center user role "airlock-app-admin" CHG: AP-35639 Change default search template to "Requests - GATEWAY All Requests" in Kibana log viewer CHG: AP-35726 Sanity deny rule SAN_030 no longer blocks non-ascii characters in the header value of the User-Agent header CHG: AP-35760 Change "administrator" to "user" in SY-CCUSER log messages Updates UPD: AP-34697 Update to syslog-ng 4.8.0-2 UPD: AP-35318 Update to OpenSSH 8.7p1-38.el9.alma.2 (CVE-2024-6387) UPD: AP-35328 Update to httpd 2.4.60 (CVE-2024-36387, CVE-2024-38475, CVE-2024-38473, CVE-2024-38477, CVE-2024-39573, CVE-2024-38472) UPD: AP-35355 Update to OpenSSH 8.7p1-38.el9_4.1.alma.1 (CVE-2024-6409) UPD: AP-35430 Update to httpd 2.4.62 UPD: AP-35528 Update misc Python libraries (scikit-learn 1.5.2, scipy 1.13.1, numpy 1.26.4, pandas 2.2.3, redis 5.0.2, msgpack 1.1.0) UPD: AP-35533 Upgrade Elasticsearch/Kibana to 8.15.2 UPD: AP-35609 Update allowlist for bot detection UPD: AP-35661 Update to OpenSSL 3.0.15 UPD: AP-35665 Update to OpenSSL 3.0.15 UPD: AP-35668 Update to httpd 2.4.62 UPD: AP-35669 Update to Kerberos 1.21.3 UPD: AP-35670 Update to c-icap 0.6.3 UPD: AP-35671 Update OS components UPD: AP-35675 Update to GnuTLS 3.7.11 UPD: AP-35676 Update to jsoncons 0.177.0 UPD: AP-35679 Update to expat 2.6.3 UPD: AP-35680 Update to libmicrohttpd 1.0.1 UPD: AP-35681 Update misc Javascript libraries UPD: AP-35683 Update to libcurl 8.10.1 UPD: AP-35684 Update to Redis 7.4.0 UPD: AP-35686 Update to libmaxminddb 1.11.0 UPD: AP-35687 Update to Protobuf 28.2 UPD: AP-35690 Update to SQLite 3.46.1, SQLite-jdbc 3.46.1.0 UPD: AP-35691 Update to nghttp2 1.63.0 UPD: AP-35692 Update geolocation data (DB-IP) UPD: AP-35693 Update to statsd-exporter 0.27.1 UPD: AP-35696 Update to PCRE2 10.44','Changelog Airlock Gateway 8.3','','')
Smc.XSearch.add('../data/1645446598875.html','Getting started This Quick Start Guide is designed to help you to install Airlock Gateway with minimal effort. This guide provides quick access to all basic information and is a supplement to other administration and configuration chapters of this online help. Preparation Check the latest information about: System and hardware requirements Release notes Download an installation file Download the ISO image for on-premises installations or VMDK file for cloud and VMware deployments from Techzone download page for Airlock Gateway . On-premises installation Get familiar with the basics of Airlock Gateway. See chapter Basic concepts and functional overviews. Mind our recommendations for network interfaces. See chapter NIC setups for on-premises installations. Prepare one of the following: Burn the ISO image to a DVD. Prepare a bootable USB flash drive. Mount the ISO image as a virtual DVD drive. Install the system. Follow our Quick installation guide for Airlock Gateway on-premises installation. Recommended – Configure the failover setup for two Airlock Gateway instances. See Failover setup for on-premises installations. Configure mappings and other Airlock Gateway system settings via the user interface. See chapter Airlock Gateway Configuration Center. Use the Airlock Gateway admin menu to manage the basic system settings and to perform update tasks, if required. Cloud and VMware deployments Get familiar with the basics of Airlock Gateway. See chapter Basic concepts and functional overviews. Mind our recommendations for network interfaces. See chapter NIC setups for on-premises installations. For installation, follow our guides to deploy Airlock Gateway: VMware installation guide for Airlock Gateway on Techzone Cloud deployment guides for Airlock Gateway on Techzone Configure mappings and other Airlock Gateway system settings via the user interface. See chapter Airlock Gateway Configuration Center. Use the Airlock Gateway admin menu to configure the basic system settings and to perform update tasks, if required. Further information and links Clustering, load-balancing, and failover scenarios for Airlock Gateway setups','Getting started','','')
Smc.XSearch.add('../data/1646935132516.html','Prepare the installation media A DVD image for burning the standard installation medium is available on the download page Techzone download page for Airlock Gateway . Preparing a DVD can be achieved using any standard burning programs. Alternatively, Airlock Gateway supports the installation from USB flash drives as further described in this article. Advanced installation i.e. using iLO Virtual Media option to mount the Airlock Gateway DVD image remotely might be an option on devices without USB or DVD drive access. For more information, refer to your HP Integrated Lights-Out User Guide. Prepare a bootable USB flash drive for installation Prequisites: A USB flash drive with at least 4 GB or more. This article uses the Fedora Media Writer . However, any similar software to write the DVD image to the USB flash drive should work too. The downloaded *.iso Airlock Gateway image . Note that you should perform a checksum verification after download. Administration rights on the local workstartion to install/use the media writer software. As with most boot media writers, Fedora Media Writer destroys all data on the USB stick! USB flash drive preparation with Fedora Media Writer in Windows: Insert the USB flash drive into a free port of your local workstation. Start the Fedora Media Writer with administrator rights. Choose Select .iso file. Remember to verify the checksum in advance before clicking Next . Use Select... to choose the Airlock Gateway image. Choose the USB flash drive target and click Write to create the bootable USB flash drive. Proceed with the article On-premises installation.','Prepare the installation media','','')
Smc.XSearch.add('../data/1645446599846.html','On-premises installation Quick installation guide for Airlock Gateway on-premises installation Boot from an installation medium Before upgrading from an older Airlock Gateway version, check the Release notes and upgrade information. Access the server, e.g. using a system console and insert the installation DVD or a USB flash drive. Reboot the server from the inserted installation medium. You might have to change the boot device order in the BIOS or UEFI. Install Airlock Gateway Follow the instructions on the screen to start the installation process. When asked for a network connection, enter the details for the Management Interface : Enter IP address, the subnet, and the default route to the management GUI, called Airlock Gateway Configuration Center. Choose the installation target disk and confirm the recommended disk partitioning layout. Enable System clock uses UTC and select your local time zone. Enter a root password. The root login is required for command line login (console and SSH). Enter a username and password for the administrator account. The administrator login is required to access the Airlock Gateway Configuration Center GUI. The installation starts and will take approximately 15–30 minutes. Wait until the installation has finished. The system reboots automatically and starts up all services. With Airlock Gateway 8.0 and later, software RAID is not supported. We recommend using a hardware RAID controller with disk mirroring for high-availability operation. Initial system setup Use a browser to connect to the Airlock Gateway Configuration Center https://<ip-address> . Log in with the administrator account you created earlier. Go through the configuration pages under the System Setup menu: License – Enter your license key. New license keys can be ordered from airlock-order@ergon.ch – make sure to include the first MAC address of each system. Updates – Download the latest update package from Techzone download page for Airlock Gateway and upload and apply it. Nodes & Interfaces – Set up all network interfaces and the corresponding IP addresses. Routes /Hosts /Network Services – Verify the network settings. Correct any errors, check all warnings and activate your changes using the Activate button. Further information and links Internal links: About the Airlock Gateway user interfaces','Quick installation guide for Airlock Gateway on-premises installation','','')
Smc.XSearch.add('../data/1605524572771.html','System update with admin menu Updating Airlock Gateway using the admin menu Airlock Gateway can be updated with digitally signed update files that are provided by Airlock product support. The Gateway offers two interfaces to manage updates: The interactive Update Menu . The non-interactive airlock-update tool. Update Menu The Update Menu is a submenu of the Airlock Gateway admin menu . Log in via ssh as user menu to access the Airlock Gateway admin menu . Choose 2) Updates in the Airlock Gateway admin menu to enter the Update Menu . Update Menu ===========   1) Apply update "airlock_update_x.y.zip"   a) Display list of all installed updates  u) Uninstall update  c) Clear list of uploaded updates   b) Back to Main Menu  q) Quit  Your choice? Apply update "..." Select an updated file and start the update process. Display list of all installed updates Displays a detailed list of applied updates: No – line counter of the list. ID – version of the update. Name – name of the update. Version – build version of the update. Installation Date – date of the update. State – status of the update attempt. Uninstall update Can be used to select and uninstall updates. Clear list of uploaded updates This will empty the list of uploaded updates and delete all update files in the /var/tmp/update_in folder. Back to Main Menu Brings you back to the Airlock Gateway admin menu Quit Closes the session to the Gateway . Update tool The airlock-update program is a command line tool for basic update related tasks. The airlock-update tool can be used for scripted automatization and update tasks i.e. to roll-out updates for multiple Airlock Gateway installations. Log in as root on the Gateway . Start the airlock-update program without any options to show a list of available functions. root@gateway:~ # airlock-update Description: Install Airlock Gateway update/hotfix without interaction Usage: airlock-update [OPTION] Options: -i, --install <filename> install update/hotfix -u, --uninstall <version> uninstall update/hotfix -l, --list list all installed updates/hotfixes --list-uninstallable list uninstallable update/hotfix -h, --help print help Examples: scp airlock_update_7.x.zip root@airlock:/var/tmp/update_in/ ssh root@airlock airlock-update --install airlock_update_7.x.zip ssh root@airlock airlock-update --uninstall 7.x Chapter content Apply an update interactively Apply an update non-interactively Further information and links About the Airlock Gateway admin menu D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Updating Airlock Gateway using the admin menu','','autocomplete_use:true')
Smc.XSearch.add('../data/1605524572767.html','Apply an update interactively Upload the update file to the Gateway Use the Upload button in Section – Updates OR Use the scp to upload the file as root user into the /var/tmp/update_in/ folder: scp airlock_update_x.y.zip root@airlock.my.dom:/var/tmp/update_in/ Log in to with the dedicated menu user account. The Airlock Gateway admin menu will be displayed after login. Airlock Gateway admin menu  ==========================   1) System Management   2) Updates   3) Expert Settings   4) Change Password   q) Quit   Your choice? Choose the 2) Updates and press ENTER. Update Menu ===========   1) Apply update "airlock_update_x.y.zip"   a) Display list of all installed updates  u) Uninstall update  c) Clear list of uploaded updates   b) Back to Main Menu  q) Quit  Your choice? The update menu will present a list of all uploaded update files on the system. Choose the update file an press ENTER. The Gateway will verify the signature and apply the update if it is a valid update file. Follow the update instructions to finish the process.','Apply an update interactively','','')
Smc.XSearch.add('../data/1605524572769.html','Apply an update non-interactively With this update method, updates can be applied straight forward using the non-interactive airlock-update command. Upload the update file to the Gateway Use the Upload button in Section – Updates OR Use scp to upload the file as root user into the /var/tmp/update_in/ folder: scp airlock_update_x.y.zip root@airlock.my.dom:/var/tmp/update_in/ Log in via ssh as root and /opt/airlock/base/bin/airlock-update --install to start the update process. ssh root@airlock.my.dom /opt/airlock/base/bin/airlock-update --install airlock_update_x.y.zip The Gateway will verify the signature and apply the update if it is a valid update file.','Apply an update non-interactively','','')
Smc.XSearch.add('../data/1604477077100.html','NIC setup for cloud / on-premises NIC setups for cloud and on-premises installations Network setups for Airlock Gateway can either be implemented as single NIC or multi-NIC installations. This can be used in a public cloud and on-premises. Recommended setups: For public cloud installations, we recommend a single NIC setup. For on-premises installations, we recommend a multi-NIC setup in combination with a failover cluster for best security and high availability. Other supported setups: For public cloud installations, Airlock Gateway also supports multi-NIC setups. For on-premises installations, Airlock Gateway also supports single NIC setups. Chapter content Public cloud installations On-premises installations Further information and links Airlock Gateway failover setup for on-premises installations D_05 Descriptive module for concepts (with TOC) D_05 Descriptive module for concepts (with TOC)','NIC setups for cloud and on-premises installations','','autocomplete_use:true')
Smc.XSearch.add('../data/1604477077162.html','Public cloud installations Public cloud installations are usually based upon an Airlock Gateway image (.vmkd) or a marketplace images. Cloud infrastructures usually do not support IP takeover between the nodes of an Airlock Gateway failover cluster. Because of this limitation, it is not possible to build a failover cluster with Airlock Gateway in the cloud. About single NIC in cloud environments Auto-scaling requires a single NIC setup. Single NICs are easy to set-up and preconfigured in some cloud images, i.e., to meet the Azure marketplace requirements. Single NIC – best practice In single NIC setups, Gateway and back-ends share the same NIC. Without security measures, it is possible to bypass the Gateway and to directly address a back-end. Recommended settings: Use mutual TLS to secure the communication between the Gateway and the back-ends to overcome the single-NIC issue. To secure management and service connections to the Gateway consider the following options: Set-up a VPC and limit the source-IP addresses to your companies IP address space. Use a VPN to establish a secure connection. Set-up a jump host. Multi-NIC – best practice Note that multi-NIC cloud setups do not offer autoscaling! Recommended settings: Set up a dedicated management NIC to separate service and management connections from the public interface. Use dedicated IP addresses for service access and public access (virtual hosts). Further information and links Techzone - Guides for Airlock Gateway cloud deployments D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Public cloud installations','','autocomplete_use:true')
Smc.XSearch.add('../data/1604477077138.html','On-premises installations On-premises installations are usually based upon an Airlock Gateway ISO image or a virtual machine disk image. With a multi-NIC setup, a physical separation between service and public network can be established. For high availability requirements, Airlock Gateway can be set-up in a failover cluster. Multi-NIC (recommended) Multi-NIC setups offer the best combination of security advantages and high availability options. Best practice: Set-up a dedicated management NIC to separate back-end and management connections from the public interface. Use dedicated IP addresses for public access (virtual hosts) and back-end access. Set-up an Airlock Gateway failover cluster. To harden your failover setup: Use the public interface for Failover cluster checks. Use separated IP spaces for PIP/PPIP and virtual hosts. Make the PIPs only reachable by the partner nodes´ PPIPs. Single NIC Single NIC setups prevent bypassing by design because there is only a single connection between the Gateway and back-ends. Single NIC setups also support Airlock Gateway failover cluster. Best practice: Use dedicated IP addresses for public access (virtual hosts) and back-end access. Set-up an Airlock Gateway failover cluster. To harden your failover setup: Use separated IP spaces for PIP/PPIP and virtual hosts. Make the PIPs only reachable by the partner nodes´ PPIPs. Further information and links Airlock Gateway failover setup for on-premises installations D_01 Descriptive module (standard) D_01 Descriptive module (standard)','On-premises installations','','autocomplete_use:true')
Smc.XSearch.add('../data/1568119801377.html','General warnings and recommendations All warnings, recommendations and legal information in this chapter apply to the entire document. Additional warnings and recommendations can be found in this document, where they are closely related to the appropriate configurations and actions. General warnings HIGH – All examples in this document have been generated for demonstration and explanatory purposes only. Adapt example settings to your environment. Consider and apply more restrictive permissions for users and groups if appropriate. HIGH – This documentation is based upon default values and settings. Use default values unless otherwise specified. Recommendations HIGH – Without authentication enforcement, your back-end server can be accessed directly by any user. Enable authentication enforcement to prevent unauthorized access to your back-end servers: Configure authentication enforcement on the corresponding Airlock Gateway mapping. Configure Airlock IAM to authenticate and authorize the user for the desired web application. Legal information HIGH – The software described in this document is released under a license agreement. Use the software in accordance with the terms of this agreement.','General warnings and recommendations','','autocomplete_use:true')
Smc.XSearch.add('../data/1583435051034.html','Basic concepts Basic concepts and functional overviews In this chapter, selected basic concepts and functionalities of Airlock Gateway are presented in a simplified form to provide a basic understanding and introduction to various topics. This chapter does not contain any real configuration information. See chapter Configuration and following for administration hints and concrete instructions. Chapter content Airlock Anomaly Shield Airlock Gateway rewrite engine with URL encryption Airlock Gateway Smart Form Protection API access control with Airlock Secure Access Hub Attribute locking in the Configuration Center Back-end load balancing and failover Clustering, load-balancing, and failover scenarios for Airlock Gateway setups Cookie handling and cookie types Cross-Site Request Forgery (CSRF) protection Dynamic back-end group selection Entry path to back-end path settings HTTP/HTML rewriting JSON parsing and filtering JWKS and JWK selection by filtering Multitenancy feature Rewrite variables Rule-based filtering Simultaneous administration and configuration merge','Basic concepts and functional overviews','','')
Smc.XSearch.add('../data/1618511393398.html','Airlock Anomaly Shield Airlock Anomaly Shield Starting with release 7.6, Airlock Gateway includes Airlock Anomaly Shield , an unsupervised machine learning-based anomaly detection mechanism. Airlock Anomaly Shield can be licensed to detect anomalies in the web traffic of the applications protected by Airlock Gateway . The Airlock Anomaly Shield must be configured and initially baseline-trained for each application separately to detect anomalies. After training, the Anomaly Shield analyzes web session request traffic patterns and generates anomaly information continuously as new requests arrive. The Anomaly Shield enforcement logic uses configured patterns against the anomaly information to determine the appropriate actions for each session. Airlock Anomaly Shield operates on the behavior of a web session and complements conventional security features of the Security Gate core process that acts directly on the properties of every request. Unsupervised machine learning Airlock Anomaly Shield is based on unsupervised machine learning (ML) models. This has the advantage that no data labeling is required. However, initial ML training is required: To train the ML models for a new application, Airlock Gateway can be configured to collect traffic as training data during normal operation. This cold data collection is used to establish the baseline training for the ML models. After training Airlock Anomaly Shield may be used to evaluate and detect anomalous traffic and take action upon it. Asynchronous Design Airlock Anomaly Shield requires analyzing multiple requests of a web session, not just the properties of a single request. The evaluation of multiple requests is used to obtain anomaly indicator values. Anomaly detection can be further improved if back-end application responses are also processed. During detection, there is a short delay between the start of the web session and the availability of anomaly indicator values by design. The delay is because anomalous behavior can only be detected once a sufficient number of requests have been processed. Keep in mind that anomaly evaluation focuses on the web session as a whole, so the detection time shift has little impact in practice. Running anomaly evaluation and request processing asynchronously ensures that the Security Gate process does not have to wait for anomaly evaluation values. The Security Gate process will perform at peak efficiency even under high loads. Anomaly detection may require a lot of system resources, forcing the Airlock Anomaly Shield to continue processing the evaluation results while new requests arrive. The request data from such requests are automatically included in the next evaluation run. One application per mapping The Airlock Anomaly Shield feature must be trained and configured for each application. An application definition can be used for multiple mappings, but a mapping can only be linked to a single application definition. See also article Recommendations for assigning mappings to Anomaly Shield applications. Further information and links Internal links: Submenu – Anomaly Shield Airlock Anomaly Shield configuration','Airlock Anomaly Shield','','')
Smc.XSearch.add('../data/1618511394315.html','Terms and definitions related to Airlock Anomaly Shield Airlock Anomaly Shield Starting with release 7.6, Airlock Gateway includes Airlock Anomaly Shield , an unsupervised machine learning-based anomaly detection mechanism. Airlock Anomaly Shield can be licensed to detect anomalies in the web traffic of the applications protected by Airlock Gateway . airlock-ml-analytics The airlock-ml-analytics tool is a CLI dry-run application that allows administrators to run trained machine learning models against collected session metrics data from the ColdDB. This allows Airlock Anomaly Shield session data evaluation to be repeatedly analyzed with different model parameters. Indicator values are the result of this analysis can be used to adjust the enforcement configuration of the Airlock Anomaly Shield engine. airlock-ml-colddb-tool The airlock-ml-colddb-tool is a CLI application that allows administrators to perform a set of actions on ColdDB machine learning data collections. This includes data check, merge, move, copy and delete actions. It can also be used to shrink the ColdDB itself. anomaly indicator values When several requests during a session are processed by Airlock Anomaly Shield, the request evaluation results in anomaly indicator values. These values are cached in the HotDB and used by the Security Gate process to supplement and increase the security level. client behavior analysis Client Behavior Analysis is a feature of Airlock Anomaly Shield that detects and analyzes user interactions with the application using a custom JavaScript injected into the application website. The feature collects information about keyboard, mouse and touchscreen interactions to calculate how likely they are to be human interaction. It can reliably distinguish human behavior from scripted bots and automation frameworks. ColdDB The ColdDB is a persistent database where aggregated session information of the Security Gate process is stored for later usage by Airlock Anomaly Shield. The main purpose is, to hold training data to train the machine learning algorithm, but it may also be used for other analytics purposes. HotDB The HotDB is a fast in-memory database used to cache session request data in the Airlock Gateway. It works as a communication channel between the Security Gate and the Anomaly Shield service. Cached session request data is mined by the Anomaly Shield machine learning algorithm and the resulting anomaly indicator values are returned to the HotDB. machine learning service (ML service) The Airlock Anomaly Shield machine learning service runs on the Airlock Gateway appliance as a separate daemon process. It consumes the request data produced by the Security Gate and aggregates it for each session and application. This aggregated data is either persisted in the ColdDB as training data or used to be evaluated by already trained machine learning models. The evaluation result, the session anomaly indicator values, are written back to the HotDB, from where it is consumed by the Security Gate. machine learning (ML), unsupervised Airlock Anomaly Shield features unsupervised machine learning algorithms that refine its anomaly detection automatically (unsupervised) by processing request and session data. Security Gate process The Security Gate process is the Airlock Gateway´s request-processing component and policy enforcement point. In combination with Airlock Anomaly Shield, the Security Gate process evaluates the anomaly information and may apply actions based on the evaluation result. IP Aggregates Airlock Anomaly Shield can aggregate sessions from the same IP address to a virtual session. This allows for identifying suspicious IP addresses (e.g., from a bot node or automated tools) and detecting fragmented attacks that may span multiple regular sessions. Suspicious IPs can then be temporarily blocked. virtual session IP aggregation enables the creation of a virtual session from (multiple) regular sessions that originate from the same (client) IP address.','Terms and definitions related to Airlock Anomaly Shield','','')
Smc.XSearch.add('../data/1618511384934.html','Architecture overview Airlock Anomaly Shield runs alongside but asynchronously to Airlock Gateway Security Gate request processing. The following drawing gives a simplified overview of the most important components and their function: Description: The Machine Learning Service of Airlock Anomaly Shield requires initial baseline training on user session metrics to detect session anomalies. The initial training data are looped from the Security Gate Process through the HotDB (1) into the ColdDB (2), where the session metrics are stored persistently. Once a sufficient number of user sessions has been collected in the ColdDB (2), the session metrics need to be trained on the Anomaly Shield Model Management page (3). After training, the derived Machine Learning Model Parameters (4) can be applied to the Machine Learning Models (5) of the Machine Learning Service. Note that the CLI tools can also be used for dry runs (9) in order to test the effectiveness of the trained Machine Learning Model Parameters (4). Once the Airlock Anomaly Shield has been enabled, the Security Gate Service sends session live data to the HotDB (1). New HotDB data are automatically being analyzed by the Machine Learning Service, based on the trained Machine Learning Models (5). After computing, the resulting anomaly analysis of the live session data is fed back (6) to the Security Gate Service process through the HotDB (1). The Security Gate´s Enforcement Logic (7) rules are strengthened by Airlock Anomaly Shield ´s machine learning service for best application protection (8).','Architecture overview','','')
Smc.XSearch.add('../data/1618511384956.html','Functional break down The following graphic shows more details for a deeper understanding of the Airlock Anomaly Shield and Security Gate services: Description: Within an Airlock Gateway instance, the Security Gate service is the core service. It processes all requests and, based upon the enforcement logic, performs security actions such as blocking requests. To this strong conventional security approach, Airlock Anomaly Shield adds dynamic machine learning security by computing session metrics from response and request data into anomaly indicator values. Depending on the anomaly indicator values, actions can be triggered by the Security Gate. During model training, the model parameters are being trained and refined. This is required for the subsequent machine learning model evaluation process. Model evaluation is the Airlock Anomaly Shield core process that computes aggregated session data against trained model parameters in order to generate anomaly indicator values for the Security Gate service.','Functional break down ','','')
Smc.XSearch.add('../data/1619512301960.html','Enforcement details Enforcement logic of the Security Gate The enforcement logic configuration of the Security Gate process is part of the Airlock Anomaly Shield configuration. The Airlock Anomaly Shield machine learning service (ML-Service) is the active part in the computation of anomaly indicator values – the machine learning output. The Security Gate process requires additional configuration to act with exception and action handling based upon the machine learning model output. Session-based anomaly detection computes individual sessions. Virtual-session-based anomaly detection aggregates and computes incoming traffic from one IP address rather than from a specific session. Description: Calculated session anomaly indicator values are compared to the configured anomaly indicator thresholds. The resulting anomaly indicator pattern is applied against the configured enforcement rules. This determines which actions are to be executed. The configured exception rules define the exception and action handling e.g. by blocking a request. In this case, blocking the request has been originally triggered by an Airlock Anomaly Shield indicator value. Enforcement is part of regular request processing in the Security Gate . The enforcement logic always uses the most recent available session anomaly indicator values to avoid latency issues. Further information and links Internal links: Actions on Sessions Actions on IP Aggregates','Enforcement logic of the Security Gate','','')
Smc.XSearch.add('../data/1618511384961.html','Anomaly detection It is important to have a basic understanding of how Airlock Anomaly Shield processes request data and how the output is used in the policy enforcement logic, to be able to configure it properly. The following sections give you a brief introduction to how data are being processed. Chapter content Request data processing into anomaly indicator pattern Unsupervised machine learning explained','Anomaly detection','','')
Smc.XSearch.add('../data/1618511384963.html','Processing of request data Request data processing into anomaly indicator pattern Prerequisites The administrator has trained the Airlock Anomaly Shield​ machine learning models beforehand. Airlock Anomaly Shield must be enabled and configured for an application. Request processing Description: Some properties of the requests of a session are aggregated into metrics of this session. This is mostly a statistical evaluation of the request properties. These metrics are subsequently fed to different machine learning models. The models generate indicator patterns as the output signal. The output signal is a value between 0.0 and 1.0 and the group of these values is named anomaly indicator values. These values are then in turn evaluated via pre-defined thresholds producing a binary output for each indicator. Whereas this group of bits is called an anomaly indicator pattern. The thresholds are pre-defined but also tunable by the customer. So simply put, anomaly indicator patterns in Airlock Anomaly Shield are the output of a machine learning model. The policy enforcement configuration allows the customer to create a trigger, that is matched against the anomaly indicator pattern. The Security Gate will execute actions based upon the configured action handling.','Request data processing into anomaly indicator pattern','','')
Smc.XSearch.add('../data/1618511384966.html','Unsupervised ML Unsupervised machine learning explained How does Airlock Anomaly Shield calculate anomaly values in the first place? Since there is no general ruling on what a common value of e.g. an acceptable TimingCluster is, the only way to get an answer is to compare old values with the current values of a session. This is exactly what the unsupervised machine learning models inside Airlock Anomaly Shield are doing. Example – Generation of TimingCluster indicator To clarify the way how unsupervised machine learning works, we give an example using the single indicator TimingCluster : The collected timing statistics of Airlock Anomaly Shield contain information about the distributions of request intervals as timestamp deltas within sessions that have occurred in the past. The Anomaly Shield algorithms are trained to identify similar timestamp delta distributions (using a k-means clustering algorithm). For a new session, the timestamp delta distribution is classified using the trained model. The resulting anomaly indicator value depends on the size of the cluster into which the new session is classified: if the session is classified into a very small cluster (= rare timing behavior), the indicator value is close to 1.0. if the session is classified into a larger cluster (= typical timing behavior), the indicator value is closer to 0.0. If the indicator value is above the configured threshold, the TimingCluster indicator becomes active. Meaning it results in an active bit in the anomaly indicator pattern. The pre-configured thresholds are predefined to detect common session anomalies. The thresholds may be tuned if the predefined settings do not meet your requirements.','Unsupervised machine learning explained','','')
Smc.XSearch.add('../data/1648621032193.html','URL encryption Airlock Gateway rewrite engine with URL encryption Based on a powerful back-end HTML content rewriting engine Airlock Gateway provides advanced URL encryption and dynamic form protection functions. When enabled, dynamically encrypted URLs (in combination with cryptographically protected HTML forms) prevent anyone from sending illegal requests or malicious user data to the application server. Example what an encrypted URL may look like in a browser: These security functions can completely protect an application against forceful browsing attacks: Users and attackers cannot retrieve information about the back-end applications because the URLs are encrypted. No request manipulation or sending of invalid user input fields is possible anymore. Dynamic allowlisting with URL encryption is a positive security model. There is no need for iterative re-learning! At a glance: The web application defines the allowed requests. URL encryption is transparent and requires no changes to the application. Only allowed URLs are forwarded to the application server. Everything else is blocked. Airlock enforces secure application usage with dynamic allowlisting in real-time. Only a positive security model can prevent unknown attacks and zero-day exploits. No learning phase is necessary for the Airlock Gateway URL encryption and Smart Form protection engine to instantly protect a Web application. URL encryption in action In this showcase, only a single entry URL (for https://www.myapp.demo ) has been configured in Airlock Gateway. All further links and documents accessible from that entry page are then automatically protected. The user requests the web application´s entry page, e.g. https://www.myapp.demo . The web application returns an HTML document containing many links that lead to further pages of the same web application, e.g. HTTP://192.168.1.123/news.php?include=news.txt . Airlock Gateway processes the document and encrypts all URLs, i.e. the path, file name, and others before returning e.g. https://www.myapp.com/$xp1/GMnGuYqPtCSYMQgb to the users´ browser. The following is achieved: All parameters of an URL are cryptographically protected against tampering. Beyond the entry page, all further requests must have encrypted URLs. Manipulated or unencrypted URLs will be blocked. Correct requests are decrypted and the original plain text URL is sent to web application. Further information and links Internal links: Configuration example cases for URL encryption','Airlock Gateway rewrite engine with URL encryption','','')
Smc.XSearch.add('../data/1648621032215.html','Form protection Airlock Gateway Smart Form Protection In addition to URL encryption, it is possible to sign, and therefore protect, all form information of a web application. With the innovative (patent pending) Airlock Gateway Smart Form Protection technology, Airlock Gateway will only accept user input parameters matching the meta constraints contained in the original HTML form. The dynamic form protection technology greatly improves the protection against forceful browsing attacks. A user can only send those form parameters back to the server which was originally requested by the server. An attacker can not add other parameters to manipulate the back-end application. Example case: If an application provides an HTML form where a user can enter the amount and select the currency to create an electronic payment, he will not be able to send any other parameters or send a currency that is not in the offered option list. All constraints are strictly enforced by Airlock. The back-end application will only get requests and user input data that it actually requested, and which it can safely deal with. To activate Airlock Gateway Smart Form Protection, it is necessary to activate URL encryption (PBE or session-based) first. Further information and links Internal links: Airlock Gateway rewrite engine with URL encryption Tab – URL Encryption Section – Form Protection','Airlock Gateway Smart Form Protection','','')
Smc.XSearch.add('../data/1583435075184.html','API access control API access control with Airlock Secure Access Hub The Airlock Secure Access Hub (SAH) offers a comprehensive set of API protection features. One of them is controlling access to protected APIs using API keys . The solution involves the Airlock Gateway as policy enforcement point and Airlock IAM to manage and provide information about the clients of the protected APIs. The solution allows managing Tech-Client (API client) identities with attributes used for access control. Main features Manage Tech-Clients (API clients), access plans, rate limits and API keys (IAM). Define access policies individually per Tech-Client. Access control on APIs based on API keys through Airlock Gateway . Apply rate limits individually per Tech-Client and API through Airlock Gateway . Reporting on API and Tech-Client level. Limitations API keys are often hardcoded into client applications. This makes them vulnerable to theft, especially if the client application is distributed over an app store. API keys should only be used for authentication of Tech-Clients if the API key is secured (e.g. Tech-Client is operated in a secured data center environment). Usage scenarios The following sample usage scenarios give an idea of how API keys may be used in API access control. API key usage examples Tech-Client Protected API Sample usage Fintech webserver Bank´s Account API The webserver of a fintech company accesses a bank´s API to get account information. The API key is securely stored in the code or configuration of the fintech´s webserver. The bank can control and report access to the API. API client developer Map service API An application developer uses an API key to try out an API for a limited amount of time. The map service provider may limit the usage period of the API and impose a rate limit. Weather app Weather forecast API The company providing the weather forecast wants to make sure that only paying customers are accessing the API. Rate limits may be applied depending on fees. Chapter content Solution overview Tech-Client management','API access control with Airlock Secure Access Hub','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668114834.html','Solution overview The following diagram shows how a request is processed by the Airlock Gateway using API keys with Airlock IAM. The focus of the following is on API key-based access control. All other API protection features - such as filtering or enforcing API specifications - are not shown. Exemplary API access (1) The administrator creates a Tech-Client and issues one or more API keys in the Airlock IAM Adminapp. Note: This step can be done manually in the Adminapp web application or using the REST API. (2) The API key is delivered to the Tech-Client (the API client) and attached to each API request. (3) The Airlock Gateway applies all filters on the request, extracts the API key, and looks up information about the Tech-Client by calling the API Policy Service end-point in Airlock IAM (this step may be skipped using cached information). (4) Based on the Tech-Client attributes, the Airlock Gateway decides whether access to the API is granted and what rate limit applies. The request is passed to the API service. Chapter content Terms and definitions Request processing (sequence diagram) API access control - how it works in detail D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Solution overview','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668114928.html','Terms and definitions API An application programming interface (API) is an interface or communication endpoint and defines how software components interact. Concerning the Airlock Gateway (WAF), we use the term API to denote a set of service endpoints (e.g. a set of REST endpoints). API key An API key is a string passed by the Tech-Client (API client) to an API endpoint or API gateway. The key uniquely identifies the Tech-Client and is part of every request. API Policy Service The API Policy Service is an Airlock IAM service called by the Airlock Gateway (WAF) to get information about Tech-Clients given an API key. Plan (API Plan) An API plan is a template for API access restrictions encompassing access control, rate limit and quota information. A plan is typically assigned to a Tech-Client such that request sent by the Tech-Client can be checked against the restrictions of the plan. Quota A limit in the number of requests during a long time period such as a month or a year. To check a quota, request counters are persisted. Quotas are used for API monetization. Example: 10 m requests/month. For limits over a short period such as seconds, we use the term rate limit . rate limit A limit in the number of requests during a short time. A rate limit can be checked at runtime without persistence. It is used to protect against overload and in API monetization. Example: 10 requests/second. For limits over a long period such as days or weeks, we use the term quota . Tech-Client A technical API client such as a REST client. A Tech-Client is an identity used by a piece of software using a service API. A Tech-Client can be part of another service (e.g. the webserver of a fintech company) or a client software operated by the user (e.g. smartphone app). tenant (Airlock Gateway ) Data owner concept where a user of the Airlock Gateway is limited to tenancy-typical actions and data access. Basically this means that users with tenant rights are isolated from other tenant-user s on the Airlock Gateway . tenant (Airlock IAM ) Airlock IAM supports two concepts to segregate users: Tenant and Realm. In the tenant concept, multiple IAM instances share one database schema in order to save costs if database pricing is schema-based. Throttling The act of applying a rate limit (in the Airlock Gateway ). Limits the number of requests per second (or another short time period) by rejecting excess requests. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Terms and definitions','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668115382.html','Request processing Request processing (sequence diagram) The following flow diagram shows how a request sent by a Tech-Client is processed by the Airlock Gateway when applying access control based on API keys. Prerequisites The Tech-Client is in possession of an API key issued by Airlock IAM . The API key is not locked. The API key is valid. The Tech-Client is not locked. The Tech-Client has the corresponding plans (rights) to access the protected service. Request processing (1) The Tech-Client sends a request bearing an API key to the Airlock Gateway . (2) The Airlock Gateway applies security filters: allow rules deny rules API specification conformance etc. The request may be authenticated in terms of roles (One-Shot , redirect based, or else). Note that this step is independent of the Tech-Client identification based on the API key. (3) The API key is extracted from the request according to the configuration. The API key is looked up in the cache: if the cache contains valid Tech-Client information, steps (4) through (7) are skipped. (4) The API key is sent to the API Policy Service of Airlock IAM in order to retrieve Tech-Client information. (5) The API Policy Service looks up the Tech-Client given the API key and checks if the Tech-Client is locked. (6) The API Policy Service returns Tech-Client attributes: a unique ID and the assigned plans and rate limits. (7) The Airlock Gateway stores the Tech-Client attributes in the cache to optimize performance for subsequent requests. The cache timeout is configurable. (8) The Airlock Gateway applies access restrictions based on the Tech-Client information (plans, Rate-Limits ). The Tech-Client ID is used for logging and reporting. (9) The API request is forwarded to the protected service together with the Tech-Client ID. D_02 Descriptive module (maximum) D_02 Descriptive module (maximum)','Request processing (sequence diagram)','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668115590.html','API access control in detail API access control - how it works in detail This article gives detailed insights on how API access control based on API keys works in the Airlock Gateway . The focus of this content is on the usage of API keys. It does not provide details about other access control mechanisms of the Airlock Gateway . Mapping information As with any HTTP request sent to the Airlock Gateway , the applicable Mapping is determined based on the virtual host used and the request URI. All mapping-specific access control mechanisms like filters or API enforcement are applied as usual. API key-based access control relies on the following settings in the mapping: Access restrictions based on API plans How to communicate with the API Policy Service (of Airlock IAM) How to extract API keys from HTTP requests Access restrictions based on API plans To take access decisions, the Airlock Gateway uses the Access restrictions in the mapping´s Access tab. If the restriction list is empty or no restriction matches, access is granted. For example, if a restriction only matches HTTP GET requests, POST or PATCH requests on the same URL must be covered by separate restriction rules. Otherwise, they will be allowed. Access is granted for a restricted HTTP request if all matching (HTTP method and path) access restrictions are met: The required roles, as well as the required plans, must have been granted for the request to be successfully authorized. Roles Roles are typically used to implement access control for users and are granted on the session or for the request using the Control API . This is independent of API key-based access control and not further elaborated here. Plans Plans are assigned to Tech-Clients in Airlock IAM . The Tech-Client that issued a request is identified using the API key sent with the request. The Airlock Gateway looks up Tech-Client plans (and other attributes) by calling the Airlock IAM API Policy Service . Plans consist of an identifier and an optional rate limit. Rate limits are counted and enforced by Airlock Gateway . Rate limit counters on Airlock Gateway The Airlock Gateway enforces rate limits defined on plans by maintaining counters. The relevant plan for each request is determined as described above. If multiple plans are relevant for a request: The rate counters of all relevant plans for the calling Tech-Client count up. The request is forwarded to the protected back-end service until all count limits are used up. Tech-Client attributes provided by Airlock IAM The Airlock Gateway sends requests to Airlock IAM ´s API Policy Service in order to get the following Tech-Client attributes given an API key: Tech-Client ID A unique identifier for the Tech-Client . It is used for reporting and logging and may be sent to the protected service. Display name A typically human-readable name of the Tech-Client . It may be used for reporting purposes. Label The label is a string value attribute of a Tech-Client . It is searchable and may be used to group Tech-Clients (e.g. organization name, stage name, etc.). Plans A list of plans assigned to the Tech-Client. Each plan consist of its identifier (e.g. payments ) and an optional rate limit (e.g. 10 requests/second). State Information about the state of the Tech-Client and its API key: A Tech-Client and every API key may be locked, API keys may expire or not yet be valid. Note that the Airlock Gateway may cache the Tech-Client information to improve performance. The cache timeout is configurable. If the cache is disabled, a call to the API Policy Service is required for every API request processed by the Airlock Gateway ! Tech-Client attribute retrieval To retrieve Tech-Client attributes from Airlock IAM , the Airlock Gateway connects to the API Policy Service . It is crucial for security that only trusted IAM instances are contacted by the gateway. For this reason, a shared secret is used on both sides in addition to the connection security measures (TLS). The shared secret is used to sign requests and involves a timestamp. It is therefore essential that the clocks of all involved components (Airlock Gateway and Airlock IAM ) are synchronized. Note that the Airlock Gateway can connect to multiple IAM instances for different APIs. The API Policy Service to connect to is therefore selected in the Mapping configuration. API key extraction The Airlock Gateway extracts API keys from HTTP requests. The extraction mechanism is configured in the Mapping configuration. There are three types: API key extraction types Type Description Header The API key is in an HTTP header line. This is the recommended API key extraction type. Example: Api-Key: w5bziGy4N2u... Query parameter The API key is in a URL query parameter. This type is less secure but may be especially useful in conjunction with HTTP redirects or links sent to the client. Example: http://host.com/some/uri?api_key=w5bziGy4N2u URLs are often logged or stored in URL histories. Depending on the application of API keys, this may impose a security risk. Cookie value The API key is transported in an HTTP cookie. This type may be useful in-browser applications and may leverage the cookie security measures built into browsers. Example: Cookie: ApiKey=w5bziGy4N2u... Further information and links Configure the Airlock IAM API policy service D_01 Descriptive module (standard) D_01 Descriptive module (standard)','API access control - how it works in detail','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668118336.html','Tech-Client management Tech-Clients are managed in the Airlock IAM Adminapp or over the Adminapp REST API . Prerequisites Tech-Client management must be enabled in the IAM Adminapp configuration. The administrator must have the required privileges to manage tech-clients. Searching Tech-Clients Tech-Clients stored in the IAM database can be searched in the IAM Adminapp. The following attributes are considered when searching: Name – A typically human-readable name of the tech-client. ID – A unique identifier for the tech-client. Label – The label is a string value attribute of a Tech-Client . It is searchable and may be used to group Tech-Clients (e.g. organization name, stage name, etc.). Note that in the current implementation, Tech-Client search is done in memory and therefore limited to some thousands of Tech-Clients . Chapter content Profile management Plan management API key management D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Tech-Client management','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668118933.html','Profile management The Tech-Client profile section is used to display and manage the following Tech-Client attributes: ID The Tech-Client ID uniquely identifies the Tech-Client . It is generated by Airlock IAM when creating the Tech-Client and cannot be changed. The Tech-Client ID is used in logging and reporting and is also sent to the Airlock Gateway for logging with the API requests. It may be made available to protected APIs and must be used when manipulating Tech-Clients over the Adminapp REST API . Name A typically human-readable name of the Tech-Client . This attribute is used so Tech-Clients can be found in the Tech-Client list. The name can also be used in logging or reporting. It is recommended to choose a unique name for each Tech-Client . The name can be changed at any time. Label The label is a string value attribute of a Tech-Client . It is searchable and may be used to group Tech-Clients . For example, it could be used to store the name of an organization with multiple Tech-Clients . The label is optional and can be changed at any time. Description The description field can be used to store any type of unstructured information about the Tech-Client . The description is not considered in the Tech-Client search and can be changed at any time. The Plans section The Plans section shows the assigned plans and rate-limits. Click on the Manage button or open the Plans tab to manage plans of the Tech-Client. The State section The State section shows the lock state of the Tech-Client . Tech-Clients may be locked and unlocked by clicking the corresponding button. Requests from locked Tech-Clients are rejected. There is also similar a lock mechanism on individual API keys. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Profile management','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668118977.html','Plan management The plans section shows a summary of plans assigned to a Tech-Client . Each plan has an identifier (e.g. accounts ) and an optional rate limit (e.g. 10 requests/s ). Click on the Manage button or open the Plans tab to edit plan assignments: The plan Name (e.g. accounts ) is referenced in the Airlock Gateway ´s Access restriction configuration (Access tab in Mapping configuration). Be careful when changing the plan Name only in Airlock IAM as it may result in requests being blocked. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Plan management','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668119116.html','API key management The API keys of a Tech-Client are managed in the API keys tab. Each Tech-Client may have zero or more API keys . Click the Generate API key button to add a new API key . The following attributes may be managed for each API key : ID Each API key has a unique identifier. It is generated by Airlock IAM when the API key is generated and it cannot be changed. The ID is used in log statements and when manipulating API keys using the Adminapp REST API . Key The API key itself. The key should be transmitted to the Tech-Client over a secure and authenticated channel. API keys allow a Tech-Client to access protected APIs. They should be treated as sensitive information. Created at Timestamp of the creation of the API key . The value cannot be changed. Description This field may be used to add a description to an API key . For example, it can be useful to describe the reason for the key creation so another administrator can understand the purpose of the key. Valid from/to Defines the validity period of an API key. API keys are only accepted during their validity period. The values are optional. Locked Shows whether the API key is locked. Requests bearing locked keys are rejected by the Airlock Gateway . Keys may be locked and unlocked by clicking the corresponding buttons. Note that there is a similar lock mechanism for the Tech-Client . Deleting an API key cannot be undone. An accidentally deleted API key can only be replaced by providing a new key to this Tech-Client . D_01 Descriptive module (standard) D_01 Descriptive module (standard)','API key management','','autocomplete_use:true')
Smc.XSearch.add('../data/1571978526998.html','Attribute locking Attribute locking in the Configuration Center Change management involving different configuration stages (e.g., test, integration, production) can be tedious. Most configuration attributes are typically shared across all stages while some are stage-specific. The same applies to setups with multiple tenants. While there may be a common base configuration, each tenant deviates from the base in one or the other way. Using "attribute locking", Airlock Gateway administrators can separate common attributes from attributes specific to a certain stage or tenant. When a configuration has changed and is pushed through stages (or rolled out to new tenants), all common attributes will be automatically updated while specific attributes will be left untouched. How to lock attributes Attribute locking is supported for all mapping attributes except the mapping name. In order to activate attribute locking on a mapping, select the mapping and enable locking using the "Locking" toggle button located above the tab headers. When locking is enabled, a locking symbol appears on the left side of each attribute: Icon Description The attribute is locked. When a source mapping is applied to this mapping, this attribute will keep its value. The attribute is not locked. When a source mapping is applied to this mapping, the value of this attribute will be updated as well. The locking states are part of the configuration and saved along with all attribute values. Click on the locking icon to change the locking state of the corresponding attribute. Locking list elements Various configuration attributes are organized in tables or lists (e.g., request/response actions, response rewrites, deny rules and their exceptions). For entries corresponding to an Airlock Gateway default element, such as the default request actions or default deny rules, the locking state can be chosen individually. That is, for each default request action, the activation state can be locked separately. For custom elements (e.g., custom actions, allow rules, or deny rules), locking is done on the surrounding table or list. Attributes of default deny rules are covered by two locking symbols: the first symbol on the left side covers the activation state, the log-only flags and the security level of a deny rule group. The second locking symbol in the exceptions columns covers all the exceptions for a deny rule group and the contained rules. Updating the configuration Attribute locking involves a source and a target mapping configuration. Source mappings can be applied to target mappings. That is, all unlocked attributes on the target mapping are overwritten and copied from the source mapping. Locked attributes on the target mapping remain untouched. There are three ways of applying a source mapping to a target mapping (detailed below): Importing a Source Mapping (GUI) Importing a Source Mapping (REST API) Application of a Source Mapping Importing a source mapping (GUI) In the reverse proxy view, mappings can be imported by clicking on the "+" icon and selecting "Import...". For mappings that already exist on the current system, the administrator gets three options: Apply unlocked settings. If this option is selected, the imported mapping is treated as the source mapping and applied to the existing target mapping. Replace existing element. The existing mapping is replaced by the imported mapping. This also includes locking states of attributes. Import as a new copy. The mapping is imported with a "Copy-of-" prefix to prevent a naming conflict. Application of a source mapping Right next to the "Locking" toggle button, a dropdown list presents all mappings configured on the current system. At the bottom of the list, all mappings available from installed mapping templates are listed as well. By selecting a source mapping and clicking on "Pull Settings", all attributes of the source mapping are applied to the currently selected mapping. The selection of a source mapping is saved as part of the target mapping configuration and can thus be reused later on. For instance, a test mapping could be permanently selected as a source mapping on the corresponding production mapping. Whenever settings on the test mapping change, these settings can be applied to the production mapping simply by clicking the "Pull Settings" button on the production mapping again.','Attribute locking in the Configuration Center','','')
Smc.XSearch.add('../data/1571978527000.html','Back-end load balancing and failover Back-end load balancing is used to distribute requests for the same application over several back-end hosts in a predefined way. This can also be used to design back-end failover scenarios, or account for performance differences between back-end servers Each back-end host can be assigned a weight value, or it can be marked as a spare. spare back-end hosts do not carry a weight value. Airlock Gateway automatically assigns a weight to a back-end host when its spare checkbox is un-ticked. The weights assigned to all non-spare and enabled back-end hosts of a back-end group are used to calculate which percentage of the traffic each back-end host should receive. The calculated percentage is used as a starting point when distributing load over a back-end group´s back-end hosts. Depending on the operational situation, these values can change dynamically. Note that individual sessions - not requests - are distributed over the back-end hosts according to the set weights (and calculated percentages). Once a specific user´s session is tied to a specific back-end host, it will be served by that particular back-end host for the whole lifetime of the session, or until that back-end host becomes unresponsive. Chapter content Runtime behavior Load balancing example cases','Back-end load balancing and failover','','')
Smc.XSearch.add('../data/1646385553760.html','Runtime behavior Regular operation During regular operation, the calculated percentage defines how new sessions are distributed over the available back-end hosts. Every time a new session sends its first request, it is assigned to a back-end host using a weighted random function, where the back-end host´s percentages are used as weights. Due to this, the desired distribution will only be achieved over time, with a statistically significant amount of traffic. No new sessions Whenever a back-end host´s mode is set to "No new Sessions", its percentage value in the load balancing table will be changed to "0%", regardless of its given weight. The percentage for all the remaining back-end hosts will be re-calculated to take into account this lost resource. Back-end hosts with percentage "0%" will not be assigned any new sessions, but requests for existing sessions will continue to be sent to them. Disabled Whenever a back-end host´s mode is set to "Disabled", its percentage value in the load balancing table will be changed to "-", regardless of its given weight. The corresponding back-end host will be removed from the pool of available back-end hosts and no longer receives any request, be it from existing or new sessions. Bad Health Checks can alter a back-end host´s state at runtime. A back-end host that is set to "Bad" by a Health Check acts identical to a back-end host that is manually set to "Disabled" - see above. Requests from sessions assigned to this back-end host will be assigned to the remaining back-end hosts, following the standard distribution procedure. This change is reported in the logs, but is not visible in the Airlock Gateway configuration center. Spare If back-end host B1 is set to "Bad" by a Health Check, and back-end host B2 is marked as "spare", then B2 will be assigned B1´s weight, and from then on will be assigned new sessions. If B1 is later set to "Good" again (after successful Health Checks), this is reverted: B1 is re-assigned its original weight, it receives new sessions, whereas B2 will be assigned a weight of "0%" and only receive requests from existing sessions, as long as there are any. This process is logged, but not visualized in the Airlock Gateway configuration center.','Runtime behavior','','')
Smc.XSearch.add('../data/1646385553762.html','Example cases Load balancing example cases Case 1 – Symmetric load balancing An application is deployed on 3 application servers with identical performance parameters: B1, B2, B3. In order to achieve an equal distribution of all sessions over those three servers, the weight fields of all three servers must contain identical values: Weight B1: 100 (33%) Weight B2:100 (33%) Weight B3: 100 (33%) New sessions going to this back-end group will be randomly assigned to one of these three back-end hosts, which results in equal distribution in the long run. Case 2 – Asymmetric load balancing An application runs on two servers: B1, a very powerful, high-end machine, and B2, a legacy system with limited performance, only about 1/3 of B1´s. Usage demands exceed what B1 alone could handle, but are within what B1 and B2 combined can deal with. The sessions should therefore be distributed over both B1 and B2, but with fewer sessions going to B2: Weight B1: 300 (75%) Weight B2: 100 (25%) New sessions going to this back-end group will be randomly assigned to either B1 or B2, but three times more likely to B1 than to B2. In the long run, this results in a distribution of 3:1 between B1 and B2. Case 3 – Failover An application runs on two servers, B1 and B2. B1 is fully capable of dealing with all the expected traffic. B2 is used as a failover system, to take over in case of B1 experiencing any kind of problems. In order to achieve this, use the following settings: B1: Spare = no, Weight = 100 (100%) B2: Spare = yes All incoming traffic is now sent to B1. Health Checks monitor B1. Assume that at one point, B1 is set to "Bad" due to too many requests failing. Airlock Gateway now looks for any back-end hosts in the same back-end group which are marked as "spare". The first one found, in our case B2, is now assigned B1´s weight (100). Since B1 is set to "Bad", it does not receive any traffic any more. Instead, all traffic goes now to B2. Once B1 comes back online, new sessions will once again go to B1, but all existing sessions will remain on B2, minimizing the impact on the application users. Case 4 – Combination of load balancing and failover An application is deployed on 5 application servers with identical performance parameters: B1 through B5. In general, three of them are sufficient to deal with the expected traffic, the remain two should be used as back-up systems in case one or more systems fail: B1: Spare = no, Weight = 100 (33%) B2: Spare = no, Weight = 100 (33%) B3: Spare = no, Weight = 100 (33%) B4: Spare = yes B5: Spare = yes New sessions going to this back-end group will be randomly assigned to either B1, B2 or B3, resulting in equal distribution over these three systems in the long run. Now assume that at one point, B2 fails several Health Checks and is therefore set to "Bad": It will not receive any further traffic. Airlock Gateway now looks for any back-end hosts in the same back-end group which are marked as "Spare". The first one found, in our case B4, is now assigned B2´s weight (100), and receives 1/3 of the new sessions. Again, in the long run, traffic will be equally distributed over B1, B3 and B4. Now, assume that at a later point, B4 also has problems, fails several Health Checks, and is set to "Bad": The next spare server to be found is B5, which now receives the weight 100, and therefore 1/3 of the new sessions. Later still, B2 comes back on line. It still carries its weight (100). B5´s weight will be set to 0, it still serves its existing sessions, but does not receive any new ones. Again, 1/3 of all new sessions go to B2, which eventually will carry once again 1/3 of the overall traffic load. Once the problems on B4 are fixed, and it is back on line, it will once again serve as a spare, to be activated the next time one of the three productive systems (B1, B2 or B3) fails.','Load balancing example cases','','')
Smc.XSearch.add('../data/1648621031987.html','Clustering, load-balancing, and failover Clustering, load-balancing, and failover scenarios for Airlock Gateway setups This article describes three different setup scenarios for Airlock Gateway instances: A single gateway instance setup. A cluster of two instances using built-in Airlock Gateway functionalities. A setup of a load-balanced farm of Airlock Gateway instances with a dedicated load balancer. Session stickiness is maintained for all scenarios in this section. Single Airlock Gateway instance Single Airlock Gateway setups without failover are recommended only for testing and integration environment. For loads that cannot be managed with one single hardware anymore, Airlock Gateway supports upstream load balancing. Pros: Lowest setup costs. Disk mirroring is possible. Ideal for testing and integration environment. Any hardware can be used. Internal process monitoring with self-healing. Cons: Not recommended for production environments (no blackout protection). Single point of failure. Airlock Gateway failover cluster Two Airlocks Gateway instances can be operated as a failover cluster with one active and one passive instance using built-in functionalities. In this setup, the active Airlock Gateway receives and processes data and is monitored by the passive Airlock Gateway. If the passive instance detects an error on the active one, it takes over automatically. The monitoring is done on a separate channel by using the cluster talk protocol. This kind of setup is often used in production environments. Pros: Cost-sensitive setup. Recommended for production environments. Easy to set up and maintain. High availability through failover instance. Availability even during update processes. Mutual monitoring of both instances. Health checks by the passive Airlock Gateway. Internal process monitoring with self-healing. Cons: Only one system is active at a time. Load balanced farm of active Airlock Gateway instances with external Redis session store Two or more active Airlock Gateway instances can be operated as a load-balanced Airlock Gateway farm with an external Redis session store cluster to keep the session states and stickiness in sync for all gateways. In this setup, a dedicated load balancer orchestrates a number of Airlock Gateways – such a setup is typically used for high performance and redundancy requirements. Using an external Redis session store (a cluster is recommended), active Airlock Gateway nodes can synchronize session states. With synchronized sessions, different requests of the same user session may pass different Airlock Gateway instances. Pros: Works with two or more Airlock Gateway instances. Recommended for production environments if load exceeds capacity of a single instance. Scalable setup for growing throughput and availability demands. All systems can be active at a time. Availability even during the update process is possible. Application-related load balancing. Health checks are managed by the load balancer. Mixed hardware can be used for the Airlock Gateway instances. Internal process monitoring with self-healing. Sessions are synchronized between the Airlock Gateway instances. Cons: Higher setup costs. Requires a dedicated load balancer. Requires one or more Redis session stores. Can be more complex to set up and maintain. Load balanced farm of active Airlock Gateway instances without Redis session store Two or more active Airlock Gateway instances can be operated as a load-balanced Airlock Gateway farm with a load balancer that handles session stickiness. In this setup, a dedicated load balancer orchestrates a number of Airlock Gateways – such a setup is typically used for high performance and redundancy requirements. If sessions are not synchronized via an external Redis session store, the load balancer in front of the Airlock Gateway instances must take care of session stickiness, i.e., make sure that all requests from a user session are always routed through the same Airlock Gateway instance. Pros: Works with two or more Airlock Gateway instances. Recommended for production environments if load exceeds capacity of a single instance. Scalable setup for growing throughput and availability demands. All systems can be active at a time. Availability even during the update process is possible. Application-related load balancing. Health checks are managed by the load balancer. Mixed hardware can be used for the Airlock Gateway instances. Internal process monitoring with self-healing. Cons: Higher setup costs. Requires a dedicated load balancer. Can be more complex to set up and maintain. Load balancer must take care of session stickiness between the client browser and the Airlock Gateway instances.','Clustering, load-balancing, and failover scenarios for Airlock Gateway setups','','')
Smc.XSearch.add('../data/1633595303604.html','Cookie handling Cookie handling and cookie types HTTP is a stateless protocol, which means that no state or persistent information is stored and each request is executed independently. By using cookies to store and exchange information between requests, session-based HTTP/HTTPS communication can be established, which is both beneficial and convenient for the user experience. Cookies can be stored temporarily for only a single session, or persistent to be used to keep information between different sessions to allow for a session-spanning experience. The difference between temporary cookies and permanent cookies is, that persistent cookies have an expiry date and are stored on the disk while temporary cookies are kept in memory. Temporary and persistent cookies can be used for example to: (persistent) store user preferences or the content of a shopping cart. (persistent) restore user preferences and language settings. (persistent) keep the login status of a user (see also IAM Remember-me functionality). (temporary) session cookies. The web applications and the gateway create dedicated cookies for various purposes: Web application cookies from a back-end: Temporary cookies e.g. session cookies. Persistent cookies e.g. cookies with user preferences, the content of a shopping cart, or the login status of a user (see also IAM Remember-me functionality). Gateway cookies: Between client and gateway Gateway session cookies Load balancing cookies Between gateway and web application Control cookies, created by the web application Environment cookies, created by the gateway In the simplest configuration, without a gateway between the client´s browser and the web application, cookies created by the web application are sent with every request between the browser and the web application. This potentially allows attackers to steal and misuse personal cookie information or could lead to other risks like cross-site scripting (XSS) or cross-site-request-forgery (CSRF) attacks. Gateway with session handling enabled Airlock Gateway session handling secures the handling of cookies by using a cookie store in a Redis database. In this store, application cookies are kept and a gateway-generated session cookie is linked to these application cookies. The session cookie is used to look up the users´ web application cookies and attach them in every request to the back-end application. That way personal and sensitive data will never leave the cookie store/the gateway. A single Airlock session cookie may be linked to a large number of application cookies in the gateways cookie store. For example, the Airlock session cookie is linked to the web application cookie but may also be linked to an unlimited number of other web application cookies that e.g. may hold the user´s default language settings, shopping cart information, remember-me status, and others. An exemplary Cookie Store look-up table for different AL_SESS cookies may show the following entries: AL_SESS value Session ID Cookie Store 657fd545 3450ae3 JSESSIONID=7 OTHER_COOKIE=gf IAM_COOKIE=jdoe 45665345 240e31a JSESSIONID=2 OTHER_COOKIE=da IAM_COOKIE=foo 9r7fd525 475d4ba JSESSIONID=12 OTHER_COOKIE=kk IAM_COOKIE=everyman As we can see, user jdoe from the above graphic has a unique AL_SESS value 657fd545that is associated with a specific session id. Within this session some cookies are stored like JSESSIONID 7. Other users have their other session and most likely differnt cookies in the cookie store. About the gateway cookie store By default, cookies set by your application are saved in the current session´s cookie store. These internal cookies never reach the user client but are kept and managed by the gateway for each active session. Note that some cookies such as control cookies, encrypted cookies, and passthrough cookies are not saved in the cookie store. To avoid storing the same cookie multiple times, the gateway compares the cookie name, domain, and cookie path. Two cookies are considered to be the same if all three values are equal. Different from the normal browser behavior, stored cookies are sent to all back-ends. You can enable browser-like handling of cookies with the option Interpret cookie domains in cookie store. When enabled, the gateway will interpret the cookie domain and cookie path information. See also section Interpret cookie domain in cookie store. Browser-like handling is based upon the following attributes: Cookie origin – This attribute is set automatically to the hostname of the server this cookie originates. If this is the only attribute set, the cookie is sent with requests to its origin server. Cookie domain – This attribute may be set by the web application. It defines the domain within which this cookie is valid. In this case, cookies are not only sent to their origin server but also to all other servers in the given domain. Cookie path – This attribute is set by the web application and restricts the use of this cookie to the given path. Assuming the cookie would be sent because of the origin and domain values, it might be retained when the path attribute doesn´t match the request´s path. Cookie port – The port is not utilized. On a cookie domain match, the domain is part of the cookie domain information of the requested host. For example the domain .foo.net matches host1.foo.net, and host2.other.foo.net. A cookie path match means that the cookie path is a prefix of the path requested. For example the cookie path /info matches against /info/news.html, and /info/old/deprecated.html. Cookies bypassing the cookie store Some web application functionalities may require bypassing the original cookie from the web application to the client´s browser and not keeping them in the cookie store. That means these pass-through cookies are passed from the back-end to the user client and vice versa. Possible use cases of pass-through cookies are: When cookies are client-side generated. When client-side applications need to be able to read the cookie content, like for build-int CSRF protection. The options for pass-through cookies are: Plain, unencrypted cookies can be configured under Passthrough cookies . Encrypted cookies can be configured under Encrypted cookies . By default, both types of cookie handling are disabled and can be configured on the Basic tab for each mapping. In case some web application functions do not work as expected, consult the gateways log messages to find out if and which cookies must be bypassed and change the gateway configuration accordingly. If pass-through cookies must be configured, encrypted cookies should be preferred over plain cookies. It is more secure and reduces the attack vector. Encryption should be configured to store all application cookies types with a long-living information payload where the client logic does not read and modify its data. These typically are persistent cookies that carry user preferences like the user´s country or language and must therefore live longer than the gateway session. Note that in pass-through cookies, the cookie domain is modified according to the corresponding settings in the virtual host. Each cookie matching the configured regular expression will be sent through the gateway to the user client. These cookies are accepted by the gateway and sent without changes to the back-end. If pass-through cookies is enabled, cookie attributes can be modified by the gateway using Response Actions . Possible reasons for cookie manipulation may be: Asymmetric mappings, where the cookie path needs correction. Security attribute like the HTTP Only or Secure flag that need to be adapted. Either to increase the security or that the web application works in front of the gateway. Cookie types From clientside Airlock Gateway accepts only its own cookies for session handling and load-balancing as well as passthrough cookies and encrypted cookies. All other cookies are rated as unexpected and will be discarded. Cookie name Description Example/usage Load balancing cookies This cookie contains the information which back-end is handling an user´s session to ensure session affinity. Example of a load balancing cookie: AL_BALANCE-S=$xc/jKSE... When Enforce session is enabled, session affinity is ensured no matter if Load balancing cookies is enabled or not. To ensure that sessionless mappings have session affinity, this setting can be enabled. Control API cookies Control cookies allow an application to execute Control API commands. The cookie prefix is set up in the Expert Settings. Cookies can be enabled in the mapping configuration. Example of a gateway control cookie that terminates a session: AL_CONTROL=SESSION%3DTERMINATE Environment cookies Environment cookies are internally used to send information to the back-end. The cookie prefix is set up in the Expert Settings. Cookies can be enabled in the mapping configuration. Example of a cookie with request header sent from the gateway to an application: AL_ENV_REMOTE_ADDR=213.144.135.98 Encrypted cookies This is a pass-through cookie type. This cookie type is encrypted to protect your web application from cookie manipulation. When using encrypted cookies, an attacker is no longer able to read nor manipulate the contents of your cookies. The gateway recognizes these cookies with the Encrypted cookie regular expression mapping settings: All cookies with a matching cookie name will be encrypted before being sent to the client´s web browser. Incoming encrypted cookies are automatically decrypted before being sent to the web application. Passthrough cookies This is a pass-through cookie type. This cookie type is plain (not encrypted) and the gateway does not protect your web application from cookie manipulation. The gateway recognizes these cookies with the Passthrough cookie regular expression mapping settings: All cookies with a matching cookie name will be directly sent to the client´s web browser. Incoming cookies are directly sent to the web application. Further information and links Internal links: Control API Cookie security attributes Environment cookies Handling of special headers Section – Cookies and (CSRF) Tokens Section – Application Cookies','Cookie handling and cookie types','','')
Smc.XSearch.add('../data/1571978527048.html','Environment cookies If the option Send environment cookies to back-end is enabled in the mapping, Airlock Gateway adds the following Environment Cookies to each back-end request. The default cookie prefix can be configured. However, it is not recommended to change the cookie prefix due to potential incompatibilities and confusion. The values of the environment cookies are percent-encoded (URL encoded). The back-end must decode the values. The following cookies are available: Various basic cookies Geolocation cookies Airlock Anomaly Shield cookies Environment cookies related to API policy features Environment cookies related to client certificates Environment cookies related to client fingerprinting Environment cookies related to encrypted front-end connections Environment cookies related to session variables Expert settings The list below shows the Security Gate - Expert Settings related to this topic. They can be adapted if their default setting does not fit customer needs: EnvVarCookiePrefix "AL_ENV_" EnvVarCookiePlainChars "!#$&*-./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ^_`abcdefghijklmnopqrstuvwxyz|~" ClientFingerprinting.EnvVarCookieExport.Enable "TRUE" SessionVariable.EnvVarCookieExport.Enable "TRUE" SessionVariable.EnvVarCookieExport.Name.Pattern ".*" We do not recommend changing the environment cookie prefix, as this is a common source of confusion.','Environment cookies','','')
Smc.XSearch.add('../data/1655396336642.html','Various basic cookies Cookie Name Description Example Value (decoded) AL_ENV_CONNECTION_ID A unique ID for the front-end TCP connection. fPAA<...>2PCV AL_ENV_HTTPS Indicates whether the request was sent encrypted. on AL_ENV_MATCHING_IP_LISTS All IP Address Lists that have matched the client IP address, regardless of whether this was a allowlisting or denylisting rule. The names of the matching lists are comma-separated and percent-encoded. Lists obtained through the Webroot threat intelligence service are prefixed with "TI:". MyIpList_16,TI:Spam Server AL_ENV_REMOTE_ADDR The IP address of the client. 168.192.1.123 AL_ENV_REQUEST_ID A unique request ID. D79v<...>AABb AL_ENV_ROLES The roles of the current session, with the remaining role idle timeout and the remaining role lifetime (in seconds). The value none (without remaining idle timeout/lifetime) is used if there are no roles. role1:600:28732,role2:300:532 AL_ENV_REMOVED_ROLES This cookie is intended for Airlock IAM i.e. to inform IAM about removed roles and their reason for removal. The cookie is updated by Airlock Gateway when roles are reestablished, i.e. via the IAM Control-API. Encoded reasons for removal: api = Control-API idletime = idle timeout lifetime = lifetime anomaly = Airlock Anomaly Shield W/o percent-encoding: AL_ENV_REMOVED_ROLES=role1:api,role2:idle,role3:ltim,role4:nmly AL_ENV_REMOVED_ROLES=role1%3Aapi%2Crole2%3Aidle%2Crole3%3Altim%2Crole4%3Anmly AL_ENV_SESSION_ID A unique session ID. The value none is used if there is no session ID. a83e5<...>f4db3 AL_ENV_SESSION_TIMINGINFO The remaining session idle timeout and the remaining session lifetime (in seconds). 600:28651 AL_ENV_SERVER_ADDR The IP address of the virtual host that received the request. 10.1.0.56 AL_ENV_SERVER_NAME The virtual hostname that received the request. myappl.example.com AL_ENV_SERVER_PORT The port number that received the request. 443 AL_ENV_SERVER_PROTOCOL The protocol name and version of the request, e.g. HTTP/0.9 , HTTP/1.0 , HTTP/1.1 , HTTP/2.0 . HTTP/1.1 AL_ENV_SERVER_REQUEST The path of the request. /applpath/show.do AL_ENV_SERVER_REQUEST_QUERY The query string of the request. This cookie is only sent in one-shot-requests triggered by a one-shot authentication flow. firstname=Markus&lastname=M%C3%BCller AL_ENV_SESSION_TERMINATION_REASON An explanatory string on the reason why a session has ended. Possible values are "IdleTimeout","LifetimeExceeded ", "ThreadHandling", "ControlAPI", "ClientFingerprinting". Additional arguments may be added to the value in the form of <key>=<value> pairs delimited by a colon (:). In case of "ClientFingerprinting" the total reached penalty points, leading to termination of the session, is appended as "TOTAL_PENALTY_POINTS=<INT>". This cookie is only sent in logout propagation requests IdleTimeout or ClientFingerprinting: TOTAL_PENALTY_POINTS=800 AL_ENV_WAF_VERSION Airlock Gateway version string in the format: "<MAJOR>.<MINOR>.<MAINTENANCE>" where MAJOR, MINOR and MAINTENANCE are sequences of digits. 7.2.0','Various basic cookies','','')
Smc.XSearch.add('../data/1655396336644.html','Geolocation cookies Geolocation cookies Cookie Name Description Example Value (decoded) AL_ENV_GEOIP_CONTINENT the continent code of the request origin. The continent codes are listed in the description of the Submenu – Default Actions request action. This cookie is only sent if GeoIP information is available. EU AL_ENV_GEOIP_COUNTRY the country code of the request origin. The country codes correspond to the Alpha-2 codes in the ISO 3166-1 standard . This cookie is only sent if GeoIP information is available. CH AL_ENV_GEOIP_LATITUDE the approximate latitude of the request origin. This cookie is only sent if GeoIP information is available. 47.3667 AL_ENV_GEOIP_LONGITUDE the approximate longitude of the request origin. This cookie is only sent if GeoIP information is available. 8.55 Further information and links Internal links: For geolocation configuration, see: Submenu – Geolocation Filter','Geolocation cookies','','')
Smc.XSearch.add('../data/1655396336973.html','Airlock Anomaly Shield cookies Cookie name Description Example values ML_ANOMALY The cookie contains the same session tagging as the respective log message. normal anomalous exception redeemed ENV_PREFIX_ML_ANOMALY=normal ML_DATA The payload is in JSON format and %-encoded. Pretty printed example: {  "val": {  "con": 0.1,  "grm": 0.2,  "ifo": 0.3,  "mco": 0.4,  "scm": 0.5,  "tcs": 0.6  },  "thr": {  "con": 0.11,  "grm": 0.22,  "ifo": 0.33,  "mco": 0.44,  "scm": 0.55,  "tcs": 0.66  } } There are two different JSON top-keys: "val" (= values) and "thr" (= thresholds). For every top-key, the full set of machine learning models with their current raw values is included: "con" – connection metrics "grm" – graph metrics cluster "ifo" – isolation forest "mco" – multiple countries "scm" – status code meta "tcs" – timing cluster ENV_PREFIX_ML_DATA=%7B%22val%22%3A%7B[...]%22tcs%22%3A0.66%7D%7D Further information and links Internal links: Airlock Anomaly Shield Log messages Log messages and actions of Airlock Anomaly Shield','Airlock Anomaly Shield cookies','','')
Smc.XSearch.add('../data/1655396336794.html','API policy cookies Environment cookies related to API policy features Cookie Name Description Example Value (decoded) AL_ENV_TECH_CLIENT_ID The tech client ID received from the API policy service. 08b3c345-a156-4d30-9d65-465ccdb363d6 AL_ENV_API_POLICY_TECH_CLIENT_ID The tech client ID received from the API policy service. 08b3c345-a156-4d30-9d65-465ccdb363d6 AL_ENV_API_POLICY_SUBSCRIPTION_ID The subscription ID received from the API policy service. ee52d844-26c4-41db-89a3-8d0106b23e09 AL_ENV_API_POLICY_LABEL Label received from the API policy service. my_app_client_android AL_ENV_API_POLICY_DISPLAY_NAME Display name received from the API policy service. MyApp Client - Android AL_ENV_API_POLICY_PLANS Comma-separated list of plans available in the subscription received from the API policy service. write , read , info Further information and links Internal links: For API security configuration, see: Submenu – API Security','Environment cookies related to API policy features','','')
Smc.XSearch.add('../data/1655396336699.html','Client certificate cookies Environment cookies related to client certificates Cookie Name Description Example Value (decoded) AL_ENV_SSL_CLIENT_CERT The client certificate in PEM format, containing newlines (\\n ). -----BEGIN CERTIFICATE-----<...>4B== AL_ENV_SSL_CLIENT_I_DN The client certificate issuer distinguished name . CN=CA,OU=CertDepartment,O=TrustMe<...> AL_ENV_SSL_CLIENT_M_SERIAL The serial number of the client certificate. 518 AL_ENV_SSL_CLIENT_M_VERSION The version number of the client certificate. 1 AL_ENV_SSL_CLIENT_S_DN The client certificate subject distinguished name . The cookie uses the %SSL_CLIENT_S_DN% rewrite variable value. CN=Bob,OU=Airlock,O=Ergon<...> AL_ENV_SSL_CLIENT_V_START The client certificate validity start date. Oct 16 11:48:41 2013 GMT AL_ENV_SSL_CLIENT_V_END The client certificate validity end date. Oct 29 05:20:25 2016 GMT * The DN format used in the cookies AL_ENV_SSL_CLIENT_S_DN . The format supports non-ASCII characters and escapes special characters with backslashes. The legacy format of Airlock Gateway releases before 5.0 can be enabled using Apache expert settings as follows: SSLOptions +LegacyDNStringFormat This option applies to all contexts – globally, virtual hosts, and mappings. For more details on Apache SSLOptions, consult the Apache Manual . Further information and links Internal links: For client certificate configuration, see: Tab – Client Certificates (back-end) Table of rewrite variables for front- and back-end use','Environment cookies related to client certificates','','')
Smc.XSearch.add('../data/1655396336718.html','Client fingerprinting cookies Environment cookies related to client fingerprinting Cookie Name Description Example Value (decoded) AL_ENV_CFP_INCIDENTS Comma (,) separated list of triggered client fingerprinting incidents in the session/request applicable for the current mapping. Configure with expert settings. sess_ipChange sess_userAgentChange AL_ENV_CFP_TOTAL_PENALTY_POINTS Sum of client fingerprinting penalty points accumulated in the session/request for the current mapping. Configure with expert settings. 250 AL_ENV_CFP_NOTIFICATION Indicates whether the client-fingerprinting has detected a potential session hijacking. FALSE Further information and links Internal links: For expert settings configuration, see Environment cookies.','Environment cookies related to client fingerprinting','','')
Smc.XSearch.add('../data/1655396336646.html','Front-end connect. cookies Environment cookies related to encrypted front-end connections Cookie name Description Example value (decoded) AL_ENV_SSL_CIPHER The front-end SSL/TLS cipher is used for HTTPS. The cookie uses the %SSL_CIPHER% rewrite variable value. ECDHE-RSA-AES256-GCM-SHA384 AL_ENV_SSL_PROTOCOL The front-end encryption protocol is used for HTTPS. The cookie uses the %SSL_PROTOCOL% rewrite variable value. TLSv1.2 AL_ENV_SSL_SESSION_ID The unique front-end SSL/TLS session ID. The cookie uses the %SSL_SESSION_ID% rewrite variable value. 58ad1<...>4584b Further information and links Internal links: For front-end SSL/TLS configuration, see Tab – SSL Table of rewrite variables for front- and back-end use','Environment cookies related to encrypted front-end connections','','')
Smc.XSearch.add('../data/1655396336720.html','Session cookies Environment cookies related to session variables Cookie Name Description Example Value (decoded) AL_ENV_SV_<session variable name> The value of an exported session variable. Mind that session variable name is percent-encoded, for example: AL_ENV_SV_MyVariable=MyValue Configure with expert settings. <session variable value> Further information and links Internal links: For expert settings configuration, see Environment cookies.','Environment cookies related to session variables','','')
Smc.XSearch.add('../data/1583435032078.html','Cookie security attributes Secure attribute The Secure attribute is automatically set on any cookie with "-S" suffix. HttpOnly attribute To prevent scripting access and mitigate cookie stealing, Airlock session cookies have the HttpOnly flag set and are not accessible for active client-side components like JavaScript, Flash, ActiveX, Java Applets, etc. The flag is also set for load balancing cookies but not for CSRF token cookies because the CSRF protection feature can not work if the flag is set. The flag can be disabled for the session and load balancing cookie with Security Gate Expert Settings. SameSite attribute The SameSite attribute is set to the enforcement mode Lax for the Airlock session cookies to prevent CSRF attacks. The SameSite mode for CSRF token cookies is set to Strict . The attribute is not set for the load balancing cookie, because this cookie is not security-critical. The SameSite enforcement mode can be configured for all Airlock Gateway session cookies with Security Gate Expert Settings. Further information and links Section – Cookies and (CSRF) Tokens Section – Application Cookies','Cookie security attributes','','')
Smc.XSearch.add('../data/1632471138238.html','CSRF protection Cross-Site Request Forgery (CSRF) protection If you are already familiar with CSRF attacks and the protection offered by Airlock Gateway against it, you can skip ahead and jump to Cross-Site Request Forgery (CSRF) protection for SPAs. Cross-Site Request Forgery attacks and vulnerability A Cross-Site Request Forgery (CSRF) attack consists of sending illegitimate requests to a site on behalf of a user who is already authenticated via a session cookie. These illegitimate requests are usually triggered by the authenticated user visiting a malicious website, which sends the forged requests to the target site (typically using Javascript in a web browser). Without CSRF protection, the session cookie and the requests originating from the malicious site are indistinguishable from legitimate requests by the server. Note that the same-origin policy implemented in web browsers ensures that responses to requests originating from the malicious site cannot be accessed by the malicious script. Read-only operations like GET requests are considered to be safe request methods and therefore not subject to CSRF attacks. When CSRF protection is enabled, the CSRF token is automatically disabled for sessions that do not use the Security Gate session cookie. So, for example, for mobile applications that cannot use the Security Gate session cookie, but instead use the configured request header for session tracking. Note that this implicit disabling is not visible in the log files. Your application is vulnerable to Cross-Site Request Forgery attacks if all the following points are true: The user´s web browser can automatically send the session credentials. This includes but is not limited to the case where session tracking is done via cookies. Credentials from other authentication schemes, such as Basic or client certificate authentication, can also be automatically sent by the browser. There are state-changing requests requiring an authenticated session. The URLs of those state-changing requests are not secret. This is usually always the case excepted when session-based URL encryption is enabled. We highly recommend enabling the Security Gate CSRF token if your application is vulnerable to CSRF attacks. CSRF protection by Security Gate The Security Gate can protect your web application against Cross-Site Request Forgery (CSRF) attacks using CSRF tokens. Until Airlock Gateway 7.6, CSRF tokens were only used to protect POST requests which are insufficient for modern REST APIs used by a typical single-page application (SPA). With Airlock Gateway 7.6 and later, CSRF tokens can protect all request types except for GET, HEAD and OPTIONS requests. Standard read-only GET requests are expected to be idempotent and safe (see RFC2616 ). State-changing operations implemented using GET requests are therefore non-standard and should be avoided as they additionally pose a security risk for Cross-Site Request Forgery. They can be the target of CSRF attacks. The CSRF tokens functionality of the Security Gate will not protect GET requests. If possible, modify your application to ensure that state-changing operations are implemented using standard POST , PATCH , PUT or DELETE requests. Otherwise, ensure that those GET requests are sufficiently protected against CSRF attacks (see OWASP - Cross-Site Request Forgery Prevention Cheat Sheet ). Security Gate CSRF defense in depth The Security Gate offers a defense in depth against CSRF attacks as recommended by current best practices (see OWASP - Cross-Site Request Forgery Prevention Cheat Sheet ). The CSRF token is named CSRFT759 by default for all HTTP requests and CSRFT759-S for HTTPS. Note that the token name can be changed in the field CSRF token name under Cookies and Tokens. The countermeasures include: Standard security attributes on session cookies, such as HttpOnly, Secure, and SameSite. The option to protect mappings by enabling CSRF tokens for each mapping. This does the following: The Security Gate generates a random token bound to the user session. This token will be sent to the client via an additional cookie (CSRFT759) when the user session is created. Every state-changing request is then required to provide the delivered token in a specific request header (X-CSRFT759) in order not to be blocked by the Security Gate. However, for POST requests also the POST parameter CSRFT759 can be used for forms with content type application/x-www-form-urlencoded . Note that CSRF countermeasures cannot apply in situations where the Security Gate CSRF token is not used (header-based session tracking) i.e. for non-browser-based mobile applications. Same-origin policy web browser implementation The protection offered by Security Gate CSRF tokens relies on the correct implementation of the same-origin policy by the user´s web browser, which prevents scripts from another origin to be able to read the value of the CSRF token delivered in the corresponding cookie. General requirements and thoughts: Correct implementation of the same-origin policy. No other assumption on the user´s browser (e.g., support for the SameSite cookie attribute, correct implementation of CORS, etc.) is required for the protection to be effective. The application must not be vulnerable to XSS attacks. If vulnerable, an injected malicious script could directly send malicious requests to the server which can not be blocked by the CSRF token feature. Such requests would be indistinguishable from requests executed by legit JavaScript code in the application. Reading the CSRF token from the cookie to set it as a custom header in a state-changing request will be handled via JavaScript. The cookie (CSRFT759) delivering the CSRF token to the client does therefore not have the security attribute HttpOnly – in contrast to the session cookie. This, however, is of no consequence for the security based on the previous assumptions (same-origin policy and impossibility of XSS attacks). If your application (e.g. the Airlock IAM Loginapp UI ) is being delivered through a gateway mapping with CSRF tokens enabled, a script tag referencing a JavaScript file is automatically injected by the Gateway . This feature transparently attaches the CSRF token to every state-changing request, your SPA does therefore not need to handle CSRF tokens at all. See Sequences of requests and responses for an exemplary sequence diagram. Further information and links Cross-Site Request Forgery (CSRF) protection for SPAs Session-based URL encryption: Tab – URL Encryption Enable/disable CSRF token: Tab – CSRF Tokens','Cross-Site Request Forgery (CSRF) protection','','')
Smc.XSearch.add('../data/1642098244739.html','Dynamic back-end group selection Dynamic back-end group selection Multiple back-end groups and virtual hosts can be connected to single mappings to significantly reduce the number of mappings on the ​Reverse Proxy page​. In the following example screenshot, the mapping AC280 is connected to multiple virtual hosts and multiple back-end groups: Check security relevant Strictly match FQDN and aliases. Configurations on the back-end groups header rewriting Dynamic back-end group selection uses HTTP headers Host of requests to select the correct back-end group for routing. The HTTP header Host has to be set as Client Host Header Pattern condition on the Basic tab of each Back-end Group for the selection. Path: Back-end Group element >> tab Basic >> section Conditions An additional priority value can be configured (low number = high priority). Uniqueness is not a requirement for the priority values. The backend groups are selected primarily by their priority value and secondarily in alphabetical order. A single Client Host Header Pattern is sufficient for most use cases. However, additional selection conditions can be required, i.e. for requests that carry the same Host header but should be routed to different back-end groups, additional HTTP headers in the Expert Settings must be configured. Regex examples: ^www\\.mydomain\\.com(:\\d{2,5})?$(\\.mydomain\\.com|\\.mydomain\\.ch)$.* Dynamic back-end group selection uses the (original) HTTP header Host of requests. Modifications of the HTTP header Host on the mapping with request actions have no influence on the selection of the back-end group. It is still possible to rewrite the host header for the back-end HTTP request. Further information and links Strictly match FQDN and aliases settings on the virtual host Basic tab. Tab – Request Actions on the mapping detail page. HTTP header Host condition on the back-end group. Tab – Expert Settings on the back-end group. D_05 Descriptive module for concepts (with TOC) D_05 Descriptive module for concepts (with TOC)','Dynamic back-end group selection','','autocomplete_use:true')
Smc.XSearch.add('../data/1617875165831.html','Entry path / back-end path settings Entry path to back-end path settings Typically, the entry path is a directory of an application (e.g., /cms/admin/ ), but as an alternative, a regular expression with or without enforced trailing slashes can be defined. The selection buttons above the text field in Section – Service and Mode defines if the entry path is interpreted as Directory or Regular expression . Besides the entry path, Airlock Gateway s also regards the priority setting in Section – Service and Mode for determining the right mapping. Chapter content Entry path as Directory or Regular expression Option Enforce trailing slashes','Entry path to back-end path settings','','')
Smc.XSearch.add('../data/1617875165833.html','Entry path as Directory or Regular expression Entry Path as Directory The mapping behavior of trailing slashes depends on the chosen validator – see Option Enforce trailing slashes. Example Virtual host: Name = webapp.ext.virtinc.com , Protocol = https Mapping: Entry path = /private/ (directory) Back-end path = / (directory) Back-end host: IP = 123.234.132.1 , Protocol = http Incoming => back-end request URL: https://webapp.ext.virtinc.com/private/ => http://123.234.132.1/ https://webapp.ext.virtinc.com/private/ index.html => http://123.234.132.1/index.html https://webapp.ext.virtinc.com/private/ images/logo.gif => http://123.234.132.1/images/logo.gif https://webapp.ext.virtinc.com/private (no trailing slash) => the gateway sends redirect to http://webapp.ext.virtinc.com/private/ The ignore-case icon behind the field determines if the entry path is treated case-insensitive, i.e. requests for the directory /CRM should be sent to the same mapping as for the directory /crm . Entry Path as Regular Expression The entry path is interpreted as a regular expression. A request matches the entry path if its URL path matches the specified regular expression. The ignore-case icon behind the field determines if the match is case-sensitive. If the entry path is a regular expression, the back-end path must be a replacement pattern that transforms the entry path to the back-end path. It normally contains back-references ($1, $2...$n ) that correspond to parts of the entry path (substrings in parentheses, see example below). Any URL parameters (after the ? in the URL) are not part of the entry path, these parameters will be ignored for the regular expression match. After constructing the back-end path, the parameters of the original request URL are appended to construct the complete back-end URL. It is not possible to append new parameters to the back-end URL. The URL path of a request may match multiple regular expressions. For that reason, a unique priority must be chosen for each regular expression mapping. Example Virtual host: Name = webapp.ext.virtinc.com, Protocol = https Mapping: Entry path = ^/session_([0-9A-F]{8})/(.*\\.(gif|jpg|ico))$ (regular expression) Back-end path = /session_$1/img/$2 (replacement pattern) Back-end host: IP = 123.234.132.1, Protocol = http Incoming => back-end request URL: https://webapp.ext.virtinc.com/session_373E04C5/logo.jpg => http://123.234.132.1/session_373E04C5/img/logo.jpg https://webapp.ext.virtinc.com/session_373E04C5/test/space.gif => http://123.234.132.1/session_373E04C5/img/test/space.gif The rewriting variables %ENTRYPATH% and %BACKENDPATH% cannot be used because their value is undefined for a regular expression mapping.','Entry path as Directory or Regular expression','','##External_FQDN##:##External_FQDN_Generic##')
Smc.XSearch.add('../data/1617875165835.html','Trailing slashes in paths Option Enforce trailing slashes The validator Enforce trailing slashes is disabled by default. For legacy mappings, the trailing slashes behavior will be preserved in status ON. Enforce trailing slashes disabled (default validator) The default validator forces that both paths either have a trailing slash or that both paths do not have a trailing slash. Example with trailing slashes: Entry path: /path/ Back-end path: /back-end/ A request to /path/target matches and is forwarded to /back-end/target . A request to /path does not match: If no other mapping matches, this request will return Page Not Found. Example without trailing slashes: Entry path: /path Back-end path: /back-end A request to /path/target matches and is forwarded to /back-end/target . A request to /path does match and is forwarded to /back-end . Enforce trailing slashes enabled Example with trailing slashes: Entry path: /path/ Back-end path: /back-end/ A request to /path/target matches and is forwarded to /back-end/target . Example with trailing slashes: Entry path: /path Back-end path: /back-end/ The missing trailing slash of /path will be automatically complemented to /path/ . Further information and links See Section – Service and Mode for more settings. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Option Enforce trailing slashes','','autocomplete_use:true')
Smc.XSearch.add('../data/1574686289781.html','HTTP/HTML rewriting HTTP/HTML rewriting The various rewrite options of each mapping configuration make it possible to change certain HTTP header fields or HTML contents on the fly during a request. All rewrite options are defined with regular expressions. Airlock Gateway only activates the rewrite engine for the needed sections. If no HTML rewriting is configured for a mapping, Airlock Gateway will not even parse the HTML response to achieve best performance. You can make use of the rewrite variables in regular expression patterns or in substitution strings. Rewrite options contain the following activation options: Translate Internal Address (rewrite option with default behavior enabled) Custom (rewrite option with custom rules enabled) Off (rewrite option disabled) The default rules can be made visible by selecting the custom mode and clicking on the Translate Internal Address button. The Translate Internal Address rules provide recommended values to achieve best compatibility with back-end applications that are not reverse proxy compatible. Each rule consists of a regular expression From pattern and a corresponding substitution To string. A matching expression pattern is replaced by the substitution string. Replaced is the whole regular expression match which may be a substring of the whole input field. Parenthesis in the regular expressions may be used to be referenced in the target string. They can be placed in the substitution string by using the numbered dollar sign variables ($1..$9). Currently up to ten match references can be used. Multiple rewrite rules can be added by using the + button at the bottom of the table. The rewrite rules are applied in the listed order. Use the mouse and drag a rule on the right of the - sign, drop it on a new position to sort the list and therefore change the order of execution. Simple rewrite example: From ^/(.*)$ To /prefix-example/$1 This example matches absolute path input strings and puts a prefix in front of it.','HTTP/HTML rewriting','','')
Smc.XSearch.add('../data/1571978527017.html','JSON filtering JSON parsing and filtering Airlock Gateway can parse JSON (JavaScript Object Notation) objects in requests and allows filtering of JSON attributes with allow rules and deny rules. Arguments in JSON structures are treated in exactly the same way as normal HTTP parameters. With Airlock Gateway 8.1 and later, JSON parsing configuration has become more granular. If you encounter false request blocking, follow the short instructions on how to disable JSON parsing at the end of this article. Generation of Airlock Gateway parameters from JSON objects For a detailed description of the JSON object syntax please refer to json.org . If parsing of a JSON object fails due to illegal syntax, a message of type WR-SG-BLOCK-109-01 (JSON syntax error message) is written to the log. The log message indicates the position of the character for which parsing failed. Here is an example of a simple JSON object representing a user: { "firstName": "Simon", "lastName": "Smith", "age": 25, "address": { "streetAddress": "21 2nd Street", "city": "New York", "state": "NY", "postalCode": "10021" }, "phoneNumber": [ { "type": "home", "number": "212 555-1234" }, { "type": "fax", "number": "646 555-4567" } ], "newSubscription": false, "companyName": null} Airlock Gateway automatically generates flattened parameters from object attributes. Parameter names start with "#json" and attribute names are separated by hashes (#). Entries in arrays are enumerated. Parameter values are generated from the trimmed strings of the original JSON record values. For example, the following parameters are generated from the above user object: Parameter Name Parameter Value #json#firstName Simon #json#lastName Smith #json#age 25 #json#address#streetAddress 21 2nd Street #json#address#city New York #json#address#state NY #json#address#postalCode 10021 #json#phoneNumber#0#type home #json#phoneNumber#0#number 212 555-1234 #json#phoneNumber#1#type fax #json#phoneNumber#1#number 646 555-4567 #json#address#newSubscription false #json#address#companyName null Filtering of JSON attributes The parameters generated from JSON objects are treated the same way as parameters from GET or POST requests. That is, JSON parameters must comply with allow and deny rule limitations. Also, parameters generated from JSON objects can be excluded from filters, just as ordinary parameters. For instance, to exclude all phone numbers in the above object from a deny rule, add this parameter exception: ^#json#phonenumber#[[:digit:]]+#number$ . In addition every flattened parameter is counted as one parameter. This means that in this JSON example Airlock Gateway counts 13 parameters. Please check if the ´Max parameters´ value in the allow rule is sufficient. How to disable JSON parsing On mappings, JSON parsing-related configuration options are available on different tabs. Any JSON-related Airlock Gateway feature, e.g., JSON limit enforcement, uses the JSON parser. To ensure that JSON is not parsed perform the following steps on each related mapping: On tab Limits , switch OFF JSON Limits . On tab API Security : In section Basic Call Verification , uncheck Treat JSON objects as parameters . In section OpenAPI , uncheck Enforce API . In section GraphQL , uncheck Enable parser . On tab Advanced, choose a JSON content type regex that will not match with JSON content. Further information and links Internal links: Section – JSON Limits Section – Basic Call Verification Section – OpenAPI Section – GraphQL Section – Content Parsing','JSON parsing and filtering','','')
Smc.XSearch.add('../data/1626375361574.html','JWKS/JWK selection JWKS and JWK selection by filtering When a JSON Web Key Set provider is configured to be used in a mapping, the keys in the set will be consulted when trying to verify a JWS or when decrypting a JWE. Since there are potentially multiple JWKS and multiple keys per key set, reducing the number of processed keys by filtering is recommended. By doing so, only a selection of keys is processed for the verification or decryption of the given token instead of all available keys. The gateway uses a 2-stage filtering process to reduce the number of processed keys: Stage 1 – JWKS are filtered by their Issuer information. Stage 2 – The individual keys of the selected JWKS are finally filtered according to their key properties. JSON Web Key Sets (JWKS) can have two sources: They can be locally configured. They can be configured to be dynamically fetched from a remote source using a Service URL . Stage 1 – JWKS issuer selection The Issuer information is used as a restriction to reduce the number of processed JWKS per mapping. Since the issuer information is optional, selecting JWKS is based upon several options. For all referenced JWKS of a mapping: All key sets without issuer information are being selected. All key sets with issuer information that matches the iss claim of the currently processed JWT are being selected. That means key sets will not be considered if the issuer information does not match the iss claim of the processed JWT. Example: Given a mapping has 4 providers with and without iss restrictions: Local JWKS with local_issuer_name . Local JWKS without issuer information. Remotely fetched JWKS with remote_issuer_name . Remotely fetched JWKS without issuer information. With this set of information, 4 different types of request scenarios are possible: Request where JWT iss == local_issuer_name : Selected JWKS: 1 + 2 + 4 Request with JWT with iss == remote_issuer_name : Selected JWKS: 2 + 3 + 4 Request with JWT without any iss : Selected JWKS: 2 + 4 Request where JWT iss does not match any JWKS issuer: Selected JWKS: 2 + 4 Stage 2 – Property selection mechanism Using JWK properties, the key selection filter can further reduce the number of keys that have to be tried for the two JWT types JWS and JWE. Keys are filtered out when: The optional "use" property does not match the JWT type. The optional "key_ops" does not contain the relevant value of the JWT type. The optional "alg" property in its header does not match the "alg" property of the JWT. The JWTs optional "kid" property in its header does not match the keys "kid" property. The property selection mechanism only uses a limited number of properties specified for JWT. The following table adds more detailed information about the properties and their possible values: Property name Description Possible values "use" It states the intended use for the public key. This property is optional. "sig" – for signing or verifying "key_ops" This property is an array that can have entries of different values. The array values define the key operations that may be performed with that property. This property is optional. Only two values are relevant: "verify" – to verify JWS´ "decrypt" – to decrypt JWEs "alg" This property specifies the cryptographical algorithm the JWT is intended to be used with. This property is optional. JWE/JWS and JWKs must use the same "alg" -value. JWEs with the "alg" property "dir" require symmetric keys. In addition, the key length must match the "enc" key value of the JWE. Reference lists of supported JWKS algorithms "kid" The key ID identifies the key and may be present in the JWT´s header. This property is optional. JWE/JWS and JWKs must have the same "kid" . JWKS format example A JWKS is a set of JWK and has the following format: {  "keys": <array_of_jwk> } Here is an example with two JWK entries: {  "keys": [  {  "kty": "RSA",  "n": "AJdfpzpkSaMpiyKgsqbr9n1jpnA12vZy8NntcQgxg-oh8N2Lhmdt0ks3i08s4WC7tod6irhXBwdp5QHyRZDODbIzWtJMOk94vZYp9AKJNpoeqdmbe0zLISmzBanRYRNZhMBkRCQCqob2i3urm-RE09HLTT_wvMxLNFuxwTl_gF3hTK4wcjOLkAky8cDbu0NX[...]",  "e": "AQAB",  "kid": "iPz_o1_uG8p-RmrpR-MX3dO9lDvwMPjmZ-WEWvLn8QM"  },  {  "kty": "EC",  "x": "APWNl5usaFe3K3O1tQh3bwlQBKgHPuSHZ9O9NvK7uyK2",  "y": "HwCd34E8zm0hjnT0c71gBmHv--ABAjFDKBu4dI2-o-w",  "crv": "P-256",  "kid": "NqFC-b4dDXt3Tmah70rYEkn8JpuPcOS19avwqyRQgqA",  "alg": "ES256"  }  ] } Further information and links Reference lists of supported JWKS algorithms Submenu – JWKS Providers Local and remote JWKS Providers configuration Section – Access Tokens Tab – SSL','JWKS and JWK selection by filtering','','')
Smc.XSearch.add('../data/1626375361589.html','JWKS algorithms Reference lists of supported JWKS algorithms Algorithms for signatures ("alg"-value of JWS) "alg"-value Algorithm Description HS256 HMAC using SHA-256 HS384 HMAC using SHA-384 HS512 HMAC using SHA-512 RS256 RSASSA-PKCS1-v1_5 using SHA-256 RS384 RSASSA-PKCS1-v1_5 using SHA-384 RS512 RSASSA-PKCS1-v1_5 using SHA-512 ES256 ECDSA using P-256 and SHA-256 ES384 ECDSA using P-384 and SHA-384 ES512 ECDSA using P-521 and SHA-512 PS256 RSASSA-PSS using SHA-256 and MGF1 with SHA-256 PS384 RSASSA-PSS using SHA-384 and MGF1 with SHA-384 PS512 RSASSA-PSS using SHA-512 and MGF1 with SHA-512 EdDSA Digital Signature with Ed25519 Elliptic Curve Encryption algorithms ("enc"-value of JWE) "enc"-value Algorithm description A128CBC-HS256 AES_128_CBC_HMAC_SHA_256 authenticated encryption algorithm A192CBC-HS384 AES_192_CBC_HMAC_SHA_384 authenticated encryption algorithm A256CBC-HS512 AES_256_CBC_HMAC_SHA_512 authenticated encryption algorithm A128GCM AES GCM using 128-bit key A192GCM AES GCM using 192-bit key A256GCM AES GCM using 256-bit key Algorithms for key management ("alg"-value of JWE) "alg"-value Algorithm Description RSA1_5 RSAES-PKCS1-v1_5 RSA-OAEP RSAES OAEP using default parameters RSA-OAEP-256 RSAES OAEP using SHA-256 and MGF1 with SHA-256 A128KW AES Key Wrap with default initial value using 128-bit key A192KW AES Key Wrap with default initial value using 192-bit key A256KW AES Key Wrap with default initial value using 256-bit key dir Direct use of a shared symmetric key as the CEK A128GCMKW Key wrapping with AES GCM using 128-bit key A192GCMKW Key wrapping with AES GCM using 192-bit key A256GCMKW Key wrapping with AES GCM using 256-bit key PBES2-HS256+A128KW PBES2 with HMAC SHA-256 and "A128KW" wrapping PBES2-HS384+A192KW PBES2 with HMAC SHA-384 and "A192KW" wrapping PBES2-HS512+A256KW PBES2 with HMAC SHA-512 and "A256KW" wrapping','Reference lists of supported JWKS algorithms','','')
Smc.XSearch.add('../data/1580218961066.html','Multitenancy feature The multitenancy feature allows users with tenant rights to perform certain administrative self-services via REST interface while sharing a single Airlock Gateway installation. It has been designed with essential maintenance functions for tenant-user s in mind, while the main system administration stays under full control of the Airlock Gateway administrator. Multitenancy can effectively distribute the load of an Airlock Gateway system-administrator for common basic maintenance tasks by offering REST-access to tenant-users with decided administrative responsibilities. Tenant-user s are identified by JSON Web Token (JWT). Their role is truncated to read and write their own configuration part only! Through the tokens, the scope of services can be defined within the Role and rights management for tenant-users. Typical applications Enable a maintenance page as a tenant-user . Uninterrupted maintenance as a tenant-user . Solution design For secure data and information separation, multitenancy requires authentication for each tenant-user . In our solution, we use a JSON Web Token (JWT) for authentication purposes towards the REST interface of the Airlock Gateway installation. Simplified process description Exemplary task: Service 1 needs to be updated. During this process, the service will be unavailable to end-users of tenant-user 1. For the duration of maintenance, all end-users of Service 1 should be informed via a maintenance webpage. The tenant-user sends an HTTP-request to the Airlock Gateway . This request contains the tenant-user s JWT and the REST-command. The Airlock Gateway authenticates the tenant-user ´s REST-command by the JWT. With successful authentication, the REST-command changes the Airlock Gateway configuration. It activates the maintenance webpage for Service 1. For all end-users of Service 1, the maintenance webpage shows up. Other services or end-users of other services will not be affected. Chapter content Terms and definitions Role and rights management for tenant-user s Security considerations Manage tenant-user s Practical applications and examples A_02 Action module (maximum) A_02 Action module (maximum)','Multitenancy feature','','autocomplete_use:true')
Smc.XSearch.add('../data/1588597084617.html','Terms and definitions tenant (Airlock Gateway ) Data owner concept where a user of the Airlock Gateway is limited to tenancy-typical actions and data access. Basically this means that users with tenant rights are isolated from other tenant-user s on the Airlock Gateway . model trainer The Airlock Anomaly Shield model trainer is a CLI application that allows an administrator to train machine learning models with session metrics from collected ColdDB data. The trained models are then used by the Anomaly Shield service to evaluate future sessions. The model trainer allows the selected data to be optionally constrained by defining an application or time range. JWKS JWK is a JSON representation of cryptographic keys widely used in the context of JWT. A set of such keys is known as JWKS, a JSON Web Key Set. JWKS is also the format used by the gateway to configure verification of access tokens. When a JSON Web Key Set provider is configured to be used in a mapping, the keys in the set will be consulted when trying to verify a JWS or when decrypting a JWE. Since there are potentially multiple JWKS and multiple keys per key set, reducing the number of processed keys by filtering is recommended. By doing so, only a selection of keys is processed for the verification or decryption of the given token instead of all available keys. The gateway uses a 2-stage filtering process to reduce the number of processed keys: Stage 1 – JWKS are filtered by their Issuer information. Stage 2 – The individual keys of the selected JWKS are finally filtered according to their key properties. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Terms and definitions','','autocomplete_use:true')
Smc.XSearch.add('../data/1580218961632.html','Role and rights management for tenant-user s About REST-calls for tenant-user s Tenant-user s and JSON Web Tokens (JWTs) for tenant-user s can be generated and administered by the Airlock Gateway admin only. Every JWT is bound to a user exclusively. Each tenant-user can be granted access to a set of configurational scopes of the Airlock Gateway via REST-calls. The scope of access rights has to be defined by the Airlock Gateway administrator via JWT. In extreme cases, users with extensive rights can create high loads (e.g. via adverse regex settings) similar to a DoS. High load will affect all tenant-user s of the related Airlock Gateway instance! Best practice: Restrict REST-call functionality to the necessary minimum (least privilege principle). Advice and support tenant-user s not to use regular expressions that create over-proportional high loads. Access rights JWTs can be equipped with the 2 independent right types readand write: Access rights Command Description read read Read out current values and settings of entities. write create Create new entities of a particular type. update Update existing entities of a particular type (e. g. change a value/setting). delete Delete an existing entity of a particular type. Access rights can only be set globally for all tenant-users per Airlock Gateway instance. Example: Granting write rights for Back-end groups will allow tenant-users to alter all back-end groups which belong to this tenant-user . Saving a config file, activating a configuration and other actions of a tenant-user will automatically be logged together with the users´ ID. Assignable configuration rights Every configuration right can be assigned exclusively to specific tenants - i. e. so that multiple tenant-user s do not share the same access or configuration scope. Currently, the following scopes can be assigned to tenant-user s: Mapping Virtual Host Back-end group The amount of accessible configuration scopes is subject to change for future Airlock Gateway versions. Further information and links REST API documentation . D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Role and rights management for tenant-users','','autocomplete_use:true')
Smc.XSearch.add('../data/1587054506405.html','Security considerations Shared system resources vs. dedicated Airlock Gateway instances The multitenancy feature of the Airlock Gateway REST interface provides isolating protection between tenant-user s who share the same Gateway system resources and processes. However, negative side-effects of configuration changes by tenant-user s could severely affect system resources and thus the service availability of other tenant-user s. For strict isolation, tenant-user s must be distributed to dedicated Airlock Gateway instances. Principle of least privilege for API endpoints Tenant-user s have a limited access to REST resources, see Limited access to REST resources. In addition, we recommend restricting the permitted paths to API endpoints for each tenant-user according to the principle of least privilege. Example: If a tenant needs to be able to change the maintenance mode of a back-end only, any other API endpoints e.g. for general mapping changes should not be permitted. Secure connections via Airlock Gateway If the REST API is exposed over untrusted networks (e.g. the public Internet), we recommend protecting the interface with Airlock Gateway API security functionality. Best practice: Configure the REST API as a back-end host on the same Airlock Gateway instance. Expose the back-end host using a dedicated virtual host for REST management access. Protect the API with our Airlock Gateway security features. Tenant-user setting in Airlock Gateway clusters Tenant-user settings are not automatically shared within clustered Airlock Gateway instances/deployments. Make sure to distribute the tenancy settings to all Gateway entities within the same cluster. Further information and links REST API documentation .','Security considerations','','')
Smc.XSearch.add('../data/1588597084048.html','Limited access to REST resources The following central Airlock Gateway settings and resources are inaccessible for tenant-user s, to isolate tenancy-related from the admin-maintained configuration. /configuration/virtual-hosts GET,PUT, DELETE: /configuration/virtual-hosts/{id}/crl  PATCH,DELETE: /configuration/virtual-hosts/relationships/mappings PATCH,DELETE: /configuration/virtual-hosts/relationships/ssl-certificate  POST: /configuration/mapping/{id}deny-rule-groups/{denyRuleGroupId POST: /configuration/mapping/{id}/deny-rule-groups/{denyRuleGroupId}/exception" POST: /configuration/mapping/{id}/deny-rule-groups/{denyRuleGroupId}/deny-rules/{denyRuleId} POST: /configuration/mapping/{id}/deny-rule-groups/{denyRuleGroupId}/deny-rules/{denyRuleId}/exception PATCH: /configuration/mapping/{id}/deny-rule-groups/change-security-level PATCH: /configuration/mapping/{id}/deny-rule-groups/change-additional-logging  PATCH,DELETE: /configuration/back-end-groups/relationships/kerberos-environment  POST: /configuration/configurations/{id}/load POST: /configuration/configurations/loadEmptyConfig DELETE: /configuration/configurations/{id} POST: /configuration/configurations/{id}/export POST: /configuration/configurations/save-as-installation-config GET: /configuration/configurations/export GET: /configuration/configurations/import GET: /configuration/configurations/is-currently-loaded-config-up-to-date Further information and links REST API documentation Security considerations','Limited access to REST resources','','')
Smc.XSearch.add('../data/1588084636265.html','Manage tenant-user s Management for tenant-user s requires actions on the CLI and in the Configuration Center. CLI airlock-user-manager-tool to create new tenant-user s. Airlock Gateway Configuration Center to configure mappings. Chapter-related warnings Tenant-user s are not stored persistently - deleting all tokens of one tenant-id will also delete the tenant-user ! Unused entities of a deleted tenant-ID should be deleted. This must be done manually. Chapter content Create a new tenant-user Assign objects to tenant-user s Further information and links (optional block) REST API documentation D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Manage tenant-users','','autocomplete_use:true')
Smc.XSearch.add('../data/1581621318754.html','Create a new tenant-user Goal A new tenant-user has to be set up to use the multitenancy feature. Prerequisites The necessary configurational steps require CLI root access for user management. About the CLI airlock-user-manager-tool Use airlock-user-manager-tool --help to receive a list of the available functionality of this tool. Instruction - Generate a new tenant-user via CLI For security reasons, the user-manager-tool does not allow creating a password for tenant-user s. A password would allow the tenant-user to enter the Configuration Center and thus removing the isolation between tenant-user s. Login as rooton the Airlock Gateway via CLI. Run the following command: # airlock-user-manager-tool -u {new_user} -t {new_tenant} -j -s -r airlock-administrator A new tenant-user together with a unique JWT and airlock-administrator role have been created. Assigning the airlock-administrator role to the new user will not give full administrative access to the tenant-user . Without a password, the access of a tenant towards the Airlock Gateway is strictly limited to tenant-related REST-commands only. After creating a new tenant-user , it is necessary to set the users access rights accordingly. Proceed with chapter Assign objects to tenant-users. Additional information Multitenancy feature Role and rights management for tenant-users','Create a new tenant-user','','')
Smc.XSearch.add('../data/1583435077689.html','Assign objects to tenant-user s The following configuration is split into 3 instructional parts. The access configuration has to be set for virtual host, mapping and back-end group individually. Prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction 1 - Virtual Host access for tenant-user s Login as administrator into the Airlock Gateway Configuration Center . Go to: Application Firewall > >Reverse Proxy Choose a virtual host to edit. Add the new tenant-user name to enable REST-access. Example: Instruction 2 - Mapping access for tenant-user s Login as Administrator into the Airlock Gateway Configuration Center . Go to: Application Firewall >> Reverse Proxy Choose a mapping to edit. Add the new tenant-user name to enable REST-access. Example: Instruction 3 - Back-End group access for tenant-user s Login as Administrator into the Airlock Gateway Configuration Center . Go to: Application Firewall >> Reverse Proxy Choose a back-end group to edit. Add the new tenant-user name to enable REST-access. Example:','Assign objects to tenant-users','','')
Smc.XSearch.add('../data/1583435077594.html','Practical applications and examples The following chapters describe some of the most common applications of the multitenancy feature in simplified examples. The complete set of available REST functionalities is described in the Airlock Gateway REST documentation. Simple access to the REST-interface can be done using for example cURL. On a regular base, it is common to instead provide a tool with a GUI for REST-tasks. Chapter content Example - Enable a maintenance page using REST API Example - Maintenance without service interruption using REST API Further information and links See REST API documentation . D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Practical applications and examples','','autocomplete_use:true')
Smc.XSearch.add('../data/1581621320165.html','Example - Enable a maintenance page using REST API We use cURL and the HTTP methods POST and GET to manipulate the Airlock Gateway configuration according to our REST documentation. All steps are performed as a tenant-user with limited REST API access according to our security considerations. Goal Enable a maintenance page using a tenant-user s login via REST interface. Prerequisites A tenant-user has been set up correctly. A virtual host including mapping and back-end has been set up and belongs to the tenant-user . The back-end uses port 80. Set authorization for tenant-user access To authorize a tenant-user to perform any kind of reading or writing action via REST API, an authorized JWT needs to be generated together with the respective access rights. This has to be done using the airlock-user-manager-tool . Use airlock-user-manager-tool --help to receive a list of the available functionality of this tool. Example: airlock-user-manager-tool -s -u tenant_user -j -r airlock-administrator -W "^\\/session\\/(create|terminate)|\\/configuration\\/configurations\\/(load-active|activate)|\\/configuration\\/(virtual-hosts)\\/\\d{1,10}\\/maintenance$" -R "^\\/configuration\\/(virtual-hosts.*)$" -t myTenant Instruction - Enable maintenance page via REST-interface Create a REST session as a tenant-user . Load the active Gateway configuration. The configuration can now be changed. Change the configuration to activate the maintenance page on virtual host webapp.ext.virtinc.com . Run: curl "https://${AIRLOCK}/airlock/rest/configuration/virtual-hosts/webapp.ext.virtinc.com/maintenance" -i -X POST \\  -H ´Accept: application/json´ \\  -H "Cookie: JSESSIONID=${JSESSIONID}" \\  -H ´Content-Type: application/json´  Activate the manipulated configuration on the Gateway . When accessing webapp.ext.virtinc.com , the maintenance page is shown. Additional information REST API documentation Multitenancy feature Role and rights management for tenant-users','Example - Enable a maintenance page using REST API','','')
Smc.XSearch.add('../data/1581621320167.html','Example - Maintenance without service interruption using REST API We use cURL and the HTTP methods POST and GET to manipulate the Airlock Gateway configuration according to our REST documentation. All steps are performed as a tenant-user with limited REST API access according to our security considerations. Goal A back-end host needs to be maintained (i.e. including a reboot of the host) whereas the service should not be interrupted. Preconsiderations: For an uninterrupted switchover, a second back-end host (here: back_end_2 ) in the same back-end group has to take over the load during maintenance down-time. The maintained back-end host (here: back_end_1 ) has to be drained from active sessions before the maintenance takes place. Prerequisites A tenant-user has been set up correctly. Two back-end hosts (back_end_1 and back_end_2 ) providing the service, are available in the same back-end group. Both back-ends are using port 80. Use airlock-user-manager-tool --help to receive a list of the available functionality of this tool. Set authorization for tenant-user access To authorize a tenant-user to perform any kind of reading or writing action via REST API, an authorized JWT needs to be generated together with the respective access rights. This has to be done using the airlock-user-manager-tool . Use airlock-user-manager-tool --help to receive a list of the available functionality of this tool. Example: airlock-user-manager-tool -s -u tenant_user -j -r airlock-administrator -W "^\\/session\\/(create|terminate)|\\/configuration\\/configurations\\/(load-active|activate)|\\/configuration\\/(virtual-hosts)\\/\\d{1,10}\\/maintenance$" -R "^\\/configuration\\/(virtual-hosts.*)$" -t myTenant Instruction 1 - Redirect all load to back_end_2 Create a REST session as a tenant-user . Load the active Gateway configuration. The configuration can now be changed. Change the configuration to stop back_end_1 of the back-end group webapp.int.virtinc.com from accepting new sessions. Run: $ curl "https://${AIRLOCK}/airlock/rest/configuration/back-end-groups/webapp.int.virtinc.com/host-mode" -i -X POST \\  -H ´Accept: application/json´ \\  -H "Cookie: JSESSIONID=${JSESSIONID}" \\  -H ´Content-Type: application/json´ \\  -d ´{  "data" : {  "type" : "back-end-host-mode-change",  "attributes" : {  "protocol" : "HTTP",  "hostName" : "back_end_1",  "port" : "80",  "mode" : "NO_NEW_SESSIONS"  }  } }´  Activate the manipulated configuration on the Gateway . With the new configuration activated: Airlock Gateway will redirect all new incoming session requests to the second host of back_end_2 . This will drain the sessions of back_end_1 over time. Monitor the number of open sessions for back_end_1 . To request the number of open sessions, you have to address the hostname of the maintained back-end (here: back_end_1 ) instead of its ID. Run: $ curl "https://${AIRLOCK}/airlock/rest/system/status/back-end-groups/webapp.int.virtinc.com" -i -X GET \\  -H ´Accept: application/json´ \\  -H "Cookie: JSESSIONID=${JSESSIONID}"  Poll the request until the SessionCount value returns Count == 0 or an acceptably low number of sessions. At that time, back_end_2 handles the sessions of webapp.int.virtinc.com . Instruction 2 - Disable back_end_1 for maintenance Disable the back_end_1 in the webapp.int.virtinc.com . $ curl "https://${AIRLOCK}/airlock/rest/configuration/back-end-groups/1/host-mode" -i -X POST \\  -H ´Accept: application/json´ \\  -H "Cookie: JSESSIONID=${JSESSIONID}" \\  -H ´Content-Type: application/json´ \\  -d ´{  "data" : {  "type" : "back-end-host-mode-change",  "attributes" : {  "protocol" : "HTTP",  "hostName" : "myBackendHost",  "port" : "80",  "mode" : "DISABLED"  }  } }´  Load the active Gateway configuration. Now the back_end_1 is decoupled from the Airlock Gateway and can be maintained (i.e. rebooted and so on). Additional information REST API documentation Security considerations Create a new tenant-user Multitenancy feature Role and rights management for tenant-users','Example - Maintenance without service interruption using REST API','','')
Smc.XSearch.add('../data/1571978527013.html','Rewrite variables A rewrite variable is an object that stores a dynamic value like an entry path of a request or a session id. Rewrite variables are represented as strings in the format %<variable name>% or %<variable name>[argument]% . They are, for example, useful to define generic rewrite rules independent of the selected mapping, virtual host, or back-end group. For pattern and substitution: Request Actions Response Actions URL Encryption CSRF Tokens Deny Rules Allow Rules For redirect locations: Reverse Proxy >> Mapping detail page >> tab Access >> Denied access URL Reverse Proxy >> Mapping detail page >> tab URL Encryption >> Invalid URL redirect location Reverse Proxy >> Mapping detail page >> tab CSRF Tokens >> Invalid token redirect location Maintenance page redirects can be configured in the Expert Settings . To enable/disable maintenance page redirect in the GUI, go to: Reverse Proxy >> Virtual Host detail page >> tab Basic >> Show maintenance page Reverse Proxy >> Mapping detail page >> tab Basic >> Show maintenance page For variable-specific exceptions, see the table below. List of rewrite variables Variable names in the table starting with %ENTRY... refer to front-end use, while %BACKEND... refer to back-end use. Variables with a different naming scheme are either specified in the description column or of general use. Variable name Description Not available in %ENTRYPROTOCOL% Current request protocol from the client, HTTP or HTTPS. Redirect locations %ENTRYHOST% Entry host of the current mapping, without port. Redirect locations %ENTRYPORT% Entry host port number of the current mapping. Redirect locations %ENTRYDIR% and %ENTRYDIR[<mapping>]% Entry path of the current mapping and the specified mapping name trimmed of trailing slashes, empty for root entry path. Example: /webmail/inbox Mappings with a regex entry path %ENTRYPATH% and %ENTRYPATH[<mapping>]% Same as %ENTRYDIR% but also trimmed of leading slashes. Example: mailapplication/inbox Mappings with a regex entry path %BACKENDDIR% and %BACKENDDIR[<mapping>]% Back-end path of the current mapping trimmed of trailing slashes, empty for root back-end path. Example: /mailapplication/inbox Mappings with a regex entry path %BACKENDPATH% and %BACKENDPATH[<mapping>]% Same as %BACKENDDIR% but also trimmed of leading slashes. Example: mailapplication/inbox Mappings with a regex entry path %BACKENDPROTOCOL% Back-end protocol, http or https. Redirect locations %BACKENDHOSTNAME% Back-end host for this request is dynamically set based on the current load-balancing back-end host, without port. Redirect locations %BACKENDPORT% Port number of back-end host. Redirect locations %BACKENDHOST% Combined value of back-end host and port – omitting default ports: 80 , 443 . Redirect locations %VHCOOKIEDOMAIN% The cookie domain is configured in the virtual host. Redirect locations %REQUESTID% Current request id. Redirect locations Patterns %SESSIONID% Current session id; "<n/a>" if no session is available, Redirect locations Patterns %SSL_SESSION_ID% Front-end SSL session ID, same value as the environment cookie AL_ENV_SSL_SESSION_ID. Patterns %SSL_PROTOCOL% Front-end SSL protocol, same value as the environment cookie AL_ENV_SSL_PROTOCOL. Patterns %SSL_CIPHER% Front-end SSL cipher suite, same value as the environment cookie AL_ENV_SSL_CIPHER. Patterns %SSL_CLIENT_S_DN% Front-end SSL client subject name, same value as the environment cookie AL_ENV_SSL_CLIENT_S_DN. Patterns %SESSIONTIMINGINFO% Timing information in seconds. {remaining session idle timeout}:{remaining session lifetime} Redirect locations Patterns %AUDITTOKEN% Current audit token. Redirect locations Patterns %REMOTEADDR% Current IP address of the client (front-end). Redirect locations Patterns %ROLES% Role information, all timings in seconds: {role1 name}:{remaining role1 idle timeout}:{remaining role1 lifetime},{role2 name}:{remaining role2 idle timeout}:{remaining role2 lifetime},... Redirect locations Patterns %ENTRYADDR% IP address of current entry host. Redirect locations Patterns Example The following example demonstrates how an incoming URL such as https://example.com/webmail/inbox/index.html can be rewritten using the related variables. URL part Related variable Example values Entry protocol %ENTRYPROTOCOL% https Entry host %ENTRYHOST% example.com Entry path %ENTRYPATH% webmail/inbox Back-end protocol %BACKENDPROTOCOL% http Back-end host %BACKENDHOST% mserv.net.local:8080 Back-end path %BACKENDPATH% mailapplication/inbox Using the variables and values from the table above, we get the following solution: Incoming URL https://example.com/webmail/inbox/index.html Rewrite from %ENTRYPROTOCOL%://%ENTRYHOST%/%ENTRYPATH%(/.*)? Rewrite to %BACKENDPROTOCOL%://%BACKENDHOST%/%BACKENDPATH%$1 Back-end URL results in http://mserv.net.local:8080/mailapplication/inbox/index.html If a variable is unavailable, e.g., %SSL_CIPHER% in case of HTTP, the action, e.g., Replace with will not be processed. Literal mode All variables are treated as literal values - characters do not have any special regular expression significance. This means, that the variable value www.example.com just matches www.example.com and not www-example/com nor wwwXexampleYcom . Technically this is achieved by internally surrounding all variables by an extra \\Q .. \\E span. Further information and links Internal links: Environment cookies related to client certificates Environment cookies related to encrypted front-end connections','Rewrite variables','','')
Smc.XSearch.add('../data/1646385551245.html','Rule-based filtering Airlock Gateway provides fine granular allow and deny rules filter mechanism for HTTP requests. Allow rules Allow rules are a kind of allow list filter. They define which requests are allowed. There are two conditions that must be met by an HTTP request in order to be allowed for further processing: There must be at least one applicable allow rule. Each applicable allow rule must be satisfied by the HTTP request. An allow rule is applicable if the path of a request URL matches the configured path pattern. An allow rule is satisfied by a HTTP request if it is applicable and the HTTP request satisfies all criteria defined by the allow rule. During processing of an HTTP request, allow rules are applied first. Deny rules are only applied if the allow rules allow the request. Deny rules Deny rules establish a negative security model, they are also known as deny lists. Deny rules are processed as the first filtering stage after decoding and decryption. Deny rules are organized in groups. Deny rules within a group cover certain aspects of attacks and define conditions for request attributes such as HTTP method, request parameters, or headers. For a request to be blocked by a deny rule group, the following conditions must hold: Any deny rule in the group must match. That is, matching states of deny rules within a group are combined by a logical OR operation. A deny rule matches if all defined conditions match. That is, conditions within deny rules are combined with a logical AND operation. Default deny rules Airlock Gateway provides a set of default deny rule groups to protect against common attack scenarios. There are specific deny rule groups dealing with SQL injection or Cross-site scripting (XSS) attacks, for instance. These default deny rule groups are identified by the "(default)" name prefix and have a configurable security level, one for blocking and one for additional logging. In order to see all rules belonging to a group, click on the group name or the expand icon on the right side of the group row to expand the view. Further information and links Tab – Allow Rules Tab – Deny Rules Allow rule configuration Deny rule configuration','Rule-based filtering','','')
Smc.XSearch.add('../data/1597849732085.html','Simultaneous administration and configuration merge Simultaneous work on an Airlock Gateway configuration by two or more administrators is supported for Configuration Center and Airlock Gateway REST API access. This is also true for mixed access. Working on a configuration means working on a working copy of a configuration. Simultaneous modification, therefore, means that in reality more than one working copy of a configuration is currently being edited - one per administrator session. Requirements and limitations Merging is only possible with configurations generated on Gateway versions Airlock Gateway 7.5 and later. Merging may fail in case of conflicting modifications. Available merge options The configuration merge functionality is offered in case a new configuration has been activated in the meantime during your session when you try to activate your changes. The functionality allows either to: cancel overwrite the currently active configuration or merge your modifications into the currently active configuration. In the Configuration Center , the options are presented in the configuration merge dialog: The Airlock Gateway REST API offers an equivalent set of options via the option.autoMerge attribute. Chapter content How does configuration merge work in general? When does the merge process fail? Cancel vs. overwrite a configuration Further information and links REST API documentation - Activate a configuration D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Simultaneous administration and configuration merge','','autocomplete_use:true')
Smc.XSearch.add('../data/1600697727216.html','How does configuration merge work in general? Note that the following illustrations show simplified processes in which two administrators A and B are both using the Configuration Center , to make their modifications. Instead of regular individual configuration filenames, we use version numbers (1.0 ...2.1 ) for clarification and do not explicitly show the configuration validation steps. Configuration validation Validation processes take place before the actual activation or merging step. Activate – In preparation for the activation process, Airlock Gateway validates the modified configuration. Merge – In preparation for the merge process, Airlock Gateway validates the modified configuration and checks for collisions between settings of the currently active configuration and the modified configuration. Finally, Airlock Gateway validates the merged configuration before activation. Part 1 - Simultaneous administration Administrator A and B modify a currently active configuration 1.0 . Their modification take place in two separate working copies of the currently active configuration. Administrator A activates his modified configuration copy. Airlock Gateway creates a new active configuration 2.0 and loads it into the Configuration Center . Administrator B saves his modifications in a copy of configuration based on 1.1 instead. In this example, configuration 1.1 is saved but not activated in order to activate the changes at a later point in time. In our example, administrator B saves his modified configuration within the process. However saving and subsequently loading a configuration (as in Part 2 ) is not necessarily required in this process: The configuration merge functionality is offered, as soon as a new configuration has been activated during your session when you try to activate your changes. Part 2 - Merging two configurations Part 2 - New configuration activated Administrator B loads the saved configuration 1.1 in order to activate his previous modifications (see Part 1 ). As administrator B tries to activate his configuration 1.1 , Airlock Gateway checks the change-status of the currently active configuration. Because the currently active configuration is 2.0 and not 1.0 anymore, the Gateway offers the merge dialog to administrator B . Administrator B decides to merge his modifications into the currently active configuration 2.0 . Airlock Gateway creates a new (merged) active configuration 2.1 and loads it into the Configuration Center . Configuration 2.1 is the merge-result of two valid and compatible configurations.','How does configuration merge work in general?','','')
Smc.XSearch.add('../data/1597849732203.html','When does the merge process fail? The merging process requires a conflict check between the currently active configuration and the changed configuration. Airlock Gateway checks which parts of the two configurations have been altered. For example: In case the same domains have been altered in both configurations, merging will not be possible. Merging is not possible when both configurations show concurrent modifications of: virtual hosts, mappings, back-end groups, server certificates, a global setting. However, merging is possible when changes between both configurations are made as follows: Virtual hosts can be merged with modifications of other virtual hosts or objects of other types. Mappings can be merged with modifications of other mappings or objects of other types. Back-end groups can be merged with modifications of other back-end groups or objects of other types. Changes of a server certificate can be merged with modifications or changes of other server certificates or objects of other types. Global settings can be merged with a modified virtual host, mapping, back-end group and server certificate only. Special cases Changing a connection between virtual host–mapping or mapping–back-end group will alter both connection endpoints and can unintentionally prevent merging. Changes on Custom Deny Rules affect all mappings and can therefore prevent merging. Modification of error pages or certificate revocation lists (CRLs) will prevent merging when pages or lists have been changed in both configurations. Via Configuration Center only: A special feature copies shared patterns (e.g. in allow rules, deny rule exceptions etc.) into multiple mappings if applicable. Changing a shared pattern thus can change multiple mappings and can unintentionally prevent merging. The Gateway REST API currently does not support shared patterns. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','When does the merge process fail?','','autocomplete_use:true')
Smc.XSearch.add('../data/1600697726720.html','Cancel vs. overwrite a configuration When working in the Configuration Center , the merge dialog offers a Cancel , Overwrite and Merge button to proceed. In case the merge process fails, you have to choose between: Cancel – in order to manually apply your modifications to the currently active configuration. Overwrite – to overwrite the currently active configuration with your configuration. The Airlock Gateway REST API offers an equivalent set of options via the option.autoMerge attribute. Procedure-related prerequisites None. Cancel - Identify and add your modifications to the currently active configuration Adding your modifications to the currently active configuration is a clean way to preserve the latest settings of the active configuration. In the Configuration Center : Click Cancel in the merge dialog. Go to: Configuration >> Configuration Files and use the Compare button to identify differences between your configuration and the currently active configuration. Manually transfer the differences of your configuration into the currently active configuration via Configuration Center . Activate the changes to update the currently active configuration. On successful validation, Airlock Gateway activates the new configuration and loads it into the Configuration Center . Overwrite - Replace the currently active configuration You may choose to simply Overwrite the currently active configuration with your configuration. Choose this option carefully, as it will not merge both configurations! Overwriting an active configuration means to discard any changes without further notice, which have been activated by other administrators in the meantime. In the Configuration Center : Click Overwrite in the merge dialog. On successful validation, Airlock Gateway activates the new configuration and loads it into the Configuration Center . Further information and links REST API documentation - Activate a configuration See Submenu – Configuration Summary for more information about configuration file handling. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Cancel vs. overwrite a configuration','','autocomplete_use:true')
Smc.XSearch.add('../data/1579105144099.html','REST API for configuration REST API based Airlock Gateway configuration and management interface The Airlock Gateway REST API is an interface for administration and management tasks and can be used as an alternative or supplement to the web-based Airlock Gateway Configuration Center. Gateway-related settings can be managed here, from configuration and integration to operation and monitoring tasks. Link to the documentation: REST API documentation For system configuration and update tasks, see also About the Airlock Gateway admin menu. REST API specification download The OpenAPI specifications for the Airlock Gateway REST API are downloadable without authentication through the management network interface of the web-based Airlock Gateway Configuration Center. Available formats: JSON format – https://<configuration-center-url>/airlock/rest/v3/api-docs YAML format – https://<configuration-center-url>/airlock/rest/v3/api-docs.yaml Add your configuration center URL in the above URLs to gain access. The OpenAPI specifications may be enforced using an appropriate mapping on the Airlock Gateway or an Airlock Microgateway . See further information and links below. Python library on GitHub An Airlock Gateway REST API python library is available on GitHub for easier use of the REST API. This library is not part of the official Airlock product delivery and Ergon/Airlock does not provide support for it. However, best-effort support may be provided by the contributor of the library. Before using this library, carefully read the description on the GitHub page for further usage and compatibility information. Further information and links Internal links: Submenu – API Security Section – OpenAPI','REST API based Airlock Gateway configuration and management interface','','')
Smc.XSearch.add('../data/1583435032127.html','Configuration Center (GUI) Configuration Center (web-based GUI) The Airlock Gateway Configuration Center is the central web-based interface for administration and management tasks. Gateway-related settings can be managed here, from configuration and integration to operation and monitoring tasks. For system configuration and update tasks, see also About the Airlock Gateway admin menu. Automatic configuration validation All your changes are validated by Airlock Gateway , each value for itself and also in relation to other fields. This happens as you press the submit button or when you navigate through the configuration center. If something is wrong, you will see an error or warning symbol (red/yellow icon) next to the input field. Clicking on that icon displays the full text of the validation message. About this chapter This chapter contains a 1:1 structured documentation of the Airlock Gateway user interface for orientation reasons. Terms of the user interface structure Description Button This is used for software buttons, which can be actuated with a mouse-click. Menu List of menu entries on the left of the user interface. Submenu List of submenu entries on the left of the user interface. Section An area within a configuration page. Column A column area within a configuration page. Tab A tab within a configuration page. Detail page A central configuration page, which can be accessed via different other configuration pages. Chapter content Button – Activate Menu – Dashboard Menu – System Setup Menu – Application Firewall Menu – Log & Report Menu – Configuration Menu – Expert Settings','Configuration Center (web-based GUI)','','')
Smc.XSearch.add('../data/1576844238058.html','Button – Activate The Activate menu-button is the first navigation element of the main menu. Use it, to start the activation process to apply configuration changes. Any changes (i.e. settings or mappings) are automatically stored in a new config file. What happens during activation? Apply changes immediately/store a new config file for later use: You can immediately apply the changes using the activation process. This will activate the changes and generate a new (active) config file in one go. You can store the changes in a new config file for a future activation process. When applying a new config file: A new configuration or a saved config file can be activated without the need to stop/restart the Airlock Gateway instance. At runtime, processes are informed by signals. End users will not lose their session or experience any downtime. Most of the changes will not be noticed by the users. Configuration parameters that do have an impact on users are clearly marked in the configuration center UI or in the corresponding manual page. Errors and warnings Any changes in the configuration are automatically validated. In case your new configuration contains errors or warnings, a counter is displayed next to the Activate button. You cannot activate a configuration that contains errors. You can activate a configuration that contains warnings. If you plan to do so, verify that the configuration is functional despite the warnings! Click on the number or the icon, to see a detailed list of all these validation messages: Jump to the corresponding configuration element, by clicking onto the bolded text elements: Usage To apply changes / activate a configuration: Make your changes (i.e. add a new mapping). Check for configuration errors and warnings. Correct any errors. Correct warnings, if necessary. The new configuration does not contain errors. Click the menu-button Activate , to open the activation dialog window. Click on the button Show Changes and review your changes. In the section Comment , briefly describe your changes. Click the button Activate to load and apply the new config file. Further information and links Remote activation within an Airlock Gateway failover cluster','Button – Activate','','')
Smc.XSearch.add('../data/1571978526977.html','Menu – Dashboard The dashboard is the first page you see after login. It shows the current status of this Airlock Gateway host including the most important system health graphics. In order to speed up your workflow, the dashboard with proxy and attack statistics will only show up when you switch the radio button to ON. Log messages after login Airlock Gateway may show log messages, e.g., in case a license throughput has been exceeded. For an exceeded throughput, the following warning will appear on top of the dashboard page after login: Your system exceeded the licensed throughput within the last 24 hours. Please check log messages (log_id: "WR-SG-TIME-200") or the license reporting dashboard, respectively, and contact your sales representative.','Menu – Dashboard','','')
Smc.XSearch.add('../data/1583435026184.html','Section – Users logged in The currently active Configuration Center users are shown in this table. It shows their name and IP address together with the time of their last click. You should normally see your own name at the top of the list.','Section – Users logged in','','')
Smc.XSearch.add('../data/1583435026186.html','Section – System health The most important monitoring graphics are shown here: System uptime (with different colors for active, passive and offline times) CPU load Memory usage Disk usage More monitoring graphics are available under Log & Report - System Monitor.','Section – System health','','')
Smc.XSearch.add('../data/1583435026188.html','Section – Proxy statistics When set to ON, the standard embedded proxy statistics dashboard shows a number of traffic and attack statistics. By default, the dashboard visualizes the last 24 hours. Hover over a visualization will let the OPTIONS button appear. Use it to customize the time range etc. Hover over the visualization will let the Toggle legend button appear for visualizations with legends or the ability to show legends. To reset the statistics, click on the Reset button in the lower right corner. To customize the dashboard, click on Open Reporting in the lower left corner. This will also allow adding new dashboard items such as the Dashboard Gateway Throughput (for licensing) . If local reporting is turned off, no embedded dashboard is displayed.','Section – Proxy statistics','','')
Smc.XSearch.add('../data/1571978526979.html','Menu – System Setup The menu System Setup groups all Airlock Gateway component setup submenus. Chapter content Submenu – License Submenu – Updates Submenu – Nodes & Interfaces Submenu – Routes Submenu – Hosts Submenu – Network Services Submenu – Threat Intelligence Submenu – IP Address Lists Submenu – System Admin','Menu – System Setup','','')
Smc.XSearch.add('../data/1571978526980.html','Submenu – License Section – License The License key field is used to configure licenses for Airlock Gateway. The licenses control features and sizing of Airlock Gateway installations. Each license is bound to a list of ethernet (MAC) addresses and may therefore be valid on multiple systems. An Airlock Gateway license key is only valid when: The network interfaces of the machine match one of the ethernet (MAC) addresses listed in the license key and the license has not expired yet (see Expiry field). Further information and links About Airlock Gateway','Submenu – License','','')
Smc.XSearch.add('../data/1571978526981.html','Submenu – Updates Shows information about the current and installed version as well as updates and hotfixes. Chapter content Section – Version Section – Updates','Submenu – Updates','','')
Smc.XSearch.add('../data/1592482454691.html','Section – Version UI Description Current Version Shows the currently installed Airlock Gateway version. Installed Release Shows the installed Airlock Gateway release and the installation date. Updates / Hotfixes Shows installed Airlock Gateway updates and hotfixes. version – version of the installed update/hotfix. name – specifies which component on the system is affected. Inc – defines how many times a particular update/hotfix has been applied. Installation Date – shows the date when update/hotfix has been installed.','Section – Version','','')
Smc.XSearch.add('../data/1592482454693.html','Section – Updates Airlock Gateway can be updated with digitally signed update files that are provided by Airlock product support. Read the Release notes for information about requirements before updating your existing installation. See Updating Airlock Gateway using the admin menu for general information about the available update processes. You may also check Techzone for available product updates. UI Description Upload Use the Upload button to upload digitally signed update packages. After upload, follow either the interactive or the non-interactive update process. Further information and links Apply an update interactively Apply an update non-interactively','Section – Updates','','')
Smc.XSearch.add('../data/1571978526982.html','Submenu – Nodes & Interfaces Specify which nodes and physical interfaces can be used on Airlock Gateway . A second failover node tab appears when another Airlock Gateway has been added for a failover cluster. See Airlock Gateway failover setup for on-premises installations for more information.','Submenu – Nodes & Interfaces','','')
Smc.XSearch.add('../data/1583435026404.html','Section – Node Information Use DHCP Select a physical interface to retrieve the hostname from. Hostname Specifies the system host name (node name). This name is generally not visible to the outside but it appears in the log files and in syslog messages. Skin color The skin color option allows to choose a well recognizable color scheme for an Airlock Gateway instance. It can help administrators to easily recognize if they are currently editing the configuration of the test machine or the productive system (by assigning different color schemes to those). Link – Show platform information This link expands a small information table containing details about the hardware platform of the Airlock Gateway instance (e.g machine type, CPU, RAM, operating system, disks, network interfaces, etc). Link – Show node key (Failover Cluster) This link expands a small information table containing the node´s SSH key and key fingerprint. The key is automatically generated during installation and is used when setting up two Airlock Gateway instances as a Failover Cluster. If, for safety reasons, a new key is required, click on the "Re-generate key" button. Then follow the instructions to set up a Failover Cluster in order to propagate the new key onto the second machine within this cluster.','Section – Node Information','','')
Smc.XSearch.add('../data/1583435026455.html','Section – Physical Network Interfaces Specify which physical interfaces can be used on Airlock Gateway . GUI Description Logical name The logical name will be referenced in virtual hosts, virtual network interfaces, back-end addresses, management access and failover configuration. Device Selects the physical interface that is connected to a logical name in the Airlock Gateway configuration. MTU size Allows specifying the MTU size of an interface. Please note that jumbo frames (more than 1500) may not be supported in all environments. Ask your network administrator for more details. DHCP Enable DHCP for an interface and select the appropriate DHCP version.','Section – Physical Network Interfaces','','')
Smc.XSearch.add('../data/1583435026457.html','Section – Bonded Network Interfaces In addition to physical interfaces, Airlock Gateway supports bonding interfaces. These can be used for failover configurations on interface level. Please note that physical interfaces used for bonding can no longer be used as a virtual interface, however bonding interfaces can be used as a base for virtual interfaces. Logical name The logical name will be referenced in virtual hosts, virtual network interfaces, back-end addresses, management access and failover configuration. Physical interface 1 and 2 Specify which two physical interfaces are used to setup a bonding interface. Bonding mode Specify which bonding mode to use. Link aggregation (IEE802.ad) requires special switching hardware. Bonding Mode Description Active-Backup Only one slave in the bond is active. A different slave becomes active if, and only if, the active slave fails. The bond´s MAC address is externally visible on only one port (network adapter) to avoid confusing the switch. This mode provides fault tolerance. Balance-RR Round-robin policy that transmits packets in sequential order from the first available slave through the last. This mode provides load balancing and fault tolerance. Balance-XOR Transmit based on [(source MAC address XOR´d with destination MAC address) modulo slave count]. This selects the same slave for each destination MAC address. This mode provides load balancing and fault tolerance. Balance-TLB Adaptive transmit load balancing is a channel bonding that does not require any special switch support. The outgoing traffic is distributed according to the current load (computed relative to the speed) on each slave. Incoming traffic is received by the current slave. If the receiving slave fails, another slave takes over the MAC address of the failed receiving slave. Requires: Ethtool support in the base drivers for retrieving the speed and duplex of each slave. Balance-ALB Adaptive load balancing that includes balance-tlb plus receive load balancing (rlb) for IPV4 traffic, and does not require any special switch support. The receive load balancing is achieved by ARP negotiation. The bonding driver intercepts the ARP replies sent by the local system on their way out and overwrites the source hardware address with the unique hardware address of one of the slaves in the bond such that different peers use different hardware addresses for the server. Broadcast Transmits everything on all slave interfaces. This mode provides fault tolerance. 802.3ad IEEE 802.3ad Dynamic link aggregation. Creates aggregation groups that share the same speed and duplex settings. Utilizes all slaves in the active aggregator according to the 802.3ad specification. Requires: Ethtool support in the base drivers for retrieving the speed and duplex of each slave. A switch that supports IEEE 802.3ad Dynamic link aggregation. Most switches will require some type of configuration to enable 802.3ad mode. MTU size Allows to specify the MTU size of an interface. Please note that jumbo frames (more than 1500) may not be supported in all environments. Ask your network administrator for more details.','Section – Bonded Network Interfaces','','')
Smc.XSearch.add('../data/1583435026459.html','Section – Virtual Network Interfaces In addition to physical interfaces, Airlock Gateway supports virtual interfaces according to IEEE 802.1Q (tagged VLANs). If your network uses VLANs, virtual interfaces must be configured on Airlock Gateway . Ask your network administrator for more details. UI Description Logical name The logical name will be referenced in virtual hosts, virtual network interfaces, back-end addresses, management access and failover configuration. Physical or bonded interfaces Specify on which physical or bonded interface the VLAN for a virtual interface is configured. VLAN ID Specify to which VLAN ID the virtual interface should be connected. MTU size Allows specifying the MTU size of an interface. Please note that jumbo frames (more than 1500) may not be supported in all environments. Ask your network administrator for more details.','Section – Virtual Network Interfaces','','')
Smc.XSearch.add('../data/1583435026461.html','Section – Management Access Here, the management interface can be set. The management interface is used for administrative access to the Airlock Gateway (Configuration Center and SSH) and also for direct communication between Airlock Gateway cluster nodes (see failover configuration). UI Description Network interface Either a physical or virtual interface can be chosen. Any back-end network interface can be used as management interface, in case there is no dedicated management network available. IP address (CIDR) Specifies the IPv4 or IPv6 address to be assigned for the administrative access on the management interface. It may be the same as the back-end IP address if there is no dedicated management network available. HTTPS port Specifies the port on which the Configuration Center listens for HTTPS (SSL/TLS) connections. Server certificate Specifies which SSL server certificate to use for https connections to the Airlock Gateway Configuration Center. The test.certificate that you see here after installation is the internal Airlock Gateway certificate that can be used if no other certificate is available. It should be replaced with a real SSL server certificate for productive servers. Choosing "Add new..." will lead you to a new screen, where you can paste existing SSL server certificates. See also article TLS/SSL Certificate creation. After doing that, this new SSL certificate will be added to this drop-down list.','Section – Management Access','','')
Smc.XSearch.add('../data/1583435026463.html','Section – Back-end addresses Specifies interfaces and IP addresses of the internal (trusted) network connected to the back-end application servers. Network interface Select the network interface to which a back-end IP should be bound. Either a physical or virtual interface can be chosen. IP address (CIDR) Configures an IPv4 (in CIDR format) or IPv6 address for a back-end interface. Using IPv6 address as back-end hostname requires additional squared brackets for rewrite variables. Example: ^(?:https?://(?:\\[)?%BACKENDHOSTNAME%(?:\\])?)?(?::%BACKENDPORT%)?/(owa|ecp)(/.*)?$','Section – Back-end addresses','','')
Smc.XSearch.add('../data/1583435026465.html','Section – Failover Configuration This section is only relevant if Airlock Gateway is operated as a failover cluster. Detailed cluster setup instructions can be found in the failover section. Each logical interface with an externally visible IP address should be configured here. Typically, this includes all interfaces used for virtual hosts. UI Description Network Interface A dropdown list of available interfaces. Private failover IP address (CIDR) Specifies the private IPv4/IPv6 address that this external network interface uses for the failover communication link. Mirror failover IP address Specifies the private IPv4/IPv6 address of the mirror host of this external network interface. This is the private failover IP address of the other Airlock Gateway instance.','Section – Failover Configuration','','')
Smc.XSearch.add('../data/1571978526983.html','Submenu – Routes The routing configuration contains settings for the default gateway and other optional static host or network routes. Best practice This section provides an example for a network configuration following our best practices: Reflect traffic on public and management interfaces using source-based routing rules Make the global default gateway reachable over a back-end interface The basic network setup is as follows: Management IP address 172.18.99.155/32 on eth0 Back-end IP address 172.18.98.155/24 on eth0 Virtual Host 172.18.60.155/23 on eth1 Destination-based routing configuration default - 172.18.98.1 Source-based routing configuration 172.18.99.155/32 - 172.18.99.1 172.18.60.0/23 - 172.18.60.1','Submenu – Routes','','')
Smc.XSearch.add('../data/1583435026667.html','Section – Destination-based Routing Destination-based routing considers only the target IP address of a packet. This type of routing should be configured for the back-end traffic of Airlock Gateway and can be configured for IPv4 and IPv6 on the corresponding tabs. The ​ ​Destination (CIDR) address range must not cover the Default Gateway IP address. Ensure the default gateway address is not part of the destination routes. Default Gateway GUI Description Use DHCP The physical interface to retrieve the default router/gateway from. This option is available for IPv4 only. IP Address Static default router/gateway for destination-based routing. Automatic for DHCP interfaces (IPv4 only) Enable configuration of static routes via DHCP for all interfaces with DHCP enabled. Static routes may be configured via the DHCP Static Route option (option 33) or via Classless Static Route Option (RFC3442). Destination (CIDR) Configures an IPv4 or IPv6 address or network for a routing destination in CIDR format (e.g., 192.168.1.1/24). GUI Description Destination (CIDR) Destination network as IP address in Classless Inter-Domain Routing (CIDR) notation. Gateway IPv4 or IPv6 address of the router/gateway to use for routing to the specified network. Interface Name Interface to use for routing to the specified network. Note: An Interface Name can be configured exclusively instead of a router/gateway IP address or in addition to an IP address. Some environments i.e. the Google Compute Engine (GCE) require setting an interface for local subnet routing. This allows destination-based routing directly to the selected network interface. In case of conflict, the interface is used if both the interface and an IP address of a router/gateway are configured.','Section – Destination-based Routing','','')
Smc.XSearch.add('../data/1583435026669.html','Section – Source-based Routing Source-based routing is the complement to destination-based routing. The decision process for a routing rule is based on the source IP address. It is suggested to use this type of routing for all external traffic (Virtual Hosts or networks) and also for the management IP. Using source-based routing, interface-stickiness of requests and responses can be achieved, which often helps simplifying complicated routing configurations. For example, source-based routing rules make it easy to define rules that send back responses to requests on the same interface (interface-stickiness). In absence of a source-based routing rule, the global (destination-based) default gateway may be used for routing responses, potentially sending responses over a different interface and thus breaking communication. Automatic for DHCP interfaces (IPv4 only) Enable automatic configuration of source-based routes for interfaces with enabled DHCP. Then for each interface with a default gateway, a source-based routing rule is generated. Source (CIDR) Configures an IPv4 or IPv6 address or network for a source in CIDR format (e.g., 192.168.1.1/24). Gateway Defines an IPv4 or IPv6 address of the gateway for a routing rule.','Section – Source-based Routing','','')
Smc.XSearch.add('../data/1571978526984.html','Submenu – Hosts This page supports specific host name entries to be assigned to IP addresses. It represents the Airlock Gateway internal /etc/hosts name mapping to be used when connection to back-end hosts. Using these entries it is possible to use host names in the mapping configurations without the need of having a DNS server available in the back-end network.','Submenu – Hosts','','')
Smc.XSearch.add('../data/1571978526985.html','Submenu – Network Services In this GUI section, basic network services can be configured.','Submenu – Network Services','','')
Smc.XSearch.add('../data/1582547570649.html','Section – DNS Use DHCP Select a physical interface to retrieve the DNS servers and search domain from. DHCP may be enabled for any physical interface. If a DHCP enabled interface is selected for an IP setting such as Management access or Virtual Hosts, the IP addresses for these are obtained automatically. There is no possibility to manually add IP addresses to DHCP enabled interfaces. These interfaces may also be configured to retrieve the settings for Default Gateway, DNS or the Hostname. Just select the interface in the Use DHCP drop-down menu next to the setting. Also consider Source-based to be configured automatically for DHCP enabled interfaces. DNS servers (comma separated) Specifies up to three DNS server IP addresses for resolving host names of the back-end application servers. This field may be empty or it can contain up to three comma-separated IP addresses. Depending on the Routing configuration, the DNS servers must be reachable via the management or the back-end network interface. Example: 172.16.9.11, 172.18.21.51 Default DNS domain Specifies the default DNS domain for resolving host names of the back-end application servers. If at least one DNS server is configured, the local domain name is used for resolving short host names. Queries for names within this domain can use short names relative to the local domain. Example: If the Default DNS Domain is set to mydomain.com, the back-end host name myapp will be resolved as myapp.mydomain.com. If the default domain is empty, the domain is determined from the host name of the Airlock Gateway node (e.g. for the hostname airlock1.mydomain.com, the domain is assumed to be mydomain.com).','Section – DNS','','')
Smc.XSearch.add('../data/1582547570651.html','Section – NTP NTP servers (comma separated) Specifies the NTP server(s). If multiple servers are configured, they need to be entered as a comma-separated list. Depending on the Routing configuration, the NTP servers must be reachable via the management or the back-end network interface.','Section – NTP','','')
Smc.XSearch.add('../data/1582547570653.html','Section – SMTP Settings Event notification channels can be used to generate email notifications on events. Field name/setting name Description Mail hosts (comma separated) Specifies the mail hosts in a comma-separated list. If multiple servers are specified, they act as a fallback. Note that IPv6 addresses must be entered in square brackets [...] . Example: mail.example.com:25, 1.2.3.4:587, [2001:db8::1]:3211 Encryption method Choose the encryption method supported by the mail server. Available options: No encryption SSL/TLS (on a dedicated port, recommended over STARTTLS) STARTTLS Username Username/Password credentials If required by the mail server. When credentials are configured, Airlock Gateway will automatically use them for login. A warning is displayed if credentials are configured with the No encryption option. Password Custom sender name Allows to set a custom sender name. If left empty, the sender name of the email is Airlock Administrator. Limitations: Any text, including special characters, umlauts, and non-ASCII symbols, can be used. Double quotes " are automatically replaced by single quotes ´ on delivery. Custom sender address Allows to set a custom sender address. If left empty, the sender address is administrator@{gateway_hostname}. Limitations: Internationalized email addresses (e.g. with umlauts) are also supported but require the mail server to support SMTPUTF8. On delivery failure, check the log file for warnings.','Section – SMTP Settings','','')
Smc.XSearch.add('../data/1582547570655.html','Section – SNMP The radio buttons specify whether SNMP system monitoring of Airlock Gateway should be disabled or enabled (SNMPv2 and SNMPv3 are supported). Radio button SNMPv2 Read-only community Specifies string to access the SNMP monitoring data. Radio button SNMPv3 Username The user name used to access SNMP monitoring data. Authentication algorithm Specifies the algorithm (MD5 or SHA) used for the authentication protocol. Authentication passphrase The passphrase used for authentication. Must be at least 8 characters. Privacy algorithm Specifies the algorithm (None, AES or DES) used for the privacy protocol. Privacy passphrase The passphrase to ensure privacy if enabled. Must be at least 8 characters.','Section – SNMP','','')
Smc.XSearch.add('../data/1582547570657.html','Section – ICAP Server - Antivirus, SOAP/XML filtering etc. Further information and links ICAP configuration','Section – ICAP Server - Antivirus, SOAP/XML filtering etc.','','')
Smc.XSearch.add('../data/1582547570659.html','Section – Kerberos Environments Available Kerberos environments are defined here. These environments may be referenced in the configuration. Name Specifies the Kerberos environment name. The Kerberos environment is referenced by this name. Domain Name Specifies the Kerberos domain. Domain Controllers Comma-separated list of domain controllers. A domain controller entry may have a port definition. The default port is 88. If no domain controller is given, the Kerberos library will try to find an eligible domain controller using DNS SVR records. System Username Username of the Kerberos system user. This user must be allowed to perform Kerberos Constrained Delegation (KCD) or Resource-Based Kerberos Constrained Delegation (RBKCD). System Password Password of the Kerberos system user. When using a DNS in the Domain Controllers field, enter the hostname instead of an IP address. When a hostname has been set under Submenu – Hosts, enter the hostname instead of an IP address. When using an IPv6 address instead of a hostname, add square brackets to the address i.e. [2001:db8:a0b:12f0::1 ].','Section – Kerberos Environments','','')
Smc.XSearch.add('../data/1582547570661.html','Section – Allowed Network Endpoints Field Description Autodetect OCSP servers When enabled, OCSP server URLs from configured SSL certificates are automatically collected and whitelisted. The URLs are extracted from the OCSP field in the x509 extension Authority Information Access. Note that ACME services do not support OCSP, so the automatic recognition does not work for ACME certificates. See section Usage below. Destination The FQDN hostname, IPv4/IPv6 address, or network (CIDR) of the external service to be reached. Port Port of the service on the allowed host endpoint. Usage By default, Airlock Gateway refuses connections from its own components to arbitrary network endpoints on the internet. To allow certain hosts, they can be added manually to the Destination field with hostname/IP and port. OCSP host URLs can be added automatically based on the configured non-ACME-based SSL certificates. ACME configuration: Adding ACME services to the list of allowed network endpoints is not required. Instead, a firewall rule is automatically set for each ACME service used by a virtual host to allow the network endpoint. The host and port information is extracted from the URL field described in the article Add or configure a new ACME Service. Further information and links Internal links: Add or configure a new ACME Service','Section – Allowed Network Endpoints','','')
Smc.XSearch.add('../data/1582547570663.html','Section – API Policy Services The API Policy Service is an Airlock API Gateway service, providing information on API subscriptions for Tech-Clients. This information can be used for access control and rate limiting. The Shared Secret (Base64) must be a Base64 encoded string with a minimum length of 64 bytes (512 bits). Enable Cache Enable to cache the API key information. Cache-Expiry (seconds) Set cache expiry time in seconds (0-86400) whereas 0 disables the cache. Name Set an API Policy Service environment name here. Note: In the mapping configuration, the API Policy Service is referenced by this name. URL URL of the API policy server. Example: https://iam.example.com Endpoint API Policy Service endpoint. Default: ´/auth-api-policy-service/rest/resolve-tech-client´ Syntax: auth = IAM instance name Shared Secret (Base64) Shared secret for the API Policy Service. The secret must be Base64 encoded (minimum length 64 bytes/512 bits). Further information and links API access control with Airlock Secure Access Hub','Section – API Policy Services','','')
Smc.XSearch.add('../data/1571978526987.html','Submenu – Threat Intelligence This page contains the general settings for the threat intelligence feed provided by Webroot. Prerequisites To enable the threat intelligence feed provided by Webroot, the following prerequisites must be met: A valid license for the Threat Intelligence Feed must be installed. Connectivity to and DNS resolution must be available for: api-dualstack.bcti.brightcloud.com localdb-ip-daily.brightcloud.com localdb-ip-rtu.brightcloud.com Connectivity must be possible through a back-end or through the management interface. Airlock Gateway will not use the external interface to connect to the threat intelligence feed server. Further information and links Weblink - Threat Intelligence by Webroot','Submenu – Threat Intelligence','','')
Smc.XSearch.add('../data/1583435027177.html','Section – Threat Intelligence Feed Enable feed Enables the Webroot threat intelligence feed. Once the feed is enabled, the database version field will automatically be updated. User ID User ID for Webroot. This ID is generated from the Webroot license ID and one encrypted MAC address of the machine that receives updates from the Webroot feed. This value may be needed in support cases. Polling interval Defines the interval in minutes for polling the threat intelligence feed database. Database version The database version is provided by the threat intelligence service and updated every time a differential update has been loaded from the threat intelligence feed. The database version indicates the status of the IP Address Lists obtained from Webroot. Use proxy Enables a proxy for connections to the Webroot feed. Proxy Host The HTTPS proxy server to be used. The proxy server must support tunneling via the HTTP CONNECT method. Intercepting proxies are not supported. In case the proxy server utilizes IPv6, use the IPv6 address as the hostname. Proxy Port The HTTPS proxy server port to be used. Username The username to authenticate on the proxy. Password The password to authenticate on the proxy. To test the connectivity to the Webroot Threat Intelligence service login into Airlock Gateway with SSH as user "root" and execute the following "curl" command: curl -I api-dualstack.bcti.brightcloud.com or the following "curl" command in case you use a proxy server: curl -Ix http://user:password@proxyhost:port api-dualstack.bcti.brightcloud.com The server should answer with "HTTP/1.1 200 OK" if the connectivity is given. Logging All interaction with the Webroot threat intelligence feed are logged as part of the normal operation of Airlock Gateway . To find the log entries in the Log search for the "program" with the name "ip-info-service".','Section – Threat Intelligence Feed','','')
Smc.XSearch.add('../data/1571978526988.html','Submenu – IP Address Lists IP address lists are named sets of IP addresses which can be referenced in different parts of Airlock Gateway configuration: mapping - Tab "IP rules" - configure threat categories, allowlists and denylists. mapping - Tab "Advanced" for DoS Attack Prevention Session - Session Denial-of-Service Mitigation Manually created IP Address lists may be used for both deny- and allowlisting purposes. IP Address Lists from the Threat Intelligence subscription (see Submenu – Threat Intelligence) are populated automatically and they may only be used for denylisting purposes. Managing IP Address List It is possible to maintain an unlimited number of different IP Address Lists and each list may contain one or more IP addresses in CIDR format. Section – Name Define a unique name for the list. This name will be used to select the IP Address List in other parts of the WAF. Section – IP Addresses Define a list of CIDR formatted IP Addresses. Comments start with the hash character, #, and extend to the end of the line. Note: an empty IP Address List will never match. Examples: # internal network 10.0.0.0/8 172.16.33.0/24 192.168.0.100 # guest workstation There is no validation regarding IP addresses and the same address or address range may be defined multiple times and in multiple lists.','Submenu – IP Address Lists','','')
Smc.XSearch.add('../data/1571978526989.html','Submenu – System Admin The system admin page provides several system settings that can be changed. It also includes functions to reboot or shut down the system. If you shut down the system, wait until all disk activity has stopped before switching the power off.','Submenu – System Admin','','')
Smc.XSearch.add('../data/1592482454875.html','Section – Time & Date Changing the system´s date and/or time may invalidate your current configuration session. Make sure that you save and activate any changes before changing the date and/or time. Changing the time-zone requires an immediate reboot of the system. Make sure to save your changes first or to activate your changes.','Section – Time & Date','','')
Smc.XSearch.add('../data/1592482454877.html','Section – System Control On this level, the Administrator is able to set a Airlock Gateway instance to an offline state within an HA cluster. This enforces the partner Gateway instance to go to the active state. An Gateway instance in state ´offline´ will never answer any requests until it will be actively set online again (and then go to the Active state). An Gateway instance can again be set ´online´ by using the same button (which is then labeled "Set this Airlock Gateway online"). This instance then actively goes back to one of the following online states: Standalone Passive Active','Section – System Control','','')
Smc.XSearch.add('../data/1592482454879.html','Section – Disk Mirroring The disk mirroring state is shown in this box. If a disk has failed, replace the broken disk and use the disk mirroring commands in the console menu to start the resync mechanism. There are four possible states for the disk mirroring: No RAID Ok Replace disk Resync','Section – Disk Mirroring','','')
Smc.XSearch.add('../data/1592482454881.html','Section – API Keys The table shows the list of users that have permissions to access the REST API. You can delete or renew the API key if a user´s permission or its existing key needs to be revoked. If the Config Center user has no admin permissions all keys are masked. While its possible to renew and delete API keys for other users, the creation of an initial API key is only possible when logged in as the corresponding user. A red expiry date indicates the API key has expired.','Section – API Keys','','')
Smc.XSearch.add('../data/1571978526993.html','Menu – Application Firewall The Application Firewall menu is the main menu for traffic and mapping-related configuration and settings. Chapter content Submenu – Reverse Proxy Submenu – Policy Learning Submenu – Anomaly Shield Submenu – Geolocation Filter Submenu – Certificates Submenu – JWKS Providers Submenu – Session Submenu – Default Actions Submenu – Deny Rules Submenu – API Security Submenu – Dynamic IP Blacklist Submenu – Error Pages','Menu – Application Firewall','','')
Smc.XSearch.add('../data/1571978526994.html','Submenu – Reverse Proxy The Reverse Proxy page is the primary page of the Airlock Gateway configuration. Here, virtual hosts and back-end groups can be connected to mappings in a table view. This view lists the virtual hosts, mappings, and back-end groups and displays the connections of each mapping, when selected. Filter and hide items from the table view The page header offers the following options: Filter labels Mappings support the assignment of arbitrary labels. These labels can be used to filter displayed mappings. In order to search for mappings with a certain label, enter the label in the Filter labels field on top of the Reverse Proxy view and click Search . This restricts the view to all matching mappings. At the same time, virtual hosts and back-end groups not attached to any matching mapping are hidden. If multiple labels are entered, only mappings having all given labels are displayed. Click Reset to show all mappings again. When a mapping filter is active, it is possible to export all displayed mappings at once and in a single file using the export button in the table header of the Mapping column. Hide unconnected items Can be enabled to hide unconnected items from the Reverse Proxy table.The currently active search filter also restricts the content of the quick navigation drop-downs on the top right of the details view, visible when opening a mapping, virtual host, or back-end group. Connecting Virtual Hosts, Mappings, and Back-end Groups The connection lines between Virtual Hosts , Mappings ,and Back-end Groups define how HTTP requests are forwarded to the back-end applications. Airlock Gateway always matches the most qualified entry path first. A back-end application should either use relative HTTP links in its HTML pages and HTTP headers, or both the entry and back-end path should be equal. If both is not the case, the content rewriting settings may be needed to make the application reverse proxy compatible (see HTTP/HTML rewriting). A mapping may be connected to one or more virtual hosts. If no virtual host is connected, a warning is displayed and the mapping will not be accessible after activation. A mapping may be connected to one or more back-end groups. Errors are displayed when a mapping is not connected to a back-end group or if one or more back-end groups are not configured correctly. See also Dynamic back-end group selection. Due to the many-to-many relationships between the virtual hosts and mappings, only the connections of the selected element are shown. The selected element and its connected ´neighbors´ are always shown at the top of the list. The remaining (not directly connected) elements are listed below (sorted alphabetically). Adding/removing connections from a mapping To connect two elements, select the first element and click between the two elements (between the columns). As long as the elements are not connected, a dotted line and a plus-sign (+) is shown when you hover over the white space between the columns. A mouse click will then connect these elements and a new connection line will appear. To disconnect two elements, select the first element and click on the connecting line to another element. When hovering over the line with the mouse, a dotted line and a minus symbol (-) is shown. A mouse click will then disconnect just one or all connected elements, depending on which end of the line you click. A popup dialog will prompt for confirmation before any connection is removed. Create / import a mapping New mappings can be imported or created based on templates using the + button. Menu options Description New medium security mapping A mapping balanced between integration efforts and security. It is a good choice for web applications with normal security requirements. New high-security mapping In this mapping, security settings are configured more restrictive. The template is designed for web applications with high-security requirements. Further hardening is possible. New from template This option opens a pop-up window with a selection of preconfigured purposeful mapping templates: Import... A single mapping can be exported and imported as a partial configuration zip-file. A mapping export zip-file contains: all the settings of the mappings including the allow rules and the corresponding patterns, the names of the connected virtual and back-end groups and the references to the enabled deny rules. However, the export file does not contain the referenced elements themselves (like virtual hosts, back-end groups or deny rules), it just contains references to those elements. When importing a mapping zip-file, Airlock Gateway will perform the following checks: If a mapping with the same name already exists, its settings/connections will be overwritten (manual confirmation necessary). If the connected elements exist they will be reconnected. Otherwise, a warning lists the elements that are not found. When a mapping filter is active, it is possible to export all displayed mappings at once using the export button in the table header of the Mapping column. Comparing mapping configurations Two mappings can be compared to each other as follows: Select the first mapping by clicking on the mapping name. Click on the compare icon of a second mapping. Further information and links Back-end Group Status Dynamic back-end group selection','Submenu – Reverse Proxy','','')
Smc.XSearch.add('../data/1571978526995.html','Column - Virtual Host Virtual host information specifies how Airlock Gateway can be reached from the external network. Multiple IP-based virtual hosts are supported. Multiple name-based virtual hosts are also supported over SSL when using Server Name Indication (SNI). Note that this requires an SNI-compatible client, although SNI is supported by most current browser versions. The configured virtual host entries are displayed as a summary listing. New entries can be added and existing entries can be modified by clicking on the server name. Add or modify a Virtual Host Clicking the + button in column header or the edit symbol of an entry opens the virtual host detail page on which the configuration settings for a virtual host can be edited. The virtual host detail page contains all configuration settings for one virtual host. This includes the SSL settings, dynamic URL rewrites and also the client certificate settings if available. Further information and links Virtual Host detail page','Column - Virtual Host','','')
Smc.XSearch.add('../data/1583435032259.html','Virtual Host detail page Quick selection drop-down menus Quick selection of virtual hosts, mappings, and back-ends is available via drop-down menus at the top of the detail page. When selecting an entry from the drop-down menus, the view will switch to either: Virtual Host detail page Mapping detail page Back-end Group detail page The virtual host detail page contains all configuration settings for one virtual host. This includes the SSL settings, dynamic URL rewrites and also the client certificate settings if available. Chapter content Tab – Basic Tab – SSL Tab – Client Certificates Tab – Advanced Tab – Expert Settings','Virtual Host detail page','','')
Smc.XSearch.add('../data/1574686289408.html','Tab – Basic Section - Virtual Host Field name Description Name Each virtual host has a unique name. Tenant The tenant of this virtual host. See also Multitenancy feature. Show maintenance page Specifies whether Airlock Gateway should display a maintenance page instead of performing the request to the back-end server. Using this flag it is possible to temporarily disable access to a virtual host without having to delete the virtual host or to unconnect all mappings. If the flag is set, Airlock Gateway will redirect requests to the maintenance error page (see error page configuration). Host name (FQDN) This is the fully qualified server name under which the external web listener will be made visible to the outside. Example: www.example.com Strictly match FQDN and aliases Specifies whether a virtual host should reply only to requests that match the hostname or any of its server alias names. Otherwise, a different virtual host will answer the request. If all virtual hosts on a given IP:port combination have this setting enabled, then non-matching HTTP requests are answered with 403 Forbidden , and non-matching HTTPS requests are denied by aborting the SSL handshake. Clients that do not support Server Name Indication (SNI) cannot access virtual hosts that have this setting enabled. The default virtual host ("catch-all virtual host") for an IP: port combination is chosen arbitrarily among the virtual hosts that have this setting disabled. External network interface Specifies the external network interface for this virtual host to receive requests. IPv4 address (CIDR) Specifies the IP addresses to be assigned to the external (untrusted) network interface for this virtual host. IPv4 and IPv6 can be assigned in parallel to a single virtual host. Instead of assigning IP addresses manually, the DHCP service can be activated. IPv6 address (CIDR) Default redirect Specifies the URL that a client is redirected to if he accesses the root directory of the entry server without a more qualified path (e.g. https://www.example.com/). This redirect URL has to be one that is valid from the external network because the user´s browser will get back to Airlock Gateway with it. The status code of this redirect is 303 See Other . Example: /public/index.html Security relevant settings The basic settings contain rudimentary virtual host settings like IP, hostname, and so on, which are minimally needed to run a virtual host. A nonambiguous Virtual Host configuration is required for security reasons. Configuration options are: explicit server alias names and multi-domain certificates wildcard certificates and wildcard DNS records without server alias names The HTTP header Host of a request is basically untrusted and can be manipulated. The option Strictly match FQDN and aliases on the virtual host is important in this context because it forces the client to send an HTTP header Host which is defined on the virtual host as FQDN or as a server alias name. Use Strictly match FQDN and aliases option whenever possible. If strictness is not possible, e.g. for pure wildcard name setup (wildcard DNS records, wildcard TLS certificate), note that attackers can use this virtual host to access all back-end groups connected via this virtual host. An example of heterogeneous security settings is client certificate authentication: If Strictly match FQDN and aliases are not configured, an attacker with a forged hostname can access the back-end via an unprotected virtual host, which should only be reached via the virtual host with client certificate authentication. Section - HTTP HTTP listener and HTTP port Specifies whether HTTP connections are enabled for this host and on which port. Redirect to HTTPS Redirects all HTTP traffic to HTTPS on this virtual host. The status code of the redirect is 301 Moved Permanently . Note that both protocols must be enabled for this feature to work. Section - HTTPS HTTPS listener (SSL/TLS) and HTTPS (SSL/TLS) port Specifies whether HTTPS (SSL/TLS) connections are enabled for this host and on which port. Enable HTTP/2 Specifies whether HTTP/2 connections are enabled for this host. HTTP/2 can only be enabled for hosts with enabled HTTPS.','Tab – Basic','','')
Smc.XSearch.add('../data/1574686289414.html','Tab – SSL SSL settings can be modified here to configure the details of the HTTPS connection for an individual virtual host. Example with Server certificate enabled: Example with ACME service enabled: Setting Description Enable OCSP stapling This option enables Online Certificate Status Protocol OCSP stapling. The Online Certificate Status Protocol (OCSP) was created as an alternative to the Certificate Revocation List (CRL) protocol. Both protocols are used to check whether an SSL Certificate has been revoked. Note: OCSP servers must be in the list of allowed network endpoints. See Section – Allowed Network Endpoints. External OCSP server on the internet may also be reached through an external interface if it is configured accordingly. Depending on the setup, entries in the Submenu – Hosts and Submenu – Routes may be necessary. Validation of client certificates using OCSP is enabled in the client certificate settings, on Certificate Settings. OCSP stapling and ACME services cannot be enabled at the same time. Certificate type Server certificate, the SSL/TLS certificate for this virtual host. Server certificate drop-down for certificate selection. Content of SSL server certificate. Content of CA chain. OCSP requires valid chain information for certificate validation - see also Tab – Client Certificates. Content of SSL root CA certificate. ACME service as configured in Tab – ACME Services (virtual hosts). ACME service drop-down for service selection. E-mail address of the server administrator. This address is used as contact information for the ACME service. Let´s Encrypt warns the server administrator if a certificate is about to expire and has not yet been renewed as described in the official Let´s Encrypt expiration mail documentation . The address can be set individually for each virtual host. Comment on the selected ACME service (only refreshed on validation). By using an ACME service, you automatically agree to the terms and conditions of use for the service. For Let´s Encrypt subscriber agreement, see Let´s Encrypt policy and legal documentation . SSL protocol The SSL/TLS version which will be used by this virtual host can be set here. Radio button Default – Airlock Gateway default values will be used. See also Supported SSL/TLS versions. Radio button Custom – set custom values in the SSL protocol field below. Cipher suite List the ciphers that the client is permitted to negotiate. Radio button Default – default Airlock Gateway cipher suite, optimized for security and backward compatibility with clients. Radio button Custom – set custom values in the cipher suite field below. We strongly recommend using the default TLS settings of Airlock Gateway in order to mitigate the risk of attacks based on older protocol versions. For example, SSLv3 is not supported by Airlock Gateway 8.0 and higher (configuration activation fails). If you use custom settings, you will also not automatically benefit from optimizations in future Airlock Gateway updates. Weakening SSL/TLS settings will most likely result in low scores for scanners like ssllabs.com or pentester reporting the security issues associated with old ciphers and protocols. A list of known attacks on SSL/TLS can be found here: Attacks on TLS and Airlock Gateway Protection Mechanisms . Further information and links Internal links: Supported SSL/TLS versions TLS/SSL Certificate creation Let´s Encrypt as certificate provider Add or configure a new global SSL/TLS server certificate Add or configure a new global SSL/TLS client certificate External links: Official Apache 2.4 mod_ssl documentation official Let´s Encrypt expiration mail documentation','Tab – SSL','','')
Smc.XSearch.add('../data/1574686289416.html','Tab – Client Certificates If client certificate authentication is activated and if authentication is successful, Airlock Gateway will provide the following additional cookies to the back-end that contain all information about the authenticated client certificate: AL_ENV_SSL_CLIENT_S_DN: Distinguished name of the subjectAL_ENV_SSL_CLIENT_I_DN: Distinguished name of the issuerAL_ENV_SSL_CLIENT_M_VERSION: The version of the certificateAL_ENV_SSL_CLIENT_M_SERIAL: Serial number of the certificateAL_ENV_SSL_CLIENT_V_START: Validity start time of certificateAL_ENV_SSL_CLIENT_V_END: Validity end time of certificateAL_ENV_SSL_CLIENT_CERT: Complete X509 certificate (PEM format) Section - Certificate Verification Settings SSL client certificate Specifies whether accessing this virtual host requires the client to authenticate with a valid SSL client certificate. Together with the SSL server certificate, the client certificates provide mutual authentication between Airlock Gateway and the browser. If the client authenticates himself with a client certificate, any man-in-the-middle attack is prevented. Setting Description Not needed No certificate is requested from the client. The virtual host may be accessed without a client certificate. Optional The client may send a certificate if available, but access is still allowed without a certificate. The optional setting is normally used in combination with an authentication service that presents an alternative login page if no certificate is sent. You should not use the ´optional´ setting without this additional authentication service check. Required The client must send a valid certificate before accessing any of the connected mappings. If no client certificate is sent, the SSL handshake is canceled and the browser typically presents the user with a technical error message. SSL client certificate settings are also available for each virtual host. If you need to check client certificates, it is recommended to require a client certificate on the virtual host level, not on the mapping level. If client certificates are required on the virtual host, the SSL client certificate configuration on the connected mappings can be set to inherit from virtual host. Chain verification depth The verification depth specifies the maximum number of intermediate certificate issuers, i.e. the number of CA certificates that are allowed at maximum to be followed while verifying the client certificate. The default depth of 1 means that the client certificate has to be signed by a CA which is directly known to the server. Enable OCSP validation This option enables OCSP validation of the client certificate chain. For more information see the official documentation of the SSLOCSPEnable Directive . OCSP servers must be added to the list of allowed network endpoints since Airlock Gateway firewall rules refuse connections to arbitrary hosts on the internet. Section - Certificate Authority CAs for client certificate selection The Certificate Authorities configured in this field are sent to the client during SSL handshake. These CA names are used by the browser to show a pop-up window to the user with the appropriate client certificate out of the available client certificates. Thus, this is only a usability feature that simplifies the selection of the correct client certificate. Apache allows access if the client certificate is signed by any of the Certificate Authorities listed in the field, as long as they are signed by a CA for chain validation and the verification depth is fulfilled. Usually, intermediate CAs are configured in this field to prompt the user only for a subset of client certificates. For more information see the official documentation of the SSLCADNRequestFile Directive . The CA certificates configured in this field must be in PEM format. CAs for chain validation and OCSP server validation CA certificates that shall be used as trust anchors during chain validation have to be inserted in the field CAs for chain validation. For more information see the official documentation of the SSLCACertificateFile Directive . If Verification Depth is set to the value N all client certificates with a valid chain of length smaller or equal to N , to one of the certificates entered under CAs for chain validation, will be accepted for authentication. To accept only certificates that were directly issued by a CA whose certificate was entered under CAs for chain validation set the Verification Depth to 1 . If Verification Depth is set to a value >1 also certificates issued by intermediate CAs not listed under CAs for chain validation will be accepted. For more information see the official documentation of the SSLVerifyDepth Directive . Section - Certificate Revocation List Certificate revocation list (CRL) Airlock Gateway provides the possibility to upload the PEM representation of certificate revocation lists. If a client certificate is on such a list, it will not be accepted and the connection will fail. Although Airlock provides this functionality, it is recommended to check certificates against CRLs and other types of denylists within the authentication service and not in Airlock. For example, if the client certificate is blocked on Airlock Gateway using the CRL, the corresponding SSL handshake will fail and the user will not be able to connect to the authentication service. Typically, it is better to let technically valid certificates connect to the authentication service and verify the content of the certificate there. That is also true for certificate validity, expiry etc. It does not mean that anybody can connect to the authentication service since the user first needs a technically valid certificate. Use the upload, download, and delete buttons to modify the CRL parameter. After that, confirm the settings on the page and activate the new configuration as usual for the changes to take effect. Automatic update of CRLs Airlock Gateway allows you to periodically update your certificate revocation lists (CRL). For more information please read this Techzone Article . Hints Typically, only the authentication service will interpret the certificate information, map it to a registered user profile, and issue the appropriate credentials to the current user´s session. A commonly used technique is to configure one dedicated URL to require an SSL certificate. This URL is mapped to the authentication service which will get the certificate information and interpret it. To initiate the certificate authentication process on the client side, a public login page just needs to point a web link to that special URL. As soon as the user clicks this link, the user´s browser will initiate the client certificate authentication process with Airlock Gateway . The authentication service will get the certificate information just like any other authentication information if the authentication step is successful. Airlock Gateway services of a virtual host can be temporarily disabled by checking the maintenance page option. Further information and links Internal links: Section – Authorization and authentication Section – Allowed Network Endpoints External links: Official Apache documentation of the SSLOCSPEnable Directive Official Apache documentation of the SSLCADNRequestFile Directive Official Apache documentation of the SSLCACertificateFile Directive Official Apache documentation of the SSLVerifyDepth Directive Techzone – Automatic update of CRLs','Tab – Client Certificates','','')
Smc.XSearch.add('../data/1574686289418.html','Tab – Advanced These are settings that are not included in the basic configuration. Section - Advanced Virtual Host Settings Session cookie path and domain Specifies the cookie path and domain field for Airlock Gateway ´s session cookie if the cookie is created inside this virtual host. Keep-Alive timeout (seconds) Specifies the HTTP keep-alive timeout in seconds for this virtual host. A value of 0 (zero) disables the HTTP keep-alive function. Download PDFs as attachments If this option is enabled, PDF documents (detected by their content-type application/pdf) are always downloaded as attachments (not as "inline" document within the browser). Allow encoded slashes Specifies whether encoded slashes (%2F ) are allowed in URL path. Attention: combinations of client certificates per mapping and enabled encoded slashes in the same virtual host might result in configurations where client certificate evaluation might be evaded. Please contact Airlock support. Section - Server Alias Names Specifies additional server aliases for this virtual host. Section - Path Redirects Airlock Gateway provides dynamic URL redirects for each virtual host. If a matching redirect path is detected, the client will be redirected to the redirect destination. These redirects can be used to map special external URLs to real application URLs. URLs of this form are often used in marketing campaigns and as application entry points. The redirect path is an absolute path regular expression starting with `/´ and the redirect destination can be relative to the current virtual host or an absolute URL including protocol and host. The regular expression matching variables $1..$9 can be used in the destination string. Examples: /sale to /eshop/products.asp?id=3342 /sale to https://www.example.com/eshop/products.asp?id=3342 /wrong/(.*) to /correct/$1 If a virtual host is configured to accept HTTP as well as HTTPS connections it is possible to specify for which protocol the path redirect should be active. This can be used to redirect HTTP to HTTPS where desired. Such a redirect path pattern must be prefixed with the corresponding protocol tag [http] or [https] respectively. The following example redirects HTTP URLs to HTTPS URLs on the same virtual host. Example: [http]/(.*) to https://%{HTTP_HOST}/$1 When you want to erase an existing query string, end the substitution string with just a question mark. Example: /sale/ to /sale/? Airlock Gateway does not support query string rewriting. Therefore the search pattern for the Redirect path does not have to match any query parameters. In case a query string is present in the source URL, the browser will send it also with the destination URL. A redirect status code must be specified for each entry. These are the most important 2 codes: 301 Moved Permanently - This and all future requests should be directed to the given URI. 302 Found - This is an example of industry practice contradicting the standard. The HTTP/1.0 specification (RFC 1945) required the client to perform a temporary redirect (the original describing phrase was Moved Temporarily ), but popular browsers implemented 302 with the functionality of a 303 See Other . Therefore, HTTP/1.1 added status codes 303 and 307 to distinguish between the two behaviors. However, some Web applications and frameworks use the 302 status code as if it were the 303 . 303 See Other - The response to the request can be found under another URI using a GET method. When received in response to a POST (or PUT /DELETE ), it should be assumed that the server has received the data and the redirect should be issued with a separate GET message. For a comprehensive list see here.','Tab – Advanced','','')
Smc.XSearch.add('../data/1583435028772.html','Tab – Expert Settings Section - Security Gate Add your own Security Gate settings for a specific virtual host. A Security Gate resource consists of a resource identifier (key) and a value. If the reserved value _UNDEFINED_ (without quotes!) is used, the according resource is removed from the resource table. The Security Gate then operates as if the resource had never been set. Examples: Disable the HTTP only flag for the session cookie on this virtual host: SessionCookieHttpOnly "FALSE" Section - Apache Examples can be found under Expert Settings. Further information and links Submenu – Security Gate / Apache','Tab – Expert Settings','','')
Smc.XSearch.add('../data/1583435032257.html','Column - Mapping Button Position Description Bulk Operations 1st button in the column header. See Button – Bulk Operations. Add new Mapping 2nd button in the column header. See Button – Add new Mapping. Export (all) 3rd button in the column header. Click on the button to save all mappings in a single zip-file. Export (single) This icon will appear when hovering above a mapping entry. Click on the icon to save the selected mapping in a zip-file. (Edit) This icon will appear when hovering above a mapping entry. See Mapping detail page. Compare to selected Mapping This icon will appear when hovering over a mapping entry that is not yet connected. Click on the icon to open the Configuration Diff page. Chapter content Button – Bulk Operations Button – Add new Mapping','Column - Mapping','','')
Smc.XSearch.add('../data/1583435028786.html','Button – Bulk Operations Bulk operations allow applying a specific configuration change to a large number of mappings with a single click and reduce the need for repetitive manual configuration. All bulk operations require one or two steps before execution: Mapping Selection: An intermediate page listing all available mappings is displayed. Each mapping can be selected individually. Only the selected mappings will be targeted by the bulk operation. In case a label search was used to narrow down the set of visible mappings, the filtered mappings are preselected on this page. Configuration of Options: Depending on the chosen bulk operation, the next page may ask for specific configuration options. After configuration, a click on the button on the lower right corner executes the operation on all selected mappings. Make sure to review the changes before activation. Select one of the available bulk operations by clicking the "wizard" icon above the mapping column: Bulk Operation Description Change Deny Rule Additional Logging Changes the additional logging security level of deny rule groups. Options For Security Level: Specifies the blocking security level of the groups to change. Set to Additional Logging: The new target security level for additional logging. Example: In order to activate logging of security level standard for all groups currently on blocking level Standard, select Standard in the first and STANDARD in the second option. Change Deny Rule Blocking Level Changes the blocking security level of deny rule groups. Options Old Security Level: Only deny rule groups in this level will be updated. Choose "any" to update all groups. New Security Level: The new target security level. Remove Exceptions - Deny Rules: If selected, all exceptions on deny rules within updated deny rule groups are removed. This is recommended to clean up the configuration and remove obsolete exceptions. Remove Exceptions - Deny Rule Groups: If selected, all exceptions on updated deny rule groups are removed. Modify Mapping Labels Add, set, or delete labels on mappings. Operation "Add" adds all specified labels to the mappings. "Set" replaces all existing labels by the specified labels. "Delete" removes all specified labels from the mappings. Pull Settings from Source Mapping For all selected target mappings, settings from their individual source mappings are pulled and applied. (see Attribute locking in the Configuration Center). Limitations The selected mappings are updated in alphabetical order of the mapping names. This can be relevant if you have multiple level of mapping references.','Button – Bulk Operations','','')
Smc.XSearch.add('../data/1571978526996.html','Button – Add new Mapping Add new Mapping Description New empty mapping This will add a new mapping and open the Mapping detail page. New from template Mapping templates are used for rapid configuration of complex back-end applications with maximal security. A template is a mapping that is pre-configured with all the rules, exceptions and security settings required to get the application up and running. Select a template name to create a mapping based on that template. See Selection – Mapping templates Import... A pop-up window opens, to import a mapping zip-file.','Button – Add new Mapping','','')
Smc.XSearch.add('../data/1571978526997.html','Selection – Mapping templates Mapping templates are used for rapid configuration of complex back-end applications with maximal security. A template is a mapping that is pre-configured with all the rules, exceptions and security settings required to get the application up and running. Select a template name to create a mapping based on that template. Templates for Airlock Gateway The mapping templates below are used for Airlock Gateway and allows to integrate them easily. Name Description Empty Mapping The starting point for integration of all back-end applications except the ones listed below. Templates for Airlock IAM The mapping templates below are used for Airlock IAM to facilitate their integration. Name Description Download Mapping Templates Link to the source of the Airlock IAM Mapping Templates. Templates for Microsoft Products The mapping templates below are used for Microsoft products and facilitate easy integration. For product- and version-specific integration guides, see the Microsoft integration guides (part of the Airlock Gateway online documentation). Name Description Exchange 2016 Outlook Web Access Enable high-security protection of Outlook Web Access (OWA) through Airlock Gateway . Exchange 2016 Outlook Anywhere Allow Outlook to securely access Exchange through the Internet, using RPC over HTTP(S). Exchange 2016 ActiveSync Secure synchronization between Exchange and mobile clients. SharePoint 2016 All recommended settings to protect a SharePoint server. Exchange 2019 OOTW Enable high-security protection of Outlook on the Web (OOTW) through Airlock Gateway . Exchange 2019 Outlook Anywhere Allow Outlook to securely access Exchange through the Internet, using RPC over HTTP(S). Exchange 2019 ActiveSync Secure synchronization between Exchange and mobile clients. SharePoint 2019 All recommended settings to protect a SharePoint server. WebDAV for IIS All recommended settings to protect a WebDAV for IIS. Custom mapping templates The description below shows the necessary steps to make custom mapping templates available in Airlock Configuration Center. Export the custom mapping on Airlock Gateway Sign in to Configuration Center as an admin . Go to Application Firewall - Reverse Proxy and select the mapping, which should become a custom mapping template on Airlock Gateway . Disconnect the virtual hosts and back-end group from the mapping. Click on the Export Mapping icon and save the file. Deploy custom mapping template To deploy the previously exported mapping as a custom mapping template, copy it to the following folder on Airlock Gateway : /opt/airlock/custom-settings/mgt-agent/templates/<folder name> /<mapping template> <folder name> : This folder is used in the Configuration Center to group the mapping templates. <mapping template> : This is the mapping template exported previously. Naming convention: The following naming convention is used for the folder name and the mapping template . Dash : The first part of the name until the - will be cut away. If the name does not contain any "-", nothing will be cut away. File extension : The file extension must be ´.zip´ and will be cut away. Underscore : The _ will be replaced with a space. The custom mapping template will be available in the Configuration Center instantly. There are no further actions required after copying the file to Airlock Gateway . Example: The example below shows how custom mapping templates can be deployed on Airlock Gateway . /opt/airlock/custom-settings/mgt-agent/templates/10-Ergon/10-Airlock_IAM_Client_Certificate.zip /opt/airlock/custom-settings/mgt-agent/templates/10-Ergon/15-Airlock_IAM_Frontside_Kerberos.zip /opt/airlock/custom-settings/mgt-agent/templates/15-Opensource/10-Joomla.zip /opt/airlock/custom-settings/mgt-agent/templates/15-Opensource/15-Typo3.zip /opt/airlock/custom-settings/mgt-agent/templates/15-Opensource/20-PHP_MyAdmin.zip Make sure that exported mappings are only used on equal or newer Airlock versions. It is not possible to use an exported mapping on an older Airlock system! It is best practice to use numbers in "folder name" and "mapping template" (see example above). This way it is possible to place a group or custom mapping template on a specific place in the list.','Selection – Mapping templates','','')
Smc.XSearch.add('../data/1583435032274.html','Mapping detail page Quick selection drop-down menus Quick selection of virtual hosts, mappings, and back-ends is available via drop-down menus at the top of the detail page. When selecting an entry from the drop-down menus, the view will switch to either: Virtual Host detail page Mapping detail page Back-end Group detail page Drop-down menus Drop-down menu Description 1 - (Go to Virtual Host) Choose and select a virtual host from the drop-down list. This will open the Virtual Host detail page. 2 - (Go to Mapping) Choose and select a mapping from the drop-down list. 3 - (Go to Back-end Group) Choose and select a back-end group from the drop-down list. This will open the Back-end Group detail page. Chapter content Tab - Basic Tab – Access Tab – IP Rules Tab – Bot Management Tab – Request Actions Tab – Response Actions Tab – URL Encryption Tab – CSRF Tokens Tab – Limits Tab – Allow Rules Tab – Deny Rules Tab – ICAP Tab – API Security Tab – Advanced Tab – Expert Settings','Mapping detail page','','')
Smc.XSearch.add('../data/1583435029070.html','Tab - Basic Chapter content Section – Service and Mode Section – Application Section – Timeout Section – Miscellaneous Section – Anomaly Shield','Tab - Basic','','')
Smc.XSearch.add('../data/1574686289753.html','Section – Service and Mode Mapping name Each back-end application is identified by a unique mapping name. This name is used in the control API to execute certain commands on specific back-end services (e.g. setting the on-behalf login information). The mapping name must not contain any white-space characters or other special characters. Labels Labels are freely defined textual tags that can be assigned to one or more mappings. Multiple labels can be assigned to each mapping. The labels can be used to tag mappings of a common aspect, e.g. of the same application or the same staging environment. In the Reverse Proxy View mappings can be filtered by labels. Labels are merely used to simplify configuration management and have no effect on the filtering policy. Tenant The tenant of this mapping. Airlock Gateway offers a multi-client mapping functionality for tenants. When an element is allocated to a tenant, it will be visible for this tenant via REST API documentation . For more information see Multitenancy feature. Entry path The entry path specifies the external URL path the mapping should be available under. For each incoming request, Airlock Gateway compares the URL with the entry path to find the right mapping. Choice: Directory Regular expression Back-end path The back-end path specifies the internal back-end path, i.e. the path of the request sent to the application server. Entry path and back-end path may be different, but this only works if the application only uses relative URLs or if Airlock Gateway rewrites these URLs (response body rewriting). Enforce trailing slashes Enabling/disabling toggles the validator to either enforce or not enforce trailing slashes. The default is disabled . See Entry path to back-end path settings for more information and examples. Priority The priority is an integer number that specifies the importance (or order) of a mapping. It has been introduced to guarantee a deterministic selection of the mapping for a given request path. The value can be between -999 (highest priority) and 9999 (lowest priority). The priority must be unique among all regular expression mappings . Only mappings with a directory entry path may share the same priority. In this case, the directories are ordered by length, i.e. the longest match wins. Show maintenance page Specifies whether Airlock Gateway should display a maintenance page instead of performing the request to the back-end server on this mapping. Using this flag makes it possible to temporarily disable access to a mapping without having to delete or disconnect the mapping. If the flag is set, Airlock Gateway will redirect requests to the maintenance error page (see error page configuration). Threat handling Defines how policy violations, e.g., missing allow rules, matching deny rules, URL encryption, and form protection violations, are handled: Block Request – Requests violating policies are blocked. The session (if available) remains valid. Terminate Session – Requests violating policies are blocked. The session (if available) is terminated. Log only (sometimes also called passive mode) – Requests that violate the following policies will not be blocked, only logged. Affected by Log only : Allow rules Client fingerprinting – no block action. CSRF tokens by Airlock Gateway Deny rules Dynamic value endorsement (DyVE) Form protection Limits – except Apache Max request body size handling and JSON Limits . Multipart deny rules Request and response actions – the remove header action is disabled but occurrences will be logged. URL encryption – accept and log is enabled for URL encryption. Not affected by Log only : Cookies DoS attack prevention – session and mapping settings. ICAP JSON Limits Max request body size – body size is handled by Apache. Others: HTTP Parameter Pollution Detection – duplicate detection has its own Log only mode. IP Denylists– IP denylisting has its own Log only mode. Temporarily choose Log only for quick and seamless integration of any web application and use the log viewer while testing the application. Operational mode Specifies whether this mapping runs in standard "Production" mode or in the so-called "Integration" mode. In Integration mode, Airlock Gateway logs more information about all requests and responses. This allows easier integration of back-end applications (thus the name "Integration mode"). Due to the increased amount of logging information, the performance of your Airlock Gateway installation may decrease. Choice Production Integration','Section – Service and Mode','','')
Smc.XSearch.add('../data/1574686289765.html','Section – Application Session handling Airlock Gateway supports four different modes of session handling. To choose the best option, see article How to choose/switch to the best session handling mode. The modes are sorted descending in terms of functional scope and supported security features: Mode Description Enforce session Requests are aggregated into sessions. For requests without a session, a new session is created. For requests with a session, the session is reused. For requests with a session, the idle time is reset. This is the recommended mode. Use available session Sessions are optional. For requests without sessions, no sessions are created. For requests with a session, the session is reused. For requests with a session, the idle time is reset. Use available session (no refresh) Sessions are optional. For requests without sessions, no sessions are created. For requests with a session, the session is reused. For requests with a session, the idle time not reset. Sessionless Session handling is disabled. No sessions are created and existing sessions are ignored. This mode may improve resource usage for the delivery of anonymous stateless content, such as image directories or static web repositories on the cost of traffic traceability and other disadvantages. We strongly recommend using e.g. the Use available session mode instead which also comes without additional resource requirements but can at least preserve existing sessions. Data acquisition and retraining of the Anomaly Shield application should always be carried out if a configurational change of the gateway influences the traffic. I.e., this is required if the session handling mode is changed. Send load balancing cookie If enabled, load-balancing information is sent to the client in a load-balancing cookie. Uncheck this option if no load balancing is needed and no cookie should be generated for this purpose. See also load balancing. Compress response traffic Specifies whether Airlock Gateway should compress the output on the fly for the client browser (if supported and requested by the browser). The compression is limited to content that is known to be compressible, e.g. HTML pages. See article HTTP compression. To mitigate the BREACH attack , the decision of whether to compress a response is based on the HTTP referer header. The following HTTP responses will not be compressed: First page accessed by the client (landing page) Pages called from bookmarks or typed-in URLs Refreshed pages Pages requested by special HTTP clients not sending a referer header Resources like images, JavaScript, CSS are sourced from foreign domains. Enable Control API Specifies whether this service is allowed to use Control API via the control cookie mechanism. Normally, only the authentication application should be allowed to use the back-end control API of Airlock Gateway . Send environment cookies Specifies whether this service should receive the Airlock Gateway environment cookies that contain useful information about the connection to the client. Please refer to the environment cookie page for a detailed list of the Airlock Gateway environment cookies. Encrypted cookies Select Use regular expression and define a regular expression for cookies that should be cryptographically encrypted before being sent to the client. All cookies that have names that match the regular expression are encrypted and digitally signed with a secret key derived from a passphrase when sent to the client. They are decrypted and verified when sent to the back-end service. Because the pass-phrase-based key is used, such cookies are valid over several sessions and can also be persistent on the client´s machine. Such cookies protect the application from manipulated cookie contents and hide the content from the user. Passthrough cookies Select Use regular expression and define a regular expression for cookies that should be passed in plain format to the client. Passthrough cookies are not recommended because they are often a carrier for cookie poisoning-based web application attacks that can result in buffer overflows etc. Further information and links Internal links: Back-end load balancing and failover Control API Environment cookies How to choose/switch to the best session handling mode HTTP compression Submenu – Session','Section – Application','','')
Smc.XSearch.add('../data/1574686289767.html','Section – Timeout Back-end HTTP timeout (seconds) Defines the time Airlock Gateway will wait for the back-end response. In case the request runs into the timeout, Airlock will send a redirect to the HTTP 503 Service unavailable error page with the corresponding HTTP 503 status code. If In-band Health Checks are configured, then such a request will be counted as a failed request, potentially leading to the back-end server being marked as bad. Minimum session idle timeout (seconds) Defines the minimum session idle time of Airlock Gateway for this mapping. The value will be ignored if minimum session idle timeout is smaller or equal to the global session idle timeout setting.','Section – Timeout','','')
Smc.XSearch.add('../data/1574686289769.html','Section – Miscellaneous UI Description Default request character set Sets the defined charset that is used for HTTP requests without a content-type header from the client. Note that for content-type headers, Airlock Gateway uses the information from the header to decode the request. Choice: UTF-8 (Fallback: Windows-1252) UTF-8 ISO-8859-15 Windows-1251 Windows-1252 Enforce UTF-8 for request path 1 If enabled, UTF-8 is being enforced for the HTTP request path. Note: Path segment parameters are also restricted by this setting. Path segments may also be restricted by this setting if this mapping is configured to treat path segments as parameters. See also: Section – Basic Call Verification Enforce UTF-8 for request headers 1 If enabled, UTF-8 is being enforced for the HTTP request headers. Enforce UTF-8 for request parameters 1 If enabled, UTF-8 is being enforced for the HTTP request parameters. WebSocket handling Enables support for WebSockets protocol as defined in RFC 6455 . The traffic that is using the WebSocket protocol can not be filtered or validated in any way at the moment. Nonetheless, session handling, authentication and other basic checks like DoS attack prevention are applied as with normal HTTP traffic. Due to the persistent one-to-one binding of client and back-end connections, the memory usage may be increased substantially. Make sure the "Translate Origin header" is enabled for this feature to work properly. Deliver error page by redirect Specifies whether error and maintenance pages are delivered in place or if an HTTP redirect pointing to them is sent to the client. 1 With UTF-8 enforcing enabled, Airlock Gateway will block Overlong UTF-8. Blocked request character sets Parameter values that are sent in HTTP requests from the client are encoded in a defined charset. Many attacks are based on injecting special characters in a different encoding or charset to the application server. In rare cases, other charsets than those defined under Default request character set are used in a request, but should not be blocked by Airlock Gateway . To allow other charsets, you can add the following line to the expert settings (Submenu – Security Gate / Apache): parameterNormalization.blockUnsupportedCharset "FALSE" TRUE (default) – Airlock Gateway blocks any requests with unsupported values in the content-type header. FALSE – Airlock Gateway treats the request in the same way as if no content-type header was set.','Section – Miscellaneous','','')
Smc.XSearch.add('../data/1629119807976.html','Section – Anomaly Shield This is the drop-down selection to assign a mapping to an Airlock Anomaly Shield application. See also: Submenu – Anomaly Shield.','Section – Anomaly Shield','','')
Smc.XSearch.add('../data/1583435029072.html','Tab – Access This tab offers the available options and settings related to access control. Chapter content Section – Authorization and authentication Section – Credential Propagation Section – Access Tokens','Tab – Access','','')
Smc.XSearch.add('../data/1574686289771.html','Section – Authorization and authentication Preceding authentication with Airlock Gateway implements centralized access control that is completely decoupled from the underlying application. Only authenticated and authorized connections can access the application. Airlock Gateway thus resolves the problem of anonymous connection attempts that precede attacks. In combination with an Airlock API Gateway as a policy enforcement point and an Airlock IAM to manage client information, control and rate-limiting for Tech-Clients can be configured with restrictions to roles and plans. SSL client certificate Specifies whether accessing this mapping requires the client to authenticate with a valid SSL client certificate. Together with the SSL server certificate, client certificates provide mutual authentication between Airlock Gateway and the browser. If the client authenticates himself with a client certificate, any man-in-the-middle attack is prevented. Options: Inherit from virtual host – the mapping uses the client certificate settings of the virtual host. Optional – the client may send a certificate if available, but access is still allowed without a certificate. The optional setting is normally used in combination with an authentication service that presents an alternative login page if no certificate is sent. You should not use the ´optional´ setting without this additional authentication service check. Required: The client must send a valid certificate. If no client certificate is sent, the SSL handshake is canceled and the browser typically presents the user with a technical error message. If possible, configure this setting on the Virtual Host since having different settings between the Virtual Host and its mappings can lead to problems with renegotiation. This setting is also available for each virtual host. If you need to check client certificates, it is recommended to require a client certificate on the virtual host level, not on the mapping level. If client certificates are required on the virtual host, the connected mappings can be set to "SSL client certificate: inherit from virtual host". It is only possible to override the virtual host settings with stronger mapping-specific settings. I.e. use optional on virtual host and required on the mapping, but not the other way round. Access restrictions A list of access restrictions can be created. Each request matching the combination of the HTTP method and path of an access restriction must have at least one of the specified roles to access the service. All matching restrictions must be satisfied to gain access. If the restriction list is empty or no restriction matches, access is granted. For example, if a restriction only matches HTTP GET requests, POST or PATCH requests on the same URL must be covered by separate restriction rules. Otherwise, they will be allowed. Column name Description HTTP Method This field can contain a regular expression. Role and plan restrictions are applied if the HTTP method of a request matches the expression. Use an empty pattern if all HTTP methods should match. Example: ^(POST|PUT)$ Path This field can contain a regular expression. Role and plan restrictions are applied if the HTTP method of a request matches the expression. Use an empty pattern if all paths should match. Example: ^%ENTRYDIR%/administration/? Restricted to Roles This field can contain a list of comma-separated roles for this service. Only sessions that have at least one of these roles (e.g. admin, sales, crm) will be able to access the service. Example – Restricted to roles Restricted to Plans This field can contain a list of comma-separated plans. Plans restrict the access of Tech-Clients (identified by API keys). Only clients who have at least one of these plans will be able to access the service. Example – Restricted to plans Authentication flow Drop-down entry Description Redirect (default) If the required role for the mapping is missing on the current session, Airlock Gateway will send a redirect (HTTP 303 ) to either the global or the custom denied access URL. This mode is typically used in conjunction with user-operated clients. Deny access Airlock Gateway will directly send an access denied (HTTP 403 ) response to the client if the required role is missing. This is typically used for technical clients. One-shot When this option is selected and Airlock Gateway receives an incoming request for this mapping that needs to be authenticated, Airlock Gateway implicitly (without redirect) forwards the request to the configured denied access URL for this mapping. The request headers are forwarded but no request body. After the forwarded request, Airlock Gateway checks again if the session is now authenticated. If so, the original request is passed to the back-end server (successful one-shot authentication). If the session does not have the required credentials even after the one-shot request, Airlock Gateway will send an access denied (HTTP 403 ) response to the client. One-shot with body This is the same as with the one-shot option with two notable differences: The whole body of the request is also sent to the denied access URL for this mapping and the request method is always POST instead of GET . Front-side NTLM Choose the front-side NTLM authentication flow to support authentication using NTLM. The front-side NTLM authentication flow is similar to the one-shot authentication flow but also forwards all requests containing an Authorization header with the value NTLM .* to the denied access URL. For successful authentication, NTLM must be supported by the authentication service. Denied access URL Defines the location of the authentication service. In case the required role for the mapping is missing in the current session, Airlock Gateway will redirect the client to this location. Use Global (default) will use the global denied access URL as configured under the menu Use Global. Custom will use a mapping-specific denied access URL. Logout propagation path Logout propagation can be enabled by setting a Logout propagation path in a mapping. Whenever a gateway session terminates, either due to an explicit logout by the user or due to a session timeout, Airlock Gateway will call the configured path on the currently used back-end host with all information concerning this back-end application, such as cookies, headers, etc. This allows clean session termination on back-end systems when an Airlock Gateway session terminates. The path is called ​as is, without any rewriting. Example: /myaccount/logout.do The back-end logout propagation is a best-effort service. This means that some back-end logouts may be delayed or even skipped under heavy load or if there are back-end outages. Logout propagation host header A back-end host variable or a static value can be set to add a specific host header to the logout propagation request. This may be necessary if the back-end uses name-based virtual hosts. Examples: back-end.example.com 192.0.2.48 Unlike host headers in normal user requests, the logout propagation host headers cannot be modified on the virtual host or on the mapping by request actions. If the Logout propagation host header field is left empty, the configured back-end hostname in the back-end group is used as the host header. Custom error page for deny access and one-shot By default, the error page with the HTTP response status code 403 is used. Airlock Gateway allows to return a custom response document with the expert settings Authentication.DenyAccess.ErrorPath (deny access authentication flow) and Authentication.Implicit.ErrorPath (one-shot authentication flows) on the Expert Settings - Security Gate page. The custom error page must be uploaded with the Configuration Center as described in Submenu – Error Pages. The error page must be in the as-is format and use the file extension .asis . With the as-is format, it´s possible to specify the HTTP response status code (e.g. 401 or 403 ) and additional HTTP response headers. Further information and links Internal links: API access control with Airlock Secure Access Hub Section – API Policy','Section – Authorization and authentication','','')
Smc.XSearch.add('../data/1588597083835.html','Example – Restricted to roles Access restrictions table The following example uses a simple set of access restriction rules with 4 different roles: # HTTP Method Path Restricted to Roles 1 ^GET$ .* weak 2 ^GET$ (inverted) .* strong, admin 3 ^(POST|PATCH|DELETE)$ ^/accounts useradmin, admin 4 .* ^/admin admin The example requests are restricted as follows: Sent request Required role(s) Applied rule(s) # GET /index.html weak 1 GET /admin/index.html weak and admin 1, 4 GET /accounts/ weak 1 PATCH /users/h7466 strong or admin 2 POST /accounts/id775 (strong or admin) and (useradmin or admin) - i.e. admin or (strong and useradmin) 2, 3 DELETE /admin/user/bfg4 admin 2, 4 GET /admin/users weak and admin 1, 4','Example – Restricted to roles','','')
Smc.XSearch.add('../data/1588597083837.html','Example – Restricted to plans Access restrictions table The following example combines role-based restrictions with plan-based restrictions for API access. Here, access is not only depending on the role typically acquired by user authentication, but also depending on the plans associated with a Tech-Client. # HTTP Method Path Restricted to Roles Restricted to Plans 1 .* ^/payments strong payments 2 ^GET$ ^/accounts weak, strong accounts 3 ^GET$ (inverted) ^/accounts strong accounts 4 .* ^/apis public-apis Further information and links API access control - how it works in detail','Example – Restricted to plans','','')
Smc.XSearch.add('../data/1574686289773.html','Section – Credential Propagation Section NTLM passthrough Airlock Gateway is enabled to handle HTTP connections with transparent client to back-end NTLM authentication. Since the authorization of NTLM authenticated connections is bound to the underlying TCP connection, the client and back-end connections are correlated as soon as a NTLM handshake is detected. These one-to-one bindings of client and back-end connections exist until client connections are closed. It is guaranteed that no back-end connection authenticated using NTLM is ever reused by another client connection. NTLM has well-known security flaws. We strongly recommend adding additional security measures when exposing NTLM authentication to the Internet. If possible, Kerberos should be preferred over NTLM, as suggested by Microsoft. NTLM passthrough cannot be used in combination with "Front-side NTLM" Authentication flow Remove NTLM header and Error Page Replacement of 401 responses must be disabled for this feature to work. Due to the persistent one-to-one binding of client and back-end connections, memory usage may be increased substantially. SSO credential propagation Defines if SSO credentials set by the control API will be forwarded to the back-end application or not. These credentials are typically set by the authentication service upon successful authentication. The checkbox indicates if the SSO credentials are mandatory or optional. None: Even if Basic-Auth or NTLM credentials set by the control API are present, Airlock Gateway will not forward them to the back-end application. Access to the mapping is granted without any SSO credentials. Basic-Auth: If Basic-Auth credentials set by the control API are present, Airlock Gateway will forward them to the back-end application. Kerberos: If a Kerberos user is set by the control API, Airlock Gateway will acquire and send a service ticket to the back-end application. NTLM: If NTLM credentials set by the control API are present, Airlock Gateway will forward them to the back-end application. Credential mandatory: If checked and the selected SSO credentials are missing, access to the mapping is denied and Airlock Gateway will redirect to either the global or the custom denied access URL.','Section – Credential Propagation','','')
Smc.XSearch.add('../data/1574686289775.html','Section – Access Tokens Authorization based on JWT is supported. If any extraction method is enabled, a matching token sent with the request will be verified and decoded. Restrictions for token claims can be enforced and roles required for accessing the mapping can be extracted from the token. If more than one token matches the extraction pattern, only the first token will be considered. Extract header Allows extracting an access token from a specific header. You can specify an extraction pattern and the specific rewrite. If the JWT is missing (if mandatory), invalid, violates any claim restrictions or does not provide the needed credentials to access the mapping, the request will be rejected. For a configured "Redirect" authentication flow this will result in a redirect to the denied access URL, all other authentication flows result in a response with HTTP status code 403. Extract query parameter If enabled Airlock Gateway will extract the token from the specific query parameter. Extract cookie value If enabled Airlock Gateway will extract the token from the named cookie. Token mandatory If disabled, requests without a token are accepted. However, if a token is present, it is extracted and validated and the configured restrictions and role extractions are applied. JWKS Providers Choose the JWKS providers for the mapping. Note that JWKS providers must be preconfigured. For more information, see: Submenu – JWKS Providers Signature mandatory Enabled (default) – only JWS and nested JWEs with signatures are allowed. Disabled – also less secure JWEs without signatures are allowed. JWT type Signature mandatory Enabled Disabled JWS allowed allowed JWE signed (nested) allowed allowed JWE unsigned blocked allowed Check expiry / not before If checked the JWT standard claims expiry (exp) and not before (nbf) will be checked and must be valid. Skew The allowed skew when checking expiry / not before in seconds. This can be used if verification fails because of time synchronization issues with the token issuer and the Airlock Gateway . Claim restrictions All specified claims are checked and must match the claim´s value of the decoded token. If a claim field is an array, at least one entry must match the specified regex. Field Description Claim name Name of the claim you want to restrict. Claim restriction regex The regular expression that must match the value of the specified claim name. Role extractions Allows you to extract claim values and set roles from it. Field Description Claim name Name of the claim you want to extract a role from. Claim rewrite from The regular expression to match the role extraction. Roles rewrite to The rewrite expression of the role. The use of Control API syntax is not supported. Use token lifetime as role lifetime If enabled the expiry claim (exp) of the JWT will be used as the role lifetime. Simple role extraction: Claim name: roleClaim rewrite from: ^(.*)$Roles rewrite to: static-role Will set the role static-role for every token that contains a claim named role . Step-up role extraction: Claim name: acrClaim rewrite from: ^LOA3$Roles rewrite to: strong-authentication Will set the role strong-authentication for every token that contains a claim named acr with the value LOA3 . Extract technical client ID Extract a technical client ID from JWT. This setting will be ignored if Enable API Keys Service is enabled. See Section – API Policy. Claim name Name of the claim to extract as technical client ID. Set audit token from subject Extract the ´sub´ claim from the JWT and use its value as audit token of the current Airlock Gateway session.','Section – Access Tokens','','')
Smc.XSearch.add('../data/1574686289777.html','Tab – IP Rules With IP Rules, requests based on their IP addresses can be allowed in the section IP Whitelists or blocked in IP Blacklists with or without blacklist exceptions. New IP lists can be configured in Submenu – IP Address Lists and used in the section IP Whitelists as well as IP Blacklists. If environment cookies are enabled on the mapping, the environment cookie will also contain the names of all IP address lists that match the source IP address. For more details see Environment cookies. Section – IP Whitelists In the IP Whitelists table, every row equals a rule and can be enabled or disabled . Rows are processed from top to bottom. Log only – This option is used to prevent Airlock Gateway from enforcing all IP Whitelists rules. It will only write information in the log. An empty IP Whitelists table does not block requests. If the client´s request matches a path configured in the field Path pattern , one of the IP lists in the Whitelists field configured in the same row must match. Otherwise, the request is blocked by this IP Whitelists rule. If a request does not match any of the configured paths, the IP Whitelists rules do not block the request. An empty path in an IP Whitelists rule always matches. This is generally the case with regular expressions unless the Invert option is ticked and the rule is enabled. Percentage variables such as %ENTRYDIR% are allowed. Roles can be shifted to sort them in the required order for top-down processing. Section – IP Blacklist Log only – Is used to prevent Airlock Gateway from enforcing the denylisting rules. It will only write the information to the log. Webroot Threat Categories – Allows to check all threat categories from the threat intelligence feed. Blacklists – List of IP Lists that should be blacklisted. New IP Lists can be set up in Submenu – IP Address Lists. Configuring no IP List or using an empty list as an IP Denylist will result in all traffic being accepted as no IP address will match. Dynamic IP Blacklist Block IPs on dynamic blacklist – If enabled, all IPs on the dynamic denylist are blocked. See dynamic IP denylist for configuration of the global thresholds. If an IP is on the dynamic denylist and also on a configured denylist exception list (see below), it is not blocked. Count blocks for dynamic IP blacklist – To be added to the dynamic IP denylist, IPs must generate a certain amount of blocks within a configured time window. This setting specifies whether blocks occurring on this mapping count towards the configured threshold. Note that the denylist exceptions (see below) do not affect this feature. That is, blocks are also counted for IPs on denylist exception lists. The mode for counting blocks allows following options: OFF : Blocks on this mapping are not counted for the dynamic IP denylist threshold. All blocks : All blocks on this mapping are counted for the dynamic IP denylist threshold. Deny rules only : Only deny rule blocks on this mapping are counted for the dynamic IP denylist threshold. Dynamic IP Blacklist Airlock Gateway can monitor IPs with bad behavior and temporarily block them. If an IP triggers a block, it will be put on a watchlist. If there are too many blocks during a certain period from the same IP, it is added to the dynamic IP denylist for a defined period. See also article Submenu – Dynamic IP Blacklist. Blacklist Exceptions IP Lists can be selected from the drop-down list. New IP List entries can be added in Submenu – IP Address Lists. Logging If an IP Denylist blocks a request based on an IP Address List, a log message is written to the log of Airlock Gateway. Details regarding log messages are documented in the Block Summary list. Further information and links Internal links: Submenu – IP Address Lists Environment cookies Submenu – Dynamic IP Blacklist Submenu – Threat Intelligence Block Summary','Tab – IP Rules','','')
Smc.XSearch.add('../data/1574686289779.html','Tab – Bot Management Fields/buttons Description Log only Do not enforce blocking based on bot detection. Enforce client cookie support Only clients implementing a cookie store can access the application through this mapping if enabled. In contrast to regular browsers, most bots do not implement a cookie store and will, therefore, be blocked if this setting is enabled. Source IP address whitelist Requests from a client (e.g., a bot) with an IP address in the selected list are forwarded regardless of whether the client supports a cookie store. To define a source IP list, see article Submenu – IP Address Lists. Well-Known Bot Exceptions Check User-Agent Check the User-Agent to determine if a bot is well-known and do not block such bots. Clients sending one of the following User-Agent header values are treated as well-known bots: AhrefsBot Amazonbot AppleBot archive.org_bot Baiduspider bingbot BingPreview DataForSeoBot DMBrowser DuckDuckBot Embedly facebookexternalhit Googlebot Google-Read-Aloud Google-Site-Verification Iframely InfoTigerBot LinkedInBot localsearch-web MSNBot Qwantify Semrush SiteAuditBot Slurp Yahoo Link Preview YandexBot Enforce source-domain If enabled, a reverse IP lookup for well-known bots is performed to verify that the client´s IP address belongs to the operator of a well-known bot. This prevents bots from pretending to be a well-known bot by sending a fake User-Agent header. We strongly recommend enabling the Enforce source-domain option to block fake User-Agent headers. The following domains are considered as domains of operators operating well-known bots: ahrefs.com applebot.apple.com archive.org baidu.com baidu.jp bl.semrush.com bot.semrush.com crawl.amazonbot.amazon crawl.yahoo.net dataforseo.com dotcom-monitor.com duckduckgo.com embed.ly fbsv.net fwd.linkedin.com googlebot.com google.com iframely.com infotiger.com qwant.com search.ch search.msn.com yandex.com yandex.net yandex.ru Custom Bot Exceptions Check User-Agent Check User-Agent – if enabled, custom bots are not blocked. Custom bots are identified by providing a User-Agent and Source-Domain pattern. If Check User-Agent and Enforce source-domain are enabled, both patterns User-Agent pattern and Source-domain pattern have to match such that a request is not blocked. User-Agent pattern Do not block bots whose User-Agent header matches this pattern. Enforce source-domain Do not block bots whose source-domain matches the Source-domain pattern. Source-domain pattern The field for the source-domain pattern. Ensure that the pattern ends with a $ to prevent wrong matches. For example, the pattern \\.example\\.com$ should be used instead of example.com . The pattern example.com would also match: myexample.com example.com.otherdomain.org examplexcom.otherdomain.org etc. Further information and links Internal links: Submenu – IP Address Lists','Tab – Bot Management','','')
Smc.XSearch.add('../data/1583435029752.html','Tab – Request Actions An empty RegEx pattern will match any header. For safety reasons, the pattern ^$ is therefore prefilled for allow and deny list headers by default but can be changed to the required RegEx. Section – Allow List Header allow and deny lists are predefined in the default header lists. Name of the setting Description Default header allow list Preconfigured RegEx allow list pattern for headers. Can be enabled (green) or disabled (gray). Additional allowed headers Custom RegEx for additional allowed headers can be added in the blank field when enabled (green). Section – Deny List Header allow and deny lists are predefined in the default header lists. Name of the setting Description Default header deny list Preconfigured RegEx deny list pattern for headers. Can be enabled (green) or disabled (gray). Additional denied headers Custom RegEx for additional denied headers can be added in the blank field when enabled (green). Section – Default Actions Request and response actions allow flexible administration of HTTP headers. Request and response headers can easily be modified based on patterns in header names or values. Airlock Gateway comes with a set of built-in default actions defined globally. Whether default actions are active or not is controlled globally. However, the activation state of default actions can be overridden on mappings. Built-in action names have the prefix (default): Expand the action to see the actual configuration, including action type and RegEx pattern. To display a textual description, click on the icon. Configuration option Description disabled (gray) When disabled, the default action is not processed for this mapping. enabled(green) When enabled, the default action is processed for this mapping, even if the default action is disabled globally. For global default actions, see article Submenu – Default Actions. inherited from default (gray with arrow) When inherited from default is enabled but gray, the default action is not processed for this mapping, because the global default action is disabled. inherited from default (green with arrow) When inherited from default is enabled, the default action is processed for this mapping, because the global default action is enabled. 1 For global default actions, see article Submenu – Default Actions. Section – Custom Actions Name of the setting Description Name Actions are identified by a name that must be unique. Action The action that takes place on pattern match. Selectable options: Add header Add missing header Add or replace header Remove header Header redirect Geolocation redirect Rewrite header Header Name Pattern RegEx to match the request headers that should be affected by this custom action. Header Value Pattern RegEx to match the request values that should be affected by this custom action. Further information and links Internal links: Global default actions – Submenu – Default Actions A complete list of all default request actions – Default Request Actions A complete list of all default response actions – Default Response Actions','Tab – Request Actions','','')
Smc.XSearch.add('../data/1583435029756.html','Tab – Response Actions On this tab, response actions can be configured for a specific mapping. Global response actions can be configured under Submenu – Default Actions on the tab Response Actions . Chapter content Section – HTTP Headers (Response Actions) Section – Rewrite Response Redirect Location Section – Rewrite Response Body (JSON only) Section – Rewrite Response Body (any content) Section – Rewrite Response Body (HTML only) Section – Error page replacement','Tab – Response Actions','','')
Smc.XSearch.add('../data/1637831403582.html','Section – HTTP Headers (Response Actions) Subsections – Allow List and Deny List Header allow and deny lists are predefined in the default header lists. Subsections – Default Actions and Custom Actions Further information and links Internal links: Global default actions – Submenu – Default Actions A complete list of all default request actions – Default Request Actions A complete list of all default response actions – Default Response Actions D_03 Descriptive module (SW-UI) D_03 Descriptive module (SW-UI)','Section – HTTP Headers (Response Actions)','','')
Smc.XSearch.add('../data/1583435032046.html','Section – Rewrite Response Redirect Location Rewrite option to modify the HTTP redirect location header sent from the back-end server before it is sent to the client. Rewriting the location redirect header may be necessary if the application creates absolute or incorrect location headers because it is not reverse proxy compatible. Example: Rewrite Response Redirect Location:^(https?://%BACKENDHOST%)?/%BACKENDPATH%(/.*)?$Replace with:/%ENTRYPATH%$2 This example translates absolute and relative back-end URLs into an external absolute path.','Section – Rewrite Response Redirect Location','','')
Smc.XSearch.add('../data/1594028006546.html','Section – Rewrite Response Body (JSON only) Airlock Gateway provides a JSON content rewriter for values in JSON documents. Recommended use: Use JSONPath (XPath for JSON) and content pattern (which work as regular expressions) to rewrite any URLs of the JSON content. Content pattern as rewrite variables Rewrite rules may contain rewrite variables for URLs. This can be achieved by using a content pattern, i.e., (?<URL>) .The type specifier ?<URL> right after the opening parenthesis indicates a URL. If URL encryption is enabled, this URL will also be encrypted. Examples: JSONPath Content Pattern Replace $..url (?<URL>.*) $1 $..url ^(https?://)%BACKENDHOST%/%BACKENDPATH%(/.*)?$ $1%ENTRYHOST%/%ENTRYPATH%$2 $.data.services[:].name path location JSON Path example To define which field to rewrite, JSON Path syntax is used. JSON Document: {  "data": {  "services": [  {  "name": "path1",  "url": "http://backend-server/path1"  },  {  "name": "path2",  "url": "http://backend-server/path2"  }  ]  }  } JSON Paths: * $.data.services[0].name  selects the value "path1"  * $.*.services[0].name  selects the value "path1"  * $.data.services[:].name  selects the values ["path1", "path2"]  * $..url  selects all URLs Further information and links JSONPath - XPath for JSON Section – URL encryption Section – Rewrite Response Body (any content)','Section – Rewrite Response Body (JSON only)','','')
Smc.XSearch.add('../data/1583435032048.html','Section – Rewrite Response Body (any content) In addition to rewriting the response body for HTML, where the HTML parser of Airlock Gateway lets you define rewrite rules for different semantic parts of HTML, such as URLs and JavaScript, you can configure Gateway to generally rewrite the body of HTTP responses. To specify what bodies shall be rewritten, each rule is accompanied by a Content type field. If a HTTP request or response contains a Content-Type header that matches the regular expression in that field, the rule will be applied. The configured rewrite rules are executed from top to bottom of the list. Content type A response from the back-end server is rewritten only if the response header «Content-Type» matches this regular expression. Content Pattern This regular expression pattern defines the content to rewrite. Text parts reusing in Replace with have to marked with parentheses "( )".The type specifier ?<URL> right after the opening parenthesis indicates a URL. If URL encryption is enabled, this URL will also be encrypted. For each pattern the Ignore Case check-box defines if the pattern should be applied case sensitive or not. Replace with This is the target string which will replace the string matched by Content Pattern. Substrings marked for reuse in Content Pattern field can be inserted using $1, $2, … Examples Purpose Rewrite URLs in CSS import statements in HTML and CSS documents (type A) Content Type ^(?:text|application)/(?:html|xhtml|css) Content Pattern (@import[\\h\\v]*["´])(?<URL>[^"´]+)(["´]) Replace with $1$2$3 Example HTML snippet from back-end: <style> @import "/styles/mystyle1.css"; @import´/styles/mystyle2.css´; <style> After rewriting (URL encryption enabled): <style> @import "/ue/$xp1/babp8tnonc73G9p7No9li1UQQcNMV9c3i_l0mxNDOCAJ7oId$/p/p/p/p/p/p"; @import´/ue/$xp1/F5KkmMJ!lPO_3kTwlwP9myON3rJTzIrNinPR_DNpVXWwJS3e$/p/p/p/p/p/p´; </style> Purpose Rewrite URLs in CSS import statements in HTML and CSS documents (type B) Content Type ^(?:text|application)/(?:html|xhtml|css) Content Pattern (@import[\\h\\v]+url\\([\\h\\v]*["´]?)(?<URL>[^"´)]+)(["´)]) Replace with $1$2$3 Example CSS snippet back-end: @import url("mystyle.css"); p.otherSyles { color: green } After rewriting (URL encryption enabled): @import url("/ue/$xp1/3YYQVMpExKtQZNKKqJjDNAAadQfHArO8GSb9Xfx1RDVqDi6s$/p/p/p/p/p/p"); p.otherSyles { color: green } Further information and links Section – Rewrite Response Body (HTML only)','Section – Rewrite Response Body (any content)','','')
Smc.XSearch.add('../data/1583435032050.html','Section – Rewrite Response Body (HTML only) In addition to rewriting HTTP header fields Airlock Gateway also provides a powerful HTML content rewriting engine. Rewriting HTML content may be necessary to modify URLs in the HTML content if the application creates absolute or incorrect links because it is not reverse proxy compatible. For each rule, the following options can be selected: URI (apply rule to linked HTML elements like href, src, etc.) Events (apply rule to JavaScript event strings such as onsubmit, onload, etc.) Embedded (apply rule to <script> and <style> blocks embedded in the HTML page) Note: The options Events and Embedded apply the rule to text elements that may contain other text than just a URL. To help Airlock Gateway correctly detect URLs within that text, the following syntax should be used. The type specifier ?<URL> right after the opening parenthesis indicates a URL. If URL encryption is enabled, this URL will also be encrypted. Examples Purpose Simple URI rewrite example to fix up absolute image references URL Pattern ^/images(/.*)? Option URL Replace with /%ENTRYPATH%/images$1 Example HTML snippet from back-end: <img src="/images/company.jpg"> After rewriting: <img src="/entryDir/images/company.jpg"> Purpose URI rewrite for removing protocol and host name URL Pattern ^https?://www.mydomain.com(/[^´"]*)$ Option URL Replace with $1 Purpose Rewrite embedded location URLs URL Pattern ((?:^|[\\h\\v;.])location(?:\\.href)?[\\h\\v]*=[\\h\\v]*["´])%BACKENDDIR%((?:/[^´"]*)?[´"]) Option Embedded Replace with $1%ENTRYDIR%$2 Example HTML snippet from back-end: <script> if (isIE) document.location.href = ´/redirectIE.html´; else window.location ="/redirect.html"; <script> After rewriting: <script> if (isIE) document.location.href = ´/entryDir/redirectIE.html´; else window.location ="/entryDir/redirect.html"; <script> Purpose Encrypt window.open URLs inside embedded JavaScript URL Pattern (window\\.open[\\h\\v]*\\([\\h\\v]*["´])(?<URL>[^´]+)(["´]) Option Embedded Replace with $1$2$3 Purpose Encrypt URLs in location.href assignments inside embedded JavaScript URL Pattern ((?:^|[\\h\\v;.])location(?:\\.href)?[\\h\\v]*=[\\h\\v]*["´])(?<URL>[^"´]+)(["´]) Option Embedded Replace with $1$2$3 Purpose Encrypt URLs in location.replace functions inside embedded JavaScript URL Pattern (location\\.replace[\\v\\h]*\\([\\v\\h]*["´])(?<URL>[^"´]+)(["´]) Option Embedded Replace with $1$2$3','Section – Rewrite Response Body (HTML only)','','')
Smc.XSearch.add('../data/1583435032052.html','Section – Error page replacement Depending on the HTTP status code of a back-end response, Airlock Gateway error pages are delivered to the client with a set of default replacement rules. The screenshot shows the default rules for error page replacements enabled: The first rule that applies when checking from top to bottom is used. For example, a page with HTTP state 408 is replaced by 400.html by the default rule ^4(?!01|03|04)..$ . If no pattern matches, the error page is not replaced by Airlock Gateway, but the original error page of the back-end application is used (not recommended, see warning below). Error pages generated by back-end applications may leak internal information about a system´s setup and configuration (e.g. platform, system paths, stack traces, or deployed frameworks). Such information is valuable for potential attackers. To prevent information leakage by default, Airlock Gateway replaces error pages generated by back-ends or ICAP services used in Back-end View . If you disable error page replacement or configure replacement rules accordingly, the error pages of the back-ends will be displayed instead. The replacement pages may contain .asis responses. Buttons and radio buttons: Default (radio button) – enable the radio button to activate the set of standard Airlock Gateway replacement rules. Custom – enable the radio button to create custom error page replacement rules. Off – enable the radio button to disable the replacement of error pages (not recommended, see warning above). Default (button at the bottom) – Use this button in conjunction with the Custom radio button to add the default Airlock Gateway replacement rules to the Custom rules table. Click multiple times to add more than one set of default replacement rules to the table. Further information and links To manage error pages, see section Submenu – Error Pages.','Section – Error page replacement','','')
Smc.XSearch.add('../data/1583435029758.html','Tab – URL Encryption Based on a powerful back-end HTML content rewriting engine Airlock Gateway provides advanced URL encryption and dynamic form protection functions. When enabled, dynamically encrypted URLs (in combination with cryptographically protected HTML forms) prevent anyone from sending illegal requests or malicious user data to the application server. These security functions can completely protect an application against forceful browsing attacks: Users and attackers cannot retrieve information about the back-end applications because the URLs are encrypted. No request manipulation or sending of invalid user input fields is possible anymore. Chapter content Section – URL encryption Section – Form Protection','Tab – URL Encryption','','')
Smc.XSearch.add('../data/1574686289783.html','Section – URL encryption When enabled, Airlock Gateway encrypts all URLs in the HTML responses of the back-end application as long as they lead to the same virtual host as the one handling the current request. This condition is true if the URI does not contain the protocol tag (e.g. http:// or https:// ) and the server name, or if the URI starts with the current virtual host´s protocol and with a fully qualified domain name. This can be verified easily by inspecting the HTML source of a back-end response. It is necessary to configure at least one URL Encryption Path Exception Pattern in order to use the URL encryption mechanism in a meaningful way. Once the URL encryption is activated, Airlock Gateway only accepts encrypted URLs with a valid signature. At least one URL must be reachable in plain format to enter the application context. URL encryption mode NONE – URL encryption mode is disabled. PBE – Passphrase-based encryption (PBE) is enabled. PBE makes it possible to have encrypted URLs, parameters and values that are valid over multiple user sessions. SESSION – Session-based encryption is enabled. This is the recommended setting. When enabled, all cryptographically encrypted values are only valid during a user´s session. Handling of unencrypted URLs Block and redirect – Request URLs must be encrypted. This is enforced by redirecting requests that contain an unencrypted URL to the invalid URL redirect location. This setting protects against cross-site request forgery (CSRF) and forceful browsing (no tampering with URL and parameters possible). It also provides information hiding. This is the most secure setting. Accept and log – Encrypted and unencrypted request URLs are accepted. A log message is written when an unencrypted request URL is detected. Form protection is not possible. This setting provides information hiding only. It does not protect against cross-site request forgery (CSRF) or forceful browsing! Accept – Encrypted and unencrypted request URLs are accepted. Form protection is not possible. This setting provides information hiding only. It does not protect against cross-site request forgery (CSRF) or forceful browsing! Invalid URL redirect location Defines the redirect location to redirect the user to if an invalid URL is detected. Invalid URLs may occur because of session timeouts or other terminated sessions and do not imply active attacks in all cases. Example: /index.html URL Encryption Path Exception Pattern Once the URL encryption engine is activated for a back-end mapping, Airlock Gateway only accepts encrypted URLs to access this application. However, there must be so-called bookmark or entry URLs configured that are accessible without encryption to get into the application context in the first place. The exception patterns can be configured in a list of regular expressions. All incoming URLs that match one of these patterns are accepted by Airlock Gateway without encryption. The ignore case (ICase) option specifies whether the pattern should be interpreted case insensitive. Note: The Invalid URL redirect location must be one of these exceptions if it is located behind the same URL mapping. Otherwise, a continuous redirect loop is initiated. It is recommended to only allow very simple and static URLs to be accessed as exceptions. The following example specifies that the basic URL /index.html may be accessed without encryption. This way, users can bookmark the index page in their browsers. From that point, all URLs are encrypted. Example: ^/index\\.html$ ^/%ENTRYPATH%/?$','Section – URL encryption','','')
Smc.XSearch.add('../data/1574686289785.html','Section – Form Protection The form protection mechanism is based on an innovative technology by Airlock Gateway . Taking advantage of strong cryptographic algorithms Airlock Gateway does not need to store information about valid form inputs or hidden fields. The Airlock Gateway form protection mechanism is therefore very efficient and flexible. For the smart form protection to work, URL encryption must be enabled. In addition to URL Encryption, it is possible to sign, and therefore protect, all form information of an application. To activate Form Protection within Airlock, it is necessary to activate the URL encryption mode (PBE or session-based) first. Smart Form Protection Enables the innovative and patent-pending smart form protection technology that dynamically protects HTML forms. Airlock Gateway will only allow user input parameters matching the meta constraints by the original HTML form when this option is activated. Using this technology greatly improves the protection against forceful browsing attacks. Users can only return form parameters to the server, that were originally requested by the server. Attackers cannot add other parameters to manipulate the back-end application. Protect from parameter values This option enables the protection of form parameter values where applicable. Attackers cannot modify hidden fields anymore, send illegal option values or send oversized input. Only parameter values that were offered by the application server are accepted. Also, certain meta constraints given by the HTML form source code are enforced (such as the maxlength attribute of input fields for example). Example: If an application provides an HTML form where a user can enter the amount and e.g. select the currency to create an electronic payment, the user will not be able to send any other parameters or send a currency that is not in the offered option list. All constraints are strictly enforced by Airlock Gateway. The back-end application will only get requests and user input data that it actually requested. Form Protection Field Name Exception Pattern If form fields are changed or added by client-side JavaScript, the form submission is blocked because Airlock Gateway suspects malicious intention. To make such forms work, define one or more name patterns matching the form fields. A form field matching one of these patterns will then no longer be protected. Since the exception pattern is a normal regular expression, it is also possible to use logical operators like "|" (as a logical OR). Examples: ^(exception_field1|exception_field2)$ ^(exception_field[12]{1}|exception3|onemore_exception)$','Section – Form Protection','','')
Smc.XSearch.add('../data/1574686289787.html','Tab – CSRF Tokens Airlock Gateway supports automatic CSRF token injection and validation to protect sessions against CSRF (Cross-Site Request Forgery) attacks. If CSRF tokens are enabled, Airlock Gateway adds a random CSRF token to responses delivered by back-ends before they are sent to the client. Subsequent requests (form posts or AJAX requests) must include the CSRF token to be accepted except for the request types GET, HEAD, and OPTIONS. If session-based URL encryption is enabled, sessions are already protected against CSRF except for URLs that have been configured as path exceptions. A common reason for URL path exceptions is URLs that are dynamically generated on the client. However, for URLs that are not URL encrypted, we recommend enabling CSRF tokens as a complementary measure for CSRF protection. Enable CSRF tokens Enables automatic CSRF token injection and validation on this mapping. Invalid token redirect location If a missing or invalid CSRF token is detected, the client is redirected to the configured location (e.g. to /index.html ) The token redirect location must be configured as a path exception if it is located behind the same URL mapping. Otherwise, a continuous redirect loop is initiated. Invalid tokens may occur because of session timeouts or terminated sessions and do not necessarily imply active attacks. Path Exception Pattern All incoming URLs that match one of these patterns are accepted by Airlock Gateway without a valid CSRF token. The ignore case (ICase) option specifies whether the pattern is matched case-sensitively or not. Exception patterns are configured in a list of regular expressions. The following example adds the URL /index.html as an exception. This allows users to bookmark the index page in their browsers and access it initially without a CSRF token. All other URLs on that mapping require a valid CSRF token: Example: ^/index\\.html$ To allow requests without CSRF tokens to the root directory of the mapping use the following configuration example: Example: ^/%ENTRYPATH%/?$ Token validity and propagation The CSRF tokens are valid for the current session and are delivered in a cookie. Due to the Same-origin policy, these CSRF cookies can not be accessed by foreign scripts from other origins. The attachment of CSRF tokens to requests is automatically handled by a piece of JavaScript code provided by Airlock Gateway . The CSRF JavaScript code is included by adding a script tag at the beginning of HTML pages: <script src="..." type="text/javascript"></script> Depending on the type of request, the Gateway script adds the CSRF token as a hidden parameter (i.e. for form posts) or as an additional HTTP header (for AJAX requests). Upon successful verification, CSRF tokens are removed from requests, i.e., the tokens are not propagated to back-end applications. Further information and links Cross-Site Request Forgery (CSRF) protection Cross-Site Request Forgery (CSRF) protection for SPAs','Tab – CSRF Tokens','','')
Smc.XSearch.add('../data/1574686289789.html','Tab – Limits For length and size checks you can use units: B (bytes), kB (kilobytes), MB (megabytes) or GB (gigabytes). Numbers that can be shortened i.e. 4096 will shorten automatically and displayed as 4kB. Chapter content Section – General Request Limits Section – HTTP Parameter Limits Section – JSON Limits Section – GraphQL Limits','Tab – Limits','','')
Smc.XSearch.add('../data/1583435032054.html','Section – General Request Limits UI Description Max request body size This field limits the total size of the request body. It specifies the number of bytes from 0 (meaning unlimited) to 2147483647 (2GB) allowed in a request body. To restrict the size of file uploads, set this limit to the maximum combined size of all files uploaded simultaneously. Max path length Defines the maximum path length for requests (default: max 1024 bytes).','Section – General Request Limits','','')
Smc.XSearch.add('../data/1583435032056.html','Section – HTTP Parameter Limits UI Description Max parameters Defines the maximum number of parameters inside the request (default: max 128 parameters). Max parameter name length Defines the maximum length for a parameter name (default: max 128 bytes). Max parameter value length Defines the maximum length for a parameter value (default: max 1024 bytes). Parameter length exceptions A regular expression specifies any parameter which should not be checked against the length checks defined above. Editing the parameter exception pattern is done in the pattern popup.','Section – HTTP Parameter Limits','','')
Smc.XSearch.add('../data/1583435032058.html','Section – JSON Limits JSON limits are checked for JSON documents whose content-type matches the specified pattern. See Section – Basic Call Verification. UI Description Max key length Defines the maximum length for a JSON key, also known as "JSON property" or "JSON object member" (default: max 256 bytes). Max value length Defines the maximum length for a JSON value (strings or numbers, default: max 8192 bytes). Max length exceptions Defines a regular expression to exclude JSON keys and the corresponding values from the length checks defined above. The exceptions must be specified in the "#json" format for a JSON key as described in JSON parsing and filtering. This allows to exclude specific JSON keys and values. Editing the parameter exception pattern is done in the pattern popup. Max nesting depth Defines the maximum nesting depth for JSON objects and JSON arrays (default: max 100). Max number of keys Defines the maximum number of keys of a single JSON object (non-recursive, default: max 250). Max number of array items Defines the maximum number of items for a single JSON array (non-recursive, default: max 500). Max number of total entries Defines the maximum number of keys and array items in the whole JSON document (recursive, default: max 150000). Example: { "key": "value", "object": { "key": "long value", "object": { "key": "very long value" }, "array": [ "item 1", "item 2", "item 3", "item 4" ] }, "array": [ "item 1", "item 2" ], "empty object": { }, "empty array": [ ]} This JSON document has these properties: The maximum key length is 12, for the key "empty object". The maximum value length is 15, for the value "very long value". The maximum nesting depth is 3, for the key called "key" with the value "very long value". The maximum number of keys is 5, because the top-level object has these keys: "key", "object", "array", "empty object", "empty array". The maximum number of array items is 4: "item 1", "item 2", "item 3", "item 4". The maximum number of total entries is 15. All keys are counted, all array items are counted. Not counted are empty objects, empty arrays, and simple values (strings/numbers) of keys. So the values "value", "long value", "very long value", the empty object {} and the empty array [] are not counted. If the maximum value length is 10, an exception must be configured for the key with the value "very long value". The key´s name is "key", but for the maximum length exceptions pattern, the name is "#json#object#object#key". Further information and links Internal links: Section OpenAPI Specification Section – OpenAPI','Section – JSON Limits','','')
Smc.XSearch.add('../data/1681413668994.html','Section – GraphQL Limits UI Description Max query size Maximum allowed size of the GraphQL query. If the query is larger, the request will be blocked. Max query nesting depth Defines the maximum nesting depth of the GraphQL query. The request will be blocked if a GraphQL request exceeds the maximal query nesting depth. Choose this setting with care as a high query depth may dramatically increase the load on the target application, depending on the underlying data structure. Max value length Defines the maximum allowed length of a GraphQL value. If any value is larger, the request will be blocked. Max length exceptions Allows to create an exception for Max value length using Regex. To define regular expressions, use #graphql# to limit the exception to GraphQL-related parameters. Example exception pattern When a log message for example shows the following: WR-SG-BLOCK-118 Limit exceeded in operation "test": Value length of #graphql#person#search is 11, maximal length is 10 An exception pattern based on the log message above would be: ^#graphql#person#search$ Further information and links Internal links: Section – GraphQL (Schema upload) Section – GraphQL Schema Section – GraphQL Limits (API Security settings) Section – GraphQL Schema','Section – GraphQL Limits','','')
Smc.XSearch.add('../data/1574686289791.html','Tab – Allow Rules Allow rules are a kind of positive list filter. They define which requests are allowed. Two conditions must be met by an HTTP request in order to be allowed for further processing: There must be at least one applicable allow rule. Each applicable allow rule must be satisfied by the HTTP request. An allow rule is applicable if the path of a request URL matches the configured path pattern. An allow rule is satisfied by a HTTP request if it is applicable and the HTTP request satisfies all criteria defined by the allow rule. During processing of an HTTP request, allow rules are applied first. Deny rules are only applied if the allow rules allow the request. Example for a configured rule: The button allows adding a (generated) Policy Learning rule with a set of preconfigured Parameter Values. See also articles Submenu – Policy Learning and Using the policy learning feature for details. Further information and links Internal links: Allow rule configuration Submenu – Policy Learning Using the policy learning feature','Tab – Allow Rules','','')
Smc.XSearch.add('../data/1574686289793.html','Tab – Deny Rules Section - Default Deny Rule Groups Airlock Gateway shows a list of expandable deny rule groups. Groups are enabled/disabled using the toggle button in the column "Active". In order to enable/disable individual rules, a group must be in security level "custom". Groups and individual rules can be set to "log only" mode by using the checkbox in column "log only". Use the Edit button in the "Exception" column to create or edit exceptions for a deny rule (group) on the current mapping. To display details of a deny rule, simply click on its name. The global deny rule page (Application Firewall -> Deny Rules) allows creation of new deny rules and groups. Section - Custom Deny Rule Groups Deny rules establish a negative security model, also known as deny lists. Deny rules are processed as the first filtering stage after decoding and decryption. Airlock Gateway provides a set of default deny rule groups to protect against common attack scenarios. For instance, there are specific deny rule groups dealing with SQL injection or Cross-site scripting (XSS) attacks. These default deny rule groups are identified by the "(default)" name prefix and have a configurable security level, one for blocking and one for additional logging. In order to see all rules belonging to a group, click on the group name or the expand icon on the right side of the group row to expand the view. Further information and links For a detailed introduction to the deny rule concept please refer to the general deny rule page.','Tab – Deny Rules','','')
Smc.XSearch.add('../data/1574686289795.html','Tab – ICAP ICAP services are defined on the Network Services page. Handlers to ICAP services are defined on mappings and can be hooked in at different points of view: ICAP Request Client View: Requests are handled after they have been filtered (e.g. the allow rules and the deny rules have already been applied), but before evaluating client fingerprinting. At this point, configured request rewrites have not been applied yet. ICAP Request Back-end View: Requests are handled just before they are sent to the back-end server. At this point, all configured request rewrites were already applied to the request. ICAP Response Back-end View: Responses are handled just after they were returned from the back-end servers. At this point, configured response rewrites (including URL encryption) have not been applied yet. ICAP Response Client View: Responses are handled just before they are sent to the client. At this point, configured response rewrites (including URL encryption) were already applied. Multiple ICAP handlers can be defined for each point of view. For each point of view, handlers are processed in the order of definition, i.e., the first entry in the table is the first to be processed. One of the ICAP service entries configured on the Network Services page must be selected for each handler. Additional conditions for URL patterns, HTTP methods or HTTP headers allow selective handling of certain requests/responses. Examples for ICAP handler conditions All requests to a certain server: URL Pattern – can be left blank if all requests should be processed via ICAP. Example pattern: ^https?://server.intra.net All requests to the /download directory: URL Pattern: – ^/download/ Only requests with HTTP methods GET or POST: HTTP Method Pattern – ^(GET|POST)$ Only responses with an X-Header and value myApp: Response Header Name Pattern – ^X-Header$ Response Header Value Pattern – ^myApp$','Tab – ICAP','','')
Smc.XSearch.add('../data/1574686289797.html','Tab – API Security Airlock Gateway offers API requests validation. Chapter content Section – Basic Call Verification Section – OpenAPI Section – GraphQL Section – API Policy','Tab – API Security','','')
Smc.XSearch.add('../data/1582547570565.html','Section – Basic Call Verification UI Description Apply deny rules to path segments If enabled each path segment is interpreted as a separate parameter value and the deny rules for parameter values are applied to it. Each parameter value will be assigned to a generic parameter name derived from its position in the path: #path-seg#0 , #path-seg#1 , #path-seg#2 , and so on. For mappings found by path matching, all non-matching path segments will be interpreted as parameter values. For mappings found by regex matching, all path segments will be interpreted as parameter values. Example 1 A request to "/auth-admin/rest/users/17/lock/" with entry path "/auth-admin/rest/" leads to the generation and verification of the following parameters: #path-seg#2 = users #path-seg#3 = 17 #path-seg#4 = lock Example 2 The same request as in Example 1 with an entry path regex .*auth-admin.* leads to the generation and verification of the following parameters: #path-seg#0 = auth-admin #path-seg#1 = rest #path-seg#2 = users #path-seg#3 = 17 #path-seg#4 = lock Treat JSON objects as parameters If enabled, Airlock Gateway parses JSON objects in requests and filters JSON attributes with allow rules and deny rules (see JSON parsing and filtering for details).','Section – Basic Call Verification','','')
Smc.XSearch.add('../data/1582547570567.html','Section – OpenAPI UI Description Enforce API Specifies whether traffic to/from this service shall be checked against an API specification provided in the OpenAPI 3.0 or JSON format. If enforced is enabled, non-conform traffic will be blocked. API specifications can be uploaded via Submenu – API Security. API Select the specification to validate against. Log only If enabled potential attack requests are only logged but not blocked. Path Matching Default value: Client view The Gateway mapping can be configured to rewrite the incoming URL to a different back-end URL (asymmetric mappings). Due to this rewriting, the incoming URL path (Client view) will be different from the back-end URL path (Back-end view). Select either Client view or Back-end view to match the URL path according to the path in your API specifications. Check responses against API specification Enable or disable responses check. Offer API specification file publicly Allow clients to download the API specification. File path and name File path and name at which the API specification will be available externally. Note that the entry path will be added in front of it. Further information and links Internal links: Submenu – License Submenu - API Security For API policy cookies, see: Environment cookies related to API policy features','Section – OpenAPI','','')
Smc.XSearch.add('../data/1681413668588.html','Section – GraphQL GraphQL queries, variables and operation names can be extracted from different sources: HTTP query parameters JSON bodies Bodies of content type application/graphql UI Description Enable parser GraphQL-related traffic is parsed and checked for correct syntax when enabled. All other options like Log only and Enforce schema are only applied if GraphQL parsing is enabled. Log only GraphQL requests are checked in Log only mode, but no blocks are enforced based on GraphQL checks. Note that with the option Check values with deny rules enabled, the Security Gate can (still) block GraphQL requests based on the current deny rules. Use Policy Learning to create deny rule exceptions if required. See article GraphQL integration for more information. Allow mutations When enabled, GraphQL mutations are allowed. Allow introspection When enabled, GraphQL introspections are allowed. Check values with deny rules Values in GraphQL requests are checked against the deny rules when enabled. Deny rule exceptions can be created using Policy Learning . Enforce schema GraphQL requests are checked against the selected Schema when enabled. Requests are blocked if they are not compliant with the uploaded schema. A GraphQL schema must be selected before this option can be enabled. Schema A GraphQL schema can be selected and uploaded to validate requests. See GraphQL schema configuration for adding a new schema. Further information and links Internal links: GraphQL integration (Schema upload) Section – GraphQL Schema Section – GraphQL Limits (API Security settings) Section – GraphQL Schema External links: GraphQL mutations GraphQL introspection','Section – GraphQL','','')
Smc.XSearch.add('../data/1582547570569.html','Section – API Policy The API Policy Service is an Airlock API Gateway service, providing information on API subscriptions for Tech-Clients. This information can be used for access control and rate limiting. UI Description Enable API Policy Service Activate this checkbox to protect your API using the Airlock API Policy Service. API Policy Service Select an API Policy Service from the drop-down list. Configure API Policy Services here: Section – API Policy Services Extract header Enable to extract an API key from a specific header. Set an extraction pattern and rewrite when enabled. Header extraction pattern Specify an extraction pattern here. Rewrite to Add a rewrite here. Extract query parameter If enabled Airlock Gateway will extract the API key from the specific query parameter. Parameter name Insert a query parameter name here. Extract cookie value If enabled Airlock Gateway will extract the API key from the named cookie. Cookie name Insert a cookie name here. If more than one token matches the extraction pattern, only the first token will be considered. Further information and links API access control with Airlock Secure Access Hub','Section – API Policy','','')
Smc.XSearch.add('../data/1574686289799.html','Tab – Advanced Chapter content Section – Content Parsing Section – DoS Attack Prevention Section – Overload Prevention Section – Request Body Streaming Section – HTTP Parameter Pollution Detection - Mixed Types Section – HTTP Parameter Pollution Detection - Same Type','Tab – Advanced','','')
Smc.XSearch.add('../data/1583435032062.html','Section – Content Parsing UI Description Strip comments If enabled, Airlock Gateway removes HTML comments. HTML comments often offer internal information. The option allows Airlock Gateway to remove such comments. This feature is only available if either HTML Rewriting or URL Encryption is enabled. JSON content type An HTTP body is treated and parsed as a JSON object if the HTTP header Content-Type matches the specified RegEx pattern. JSON Parser Path Exception Patterns Airlock Gateway will not do JSON parsing on any incoming requests with an external URL path that matches one of these patterns. Exception patterns are configured in a list of regular expressions. Example: The RegEx example ^/rest/api/broken-json$ adds the URL path /rest/api/broken-json as an exception not to use the JSON parser for this endpoint pattern. This means the request will not be blocked even if the JSON payload is broken. Further information and links Internal links: Regular Expressions basic examples Regular Expressions advanced examples Configure filter rules using regular expression patterns','Section – Content Parsing','','')
Smc.XSearch.add('../data/1583435032060.html','Section – DoS Attack Prevention Specifies the maximum number of requests allowed to access this application from the same source IP address within the given period (in seconds). The request frequency filter is based on a statistical function that efficiently approximates the real request frequency with a low variance. The variance may be noticeable during testing, but the request frequency filter should give satisfying results for productive scenarios. When the request threshold is reached, the requests will be blocked with HTTP response status code 503 (instead of 400 ). The log message will be accordingly: WR-SG-BLOCK-160, "Maximum number of allowed requests (...) within ... seconds for this IP (...) reached". attack_type: Denial of service, block_type: DOS Thresholds, constraint: Threshold Log only Enables/disables the log-only mode. When ticked, DoS Attack Prevention only creates logs instead of blocks. Source IP address exception Reference to an IP list that acts as an allow list. All source IPs matching this list will be excluded from the request limit per IP restriction. This is typically used if you have many users having the same source IP (i.e. proxy). Request frequency restrictions per IP Value Description Enabled = enabled = disabled Path pattern A pattern matching the request path. Optionally containing an entry or back-end path variable for static mappings (e.g. ^%ENTRYDIR%/ ). For more information and examples, see article Entry path as Directory or Regular expression. Max requests per interval Maximum requests that are allowed per IP address. Interval (seconds) Interval for measurement of allowed requests per IP address. The processing order is important because the first matching rule will be applied. Further information and link: Internal links: Entry path as Directory or Regular expression','Section – DoS Attack Prevention','','')
Smc.XSearch.add('../data/1720717689339.html','Section – Overload Prevention Specifies the maximum number of requests allowed to access this application from the same session within a configured period (in seconds). The request frequency filter is based on a statistical function that efficiently approximates the real request frequency with a low variance. The variance may be noticeable during testing, but the request frequency filter should give satisfying results for productive scenarios. When the request threshold is reached, the requests will be blocked with HTTP response status code 503 (instead of 400 ). The log message will be accordingly: WR-SG-BLOCK-162, "Request frequency per session restriction (number ...): Maximum number of allowed requests (...) within ... seconds for exceeded". attack_type: Overload, block_type: Overload Thresholds, constraint: Threshold Log only Enables/disables the log-only mode. When ticked, Overload Prevention only creates logs instead of blocks. Source IP address exception Reference to an IP list that acts as an allow list. All source IPs matching this list will be excluded from the request limit per session restriction. Request frequency restrictions per session Value Description Enabled = enabled = disabled Path pattern A pattern matching the request path. Optionally containing an entry or back-end path variable for static mappings (e.g. ^%ENTRYDIR%/ ). For more information and examples, see article Entry path as Directory or Regular expression. Max requests per interval Maximum requests that are allowed per session. Interval (seconds) Interval for measurement of allowed requests per session. The processing order is important because the first matching rule will be applied. Further information and link: Internal links: Entry path as Directory or Regular expression','Section – Overload Prevention','','')
Smc.XSearch.add('../data/1583435032064.html','Section – Request Body Streaming In general, Airlock Gateway waits until it received a complete request body before processing it and then passing it on to the corresponding back-end host. In certain cases, it can be necessary to change this behavior, and pass on all incoming data right away. For instance, the protocol "RPC over HTTP" sends several large requests to open the channel between client and server, and only sends small chunks of data through these requests, which are expected to immediately arrive at their destination. Similarly, very large file uploads may require Request Body Streaming, since collecting all the data in Airlock before passing it on is not feasible for memory usage reasons. Request Body Streaming reduces the affected transactions´ security level considerably: Most of Airlock Gateway ´s safety measures rely on having the complete request available at the time of filtering. If that is not the case, those measures can not be applied. It is therefore crucial to only enable Request Body Streaming for exactly those requests where it is needed. This is done by defining regular expression patterns for the HTTP method, the Path and/or the Content Type. Use request body streaming: Controls whether request body streaming is used or not. If set, only requests matching all three of the following regular expression patterns will be streamed. Empty fields have the same effect as the pattern ^.*$ HTTP method: Only requests whose HTTP method matches this regular expression pattern will be streamed. Path: Only requests whose path matches this regular expression pattern will be streamed. Content type: Only requests whose content type header matches this regular expression pattern will be streamed.','Section – Request Body Streaming','','')
Smc.XSearch.add('../data/1583435032066.html','Section – HTTP Parameter Pollution Detection - Mixed Types This feature prevents HTTP parameter pollution attempts using duplicate parameters with the same name but different types. The following parameter types are distinguished: Query parameters Path parameters. A path segment is interpreted as a parameter if it is of the form "name=value;". Additional query parameters for encrypted URLs. POST parameters Block duplicate parameters If enabled, requests are blocked if they contain the same parameter names with different parameter types. For example, a request is blocked if a parameter "id" is present as a POST parameter and as a query parameter simultaneously. Log only If enabled, threat handling for duplicate parameters is set to log only instead of blocking. Parameter name exception pattern Use the exception pattern to exclude parameters from the parameter pollution detection.','Section – HTTP Parameter Pollution Detection - Mixed Types','','')
Smc.XSearch.add('../data/1583435032068.html','Section – HTTP Parameter Pollution Detection - Same Type This feature prevents HTTP parameter pollution attempts using duplicate parameters with the same type (see above for a list of supported types). For instance, this is the case if the same parameter is added multiple times as a POST parameter. Join values of duplicate parameters If enabled, all the different values for a parameter are joined by commas in order of appearance. The aggregate value is then checked against deny rules as if it had been submitted as an original value by the client.','Section – HTTP Parameter Pollution Detection - Same Type','','')
Smc.XSearch.add('../data/1583435029764.html','Tab – Expert Settings Section - Security Gate Add your own mapping specific Security Gate settings. A Security Gate resource consists of a resource identifier (key) and a value. If the reserved value _UNDEFINED_ (without quotes!) is used, the according resource is removed from the resource table. The Security Gate then operates as if the resource had never been set. Examples: Enable compression on back-end connections: BackendCompression.Enable "TRUE" Send empty header on POST requests with missing ContentType: DefaultPostRequestContentType "" Section - Apache See Expert Settings. Further information and links Submenu – Security Gate / Apache','Tab – Expert Settings','','')
Smc.XSearch.add('../data/1571978526999.html','Column – Back-end Group A back-end group is a set of back-end hosts with identical applications, e.g. Microsoft Exchange. Multiple back-end hosts, with different IP addresses and/or different port numbers, but serving identical content, are supported and can be operated in various load-balancing and failover scenarios. A list of available back-end groups is shown on the Reverse Proxy overview page. Back-end groups can be associated with one or several mappings by connecting the line to the corresponding mapping(s). New back-end groups can be added by clicking the "+"-button in the table header. Existing entries can by modified by clicking on the Edit symbol, which appears when moving the mouse over an entry. To delete a back-end group, click the "Delete"-button in the back-end group´s detail view. Back-end Group Status Unreachable hosts within a back-end group are indicated by a red background on the back-end group field. The back-end group turns red if at least one corresponding back-end host is in status bad . If all back-end hosts are in status good or n/a , the back-end group is gray.','Column – Back-end Group','','')
Smc.XSearch.add('../data/1583435032276.html','Back-end Group detail page Quick selection drop-down menus Quick selection of virtual hosts, mappings, and back-ends is available via drop-down menus at the top of the detail page. When selecting an entry from the drop-down menus, the view will switch to either: Virtual Host detail page Mapping detail page Back-end Group detail page Chapter content Tab – Basic Tab – SSL Tab – Health Checks Tab – Expert Settings','Back-end Group detail page','','')
Smc.XSearch.add('../data/1583435032738.html','Tab – Basic Section - General Field name Description Name Each back-end group has a unique name. Tenant The tenant of this back-end group. See also Multitenancy feature. Section – Conditions In this section, the dynamic back-end group selection condition based on the client´s HTTP Host header information can be configured in the Client Host Header Pattern field. Note that mappings with multiple back-end groups may require safety measures. See Dynamic back-end group selection for more information. Field name Description Client Host Header Pattern The back-end group resolution is based on the request HTTP header Host . For each back-end group, a regex pattern must be configured to resolve the back-end group. The resolution is case-insensitive. Back-end groups are selected in the order of their unique priority value. Priority Sets the priority value of the back-end group selector with respect to the back-end groups of a mapping. The value can be between -999 (highest priority) and 9999 (lowest priority). The HTTP header Host of a request is basically untrusted and can be manipulated. Choose the Client Host Header Pattern as strictly as possible. If strictness is not possible, e.g. for wildcard name setup (wildcard DNS records, wildcard TLS certificate), be aware that attackers could use dynamic back-end group selection to access all back-end groups accessible via this virtual host. For requests that carry the same Host header but should be routed to different back-end groups, additional HTTP headers in the Tab – Expert Settings can be configured. Client Host Header Pattern and additional Expert Settings header patterns are logically AND-linked. The first back-end group that matches will be used. Section - Back-end Hosts This table contains the back-end host information of a back-end group that specifies how Airlock Gateway can reach a specific back-end host and how load balancing is achieved over multiple back-end hosts. Table column name Description Protocol This setting defines the back-end protocol which is used to connect to the back-end application. HTTP or HTTPS is possible. Back-end Host The back-end host entry defines the back-end system on which the back-end application runs. A valid entry is either an IP address or a fully qualified domain name (FQDN). When using an FQDN, make sure the name is resolvable through the DNS server defined under System Setup >> Network Services or through System Setup >> Hosts . Examples: host.intra.com 172.18.4.58 Port (optional) Configuring a back-end port is optional if the default ports for HTTP (80) or HTTPS (443) are used. If different ports are used on the back-end system, make sure to configure the corresponding back-end port. Examples: 8080 4443 8880 Mode Back-end hosts can be in one of three modes: Enabled: The back-end host is active and will be served with requests of existing user sessions and with requests of new user session. No new Sessions: The back-end Host just receives requests of existing user sessions. Requests of new user sessions won´t be delivered anymore to the corresponding back-end host. The back-end system will be starved. Disabled: The back-end host won´t be considered for any kind of request. Spare Set this flag to define one or several hosts as "Spare": Those hosts will be idle until one of the non-spare hosts fails its health checks and is therefore set to receive only reduced or no more traffic at all. At that point one of the spare servers is assigned the failed back-end host´s weight value, and from then on receives requests in its place. State The state of each back-end host is either: good: The back-end host responds to requests. bad: The back-end host is not responsive. n/a: No requests have been sent so far. After an Airlock Gateway restart, all back-end hosts are in state "n/a" until requests are sent. Also, a newly created back-end host is in state "n/a" before it has received requests. See section in-band and out-of-band checks below for more information on how to schedule in-band and out-of-band health checks of back-end hosts. Note: States of back-end hosts are not synchronized in an Airlock Gateway cluster. That is, the state of a back-end host can be "bad" in the active Gateway and "good" in the passive Gateway . Weight This value, in comparison with the weights of all other back-end hosts´ in the same group, determines the relative amount of new sessions assigned to a specific back-end host. If all back-end hosts show the same value, sessions will be distributed equally amongst them. The field takes values between 1 and 9999 . In new mappings, the first back-end host receives a weight of 100 as well. Each additionally added back-end host receives a weight that is calculated as (sum(weights)*(n+1)/n))-sum(weights), where n is the number of already existing back-end hosts, and sum(weights) is the sum of their weight values. This results in the n-th added back-end host receiving 1/n-th of the sessions. For a detailed explanation of Airlock Gateway ´s back-end load balancing features, see here. % This column contains a read-only value, which is calculated from the weight values of all connected back-end hosts. This percentage indicates the distribution of new sessions over the back-end hosts. Note that this distribution can only be achieved in the long run, with large session numbers. Airlock Gateway uses a random function to determine the back-end host to serve a specific session, and that random function is weighed by these percentages. For back-end hosts in the "No new sessions" mode, the percentage will automatically be set to "0%". For disabled back-end hosts, the percentage will show a "-". Sessions This column shows the number of active sessions on the back-end host. Click on the field to inspect these sessions in the Submenu – Session Viewer. Section - Access Field name Description Kerberos Environment For information about Kerberos Environment settings for this back-end, see Section – Kerberos Environments.','Tab – Basic','','')
Smc.XSearch.add('../data/1606338148306.html','Tab – SSL SSL settings can be modified here to configure the details of the HTTPS connection for an individual back-end server. Section – SSL Settings Client certificate A selectable list of SSL/TLS certificates for this client. Content of SSL client certificate Shows the content of the certificate. Content of CA chain Shows the certificate chain. SSL protocol The SSL/TLS version which will be used by this back-end can be set here. If the setting is left empty, Airlock Gateway defaults will be used. Cipher suite List the ciphers that the client is permitted to negotiate. If the setting is left empty, the Airlock Gateway default will be used. Restrictions: Cipher-spec strings can be used with all SSL Protocol settings except TLSv1_3. TLSv1.3 cipher names require setting the SSL protocol to TLSv1_3. Force new session Checkbox to enable/disable forced restart of SSL/TLS handshake. We strongly recommend using the default TLS settings of Airlock Gateway in order to mitigate the risk of attacks based on older protocol versions. For example, SSLv3 is not supported by Airlock Gateway 8.0 and higher (configuration activation fails). If you use custom settings, you will also not automatically benefit from optimizations in future Airlock Gateway updates. Weakening SSL/TLS settings will most likely result in low scores for scanners like ssllabs.com or pentester reporting the security issues associated with old ciphers and protocols. A list of known attacks on SSL/TLS can be found here: Attacks on TLS and Airlock Gateway Protection Mechanisms . Section – Server Certificate Validation Settings to control how back-end server certificates are verified. ON/OFF Enables or disables the server certificate validation mechanism. Verify host name Checkbox to disable/enable hostname verification. Hostname verification requires a server identity check in combination with a valid CA chain to mitigate man-in-the-middle attacks. A CA certificate is mandatory when Verify host name is enabled. CAs for server chain validation The certificates of the CA chain to verify the chain of trust. A CA certificate is mandatory when Verify host name is enabled. Content of CA chain Shows the certificate chain. Further information and links Internal links: Supported SSL/TLS versions TLS/SSL Certificate creation Let´s Encrypt as certificate provider Add or configure a new global SSL/TLS server certificate Add or configure a new global SSL/TLS client certificate External links: Official Apache 2.4 mod_ssl documentation official Let´s Encrypt expiration mail documentation','Tab – SSL','','')
Smc.XSearch.add('../data/1583435032740.html','Tab – Health Checks By monitoring responses, Airlock Gateway can detect problems with back-end hosts, and decide to exclude individual servers from receiving further traffic. By allowing some traffic to a "bad" server, Airlock Gateway can also detect once such a server has come back, mark it as good, and start sending regular traffic to it once again. Health checks can either be in-band (using regular, end-user requests) or out-of-band (requests for a pre-defined page). back-end failure or success can be detected by analyzing HTTP status code and the response content. Chapter content Section – In-band Checks Section – Out-of-band Checks','Tab – Health Checks','','')
Smc.XSearch.add('../data/1583435032749.html','Section – In-band Checks In-band health checks are performed with each user request. Failing checks are tracked with a sliding average over the last 20 seconds, calculating the current failure rate. One single request can only impact the failure rate by a maximum of 5%. If more than 10% of the requests within that 20 seconds time window fail, Airlock Gateway marks the corresponding back-end server as "bad". If available, a spare back-end will now be brought on-line and take over traffic from the bad back-end. If no out-of-band health checks are configured, Airlock Gateway will then still send a small number of requests to a bad back-end server. If such a request still fails, it will then be diverted to a good back-end. As soon as one of those probe requests returns successfully, the back-end is set to "good" and will again be served normally. If a spare had been brought on-line previously, it will now be set to receive no further new sessions, but will still receive all traffic for its existing sessions. It is highly recommended to enable out-of-band health checks in order to avoid that any end-user requests are being sent to bad back-end servers. Note: Connection-level errors such as connection timeouts and handshake failures will still mark back-end systems as "bad" even if "In-band Checks" are disabled. HTTP status failure pattern To analyze the return status of the response, you can define a regular expression to match the response status code. Activate/deactivate the pattern by clicking on the gray/green button to the left of the pattern input field. This regular expression is always case insensitive, but can be inverted if required. If the response status code matches with the pattern, the request is counted as a failed request. Examples: ^503$ = interpret response status 503 as failed^5 = interpret response status 5xx as failed^(200|3..)$, inverted = only 200 and 3xx responses are expected, every other status is interpreted as a failure Check response content It is also possible to analyze the response content to detect a back-end failure. For that, select check response content and enter a regular expression to match the response content your application returns when an error occurred. Be aware that enabling response interpretation may slow down your application. The reason is that the response body is cached until enough data is available to decide whether the back-end server has failed or not. Content type(s) to check The response body is parsed only if its content type matches the regular expression in this field. This regular expression is case insensitive. Example: ^text/html$ (analyze only html documents) Content failure pattern If this regular expression matches against the response body, then the request is counted as a failed request. The regular expression can be configured to be either case sensitive or case insensitive. Checked block size (empty=all) This is the number of bytes that must be available before inspecting the response body. This data is cached and may increase latency. Therefore choose a reasonable number of bytes to reduce latency. Leave this field empty to search the whole response. You can use units: k(iloBytes), M(egaBytes) or G(igaBytes). Numbers that can be shortened, i.e 4096, will be shortened and displayed as 4k.','Section – In-band Checks','','')
Smc.XSearch.add('../data/1583435032744.html','Section – Out-of-band Checks Out-of-band checks allow constant monitoring of a specific page independent of any end-user traffic. This page is called in a defined interval and the response is analyzed to decide whether a back-end server is in a good or a bad state. As soon as at least one of the failure patterns matches, the request is treated as a failed request. If out-of-band checks are configured, no probe requests from end-users are being sent to bad servers. you can configure how often the test page should be called for the good and bad states, and how many subsequent failed or successful attempts are necessary to initiate a state change from good to bad or vice versa. Host header A back-end host variable or a static value can be set to add a specific host header to the out-of-band requests. This may be necessary e.g. for back-ends behind a load balancer. Examples: %BACKENDHOST% back-end.example.com 192.0.2.48 If the Host header field is left empty, the original back-end hostname is used as the host header. Check URL path This is the address for the test page, e.g. a login page, or a dedicated test page explicitly implemented to return status information on the back-end application. HTTP status failure pattern To analyze the return status of the response, you can define a regular expression to match the response status code. Activate/deactivate the pattern by clicking on the gray/green button to the left of the pattern input field. This regular expression is always case insensitive, but can be inverted if required. If the response status code matches with the pattern, the request is counted as a failed request. Example: ^503$ = interpret response status 503 as failed^5 = interpret response status 5xx as failed^(200|3..)$, inverted = only 200 and 3xx responses are expected, every other status is interpreted as a failure Content failure pattern If this regular expression matches against the response body, then the request is counted as a failed request. The regular expression can be configured to be either case sensitive or case insensitive. Checking the content can be turned on or off by clicking on the grey/green button to the left of the pattern input field. Check when status is "good" The "Interval" value defines how many seconds pass between individual calls to the check URL in case of a good back-end. The second parameter on this line defines the number of subsequent failed requests after which the back-end will be marked as "bad". Check when status is "bad" The "Interval" value defines how many seconds pass between individual calls to the check URL in case of a bad back-end. The second parameter on this line defines the number of subsequent successful requests after which the back-end will be marked as "good". HTTP request time-out (seconds) Since out-of-band checks only call one specific page, their expected timing behavior can differ considerably from that of general pages within an application. This field allows setting an HTTP request time-out which will only apply to Out-of-band calls to the check URL. All other requests use the time-out defined on their corresponding Timeout.','Section – Out-of-band Checks','','')
Smc.XSearch.add('../data/1583435032742.html','Tab – Expert Settings Section - Security Gate Enable the input field to add your own Security Gate settings for a specific back-end group. A Security Gate resource consists of a resource identifier (key) and a value. If the reserved value _UNDEFINED_ (without quotes!) is used, the resource is removed from the resource table. The Security Gate then operates as if the resource had never been set. Example 1 – Set custom timeout and TLS version In the following example, a custom BackendConnectTimeout and the TLS version that is used for the back-end group are configured. To use a custom connection timeout for this back-end group: BackendConnectTimeout "10" To use TLS v1.2 for this back-end group: BackendSSLVersion "TLSv1.2" Example 2 – Configure additional HTTP headers for dynamic back-end group selection Dynamic back-end group selection uses HTTP headers Host of requests to select the correct back-end group for routing. The HTTP header Host has to be set as Client Host Header Pattern condition on the Basic tab of each Back-end Group for the selection. Path: Back-end Group element >> tab Basic >> section Conditions An additional priority value can be configured (low number = high priority). A single Client Host Header Pattern is sufficient for most use cases. However, additional selection conditions can be required, i.e. for requests that carry the same Host header but should be routed to different back-end groups, additional HTTP headers in the Expert Settings must be configured. Additional HTTP header types for back-end group selection can be added for each back-end group but also globally. Selector.RequestHeader.{N}.Name.Pattern "{NamePattern}" Selector.RequestHeader.{N}.Name.IgnoreCase "TRUE" Selector.RequestHeader.{N}.Name.InvertPattern "FALSE" Selector.RequestHeader.{N}.Value.Pattern "{ValuePattern}" Selector.RequestHeader.{N}.Value.IgnoreCase "TRUE" Selector.RequestHeader.{N}.Value.InvertPattern "FALSE" Client Host Header Pattern and additional Expert Settings header patterns are logically AND-linked. The first back-end group that matches will be used.','Tab – Expert Settings','','')
Smc.XSearch.add('../data/1571978527011.html','Submenu – Policy Learning The policy learning dashboard gives an overview of requests violating the current security policy (of deny and allow rules) in place. For each ​violating request​, the request details are stored in a database. Automatically generated suggestions for preventing similar violations are offered and can be accepted with a single click from the result table. The table itself can be filtered and allows drilling down into specific requests to investigate the root cause of the violation. This enables administrators to quickly integrate new applications by remediating false-positive blocks and learning allow list rules. Only violations caused by Deny Rules and Allow Rules are visible in the policy learning dashboard. The set of covered violations will be continually extended. Parameters and header values may be trimmed before storing them in the block list. Use % as a wildcard in filter criteria. Use ZZ as a pseudo country code wildcard to filter for country-less source IP addresses. The state of a handled block message and the configuration change related to the accepted suggestion are stored in the current administrator session. This means all decisions can be undone by re-logging into the Configuration Center. To learn how to use policy learning, see article Using the policy learning feature. Option Description Timestamp from – Timestamp to To set a time window for the listed blocks. Virtual Host – Path – Mapping Defines the mapping-related path of the request from which blocks are to be listed. Virtual Host – name of the virtual host Path – entry path on the mapping Mapping – mapping connected to the virtual host Request ID Filter for the ID of the request. Session ID Filter ID of the session. Authenticated sessions only Filter to show blocks that occurred during authenticated sessions. ​Blocks in the same session that i.e. occurred before authentication will be filtered out. Source Country Filter for a two-letter ISO country of origin of the request. This filter is not case-sensitive and allows searching for single letters. Source IP Filter for Request IP. Max. Attack Types per IP Filter based on the number of attacks of different types originating from the same IP source. The higher the number of different types of attacks from a particular IP, the higher the probability of an attack from this specific IP. Header Name – Header Value Filter for HTTP header name and value of the request. Attack Type Available attack type filters: Any Automated scanning Cross-site scripting Encoding exploit Expression Language injection Failed sanity checks HTML injection HTTP protocol exploit Insecure direct object reference LDAP injection NoSQL injection OGNL injection OWScommand injection PHP injection SQL injection Spring Cloud RCE Spring Core RCE Template injection custom Parameter Name – Parameter Value Filter for parameter name and value of the request. Block Type Filter to select the applying rule type for results. Can be set to Any, Allow Rule or Deny Rule. Show log only If threat handling on a mapping or filter is set to Log only, requests are not blocked but a notification about the potential block is written to the logs instead. Enable this option to display requests with a log-only block notification. Show handled blocks Blocks already processed by accepting a generated suggestion or by ignoring the block are marked as handled. Enable this option to display handled blocks as well. Note that for handled blocks, no further suggestions are available. Limit results Limits the number of listed results. Note that applying a policy rule, i.e., accepting a Favorite Policy Suggestion, will apply to all blocks to which the policy modification applies. Result table Buttons and tabs Description Clicking on the arrows allows for ascending or descending sorting of table columns. Drop down menu to show/hide table columns. Button to accept a single Favorite Policy Suggestion. Note that accepting a policy suggestion will apply to all blocks in the policy database covered by this policy suggestion. Opens a pop-up that allows direct modification of the Favorite Policy Suggestion. This can be useful if the policy should cover other/additional well-known block cases. Ignore the block entry for the time of the current administration session. After re-login the ignored block will show up again. Clear blocks This button, combined with the drop-down menu, allows bulk filtering/suppression of the results that appear during the ongoing administration session. It can be used, i.e., to reduce distraction by results that are not of interest. After re-logging in, the cleared blocks will show up again. Accept all displayed favorite suggestions This button will bulk-apply all suggested policy changes from the table column Favorite Policy Suggestions currently visible in the result list. Note that even though other policy suggestions than the displayed ones will not be affected, accepting a suggestion will apply to all blocks in the policy database that match the policy. Block details from result table By clicking on a block entry in the result table, the entry details show up on the Request Details ​ tab. The Policy Suggestions tab is only available on deny rule triggered blocks and allows accepting and modification of the policy suggestion. For adapting allow rules, see article Tab – Allow Rules. The details shown can be used as filter values for the result table to look closely at blocks based on specific request details. Further information and links Internal links: Using the policy learning feature Tab – Allow Rules','Submenu – Policy Learning','','')
Smc.XSearch.add('../data/1629119806828.html','Submenu – Anomaly Shield This entry page provides direct access to enable, configure, train and apply Airlock Anomaly Shield protection to applications. Anomaly Shield Applications are configured using resources from the Triggers & Rules and Traffic Matchers tabs. Note that enabling the Airlock Anomaly Shield service requires a valid license. In order to shield an application, Airlock Anomaly Shield machine learning models must be trained based on a sufficient amount of relevant training data. See Part 2 – Training and model enforcement. Tab – Applications ON/OFF radio buttons: The complete Airlock Anomaly Shield service can be enabled/disabled by the ON/OFF radio buttons. By default, the service is disabled. In the Applications table, applications that should be protected by Airlock Anomaly Shield can be managed: Name of the column Description Anomaly Shield Application List of configured applications. Data Collection Indicates the state of data collection. Can be enabled (green) or disabled (gray). Detection and Response Indicates the state of detection and response handling. Can be enabled (green) or disabled (gray). Enforced Model Information about the enforced machine learning model. An enforced model is required to enable Detection and Response . Enforced models can be overwritten by enforcing a prepared model in Section – Prepared Model or by importing prepared models. The icon indicates that the option Retrain and enforce is enabled on the Anomaly Shield model management page. Prepared Model Preparation status and information about the prepared machine learning model. Prepared models can be generated with training data in Section – Training Task. The icon indicates that a new prepared model is ready to be enforced. An additional note is displayed on login to the Configuration Center: Models Clicking the button will open the Anomaly Shield model management page page. (Delete, add new applications) List of configured applications. Entries can be added or deleted using the corresponding button. Clicking on an existing entry or adding a new entry to the list will open the Application detail page. Tab – Triggers & Rules Airlock Anomaly Shield provides a set of default triggers and rules for general security that cannot be changed. Custom triggers and rules can be added if required and can be selected as resources for individual applications. Traffic to Anomaly Shield Applications is analyzed, and depending on the Triggers , the configured Rules are enforced. Rules are processed in top-down order. Sorting can be done by drag and drop, except for default rules. The first matching rule will be applied! To configure custom Triggers and Rules entries, click on an existing entry or add a new entry to open the corresponding detail pages: Trigger and Pattern detail page Rule detail page Tab – Traffic Matcher Traffic Matchers are configured as sets of regex filters and IP Lists that can be applied to incoming traffic. Traffic Matchers are resources for the Anomaly Shield Applications detail page and can be referenced under: Training Data Collection , e.g., to exclude vulnerability scanning sessions from being analyzed and collected as training data by Airlock Anomaly Shield. Anomaly Detection Exclusions to bypass potentially non-threatening sessions (e.g., internal network traffic) around Airlock Anomaly Shield. Response Rule Exceptions to prevent false positives and matching requests bypass the Airlock Anomaly Shield. Other requests of the same session are not affected by the exclusion and are processed by Airlock Anomaly Shield as usual. For configuration, the detail page can be opened by either clicking on an existing entry or by adding a new entry to the list: Traffic Matchers detail page Further information and links Internal links: For an introduction including conceptual information, see: Airlock Anomaly Shield Configuration is described here: Airlock Anomaly Shield configuration For details about anomaly logging, see: Log messages and actions of Airlock Anomaly Shield For Airlock Anomaly Shield cookies, see: Airlock Anomaly Shield cookies Anomaly Shield model management page','Submenu – Anomaly Shield','','')
Smc.XSearch.add('../data/1629119806884.html','Application detail page Airlock Anomaly Shield has to be configured for individual applications. Section – Application Fields/buttons Description Application Name A unique name of the application you want to secure has to be added. Tenant Add one or more tenants to allow tenancy access. Mappings This field is not directly accessible here. In order to enable your application settings for a mapping, you have to select the new application under Section – Anomaly Shield. Section – Training Data Collection The machine learning algorithm requires training data as a reference. Anomaly Shield works with session data but does not require authenticated sessions. Continue collecting session data until at least several thousand sessions have been saved. Fields/buttons Description Client behavior When enabled, a custom JavaScript is injected into the website to track a wide range of metrics regarding the client´s use of input devices, i.e., keyboard, mouse, and touchscreen. The client behavior option aggregates to session metrics that are saved in collection mode in the Cold DB and can be evaluated in Anomaly Detection mode. Airlock Anomaly Shield receives an additional model score from the Client Behavior model, which can be used in the trigger configuration (see Section – Patterns). Traffic Exclusion For best anomaly detection results, non-relevant data should be excluded in the first place. To achieve this, settings for traffic exclusion can be configured here. Note that configured exclusions are AND linked. Traffic Exclusion examples: Header Name – a regex to exclude certain header names. Example syntax: ^X-Header$ Header Value – a regex to exclude certain header values. Example syntax: ^X-Value$ Path – a regex to exclude certain paths. Example syntax: ^/path/to/match HTTP Method –a regex to exclude certain HTTP methods. Example syntax: ^(GET|POST)$ Content Type – a regex to exclude a certain type of content. Example syntax: ^application/.* IP Exclusions – to select an address: Use the + button to select one or more IP addresses that should be excluded. IP addresses are managed here: Submenu – IP Address Lists Recommendations for training data collection and model improvement: For continuous Anomaly Shield model improvement, we strongly recommend enabling Data Collection on the Tab – Applications permanently and setting automatic retraining to Retrain and enforce mode. In full manual mode (not recommended), collect session data for a period of 5 weeks / 35 days minimum. It is important to train the machine learning model with the full range of different sessions and traffic behaviors that may occur in a typical calendar month. See also tutorial article Part 2 – Training and model enforcement. Section – Anomaly Detection The machine-learning algorithm has to be configured for thread detection and subsequent response handling. Settings for response rule exceptions can be configured here as AND operations. Fields/buttons Description Client behavior When enabled, a custom JavaScript is injected into the website to track a wide range of metrics regarding the client´s use of input devices, i.e., keyboard, mouse, and touchscreen. Log session anomaly details Possible values for logging can be: Never – To never write the ML information for the ML application. When session anomaly pattern changes – To only write the ML information on a change in the resulting pattern. When raw session anomaly values change – To only write the ML information on a change in the raw values. For every request – To always write the ML information for the ML application. Traffic Exclusion Traffic Exclusion examples: Can be used to exclude certain traffic from being processed by Airlock Anomaly Shield. This is to prevent false positives. Note that configured exclusions are AND linked. Header Name – a regex to exclude certain header names. Example syntax: ^X-Header$ Header Value – a regex to exclude certain header values. Example syntax: ^X-Value$ Path – a regex to exclude certain paths. Example syntax: ^/path/to/match HTTP Method –a regex to exclude certain HTTP methods. Example syntax: ^(GET|POST)$ Content Type – a regex to exclude a certain type of content. Example syntax: ^application/.* IP Lists – to select an address: Use the + button to select one or more IP addresses that should be excluded. IP addresses are managed here: Submenu – IP Address Lists Section – Anomaly Response Fields/buttons Description Threat Handling Can be set to either Execute actions or Log only . Response Rules To add a rule: Use the + button to select one or more response rules. Response rules are managed here: Trigger and Pattern detail page Traffic Exclusion Can be used to exclude certain traffic from being processed by Airlock Anomaly Shield. This is to prevent false positives. Note that configured exclusions are AND linked. Traffic Exclusion examples: Header Name – a regex to exclude certain header names. Example syntax: ^X-Header$ Header Value – a regex to exclude certain header values. Example syntax: ^X-Value$ Path – a regex to exclude certain paths. Example syntax: ^/path/to/match HTTP Method –a regex to exclude certain HTTP methods. Example syntax: ^(GET|POST)$ Content Type – a regex to exclude a certain type of content. Example syntax: ^application/.* IP Lists – to select an address: Use the + button to select one or more IP addresses that should be excluded. IP addresses are managed here: Submenu – IP Address Lists Further information and links Internal links: For an introduction including conceptual information, see: Airlock Anomaly Shield Configuration is described here: Airlock Anomaly Shield configuration For details about anomaly logging, see: Log messages and actions of Airlock Anomaly Shield','Application detail page','','')
Smc.XSearch.add('../data/1656675503076.html','Anomaly Shield model management page This configuration page is accessible by clicking on the gears button in the Models column of the Anomaly Shield Application page. Section – Enforced Model Fields/buttons Description Status When OK is displayed, the training was successful. The quality of the trained data is not linked to this status. This status can be activated. Status Incomplete is displayed if not all machine learning models have been trained successfully. This may happen when insufficient or overly homogeneous training data have been used in training. This status can be activated but may not perform optimally. Status Empty is displayed if none of the models can be trained. This status cannot be activated. Training date Date and time of the Enforce model execution. Sessions used in training The number of sessions in the chosen period. First session Date and time of the oldest session that is used in this training. Last session Date and time of the newest session that is used in this training. Buttons Import Button to up upload a model zip file. Export Creates a zip file of the current model for download. Delete Deletes the model from the current Airlock Gateway configuration. Note that the model is deleted at the time the configuration is activated. Section – Prepared Model Fields/buttons Description Status When OK is displayed, the training was successful. The quality of the trained data is not linked to this status. This status can be activated. Status Incomplete is displayed, if not all 6 machine learning models have been trained successfully. This may happen when too less training data have been trained or in case the training data have been too homogeneous, e.g. generate the same status codes in all analyzed sessions. This status can be activated, but may not perform optimally. Status Empty is displayed, if an insufficient number of sessions has been trained. This status cannot be activated. Training date Date and time of the Train execution. Sessions used in training The number of sessions in the chosen period. First session Date and time of the oldest session that is used in this training. Last session Date and time of the newest session that is used in this training. Buttons Enforce Model The prepared model will be enforced once the configuration is activated. Export Creates a zip file of the current model for download. Delete Deletes the model from the current Airlock Gateway configuration. Note that the model is deleted at the time the configuration is activated. Section – Training Task Fields/buttons Description Training strategy Three modes are available for the training strategy. Configuration options: Best sessions – the most suitable sessions from the selected data period are picked automatically for optimal model training. The number of sessions used as training data automatically scales with the number of sessions per week. Best period – the most suitable consecutive period of sessions within the selected data period is picked automatically for optimized model training. All data – all available session data are used for model training. Choose this option if less than the recommended 5 weeks of continuous session data are available. The All data mode also functions as an automatic fallback mode if less than 5 weeks of continuous session data is available. Automatic retraining The automatic retraining feature analyses collected session data and is automatically scheduled with a quarterly training date (Next training ). Note that automatic retraining requires at least 5 weeks of continuous session data, otherwise the scheduled retraining does not start. This way, Airlock Anomaly Shield ensures that the training of the anomaly models is based on a sufficient number of non-anomalous sessions. Configuration options: Off – training has to be started and enforced manually. Retrain only – retraining is started based on the scheduled Next training date, but the model enforcement has to be started manually. Retrain and enforce – recommended setting for continuous improvement of Anomaly Shield models based on automatic retraining and enforcement. Selected sessions The number of sessions that are included in this training task. Training data from Date and time of the oldest session that is used in this training. Training data to Date and time of the newest session that is used in this training. Button Train Button to start the configured training. The button only becomes active when a minimum amount of training data is available. The button will be locked in status Training in Progress in case/while training is ongoing. Section – ColdDB Cluster Sync Fields/buttons Description Button Merge remote data Button to merge ColdDB data from the remote cluster node into the local ColdDB. This button is only activated in a cluster setup. The merged ColdDB is only available on the local node and will not be distributed to the remote node. Further information and links Internal links: Airlock Anomaly Shield configuration Airlock Gateway failover setup for on-premises installations','Anomaly Shield model management page','','')
Smc.XSearch.add('../data/1629119806824.html','Trigger and Pattern detail page Airlock Anomaly Shield is preconfigured with a set of (default) trigger patterns and rules that are known to work well for most security requirements. Custom triggers and rules may be configured to analyze traffic proactively. For an example configuration of an additional custom trigger and rule, see article Part 2 – Training and model enforcement. Section – Trigger Name – assign a unique name for the entry. Tenant – add tenants to allow tenancy access. See also Multitenancy feature. Section – Patterns The following screenshot shows a random example of a pattern configuration: Use the + button to add one or more patterns. The different anomaly indicators form a pattern. Each indicator can be selected to be: Grey dot – neutral, will match any behavior of this indicator. Red dot – matches if this indicator shows anomalous behavior. Green dot – matches if this indicator shows normal behavior. A best practice configuration example is described in the article trigger, pattern and rule configuration of our Airlock Anomaly Shield configuration guide. Airlock Anomaly Shield currently implements the following indicators: Name of the indicator bit Short description GraphMetricsCluster This indicator is based on various metrics on the request path sequence, e.g., how often the same path is repeated or the following path is a child, etc. It evaluates the client´s surfing behavior. IsolationForest This indicator can detect suspicious requests. A generic anomaly detection algorithm is applied to session metrics from various categories. StatusCodeMeta This indicator detects high rates and unusual distribution of (unwanted) responses using a majority vote on three different status code indicators. Timing Cluster This indicator detects unusual time sequences of page views. The clustering is based on the distribution of the request timing deltas. Query Parameters The query parameter model (QPM) indicator can detect parameter probing, tampering and polluting. It monitors: HTTP status codes. Frequency of parameter use. Rarely used parameter names and values. Client Behavior This indicator tracks the client´s keyboard, mouse, and touchscreen usage through a custom JavaScript injected on the target website. It is optimized to detect bots. Further information and links Internal links: Airlock Anomaly Shield configuration guide for best practice configuration.','Trigger and Pattern detail page','','')
Smc.XSearch.add('../data/1652877890043.html','Rule detail page Rules are used to apply an action in case an Anomaly Shield Trigger has been triggered by potentially threatening incoming traffic to an Anomaly Shield Application. A Rule is a resource for Anomaly Shield Applications and can be referenced under Section – Anomaly Detection in the Response Rules table. The basic rule parameters are: Field name/setting name Description Name Assign a unique name for the rule. Tenant Add tenants to allow tenancy access. See also Multitenancy feature Triggers Select one or more triggers to be applied by this rule. Actions on IP Aggregates The options in this section allow configuring actions for virtual sessions based on IP aggregates. Airlock Anomaly Shield detects and aggregates sessions from the same client IP address into one virtual session if any option is enabled. This allows for identifying suspicious IP addresses (e.g., from a bot node or automated tools) and detecting fragmented attacks that may span multiple regular sessions. Suspicious IPs can then be temporarily blocked. Field name/setting name Description Tag as anomalous Enable/disable anomalous tagging in logged incidents using WR-SG-NMLY-401 and WR-SG-SUMMARY . Unlike the session-based anomalous tags, IP Aggregate anomalous tags cannot be used by Airlock IAM for risk-based authentication because they lack a (stable) session ID required for authentication flows. Block IP Enable/disable IP blocking. The default blocking time is set to 60 seconds but may be changed in the Expert Settings if required. Note that IP aggregates will not prevent an attacker from continuing attacks blocked by session actions, if the Block IP action is not enabled for IP aggregates. Actions on Sessions The options in this section allow configuring how to handle regular sessions when one or more trigger patterns have been triggered. Field name/setting name Description Tag session as anomalous Enable/disable anomalous tagging in logged incidents using WR-SG-NMLY-401 and WR-SG-SUMMARY . Airlock IAM can further process anomaly tags by using a risk extractor plugin for risk-based authentication . Block IP Enable/disable IP blocking. The default blocking time is set to 60 seconds but may be changed in the Expert Settings if required. Terminate session Enable/disable session termination. Remove roles with Role pattern Regex filtering to withdraw roles in case the anomaly rule has been triggered. Removing the role-based access can trigger a re-authentication, e.g., requesting a 2FA token. Note that role removal is executed only once per session. Further information and links Internal links: For trigger configuration, see Trigger and Pattern detail page. Tab – Triggers & Rules as the entry point to this detail page. External links: (IAM documentation) Risk-based authentication','Rule detail page','','')
Smc.XSearch.add('../data/1652878093364.html','Traffic Matchers detail page Traffic Matchers are configured as sets of regex filters and IP Lists that can be applied to incoming traffic. Traffic Matchers are resources for the Anomaly Shield Applications detail page and can be referenced under: Training Data Collection , e.g., to exclude vulnerability scanning sessions from being analyzed and collected as training data by Airlock Anomaly Shield. Anomaly Detection Exclusions to bypass potentially non-threatening sessions (e.g., internal network traffic) around Airlock Anomaly Shield. Response Rule Exceptions to prevent false positives and matching requests bypass the Airlock Anomaly Shield. Other requests of the same session are not affected by the exclusion and are processed by Airlock Anomaly Shield as usual. Section – Traffic Matcher Name – assign a unique name for the entry. Tenant – add tenants to allow tenancy access. See also Multitenancy feature. Section – Matching Conditions Incoming traffic must meet all conditions to match the Traffic Matcher , empty conditions are ignored. If an IP list is configured in the matcher, at least one IP list entry must match along with all other configured conditions in order to generate a traffic match. Available conditions: Header Name – a regex to match certain header names. Example syntax: ^X-Header$ Header Value – a regex to match certain header values. Example syntax: ^X-Value$ Path – a regex to match certain paths. Example syntax: ^/path/to/match HTTP Method –a regex to match certain HTTP methods. Example syntax: ^(GET|POST)$ Content Type – a regex to match a certain type of content. Example syntax: ^application/.* IP Lists – Use the + button to select one or more IP addresses that should be matched. IP Lists are managed here: Submenu – IP Address Lists Further information and links Tab – Traffic Matcher as the entry point to this detail page. Traffic Matchers are referenced on the Application detail page.','Traffic Matchers detail page','','')
Smc.XSearch.add('../data/1571978527012.html','Submenu – Geolocation Filter The geolocation filter allows blocking traffic based on origin countries. Requests are blocked early at the network firewall in order to save system resources in case of a DoS (Denial of Service) attack. Hence, blocks caused by the geolocation filter are not visible in any log file. For redirecting requests based on geolocation information, please use the corresponding request action. Section - Blocked Traffic Geolocation filter rules have the following configuration attributes: Active Rules may be set active or inactive. This allows for preparing and quickly enabling rules in case of an emergency. As an example, if most users access applications from a specific geographic region it may be useful to prepare a geolocation rule that blocks access from any other region. In case of a DoS attack, the rule may be enforced quickly to block all requests from outside the main user base and protect Airlock Gateway resources. Origin Country For each rule, a list of origin countries can be specified. The country codes correspond to the Alpha-2 codes in the ISO 3166-1 standard. If more than one country code is specified, the rule applies if any of the countries is matched (OR combination). The country condition can be inverted. For example, to block all traffic from outside the DACH region, specify countries "DE, CH, AT, LI" and invert the condition. Target Virtual Host Geolocation rules may be restricted to traffic targeting certain virtual hosts. This allows differentiating between applications with diverse user bases. Options are to select an individual virtual host or "any", in case the rule applies to all incoming traffic. Geolocation rules are based on IP addresses. That is, if a target virtual host is selected, the rule applies to all virtual hosts sharing the same IP addresses as well. Further information and links For geolocation cookies, see: Geolocation cookies','Submenu – Geolocation Filter','','')
Smc.XSearch.add('../data/1571978527001.html','Submenu – Certificates The submenu Certificates is arranged in tabs. Each tab is dedicated to a specific type of globally stored certificate: Tab Server Certificates – lists of server certificates for virtual hosts. Certification authority (CA) chain, private keys, and root CA are also stored here. Tab ACME Services – list of ACME services for automatic certificate management. Tab Client Certificates – lists client certificates for back-ends. Certification authority (CA) chain, private keys, and root CA are also stored here. RSA and ECC certificates are supported. For Subject Alternative Name (SAN) certificates the domains covered by the SAN certificate are listed in the column Alternative Names . The domain names are also displayed wherever global certificates can be selected from a drop-down list. Test certificates are generated during the initial installation and set-up of your Airlock Gateway . Add the final certificates for production use. While the own Airlock Gateway and the back-ends can be configured with self-signed certificates, the certificates which are used for virtual hosts should be issued by well-trusted certificate authorities (CAs). Globally stored certificates Certificates, including their Certification Authority (CA) chain, root CA and private keys, are globally stored in the Gateway . They appear in the certificate selection drop-down list of the SSL tabs. Use the Add new... list-entry to create or store a new global certificate. This entry links to the Submenu – Certificates page. Certificate drop-down lists can be found here: For virtual hosts: Tab – SSL For back-ends: Tab – SSL For Gateway management access: Section – Management Access Chapter content Tab – Server Certificates (virtual hosts) Tab – ACME Services (virtual hosts) Tab – Client Certificates (back-end) Further information and links Internal links: TLS/SSL Certificate creation Let´s Encrypt as certificate provider Add or configure a new global SSL/TLS server certificate Add or configure a new global SSL/TLS client certificate','Submenu – Certificates','','')
Smc.XSearch.add('../data/1606338145407.html','Tab – Server Certificates Tab – Server Certificates (virtual hosts) The certificates in this list are globally available. Name Unique certificate name i.e. the virtual host´s name or its domain. Alternative Names Additional domains covered by Subject Alternative Name (SAN) certificates are listed in this column. Serial Number The serial number of the certificate. Validity Date until the certificate is valid. Comment Short description for unambiguous assignment of the certificate. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Tab – Server Certificates (virtual hosts)','','autocomplete_use:true')
Smc.XSearch.add('../data/1606338148064.html','Add or configure a new global SSL/TLS server certificate Section Certificate Paste the certificate in the textbox Server Certificate . Example: -----BEGIN CERTIFICATE-----MIIDPjCCAqegAwIBAgIBATANBgkqhkiG9w0BAQQFADCCAQcxHzAdBgNVBAoTaW9uIEFHIC0gSGVhZHF1YXJ0ZXIxHzAdBgNVBAMTFnBoaW9uIEFHIC0gSGVh...I3ejmeNxHhmlEsd2ORKLyh3ofIaXpEkbf+gsQeE6UaFE83a7VKXrbsS+1zzlTdd0ikPqLaOQ9CmjykNigfdgAAgAirlockE65g45rf34ERRRReed545fe5==-----END CERTIFICATE----- When a Subject Alternative Name (SAN) certificate has been pasted, the domains covered by the SAN are displayed in the Alternative Names line. Optional: Place custom EC parameters below the text block of your certificate. Example: -----BEGIN EC PARAMETERS-----BgUrgQQAIw==-----END EC PARAMETERS----- In the CA chain text box: For intermediate CA server certificates, paste the complete chain of intermediate CA certificates including the root CA into the textbox. All certificates must be Base64-encoded. In the Private key text box: In case you use an unencrypted Private key: Paste the key into the textbox. Example: -----BEGIN RSA PRIVATE KEY-----MIIEpAIBAAKCAQEAutxnTm+4qp0pO/aqo5u8CMUQFuz2Ee2OdN3GV5dKyHopefiTn9dsSO/XfXQtdBE9cz2qekspTHM/7rdwyhDcMNZoB0Mxm7MnAXA3tWg7...wMwB7LL/cy3BgPz338yOAI4Sg9HpJnAAUBx9AlicqtWxu+vlMVQhWXjAzTia45zeBiPnEbittcDF7QfMCCvVnBWxAirlocktgp4tK2wNL1iF1wFMcw4Snw==-----END RSA PRIVATE KEY---- In case you use an encrypted Private key: Paste the key into the textbox. Example: -----BEGIN RSA PRIVATE KEY-----Proc-Type: 4,ENCRYPTEDDEK-Info: DES-EDE3-CBC,684AF7A6B96C1CF7GvERCGotGQCLjG97zIF159AF0OSKj3khkql7DnYfO5Bg95afskQDK0jBKDFd...blTAST582u2LVZmP/lETW/l80h3NJvw7alPPiHD/JmRhZGPfXgsD1d4mn9T8ka7nzc5HzqLuAfWs4IN9ofU/LhxXIAIRLOCK0Ii4pnE6+EI8CLi9GyivCw==-----END RSA PRIVATE KEY----- Add the passphrase for the private key into the field Passphrase . Section Chain verification With this tool, the certificate chain can be validated. Paste the Root CA certificate into the textbox. The certificate content shows up in the textbox Root CA content . Click Verify certificate chain to perform a validation of CA chain down to Root CA. On success, the certificate chain is verifiable. A_01 Action module (standard) A_01 Action module (standard)','Add or configure a new global SSL/TLS server certificate','','autocomplete_use:true')
Smc.XSearch.add('../data/1720717695877.html','Tab – ACME Services Tab – ACME Services (virtual hosts) ACME services can be added and configured on this tab to the pre-configured Let´s Encrypt services. To add a new service, click on the + button. The pre-configured services are read-only.','Tab – ACME Services  (virtual hosts)','','')
Smc.XSearch.add('../data/1720717695986.html','Add or configure a new ACME Service Additional ACME services besides the pre-configured Let´s Encrypt services can be added on this detail page if required. The configured services can be used for automatic certificate management for virtual hosts as described in the article Tab – SSL. Setting Description Name Name of the new service. URL ACME service endpoint URL inclusive protocol. Renew Window Minimum remaining validity period of the certificate in percent. The certificate is renewed when the threshold value is reached. [Comment] Comments can be added using the button. For each ACME service used by a virtual host, a firewall rule is set to allow the network endpoint. The host and port information is automatically extracted from the URL field. It is not necessary to add the ACME service to the list of allowed network endpoints. By using an ACME service, you automatically agree to the terms and conditions of use for the service. For Let´s Encrypt subscriber agreement, see Let´s Encrypt policy and legal documentation . Section – External Account Binding Some ACME certificate authorities have existing account management systems that are separate from ACME accounts. To create a new ACME account with these providers you must register with some extra information to link the new ACME account with the external account. This setup is known as External Account Binding (EAB). Further information can be found in the official Apache 2.4 documentation of External Account Binding (EAB) . When enabled, you can add a Key ID string value and an HMAC key value as credentials. Section – Expert Settings Apache The default configuration of Apache is suitable for most general purposes and usually, no further customization is required. However, adding related ​mod_md tweaks in the code box makes custom configuration possible. For more information and examples, see official Apache 2.4 mod_md documentation . Further information and links Internal links: Tab – SSL Modification of default Apache SSL/TLS settings Section – Allowed Network Endpoints External links: Official Apache 2.4 mod_md documentation Official Let´s Encrpyt policy and legal repository','Add or configure a new ACME Service','','')
Smc.XSearch.add('../data/1606338145433.html','Tab – Client Certificates Tab – Client Certificates (back-end) The certificates in this list are globally available. Name Unique certificate name i.e. the virtual host´s name or its domain. Alternative Names Additional domains covered by Subject Alternative Name (SAN) certificates are listed in this column. Serial Number The serial number of the certificate. Validity Date until the certificate is valid. Comment Short description for unambiguous assignment of the certificate. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Tab – Client Certificates (back-end)','','autocomplete_use:true')
Smc.XSearch.add('../data/1606338148411.html','Add or configure a new global SSL/TLS client certificate Section Name Paste the certificate in the textbox Client Certificate . Example: -----BEGIN CERTIFICATE-----MIIDPjCCAqegAwIBAgIBATANBgkqhkiG9w0BAQQFADCCAQcxHzAdBgNVBAoTaW9uIEFHIC0gSGVhZHF1YXJ0ZXIxHzAdBgNVBAMTFnBoaW9uIEFHIC0gSGVh...I3ejmeNxHhmlEsd2ORKLyh3ofIaXpEkbf+gsQeE6UaFE83a7VKXrbsS+1zzlTdd0ikPqLaOQ9CmjykNigfdgAAgAirlockE65g45rf34ERRRReed545fe5==-----END CERTIFICATE----- When a Subject Alternative Name (SAN) certificate has been pasted, the domains covered by the SAN are displayed in the Alternative Names line. Optional: Place custom EC parameters below the text block of your certificate. Example: -----BEGIN EC PARAMETERS-----BgUrgQQAIw==-----END EC PARAMETERS----- In the CA chain text box: For intermediate CA certificates, paste the complete chain of intermediate CA certificates including the root CA into the textbox. All certificates must be Base64-encoded. In the Private key text box: In case you use an unencrypted Private key: Paste the key into the textbox. Example: -----BEGIN RSA PRIVATE KEY-----MIIEpAIBAAKCAQEAutxnTm+4qp0pO/aqo5u8CMUQFuz2Ee2OdN3GV5dKyHopefiTn9dsSO/XfXQtdBE9cz2qekspTHM/7rdwyhDcMNZoB0Mxm7MnAXA3tWg7...wMwB7LL/cy3BgPz338yOAI4Sg9HpJnAAUBx9AlicqtWxu+vlMVQhWXjAzTia45zeBiPnEbittcDF7QfMCCvVnBWxAirlocktgp4tK2wNL1iF1wFMcw4Snw==-----END RSA PRIVATE KEY---- In case you use an encrypted Private key: Paste the key into the textbox. Example: -----BEGIN RSA PRIVATE KEY-----Proc-Type: 4,ENCRYPTEDDEK-Info: DES-EDE3-CBC,684AF7A6B96C1CF7GvERCGotGQCLjG97zIF159AF0OSKj3khkql7DnYfO5Bg95afskQDK0jBKDFd...blTAST582u2LVZmP/lETW/l80h3NJvw7alPPiHD/JmRhZGPfXgsD1d4mn9T8ka7nzc5HzqLuAfWs4IN9ofU/LhxXIAIRLOCK0Ii4pnE6+EI8CLi9GyivCw==-----END RSA PRIVATE KEY----- Add the passphrase for the private key into the field Passphrase . Section Chain verification With this tool, the back-end certificate chain can be validated. Paste the Root CA certificate into the textbox. The certificate content shows up in the textbox Root CA content . Click Verify certificate chain to perform a validation of CA chain down to Root CA. On success, the certificate chain is verifiable. A_01 Action module (standard) A_01 Action module (standard)','Add or configure a new global SSL/TLS client certificate','','autocomplete_use:true')
Smc.XSearch.add('../data/1626375361568.html','Submenu – JWKS Providers JWK is a JSON representation of cryptographic keys widely used in the context of JWT. A set of such keys is known as JWKS, a JSON Web Key Set. JWKS is also the format used by the gateway to configure verification of access tokens. When a JSON Web Key Set provider is configured to be used in a mapping, the keys in the set will be consulted when trying to verify a JWS or when decrypting a JWE. The gateway uses a 2-stage filtering process to reduce the number of processed keys: Stage 1 – JWKS are filtered by their Issuer information. Stage 2 – The individual keys of the selected JWKS are finally filtered according to their key properties. Local JWKS Local (static) JWKS can be managed in the Local tab: Name When adding a new JWKS you should choose and add a unique provider name here. This provider name will appear in a drop-down list when choosing a JWKS provider for a mapping. Content This field holds the JWKS with its individual keys. Simply copy the JWKS content into the text box. Issuer This information is used for the first stage of the JWKS filter process. The issuer information is optional. JWKS without issuer information is less restricted and do potentially matches more often. This can result in a higher number of processed keys. A fully configured local JWKS may look like the following: Remote JWKS When adding a new Remote JWKS Provider configuring settings on the Basic and additional SSL settings are necessary. For security reasons any remote source normally requires a secured connection using hostname verification and a valid SSL certificate/CA chain that can be configured in the SSL tab. Refresh interval (in seconds) Here you can choose the polling interval for re-fetching remotely stored JWKS from the Service URL addresses. The JWKS is cached on the gateway. The provider service is invoked whenever the gateway configuration is being loaded or reloaded or when the refresh interval is reached. If the provider service invocation fails, the last JWKS fetched will be used until the service can be invoked successfully again. Name When adding a new JWKS you should choose and add a unique provider name here. This provider name will appear in a drop-down list when choosing a JWKS for a mapping. Service URL This field holds the URL from where the JWKS can be fetched. It is the source URL of the key set. Issuer This information is used for the first stage of the JWKS filter process. The issuer information is optional. JWKS without issuer information are less restricted and do potentially match more often. This can result in a higher number of processed keys. Tab – Basic When adding a new Remote JWKS Provider configuring settings on the Basic and additional SSL settings are necessary. Name When adding a new JWKS you should choose and add a unique provider name here. This provider name will appear in a drop-down list when choosing a JWKS for a mapping. Service URL This field holds the URL from where the JWKS can be fetched. It is the source URL of the key set. Issuer This information is used for the first stage of the JWKS filter process. The issuer information is optional. Tab – SSL For security reasons any remote source normally requires a secured connection using hostname verification and a valid SSL certificate/CA chain that can be configured in the SSL tab. Section SSL Settings Client certificate A selectable list of SSL/TLS certificates for this client. Content of SSL client certificate Shows the content of the certificate. Content of CA chain Shows the chain of trust of the certificate chain. SSL protocol The SSL/TLS version which will be used by this back-end can be set here. If the setting is left empty, Airlock Gateway defaults will be used. Cipher suite List the ciphers that the client is permitted to negotiate. If the setting is left empty, the Airlock Gateway default will be used. Restrictions: Cipher-spec strings can be used with all SSL Protocol settings except TLSv1_3. TLSv1.3 cipher names require setting the SSL protocol to TLSv1_3. Force new session Checkbox to enable/disable forced restart of SSL/TLS handshake. Section Server Certificate Validation ON/OFF Enables or disables the server certificate validation mechanism. Verify hostname Checkbox to disable/enable hostname verification. Default is enabled. Hostname verification requires a server identity check in combination with a valid CA chain to mitigate man-in-the-middle attacks. Without a CA, the configuration validation will fail. See also CAs for server chain validation . CAs for server chain validation Certificate chain verification to make sure a given certificate chain is valid, properly signed, and trustworthy. A CA has to be added when Verify hostname is enabled, otherwise, the configuration validation will fail. Content of CAs for server chain validation Shows the chain of trust of the certificate chain. Further information and links Local and remote JWKS Providers configuration JWKS providers for a mapping can be selected here: Section – Access Tokens The filtering/selection of JWKS and individual keys is described here: JWKS and JWK selection by filtering Back-end groups SSL settings','Submenu – JWKS Providers','','')
Smc.XSearch.add('../data/1571978527002.html','Submenu – Session Airlock Gateway maintains a session with each client. The idle timeout and the absolute lifetime of this session can be configured. The idle timeout can also be changed dynamically using the back-end Control API description of the Gateway .','Submenu – Session','','')
Smc.XSearch.add('../data/1583435032074.html','Section – Redis Session Store Redis mode Specifies where the session store is located. Local: Use the local Redis instance as session store Remote server: Store all sessions in a single remote Redis instance, multiple servers can be configured, but only the first server will be considered. Remote cluster: Use a Redis cluster as remote session store, multiple servers can be configured. Although one entry is sufficient to connect to a Redis cluster, it is recommended to configure at least two nodes for redundancy. So Airlock Gateway is still capable of connecting to the cluster, even if one node is not available. These entries are only used to receive the cluster configuration and learn about all the cluster nodes, with which Airlock Gateway will later communicate directly. Since the session store is an essential component for Airlock Gateway , it is very important that any remote Redis service is very responsive and highly available. Any disruption of the Redis service will greatly impair the performance and functionality of Airlock Gateway . Session store auto-sizing If enabled, Airlock Gateway will calculate the optimal session store size. Automatic sizing is only available in Local mode and is highly recommended. Otherwise consider reserving ~100KB per session that the session store should ever handle simultaneously. Session store size Maximum amount of megabytes Airlock Gateway is allowed to use for the session store. This amount has to be available on the Redis master node respectively in the sum of all cluster master nodes. If the above limit is reached, no new sessions may be created. But if there is not enough space available on the Redis service, the whole functionality of Airlock Gateway will be impaired. Therefore it is recommended to set the limit a few percent below the actual space available on the Redis service.','Section – Redis Session Store','','')
Smc.XSearch.add('../data/1583435032072.html','Section – Session Tracking Airlock Gateway offers three different ways of session tracking. Select the tracking method depending on your client-side requirements: Session tracking with session cookie, which is suitable for most browser-based applications. See also the informative article Cookie handling and cookie types. Session tracking based on SSL session ID. For more information see below. In addition to the GUI-based configuration, the REST API allows to dynamically select cookie-based or SSL ID-based tracking mode. Session tracking via header session token. This is the recommended method for client applications without cookie stores, etc., and can be enabled in the Expert Settings. Track session based on SSL session ID Airlock Gateway supports SSL session ID based session tracking. If enabled, the HTTPS (SSL) sessions will not use a session cookie but rather the SSL session ID as the session identifier. For more information please read this Techzone Article . Note that HTTP sessions (no SSL) always use a session cookie independent of this setting. Session timeout (seconds) Specifies the amount of idle time (time without being accessed) in seconds, after which an Airlock Gateway session is removed. This timeout can be set in seconds and should be smaller than all other session timeouts of your back-end applications. The default resolution setting of the idle session timeout check is 5 seconds – this means the actual forced idle time can deviate by up to 5 seconds. This is a performance tradeoff that does not affect your Airlock Gateway usage. Session lifetime (seconds) Specifies the absolute lifetime of an Airlock Gateway session in seconds. After this time a session will be removed from the Gateway . Make sure the lifetime is long enough even for extended user sessions or risk losing their work. Special considerations are recommended for sessions with a SAML IdP or OpenID Connect OP. Hint We recommend specifying a small initial idle timeout in the static configuration and then dynamically setting the idle timeout of user credentials after a successful authentication. This can be done by using the back-end Control API of Airlock Gateway or by deploying Airlock IAM. Further information and links Internal links: Selecting session tracking mode via API session cookie Cookie handling and cookie types Using header tokens for session tracking','Section – Session Tracking','','')
Smc.XSearch.add('../data/1583435032076.html','Section – Cookies and Tokens Section – Cookies and (CSRF) Tokens Session cookie name Specifies the cookie name for Airlock Gateway ´s session cookie. This cookie is used for the session identification. Load balancing cookie name Specifies the name of the load-balancing cookie. This cookie is used to keep track of non-critical load balancing status information. CSRF token name Specifies the name of the CSRF token of Airlock Gateway . Further information and links Cookie security attributes','Section – Cookies and (CSRF) Tokens','','')
Smc.XSearch.add('../data/1583435032080.html','Section – Application Cookies How the cookie store works In session-based communication, cookies that are sent from back-end hosts will by default be extracted from the HTTP responses and stored in the secure cookie store of Airlock Gateway . They will never show up at the client-side of the Gateway and Airlock Gateway will re-insert the cookies into the HTTP requests on behalf of the web client. This way, cookies can safely be used to share data between back-end applications, e.g. for SSO scenarios. There is a limit on how many cookies there can be stored. The limit is at 32kb per session, which hopefully is enough to accommodate most needs. Otherwise, the size can be changed on the expert settings page for the security gate (see default settings file). In session-less communication, obviously the secure cookie store cannot be used. Instead, cookies will be encrypted such that cookie manipulation is impossible even though the cookies are transferred to the web client. If there are cookies that should not be retained nor encrypted by Airlock Gateway , you can specify prefixes as explained below. Interpret cookie domain in cookie store This checkbox defines whether Airlock Gateway interprets the domain and the path attribute of cookies that are stored in the cookie store. If enabled, Airlock Gateway will send the cookies in the cookie store to back-end hosts as follows: If there is no domain attribute, the cookie will only be sent to the origin server that set the cookie. If the domain attribute was specified, the cookie will be sent to the back-end server who´s domain matches the cookie domain. If the domain and the path attribute were specified, the cookie will be sent to the back-end server who´s domain and path matches the corresponding cookie values. If only the path attribute was specified, the cookie will only be sent to its origin server when the cookie path is a prefix of the requests path. So far the behavior is similar to a web browser. But additionally, Airlock Gateway provides two useful enhancements: If the cookie domain is set to ".*", the cookie will be sent to all back-end servers. This is very useful to have certain cookies such as authentication assertion cookies sent to all back-end servers while other cookies still profit from domain interpretation. A cookie domain set to "@<fully-qualified-host>" with a given fully qualified host name following the "@" will be interpreted as if it were issued by the specified host. This can be used to issue session cookies on behalf of other back-end hosts, e.g. to perform a form based on-behalf login. Please note that you must use fully qualified hostnames for the back end hosts in the mapping configuration if you want to take full advantage of cookie domain interpretation. If the checkbox is disabled, Airlock Gateway will always append all cookies that are in the cookie store to any HTTP request. Also note that Airlock Gateway will not store two cookies with the same name in the cookie store. The last cookie set for a name will win. Passphrase for passphrase-based encryption (PBE passphrase) Specifies the passphrase for the pass-phrase-based encryption mechanism. A binary key is derived from the entered passphrase using cryptographically secure message digest functions. All pass- phrase-based encrypted cookies can be decrypted and verified as long as the same passphrase is used. This makes them independent of any application session. The same passphrase is also used for URL encryption in mappings where option ´PBE´ is selected. Further information and links Cookie security attributes','Section – Application Cookies','','')
Smc.XSearch.add('../data/1583435032082.html','Section – Session Denial-of-Service Mitigation Restrict number of sessions per IP address Enable or disable the Session Denial-of-Service Mitigation filter. Default: enabled, set to 1500 Session limit per source IP address A configuration value "1500" means that a maximum of 1500 concurrent sessions (total of authenticated and unauthenticated sessions) can be allocated by the same source IP address. Adjust this value as adequate for your system. It is recommended to keep the value as low as possible. Source IP address allowlist pattern (deprecated) Reference to an IP pattern that acts as an allow list. All source IPs matching this pattern will be excluded from the session limit per IP restriction. This is typically used if you have many users having the same source IP (i.e. proxy). Source IP address allowlist Reference to an IP List that acts as an allow list. All source IPs matching this list will be excluded from the session limit per IP restriction. This is typically used if you have many users having the same source IP (i.e. proxy).','Section – Session Denial-of-Service Mitigation','','')
Smc.XSearch.add('../data/1583435032084.html','Section – Access Control The Global Denied Access URL will always be used for the redirect to the authentication service if a mapping is restricted to a specific role and the Denied access URL on it is set to "Use Global". Default: /auth/check-login','Section – Access Control','','')
Smc.XSearch.add('../data/1571978527008.html','Submenu – Default Actions Request and response actions allow flexible administration of HTTP headers. Request and response headers can easily be modified based on patterns in header names or values. Airlock Gateway comes with a set of built-in default actions defined globally. Whether default actions are active or not is controlled globally. However, the activation state of default actions can be overridden on mappings: Tab – Request Actions Tab – Response Actions Actions are identified by a name that must be unique. Built-in action names have the prefix (default) . For a complete reference of all default actions, see: Default Request Actions Default Response Actions Chapter content Action Types Default and custom actions Handling of special headers','Submenu – Default Actions','','')
Smc.XSearch.add('../data/1592920095542.html','Action Types There are several types of actions related to HTTP headers and HTTP cookies. Different fields are configurable per action, depending on the action type. For actions that require a matching header (e.g., type "Rewrite Header Value"), the two patterns for header name and header value must both match. If one pattern is empty, only the other pattern is considered. Note that rewrite variables and backreferences to matching groups may be used within all rewrite rules. Add header Adds the configured header unconditionally. Existing headers with the same name are not changed or removed. Add missing header Adds the configured header only if a header with the same name is not present. A header is considered present if its name (case-insensitively) equals the configured header name. Add or replace header Adds the configured header. If a header with the same name is already present, its value is replaced by the configured value. A header is considered present if its name (case-insensitively) equals the configured header name. Remove header The matching header is removed if the mapping´s threat handling mode is "Block". The matching header is not removed if the mapping´s threat handling mode is "Log only". Header redirect A request is redirected if a header matches. This action type is only available for requests. A redirect status code must be specified for each entry. These are the most important codes: 301 Moved Permanently - This and all future requests should be directed to the given URI. 302 Found - This is an example of industry practice contradicting the standard. The HTTP/1.0 specification (RFC 1945) required the client to perform a temporary redirect (the original describing phrase was "Moved Temporarily"), but popular browsers implemented 302 with the functionality of a 303 See Other. Therefore, HTTP/1.1 added status codes 303 and 307 to distinguish between the two behaviors. However, some Web applications and frameworks use the 302 status code as if it were the 303 303 See Other - The response to the request can be found under another URI using a GET method. When received in response to a POST (or PUT/DELETE), it should be assumed that the server has received the data and the redirect should be issued with a separate GET message. For a comprehensive list see here. Geolocation redirect A request is redirected if its origin matches the specified geographical regions. This action type is only available for requests. A redirect status code must be specified for each entry (see action type "Header Redirect"). For each action, a list of origin continents and countries can be specified. The continent codes are: AF: Africa AN: Antarctica AS: Asia EU: Europe NA: North America OC: Oceania SA: South America The country codes correspond to the Alpha-2 codes in the ISO 3166-1 standard . If more than one code is specified in a field, the rule applies if any of the regions is matched (OR combination). However, the continent and country conditions must both match in order for the request to be redirected (AND combination). The continent and country conditions can be inverted individually. Examples Redirect all requests from the DACH region: Continent codes: empty Country codes: "DE, CH, AT, LI", not inverted Redirect all requests from North and South America, except those from Brazil and Canada: Continent codes: "NA, SA", not inverted Country codes: "BR, CA", inverted Rewrite header For matching headers, the value is replaced by the new value. Rewrite cookie For matching cookie names the following attributes can be changed: Cookie Domain Cookie Path Cookie Secure Flag Auto: the "Secure" attribute is set if HTTPS is enabled on the virtual host and disabled otherwise. Cookie HttpOnly Flag Auto: the „HttpOnly“ attribute is automatically set for encrypted cookies. For passthrough cookies, the „HttpOnly“ attribute is not modified. It is only possible to rewrite passthrough cookies and encrypted cookies. Rewrite raw cookie Matching Set-Cookie header values are rewritten. The whole value of the Set-Cookie header is rewritten. It is only possible to rewrite passthrough cookies and encrypted cookies.','Action Types','','')
Smc.XSearch.add('../data/1592920095544.html','Default and custom actions Actions are configured in two places: Globally: Built-in default actions can be viewed and globally enabled/disabled by navigating to "Application Firewall" and then to "Default Actions" in the menu. On mappings: On mappings (tabs "Request Actions" and "Response Actions"), the global activation state of default actions can be overridden. In addition, custom actions can be defined. All action fields become visible when the action is expanded. To expand an action either click on the action name or on the expand icon Controlling activation of default actions On mappings, the activation states of default actions are controlled by a three-state toggle button. That is, clicking on the toggle button cycles through the three states ON, OFF, and INHERITED: Toggle Button State Icon Activation State Scope ON The action is enabled The action is generally enabled on this mapping. The global activation state for this action is overridden and has no effect on this mapping. OFF The action is disabled . The action is generally disabled on this mapping. The global activation state for this action is overridden and has no effect on this mapping. INHERITED The action is enabled . The activation state for this action is inherited from the global setting. Changing the global activation state for this action enables/disables the action on this mapping. The action is disabled . Defining custom actions In addition to the default actions, custom actions can be defined on mappings. To do so, either click the "+" button in the custom action table or use the "customize" button on a default action. Customizing a default action creates a new custom action by copying all values from the original action. Custom actions require a unique name. They are always processed after the default actions. The processing order of custom actions corresponds to the order in the table (from top to bottom). To change the order of custom actions use the drag and drop handles on the right side. Custom actions are only visible on the mapping where they are defined. The normal two-state toggle button is used to enable/disable custom actions.','Default and custom actions','','')
Smc.XSearch.add('../data/1592920095546.html','Handling of special headers Connection-oriented headers Before processing the request/response actions, all connection-oriented headers are silently removed (no log message is written). This includes the following headers: Accept-Encoding Connection Expect HTTP2-Settings Keep-Alive Upgrade Content-encoding header The "Content-Encoding" header is removed when a compressed request/response body is decompressed by Airlock Gateway . Cookies Cookies are transported in HTTP headers but have special characteristics. Airlock Gateway handles cookies separately and does not treat them like other headers. Typically, cookies are stored in the cookie store and do not reach the client. Cookie handling is configured on mappings (tab "Basic", Section – Application ). Cookie headers can be modified with the Cookies and Rewrite Raw Cookie response actions. Front-End-Https The Front-End-Https header is set to "on" if HTTPS is used on the client-side.','Handling of special headers','','')
Smc.XSearch.add('../data/1571978527005.html','Submenu – Deny Rules Deny rules establish a negative security model, also known as black lists. Deny rules are processed as the first filtering stage after decryption and decoding and can be configured on this global deny rule page. The global Deny Rules page is split into two sections: In Section – Default Deny Rule Groups, Airlock Gateway provides a predefined set of default deny rule groups to protect against common attack scenarios. For instance, specific deny rule groups deal with SQL injection or Cross-site scripting (XSS) attacks. Default deny rules are labeled with a (default) name prefix and are managed by Airlock Gateway updates and cannot be changed by the user. In Section – Custom Deny Rule Groups, Airlock Gateway provides the opportunity to create and configure custom deny rules and to group them. Each custom rule can be configured in on the Custom Deny Rules detail page. The global deny rules can be configured on the Tab – Deny Rules for each Mapping detail page. JSON attribute filtering Airlock Gateway automatically generates parameters from JSON objects. These JSON parameters are treated like parameters in GET or POST requests. For details, refer to the JSON parsing and filtering page. Further information and links Internal links: Mapping detail page Tab – Deny Rules Section – Default Deny Rule Groups Section – Custom Deny Rule Groups Custom Deny Rules detail page Submenu – Policy Learning Deny rule configuration Deny rule exceptions JSON parsing and filtering','Submenu – Deny Rules','','')
Smc.XSearch.add('../data/1583435052638.html','Section – Default Deny Rule Groups Default deny rules are labeled with a (default) name prefix and are managed by Airlock Gateway updates. The user cannot change them. The following partly screenshot shows some of the currently available default deny rule groups: You can expand groups to see the grouped rules and to display on which Security Level the individual rules are active. The security level can be set to Basic, Standard or Strict under Blocking levels. Deny rules can be switched into log-only mode on mapping detail pages on Tab – Deny Rules. You can use the Log Only checkbox on a deny rule group header to quickly enable/disable the log-only mode for all rules in the group. In log-only mode, requests violating the rule are not blocked. The corresponding block log entry is created, but the request is still passed to the back-end server. Further information and links Internal links: Blocking levels Tab – Deny Rules','Section – Default Deny Rule Groups','','')
Smc.XSearch.add('../data/1583435052517.html','Section – Custom Deny Rule Groups To add a new custom deny rule group, click on the button and provide a unique name for the new group. To add a custom rule to a custom group, click on the button on the right inside the group. Rules are removed from a group by clicking on the button right next to them. Deny rules can be switched into log-only mode on mapping detail pages on Tab – Deny Rules. You can use the Log Only checkbox on a deny rule group header to quickly enable/disable the log-only mode for all rules in the group. In log-only mode, requests violating the rule are not blocked. The corresponding block log entry is created, but the request is still passed to the back-end server. If you accidentally delete a rule, you can reload the last saved or activated configuration under Submenu – Configuration Files to recover the previous configuration. Further information and links Internal links: Section – Default Deny Rule Groups Blocking levels Tab – Deny Rules Submenu – Configuration Files','Section – Custom Deny Rule Groups','','')
Smc.XSearch.add('../data/1583435052422.html','Custom Deny Rules detail page To enable or disable a specific deny rule group, click on the round toggle button. Individual rules can be enabled/disabled only if blocking level Custom is used. Click on the deny rule name to show/edit details of the rule. Editing one of the patterns opens the pattern editor pop-up. Field name Description Name Select a unique, meaningful name for the deny rule. The name is visible on the mapping page. Parameter Name Defines the query parameter name that should trigger the rule to block a request. Parameter Value Defines the query parameter value that triggers the rule to block a request. If both the parameter name and the parameter value restriction are defined, then the two conditions are treated as a combined tuple: the value is only checked if the name matches. This is relevant if there is more than one parameter in a request. Header Name Defines the HTTP header name that should trigger the rule to block a request. Header Value Defines the HTTP header value that should trigger the rule to block a request. If both the header name and the header value restriction are defined, then the two conditions are treated as a combined tuple: the value is checked if the name matches. Airlock Gateway combines HTTP headers with the same name. For example, the headers A: B and A: C will be combined into the new header A: B, C . This comma-separated value will be matched as a whole against the regular expression. Path Defines the path that should trigger the rule to block a request. HTTP Method Defines the HTTP method that should trigger the rule to block a request. Content-Type Defines the content type that should trigger the rule to block a request. Further information and links Internal links: Configure filter rules using regular expression patterns Section – Default Deny Rule Groups','Custom Deny Rules detail page','','')
Smc.XSearch.add('../data/1571978527016.html','Submenu – API Security Button Description Button to upload your API specifications/GraphQL schema. Button to delete an uploaded specification/schema. Button to download an uploaded specification/schema. Button to exchange a specification/schema by uploading a new one. Chapter content Section OpenAPI Specification Section – GraphQL Schema','Submenu – API Security','','')
Smc.XSearch.add('../data/1681413668590.html','Section OpenAPI Specification Prerequisites OpenAPI validation requires a license for the API Gateway feature. API specification format must be in OpenAPI version 3.0 as JSON. Specifications in other formats or versions, e.g., Swagger 2.0, must be converted before uploading. For Swagger to OpenAPI conversions, we recommend the Mermade converter which is available as a command-line tool . Feature scope and configuration options After uploading the OpenAPI specification, configure and enable Enforce API validation for a mapping on the mapping detail page, Tab – API Security. The OpenAPI filter supports the validation of requests and responses: Path Query parameters Headers Cookies JSON syntax and objects Body content checks are only applied to JSON documents, form-urlencoded parameters, and binary data (jpgs, gifs, ...). API specification format must be in OpenAPI version 3.0 as JSON. The OpenAPI feature does currently not support the following: For requests with form-urlencoded parameters, additionalProperties can only be configured as a boolean. XML and YAML content types are unsupported. These content types are passed unchecked, even when specified in a schema. Multipart requests. Callback definitions. OpenAPI schema in YAML format. Specifications in other formats or versions, e.g., Swagger 2.0, must be converted before uploading. For Swagger to OpenAPI conversions, we recommend the Mermade converter, which is available as a command-line tool . Logging Logging during request handling: WR-SG-BLOCK-115-00 – Noncompliant API usage constraint – provides detailed information on the violated constraint. position – denotes the position in the validated request document/parameter where a constraint was violated. WR-SG-REJECT-115 – OpenAPI configuration is invalid The configuration could not be loaded correctly. See CONF-115 entries in the log messages for investigation and error analysis. Logging by the configuration loader: SY-SG-CONF-115-00 – Config Loader: Error parsing OpenAPI specification file – filename of the document where the error occurred position – denotes the position in the specification where the error was found SY-SG-CONF-115-01 – Config Loader: Unsupported OpenAPI feature file – filename of the document where the error occurred position – denotes the position in the specification where the error was found SY-SG-CONF-115-02 – Config Loader: Error compiling pattern for OpenAPI string format SY-SG-CONF-115-03 – Config Loader: Error compiling pattern for OpenAPI Content-Type matching Expert settings ​Expert settings control certain aspects of the OpenAPI validation: Expert Setting Key Description OpenApi.StringFormat.* Patterns for custom value formats referenced by name in specifications. OpenApi.Authentication.* Positive-listed parameters for OAuth2 and OpenID Connect security schemes. OpenApi.Check.Response Enable or disable the response check (default false ). OpenApi.ContentType.* List of Content-Type patterns. Request.Json.Limits.* Thresholds for preventing DoS attacks against the JSON parser. Further information and links Internal links: Submenu – License Tab – API Security For API policy cookies, see: Environment cookies related to API policy features','Section OpenAPI Specification','','')
Smc.XSearch.add('../data/1681413668592.html','Section – GraphQL Schema GraphQL schema configuration Click the + button to upload one or more GraphQL schema that is compatible to GraphQL schema definition (Oct. 2021) . After the upload, change to the detail page of a mapping and select the tab API Security . Configure the GraphQL enforcement as required. Further information and links Internal links: GraphQL schema definition (Oct. 2021) Section – GraphQL GraphQL integration','Section – GraphQL Schema','','')
Smc.XSearch.add('../data/1571978527018.html','Submenu – Dynamic IP Blacklist Airlock Gateway can monitor IPs with bad behavior and temporarily block them. If an IP triggers a block, it will be put on a watchlist. If there are too many blocks during a certain period from the same IP, it is added to the dynamic IP denylist for a defined period. On this global page, all the thresholds are configured. The IP Rules tab on mappings provides more configuration options. For each mapping, it is possible to: decide whether IPs on the dynamic denylist are blocked or not. decide whether blocks count toward the block threshold for an IP. UI Description Observation period in seconds Defines the time period in seconds to observate an IP. Number of blocks within period Defines the number of blocks an IP must trigger during the observation period to get denylistet. Period to block in seconds Time period in seconds that an IP remains on the denylist.','Submenu – Dynamic IP Blacklist','','')
Smc.XSearch.add('../data/1571978527003.html','Submenu – Error Pages Section - Error Path The Error Path is used as a path in the redirect location to the error page using Error page replacement with regex status pattern. Make sure there is no mapping with the same Entry path as the Error Path. In an Airlock Gateway Failover Cluster, the Error Path is used to determine the state of the remote system. To avoid a failover switch when changing the Error Path, use remote activation to modify it on both systems at the same time. Section - Error Pages Airlock Gateway supports uploading customized HTML error pages including image files, style sheets, etc. using the following buttons: Upload – Click to upload a set of error pages in a zip file. Configuration information including an example for a set of custom error pages is described in section Configure and manage custom HTTP error pages. Download – Click to download the current error pages as a zip file. Delete – Click and confirm to delete any custom error pages and to restore the Airlock Gateway default error pages. Download customization template – Click to download a zip file with template error pages. Use these templates as the starting point to customize error pages. If no error pages are uploaded, Airlock Gateway uses a set of very general error pages for the HTTP errors that can occur within the gateway: HTTP error code pages Default message in the browser Tip/Info 400 Bad Request The server detected a syntax error in your request. Check your request and all parameters. Check Airlock Gateway notice/info log for filter notifications etc. 401 Unauthorized Used as error page for failed One-Shot Authentication. 403 Forbidden You tried to access a page without having the required permissions. One-Shot Authentication did not provide the necessary credentials. 404 Not Found The document at the specified URL does not exist. No valid mapping in Airlock Gateway. 429 Too Many Requests You tried to access this resource too many times See Airlock Gateway log messages. 500 Internal Server Error The server was unable to process your request. Back-end server could not be reached, check Airlock Gateway alert messages. 502 Bad Gateway The service is temporarily unavailable. ICAP server unreachable, check Airlock Gateway log messages. 503 Service Unavailable The service is temporarily unavailable. Back-end server could not be reached, check Airlock Gateway alert messages. See also Section – Timeout. maintenance Maintenance Page This server is down for Maintenance. We will be back shortly. Thank You. This maintenance page can be installed to show up when a mapping or a virtual host is in maintenance status. * The error page 429 – Too Many Requests can have various causes. Expert settings configured in the default settings file: When REQUEST RATE LIMITS for virtual hosts, mappings, or back-end groups have been set and one or more limits have been exceeded. When Session.Tracking.HeaderToken.Enable is set to "TRUE" and outdated header session information is included in the request. The error should disappear when sending a new request with new header session information. API rate limits: When plan limits for API tech-clients have been exceeded. The replacement pages may contain .asis responses. Further information and links To create and activate a set of custom error pages, see section Configure and manage custom HTTP error pages. For regex-base error page replacement, see Section – Error page replacement.','Submenu – Error Pages','','')
Smc.XSearch.add('../data/1571978527020.html','Menu – Log & Report Chapter content Submenu – Log Viewer Submenu – Reporting Submenu – Session Viewer Submenu – System Monitor Submenu – Settings Further information and links Reference lists of log messages and events','Menu – Log & Report','','')
Smc.XSearch.add('../data/1571978527021.html','Submenu – Log Viewer Airlock Gateway logs and system service logs are stored in an Elasticsearch database. Depending on the configuration, a local or remote Elasticsearch installation is targeted. Kibana is used to browse logs. A click on the Log Viewer menu item opens Kibana in Discover View. Some saved searches are predefined to simplify searching and filtering for specific log messages. The Lucene query language syntax can be used to create search queries. Kibana is also used for reporting. Some Airlock Gateway dashboards are predefined: Default – An overview dashboard with aggregated proxy and attack statistics. Application Statistics – Displays metrics aggregated by virtual hosts and mappings to identify top applications. Attacks: Details visualizations of attacks and their origins. Performance and Troubleshooting – A dashboard for analyzing performance issues and back-end problems. Session statistics – A dashboard with detailed session and header statistics. The default dashboard is embedded in the Configuration Center and shown after logging in. Custom reports The definition of custom searches, visualizations and dashboards is possible. Create new charts using the Visualize and Dashboard views. Note, however, that custom objects are not backed up. Before resetting the configuration or applying updates, ensure all custom objects are exported using the Management view. Reset logging and reporting In case the Airlock Gateway default searches or dashboards have been modified or corrupted, there is an option to restore the default configuration. To restore searches and dashboards, log in as user menu using ssh , then select 1 (System Management) and 5 (Restore saved searches and dashboards) . Make sure to back up custom objects before resetting the configuration. Disk space management Airlock Gateway stores its log files in Elasticsearch. The time range covered by logs and reports depends on available disk space and the traffic volume of the system. A fresh index is created every day, storing all logs of the corresponding day. As soon as the usage in /var exceeds a specific trigger limit or when the log files exceed a certain age in days, the corresponding indices are deleted to a certain percentage of disk space to ensure enough capacity is available in /var . Default settings Description PERCENT_TO_TRIGGER=75 If disk usage exceeds the configured percentage, a cleanup will be triggered. PERCENT_TO_KEEP=70 Cleanup deletes the oldest indices until the disk usage is at the configured percentage. MAX_DAYS_TO_KEEP=365 Regardless of the trigger levels, all indices older than the configured number of days will be deleted. If space restrictions on the local Airlock Gateway host are too tight, consider offloading logging and reporting to a remote Elasticsearch installation (see configuration). See article Customize Elasticsearch data archiving to alter the behavior of rotating and archiving logs controlled by the Log Viewer. Log rotation and archiving parameters for certain system files is configured as a nightly cronjob using logrotate . This will rotate log files as configured in various files in /etc/logrotate.d/ . More information about logrotate and its options can be found online in the logrotate man page. Terms of use for WMS service maps.airlock.com Airlock Gateway reporting uses an external WMS service to provide geographical maps. Ergon Informatik AG provides this service through https://maps.airlock.com. Using the WMS service is only permitted to visualize Airlock Gateway logs. Further information and links Internal links: Working with Airlock Anomaly Shield dashboards Submenu – Reporting Reference lists of log messages and events Remote Elasticsearch access with HTTPS Customize Elasticsearch data archiving','Submenu – Log Viewer','','')
Smc.XSearch.add('../data/1583435029868.html','Submenu – Reporting Airlock Gateway logs and system service logs are stored in an Elasticsearch database. Depending on the configuration, a local or remote Elasticsearch installation can be targeted. Kibana is used to browse logs. A click on the Log Viewer submenu item opens Kibana in discover a view. A number of saved searches are predefined to simplify searching and filtering for specific log messages. The Lucene query language syntax can be used to create search queries. Kibana is also used for reporting. A number of Airlock Gateway dashboards are predefined: Default : An overview dashboard with aggregated proxy and attack statistics. Application Statistics : Displays metrics aggregated by virtual hosts and mappings to identify top applications. Attacks : Details visualizations of attacks and their origins. Performance and Troubleshooting : A dashboard for analyzing performance issues and back-end problems. Session statistics : A dashboard with detailed session and header statistics. Further information and links Submenu – Log Viewer Reference lists of log messages and events Remote Elasticsearch access with HTTPS','Submenu – Reporting','','')
Smc.XSearch.add('../data/1571978527022.html','Submenu – Session Viewer The session viewer can be used to gather real-time information about user sessions that currently exist in Airlock Gateway . Clicking on the will immediately terminate the selected session. Query input field If the query field is left empty, all existing sessions are returned. To execute the query either press Return or click the Search button. There are two possible modes to enter queries: "Free text queries" and "Query language". Free text query As long as the entered string does not contain ´=´ or ´~´, the query will be interpreted as free text. Every entered token will be searched for in all currently displayed columns. All sessions matching at least one token in one of those fields will be displayed. Query language For more specific queries, the internally used query language can be entered directly. If the search value contains any of the following characters = ~ ( ) " whitespace then it must be surrounded by doublequotes. Doublequotes within doublequotes must additionally be escaped with backslash. Example: audittoken~"my \\"escaped\\" string" Complex queries can be formed by using parentheses and the "and"/"or" operators to chain several conditions. Operators Meaning Case sensitivity = Equality: Satisfied if search value and field value are exactly equal Sensitive ~ Like: Satisfied if search value is a substring of the field value Insensitive Possible search fields: sid audittoken role role.exists mappings.accessed backendgroup.host ip.creation Example queries: sid ~ abc123 audittoken=admin role = root backendgroup.host = "group2->host3" role.exists = true mappings.accessed="my mapping" and ip.creation=127.0.0.1 ((ip.creation~"127." or audittoken=local) or role~admin) and role.exists=true Displayed columns Columns can be enabled or disabled in the results table. This will influence the result set when using a free text query! Only the currently displayed columns are searched by free text queries. For example: If a query token was previously found in the "audit token" column and the "audit token" column gets turned off, that session will disappear from the results set. Inversely, by enabling new columns the result set may grow. Results table Sessions that satisfy the used query will be displayed. The results can be sorted according to different fields by clicking on one of the table headers. A second click will toggle the sorting direction. The default sorting column is "idle time" (ascending). Clicking on a row will open a window that shows all details about a single session. A maximum of 50 sessions will be displayed. A hint will appear at the bottom of the page if there are more than 50 sessions matching the query. To see sessions that are currently not displayed, use a different sorting order or refine the query. If no results appear, there may be several reasons. The query may be too restrictive or there may be no sessions at all (for example on a test system). If there was an error, a red warning is displayed. Detail view The detail view of a session opens after a click on the session row in the results table. All available information about a session can be seen here. SID: The identifier (ID) Creation IP: The used IP address at the moment of session creation Audit token: The audit token Kerberos Users: Kerberos users that may be used by this session Creation time: Timestamp of session creation Configured max. lifetime: Maximum lifetime in seconds Currently remaining lifetime: Remaining lifetime in seconds Time of last access: Timestamp of last access Configured max. idle time: Maximum time (seconds) a session can be idle before being terminated Idle time: Time in seconds since the last access Currently remaining idle time: Maximum idle time (seconds) that´s left before being terminated Roles: List of all roles that are set Accessed mappings: List of all mappings this session has accessed (not including requests that were redirected to "Denied access URL" for authentication) Back-end Group/Host: When a back-end group contains more than one host and has load balancing configured, then at creation every session is assigned to one host. This field shows that assignment (only for back-end groups that have a host assignment, i.e. those that the session has accessed before). Cookie Store: All stored cookies Header Store: All stored headers. "Authorization" headers are shown in decoded form. Passwords are shown as "<masked>". NTLM Credentials: List of stored NTLM credentials. Passwords are shown as "<masked>". Client Fingerprinting Incidents: List of all client fingerprinting incidents that have occurred on this session Client Fingerprinting Thresholds: List of all client fingerprinting thresholds that have been reached, out of (Log / Notify / Block). The "Terminate" threshold will never appear because the affected sessions will be terminated immediately.','Submenu – Session Viewer','','')
Smc.XSearch.add('../data/1571978527023.html','Submenu – System Monitor Airlock Gateway provides a comprehensive system monitoring page where the most important system parameters are shown in clear graphical diagrams. This page gives you detailed information about the system status of Airlock Gateway . It is especially useful to monitor load and performance tests. Note that you should only access the system monitoring page after the test. Otherwise, the data preparation itself might influence the test results. The parameters are updated every minute. Please reload your browser page to get an updated version of the graphics. The system information is grouped by selectable tab views. Chapter content Tab – System Tab – Memory Tab – TCP/IP Tab – Interface {...}','Submenu – System Monitor','','')
Smc.XSearch.add('../data/1583435032105.html','Tab – System Sessions This graph shows the number of concurrent authenticated sessions as well as the total number of allocated sessions on Airlock Gateway . System Load This graph shows the number of processes running on a CPU, waiting for a free CPU, or waiting for I/O operations to complete. This is a basic indicator of the overall CPU load. If long term trends indicate increasing figures, more or faster CPUs will eventually be necessary. Processes This graph shows the number of front listener processes and the total number of processes. The number of listener processes should be less than the number of sessions. Under heavy load this number may increase up to the number of sessions. SG Processes This graph shows the number of active filter and session engines. CPU This graph shows the percentage of CPU time being spent in various states. The most important states are "User" (executing user processes), "System" (executing system processes), and "I/O Wait" (waiting for I/O operations to complete). If long term trends indicate increasing figures, more or faster CPUs will eventually be necessary. Increased I/O wait percentages can be seen when disk mirroring is in progress. New Process Spawn Rate This graph shows the rate at which new processes are created. This graph is mostly for development and debugging purposes. Context Switches/s This graph shows the number of context switches per second. Uptime This graph shows the uptime of the system in days. There are different colors for active, passive and offline times. Disk Usage This graph shows the percentage of used disk space allocated to files on the mounted partitions / and /var . Session Store Clients This graph shows the number of clients (SG processes) connected to the session store. Session Store Keys This graph shows the number of keys in the session store. Session Store Operations/s This graph shows the number of session store operations per second. This is an indicator for the load of the session store.','Tab – System','','')
Smc.XSearch.add('../data/1583435032107.html','Tab – Memory Memory Usage This graph shows the physical memory usage. The "buffered" and "cached" memory is used to accelerate I/O operations and is still available to applications. Free Memory This graph shows the physical memory available to applications. Swap Usage This graph shows how swap space is allocated. Session Store Memory This graph shows the memory used by the session store.','Tab – Memory','','')
Smc.XSearch.add('../data/1583435032109.html','Tab – TCP/IP All TCP/IP counters are measured on a system-wide basis. They accumulate all occurrences of a specific event type on every physical network interface as well as the internal traffic (loopback, 127.0.0.1). TCP New Connection Rate This graph shows the rate at which new TCP connections are created. The input/passive open rate is the rate at which the system is receiving new connections. The output/active open rate is the rate at which the system is making new connections to other systems. TCP Number Open Connections This graph shows the number of open TCP connections. This includes long-living connections such as ssh as well as short-living ones like scp/https. If the number of open connections increases over time, this may indicate local or remote processes not releasing/closing connections. TCP Segment Size This graph shows the average size of TCP packets being transferred from and to the system. This parameter may help to characterize the traffic. Sustained packet sizes near 1500 bytes show bulk file transfers whereas smaller packets show interactive or request/response traffic. TCP Retransmissions This graph shows the percentage of incoming and outgoing packets that were retransmitted. High values for either of these are an indication of either a congested network dropping packets or long delays. Retransmission occurs when no confirmation of receipt has occurred for the original packet and the system has to resend the packet. TCP Reset Rate This graph shows the rate at which TCP ports are being reset, i.e. connections being refused. TCP Attempt Fail Rate Describes the rate at which the active TCP connections that the system is attempting fail to open. TCP Listen Drop Rate This graph shows the rate at which new connection attempts have been dropped from the listen queue. This happens when the system is receiving new connection requests faster than it can handle them.','Tab – TCP/IP','','')
Smc.XSearch.add('../data/1583435032111.html','Tab – Interface {...} Interface Traffic This graph shows the number of input and output bytes per second on the given interface. This measures the raw bytes including headers of each protocol. Interface Packets/s This graph shows the number of input and output packets per second on the given interface. Interface Dropped Packets/s This graph shows the number of dropped input and output packets per second on the given interface. Interface Errors/s This graph shows the number of input and output errors per second on the given interface.','Tab – Interface {...}','','')
Smc.XSearch.add('../data/1571978527024.html','Submenu – Settings Log and reporting settings such as log level and threshold can be set here. Chapter content Section – Syslog Forwarding Section – Event Notification Channels Section – Reporting Section – Prometheus Section – Log Level','Submenu – Settings','','')
Smc.XSearch.add('../data/1583435032113.html','Section – Syslog Forwarding Destination Host Specifies the hostname (IPv4 only) or IP address of the remote log host, which will receive the Airlock Gateway messages specified in Log Level section. This is useful for centralized log management and monitoring system. Destination Port Specifies the destination port, i.e. 514 (default value) or 6514 for SSL. An alternative port can be specified. Log Format Specifies the format of the messages that are sent to the log host. Valid options to choose from are Raw (No processing, so some messages are plain text, others JSON), CEF (for SIEM systems), or JSON. CEF format is only available for request summaries and blocked requests. Transport Specifies the type of transport used for remote logging. Valid options to choose from are UDP (classic syslog), TCP (syslog-ng and other newer syslogs) or SSL. For details on using SSL with client certificates, see Syslog forwarding with SSL. Log Level Specifies which information should be logged using syslog. System Errors : System related events and system errors are sent to the configured loghosts. Request Summaries : The summary line of each request handled by Airlock Gateway is sent to the loghosts specified above. Blocked Requests : Blocked request information is sent to the configured loghosts. Events : Events related to web requests are sent to the configured loghosts. Specific Messages : Specifies a PCRE regular expression to apply against the text body of log messages. Headers are not considered. All matching messages are sent to the configured loghosts. The following characters must be escaped with a preceding backslash if they are to be included as normal characters: "()[].*?+^$|\\ . Example: \\"log_id\\":\\"WR-SG-(?:BACK-50[02]|REJECT-[0-9]+|SESS-004)\\" A weak filter will cause lots of messages to be forwarded and affect performance. Choose the filter as strict as possible. Further information and links Syslog forwarding with SSL','Section – Syslog Forwarding','','')
Smc.XSearch.add('../data/1583435032115.html','Section – Event Notification Channels Several event notification channels can be configured. An event notification target is configured by choosing a channel and a corresponding parameter. Valid parameters are mail recipients for emails and URLs for http requests. Messages are not queued. In case an alert channel can not be reached, the message will get lost. Valid event notification channels are: Mail Events will be sent to the specified mail recipient. For mail events it is recommended to define meaningful mail aliases to distribute the event messages to the responsible persons. The SMTP host has to be configured here: Section – SMTP Settings. HTTP Events will be sent to the specified URL. This could be used to connect to external alerting systems such as SMS-gateways, pagers, or centralized log management and monitoring systems. The following placeholder can be used: @@ALRT_ID@@ : Alert ID in example message : EVENT_SY-Y-TTY-LOGIN-OK @@ALRT_COMP@@ : Component, which triggered the alert in example message : SY @@ALRT_TIME@@ : Time when the alert was triggered. in example message : Mar 13 15:17:21.394786 @@ALRT_TXT@@: Alert body (message). in example message : login[80890]: [event.notice] successful console login (ROOT) Example message : Mar 13 15:17:21.394786 airlock.example.com airlock-alert[81330]: m:EVENT_SY-Y-TTY-LOGIN-OK c:Y Successful console login (ROOT) http channel example: "http://mysmsgate.com/cgi-bin/sendsms.pl?msg=@@ALRT_TXT@@&phone=12345" Component This parameter specifies whether all events or just selected events concerning the "System" or "Web-Requests" are sent over the specified channel. Thresholds Error Contains important error messages from incidents which may have direct impact to the system operation and should be inspected immediately. e.g. Failed disk(s) detected. Warning Contains messages of the levels warning and error. Those messages should be inspected. e.g. SSL certificate will soon expire. Notice Contains messages of the levels notice, warning and error with important information about the status and operating mode of Airlock Gateway . e.g. New Configuration activated. Info Contains messages of the levels info, notice, warning and error with useful information about the status and operating mode of Airlock Gateway . e.g. Back-end host changed state to BAD. Choose an event level and the corresponding event destination. See the "Event Description" page to find all events related to a specific level.','Section – Event Notification Channels','','')
Smc.XSearch.add('../data/1583435032117.html','Section – Reporting Local reporting If enabled all logs are sent to the local Elasticsearch database. Remote reporting If enabled all logs are sent to the specified remote Elasticsearch database. Remote reporting URL The URL of the remote reporting server. Examples: http://elastic-cluster:9200 https://user:secretpw@elasticsearch.mydomain.com:9200 We strongly recommend using HTTPS instead of HTTP and a user with limited rights. Further information and links Remote Elasticsearch access with HTTPS','Section – Reporting','','')
Smc.XSearch.add('../data/1623759811569.html','Section – Prometheus Our gateway components can act as a data source for Prometheus metrics for time-series-based real-time events and alert monitoring. When enabled, metrics are available without authentication via HTTPS under: https://mgt-apache/metrics Airlock-specific metrics in Prometheus format The following table lists Airlock-specific metrics that are exposed i.e. for monitoring licensed throughput and common gateway indicator values. Prometheus supports different metric types such as counter, gauge, histogram, and summary. Read more about metrics types here https://prometheus.io/docs/concepts/metric_types/ . The scope of exposed Prometheus metrics also includes a set of standard low-level general-purpose system metrics. A metric is published when there has been at least one sample point. The reason is that a sample is required before any output can be generated. Note the following: Statistically relevant statements always require a sufficient basis such as a certain number of requests, e.g. if http_requests_duration_seconds_count >1000. Some metrics provide mapping names as metadata in the form of labels that can be used to assign metrics per mapping. Read more here about labels here: https://prometheus.io/docs/concepts/data_model/#metric-names-and-labels Read more about how to query metadata here: https://prometheus.io/docs/prometheus/latest/querying/api/#querying-metadata Metric name Metric type Unit Description http_requests_current Gauge integer The number of currently processed requests. http_requests_duration_seconds_sum Gauge integer The duration of request processing in seconds. http_requests_duration_seconds_count Counter integer The number of requests that are used for http_requests_duration_seconds_sum . This counter is also used as the base for the timing statistics for http_requests_duration_seconds . http_requests_duration_seconds Histogram floating point Timing statistics (percentiles) for request processing durations. The histogram is calculated in quantiles, as described here https://prometheus.io/docs/practices/histograms/#quantiles . http_requests_allowed_total Counter integer The number of allowed requests. http_requests_blocked_total Counter integer The number of blocked requests. http_requests_rejected_total Counter integer The number of rejected requests. http_sessions_current Gauge integer The number of currently active sessions. http_sessions_authenticated_current Gauge integer The number of currently active authenticated sessions. airlock_workload_ratio Gauge floating point Ratio indicating the workload of the pod/system. Values range 0 = no load 1 = maximum load The load values can be interpreted as percentage information between 0–100% load. airlock_throughput Gauge integer The throughput rate of processed calls in calls/s averaged over one-minute time windows. Only valid calls (requests) forwarded to protected services are counted. Corresponds to the calculated throughput logged-in message with log_id "WR-SG-TIME-200" .','Section – Prometheus','','')
Smc.XSearch.add('../data/1583435032119.html','Section – Log Level The following log settings can be configured: Security engine The Security engine provides the Log-Level Trace and Info(default). The Log-Level Trace should only be used for troubleshooting. For performance reasons, the trace mode should always be disabled for productive installations.','Section – Log Level','','')
Smc.XSearch.add('../data/1571978527035.html','Menu – Configuration Chapter content Submenu – Configuration Files Submenu – Configuration Summary','Menu – Configuration','','')
Smc.XSearch.add('../data/1571978527036.html','Submenu – Configuration Files Chapter content Section – Configuration History Section – Save changes on Airlock Gateway Section – Export current configuration Section – Import a configuration','Submenu – Configuration Files','','')
Smc.XSearch.add('../data/1578554521147.html','Section – Configuration History All saved config files are listed and managed in the Configuration History section: Each config file contains a complete set of Airlock Gateway settings. The currently active configuration is highlighted and cannot be deleted. Config files can be compared. Inactive config files can be deleted. After logging into the Configuration Center, the settings of the active configuration are loaded. Usage Choose and load a config file: Choose an entry from the list. Read the entry in the Comment column or use the Compare button to decide which config file to load. Click the Load button. Click Okay , to finish the process. The settings of the chosen config file are now loaded and can be activated. Compare a configuration: Choose 2 config files. The left radio-button Old Configuration serves as basis of comparison. Click the Compare button to open the Configuration Diff list. Icon Description The value of the attribute has changed. The old and new values are shown. The configuration element has been removed. The configuration element has been added. (MEDIUM) – Always open the Configuration Diff in a separate tab or a new window, to avoid problems with your browser cache. Delete old config file: Click the button. Click Okay , to finish the process. The config file is deleted and removed from the Configuration History list. Further information and links Button – Activate Submenu – Configuration Summary','Section – Configuration History','','')
Smc.XSearch.add('../data/1578554521149.html','Section – Save changes on Airlock Gateway When using the activation-workflow, a new config file will be saved during the process. If you plan to postpone the activation of your changes, you can manually save a new config file instead - even if your changes contain any error, that prevents activation. Usage Save a config file: Briefly describe your changes in the Comment field. Click the Save button to save the new config file. The new config file creates a new entry on top of the Configuration History list. Further information and links Button – Activate Section – Configuration History','Section – Save changes on Airlock Gateway','','')
Smc.XSearch.add('../data/1578554521151.html','Section – Export current configuration The active config file can be exported into a *.zip-file. This can be useful i.e. when you plan to exchange the config file with another Airlock Gateway installation. Export *.zip-files can be imported as-is by Airlock Gateway . Do not unzip the file or manipulate its content. By default, this export *.zip-file includes: A large *.xml-file containing all settings except private keys and passphrases. certificate_revocation_lists.zip error_pages.zip If required, private keys and passphrases can also be included in the *.xml-file by enabling the export option. (HIGH) – When the export option is enabled, sensitive data (e.g. private keys and passphrases) are included in the export-file. Use this option for limited internal use only. Do not share the file. Anyone having your private keys may pretend to be your web server. Store the export-file in a safe place only. Delete the export-file safely directly after use. Usage Default export (option not enabled!): Load and activate a configuration from the section Configuration History. Click the Export button. Save the *.zip-file for future import. Further information and links Section – Import a configuration','Section – Export current configuration','','')
Smc.XSearch.add('../data/1578554521153.html','Section – Import a configuration Import a configuration file to load its settings for review or activation purposes. What happens during import? During import: The configuration file will be uploaded. The settings of the imported file are loaded but not activated automatically. Importing a configuration file will overwrite your current settings. Save your settings in a new configuration file if necessary. If the version of the configuration file to be imported is no longer supported by the current Airlock Gateway release, the import process fails with the message: The uploaded file is not valid or an outdated configuration. Make sure the file originates from a supported Airlock Gateway version and is not corrupt. In this case, you can update the old configuration files by importing and re-exporting the file on previous Airlock Gateway versions that still support the outdated configuration file version. In this way, you can increase the configuration file version until the file is supported by the current Airlock Gateway version. For the oldest supported file version of this Gateway release, see Release notes. Usage Configuration file import (without private keys and passphrase): Click the Import button. Select the configuration file from the file manager pop-up window. Click the ok button to start the upload process. Your current settings will be overwritten by the upload. Check for errors and warnings. Enter your keys and passphrase. Save or activate the imported configuration. Further information and links Button – Activate Section – Save changes on Airlock Gateway','Section – Import a configuration','','')
Smc.XSearch.add('../data/1571978527037.html','Submenu – Configuration Summary A click on the submenu Configuration Summary generates a complete, interactive Summary Page of your current settings. You can use your browser´s search functionality to search your entire settings e.g. to find a specific string. For detecting differences between configurations, save the Summary Page using the "save as text file" functionality of your browser. Those files can be compared using a diff tool. Print the entire Configuration Summary page (e.g. with "save as PDF") to generate offline documentation of the configuration. Usage Save a config file: Click on the submenu Configuration Summary to generate a Summary Page . Use the quick-links on the Overview tables to jump to the corresponding Mapping Name or Back-end Group .','Submenu – Configuration Summary','','')
Smc.XSearch.add('../data/1571978527040.html','Menu – Expert Settings Chapter content Submenu – Security Gate / Apache Submenu – Add-on Modules','Menu – Expert Settings','','')
Smc.XSearch.add('../data/1571978527041.html','Submenu – Security Gate / Apache Airlock Gateway offers many tweaks and expert options that are not part of the graphical user interface because they would overburden the user interface for common administration tasks. The following submenus allow in-depth configuration but are mainly targeted for experienced administrators. Chapter content Section – Security Gate Section – Apache','Submenu – Security Gate / Apache','','')
Smc.XSearch.add('../data/1583435032121.html','Section – Security Gate You can add your own Security Gate settings or override the Gateway default values here. You may copy the parameter names from the default settings file. Use the link default settings file beneath the input form in the global Expert Settings page in the configuration center. Wait for the file to be generated, this may take some seconds. Tips and tricks A resource entry consists of a resource identifier (key) and a value. However, if the value UNDEFINED is used for a resource identifier, the according resource is removed from the resource table and ignored by the Security Gate. Escape characters String values must be encapsulated by double quotation marks. Double quotation marks, newlines and backslashes must be escaped by a backslash.','Section – Security Gate','','')
Smc.XSearch.add('../data/1583435032123.html','Section – Apache Airlock Gateway allows configuration of Apache expert settings that directly affect the doorway Apache server. These settings are added to the httpd.conf file and have the same syntax as Apache directives. Apache expert settings overwrite the default directives set by Airlock Gateway . Apache expert settings can be configured in three different places. Depending on the location, directives from different Apache contexts are allowed: global : directives from Apache context "server config" are applicable. Configurable under "Expert Settings -> Security Gate / Apache". virtual host : directives from Apache context "virtual host" are applicable. Configurable in the "Expert Settings" tab of the virtual host. mapping : directives from Apache context "directory" are applicable. Configurable in the "Expert Settings" tab of the mapping. Apache expert settings are not validated. Syntax errors will break the httpd service start/restart. Priority of contexts Depending on the Apache context in which a directive is defined, it can be overwritten by other directives: directives in context "virtual host" overwrite directives in context "server config". directives in context "directory" overwrite directives in context "virtual host" and in context "server config". Examples Adaption of the Apache log level The log level can be changed as follows (applicable globally and per virtual host): LogLevel debug The logs can be found in the Log Viewer SSL protocol/cipher settings Global SSL and cipher settings for all virtual hosts could be set here. A more detailed description can be found here. Note: We recommend modifying these settings individually per virtual host instead of globally – see Tab – SSL. Maintenance Window A scheduled maintenance window e.g. between 2021-10-31 19:40:00 and 2021-11-02 16:30:00 can be introduced by adding the following settings (applicable globally or per virtual host): RewriteOptions InheritDownBefore RewriteCond expr "%{TIME} -gt 20211031194000" RewriteCond expr "%{TIME} -lt 20211102163000" RewriteRule !^/error_path /error_path/maintenance.html [QSD,R=303,L] For a RewriteRule whose rewritten URL does not refer to the error path, the redirect flag or the passthrough flag must be set. If possible, use Path redirects instead of custom rewrite rules. Certificate Allowlisting To put a client certificate onto the allowlist, add the following setting (only applicable on mappings): SSLRequire %{SSL_CLIENT_M_SERIAL} in {"005","015","019"}','Section – Apache','','')
Smc.XSearch.add('../data/1571978527042.html','Submenu – Add-on Modules Airlock Gateway provides an integrated Tomcat Java servlet engine to run the Airlock ICAP SDK and the Airlock SOAP/XML Filter . The integrated Tomcat server is treated like another back-end server: A URL mapping can be configured for it and all requests are filtered and validated. Access to the integrated Tomcat application can be configured by using: 127.0.0.1:7800 as the back-end host address. To administrate the Tomcat engine, you can access the administration Web GUI of Tomcat by choosing the Add-on Modules link under the Expert Settings in the Airlock Gateway configuration menu.','Submenu – Add-on Modules','','')
Smc.XSearch.add('../data/1626375361944.html','Configuration examples and guides Configuration examples and guides for general configuration tasks This chapter contains a selection of tasks on general configuration issues. This includes basic configuration tasks such as configuring allow and deny rules, and setting up failover for the Airlock Gateway, but also instructions for configuring the Airlock Anomaly Shield. Chapter content Airlock Anomaly Shield configuration Airlock Gateway failover setup for on-premises installations Allow rule configuration API access control configuration for Airlock IAM and Airlock Gateway Configure and manage custom HTTP error pages Customize Elasticsearch data archiving Configuration example cases for URL encryption Configure filter rules using regular expression patterns Cookie parsing according to RFC 6265 Customizing events Deny rule configuration How to choose/switch to the best session handling mode HTTP compression Remote Elasticsearch access with HTTPS Syslog forwarding with SSL TLS/SSL Certificate creation Using the policy learning feature','Configuration examples and guides for general configuration tasks','','')
Smc.XSearch.add('../data/1629119807552.html','Airlock Anomaly Shield configuration The Airlock Anomaly Shield machine learning service can be fully configured via the Configuration Center UI. Chapter-related prerequisites An Airlock Anomaly Shield license must be available. You must be logged in as an admin in the Airlock Gateway Configuration Center. Schematics of the Airlock Anomaly Shield UI The configurational tasks involved in setting up the machine learning service are relatively complex because settings have to be made at different places of the Configuration Center. The following graphic will help you to understand the configurational context and how things are connected. The link list below will help you to directly navigate within this online help when following the graphic. Step # GUI description Configuration instructions 1. Application (configured) in Airlock Anomaly Shield Submenu – Anomaly Shield Preconfigure and Airlock Anomaly Shield application 2. Training data settings Section – Training Data Collection Anomaly Shield model management page Preconfigure and Airlock Anomaly Shield application Training and model enforcement 3. Mapping configuration Section – Application Mapping details page: Section – Anomaly Shield Preconfigure and Airlock Anomaly Shield application 4. Traffic exclusion for training data collection Section – Training Data Collection Traffic matcher configuration Application detail page 5. Anomaly detection/response settings Section – Anomaly Detection Traffic Matcher and Anomaly Response configuration Reducing false-positives Miscellaneous tuning 6. Response rule exception(s) Section – Anomaly Detection Traffic Matcher and Anomaly Response configuration Reducing false-positives 7. Response rule(s) Section – Anomaly Detection Rule detail page 8. Trigger, pattern and rule configuration Traffic Matchers detail page Trigger and Pattern detail page Chapter content Part 1 – Preconfigure an Airlock Anomaly Shield application Part 2 – Training and model enforcement Part 3 – Trigger, pattern and rule configuration Part 4 – Activate detection and response action (log-only mode) Part 5 – Analyze and adjust threat handling settings Optional configuration of Traffic Matchers Recommendations for assigning mappings to Anomaly Shield applications Airlock Anomaly Shield logs, tuning and advanced configuration Further information and links For a general introduction, see: Airlock Anomaly Shield For a brief example of setup, usage and operation, see: Airlock Anomaly Shield logs, tuning and advanced configuration D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Airlock Anomaly Shield configuration','','autocomplete_use:true')
Smc.XSearch.add('../data/1662655601988.html','Part 1 – Preconfigure an Anomaly Shield application Part 1 – Preconfigure an Airlock Anomaly Shield application One or more Anomaly Shield applications must be configured to shield back-end groups and applications with Airlock Anomaly Shield. Subsequently, Airlock Anomaly Shield´s machine learning algorithms must be trained with production data to detect anomalous or suspicious traffic effectively. In general, different back-end applications and similar back-end applications serving different business cases have different traffic behaviors. In this case, individual Anomaly Shield applications should be configured for each mapping and not be shared by different mappings. Best practice regarding initial Anomaly Shield application setups is to start by configuring individual Anomaly Shield applications per mapping and observing the traffic: When several thousand sessions occur weekly, stick with the multi Anomaly Shield application setup (one application per mapping). When only a few hundred sessions occur per day/week, consider sharing one Anomaly Shield application for similar back-end applications so that a sufficient amount of similar traffic is cumulated. See also the supplementary article Recommendations for assigning mappings to Anomaly Shield applications. Preconfigure an Anomaly Shield application and assign it to a mapping Go to: Application Firewall >> Anomaly Shield >> tab Applications Select the ON radio button to activate Airlock Anomaly Shield. Click the + button to add a new Anomaly Shield Application. The Anomaly Shield Application page opens up. Set an Application Name . The new Anomaly Shield application must be assigned to a mapping so that the Anomaly Shield application processes traffic on the mapping. Go to: Application Firewall >> Reverse Proxy Assign the Anomaly Shield application to each mapping that should be included in the same Anomaly Shield application. Select the corresponding Anomaly Shield application on the Basic tab of the mapping detail page. Proceed with enabling training data collection. Enable training data collection Collecting realistic training data is required as input for the Anomaly Shield machine learning models. As a rule of thumb, at least several thousand sessions, including atypical or suspicious sessions, would provide a reasonable basis for training the machine learning model. This can be achieved best by using the automatic retrain and enforce feature and permanently enabling training data collection. Note the following when collecting training data: Collect realistic production data. If required, filter out internal vulnerability scans using Traffic Matchers as Training Data Collection Exclusion . Collecting the full range of sessions and traffic behavior that may occur in typical calendar months is essential. We recommend using the automatic retrain and enforce option that collects 5–6 weeks of continuous session data, covering weekdays with working times, weekends, and day/night traffic in between training and model enforcement runs. Anomaly Shield works with session data but does not require authenticated sessions. Continue collecting session data until at least several thousand sessions have been saved. Automatic retraining options: For continuous model improvement, we recommend choosing the option Retrain and enforce. This will automatically choose a period of typical training data within the last 3 months (see scheduled Next training date). This option is configured in the following. The Retrain only option can be used in critical environments when model enforcement should not be performed automatically. In this case, the Next training date can be used to schedule the next manual enforcement date. We do not recommend turning off Automatic retraining . You may turn off the option if you need complete control over which training data is used for the Anomaly Shield model or if continuous improvement is undesirable. The training data are linked to the application name. Note that changing the Anomaly Shield application name, therefore, requires collecting new training data! Go to: Application Firewall >> Anomaly Shield In the application list, click the button to manage the machine learning model of the application. The Anomaly Shield Model Management page opens up. In section Training Task , enable Retrain and enforce. Go back to the Applications page. The icon appears in the column Enforced Model , indicating that automatic retraining and enforcement is activated. Enable Data Collection in the second column by clicking the dot (enabled = green). Proceed with Part 2 – Training and model enforcement to see when the next automatic retraining is scheduled. Further information and links Internal links: Submenu – Anomaly Shield Application detail page','Part 1 – Preconfigure an Airlock Anomaly Shield application','','')
Smc.XSearch.add('../data/1662655602108.html','Part 2 – Training and model enforcement After collecting several thousands of sessions as training data, the machine learning model can be prepared and enforced as described in this article. Automatic retraining (scheduled) Automatic retraining is the recommended option for training and already configured in Part 1 – Preconfigure an Airlock Anomaly Shield application. With this configuration, the data collected quarterly is analyzed as scheduled. Go to: Application Firewall >> Anomaly Shield >> tab Applications In the application list, click the button to manage the machine learning model of the application. The Anomaly Shield Model Management page opens up. Optional: In the section ColdDB Cluster Sync click Merge remote data, if the Gateway is operated in a cluster setup, Make sure that Automatic retraining is enabled, as recommended and wait until the next scheduled, quarterly automatic retraining date. Proceed with Part 3 – Trigger, pattern and rule configuration. Optional (initial) manual training If you don´t want to wait for the scheduled automatic retraining date, proceed as follows: Go to: Application Firewall >> Anomaly Shield >> tab Applications In the application list, click the button to manage the machine learning model of the application. The Anomaly Shield Model Management page opens up. Optional: In the section ColdDB Cluster Sync click Merge remote data, if the Gateway is operated in a cluster setup, Make sure that Automatic retraining is enabled, as recommended. Select a period of training data with the following in mind: Collect at least several thousand sessions of realistic production data, i.e. a period of typical, little to non-anomalous session data. Select session data for a period of 5 weeks/35 days or more. It is essential to train the machine learning model with the full range of different sessions and traffic behaviors that may occur in a typical calendar month. Click the Train button to create a prepared model. Note that training may take some time, depending on the number of selected sessions and the available system resources. In the section Prepared Model status OK appears. If the status is Incomplete or Empty, consider using a larger data set for training. In the section Prepared Model click the Enforce model button to enforce the prepared model for the Anomaly Shield application. The machine learning model is enforced with status OK. Proceed with Part 3 – Trigger, pattern and rule configuration. Further information and links Internal links: Anomaly Shield model management page','Part 2 – Training and model enforcement','','')
Smc.XSearch.add('../data/1662655602164.html','Part 3 – Trigger, pattern and rule configuration Airlock Anomaly Shield is preconfigured with a set of (default) trigger patterns and rules that are known to work well for most security requirements. This configuration is known to reliably detect anomalous traffic created by unwanted bots and malicious sessions. The triggers are subsequently assigned to the set of rules. Custom trigger configuration Custom triggers and rules may be configured to analyze traffic proactively. In the following, we show a useful but optional configuration targeting suspicious sessions. In this case, we use Anomaly Shield trigger to match the four primary indicators Graph Metrics Cluster, Isolation Forest, Status Code Meta, and Timing Cluster. Go to: Application Firewall >> Anomaly Shield >> tab Triggers & Rules >> section Triggers In section Custom Trigger , click the + button to add a new Anomaly Shield Trigger. The Anomaly Shield Trigger detail page opens up. Click the + button to create a new trigger Custom_Suspicious_Session , and to add new patterns with the following indicators: The new triggers have to be referenced by Anomaly Shield rules. Proceed with the rules configuration. If any trigger relies on the Client Behavior model, Airlock Anomaly Shield expects the injection of JavaScript in Anomaly Detection mode. Otherwise, the following error occurs: Custom rules configuration Rules define how the Anomaly Shield reacts when a trigger has been activated, e.g., marking a session as anomalous (soft action) or terminating it (hard action). In the course of this article, we will assign the previously created custom trigger for suspicious sessions with a custom rule with a soft action configuration. Go back to: Application Firewall >> Anomaly Shield >> tab Triggers & Rules >> section Rules Click the + button to add a new Anomaly Shield Rule. The Anomaly Shield Rule detail page opens up. In section Triggers , click the + button and select the trigger Custom_Suspicious_Session from the drop-down list. In section Actions , select the type of actions as follows: Activate the configuration. Based on our custom rule, sessions detected to be suspicious will be handled according to the configured Actions on IP Aggregates and Actions on Sessions . About pattern indicators From the available indicators, we recommend using: Graph Metrics Cluster Isolation Forest Status Code Meta Timing Cluster Query Parameter Client Behavior (already covered by the (default) Malicous bot rule) These indicators have proven very reliable in detecting anomalous traffic created by unwanted bots. Each indicator can be configured by clicking on the dots – the following settings are available: Grey dot – neutral, will match any behavior of this indicator. Red dot – matches if this indicator shows anomalous behavior. Green dot – matches if this indicator shows normal behavior. Further information and links Internal links: Trigger and Pattern detail page','Part 3 – Trigger, pattern and rule configuration','','')
Smc.XSearch.add('../data/1662655602223.html','Part 4 – Activate detection and response action (log-only mode) After initial setup, we activate the anomaly Detection and Response in log-only mode to collect log data for some weeks. This allows us to analyze the collected log messages, search for false positives, and tune the Anomaly Shield detection if required without any Anomaly Shield response action. For the initial configuration, we use the following settings: Log session anomaly details are set to When session anomaly pattern changes . This configuration will not clutter the logs but show all vital information to analyze sessions that are tagged as anomalous. Initially, Threat Handling should initially be set to Log only . With Anomaly Shield activated, this configuration prevents any actions from being taken. The logging mode allows analyzing the behavior of triggers and rules and checking if there are no false positives. In the tutorial, we set Hard_Action as the first rule, followed by Soft_Action. This way, malicious sessions are terminated by the first rule as configured in the actions, while suspicious sessions will not be terminated but logged by the second rule. The processing order of rules is important because only the first matching rule will be applied. Go back to: Application Firewall >> Anomaly Shield >> tab Applications In the column Anomaly Shield Application , click on the application entry to open the application detail page. Disable Training Data Collection . In section Anomaly Detection : Enable Anomaly Detection . Choose the log level When session anomaly pattern changes . Consider configuring an optional Traffic Matcher to exclude certain traffic from anomaly detection. See Optional configuration of Traffic Matchers You can significantly reduce the system load by excluding incoming traffic from Airlock Anomaly Shield´s calculation. Make sure only to exclude secure traffic! In section Anomaly Response , table Response Rules : Select the Log only radio button to enable the Anomaly Shield threat logging. Click the + button and add two Response Rules entries. Select the previously prepared rules. Rules are processed in top-down order. The first matching rule will be used! The entries can be sorted by drag and drop. In section Anomaly Response , table Response Rule Exceptions : Consider configuring an optional Traffic Matcher as response exception. See Optional configuration of Traffic Matchers A fully configured application may look like this: Activate the new configuration. Airlock Anomaly Shield now evaluates the target back-end application traffic. Incidents are being logged. Wait until the anomaly protection has generated a sufficient number of log messages that can be used to verify that the anomaly detection is working as expected. When the logs show the expected anomaly detection rate, change the Threat Handling from log only to Excecute actions and activate the configuration. The Airlock Anomaly Shield application is now active and logs anomalous sessions of the back-end application(s). Wait a few weeks to gather enough logs before proceeding with Part 5 – Analyze and adjust threat handling settings. Further information and links Application detail page','Part 4 – Activate detection and response action (log-only mode)','','')
Smc.XSearch.add('../data/1662655598797.html','Part 5 – Analyze threat handling Part 5 – Analyze and adjust threat handling settings In article Part 4 – Activate detection and response action (log-only mode), the threat handling settings have been set to log-only to collect log data. Search the logs regularly and verify that the anomaly detection is working as expected, i.e. that no false positives can be found in the logs. Wait to change the threat handling settings until the resulting logs clearly show that anomaly detection works as desired. The available actions and log-IDs are: Tag session as anomalous – WR-SG-NMLY-401 and WR-SG-SUMMARY Terminate session – WR-SG-NMLY-420 Block IP – WR-SG-NMLY-421 For the two initially configured rules: Logs generated by the rule Malicious_Sessions, check if there are false positives, i.e. sessions are determined to be anomalous by Anomaly Shield, but analysis shows that they are valid user sessions. Logs generated by the rule Suspicious_Sessions should also be analyzed to determine if the rule reports false positives. If no false positives are reported, we recommend adding deterring actions in Suspicious_Sessions as well. For in-depth information on how to analyze anomaly detection logs and how to tune the false-positive handling of Airlock Anomaly Shield, follow the links at the end of this article. Log analysis procedure and threat handling settings Wait until the anomaly protection has generated a sufficient number of log messages that can be used to verify that the anomaly detection is working as expected. Check logs for false positives. Consider adding Anomaly Detection Exclusions /Response Rule Exceptions by configuring one or more Traffic Matchers if applicable. See also the supplementary article Reducing false-positives in case too many false positives are detected even with exclusions in place. When the logs show the expected anomaly detection rate, change the Threat Handling from log only to Excecute actions . Go to: Application Firewall >> Anomaly Shield >> tab Applications In the column Anomaly Shield Application , click on the application entry to open the application detail page. In section Anomaly Response , table Response Rules : When the logs show the expected anomaly detection rate, change the Threat Handling from Log only to Excecute actions . The full application configuration with Execute actions enabled may look like this: Activate the new configuration. The Airlock Anomaly Shield application is now active with Execute actions enable, i.e. terminates malicious and logs suspicious sessions. Further information and links Log messages and actions of Airlock Anomaly Shield Reducing false-positives','Part 5 – Analyze and adjust threat handling settings','','')
Smc.XSearch.add('../data/1662655602277.html','Optional configuration of Traffic Matchers Configuring Traffic Matchers is an optional step. The following example can be used as anomaly detection exclusion to exclude, i.e., vulnerability scans during training data collection. It can also be used in production mode as a response rule exception. Traffic matchers are configured as sets of regex filters and IP Lists that can be applied to incoming traffic. Traffic Matchers are resources for the Anomaly Shield Applications detail page and can be referenced under: Training Data Collection , e.g., to exclude vulnerability scanning sessions from being analyzed and collected as training data by Airlock Anomaly Shield. Anomaly Detection Exclusions to bypass potentially non-threatening sessions (e.g., internal network traffic) around Airlock Anomaly Shield. Response Rule Exceptions to prevent false positives and matching requests bypass the Airlock Anomaly Shield. Other requests of the same session are not affected by the exclusion and are processed by Airlock Anomaly Shield as usual. To configure Traffic Matchers: Go to: Application Firewall >> Anomaly Shield >> tab Traffic Matchers Click the + button to create a new traffic matcher. The Anomaly Shield Traffic Matchers detail page opens up. Set the filter conditions in the section Matching Conditions . The following is a simple example configuration that excludes traffic from known IP addresses from being computed by Anomaly Shield. Typical usage is to exclude traffic from internal vulnerability scans: Note that our example only uses an IP filter. IP Lists are managed here: Submenu – IP Address Lists. You can add additional traffic matchers with more complex filter conditions, for example, by specifying a path and HTTP Method to be ignored. Apply the traffic matcher to the section Anomaly Detection on the Anomaly Shield Application detail page. Activate the configuration. Further information and links Traffic Matchers detail page Application detail page','Optional configuration of Traffic Matchers','','')
Smc.XSearch.add('../data/1689269958466.html','AAS applications and mappings Recommendations for assigning mappings to Anomaly Shield applications Every Anomaly Shield application can combine one or more mappings for data collection, training and protection – but how can you decide whether two mappings should be combined into the same AS application or kept separate? The information in this article should help answer this question. General considerations: Mappings that behave similarly should be combined into a single AS application. Combining multiple mappings into a single AS application allows for faster training data collection due to a potentially high request rate. It improves model training to determine normal (non-anomalous) traffic. Mappings that protect back-end applications with different technology or different business logic should be assigned to separate AS applications. Separate AS applications for mappings with differences in business logic: Mappings belong to different business functions. Mappings cover different user groups, e.g., regular users and professional users. Different business functions and user groups generate inhomogeneous traffic – an AS application works best with homogeneous traffic. Separate AS applications for mappings with differences in used technologies: Mappings distinguish between a desktop and mobile application. Mappings belong to different technical components. Mappings belong to different software versions, and there may be significant changes. Different back-end technologies and functions can generate non-comparable traffic – an AS application works best with comparable traffic. Examples The following examples demonstrate how the above rules can be applied: Use case Mappings Reason An e-banking application uses Airlock IAM to authenticate its users. separate The e-banking application and Airlock IAM use different technologies and provide other business logic. The same users use an e-banking application and a trading platform application. separate If the applications are from different vendors, the technology and business logic difference is sufficient to keep them separate. combined If the applications are from the same vendor and use the same technology, you should keep them combined. A large Wordpress site that hosts portals for multiple customers. combined The technology is the same and the business logic is still very similar. These sites should be kept combined.','Recommendations for assigning mappings to Anomaly Shield applications','','')
Smc.XSearch.add('../data/1618511385038.html','Anomaly Shield logs, tuning and others Airlock Anomaly Shield logs, tuning and advanced configuration Airlock Anomaly Shield allows fine-tuning of anomaly detection and other, Anomaly Shield-related configuration options. Some of these configuration tasks and fine-tuning require the use of CLI commands and manual changes outside the Configuration Center. Chapter content Log messages and actions of Airlock Anomaly Shield Reducing false-positives Consumption of system resources by Airlock Anomaly Shield CLI tools for Anomaly Shield data analysis Optional – Changing the Airlock Anomaly Shield HotDB (Redis instance)','Airlock Anomaly Shield logs, tuning and advanced configuration','','')
Smc.XSearch.add('../data/1629119818821.html','Log messages and actions Log messages and actions of Airlock Anomaly Shield Log IDs Airlock Anomaly Shield can be configured to trigger actions, whenever an anomaly has been detected. Log messages can be very helpful to identify sessions that triggered actions and/or to refine the trigger settings like Minimal bit count or Pattern based on log messages. This section describes the different log messages and how they can be identified. The ML-related log messages can be identified within the log file by their content. The syntax is "log_id": "WR-SG-NMLY-<log_id>" . The available actions and log-IDs are: Tag session as anomalous for sessions – WR-SG-NMLY-401 and WR-SG-SUMMARY Tag session as anomalous for IP aggregates – WR-SG-NMLY-411 and WR-SG-SUMMARY Terminate session – WR-SG-NMLY-420 Block IP – WR-SG-NMLY-421 Log level settings It is possible to report the information returned by the Airlock Anomaly Shield ML service even without creating any rules or actions. This requires enabling Anomaly Shield and to set the Log sessions anomaly details under Application detail page. The following settings can be selected: Never – to never write the ML information for the ML application. When session anomaly pattern changes – to only write the ML information on a change in the resulting pattern. When raw session anomaly values change – to only write the ML information on a change in the raw values. For every request – to always write the ML information for the ML application. Log message bodies The Anomaly Shield ML service information is reported with the following log message: {  "log_id": "WR-SG-NMLY-<log_id>",  "req_id": "<current_request_id>",  "sess_id": "<current_session_id>",  ...,  "mapping": "<current_mapping>",  "client_ip": "<current_client_ip>",  ...,  "ml_app": "<current_ml_application_id>",  "message": "ML values: <raw_ml_values>; thresholds: <configured_thresholds>; pattern: <resulting_pattern>; bitcount: <number_of_active_indicators>" } The format of the raw ML values and the thresholds is: cba:<float> grm:<float> ifo:<float> qpm:<float> scm:<float> tcs:<float> Where <float> is between ´0.00´ and ´1.0´. The format of the resulting anomaly pattern is: cba:<bool> grm:<bool> ifo:<bool> qpm:<bool> scm:<bool> tcs:<bool> Where <bool> may be either ´1´ for true or ´0´ for false. Abbreviations of ML model names Log messages contain abbreviations for the different types of machine-learning models behind the pattern names. Example: {  "log_id": "WR-SG-NMLY-200",  "req_id": ""YGxArETHlhOM62aHU58LAQAAADg,  "sess_id": "ab6be40964329b226f4b0c97c663da36",  ...,  "mapping": "my_mapping",  "client_ip": "80.253.98.123",  ...,  "ml_app": "my_ml_application",  "message": "ML values: cba:0.01,grm:1.0,ifo:0,qpm:0.01,scm:0.01,tcs:0.98; thresholds: cba:0.99,grm:0.99,ifo:0.99,qpm:0.99,scm:0.99,tcs:0.97; pattern: cba:0,grm:1,ifo:0,qpm:0,scm:0,tcs:1; bitcount:2" } The following abbreviations are made: Abbreviation in logs Labels in the configuration UI, figures, and descriptive texts cba Client Behavior Client Behavior grm GraphMetricsCluster Graph Metrics Cluster ifo IsolationForest Isolation Forest qpm Query Parameters Query Parameters scm StatusCodeMeta Status Code Meta tcs TimingCluster Timing Cluster * Used in: /opt/airlock/ml-service/conf/analytics_indicator_thresholds.json . Log messages for Tag session as anomalous When a MARK_ANOMALOUS action is issued, the following log message will be written: {  "log_id": "WR-SG-NMLY-401",  "req_id": "<current_request_id>",  "sess_id": "<current_session_id>",  ...,  "message": "ML: Marking session as anomalous. Matched rule \\"<matching_rule_name>\\", with triggers (<list_of_matching_triggers>)" } The anomalous property of the session will be reported in each WR-SG-SUMMARY message with the field ml_anomaly . It can have the following values: normal The session was never marked as anomalous. anomalous The session is currently marked as anomalous. exception The session would be marked as anomalous but isn´t because of a matched exception rule. redeemed The session is currently not marked as anomalous but was in the past. This is a non-blocking action. Rules with only non-blocking actions are best configured to run after the rules with blocking actions. Since the first matching rule aborts the rule processing, this action could mistakenly act as a allow list of blocking actions if configured incorrectly. Log messages for Terminate session When a TERMINATE_SESSION action is issued, the current session is being terminated and the following log message will be written: # Block message {  "log_id": "WR-SG-BLOCK-155"  "req_id": "<current_request_id>",  "sess_id": "<current_session_id>",  ...,  "attack_type": "Behaviour anomaly",  "block_type": "Machine Learning",  "constraint": "Behaviour",  "th_mode": "<current_threat_handling_mode>",  "ml_app": "<current_ml_application_id>",  "message": "Session anomaly detected by ML rule \\"<matching_rule_name>\\". Executing block actions: <list_of_blocking_actions>"  } # Additional log message confirming the action in integration mode {  "log_id": "WR-SG-NMLY-420",  "req_id": "<current_request_id>",  "sess_id": "<current_session_id>",  ...,  "message": "ML: Terminating current session" } Log messages for Block IP When a Block IP action is issued, the current IP is being blocked for a certain amount of time. The following log message will be written when an IP is blocked: # Block message {  "log_id": "WR-SG-BLOCK-155"  "req_id": "<current_request_id>",  "sess_id": "<current_session_id>",  ...,  "attack_type": "Behaviour anomaly",  "block_type": "Machine Learning",  "constraint": "Behaviour"),  "th_mode": "<current_threat_handling_mode>",  "ml_app": "<current_ml_application_id>",  "message": "Session anomaly detected by ML rule \\"<matching_rule_name>\\". Executing block actions: <list_of_blocking_actions>"  } # Additional log message confirming the action in integration mode {  "log_id": "WR-SG-NMLY-421",  "req_id": "<current_request_id>",  "sess_id": "<current_session_id>",  ...,  "message": "ML: Blocking client IP <current_client_ip> for <configured_time> seconds" } Note that the blocking time can be configured as described here: Miscellaneous tuning Further information and links For general information about logging, see: Menu – Log & Report For action configuration, see: Part 5 – Analyze and adjust threat handling settings For blocking time configuration, see: Miscellaneous tuning For log information in Airlock Anomaly Shield cookies, see: Airlock Anomaly Shield cookies D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Log messages and actions of Airlock Anomaly Shield','','autocomplete_use:true')
Smc.XSearch.add('../data/1618511385027.html','False-positive handling Reducing false-positives False positives are created whenever Airlock Anomaly Shield flags legitimate sessions as anomalous. The causes of false positives can be very different – thus we have to choose the correct measures to successfully reduce the number of false positives. Keep training data clean: Training data should be based solely on legitimate traffic. Create traffic exclusions to exclude non-legitimate traffic before gathering training data and ML model training. See also Optional configuration of Traffic Matchers. Configure response rule exceptions and anomaly detection exclusions for Anomaly Shield applications: Adding new response rule exceptions to Anomaly Shield applications can effectively reduce the number of blocks. However, creating exceptions will not influence the anomaly detection itself – logs will still be written whenever an anomaly has been detected. Anomaly detection exclusions allow bypassing certain traffic from being analyzed, which can be an appropriate measure to reduce false positives. Detection exclusions can also reduce the system load. Configure response rule exceptions for Anomaly Shield applications if applicable. See also Section – Anomaly Detection. Configure anomaly detection exclusions for Anomaly Shield applications if applicable. See also Traffic Matchers detail page. Fine-tune the thresholds for anomaly detection to reduce the false positive rate: Tuning anomaly detection thresholds greatly impact what behavior may result in what action. Keep in mind that the default threshold set is the result based on extensive research and is suitable for a wide variety of use cases. Ensure the ML models have been trained with clean traffic data and that exceptions have been configured before testing/attempting any fine-tuning measures. The default Anomaly Shield model thresholds can be tuned globally and for individual applications. See the table below. Airlock Anomaly Shield evaluates sessions after the first 15 requests by default. This threshold can be increased so that the session evaluation happens at a later pointof a session. See the table below. Inspect the log messages With clean training data in the ColdDB and the required enforcement exception rules configured, we have to inspect the WR-SG-NMLY-200 log messages in order to decide what to fine-tune: Log-observation Tuning measure One ML model appears too aggressive and is active for most or all sessions. This is a strong indicator for increasing the default model thresholds. Airlock Anomaly Shield evaluates a session as anomalous within the first few requests, but the bit count decreases to non-anomalous values while the session is ongoing. This is a strong indicator for increasing the number of requests within a session prior to the evaluation. Threshold tuning Anomaly indicator values are processed based on the set of thresholds in the Expert Settings during operation. For dry-run testing, new thresholds can be set in the analytics_indicator_thresholds.json file and be applied against ColdDB data. This allows you to simulate how changing the thresholds would affect the evaluation before applying new thresholds in operational mode. Get the current thresholds that are stored in the Expert Settings (Section – Security Gate). Default values: ################## # ANOMALY SHIELD # ##################  # DEFAULT INDICATOR THRESHOLDS # # (Context: global, AnomalyShield application) # # The indicator thresholds can be configured per model with # the following resources: AnomalyShield.Indicator.ConnectionMetrics.Threshold "0.99" AnomalyShield.Indicator.GraphMetricsCluster.Threshold "0.99" AnomalyShield.Indicator.IsolationForest.Threshold "0.99" AnomalyShield.Indicator.MultipleCountries.Threshold "0.99" AnomalyShield.Indicator.StatusCodeMeta.Threshold "0.90" AnomalyShield.Indicator.TimingCluster.Threshold "0.97" AnomalyShield.Indicator.QueryParameters.Threshold "0.90" You can read out the threshold values of your current configuration with this command: /opt/airlock/ml-service/bin/airlock-ml-analytics export_thresholds Note that the displayed thresholds will be sorted in alphabetical order. Use your current thresholds in the /opt/airlock/ml-service/conf/analytics_indicator_thresholds.json file as a starting point for the analytics tool. Run the analytics tool in /opt/airlock/ml-service/bin/ against the ColdDB data and check which ML model is configured with an overly sensitive threshold. Example: /opt/airlock/ml-service/bin/airlock-ml-analytics --cold-db /var/airlock/ml-service/cold.db apply_models --query ´{"bitcount": ">= 3"}´ --output pattern bitcount Note that we filtered the output for "bitcount": ">= 3" in our example. Adjust the query as required. Gradually increase the thresholds that are found to be too sensitive. For example, you may change the IsolationForest.Threshold from 0.99 to 0.993 in the analytics_indicator_thresholds.json . Re-run the analytics tool against the ColdDB data and check if the change shows the desired effect on reducing false positives. If not, proceed the threshold tuning until the outcome of the analytics tool is acceptable. Apply the determined values either globally or as individual settings per application in the Expert Settings. Individual thresholds per application have the following Expert Settings syntax: AnomalyShield.Application.NAME-OF-AS-APPLICATION.Indicator.IsolationForest.Threshold "0.993" After changing the Expert Settings, apply the new thresholds by activating the configuration. Increasing the number of requests within a session The minimal session length value can be increased if sessions are tagged anomalous after too few session requests and when the same session-bit count drops with additional requests. Note that the minimal required (request) aggregation value should be equally increased. By doing so, session evaluation requires more requests within a session before the session is tagged. Go to: /opt/airlock/ml-service/devel/conf/ml.ini Increase the min_sess_length (default is 15 ) gradually, e.g., in +5 steps. Go to: /opt/airlock/ml-service/devel/conf/default_hyper_parameters.ini Increase the min_req_aggregation (default is 15 ) equally to min_sess_length . Re-train the models as described in the Training and model enforcement article and activate the configuration. Check if the changes show the desired effect on reducing false positives during operation. If not, further increase the values until the outcome is acceptable. Further information and links: Internal links: CLI analytics tool Airlock Anomaly Shield logs, tuning and advanced configuration Expert Settings – Security Gate','Reducing false-positives','','')
Smc.XSearch.add('../data/1618511384970.html','System resources Consumption of system resources by Airlock Anomaly Shield Airlock Anomaly Shield may require a decent amount of system resources when enabled, but it is difficult to give a clear guideline here. Follow the current standard hardware sizing rules (see System and hardware requirements) as a basis and further follow the Airlock Anomaly Shield hardware sizing rules below. Rules for hardware sizing with Airlock Anomaly Shield enabled Use the following rules, to check if your system is sized correctly and is ready for Airlock Anomaly Shield : Analyze the memory and CPU usage over the past months. Especially have a closer look at peak usage. Even at peaks, a well-sized Gateway installation should not require more than 60% of the available resources. Take into account that Airlock Anomaly Shield will require 10%–20% or at least 1GB memory, and approximately 20%–30% of CPU load. Ensure the combined load of Anomaly Shield and Gateway does not exceed 60% of your current setup system resources. Otherwise, increase the memory and/or CPU resources of the Airlock Gateway hardware/VM accordingly. The ColdDB is stored on the /var partition by default. Make sure there is at least 3GB of free disk space available. The maximum size of the ColdDB can be configured. By default, Anomaly Shield uses 2 simultaneous processes (2 CPU cores). The number of processes can be configured. Further information and links Increasing Airlock Anomaly Shield evaluation throughput with additional worker processes Miscellaneous tuning','Consumption of system resources by Airlock Anomaly Shield','','')
Smc.XSearch.add('../data/1646385552415.html','Worker process tuning Increasing Airlock Anomaly Shield evaluation throughput with additional worker processes Prerequisites Before enabling Airlock Anomaly Shield, make sure that you have enough free CPU resources to handle even peak loads of the Airlock Gateway. A good indicator is when the CPU load remains below 50%. Mind the Performance considerations on load and configuration before increasing the number of worker processes. Introduction The Airlock Anomaly Shield evaluation performance is limited by the number of parallel machine learning service worker processes. By default, the number of worker processes is 2, but can be increased if your system configuration allows assigning more exclusive machine learning service processes. Note that assigning additional worker processes will occupy CPU cores. We recommend the following steps: Check the system performance with Airlock Anomaly Shield enabled. Calculate a metric that examines how many evaluations take place per session per minute. Increase the number of worker processes in the /opt/airlock/ml-service/conf/ml.ini file accordingly. Step 1 – Calculate the Anomaly Shield evaluation performance Configure log session anomaly details Go to: Application Firewall >> Anomaly Shield Applications >> Anomaly Detection and Response Set Log session anomaly details to When raw session anomaly values change . Calculate the Anomaly Shield evaluation performance Go to: Log & Report >> Log Viewer Compare the amount of WR-SG-SUMMARY logs with WR-SG-NMLY-200 per session for an interval of e.g. 30 minutes. The ratio of the two log messages shows how many requests happen per evaluation of a session. Calculate how many Anomaly Shield evaluations take place per session and minute. Step 2 – Increase the number of worker processes Edit the number of worker processes, according to the evaluation performance, e.g. to processes = 3: /opt/airlock/ml-service/conf/ml.ini ... # Set the number of processes to fork processes = 3 ... Restart the service: systemctl restart airlock-ml-service.service Re-calculate the Airlock Anomaly Shield evaluation performance (see Step 1). Note that the average CPU load should remain below 50%. Increase the number of worker processes if required and if the CPU load allows.','Increasing Airlock Anomaly Shield evaluation throughput with additional worker processes','','')
Smc.XSearch.add('../data/1629119818568.html','Miscellaneous tuning Miscellaneous tuning Anomaly Shield tuning can be done in the ml.ini file and in the Security Gate Expert Settings. The ml.ini file is the configuration file for the machine learning service. It is located under /opt/airlock/ml-service/conf/ml.ini and is well documented by comments within the file. Security Gate Expert Settings can be set over the graphical UI in Section – Security Gate. Note that any changes in the ml.ini file require restarting the ml-service: systemctl restart airlock-ml-service Procedure-related prerequisites See chapter-related prerequisites. Instruction 1 – Change time to block for action Block IP When a BLOCK_IP action is issued, the current IP is being blocked for a certain amount of time. The block time can be set globally in seconds in the Expert Settings of Section – Security Gate. # Default time to block: 1 hour (3600 seconds) # set time to block to 30 minutes (1800 seconds) AnomalyShield.Block.SourceIp.TimeToBlock "1800" Instruction 2 – Changing the number of ml-service processes The number of processes may be changed at your discretion. By limiting the number of processes, the system load impact of the ml-service can be limited. processes The preset number of parallel processes 2 . This means the service may only utilize 2 CPU cores by default. Note that limiting the number of concurrent processes is a measure to keep enough CPU resources available for general request processing at all times. However, on a large system with many CPU cores, it may be advisable to increase the number accordingly. Instruction 3 – Changing the quota for ColdDB The cold_db_max_bytes settings may be changed at your discretion. cold_db_max_bytes The preset quota setting for the ColdDB is 3GB . It may be increased if the default quota does not suffice. Note that a reduction of the ColdDB space should not be considered on production systems. A_01 Action module (standard) A_01 Action module (standard)','Miscellaneous tuning','','autocomplete_use:true')
Smc.XSearch.add('../data/1629119817861.html','CLI tools CLI tools for Anomaly Shield data analysis Besides general information about the available CLI tools, this chapter features simple examples of how to train on, evaluate and analyze Airlock Anomaly Shield ML data. Airlock Anomaly Shield features command-line tools for special operational tasks on expert level: The CLI analytics tool – multi-purpose command-line application, e.g. to apply collected session data against trained models. The CLI ColdDB tool – multi-purpose command-line application for ColdDB operations such as data check, merge, move and delete actions. Further information and links The CLI tools may be required for: Part 5 – Analyze and adjust threat handling settings D_05 Descriptive module for concepts (with TOC) D_05 Descriptive module for concepts (with TOC)','CLI tools for Anomaly Shield data analysis','','autocomplete_use:true')
Smc.XSearch.add('../data/1618511385035.html','CLI analytics tool The airlock-ml-analytics tool is a multi-purpose CLI application. It allows administrators to analyze collected session data. Path to the tool: /opt/airlock/ml-service/bin/airlock-ml-analytics Use ./airlock-ml-analytics --help for detailed tool description. Main use-cases for the tool Testing (dry-run) before applying new settings/configurations: The tool can be used to apply different/customized configurations (e.g., with tuned thresholds) to ColdDB sessions for testing and evaluation purposes. The resulting anomaly indicator values and anomaly indicator patterns will show the Airlock Anomaly Shield output based on the current test settings. Statistics: Generate percentage statistics of resulting indicator patterns on a given set of sessions (time frame, application). This is useful to see which patterns are most common in your setup. Or would be for certain parameters. Deep analysis of certain indicator properties: Search sessions that match certain indicator properties such as indicator values, indicator pattern, number of active indicators, etc. Sessions found this way may then be further analyzed using the Logviewer. Generation of raw anomaly indicator values for evaluation: Raw anomaly indicator values or resulting indicator patterns can be generated for a given session or even a set of sessions. The data can be used to analyze why a session evaluation resulted in a specific pattern. For better understanding, we have created a mini-guide on how to integrate Airlock Anomaly Shield and how to use the CLI analytics tool with exemplary data. See: Airlock Anomaly Shield logs, tuning and advanced configuration Using the analytics tool for advanced analytics','CLI analytics tool','','')
Smc.XSearch.add('../data/1618511385052.html','Advanced analytics Using the analytics tool for advanced analytics In this section, we introduce some exemplary use-cases of the Airlock Anomaly Shield analytics tool. For a complete list of the airlock-ml-analytics tool capabilities use --help : cd /opt/airlock/ml-service/bin ./airlock-ml-analytics --help Also, check out Log messages and actions of Airlock Anomaly Shield to examine log messages created by Airlock Anomaly Shield . Check trained ML models To verify that the models for a given application are trained, use the following command: cd /opt/airlock/ml-service/bin ./airlock-ml-analytics mod_info A list with mod_info of the collected data will be displayed: {"aid": "BookShop", "indicator_count": 6, "indicators": ["ConnectionMetrics", "GraphMetricsCluster", "IsolationForest", "MultipleCountries", "StatusCodeMeta", "TimingCluster"]}{"aid": "OtherApp", "indicator_count": 6, "indicators": ["ConnectionMetrics", "GraphMetricsCluster", "IsolationForest", "MultipleCountries", "StatusCodeMeta", "TimingCluster"]} This shows the trained applications per line and the trained models per application. The indicator_count should always be 6. If this is not the case, some machine learning models failed to be trained, most likely due to a lack of sufficient divergent data. Find sessions that produce high anomaly ratings It might be interesting to check which session metrics would result in a high anomaly rating (e.g. "bitcount": ">= 3" ) before enabling enforcement rules. To search for sessions in our BookShop example that have >= 3 active anomaly indicators, we run: cd /opt/airlock/ml-service/bin ./airlock-ml-analytics --application "BookShop" --start "2022-06-01" --end "2022-06-07" apply_models --query ´{"bitcount": ">= 3"}´ --output pattern bitcount A note on the above request: It is always advisable to restrict the time frame and select an application to reduce the data processing time. The output will be something like this: ... {"aid": "BookShop", "sid": "1b7f90241ac001f10603cd2df0ea6d80", "pattern": {"ConnectionMetrics": 1, "GraphMetricsCluster": 0, "IsolationForest": 0, "MultipleCountries": 1, "StatusCodeMeta": 1, "TimingCluster": 0}} ... From here, you may want to analyze the suspicious session using Logviewer. Use the session ID (sess_id ) for a Kibana search for a detailed view. Alternatively: Use the session ID (sess_id ) with the airlock-elasticsearch-query tool for a quick view. The query may look like follows: airlock-elasticsearch-query --query ´log_id: WR-SG-SUMMARY AND sess_id: 1b7f90241ac001f10603cd2df0ea6d80´ --fields @timestamp http_method entry_path http_status The apply_models subcommand is quite versatile, please consult the tools to help to see the full capability: ./airlock-ml-analytics apply_models --help Readout the distribution ratio of anomaly patterns in percent Use the sess_stat command option to generate a list of anomaly patterns that show the distribution sorted in percent per application. In our example, we also limited the output with a time range to speed up the computation: cd /opt/airlock/ml-service/bin ./airlock-ml-analytics sess_stat --application "BookShop" --start "2022-06-01" --end "2022-06-07" sess_stat The output will be something like this: pattern bitcount count ratio ... 4 {´ConnectionMetrics´: 1, ´GraphMetricsCluster´: 1, ´IsolationForest´: 0, ´MultipleCountries´: 1, ´StatusCodeMeta´: 1, ´TimingCluster´: 0} 5 4 0.003980 5 {´ConnectionMetrics´: 0, ´GraphMetricsCluster´: 0, ´IsolationForest´: 0, ´MultipleCountries´: 0, ´StatusCodeMeta´: 1, ´TimingCluster´: 0} 1 5 0.004975 6 {´ConnectionMetrics´: 0, ´GraphMetricsCluster´: 0, ´IsolationForest´: 0, ´MultipleCountries´: 0, ´StatusCodeMeta´: 0, ´TimingCluster´: 0} 0 986 0.981095  How to read the above output: Line number 4: 4 sessions are reported to have a pattern bit count of 5 for the number of counted sessions which applies to 0.39% of all counted sessions. This may be a pattern that could be used in an enforcement rule. Sessions with a bitcount higher 2 should be analyzed thoroughly. See Find sessions that produce high anomaly ratings. Line number 5: 5 sessions are reported to have a pattern bit count of 1 for the number of counted sessions which applies to 0.49% of all counted sessions. This pattern does most likely do not require further investigation or an enforcement rule. Line number 6: 986 sessions are reported to have a pattern bit count of 0 for the number of counted sessions which applies to 98.1% of all counted sessions. This pattern does not show any anomaly count at all.','Using the analytics tool for advanced analytics','','')
Smc.XSearch.add('../data/1629119807136.html','CLI ColdDB tool Note that with Airlock Gateway 8.0 the CLI ColdDB tool has become widely obsolete due to the improved, UI-based Anomaly Shield model management page. Basic training and management tasks (i.e. export/import of data) are covered by the UI functionalities. The airlock-ml-colddb-tool is a CLI application that allows administrators to perform a set of actions on ColdDB machine learning data collections. This includes data check, merge, move, copy and delete actions. It can also be used to shrink the ColdDB itself. Path to the tool: /opt/airlock/ml-service/bin/airlock-ml-colddb-tool Use ./airlock-ml-colddb-tool --help for detailed tool description. Copy command The copy command can be used to merge ColdDBs, e.g. to consolidate data collections between Airlock Gateway instances. Adjust the code of the following example before use: cd /opt/airlock/ml-service/bin ./airlock-ml-colddb-tool --cold-db /var/tmp/failovernode-cold.db --other-cold-db /var/airlock/ml-service/cold.db copy   Example explained: In our example, all session metrics from failovernode-cold.db are copied and merged into the cold.db database. The copy command can also be used to restore archived session metrics data. Adjust the code of the following example before use: cd /opt/airlock/ml-service/bin ./airlock-ml-colddb-tool --application ebanking --start 2020-10-17 --end 2020-11-01 --cold-db /var/tmp/archive-cold.db --other-cold-db /var/airlock/ml-service/cold.db copy  Example explained: In our example, all session metrics from the application named ebanking from 2020-10-17 to 2020-11-01 are restored from the archive-cold.db into the cold.db database. Summary command Before machine learning models can be trained for an application, sufficient session metrics data must be collected. To check the content of the ColdDB, use the summary command. Adjust the code of the following example before use: cd /opt/airlock/ml-service/bin ./airlock-ml-colddb-tool summary  Application first last SessionCount 0 BookShop 2021-03-09T10:28:33 2021-04-07T10:28:44 1337 1 OtherApp 2021-03-11T08:12:01 2021-04-07T10:28:40 2503 Example explained: Application – the name of the application for which session metrics have been collected. first – the timestamp of the first sample. last – the timestamp of the last sample. SessionCount – the number of collected session metrics. Note that only sessions with a minimum number of requests are collected. Very short sessions, e.g. with only a single request, are not collected because they have little to no value as training data. Move command The move command can be used to archive session metrics. Adjust the code of the following example before use: cd /opt/airlock/ml-service/bin ./airlock-ml-colddb-tool --application ebanking --start 2020-10-17 --end 2020-11-01 --other-cold-db /var/tmp/archive-cold.db move  Example explained: In our example, all session metrics from the application named ebanking from 2020-10-17 to 2020-11-01 are moved into a ColdDB named archive-cold.db To restore the data from the archive-cold.db , the copy command can be used. Delete command The delete command can be used to remove session metrics from ColdDB. Note that deleting session metrics is permanent. Adjust the code of the following example before use: cd /opt/airlock/ml-service/bin ./airlock-ml-colddb-tool --application ebanking --start 2020-10-17 --end 2020-11-01 delete Example explained: In our example, all session metrics from the application named ebanking from 2020-10-17 to 2020-11-01 are removed from the ColdDB by the delete command. After deletion, the vacuum command can be used to reduce the size of the ColdDB. Vacuum command The vacuum command can be used to shrink and repackage the ColdDB. This command is usually used to free up space after the deletion of session metrics from the ColdDB. cd /opt/airlock/ml-service/bin ./airlock-ml-colddb-tool vacuum','CLI ColdDB tool','','')
Smc.XSearch.add('../data/1618511385019.html','Changing the HotDB Optional – Changing the Airlock Anomaly Shield HotDB (Redis instance) A Redis instance is used as HotDB for communication and storage of the request data between Airlock Anomaly Shield and the Security Gate process. By default, the globally configured Redis (session store) instance of the Gateway is used, but this can be changed as follows: Define the new Redis instance in the global Expert Settings. Redis.Service.0.Name "Local" Redis.Service.Local.Mode "SOCKET" Redis.Service.Local.SocketFile "/var/run/redis-ml/redis-ml.sock"  Redis.Service.1.Name "RedisWithSsl" Redis.Service.RedisWithSsl.Mode "SERVER" Redis.Service.RedisWithSsl.Server.0.Host "80.264.93.142" Redis.Service.RedisWithSsl.Server.0.Port "6379" Redis.Service.RedisWithSsl.Server.0.SSLEnable "TRUE" Redis.Service.RedisWithSsl.Server.0.SSLServerCA "/opt/airlock/custom-settings/gatekeeper/redis_server_ca.pem" Redis.Service.RedisWithSsl.Server.0.SSLClientCert "/opt/airlock/custom-settings/gatekeeper/redis_client_cert.pem" Redis.Service.RedisWithSsl.Server.0.SSLClientCertKey "/opt/airlock/custom-settings/gatekeeper/redis_client_cert_key.pem"  Reference which Redis service is used as HotDB for the Anomaly Shield AnomalyShield.Redis.Service . AnomalyShield.Redis.Service "RedisWithSsl" Add the Redis server address and port information to the configuration file of the ML-Service. Path: /opt/airlock/ml-service/conf/ml.ini hot_db = server:80.264.93.142:6379 The AnomalyShield.Redis.Service can not handle Redis clusters. Make sure to reference a Redis service that is either configured with mode SERVER or SOCKET .','Optional – Changing the Airlock Anomaly Shield HotDB (Redis instance)','','')
Smc.XSearch.add('../data/1571978526991.html','Airlock Gateway failover cluster Airlock Gateway failover setup for on-premises installations Airlock Gateway can be set up as a failover cluster with two Gateway instances, called nodes, for on-premises installations. In an Airlock Gateway failover cluster, there is always one node active and one node passive. The active node currently receives the traffic and the passive node is in standby mode. If one node fails, the other automatically takes over. The two nodes need a communication channel over an external network interface. This connection is required for the cluster communication i.e. to monitor the health status, database sync, and to distribute configuration settings between both nodes. The external network interfaces require two failover IP addresses. The IP addresses on both nodes are configured crosswise so that the two nodes can communicate with each other. For the failover communication protocol, it is strongly recommended to use private IP addresses that are not routed on the Internet (i.e. 10.0.0.0/8, 172.16.0.0/12 or 192.168.0.0/16). Clustering uses ports 80 and 29742 on the ext. interface(s) and port 22 on the mgt. interface. Airlock Gateway clusters with multiple external interfaces check the connectivity on all interfaces with configured Private Failover IP/Mirror Failover IP. A failover switch (takeover) is triggered only if there is no connection on all and every interface pairs. Chapter content Setup a failover cluster Remote activation within an Airlock Gateway failover cluster Maintaining actions on cluster nodes Hardware replacement in failover cluster','Airlock Gateway failover setup for on-premises installations','','')
Smc.XSearch.add('../data/1583435027383.html','Setup a failover cluster A failover cluster requires two Airlock Gateway instances: One primary active node instance to handle the load during normal operation. One failover passive node instance to take over the load in case the primary node is no longer responsive. Remote activation of configuration modifications is possible over the Configuration Center and the Airlock Gateway REST API . Procedure-related prerequisites Configuration takes place in Airlock Gateway . An Airlock Gateway license must be available for each Gateway instance. You must be logged in as an admin in the Airlock Gateway Configuration Center. Install and setup the primary active node and export configuration Install and configure an Airlock Gateway instance. Test and verify the functionality of your configuration. Go to: System Setup >> Nodes & Interfaces , section Failover Configuration . In the section Failover Configuration , create a failover configuration for each network interface that uses an external IP address (i.e., for each virtual host): Set an IP Private Failover IP Address (CIDR) (e.g. 10.0.0.1/30). Set an IP Mirror Failover IP Address (e.g., 10.0.0.2). Activate the configuration and verify that the Gateway works as required. The Gateway has been set up to operate as active node. Go to: Configuration Files to select Include private keys of certificates . Click the Export button to export the currently active configuration. The exported configuration file contains all settings and the private keys. Install and setup the passive node and import configuration Install an Airlock Gateway instance. Go to: Configuration Files , import the configuration file of the active node Gateway instance and select Set up a Failover Cluster in the upcoming dialog. Activate the configuration on the Airlock Gateway . The Gateway has been set up to operate as passive node. Transfer the passive node configuration into the active node The following procedure takes place on the passive node: Go to: Configuration Files , select Include private keys of certificates, and click the Export button. The exported configuration file contains the private keys information and the IP failover addresses of both Gateway s. The following procedure takes place on the active node: Go to: Configuration , import the configuration file of the passive node Gateway instance. Activate the imported configuration. Both Gateway instances are now clustered and share the same set of private keys. Remote configuration activation of the cluster Remote configuration activation of the cluster is possible via Configuration Center and REST API, but can be limited depending on the cluster sync status. When a cluster is out of sync, the Gateway will enforce a configuration overwrite for activation. A cluster will be out of sync for the following reasons: After the initial setup. After updating to a new Airlock Gateway version. After one node has been activated locally. Performing an overwrite will automatically re-sync the nodes and re-enables the merging option for upcoming remote activations. To re-sync the cluster: Perform a remote activation of the cluster configuration. Choose overwrite. Both Gateway instances are now in sync. Further information and links Remote activation within an Airlock Gateway failover cluster Update a failover cluster','Setup a failover cluster','','')
Smc.XSearch.add('../data/1576844238038.html','Remote activation within an Airlock Gateway failover cluster Within an Airlock Gateway failover setup for on-premises installations, the same configuration can be activated on both systems in one single step: The activation dialog gives a choice between local and remote activation. For example, in a cluster consisting of nodes "node1" and "node2", when clicking on "Activate" on node1, the activation dialog will give the options "Activate on node1" (local activation) and "Activate on node1 and node2" (remote activation). Remote activation simultaneously activates the current local configuration on both the local as well as remote node. Airlock Gateway detects concurrent activations from different sessions and is able to merge concurrent changes. This mechanism also works across different nodes in an Airlock Gateway Failover Cluster, but we strongly recommend to trigger activations always on the same cluster node. Further information and links Simultaneous administration and configuration merge','Remote activation within an Airlock Gateway failover cluster','','')
Smc.XSearch.add('../data/1616156858730.html','Maintaining actions Maintaining actions on cluster nodes On an existing failover cluster, the Configuration Center allows hassle-free configuration changes for both cluster nodes on a single UI. For most cases, there is no need to switch via logins between both nodes – simply make your changes for both cluster nodes on the instance you are currently logged in. The remote configuration feature eliminates the need for manual node synchronization and can be used i.e. for common maintenance purposes. Configuration validation and activation of the cluster are supported. Example: In the following screenshot, we are logged in on the cluster node madura – the 2nd tab lesbos represents the remote cluster node. Note that only the node you are currently logged in can be fully configured in order to ensure a valid failover cluster communication. Limitations of remote node configuration (2nd tab) The 2nd tab of Nodes & Interfaces always represents the 2nd failover cluster node. Note that some settings are greyed-out and cannot be adjusted in order to maintain the cluster configuration valid. Not editable in section Node Information : Hostname Not editable in section Management Access : Network Interface IP Address (CIDR) Not editable in section Physical Network Interfaces : Logical Name DHCP mode Not editable in section Failover Configuration : Network Interface Private Failover IP Address (CIDR) Mirror Failover IP Address Adding network interfaces and failover configuration New physical network interfaces and failover configuration entries can be added on the 1st tab and appear simultaneously on the 2nd tab. Example 1 – add a new network interface Click on the + button in the section Physical Network Interfaces. A new interface entry appears on tab madura and lesbos . Configure the new interface on both tabs. Validate and activate the configuration on both nodes. Example 2 – add a failover configuration Click on the + button in the section Failover Configuration. A new interface entry appears on tab madura and lesbos . For madura : For lesbos : Configure the new interface on the 1st (here: madura ) tab. The configuration of the 2nd tab will be updated automatically. Validate and activate the configuration on both nodes. Further information and links Settings in Section – Physical Network Interfaces Settings in Section – Failover Configuration D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Maintaining actions on cluster nodes','','autocomplete_use:true')
Smc.XSearch.add('../data/1583435027385.html','Hardware replacement in failover cluster Follow these steps if you need to replace one of the Airlock Gateway machines because of hardware failure or for other reasons: Install Airlock Gateway on the new server hardware. Go to "Configuration Files" and "Import" the cluster configuration file created during initial cluster setup Select the corresponding host under "Use nodes and license from import file: host-1, host-2 Update the Airlock Gateway license with correct values for this host if it it does not contain the same MAC address of the existing license Activate the new configuration Go to "Configuration Files" and "Export" the activated configuration Go to "Configuration Files" on the second Gateway , "Import" and activate the new configuration file. Now you have again one single configuration file including the new information for the whole Airlock Gateway cluster. From now on you can use remote activation from any of the two systems to propagate configuration changes within this failover cluster.','Hardware replacement in failover cluster','','')
Smc.XSearch.add('../data/1571978527004.html','Allow rule configuration You can edit an allow rule by clicking on it in the list. To add a new rule, you click on the final entry in the list, which says New entry . When creating a new allow rule, you must at least provide a unique rule name and a path pattern. For the other fields the default values work without a change. The comment field is optional and helps to document your allow rule. You can use the patterns defined on the Filter patterns page to configure the patterns for HTTP method and Request content type . The default patterns used are not very restrictive and it is recommended to define your own patterns to restrict the set of allowed HTTP requests to your applications. In the bottom section of the configuration page, you can create criteria for the parameters of the evaluated HTTP request. The evaluation logic for the parameters is similar to the overall logic of allow rules: You can specify parameter rules (one per line) that parameters must satisfy if the parameter is applicable for the parameter rule. For each parameter, the same two conditions apply: There must be at least one applicable parameter rule. Each applicable parameter rule must be satisfied by the parameter. A parameter rule is applicable if the parameter name pattern matches the parameter name. A parameter rule is satisfied by a parameter if the parameter value is matched by the parameter value pattern. If there is no parameter rule, no parameters are allowed for the HTTP request. On the other hand, if there are some parameter rules marked as mandatory (Mand.), there must be at least one parameter present for which the parameter rule is applicable or the HTTP request does not satisfy the allow rule. Filter patterns Filter Patterns are used, to be able to reuse a specific already defined filter. Pattern Editor On the filter patterns configuration page it is possible to add new filter expression patterns and modify existing patterns. Allow rules are always application- (or mapping-) specific, that´s why there is no global list of allow rules. However, it is possible to copy existing patterns used in other mappings, if they are of the same pattern type. For more details about editing or testing a pattern, check the pattern editor pop-up documentation. URL path pattern (absolute external URL path including filename) HTTP method Content type Parameter values There are no filter patterns for parameter names. A filter pattern contains a unique pattern name, a description (comment), and the regular expression pattern itself. For each pattern, the Ignore Case check-box defines if the pattern should be applied case sensitive or not. In addition, there is an Invert check-box for each pattern, that lets you define if the inverted value of the regular expression should be used. Please refer to Regular Expressions basic examples for details on regular expressions. If one or more individual allow rules are set to "Log only", all requests are passed to the back-end server, regardless of whether they satisfy the remaining rules or not. Allow rule example Suppose you have a mapping with two active allow rules, the (default) allow rule and a custom allow rule Wiki_action. Name: Wiki_action URL path pattern: ^/dokuwiki/doku.php$ HTTP method: Active; (default) GET or POST Parameter 1: Mandatory: Parameter Name: Parameter Value: False date integer: "[0123456789]*" Parameter 2: Mandatory: Parameter Name: Parameter Value: False .* * No Restriction: "" Let´s see how these allow rules are applied to the following request: GET /dokuwiki/doku.php?id=mydocument&date=20070305&fromdate=20101231 How to read the request: Request method GET Request content-type: (not provided for GET request) Request path: /dokuwiki/doku.php Parameter 1: id (Name) mydocument (Value) Parameter 2: date (Name) 20070305 (Value) Parameter 3: fromdate (Name) 20101231 (Value) First of all, the request path matches the path patterns of both rules, the (default) allow rule (.*) and our custom Wiki_action rule (^/dokuwiki/doku.php$). All other conditions defined in these two rules must therefore be met, too. The GET method is all right since the (default) allow ruleallows GET and POST requests. The (default) allow rule has no further restrictions on content type, or parameters - in fact, it allows parameters with any name or value. Let us move on to the Wiki_action allow rule. Again, there is no restriction on content type or client address, not even on the HTTP method. But this allow rule has two parameter rules: The first rule restricts the value of parameters containing the word date in their name: it is applicable for both parameters, dateand fromdate, and parameter values satisfy the value pattern (any number of digits). The second parameter rule (.*) allows further parameters with any value. The idparameter falls into this category - the request would not be allowed without this parameter rule. Filtering JSON attributes Airlock Gateway automatically generates parameters from JSON objects. These JSON parameters are treated like parameters in GET or POST requests. For details please refer to the JSON filtering page.','Allow rule configuration','','')
Smc.XSearch.add('../data/1585668119473.html','API access control configuration API access control configuration for Airlock IAM and Airlock Gateway API key-based access control is configured in Airlock IAM and the Airlock Gateway . For the solution description, see API access control with Airlock Secure Access Hub. Component Relevant configuration Airlock Gateway Definition of APIs. Access policies on APIs based on plans. Extraction of API keys from requests. Airlock IAM Storage of Tech-Client, plans and API keys. Management of Tech-Client , plans and API keys. The API Policy Service . Chapter content Configure the Airlock IAM API policy service Configure Tech-Client management in Airlock IAM Configure API gateway for API key-based access control D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','API access control configuration for Airlock IAM and Airlock Gateway','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668119333.html','API policy service Configure the Airlock IAM API policy service Prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor. The IAM bundle API Access Management must be licensed. The database schema of Airlock IAM needs to be up to date with IAM IAM_RELEASE_SHORT . Instruction Go to: Top-level plugin API Policy Service (create it if necessary) Connect existing or create the Technical Client Database Repository plugin. Please refer to the documentation in the Config Editor for details. Choose a value for Shared Secret to secure the communication with one or more Airlock Gateway . Activate the configuration. The API Policy Service is now ready to be used with the Airlock Gateway . Configuration hints Storage Encryption The Storage Encryption plugin within the Technical Client Database Repository specifies how sensitive data stored in the IAM database is encrypted. If the configured secret is lost or changed, the data in the database cannot be recovered. Cipher The Cipher plugin within the Technical Client Database Repository is only used for backward compatibility with data encrypted with IAM release 7.1. It is automatically set during configuration migration from IAM 7.1 to IAM 7.2. You do not have to care about this setting if you did not use PSD2 features with IAM 7.1. If the configured secret is lost or changed, the data in the database cannot be recovered. Clock synchronization The Shared Secret secures the connection between the Airlock Gateway​ and Airlock IAM​, signs requests, and involves a timestamp. Therefore, it is essential that the clocks of the involved components are synchronized. A_01 Action module (standard) A_01 Action module (standard)','Configure the Airlock IAM API policy service','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668119416.html','Tech-Client management Configure Tech-Client management in Airlock IAM Prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor. The IAM bundle API Access Management must be licensed. The database schema of Airlock IAM needs to be up to date with IAM IAM_RELEASE_SHORT . Instruction Go to: Adminapp >> Technical Clients (create it if necessary) Connect existing or create the Technical Client Database Repository plugin. Please refer to the documentation in the Config Editor for details. Make sure to connect the same plugin as configured in the API Policy Service . Make sure Enable API Gateway Features is checked. Review the Technical Clients Management section in Adminapp >> Access Control . The management of tech-clients using the Adminapp or the Adminapp REST API is now ready. Further information and links Tech-Client management A_01 Action module (standard) A_01 Action module (standard)','Configure Tech-Client management in Airlock IAM','','autocomplete_use:true')
Smc.XSearch.add('../data/1585668119510.html','Configure API gateway for API key-based access control Prerequisites Configuration takes place in Airlock Gateway . An Airlock Gateway license must be available. You must be logged in as an admin in the Airlock Gateway Configuration Center. A virtual host has been set up. A back-end group has been set up. A mapping between the virtual host and back-end group has been established. Instruction Go to: System Setup >> Network Service Add the required Airlock IAM API Policy Service endpoint(s). Go to: Application Firewall >> Reverse Proxy Choose the corresponding Mapping and open it. In the Access tab, edit the column Restricted to Plans (add more rows if required). Switch to the API Security tab. Enable the API Security policy service . Choose the correct API policy service . Select and configure the API Key Extraction types. Activate the configuration. API key-based access control is now enabled Further information and links Airlock Gateway network services configuration: Section – API Policy Services Airlock Gateway mapping: Section – Authorization and authentication Airlock Gateway mapping: Section – API Policy A_01 Action module (standard) A_01 Action module (standard)','Configure API gateway for API key-based access control','','autocomplete_use:true')
Smc.XSearch.add('../data/1583435032090.html','Configure custom error pages Configure and manage custom HTTP error pages Configuration of new custom error pages The configuration of customized error pages is done by uploading a zip file containing all required files to the Submenu – Error Pages. The HTML files need to be organized and named in a special form so that Airlock Gateway can use them as error pages. If the HTML code of the error pages refers to images, style sheets, or other external files that are added to the archive, the corresponding HTTP links must be relative. All additional files have to be included in the zip file. It is possible to configure error pages globally for all virtual hosts or to configure specific error pages for certain virtual hosts: Airlock Gateway will prioritize error pages that are specific to the corresponding virtual host. If there is no host-specific error page, the version of the global error page is used, if configured. If none is configured, Airlock Gateway uses its generic error page. Error pages generated by back-end applications may leak internal information about a system´s setup and configuration (e.g. platform, system paths, stack traces, or deployed frameworks). Such information is valuable for potential attackers. To prevent information leakage by default, Airlock Gateway replaces error pages generated by back-ends or ICAP services used in Back-end View . If you disable error page replacement or configure replacement rules accordingly, the error pages of the back-ends will be displayed instead. Naming of error pages and content of an error page zip file A zip file with a clean and correctly named set of custom error pages can be downloaded using the Download customization template button. Error pages must be named as follows: 400.html401.html403.html404.html429.html500.html502.html503.htmlmaintenance.html The zip file containing the error pages needs to be of the following form: The global error pages are on the top level of the archive i.e. not in a sub-directory. If there are virtual-host-specific error pages, there needs to be a directory that is named like the virtual host, e.g. www.webapp.virtinc.com . The archive can contain image files, style sheets, etc. in the top-level or the corresponding virtual host directory. It is possible to add a colon-separated port number, e.g. www.webapp.virtinc.com:443 . This allows configuring different error pages for HTTP and HTTPS. Note that some operating systems do not support colon-separated filenames. Example for a mixed set of custom and global error pages The following screenshot shows an uploaded example zip file with global and virtual-hosts-specific error pages: The virtual host www.webapp.virtinc.com contains its own complete set of error pages and a specific logo they refer to. The virtual host www.other.webapp.virtinc.com , on the other hand, has its own error page only for error 400 and uses the global ones for other error codes. All other virtual hosts use the global error pages plus a maintenance page that are on the top level. A default CSS stylesheet and a favicon icon is also available in this example. Steps to download, create and modify error pages If custom error pages are activated, click the Download button to download them in a zip file and use them as a starting point for modification. Alternatively, click Download customization templates to start with a clean set of error page templates. Make your changes and upload your custom error pages in a zip file using the Upload button. Activate the configuration with the Activate button. Uploading a new error-page zip file will replace all current files. Therefore, the error-page zip file must contain all required files. Custom error pages are part of the Airlock Gateway configuration and can be restored from older configuration files if available. Further information and links To manage error pages, see Submenu – Error Pages. For error page replacement, see Section – Error page replacement.','Configure and manage custom HTTP error pages','','')
Smc.XSearch.add('../data/1697129073810.html','log configuration Elasticsearch data archiving Customize Elasticsearch data archiving This article describes how logs are cleaned and how some parameters may be customized in Airlock Gateway. How log cleanup works Airlock Gateway stores its log files in Elasticsearch. The time range covered by logs and reports depends on available disk space and the traffic volume of the system. A fresh index is created every day, storing all logs of the corresponding day. As soon as the usage in /var exceeds a specific trigger limit or when the log files exceed a certain age in days, the corresponding indices are deleted to a certain percentage of disk space to ensure enough capacity is available in /var . Default settings Description PERCENT_TO_TRIGGER=75 If disk usage exceeds the configured percentage, a cleanup will be triggered. PERCENT_TO_KEEP=70 Cleanup deletes the oldest indices until the disk usage is at the configured percentage. MAX_DAYS_TO_KEEP=365 Regardless of the trigger levels, all indices older than the configured number of days will be deleted. Custom configuration The default settings suit most system configurations. However, for a high-traffic system with low disk drive capacity, there might not be enough space left to store full logs of the current day. Some companies also have a policy that restricts the storage of logs records to a shorter period. In both cases, you need to adjust the settings to the required values as follows: Create an airlock-elasticsearch-space-nurse.cfg config file: vi /opt/airlock/custom-settings/monitor/airlock-elasticsearch-space-nurse.cfg Add the default settings to the file: PERCENT_TO_TRIGGER=75 PERCENT_TO_KEEP=70 MAX_DAYS_TO_KEEP=365 Adjust the settings to your needs. Restart the airlock-elasticsearch-space-nurse service. systemctl restart airlock-elasticsearch-space-nurse Further information and links Internal links: Customizing events List of frequent events','Customize Elasticsearch data archiving','','')
Smc.XSearch.add('../data/1648621032202.html','URL encryption examples Configuration example cases for URL encryption Prerequisites URL encryption must be enabled on the Tab – URL Encryption. The following response actions are configured on a mapping on the Tab – Response Actions. Tooltip: During implementation, in some cases, it is necessary to use tools to analyze the responses, in order to find the URLs which are not encrypted and may cause trouble. For most modern browsers, addons or extensions are available that can be used for this purpose such as Tamper Chrome or Tamper Data for Mozilla Firefox. Standard case To trigger URL encryption, Airlock Gateway must recognize the URLs sent in the response from the backend application server. URL encryption requires a matching response header redirect (which triggers the 302 status code) or placement of the response URL according to common HTML specifications. Example for HTML tags that trigger URL encryption: HTML-Tags like <a href="..."> , <img src="..."> , etc. Meta-Tags like <meta http-equiv="refresh" content="5;URL="/rootpath/path1/"> . Only absolute URLs with the same protocol and hostname the last request was referred to will be encrypted. Example: <a href="http://www.mydomain.com/rootpath/path">... External, absolute links with different hostname and protocol will not be encrypted. Example: <a href="http://www.otherdomain.com/path">... Special cases If URLs appear scattered in the HTML document, it is possible to use special rules to tell Airlock Gateway how to recognize such a URL. Examples would be: Embedded source <script> or <style> parts. Events e.g. JavaScript attributes as onload , onclick , etc. The syntax to mark a URL that has to be encrypted is ?<URL>URL . Most rewrite response rules follow a pattern of (all-before-URL) (URL) (all-after-URL) that is replaced in the form of $1$2$3 . Example for an URL within an array: <script type="text/javascript"> loadFunctions = function() { sfHover(Array(´mainNavigation´), Array(´li´)); preloadImages(Array(´fileadmin/images/logo.jpg´)); }  if (window.attachEvent) { window.attachEvent("onload", loadFunctions); } </script> Example of URL Pattern Replace with Standard solution: (Array\\([´"]?)(?<URL>.*)([´"]?\\)) $1$2$3 More advanced solution: (Array\\([´"]?)(?<URL>[^)´"]*)([´"]?\\)) $1$2$3 1 [^)´"] means that ) , ´ and " are not included in the URL and are used to define the end of the URL. Rewrite rules based on JavaScript events (e.g. onclick or onload ) also use the same principle as above but additionally require the Events option to be enabled. Example for multiple arrays containing URLs in JavaScript: <script language="javascript"> ... Array("res/xslt/navigation.xslt"); Array("res/xslt/status_header.xslt","res/xslt/status_ncb.xslt"); Array("ajax_navigation"); ... </script> Example of JavaScript code Replace with (Array\\([´"]?)(?<URL>[^´")]*)([´"],[´"])?(?<URL>[^´")]*)?([´"]?\\)) $1$2$3$4$5 The result of the replacement is: <script language="javascript"> ... Array("/javascript/$xp2/8C24M2dZcjIwytNV77oIs79jjcxO2IH/rm5uW+xNvDYI6L55qRpErKvw9JPol9kt$/p/p/p/p/p/p"); Array("/javascript/$xp2/936f...0zjx1HoH9+....YxAY5e08Xzm+ECYt5rQ==$/p/p/p/p/p/p","/javascript/$xp2/gL8h32...3RrOAZUtA==$/p/p/p/p/p/p"); Array("/javascript/$xp2/3H83hf5W3/164AoUgVD34TSkLfj3XdhvPn8S7kjk8Fc85ZWXMO4wxHIB3fvZhXLJ$/p/p/p/p/p/p"); ... </script> Special URLs and special content types URLs may appear scattered in other document types such as text/CSS. It is possible to configure special rules to allow Airlock Gateway to detect such a URL. Most often this is used for image URLs in CSS files with content type text/css . In the section Rewrite Response Body (any content) define a pattern using Rewrite Stylesheet URLs to detect and encrypt the URL in our example code: Example: .calendar thead tr { background: url("/jira/includes/js/calendar/skins/aqua/title-bg.gif") repeat-x 0 100%; color: #000; } .calendar thead .title { /* This holds the current "month, year" */ font-weight: bold; /* Pressing it will take you to the current date */ text-align: center; padding: 2px; The syntax to mark a URL that has to be encrypted is ?<URL>URL . Rewrite Response Body (any content) can also be used if URLs are placed at non HTML conform locations in HTML documents (content-type: text/html). When will URL encryption not work? URL encryption does not work if URLs are built or assembled dynamically on the client-side e.g. by JavaScript functions. Example: window.location =´/dp/english/e_services.jsp?Page=A1´+´&sinj02_Title=´+variable+´&isSearch=tr´; Define such URLs as exception patterns:','Configuration example cases for URL encryption ','','')
Smc.XSearch.add('../data/1571978527045.html','Filter rules using RegEx Configure filter rules using regular expression patterns Airlock Gateway provides a sophisticated request filter engine based on an allow/deny rule concept. Each rule contains regular expression patterns as rule definitions. First, a request must pass the allow rules. In a second step the deny rules are checked. Both allow and deny rules are based on Patterns defined by regular expressions. All patterns may be edited using the pattern pop-up. For details on regular expression syntax, see: Regular Expressions basic examples Regular Expressions advanced examples Pattern flags Each pattern consists of a regular expression and its flags: Invert Result Case Sensitivity = ON: Upper and lower case are not considered to be the same. Case Sensitivity = OFF: Upper and lower case are considered to be the same. Invert Result Invert = ON: The result of the regular expression match is inverted. Invert = OFF: The result of the pattern match corresponds to the regular expression match. Airlock Gateway Regex Format Multiple single line regex = ON: Interpret line breaks as logical ORs. Multiple single line regex = OFF: The whole multiline field will be used as one PCRE regex. Because named patterns tend to be quite long with the "Multiple single line regex" format, you can enter them on multiple lines to gain better readability and easier understanding. When the "Multiple single line regex" format is turned off, a line break is interpreted as <LF> (unicode code point U+000A) rather than <CR><LF>. We recommend to use \\r and \\n to match a carriage return or newline, respectively. \\v can be used to match any vertical white space character. To write a pattern on multiple lines, e.g. for better readability or documentation, the extended modifier (?x) can be used. In this case, following rules apply: Any white space will be ignored. Content between "#" and the next line break will be ignored. This is useful for adding comments to a regex. "Multiple single line regex = OFF" example: (?x)# Match a 20th or 21st century date in yyyy-mm-dd or yyyy/mm/dd format(?:19|20)\\d\\d # year([-/]) # separator(?:0[1-9]|1[012]) # month\\1 # reference to 1st separator(?:0[1-9]|[12][0-9]|3[01]) # day Reusing patterns Patterns are identified by their name, the pattern name must therefore be unique. You may reuse an existing pattern of the same type by selecting it from the Select template drop-down. A pattern that is shared between multiple rules or mappings is also called a shared pattern. If you modify a shared pattern, you will be prompted if you want to update all the shared instances. Default (built-in) patterns cannot be changed. Press the Customize... button if you want to create and modify your own copy of the pattern. Pattern tester You may test if your pattern matches by entering a test string and pressing the Check button. The pattern tester respects both the Ignore Case and the Invert flag. Please note that any variables (like %ENTRYHOST%) are not interpreted by the pattern tester, you must manually replace the variables with their effective value.','Configure filter rules using regular expression patterns','','')
Smc.XSearch.add('../data/1571978527014.html','RegEx basics Regular Expressions basic examples Rewrite variables Rewrite variables can be used in regular expression patterns to define rewrite operations that are independent of the specific mapping strings.. Regex syntax Airlock Gateway uses Perl Compatible Regular Expressions (PCRE). Type Examples Basic operators ab|xy Alternation, either ´ab´ or ´xy´(str) The string ´str´ as a logical and captured group(?:str) The string ´str´ as a logical uncaptured groupa? The letter ´a´ once or not at alla* The letter ´a´ in unrestricted quantity (including zero)a+ The letter ´a´ at least once[abc] Character class: a, b or c[^abc] Negative character class: any character except a, b or c[a-c] Range: a, b or c^ The beginning of the string$ The end of the string Characters The backslash character ´\\´ is used for escaping. An ASCII characters typically gets a special meaning if it is preceded by a backslash ´\\´ . . Any character (including CR or LF)\\x{hhh..} Character with unicode codepoint U+hhh.. (1 to 6 hex digits)\\n Line feed character (U+000A)\\r Carriage return character (U+000D)\\t Tab character (U+0009) Airlock Gateway​ does not allow a backslash before any alphabetic character that does not denote an escaped construct; these are reserved for future extensions to the regular-expression language. Newlines are treated as ordinary characters. They do not have any special meaning in the processed string. Escaping A non-ASCII character loses its special meaning if preceded by a backslash. A left parenthesis ´(´ is the start of a group. If it is escaped ´\\(´ , it matches just a left parenthesis. \\\\ the backslash character\\? Escaped character (for any non-alphanumeric character)\\Q .. \\E Literal-text span: treat enclosed characters as literal until the first appearance of \\E (no escaping possible) A backslash may be used before any non-alphabetic character, regardless of whether or not the character has a special meaning in that context. Escaping usually is needed for these characters: [({.*?+^$\\| Depending on the context, right parenthesis also have to escaped: ]) In brackets escaping is only needed for the right bracket character (but others are allowed as well): ] Generic characters types Type Example ASCII character types \\d Any ASCII decimal digit - equals [0123456789]\\D Any character that is not an ASCII decimal digit\\s Any ASCII white space character - equals to ´ ´, HT, LF, FF, CR\\S Any character that is not an ASCII whitespace character\\w Any ASCII "word" character [a-zA-Z0-9_]\\W Any "non-word" character non-ASCII character types \\h Any horizontal white space character (including non-ASCII U+2000, U+00a0, U+180e, ...)\\H Any character that is not a horizontal whitespace character\\v Any vertical white space character (including non-ASCII U+2028, U+0085)\\V Any character that is not a vertical white space character Comments (?#...) comment (not nestable) Simple examples Pattern Matches https? http or https (abc|xyz) abc or xyz The found variant can be referenced as $1 in rewrite rules (capturing). (?:this|that) this or that The value is not captured and cannot be referenced in rewrite rules. ^\\d+$ Any number of digits (at least one) - but just digits. \\d+ Any string containing at least one digit. This could also be achieved by just using \\d . [\\$] Just the dollar sign – escaping is supported in bracket expressions. [\\\\\\$] A backslash or dollar sign. [^\\t] Any character but a tabulator. \\x{a0} The non-breaking-space character. Further information and links Internal links: Detailed explications and examples can be found in the article Regular Expressions advanced examples. External links: PCRE2 man pages .','Regular Expressions basic examples','','')
Smc.XSearch.add('../data/1571978527015.html','RegEx advanced Regular Expressions advanced examples This is the regular expressions expert page. For a simpler and quicker overview consult the basic regular expression page. Regex syntax Mode of operation Airlock Gateway uses the pattern matching engine exclusively to perform "find" operations: A match exists if the given pattern occurs at least once in the tested string. In contrast a "match" operation would match if the given pattern covers the entire tested string. Example: the pattern ´b´ matches the string ´abc´ in Airlock Gateway . For ensuring a complete match string start and string end tags would have to be added. Example: the pattern ´^b$´ does not match the string ´abc´ - but the pattern ´^abc$´ would match it. As a consequence the empty pattern ´´ matches every possible string (including the empty string). PCRE is run with following flags / modes: dotall: the dot matches all characters (inclusive newline characters) no UCP: meaning standard mode - some relevant Perl and POSIX classes are matching to ASCII only JIT: Just-in-time compiler support - makes matching faster Characters \\x{hhh..} Character with unicode codepoint U+hhh.. (1 to 6 hex digits) (recommended to use)\\a Alert (bell) character (U+0007)\\cx "control-x", where x is any ASCII character\\e Escape character (U+001B)\\f Form feed character (U+000C)\\n Line feed character (U+000A)\\o{ddd..} Character with unicode codepoint ddd.. (1 to 7 octal digits)\\r Carriage return character (U+000D)\\t Tab character (U+0009)\\xhh Character with unicode codepoint hh (hex) (not recommended to use!)\\ddd Character with unicode codepoint ddd (octal) (not recommended to use!) Escaping \\\\ Backslash character\\? Escaped character (for any non-alphanumeric character) Escaping is needed for these characters: [({.*?+^$\\|\\Q .. \\E Literal-text span: treat enclosed characters as literal until the first appearance of \\E (no escaping possible) Generic characters types Basic character types . Any character (including CR or LF)\\C One data unit ("Byte") - not recommended to use\\R Any unicode newline sequence such as CRLF, CR,LF, VT, FF, NEL, .. - see (*BSR_...) settings\\X a Unicode extended grapheme cluster (meaning a character potentially with modification marks) shorthand for \\P{M}\\p{M}* ASCII character types \\d Any ASCII decimal digit - equals [0123456789]\\D Any character that is not an ASCII decimal digit\\s Any ASCII white space character - equals to ´ ´, HT, LF, FF, CR, VT\\S Any character that is not an ASCII whitespace character\\w Any ASCII "word" character [a-zA-Z0-9_]\\W Any "non-word" character non-ASCII character types \\h Any horizontal white space character (including non-ASCII U+2000, U+00a0, U+180e, ...)\\H Any character that is not a horizontal whitespace character\\v Any vertical white space character (including non-ASCII U+2028, U+0085)\\V Any character that is not a vertical white space character Unicode properties and scripts \\p{xx} a character with the unicode property xx\\P{xx} a character without the unicode property xx The following general category property codes are supported: C OtherCc Control - The ASCII and Latin-1 control characters HT, LF, CR, NULL, Escape, NEL, ...)Cf Format - Non-visible characters for basic formatting (zero width joiner, activate arabic form shaping, ...)Cn Unassigned - Codepoints that have no characters assignedCo Private use - Company logos, ...Cs Surrogate - No characters, reserved for use in UTF-16 for specifying characters outside basic multilingual planeL LetterL& Case letters - A composite matching all Ll, Lu and Lt charactersLl Lower case letterLm Modifier letter - A small set of letter-like special-use charactersLo Other letter - Letters that have no case and aren´t modifiers (hebrew, arabic, bengali, tibetan, japanese, ...)Lt Title case letter - Letters that appear at the start of a word (e.g. the character ǅ is the title case of the lowercase ǆ and of the uppercase Ǆ)Lu Upper case letterM MarkMc Spacing mark - Modification characters that take up space (mostly "vowel signs" in bengali, gujarati, tamil, telugu, kannada, sinhala, ...)Me Enclosing mark - A small set of marks that can enclose other characters (circles, squares, diamonds, keycaps, ...)Mn Non-spacing mark - Characters that modify other characters, such as accents, umlauts, "vowel signs", tone marks, ...N NumberNd Decimal number - Zero to nine, in various scripts (not including chinese, japanese and korean): 8, ٣, ໖ or ꘧Nl Letter number - Mostly roman numerals (such as ⅶ, ↉, 〨, 〇, ᛯ or ᛰ)No Other number - Other numbers as ⑲, ፷, ₅, ⅞ or ៵P PunctuationPc Connector punctuation - A few punctuation characters with special linguistic meaning such as underscorePd Dash punctuation - Hyphens and dashes of all sortsPe Close punctuation - Characters like ), ], }, ⟫ 】, ︾, ...Pf Final punctuation - Characters like », ›, ”, ’, ...Pi Initial punctuation - Characters like «, ‘, ‛, ‹, ...Po Other punctuation - Characters like !, ", *, :, @, ߷, ‱, ⁜, ፣ or ¶Ps Open punctuation - Characters like (, [, {, ༼, ❰, ﹃, ...S SymbolSc Currency symbol - Characters like $, £, ¤, ¥, ₠, ௹, €, ₧, ₪d or ﷼Sk Modifier symbol - Mostly versions of the combining characters, but as full-fledged characters in their own right such as ^, `, ¸, ˚ or ˨Sm Mathematical symbol - Characters like +, >, =, ±, ÷, ⅀, ∀, ∜, ∰, ≹ or ﬩ (not including ´-´ which is in Pd)So Other symbol - Various Dingbats, box-drawing symbols, Braille patterns, ... (¦, ©, מ, ࿏, ℡, ⌫, ▧, ,  or ☣) Z SeparatorZl Line separator - Just the LINE SEPARATOR characters (U+2028)Zp Paragraph separator - Just the PARAGRAPH SEPARATOR character (U+2029)Zs Space separator - Various spacing characters such as normal space, non-breaking space, em-space, thin space, ... PCRE special categories To be used within \\p{xxx} and \\P{xxx}. Xan Alphanumeric: union of properties L and NXps POSIX-like space: property Z plus HT, NL, VT, FF and CRXsp Perl-like space: property Z plus HT, NL, FF, CRXwd Perl-like word: property Xan or underscore Unicode script Script recognition like \\p{Greek} ("is Greek") or \\P{Greek} ("is not Greek") is possible for the following scripts: Arabic, Armenian, Avestan, Balinese, Bamum, Batak, Bengali, Bopomofo, Brahmi, Braille, Buginese, Buhid, Canadian_Aboriginal, Carian, Chakma, Cham, Cherokee, Common, Coptic, Cuneiform, Cypriot, Cyrillic, Deseret, Devanagari, Egyptian_Hieroglyphs, Ethiopic, Georgian, Glagolitic, Gothic, Greek, Gujarati, Gurmukhi, Han, Hangul, Hanunoo, Hebrew, Hiragana, Imperial_Aramaic, Inherited, Inscriptional_Pahlavi, Inscriptional_Parthian, Javanese, Kaithi, Kannada, Katakana, Kayah_Li, Kharoshthi, Khmer, Lao, Latin, Lepcha, Limbu, Linear_B, Lisu, Lycian, Lydian, Malayalam, Mandaic, Meetei_Mayek, Meroitic_Cursive, Meroitic_Hieroglyphs, Miao, Mongolian, Myanmar, New_Tai_Lue, Nko, Ogham, Old_Italic, Old_Persian, Old_South_Arabian, Old_Turkic, Ol_Chiki, Oriya, Osmanya, Phags_Pa, Phoenician, Rejang, Runic, Samaritan, Saurashtra, Sharada, Shavian, Sinhala, Sora_Sompeng, Sundanese, Syloti_Nagri, Syriac, Tagalog, Tagbanwa, Tai_Le, Tai_Tham, Tai_Viet, Takri, Tamil, Telugu, Thaana, Thai, Tibetan, Tifinagh, Ugaritic, Vai, Yi. POSIX named sets All POSIX named sets include ASCII characters only. [[:alnum:]] An alphanumeric character: [[:alpha:][:digit:]][[:alpha:]] An ascii character: [[:lower:][:upper:]][[:ascii:]] Codepoints U+0000 .. U+007F[[:blank:]] A space or a tab: [ \\t][[:cntrl:]] An ascii control character: U+0000 to U+001f[[:digit:]] A decimal digit: [0123456789][[:graph:]] A visible ascii character: [[:alnum:][:punct:]][[:lower:]] A lower-case ascii character[[:print:]] A printable character: [ [:graph:]] (including space U+0020)[[:punct:]] Punctuation: One of !"#$%&`()*+,-./:;<=>?@[\\]^_`{|}~[[:space:]] A whitespace character: [ \\t\\n\\x{0b}\\f\\r][[:upper:]] An upper-case ASCII character[[:word:]] Same as \\w[[:xdigit:]] A hexadecimal digit: [[:digit:]abcdefABCDEF][[:^xxxx:]] negative POSIX named set Boundary matchers ^ The beginning of the string (plus after newlines in multiline mode)$ The end of the string (plus before newline at end of string) (plus before internal newline in multiline mode)\\b Word boundary the position is between a word character (\\w) and a non-word character (\\W) beware: only ASCII characters are regarded as word characters\\B Not a word boundary[[:<:]] start of a word[[:>:]] end of a word\\A start of the string\\Z end of the string (plus before newline at end of string)\\z end of the string\\G first matching position in string Comments (?#...) comment (not nestable) Mode modifiers Option setting (?i) case insensitive(?J) allow duplicate names(?m) multiline (^ and $ are matching newlines in the string)(?s) dot-matches-all mode (already set by default)(?U) default ungreedy(?x) extended (ignore white space) - used for documentation/readability(?-...) unset option(s) Unicode operational mode The following modifiers are recognized only at the start of a pattern or after one of the newline-setting options with similar syntax. (*NO_START_OPT) no start-match optimization(*UTF8) set UTF-8 mode: 8-bit library (already set by default)(*UTF-16) set UTF-16 mode: 16-bit library (not recommended)(*UTF-32) set UTF-32 mode: 32-bit library (not recommended)(*UTF) set appropriate UTF mode for the library (not recommended)(*UCP) set PCRE_UCP to use Unicode properties instead of ASCII for: [:alnum:] [:alpha:] [:blank:] [:digit:] [:graph:] [:lower:] [:print:] [:punct:] [:space:] [:upper:] [:word:] \\b \\B \\d \\D \\s \\S \\w \\W Newline conventions Since Airlock Gateway operates in dot-matches-all and multiline-off mode those settings are not that relevant normally. (*CR) carriage return only U+000d(*LF) linefeed only U+000a(*CRLF) carriage return followed by linefeed(*ANYCRLF) all three of the above(*ANY) any Unicode newline sequence What \\R matches (*BSR_ANYCRLF) CR, LF or CRLF(*BSR_UNICODE) any Unicode newline sequence (default on Airlock Gateway ) Grouping, capturing and back references Grouping (...) capturing group(?<name>...) named capturing group (used by Airlock Gateway in (?<URL>...) )(?´name´...) named capturing group(?P<name>...) named capturing group(?:...) non-capturing group - grouping only(?|...) non-capturing group reset group numbers for capturing groups in each alternative(?>...) Atomic grouping (never gives up the first match - no backtracking) Back references \\1 .. \\9 Back reference by number (for values within 1..9) - not recommended for using, ambiguous\\g1 .. \\g9 Back reference by number (for values within 1..9)\\g{n} Back reference by number\\g{-n} Relative reference by number\\k<name> Back reference by name\\k´name´ Back reference by name\\g{name} Back reference by name\\k{name} Back reference by name(?P=name) Back reference by name Subroutine references Subroutine references are possibly recursive. (?R) recurse whole pattern(?n) call subpattern by absolute number (0 for whole)(?+n) call subpattern by relative number(?-n) call subpattern by relative number(?&name) call subpattern by name(?P>name) call subpattern by name\\g<name> call subpattern by name\\g´name´ call subpattern by name\\g<n> call subpattern by absolute number\\g´n´ call subpattern by absolute number\\g<+n> call subpattern by relative number\\g<-n> call subpattern by relative number\\g´+n´ call subpattern by absolute number\\g´-n´ call subpattern by absolute number Conditional patterns (?(condition)yes-pattern)(?(condition)yes-pattern|no-pattern)(?(n)... absolute reference condition(?(+n)... relative reference condition(?(-n)... relative reference condition(?(<name>)... named reference condition(?(´name´)... named reference condition(?(name)... named reference condition(?(R)... overall recursion condition(?(Rn)... specific group recursion condition(?(R&name)... specific group recursion condition(?(DEFINE)... define subpattern for references(?(assert)... assertion condition Quantifiers X? X, one single occurrence or none at all, equivalent to X{0,1}, greedyX?+ X, one single occurrence or none at all, possessiveX?? X, one single occurrence or none at all, lazyX* X, zero or more times, equivalent to X{0,}, greedyX*+ X, zero or more times, possessiveX*? X, zero or more times, lazyX+ X, one or more times, equivalent to X{1,}, greedyX++ X, one or more times, possessiveX+? X, one or more times, lazyX{n} X, exactly n timesX{min,} X, at least min times, greedyX{min,}+ X, at least min times, possessiveX{min,}? X, at least min times, lazyX{min,max} X, at least min but not more than max times, greedyX{min,max}+ X, at least min but not more than max times, possessiveX{min,max}? X, at least min but not more than max times, lazy Lookaround Lookahead and lookbehind Lookaround constructs check for existence, but do not ´consume´ the text. Lookbehind is only supported for fixed-length strings. (?=...) positive look ahead(?!...) negative look ahead(?<=...) positive look behind(?<!...) negative look behind Match point reset \\K resets start of match This can be useful to reset the start of the current whole match. This provides a flexible alternative approach to lookbehind assertions because the discarded part of the match (the part that precedes \\K) need not to be fixed in length. Backtracking control The following tags act immediately they are reached: (*ACCEPT) force successful match(*FAIL) force backtrack; synonym (*F)(*MARK:NAME) set name to be passed back; synonym (*:NAME) The following tags act only when a subsequent match failure causes a backtrack to reach them. They all force a match failure, but they differ in what happens afterwards. (*COMMIT) overall failure, no advance of starting point(*PRUNE) advance to next starting character(*PRUNE:NAME) equivalent to (*MARK:NAME)(*PRUNE)(*SKIP) advance to current matching position(*SKIP:NAME) advance to position corresponding to an earlier (*MARK:NAME); if not found, the (*SKIP) is ignored(*THEN) local failure, backtrack to next alternation(*THEN:NAME) equivalent to (*MARK:NAME)(*THEN) Precedence The precedence of regex operators, from highest to lowest: Escaped special characters like \\\\ \\. \\( \\[ \\^ Extended ASCII characters like \\x{hh} \\t \\r \\f \\a Unicode property \\p{Prop} Collation-related bracket symbols [: :] Character class [ ] Grouping ( ) Quantifiers * + ? {m,n} Concatenation Anchoring ^ $ Alternation | Examples Pattern Matches the empty pattern matches every string [aaaa] Just the letter ´a´ [+--] Matches any of the ASCII characters between + and -. What evaluates to the three characters plus, comma and minus. [a--@] Invalid expression, since the letter ´a´ follows the symbol ´-´. [a-c-o] One of the five characters ´a´, ´b´, ´c´, ´-´ or ´o´ []ab] Either the letter ´a´ or ´b´ or the symbol ´]´ [@\\d[:lower:]\\p{Lu}\\t] The at-Symbol, any digit from 0-9, a lowercase ASCII letter, any uppercase Unicode letter or the tabulator (?<!^Expires|^If-Match):.*[´"] Any value, which does not start with ´Expires:´ or ´If-Match:´ and does contain a single or double quote (x(i?)y)z xYz and xyz - no other variants (?=\\p{N})\\p{Thai} Any thai digit Original documentation For a more detailed documentation please read the extensive PCRE2 man pages .','Regular Expressions advanced examples','','')
Smc.XSearch.add('../data/1637831287371.html','Cookie parsing settings Cookie parsing according to RFC 6265 Airlock Gateway implements a cookie store. Cookies are not exposed to the client by default. This prevents various attacks on cookies and enables secure cookie exchange between back-ends. Airlock Gateway further supports passing cookies directly to the client, either in cleartext or encrypted. These features require parsing all cookies in HTTP requests as well as in HTTP responses. Currently, the parser behavior can be configured as legacy parsing TRUE or FALSE . The legacy, as well as the new parsing (that follows RFC 6265), can break certain applications which do not respect the newest RFCs. This article provides technical information about the changes in parsing. Cookie parsing is described in three different RFCs. The following table lists some statements from these RFCs: RFC and year What it states RFC 2109 from 1997 Allows multiple cookies within the same Set-Cookie header. Servers should accept comma and semicolon-separated cookies. This is the Airlock Gateway default behavior before version 7.4. RFC 2965 from 2000 Added a new definition of cookies (Set-Cookie2 header ) that was later deprecated in RFC 6265. RFC 6265 from 2011 Forbids multiple cookie values within the same Set-Cookie response header. Also forbids commas in cookie values. Further, forbids multiple Cookie headers in requests. The new implementation of Airlock Gateway follows the newest RFC 6265 which is also implemented by all modern browsers and most modern web application servers. Causes or possible causes The legacy parsing behavior splits cookies by comma and semicolon with unencoded commas and semicolons in their values. For example Set-Cookie: A=X,B=Y would have been split into 2 cookies, A=X and B=Y . Unfortunately, this breaks applications sending commas in their cookie values, e.g. Set-Cookie: Nonce=aaa,bbb . Even when commas in cookie values are not allowed according to RFC 6265, such cookies are accepted by all modern browsers and set by certain applications. We have changed the default cookie parsing to be compatible with such applications. The current default parsing affects the request header Cookie as well as the response header Set-Cookie . Known errors and solutions Following the newest RFC 6265 can break other applications not following this RFC. At the moment of writing this article, we are only aware of certain client-side frameworks that are incompatible with the new behavior. Web browsers are not affected. If you are migrating a non-web browser client (e.g. a Java client application) from Airlock Gateway before version 7.4 to a newer Airlock Gateway release version, you should carefully test the application. In the following cases an application will probably break: If the client sends cookie values separated by commas. If the client sends multiple Cookie headers in a request. Cookies must be sent in a single, semicolon-separated, Cookie header. In the following cases the application may break: If the server sends multiple cookies in the same Set-Cookie header We are aware that the RESTful Web Service framework "Jersey" is affected by the first issue (bug report https://github.com/eclipse-ee4j/jersey/issues/2811 ). Note that such applications would also be incompatible with other reverse proxies or application servers following the new RFC, like newer Tomcat servers. Configuration Settings By default, the legacy parsing is disabled to be compatible with RFC 6265. The following two configuration settings are available in the corresponding Expert Settings sections: Where to configure Settings/values Description Apache Expert Setting, globally or on the virtual host AirlockLegacyCookieParsing "TRUE" | "FALSE" The Apache Expert Setting is used to configure the cookie parsing of the HTTP request (HTTP header name "Cookie"). SG Expert Setting, globally or on the virtual host LegacyCookieParsing "TRUE" | "FALSE" The SG Expert Setting is used to configure the cookie parsing of the HTTP response (HTTP header name "Set-Cookie"). The following table describes the recommended configuration depending on the application type: Application type Correct behavior of the application Configuration recommendation Common applications, fully compliant with RFC 6265. – Use default settings. Applications sending commas in cookie values. Commas in cookie values must be encoded according to RFC 6265. Use default settings. Clients sending multiple request cookie headers. Cookies in HTTP requests must be sent in a single Cookie header. Enable legacy cookie parsing for Apache andSG Expert Settings. 1 We recommend updating or fixing affected applications so that they are compatible with RFC 6265. There may be other special client behaviors not mentioned in this table. Please let us know if your application is not working with the new cookie parsing scheme and you are using a common and modern framework for cookie handling because we intend to deprecate the legacy parsing in the future. Further information and links The following page describes the difficulties regarding cookie parsing specifications quite well: https://daniel.haxx.se/blog/2011/04/28/the-cookie-rfc-6265/','Cookie parsing according to RFC 6265','','')
Smc.XSearch.add('../data/1618511369930.html','Customizing events There are two types of events: Airlock Gateway defines internal events. The administrator can´t change those events. They may be changed with product updates in the future. Customizable events cover events highly dependent on the Airlock Gateway usage scenario, i.e., the number of requests per second. This article describes how to customize events configured in the event rule file /opt/airlock/custom-settings/logsurfer . Do not use event customization to suppress event messages, i.e., to cover a misconfiguration, system or network problems, etc. Best practice: Thoroughly check overall Airlock Gateway and system configuration when events occur frequently or at an unusual pace. Fix the cause of event warnings rather than adjust the event configuration. Before changing the file, create a copy of it for backup reasons. Customization example Backup the file /opt/airlock/custom-settings/logsurfer . cd /opt/airlock/custom-settings/logsurfer cp logsurfer.conf.user.custom logsurfer.conf.user.custom.orig vi logsurfer.conf.user.custom Adjust the event settings in the file logsurfer.conf.user.custom to your needs. The file contains comments that describe the default values – you may use them for orientation and information purposes. vi logsurfer.conf.user.custom Example: # responsetime is higher than 3 seconds 5 or more times in 2 minutes WR_SG_SUMMARY_BackendResponseTime_enable=true WR_SG_SUMMARY_BackendResponseTime_num=5 WR_SG_SUMMARY_BackendResponseTime_range=120 After changing the file logsurfer.conf.user.custom , the service airlock-logsurfer has to be restarted with: systemctl restart airlock-logsurfer.service Further information and links Internal links: Events List of frequent events','Customizing events','','')
Smc.XSearch.add('../data/1583435052414.html','Deny rule configuration Sometimes, requests are blocked by deny rules due to content resembling attacks but may be valid for a web application. These blocks are called false positives. If you have verified that the web application is working correctly and a blocked request is a false positive, you have several options: Dealing with false positives: Add an exception for the blocking deny rule group (or more specifically to the blocking deny rule) by clicking the "Add" button on the right side. Use policy learning to generate meaningful exception suggestions from observed blocks. Choose a lower security level for the corresponding deny rule group on the affected mapping (e.g., go back from level strict to standard). In case the block pertains to a single rule, the rule can be set to log-only specifically or even disabled if the security level is set to custom. Change the web application if possible. Deny rules allow the definition of fine-grained exceptions for all attributes. For more details please refer to the deny rule exceptions page. Chapter content Blocking levels Blocking and logging Deny rule exceptions','Deny rule configuration','','')
Smc.XSearch.add('../data/1583435052416.html','Blocking levels A blocking level represents a set of deny rules with different filter strengths. The blocking level is separately adjustable for each group on the Deny Rule tab of mappings. The overview on the global deny rule page (Application Firewall >> Deny Rules ) indicates which deny rule is associated with which blocking levels. It is possible to adjust filter strength individually per attack type and mapping with a single click using blocking levels. To change the blocking level on many groups and mappings at once, use the corresponding bulk operations on the reverse-proxy view. Basic Rules in level Basic focus on a low false-positive rate, simplifying the integration of applications. Note, however, that certain attack variants may not be covered. Indications for using level Basic: If level Standard requires too many exceptions. Application access is protected by upstream authentication. Standard Level Standard is the default setting on new mappings. It provides strong filters and a low false-positive rate. Exceptions may be required for input fields containing syntactical elements similar to JavaScript or SQL. Indications for using level Standard: The application is complex or dynamic. The application uses many input fields with unrestricted input values, e.g., free texts or comments. Application access is protected by upstream authentication. If level Strict requires too many exceptions. Strict Level Strict focuses on blocking many potential attack variants. This level is recommended for very sensitive applications and typically requires some integration effort. Indications for using level Strict: Login pages and other critical pages are exposed directly to the Internet without upstream authentication. The application is rather simple. Application data is very sensitive (high risk). Low code quality of an application. Custom Allows enabling/disabling of all rules in the group individually.','Blocking levels','','')
Smc.XSearch.add('../data/1583435052418.html','Blocking and logging For each deny rule group, a security level for "Blocking" and "Additional Logging" can be selected. The blocking level determines which requests are actually blocked by Airlock Gateway . Blocked requests are logged with threat handling set to "BLOCK" (see Block Summary). The "Log Only" column allows overriding the blocking security level for the entire deny rule group or individually for a specific rule. Requests matching a rule marked as log-only are logged with threat handling "NOTIFY". The "Additional Logging" level allows specifying an additional security level used just for logging. This enables integration of a new security level without impacting the application. For example, an administrator may choose to set SQL injection blocking to level standard. However, she may be interested in learning whether level strict would actually be possible without causing too many false positives. By setting the additional logging level to strict, all requests that would be blocked in level strict are logged with threat handling "NOTIFY". ​Policy learning​ allows necessary exceptions for level strict to be discovered and integrated before setting the blocking level to strict. Similarly, the additional logging feature can be used to test and integrate basic/standard/strict security levels when migrating away from legacy rules. Check the "Show log only" checkbox in policy learning to see matches from additional logging.','Blocking and logging','','')
Smc.XSearch.add('../data/1571978527006.html','Deny rule exceptions Airlock Gateway ´s allow definition of fine-grained exceptions for all request attributes. Deny rule exceptions can be defined for individual rules or for entire deny rule groups. Defining an exception for a group has the same effect as defining the exception for each rule of the group individually. For exceptions to take effect, the following conditions must hold: The deny rule for which an exception is defined must block a request. Any of the relevant exceptions must match. Multiple exceptions are linked with a logical OR operation. For an individual exception to match, all exception attributes must be matched. Attributes within an exception are linked with a logical AND operation. Be as specific as possible when defining exceptions. For instance, adding an exception for content type "application/pdf" may allow bypassing a deny rule simply by adding a header to requests! Whether or not the content is actually interpreted as a PDF file depends on the application and cannot be controlled by Airlock Gateway . Surrounding conditions for exceptions to take effect In order to unblock a blocked request, some additional conditions must hold. Only blocked headers and parameters are considered When a request is blocked by a deny rule, all non-matching headers and parameters are stripped away for further exception handling. That is, the blocked request is internally reduced to its "bad" headers and parameters. This implies that exceptions cannot unblock requests based on headers and parameters that were not actually blocked by the deny rule. The reason for this behavior is a simple security consideration. If all headers/parameters were considered in exceptions, an attacker could simply unblock an attack request by adding an additional header/parameter for which an exception exists. In that case, the request would be unblocked even though the exception was not meant to allow list the header/parameter containing the actual attack. Exceptions may collectively unblock parameters (or headers) In case there are blocked parameters all exceptions collectively must unblock all blocked parameters for the request to pass. For example, if a request contains two blocked parameters, the request may be unblocked by: an exception matching both blocked parameters two exceptions unblocking a single parameter each an exception to the used path (see below) The same logic is used for unblocking headers. Name and value of headers/parameters are linked Names and values of parameters/headers in exceptions are linked. That is, if both name and value patterns are defined in an exception, the exception only takes effect if both patterns match on the same parameter/header. Exceptions on path or HTTP method Exceptions to path or HTTP method are treated differently. They do unblock a request regardless of whether it was blocked by this attribute or not. This behavior is useful for implementing use-cases as: unblock administration network the form /mypath/form1 must not block mobile clients, since the mobile version of the page uses the same path Examples Excluding certain values for a specific parameter Assume your company is hosting an online tool for reporting security incidents. The report form needs to collect incident information and must therefore allow certain file names to pass that would trigger file inclusion deny rule: Exception: Parameter name: ^affected-files$Value: /etc/(crontab|group|passwd)				 Excluding a parameter on a specific URL To exclude parameter comment1 only on a single URL and not for the entire mapping, combine the two conditions in a single exception: Exception: Path: ^/register/form1$Parameter name: ^comment1$ Excluding URL-parameter pairs If the comment parameter needs to be excluded on yet another form, you can either add a second exception or include the second URL in the path condition of the first exception. However, if you want to exclude a different parameter comment2 on a different form, make sure to use a second exception to avoid excluding all combinations of parameters and URLs (e.g. comment2 on /register/form1 ): Exception 1: Path: ^/register/form1$Parameter name: ^comment1$Exception 2: Path: ^/register/form2$Parameter name: ^comment2$Exception 3: Path: ^/register/form3$Parameter name: ^comment3$ Testing the new form from mobile clients To disable a deny rule for developers accessing the new registration pagewith iPhone clients: Exception:Path: ^/register/form$Header Name: ^User-Agent$ Value: iPhone 					','Deny rule exceptions','','')
Smc.XSearch.add('../data/1718296880719.html','Choosing the best session handling mode How to choose/switch to the best session handling mode Choosing the best session handling mode Generally, Airlock Gateway can be flexibly configured to meet the functional and security requirements in the Section – Application. Regarding session handling, you have to choose between different session handling modes of your web application/backend. Since session handling is an important basic setting, our best practice recommendation is to choose Enforce session mode letting Airlock Gateway ensure that sessions are available in all cases. This requires slightly more resources*. Points related to the enforce session mode: With all requests/responses collected in sessions, a detailed (session-based) analysis is possible in the first place. CSRF protection requires a session. Airlock Anomaly Shield can only be trained on session-based mappings. However, trained Anomaly Shield applications can also be used on sessionless mappings, but on session-based mappings, the anomaly detection rate is normally better. Upstream authentication and authorization usually require session handling and Airlock Gateway can add central session control. Threat handling is improved, i.e., terminating a session is only effective on authenticated sessions. Client fingerprinting only works session-based. ... All other modes listed in the table below offer less functionality in terms of security features and session-related features offered by Airlock Gateway and therefore should only be used when Enforce session mode cannot be applied. See also Section – Application when changing mode. * The actual RAM usage depends on the number of concurrent sessions and their size. An average session size assumption of 30KB should fit most real-world use cases as the size varies (max. 72KB). Mode Description Enforce session Requests are aggregated into sessions. For requests without a session, a new session is created. For requests with a session, the session is reused. For requests with a session, the idle time is reset. This is the recommended mode. Use available session Sessions are optional. For requests without sessions, no sessions are created. For requests with a session, the session is reused. For requests with a session, the idle time is reset. Use available session (no refresh) Sessions are optional. For requests without sessions, no sessions are created. For requests with a session, the session is reused. For requests with a session, the idle time not reset. Sessionless Session handling is disabled. No sessions are created and existing sessions are ignored. This mode may improve resource usage for the delivery of anonymous stateless content, such as image directories or static web repositories on the cost of traffic traceability and other disadvantages. We strongly recommend using e.g. the Use available session mode instead which also comes without additional resource requirements but can at least preserve existing sessions. Switching to a different session mode In general, switching from another session mode i.e. to Enforce session mode will not influence the user experience except if non-standard features like URL encryption are used. In this case, the configuration may be adapted. Switching from Sessionless to any other mode enables additional functionalities that can subsequently be configured or may require additional configuration for already used features. Check-out the chapters Submenu – Session and the Control API for configuration information. Data acquisition and retraining of the Anomaly Shield application should always be carried out if a configurational change of the gateway influences the traffic. I.e., this is required if the session handling mode is changed. Further information and links Internal links: Section – Application','How to choose/switch to the best session handling mode','','')
Smc.XSearch.add('../data/1701414609900.html','HTTP compression Airlock can accelerate web applications by compressing web responses. This reduces both bandwidth and response times, particularly for large text documents (HTML, CSS, JavaScript, etc). How does output compression work? Airlock checks if the browser supports response compression. Most modern browsers can handle zipped content and inform the server by adding a request header. Airlock Gateway uses either the ​Brotli or ​gzip ​compression by default (if the browser supports it), with Brotli ​being preferred. Airlock restricts content compression to the following content types: text/HTML text/CSS text/javascript text/ecmascript text/plain text/XML application/javascript application/x-javascript application/ECMAScript application/x-ECMAScript application/JSON application/vnd.api+json application/rss+xml application/rdf+xml application/atom+xml application/x-and application/XML application/xhtml+xml application/soap+xml image/svg+xml Turn on output compression To enable Brotli/gzip compression for a mapping, tick the checkbox Compress response traffic on the mapping detail page, tab Basic . Output compression works regardless of the capabilities of your backend systems. Airlock Gateway will also compress responses not compressed by your application server. The application has to correctly declare the response´s content type (see list of content types above). Input compression Airlock Gateway can also handle gzip-compressed request bodies sent by browsers. This dramatically accelerates large uploads or web service requests. Further information and links Internal links: Compress response traffic','HTTP compression','','')
Smc.XSearch.add('../data/1660804708123.html','Elasticsearch with HTTPS Remote Elasticsearch access with HTTPS Airlock Gateway logs and system service logs are stored in an Elasticsearch database. Depending on the configuration, a local or remote Elasticsearch installation can be targeted. When a remote Elasticsearch database is accessed over HTTPS, the server certificate is verified against the local system CAs (storage path /etc/pki/tls/certs/ca-bundle.crt ). The default port to access an Elasticsearch database over HTTPS is 9200 . If you are using a self-signed server certificate or a certificate issued by your own Root CA, you must place a file containing the CA certificate under: /opt/airlock/custom-settings/syslog-ng/ca/<server-name> .crt Using multiple Elasticsearch URLs In case multiple Elasticsearch URLs are configured, i.e. elastic-remote1 and elastic-remote2 , the file in the storage path for local certificates must be named after the first host – here /opt/airlock/custom-settings/syslog-ng/ca/elastic-remote1 .crt . According to our example, the elastic-remote1.crt file must contain two certificates, the one for host elastic-remote1 and for host elastic-remote2 . Further information and links Internal links: Submenu – Log Viewer Reference lists of log messages and events Syslog forwarding with SSL Customize Elasticsearch data archiving','Remote Elasticsearch access with HTTPS','','')
Smc.XSearch.add('../data/1660804708145.html','Syslog with SSL Syslog forwarding with SSL When syslogs are forwarded via SSL, the server certificate is verified against the local system CAs (storage path /etc/pki/tls/certs/ca-bundle.crt ). The messages can be sent over destination port 6514 when using SSL. An alternative port can be specified. If you are using a self-signed server certificate or a certificate issued by your own Root CA, you must place a file containing the CA certificate under: /opt/airlock/custom-settings/syslog-ng/ca/<server-name> .crt Forwarding to multiple log hosts In case forwarding to multiple log hosts is configured, i.e. loghost-remote1 and loghost-remote2 , the file in the storage path for local certificates must be named after the first host – here, /opt/airlock/custom-settings/syslog-ng/ca/loghost-remote1 .crt . According to our example, the loghost-remote1.crt file must contain two certificates, the one for log host loghost-remote1 and for log host loghost-remote2 . Further information and links Section – Syslog Forwarding Reference lists of log messages and events Remote Elasticsearch access with HTTPS','Syslog forwarding with SSL','','')
Smc.XSearch.add('../data/1606338145888.html','TLS/SSL Certificate creation Goal This article is about SSL server certificates to be used for virtual hosts and back-ends in Airlock Gateway in production systems. The following instructions describe how to generate an OpenSSL config file, create a pair of keys, request a certificate with a Certificate Signing Request (CSR) OR create a self-signed certificate. You should have basic knowledge of the Public Key Infrastructure (PKI) and SSL certificates in specific. You do not need an official server certificate to test your server with SSL enabled. Airlock Gateway contains a self-signed test-certificate which is available for virtual hosts and back-ends. Note that browsers will display a warning when using our test certificates. Instruction step 1 – Create own OpenSSL config file Create an openssl config file openssl.conf with the following command: # ssh root@airlock # cat > /opt/airlock/custom-settings/openssl.conf << EOF [ req ] default_bits = 2048 distinguished_name = req_distinguished_name  [ req_distinguished_name ] countryName = Country Name (eg, CH) countryName_default = Country countryName_min = 2 countryName_max = 2 stateOrProvinceName = State or Province Name stateOrProvinceName_default = State localityName = Locality Name (eg, city) 0.organizationName = Organization Name 0.organizationName_default = Internet Widgits Pty Ltd organizationalUnitName = Organizational Unit Name commonName = Common Name (eg, FQDN) commonName_max = 64 emailAddress = Email Address emailAddress_max = 64 EOF A new openssl.conf has been created. To customize your openssl.conf, use the -config option e.g: # openssl req -config /opt/airlock/custom-settings/openssl.conf -new -days 365 -key host.key -out host.csrk Instruction step 2 – Create a pair of keys A key pair consists of a private and a public key. The private key is security-sensitive and must be kept secret. It should always be encrypted with a strong passphrase or password. Choose a key-length of at least 2048 bit (better 4096 bit) and a strong passphrase or password. Encrypt the private key using the -des3 option for triple-DES encryption: # ssh root@airlock # cd /tmp # openssl genrsa -des3 -out host.key 2048 Generating RSA private key, 2048 bit long modulus .......+++ ...................................................................+++ e is 65537 (0x10001) Enter passphrase: ******** Verifying - Enter passphrase: ******** A passphrase-protected private key in the file host.key has been created. This key is PEM-encoded and can be copied as text from the command line to your PC. Make a security-backup of your host.key file. Instruction step 3 – Request or self-sign a certificate You can either request a certificate with a Certificate Signing Request (CSR) from a Certificate Authority (CA) or sign your own certificate. Certificates that are signed by CAs that are widely trusted (e.g. Verisign, Entrust or Thawte) are recommended for most use cases. Most browsers and operating systems can authenticate certificates of those CAs by their set of standard root certificates. Browsers will display a warning when using self-signed certificates such as our test certificates, which cannot be verified by any of the installed root certificates. When creating a CSR, you must follow some conventions. The following characters must not be used: < > ~ ! @ # $ % ^ * / \\ ( ) ? . , & (the ´@´ and ´.´ characters are allowed for the email address). Request a certificate To request (and buy) a certificate from a CA, you have to create a CSR file first. Call the CSR command and provide the details for your certificate. Do not enter extra attributes at the prompt: # openssl req -new -key host.key -out host.csr Enter pass phrase for host.key: ******** You are about to be asked to enter information that will be incorporated into your certificate request. What you are about to enter is what is called a Distinguished Name or a DN. There are quite a few fields but you can leave some blank For some fields there will be a default value, If you enter ´.´, the field will be left blank. ----- Country Name (2 letter code) [Country]:CH State or Province Name (full name) [Some-State]:ZH Locality Name (eg, city) []:Zuerich Organization Name (eg, company) [Internet Widgits Pty Ltd]:myCompany AG Organizational Unit Name (eg, section) []:Internet Common Name (FQDN) []:www.mycompany.ch Email Address []:admin@mycompany.ch A valid CSR file has been created. Use your host.csr file to request a certificate from your chosen CA: Follow your CAs instructions on how to request a certificate in detail. If asked, inform the CA that the webserver type is Apache with mod_ssl. Self-sign a certificate To create a self-signed certificate, use the following command: # openssl req -new -key host.key -out host.cert -x509 -days 365 Enter pass phrase for host.key: ******** You are about to be asked to enter information that will be incorporated into your certificate request. What you are about to enter is what is called a Distinguished Name or a DN. There are quite a few fields but you can leave some blank For some fields there will be a default value, If you enter ´.´, the field will be left blank. ----- Country Name (2 letter code) [Country]:CH State or Province Name (full name) [Some-State]:ZH Locality Name (eg, city) []:Zuerich Organization Name (eg, company) [Internet Widgits Pty Ltd]:myCompany AG Organizational Unit Name (eg, section) []:Internet Common Name (FQDN) []:www.mycompany.ch Email Address []:admin@mycompany.ch Instruction step 4 – Install the server certificate and its CA chain Import and configure your virtual host and your back-end host as required. See Submenu – Certificates on how to do this. Further information and links Internal links: External knowledge source: Roots and Intermediates – Exploring the certificate chain... External comparison source: List of free trial SSL certificate providers KB_04 Exemplary instructions article KB_04 Exemplary instructions article','TLS/SSL Certificate creation','','autocomplete_use:true')
Smc.XSearch.add('../data/1706097844595.html','Apply policy learning Using the policy learning feature For each blocked request, Airlock Gateway automatically generates suggestions that prevent similar blocks in the future. These suggestions consist of modifications applied to the current configuration. Typically, Airlock Gateway generates multiple suggestions with different specificity and proposes a Favorite Policy Suggestion. The Favorite Policy Suggestion aims to strike a balance between two scenarios: Adding a very specific configuration change. This comes with a small negative security impact but with the drawback that similar requests may cause other false positive blocks. Further, the configuration may get fragmented if many of these specific changes need to be applied. Adding a very generic configuration change. This has a larger negative security impact by allowing more requests to pass than may be necessary. However, as it typically covers more variants of the same block type, there is usually no need to add further changes, which may reduce the integration effort. To show all suggestions for a block, click on the block in the result table. This opens the block details section below the table: Tab Request Details – this tab shows all the details of a blocked request and the circumstances leading to the blocking decision. This includes, e.g., the name of the matching Deny Rule or the values of the offending parameter and headervalues. These details can be used for further filtering and can help the administrator decide which suggestion to accept and whether a certain block is a false positive. Tab Policy Suggestions – this tab can show alternative exceptions that might be chosen instead of the Favorite Policy Suggestion. The Blocks Covered column indicates the number of blocks covered to assist the administrator in accepting the appropriate suggestion. For instance, if a very ​generic​ suggestion covers only a few blocks, a more specific suggestion should be accepted instead. However, if a generic suggestion covers many blocks that would otherwise require a lot of specific suggestions, it may be better to accept the generic suggestion. Of all the generated suggestions in the Policy Suggestions tab, Airlock Gateway​ selects one as the favorite policy suggestion​, which always has the most fine-granular blocking effect​, i.e., will block exactly similar requests. All other suggestions in the list are less specific and will likely block approximately similar requests. For example, if a parameter comment was blocked by an SQL injection Deny Rule on path /application , several suggestions are proposed: Suggestion Description Add a deny rule exception for parameter comment on ´/application´ . This is the most specific exception suggested. The exception is only valid for the specific parameter name, the blocking Deny Rule, and the specific path. Add a deny rule exception for parameter comment . The exception is only valid for the specific parameter name and Deny Rule but not restricted to the path. That is, the exception applies to the entire Mapping. Add a deny rule group exception for parameter comment on ´/application´ . Similar to the first suggestion, the exception is linked to the path. But here, the exception is added to the entire Deny Rule Group for SQL injection and not only to the specific Deny Rule. This is the favorite suggestion for these types of blocks. Add deny rule group exception for parameter comment . This will add an exception on the group level without linking it to the path. Such a parameter exception will disable the protection against attacks covered by this group. Disable deny rule SQL Injection. This is the most generic suggestion and disables the Deny Rule on the mapping. SQL injection attacks are, therefore, no longer prevented on this mapping. The term violating request has a different meaning depending on the threat handling mode, configured on the respective mapping: For threat handling modes Block request/Terminate session: All blocked requests are violating requests. For threat handling mode Log only: All requests that would be blocked if threat handling was changed to block/terminate mode are violating requests. Initial policy learning We suggest producing legitimate traffic for initial learning to see if false positive blocks appear in the policy learning database. Only violations caused by Deny Rules and Allow Rules are stored in the policy learning database and can be displayed in the result table. The set of covered violations will be continually extended. Parameters and header values may be trimmed before storing them in the block list. The state of a handled block message and the configuration change related to the accepted suggestion are stored in the current administrator session. This means all decisions can be undone by re-logging into the Configuration Center. Initial steps: Put the threat handling mode of all relevant mappings in Log only mode (Section – Service and Mode). Let trusted users interact with the application. This allows Airlock Gateway to learn legitimate traffic patterns not influenced by potentially malicious users. Check and filter blocks with the result table and accept appropriate deny rule policy suggestions for any false blocks appearing in the result list. For enabling allow list learning (learning of Allow Rules) refer to section Allow list (Allow Rule) learning below. Re-enforce the policy by setting threat handling on the relevant mappings to block request or terminate session. If further investigation on blocks is not required, the button Accept all displayed favorite suggestions below the result table may be used for bulk acceptance of all policy suggestions that are currently shown in the result list. However, we do not recommend using this feature without carefully reviewing all suggestions. Continuous policy learning Once a security policy is enforced, the policy learning dashboard will likely show violating/blocked requests and give policy suggestions for deny rule adaption. Various filter criteria, such as a time interval, IP addresses, paths, or request IDs, can be used to limit the list of shown results to find false positive blocks. For a list of all filter options, including short descriptions, see the article Submenu – Policy Learning. For each blocked request, the administrator has two options: If the block was justified (a true positive), clicking on the button in the result table marks this block as handled without further policy changes. If the block was not justified (a false positive), accepting a generated suggestion with the button modifies the current configuration and marks the block in the policy database as handled. Note that policy suggestions can be fine-tuned in place using the button. By clicking on a specific block in the result list, the block is selected and can be further investigated using the tab Request Details and tab Policy Suggestions below the results table as described in the first part of this article. The Accept all displayed favorite suggestions button is a powerful option when filtered blocks originate from generally trusted traffic. It may be used when the traffic originates from a set of internal test clients. However, we do not recommend using this feature without carefully reviewing all suggestions. History of blocked requests The block history is limited in size. Old blocked requests are deleted from the database if the number of list entries reaches the soft limit. This check is performed every minute. Depending on the amount of traffic and the frequency of blocked requests, the block history may last for days or even months. If the number of entries in the list reaches its hard limit, which could occur if too many requests are blocked within one minute (e.g., in case of a denial of service attack), further blocked requests are no longer written to the block list until the list is cleaned up. Examples for using the Clear blocks button: To manually free space in the block list, select an option, e.g., NOT in current filter) and click the Clear blocks button. To delete handled block manually, select the option Handled blocks and click the Clear blocks button. This option can be useful when the configuration is exported or saved without activation. By importing the configuration later in time, handled blocks would no longer be shown, which prevents adding obsolete configuration settings by accepting suggestions for already handled blocks. Blocks, removed with Clear blocks button are deleted when the configuration is activated. Allow list/Allow Rule learning Airlock Gateway suggests legitimate parameter names and value categories from observed traffic for a policy learning-based allow rule. These suggestions are persisted in a specific learning Allow Rule with named (generated) Policy Learning. This learning-specific rule must be added by clicking the button below the Allow Rule list. The new rule is in Log onlymode and ready for learning. Disable Log only on the generated Allow Rule to enforce the learned patterns. It is possible to manually adjust the learned Allow Rule, e.g., if a parameter was assigned to the wrong value category. However, do not change the name or number of parameter rules in the generated Allow Rule. The following table describes all the built-in value categories used in parameter learning: The table is sorted in descending order of filter strictness. In other words, the lower table entries are less restrictive and allow a wider range of different values in requests than the upper entries. To maintain the best possible security, the minimal required parameter value class should preferably be used. Parameter Value Class Description Example Values Empty Empty parameters Boolean Boolean values represented as text false, TRUE UUID Universally unique identifier (UUID), sometimes also called a globally unique identifier (GUID) 123e4567-e89b-12d3-a456-426655440000 Natural number Positive integer numbers 0 , 42 , 123456789 Real number Floating point numbers -45 , 3.141592 , 745.645E-5 Hex Hexadecimal values with at least six characters. 123456 , ABCDEF , beef1feeb Date or time dates or times 2024-04-02 , 17:00 , 2024-04-02T17:00 , 2023-W12 Email address Email addresses info@airlock.com URL URLs, including query string https://www.airlock.com/en/products/airlock-waf/ http://host1?param1=foo&param2=bar Restricted technical parameter Same as technical parameter, but even further restricted by disallowing "?", "!", and "--" object.key-001@attribute:77 Technical parameter Technical values without characters that may be used for injection of scripting snippets: whitespaces, apostrophe, quote, inverted comma, semicolon, brackets, and greater/less than signs ?object.key--001@attribute:77 Single line All values without new lines Hi George, it´s me. No restriction Values are not restricted Hi George, it´s me. I ´like´ you; did you know? Further information and links Internal links: Submenu – Policy Learning Tab – Allow Rules','Using the policy learning feature','','')
Smc.XSearch.add('../data/1621543221769.html','Integration tasks Integration tasks for web applications and 3rd-party software This chapter focuses on integrational tasks of 3rd party products and applications. Examples of such tasks are the integration of Microsoft Exchange, Let´s Encrypt certificate providers, and the configuration of the Airlock Gateway Control API for back-end applications Chapter content Control API Using header tokens for session tracking Cross-Site Request Forgery (CSRF) protection for SPAs ICAP configuration Local and remote JWKS Providers configuration GraphQL integration Let´s Encrypt as certificate provider Threat Intelligence by Webroot BrightCloud Microsoft integration guides','Integration tasks for web applications and 3rd-party software','','')
Smc.XSearch.add('../data/1571978527047.html','Control API This chapter is about Airlock Gateway´s cookie-based control API enabling the back-end applications (such as the Authentication Service) to interact with Airlock Gateway. Chapter content Control API cookie ICAP control API header General command syntax Session authorization Basic-Auth propagation NTLM propagation Session control Selecting session tracking mode via API Audit token Setting HTTP headers Kerberos user and domain Session timeout Authentication workflow Session variables Pseudo code Unconditional control API commands Summary of syntax rules Expert Settings','Control API','','')
Smc.XSearch.add('../data/1574686290824.html','Control API cookie The default name of the control API cookie is AL_CONTROL. Although this name can be changed, it is not recommended to do so, because it adds a source of confusion. The control API is enabled on the mapping page (option "Enable Control API"). If the control API is enabled, all back-end applications connected to the mapping have the permission to use it. Regardless of this configuration, there are some unconditional control API commands that do not require a special permission. In order to interact with Airlock Gateway , a back-end service adds an AL_CONTROL cookie to the response. The cookie contains the desired commands. The back-end control API cookie is handled by Airlock Gateway . It will not be sent to the client.','Control API cookie','','')
Smc.XSearch.add('../data/1574686290828.html','ICAP control API header Since Airlock Gateway 6.1 it is also possible to send control API commands from an ICAP service. To do so, the ICAP-Header "X-AL-CONTROL" is used. The control API command is sent in the value of this header and is equally encoded as the control API cookie values described further down. For ICAP services only the unconditional control API commands are allowed. Enabling the control API feature on the mapping does not have any effect on ICAP services.','ICAP control API header','','')
Smc.XSearch.add('../data/1574686290830.html','General command syntax The control API cookie itself has to comply with the standard cookie specification . For interaction with Airlock Gateway , the following syntax is used: control-cookie = control-cookie-name "=" control-cookie-valuecontrol-cookie-name = "AL_CONTROL"control-cookie-value = commands ;at this place ´commands´ must be percent encodedcommands = command [ "&" commands ]command = audit-token-command | basic-auth-command | credential-command | header-command | kerberos-user-command | ntlm-command | session-command | timeout-command | tracking-command | auth-workflow-command | session-variable-command The control API cookie value is a percent-encoded string of commands. Each decoded command is represented as a name-value pair and separated by an ampersand. Example: The pseudo code example below shows how to set the control API cookie using the HTTP header "Set-Cookie" command. Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode("SET_CREDENTIALS="+URL_Encode("admin")+"&AUDIT_TOKEN="+URL_Encode("jsmith")) Results in: Set-Cookie: AL_CONTROL=SET_CREDENTIALS%3Dadmin%26AUDIT_TOKEN%3Djsmith','General command syntax','','')
Smc.XSearch.add('../data/1574686290832.html','Session authorization Authorization of a user session is controlled by adding and removing roles and their corresponding timeouts. Access to a back-end application requiring a certain role is granted by adding this role to the user´s session. There are three commands to add, remove and set roles in a user session: ADD_CREDENTIALS : add the roles listed in the command value REMOVE_CREDENTIALS : remove the roles listed in the command value SET_CREDENTIALS : remove all existing roles and set those listed in the command value Each time roles are added to a session, by default Airlock Gateway automatically changes the session cookie to prevent session fixation and similar attacks. The command syntax is: ;; SET_CREDENTIALS, ADD_CREDENTIALS, REMOVE_CREDENTIALScredential-command = credential-command-name "=" credential-command-valuecredential-command-name = "SET_CREDENTIALS" | "ADD_CREDENTIALS" | "REMOVE_CREDENTIALS"credential-command-value = credential-definitions ;at this place ´credential-definitions´ must be percent encodedcredential-definitions = credential-definition [ "," credential-definitions ]credential-definition = credential-name [ ":" credential-timeout [ ":" credential-lifetime [ ":" keep-id-flag ] ] ]credential-name = 1*ALPHANUMcredential-timeout = value-in-secondscredential-lifetime = value-in-secondskeep-id-flag = "K"value-in-seconds = 1*DIGITALPHANUM = ALPHA | DIGIT The credential-timeout defines how long an idle session holds this specific role. If the specified timeout is 0 or if no timeout is specified at all, the configured session timeout is used. Airlock Gateway support recommends to use a short session timeout which will be extended by one or more longer credential-timeouts after successful authentication. The credential-lifetime can be set additionally to the credential-timeout . If the specified lifetime is 0 or if no lifetime is specified at all, the configured session lifetime is used. The lifetime defines the longest possible use of a role. After this time the role will be removed. A credential-timeout with longer validity will not extend the credential-lifetime. To set the credential-lifetime and use the configured session timeout as the credential-timeout, use the value 0 for the credential-timeout, e.g. "test:0:300". The credential-definition s "test", "test:0" and "test:0:0" are equivalent. Lifetime settings (system session lifetime and credential-lifetime) are inelastic limitations. They ensure an upper limit of the access time. The keep-id-flag indicates that it´s not necessary to change the session cookie when adding the role. This flag must be used with caution, because when used incorrectly, session fixation and similar attacks are possible. To use the keep-id flag for a role but still use the configured session timeout for credential-timeout and the configured session lifetime for credential-lifetime, use the value 0 for the credential-timeout and credential-lifetime, e.g. "test:0:0:K". For REMOVE_CREDENTIALS the credential-timeout setting, the credential-lifetime setting and the keep-id flag have no meaning. Example: The pseudo code example below shows how to set the three roles "public:180", "employee:0:64800", and "secret:600:3600" using the control API. Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SET_CREDENTIALS="+URL_Encode( "public:180,employee:0:64800,secret:600:3600")) Results in: Results in: Set-Cookie: AL_CONTROL=SET_CREDENTIALS%3Dpublic%253A180%252Cemployee%253A0%253A64800%252Csecret%253A600%253A360','Session authorization','','')
Smc.XSearch.add('../data/1574686290834.html','Basic-Auth propagation The control API command HTTP_BASIC_AUTH allows adding a basic authentication header to an Airlock Gateway session. In order to propagate the authentication header to the back-end application, the option "SSO credential propagation" on the mapping must be set to "Basic-Auth". HTTP Basic-Auth is a simple way of signing in the user on the back-end application (single sign-on). The command syntax is: ;; HTTP_BASIC_AUTHbasic-auth-command = basic-auth-command-name "=" basic-auth-command-valuebasic-auth-command-name = "HTTP_BASIC_AUTH"basic-auth-command-value = basic-auth-definitionsbasic-auth-definitions = basic-auth-definition [ "," basic-auth-definitions ]basic-auth-definition = basic-auth-value [ "@" mapping-name ] ;at this place ´basic-auth-value´ must be percent encoded Because Airlock Gateway applies Base64 encoding when sending the basic authentication to the back-end, the basic-auth-definition must not be Base64 encoded. Otherwise basic authentication on the back-end application would fail. If no mapping name is provided in basic-auth-definition the scope of the definition is global, i.e., it is valid on all mappings. Since a back-end request may only contain a single basic authentication header, global definitions will only be added to a back-end request if no mapping-specific definition is available. An existing basic authentication header is removed from an Airlock Gateway session if the basic-auth-value is empty. Example: The pseudo code examples below show how to set the HTTP basic authentication header using the control API. Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "HTTP_BASIC_AUTH="+URL_Encode(UTF8_Encode( "username@domainname:password")) +"@mapping1") Results in: Set-Cookie: AL_CONTROL=HTTP_BASIC_AUTH%3Dusername%2540domainname%253Apassword%40mapping1 Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "HTTP_BASIC_AUTH="+URL_Encode(UTF8_Encode( "domainname\\\\username:password")) +"@mapping2") Results in: Set-Cookie: AL_CONTROL=HTTP_BASIC_AUTH%3Ddomainname%255Cusername%253Apassword%40mapping2 Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "HTTP_BASIC_AUTH="+URL_Encode(UTF8_Encode( "dbuser:enth43mm")) +"@private," Results in: +URL_Encode(UTF8_Encode( "admin:mypwd")) +"@mapping3") Set-Cookie: AL_CONTROL=HTTP_BASIC_AUTH%3Ddbuser%253Aenth43mm%40private%2Cadmin%253Amypwd%40mapping3 In the last example, user dbuser gets password enth43mm for the mapping private and user admin gets password mypwd for the mapping mapping3 . The examples shown above use the pseudo function UTF8_Encode() . Airlock Gateway only performs a URL_Decode() and does not require UTF-8 encoding. However, the back-end application might require additional encodings, such as UTF-8 or ISO-8859-1.','Basic-Auth propagation','','')
Smc.XSearch.add('../data/1574686290836.html','NTLM propagation The control API command HTTP_NTLM allows adding NTLM credentials to an Airlock Gateway session. In order to use NTLM authentication for the back-end application, the option "SSO credential propagation" on the mapping must be set to "NTLM". The command syntax is: ;; HTTP_NTLMntlm-command = ntlm-command-name "=" ntlm-command-valuentlm-command-name = "HTTP_NTLM"ntlm-command-value = ntlm-definitionsntlm-definitions = ntlm-definition [ "," ntlm-definitions ]ntlm-definition = ntlm-value [ "@" mapping-name ] ;at this place ´ntlm-value´ must be percent encoded Note: The ntlm-value must be supplied in the format username:password or domainname\\username:password . If no mapping name is provided in ntlm-definition the scope of the definition is global, i.e., it is valid on all mappings. When global credentials are set, all mapping-specific credentials defined so far are removed. Since a back-end request may only use a single set of credentials, global definitions will only be used for a back-end request if no mapping-specific definition is available. Existing NTLM credentials are removed from an Airlock Gateway session if the ntlm-definition is empty. Example: The pseudo code examples below show how to set the NTLM credentials using the control API. Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "HTTP_NTLM="+URL_Encode(UTF8_Encode( "username:password")) +"@mapping1") Results in: Set-Cookie: AL_CONTROL=HTTP_NTLM%3Dusername%253Apassword%40mapping1 Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "HTTP_NTLM="+URL_Encode(UTF8_Encode( "domainname\\\\username:password")) +"@mapping2") Results in: Set-Cookie: AL_CONTROL=HTTP_NTLM%3Ddomainname%255Cusername%253Apassword%40mapping2 The examples shown above use the pseudo function UTF8_Encode() . Airlock Gateway only performs a URL_Decode() and does not require UTF-8 encoding. However, the back-end application might require additional encodings, such as UTF-8 or ISO-8859-1.','NTLM propagation','','')
Smc.XSearch.add('../data/1574686290838.html','Session control The SESSION -command allows to modify the Airlock Gateway session: ;; SESSIONsession-command = current-session-command | foreign-session-commandcurrent-session-command = session-command-name "=" current-session-command-valuesession-command-name = "SESSION"current-session-command-value = "TERMINATE" | "NEWID" | "NEW" | "CLEAR";; SESSION[sid:{foreign session id}]session-command = current-session-command | foreign-session-commandforeign-session-command = session-command-name "[sid:" foreign-session-id "]" "=" foreign-session-command-valuesession-command-name = "SESSION"foreign-session-id = 1*ALPHANUMforeign-session-command-value = "TERMINATE"ALPHANUM = ALPHA | DIGIT TERMINATE The TERMINATE command terminates the current Airlock Gateway session. By using the extended notation SESSION[sid:{foreign session id}] any given session can be terminated. Please note that the TERMINATE command does not create a new session at the same time. Only in case the client is sending a subsequent request after the session termination, a new session may be created. NEWID The NEWID command causes the session cookie to get a new ID, thus invalidating any access using the old session ID, but preserving the internally used session. This prevents session fixation and other attacks based on the session ID. If HTTPS is used on the front-end, a new SSL session is initiated as well. Because Airlock Gateway already changes the session cookie each time when roles are set, an explicit NEWID call is only required if a user gets more privileges in a back-end application without obtaining new Airlock Gateway roles. NEW The NEW command terminates the current Airlock Gateway session and creates a new, empty session with a new ID. This causes that encrypted URLs (with session based encryption) or CSRF tokens are not valid anymore with the new session. The command also initiates a new SSL session if the current session is not tracked by SSL session ID. CLEAR The CLEAR command clears specific fields in the current session typically set by Control API commands. These fields are: cookie store, header store, audit token, roles, NTLM credentials, Kerberos users and session variables. In contrast to the command NEW , CLEAR does not reset fingerprinting information nor does it invalidate CSRF tokens and encrypted URLs. Example: The pseudo code examples below demonstrate session management using the control API: Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION=TERMINATE") Results in: Set-Cookie: AL_CONTROL=SESSION%3DTERMINATE Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION[sid:713f232b1a67e46248e41dc3a85d9289]=TERMINATE") Results in: Set-Cookie: AL_CONTROL=SESSION%5Bsid%3A713f232b1a67e46248e41dc3a85d9289%5D%3DTERMINATE Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION=NEWID") Results in: Set-Cookie: AL_CONTROL=SESSION%3DNEWID Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION=NEW") Results in: Set-Cookie: AL_CONTROL=SESSION%3DNEW Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION=CLEAR") Results in: Set-Cookie: AL_CONTROL=SESSION%3DCLEAR','Session control','','')
Smc.XSearch.add('../data/1574686290840.html','Session tracking mode Selecting session tracking mode via API In addition to the session settings in the configuration center, the control API can be used to dynamically change the mode how Airlock Gateway tracks sessions. The command SESSION_TRACKING_MODE controls whether the current session is tracked by a session cookie or the SSL session ID. ;; SESSION_TRACKING_MODEtracking-command = tracking-command-name "=" tracking-command-valuetracking-command-name = "SESSION_TRACKING_MODE"tracking-command-value = "SSL" | "COOKIE" By default Airlock Gateway uses a session cookie to track the user session. When configuring to use the SSL session ID to track a session, there is a risk of inadvertent session hijacking if two users access your website using the same proxy that makes them share SSL connections. The function to track user sessions based on the SSL session ID should only be used if the browser does not change the SSL session ID during a session and clients are not behind a proxy server. Example: The examples below show the HTTP header "Set-Cookie" with the control API cookie AL_CONTROL. The pseudo code helps to understand how to build the control API cookie correctly. Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION_TRACKING_MODE=SSL") Results in: Set-Cookie: AL_CONTROL=SESSION_TRACKING_MODE%3DSSL Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION_TRACKING_MODE=COOKIE") Results in: Set-Cookie: AL_CONTROL=SESSION_TRACKING_MODE%3DCOOKIE','Selecting session tracking mode via API','','')
Smc.XSearch.add('../data/1574686290842.html','Audit token Airlock Gateway allows adding an audit token to a session. The audit token is visible in the summary log message for each request and is useful for monitoring, auditing, and statistics purposes. A common way to use an audit token is to add it after successful authentication so it will appear in all subsequent requests of the authenticated session. Often, the user name is used in audit tokens, but Airlock Gateway imposes no restrictions. Whitespace characters in the audit token are replaced by underscore characters. ;; AUDIT_TOKENaudit-token-command = audit-token-command-name "=" audit-token-command-valueaudit-token-command-name = "AUDIT_TOKEN"audit-token-command-value = audit-token-value ;at this place ´audit-token-value´ must be percent encoded Example: The pseudo code examples below show how to set audit tokens using the control API: Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "AUDIT_TOKEN="+URL_Encode(UTF8_Encode( "jsmith"))) Results in: Set-Cookie: AL_CONTROL=AUDIT_TOKEN%3Djsmith Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "AUDIT_TOKEN="+URL_Encode(UTF8_Encode( "John_Smith_authenticated_Mon_Jan_01_16:00:30_CET_2007"))) Results in: Set-Cookie: AL_CONTROL=AUDIT_TOKEN%3DJohn_Smith_authenticated_Mon_Jan_01_16%253A00%253A30_CET_2007 The examples shown above use the pseudo function UTF8_Encode() . UTF-8 encoding is required for audit tokens to be displayed correctly in Airlock Gateway Logviewer. However, depending on the system configuration, the audit token could also be sent to other servers by using syslog. The encoding used must consider specifics of all involved target components.','Audit token','','')
Smc.XSearch.add('../data/1574686290845.html','Setting HTTP headers Each user session on Airlock Gateway has its own header store. The headers in the header store are added to HTTP requests sent to the back-end server. The control API commands introduced below allow modification of the headers in the header store. Optionally, the HTTP headers can be restricted to certain mappings. ADD_HEADERS : add HTTP headers to the header store of the session REMOVE_HEADERS : remove HTTP headers with the specified header name from the header store of the session (the header value is ignored). SET_HEADERS : clear the header store of the session before adding new HTTP headers to it. The command syntax is: ;; SET_HEADERS, ADD_HEADERS, REMOVE_HEADERSheader-command = header-command-name "=" header-command-valueheader-command-name = "SET_HEADERS" | "ADD_HEADERS" | "REMOVE_HEADERS"header-command-value = header-command-for-mapping-valuesheader-command-for-mapping-values = [ header-command-for-mapping-value [ "," header-command-for-mapping-values ] ]header-command-for-mapping-value = header-definition [ "@" mapping-name ] ;at this place ´header-definition´ must be percent encodedheader-definition = header-name ":" *SP header-value The header store consists of a list of global headers and separate lists of mapping-specific headers. Using the "@mapping-name" notation, it is possible to restrict the scope of headers to a specific mapping. If no mapping-name is provided, the header is set globally. For a back-end server request, the matching mapping-specific headers are sent, together with the global headers that have different names than the matching mapping-specific headers. Don´t use SET_HEADERS to replace headers, because it clears the header store. Use REMOVE_HEADERS followed by ADD_HEADERS instead. These control API commands should not be used to add cookies to the user´s cookie store for the following reasons: The resulting cookies would end up in Airlock Gateway ´s header store and not in the cookie store. Cookies in the header store are not handled according to the application cookie section. There is a risk of adding the "Cookie" header more than once. The same cookie might exist twice, once in the cookie store and once in the header store. Depending on back-end behavior, strange errors might occur. Instead, standard API commands of the applied programming language should be used to create the cookies. By doing this, the cookies are correctly added to Airlock Gateway ´s cookie store and not to the header store. More information about Airlock Gateway ´s cookie handling is available in the application cookies section. Example: The pseudo code example below shows how to add HTTP headers using the control API: Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "ADD_HEADERS="+URL_Encode( "X-Auth-Header: jsmith") +"@mapping1,"+URL_Encode( "X-Auth2-Header: john_smith") +"@mapping2") Results in: Set-Cookie: AL_CONTROL=ADD_HEADERS%3DX-Auth-Header%253A%2520jsmith%40mapping1%2CX-Auth2-Header%253A%2520john_smith%40mapping2 In the example, the HTTP header "X-Auth-Header: jsmith " is added for all back-end requests on mapping mapping1 . The HTTP header "X-Auth2-Header: john_smith " is added for back-end requests on mapping mapping2 .','Setting HTTP headers','','')
Smc.XSearch.add('../data/1574686290847.html','Kerberos user and domain The control API command KERB_USER sets which Kerberos user to use for which mapping. For each mapping only one kerberos user can be set. Therefore a command with a mapping specification will override any value with the same mapping specification. Similarly a command without mapping specification will override the global kerberos user. Cross-realm authentication is possible with both, Kerberos Constrained Delegation (KCD) and Resource Based Kerberos Constrained Delegation (RBKCD). ;; KERB_USERkerberos-user-command = kerberos-user-command-name "=" kerberos-user-command-valuekerberos-user-command-name = "KERB_USER"kerberos-user-command-value = kerberos-user-valueskerberos-user-values = kerberos-user-value [ "," kerberos-user-values ]kerberos-user-value = percent-encoded-domain-and-user [ "@" [ mapping-name ] ]domain-and-user = [ domain ] "\\" [ user ] When a Kerberos user is searched for the current mapping the most qualified user will be selected. That means that a user entry with a matching mapping will be preferred over a user entry without a defined mapping. If a user is given and no domain is specified, a service ticket will be acquired for the user in the current domain. The current domain is defined by the Kerberos environment configured in the back-end group of the issuing request. If a domain name is given, the service ticket will be acquired for the user in the given domain. Sending the command with an empty user definition deletes the entry for the given mapping. If both the mapping and the user definitions are empty, all entries are removed. Example: The pseudo code example below shows how to use this command. Set user "john" on mapping "mapping_a" Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "KERB_USER="+URL_Encode(UTF8_Encode( "john"))+ "@mapping_a") Results in: Set-Cookie: AL_CONTROL=KERB_USER%3Djohn%40mapping_a Set user "susan" for all mappings Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "KERB_USER="+URL_Encode(UTF8_Encode( "susan"))) Results in: Set-Cookie: AL_CONTROL=KERB_USER%3Dsusan Set user "thiago" on all mappings with domain specification (cross-domain) Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "KERB_USER="+URL_Encode(UTF8_Encode( "other_domain\\\\thiago"))))) Results in: Set-Cookie: AL_CONTROL=KERB_USER%3DOTHER_DOMAIN%255Cthiago Remove the entry for mapping "mapping_b" Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "KERB_USER="+URL_Encode(UTF8_Encode( ""))+ "@mapping_b") Results in: Set-Cookie: AL_CONTROL=KERB_USER%3D%40mapping_b Remove all user entries Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "KERB_USER="+URL_Encode(UTF8_Encode( ""))) Results in: Set-Cookie: AL_CONTROL=KERB_USER%3D','Kerberos user and domain','','')
Smc.XSearch.add('../data/1574686290849.html','Session timeout Airlock Gateway provides a global setting to configure the session idle time in the GUI. We recommend setting a short session timeout in the GUI and setting credentials with longer timeouts during the login process. For most use cases, this should be sufficient. For all other cases, the session idle timeouts can be modified using the command SESSION_TIMEOUT : ;; SESSION_TIMEOUTtimeout-command = timeout-command-name "=" timeout-command-valuetimeout-command-name = "SESSION_TIMEOUT"timeout-command-value = value-in-secondsvalue-in-seconds = 1*DIGIT Example: The pseudo code example below shows how to modify the session timeout via the control API: Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SESSION_TIMEOUT=1800") Results in: Set-Cookie: AL_CONTROL=SESSION_TIMEOUT%3D1800','Session timeout','','')
Smc.XSearch.add('../data/1574686290851.html','Authentication workflow Normally, the response of a one-shot request is not sent to the client. With the control API command AUTH_WORKFLOW it is possible to change this behavior. FINAL_RESPONSE – use the response of the one-shot request as the final response and send it to the client. CONTINUE – discard the response of the one-shot request and continue with the actual request (default). The command syntax is: ;; AUTH_WORKFLOWauth-workflow-command = auth-workflow-command-name "=" auth-workflow-command-valueauth-workflow-command-name = "AUTH_WORKFLOW"auth-workflow-command-value = "FINAL_RESPONSE" | "CONTINUE" The workflow command CONTINUE is the default behavior and has the same effect as when the AUTH_WORKFLOW command is omitted. This command is available since Airlock Gateway 5.1. The behavior of older versions is the same as using the CONTINUE command. Example: The pseudo code example below shows how to change the one-shot behavior to use the one-shot response as the final response of the request: Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "AUTH_WORKFLOW=FINAL_RESPONSE") Results in: Set-Cookie: AL_CONTROL=AUTH_WORKFLOW%3DFINAL_RESPONSE','Authentication workflow','','')
Smc.XSearch.add('../data/1574686290853.html','Session variables With the following control API commands it is possible to add and remove arbitrary name/value pairs, so-called session variables, to the Airlock Gateway session. These variables can be used in Client Fingerprinting rules or can be sent to the back-end as environment cookies. SET_SESSION_VARIABLES : set variables in the session (clear existing variables). ADD_SESSION_VARIABLES : add variables to the session (keep existing variables). REMOVE_SESSION_VARIABLES : remove variables from the session The command syntax is: ;; SET_SESSION_VARIABLES, ADD_SESSION_VARIABLES, REMOVE_SESSION_VARIABLESsession-variable-command = session-variable-command-name "=" session-variable-command-valuesession-variable-command-name = "SET_SESSION_VARIABLES" | "ADD_SESSION_VARIABLES" | "REMOVE_SESSION_VARIABLES"session-variable-command-value = session-variable-definitionssession-variable-definitions = session-variable-definition [ "," session-variable-definitions ] ;at this place each ´session-variable-definition´ must be percent encodedsession-variable-definition = session-variable-name [ "=" session-variable-value ] Example: The pseudo code example below shows how to set and remove session variables using the control API. Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "SET_SESSION_VARIABLES="+URL_Encode( "myVariable1=myValue1") +"," +URL_Encode( "myVariable2=myValue2")) Results in: Set-Cookie: AL_CONTROL=SET_SESSION_VARIABLES%3DmyVariable1%253DmyValue1%2CmyVariable2%253DmyValue2 Pseudo code: response.header="Set-Cookie: AL_CONTROL="+URL_Encode( "REMOVE_SESSION_VARIABLES="+URL_Encode( "myVariable1") +","+URL_Encode( "myVariable2")) Results in: Set-Cookie: AL_CONTROL=REMOVE_SESSION_VARIABLES%3DmyVariable1%2CmyVariable2','Session variables','','')
Smc.XSearch.add('../data/1574686290855.html','Pseudo code Examples are written in pseudo code to illustrate the use of the control API commands. The pseudo code helps understanding which part of the control API command must be encoded and how. The list below shows the pseudo code functions used in the explanations and describes what they do: Pseudo code functions: URL_Encode("string") : This function illustrates that "string" must be URL encoded (percent-encoded). BASE64_Encode("string") : This function illustrates that "string" must be Base64 encoded. UTF8_Encode("string") : This function illustrates that "string" must be UTF-8 encoded. Escape sequences: \\" : Insert a double quote character in the text at this point. \\\\ : Insert a backslash character in the text at this point. Special notation: + : The operator + is used to concatenate strings.','Pseudo code','','')
Smc.XSearch.add('../data/1574686290857.html','Unconditional control API commands Some control API commands are enabled for all back-end servers, no matter whether the control API on the corresponding mapping is enabled or not. Those unconditional commands are: SESSION=TERMINATE SESSION=NEWID SESSION=NEW SESSION=CLEAR REMOVE_CREDENTIALS REMOVE_HEADERS SET_SESSION_VARIABLES ADD_SESSION_VARIABLES REMOVE_SESSION_VARIABLES','Unconditional control API commands','','')
Smc.XSearch.add('../data/1574686290859.html','Summary of syntax rules In this section, the syntax for all control API commands is summarized: control-cookie = control-cookie-name "=" control-cookie-valuecontrol-cookie-name = "AL_CONTROL"control-cookie-value = commands ;at this place ´commands´ must be percent encodedcommands = command [ "&" commands ]command = audit-token-command | basic-auth-command | credential-command | header-command | kerberos-user-command | ntlm-command | session-command | timeout-command | tracking-command | auth-workflow-command | session-variable-command;; AUDIT_TOKENaudit-token-command = audit-token-command-name "=" audit-token-command-valueaudit-token-command-name = "AUDIT_TOKEN"audit-token-command-value = audit-token-value ;at this place ´audit-token-value´ must be percent encoded;; HTTP_BASIC_AUTHbasic-auth-command = basic-auth-command-name "=" basic-auth-command-valuebasic-auth-command-name = "HTTP_BASIC_AUTH"basic-auth-command-value = basic-auth-definitionsbasic-auth-definitions = basic-auth-definition [ "," basic-auth-definitions ]basic-auth-definition = basic-auth-value [ "@" mapping-name ] ;at this place ´basic-auth-value´ must be percent encoded;; HTTP_NTLMntlm-command = ntlm-command-name "=" ntlm-command-valuentlm-command-name = "HTTP_NTLM"ntlm-command-value = ntlm-definitionsntlm-definitions = ntlm-definition [ "," ntlm-definitions ]ntlm-definition = ntlm-value [ "@" mapping-name ] ;at this place ´ntlm-value´ must be percent encoded;; SET_CREDENTIALS, ADD_CREDENTIALS, REMOVE_CREDENTIALScredential-command = credential-command-name "=" credential-command-valuecredential-command-name = "SET_CREDENTIALS" | "ADD_CREDENTIALS" | "REMOVE_CREDENTIALS"credential-command-value = credential-definitions ;at this place ´credential-definitions´ must be percent encodedcredential-definitions = credential-definition [ "," credential-definitions ]credential-definition = credential-name [ ":" credential-timeout [ ":" credential-lifetime [ ":" keep-id-flag ] ] ]credential-name = 1*ALPHANUMcredential-timeout = value-in-secondscredential-lifetime = value-in-secondskeep-id-flag = "K"value-in-seconds = 1*DIGITALPHANUM = ALPHA | DIGIT;; SET_HEADERS, ADD_HEADERS, REMOVE_HEADERSheader-command = header-command-name "=" header-command-valueheader-command-name = "SET_HEADERS" | "ADD_HEADERS" | "REMOVE_HEADERS"header-command-value = header-command-for-mapping-valuesheader-command-for-mapping-values = [ header-command-for-mapping-value [ "," header-command-for-mapping-values ] ]header-command-for-mapping-value = header-definition [ "@" mapping-name ] ;at this place ´header-definition´ must be percent encodedheader-definition = header-name ":" *SP header-value;; KERB_USERkerberos-user-command = kerberos-user-command-name "=" kerberos-user-command-valuekerberos-user-command-name = "KERB_USER"kerberos-user-command-value = kerberos-user-valueskerberos-user-values = kerberos-user-value [ "," kerberos-user-values ]kerberos-user-value = percent-encoded-domain-and-user [ "@" [ mapping-name ] ]domain-and-user = [ domain ] "\\" [ user ];; SESSIONsession-command = current-session-command | foreign-session-commandcurrent-session-command = session-command-name "=" current-session-command-valuesession-command-name = "SESSION"current-session-command-value = "TERMINATE" | "NEWID" | "NEW" | "CLEAR";; SESSION[sid:{foreign session id}]session-command = current-session-command | foreign-session-commandforeign-session-command = session-command-name "[sid:" foreign-session-id "]" "=" foreign-session-command-valuesession-command-name = "SESSION"foreign-session-id = 1*ALPHANUMforeign-session-command-value = "TERMINATE"ALPHANUM = ALPHA | DIGIT;; SESSION_TIMEOUTtimeout-command = timeout-command-name "=" timeout-command-valuetimeout-command-name = "SESSION_TIMEOUT"timeout-command-value = value-in-secondsvalue-in-seconds = 1*DIGIT;; SESSION_TRACKING_MODEtracking-command = tracking-command-name "=" tracking-command-valuetracking-command-name = "SESSION_TRACKING_MODE"tracking-command-value = "SSL" | "COOKIE";; AUTH_WORKFLOWauth-workflow-command = auth-workflow-command-name "=" auth-workflow-command-valueauth-workflow-command-name = "AUTH_WORKFLOW"auth-workflow-command-value = "FINAL_RESPONSE" | "CONTINUE";; SET_SESSION_VARIABLES, ADD_SESSION_VARIABLES, REMOVE_SESSION_VARIABLESsession-variable-command = session-variable-command-name "=" session-variable-command-valuesession-variable-command-name = "SET_SESSION_VARIABLES" | "ADD_SESSION_VARIABLES" | "REMOVE_SESSION_VARIABLES"session-variable-command-value = session-variable-definitionssession-variable-definitions = session-variable-definition [ "," session-variable-definitions ] ;at this place each ´session-variable-definition´ must be percent encodedsession-variable-definition = session-variable-name [ "=" session-variable-value ]','Summary of syntax rules','','')
Smc.XSearch.add('../data/1574686290861.html','Expert Settings There are Security Gate Expert Settings related to the control API. Control API cookie name The control API cookie name can be adapted if the default does not fit customer needs. Default: ControlCookieName "AL_CONTROL" Airlock Gateway support does not recommend changing the control API cookie name - this is usually a source of confusions. Disabling session cookie renewal when adding roles By default the session cookie is renewed when a session credential is added by a control API command. This behavior can be disabled for credentials matching the regular expression below. This expert setting must be used with caution, because when used incorrectly, session fixation and similar attacks are possible. Default: SessionRenewalCredentialException.Pattern "^$" Restricting the roles that can be added/removed The following pattern restricts the roles which can be added/removed by the control API. No restriction is applied if the resource is not defined. Default: Authentication.ControlAPI.Restriction.Roles.Pattern ".*" This global setting may be overridden in each mapping.','Expert Settings','','')
Smc.XSearch.add('../data/1697129074066.html','Header-based session tracking Using header tokens for session tracking In this configuration example, we use HTTP header tokens between the REST client and Airlock Gateway to track sessions. This is usual for non-browser clients or, in general, for HTTP clients not supporting cookies. For browser-based session tracking with cookies, see Section – Session Tracking. How it works: The REST client receives a token in an HTTP header for session tracking from Airlock Gateway, e.g., the header named X-Session-ID . The REST client must return the header´s value in a request header, e.g., again a header named X-Session-ID with every request. A mixed setup with REST and browser-based clients usually requires a split setup with two VirtualHost configurations on the Airlock Gateway – one with cookie-based tracking and one with header tracking configuration. Requirements Airlock Gateway may send a new header value to the HTTP client at any point in the conversation. It does so, for example, during and after authentication, role changes, etc. The REST client must always use the newest header value. This is done to mitigate certain types of attacks. Configuration Session tracking by header can be configured using Security Gate Expert Settings on the Virtual Host. Open the corresponding Virtual Host for editing. Go to tab: Expert Settings Switch the Security Gate settings ON and add the following line: Session.Tracking.HeaderToken.Enable "TRUE" We strongly recommend setting meaningful request and response header names, e.g., X-Session-ID . To do so, add the following Expert Settings configuration lines: Session.Tracking.HeaderToken.Response.Header.Name "X-Session-ID" Session.Tracking.HeaderToken.Request.Header.Name "X-Session-ID" Configure header token extraction as required. Session.Tracking.HeaderToken.Request.Header.Value.Pattern "^Bearer ([[:graph:]]+)$" Session.Tracking.HeaderToken.Request.Header.Value.IgnoreCase "TRUE" Session.Tracking.HeaderToken.Request.Header.Value.Template "$1" Further information and links Internal links: Section – Session Tracking Selecting session tracking mode via API','Using header tokens for session tracking','','')
Smc.XSearch.add('../data/1632471135633.html','CSRF protection Cross-Site Request Forgery (CSRF) protection for SPAs This section aims to explain how any single-page application (SPA) can be protected from CSRF attacks by using the CSRF Token feature of the Security Gate. Enable CSRF tokens on the Tab – CSRF Tokens of the corresponding mapping to protect your application against CSRF attacks. CSRF blocking based on CSRF tokens The Security Gate will block any state-changing request with a missing or invalid CSRF token. There are legitimate use cases for which the CSRF token is no longer valid. Typical examples are session timeouts or terminated sessions. In those cases, the gateway´s response to a CSRF block might be inappropriate for a SPA. Blocking responses: If no Invalid token redirect location was configured, the response is 400 Bad Request with a generic HTML error page. SPAs typically do not expect HTML content in API responses. Otherwise, the gateway´s response is 303 See Other with a location header pointing towards the configured Invalid token redirect location . Redirects cannot be handled by SPAs based on XMLHttpRequest (XHR), such as Angular, and will be directly handled by the web browser. The following steps are needed for the SPA to handle this situation more transparently: Recognize that a CSRF block occurred. Retrieve a new CSRF token. Replay the original request with the new CSRF token. Changing the gateway response for CSRF blocks Set the invalid token redirect location in the CSRF Tokens tab on the corresponding mapping to /%ENTRYPATH%/invalid/csrf-token . Note that the exact path is not important as long as the configured value does not collide with any URL used in your application. To ensure that the SPA can handle the gateway´s response, transform the redirect into for example a 403 Forbidden . To do so, set the following Apache Expert Settings on the corresponding mapping: RewriteEngine On RewriteRule "invalid/csrf-token" "-" [F] The path in the rewrite rule must match the previously configured invalid token redirect location. With this rewrite rule, any request to /%ENTRYPATH%/invalid/csrf-token will be responded to by a 403 Forbidden . The changes above ensure that in case of a CSRF block: The user´s session ID and CSRF token will be renewed. These new values are delivered as cookies in the gateway´s response (303 See Other towards /%ENTRYPATH%/invalid/csrf-token ) to the CSRF block. The user´s browser follows the redirect and effectuates a GET /%ENTRYPATH%/invalid/csrf-token which is answered by a 403 Forbidden . This error is propagated to your SPA which can then handle it appropriately. Intercepting in your SPA gateway response to CSRF Blocks The exact syntax to intercept an HTTP request or response depends on the exact framework used by your SPA. The following example has been successfully tested with Angular 11 and 12. It assumes that the SPA uses the Angular framework and implements the HttpInterceptor interface: Example of a CSRF Block Interceptor in Angular: import {HttpErrorResponse, HttpEvent, HttpHandler, HttpInterceptor, HttpRequest} from ´@angular/common/http´; import {Observable} from ´rxjs´; import {catchError} from ´rxjs/operators´; import {Injectable} from ´@angular/core´;  @Injectable() export class CsrfBlockInterceptor implements HttpInterceptor {   intercept (req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {  return next.handle(req).pipe(  catchError((error: HttpErrorResponse) => {  if (this.isCsrfBlock(error)) {  return this.replayRequest(req, next);  }  return this.anyOtherInternalErrorHandling(error);  })  );  }   private isCsrfBlock (error: HttpErrorResponse): boolean | undefined {  //the end of the url needs to match the one configured as "Invalid token redirect location"  return error.status === 403 && error.url?.endsWith(´/invalid/csrf-token´);  }   private replayRequest (req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>> {  return next.handle(req);  }   private anyOtherInternalErrorHandling (error: HttpErrorResponse) {  return observableThrowError(error);  }  } Sequences of requests and responses Note that the normal sequence of requests and responses between your SPA and the Security Gate is not modified in any way by our exemplary configuration as long as no CSRF block occurs. When a CSRF block occurs, then an extra round-trip between your application and the gateway is made to handle the CSRF block transparently. This additional delay should be acceptable for most applications since a CSRF block typically occurs at most once per user session. In case a CSRF block occurs, the sequence of requests and responses with our exemplary configuration is depicted below. Note that only relevant headers are displayed. (A) Your SPA does some state-changing requests (here a POST request) with an invalid CSRF token. This is for example the case when the user session is no longer valid (possibly due to a timeout). (B) The Security Gate verifies the provided CSRF token and considers it to be invalid since the corresponding session is invalid. This triggers a CSRF block. The gateway responds with a redirect towards the configured Invalid token redirect location and provides via cookies a new session ID and CSRF token. (C) The redirect is not propagated to your SPA but is instead directly handled by the user´s web browser, which issues a GET request towards the configured invalid token redirect location. (D) The configured mapping settings ensure that any request towards the configured invalid token redirect location will be answered by 403 Forbidden . (E) The 403 Forbidden response is propagated to your SPA, which intercepts it and recognizes from the request URL in (C) that a CSRF block occurred. The SPA can then replay the original request from (A) transparently using the new session ID and CSRF token. The script initially injected by the Security Gate will automatically inject the CSRF token to the appropriate header. Further information and links Pre-configured mapping templates are included in Airlock IAM starting with IAM 7.5. See Configuration of IAM mappings What are single-page applications (SPAs)?','Cross-Site Request Forgery (CSRF) protection for SPAs','','')
Smc.XSearch.add('../data/1571978526986.html','ICAP ICAP configuration ICAP (Internet Content Adaptation Protocol) is a lightweight protocol much like HTTP that makes it possible to offload some processing of HTTP requests and responses ("adaptation") to dedicated ICAP servers. ICAP is generally used by proxy servers to integrate third-party products such as anti-virus software, content scanners, and URL filters. For a detailed description of ICAP, please refer to RFC 3507 . Airlock Gateway acts as an ICAP client. The ICAP module supports request rewriting (REQMOD) as well as response rewriting (RESPMOD). It can pass HTTP requests and response messages to an ICAP server before sending them to the back-end server or the web client, respectively. ICAP services for REQMOD and RESPMOD can be configured independently, thus allowing the use of different ICAP services for HTTP requests and responses. Airlock Gateway allows the specification of patterns on HTTP requests/responses to use ICAP selectively. Only matching requests and responses are sent to the ICAP server. All other requests and responses are delivered directly and without any impact on latency. If necessary, Airlock Gateway may adjust HTTP requests after they have been processed by an ICAP service, e.g. the replacement of the HTTP header field "Host:" in case of failover during back-end load balancing. ICAP servers Configure your ICAP servers on the Network Services page using either an ICAP URL (icap://... or icaps://...) for a traditional ICAP service or a HTTP URL (http://... or https://...) for an ICAP service such as the Airlock Gateway SOAP/XML Filter which runs on a Java web application container. Using an HTTP URL will slightly modify the ICAP protocol by transferring the data in a HTTP data stream. The port may be omitted in the URL if the default port is used: Protocol Default port icap 1344 icaps 11344 http 80 https 443 Each named service in this list can be selected for ICAP handlers on mappings. ICAP failover Multiple ICAP Service URLs can be configured by separating the URLs with commas. If multiple URLs are configured, requests will be randomly distributed to the different URLs (loadbalancing). In case a connection to a URL results in a timeout, another URL is used (failover). Unreachable URLs are marked internally and are not used for a configurable holdoff time. The holdoff time is set to 10 minutes by default and can be changed using expert settings. Fail open The "fail open" mode allows the continuation of application usage even if all configured ICAP Service URLs are unreachable. The reaction of Airlock Gateway to an unavailable ICAP service is as follows: Fail open : The original request/response is transmitted as if no ICAP Service was configured. Use this mode if the ICAP service is not mandatory. Fail close : Request/response processing is stopped and an error occurs. Use this mode if the ICAP service is mandatory, i.e., the application must not be available in case of an unreachable ICAP service.','ICAP configuration','','')
Smc.XSearch.add('../data/1626375361852.html','JWKS Providers Local and remote JWKS Providers configuration Local JWK sets Go to: Application Firewall >> JWKS Providers >> Tab Local Add a new entry by pressing the + button. Enter a unique name for the new key set. Copy the JWKS into the Content field. Optionally: Enter an issuer name. This value is used to restrict the usage of the JWKS to JWTs with a matching issuer (claim iss). Click the Validate button to check your new settings. A new local JWKS provider is configured. Configuration of remote JWK sets Go to: Application Firewall >> JWKS Providers >> Tab Remote Add a new entry by pressing the + button. Enter a unique name for the remote JWKS provider. Enter the URL of the remote JWKS endpoint into the Service URL field. Optionally: Enter an issuer name. This value is used to restrict the usage of the JWKS to JWTs with a matching issuer (claim iss). Click the Validate button to check your new settings. Change to the SSL tab. Configure the SSL settings. See Tab – SSL. A new local JWKS provider is configured. Further information and links Section – Access Tokens JWKS and JWK selection by filtering Tab – SSL','Local and remote JWKS Providers configuration','','')
Smc.XSearch.add('../data/1683824572174.html','GraphQL GraphQL integration GraphQL queries, variables and operation names can be extracted from different sources: HTTP query parameters JSON bodies Bodies of content type application/graphql Step 1 of this article describes a simple GraphQL example integration with limits configuration and request-check against deny rules. This part covers the basic configuration. Step 2 of this article describes how to create exceptions using policy learning. This requires working with log messages to find and eliminate the cause of problems. Step 1 – Configure GraphQL and Limits Start by activating the Log only mode in the GraphQL enforcement settings on the mapping detail page to collect a reasonable number of logs in preparation. Go to: Application Firewall >> API Security >> section GraphQL Upload a GraphQL schema that is compatible with GraphQL schema definition (Oct. 2021) . Change to: Application Firewall >> Reverse Proxy and choose a mapping for editing. On the mapping detail page, select the tab API Security . In the GraphQL section, enable the following options: Enable parser Log only Check values with deny rules Enforce schema (and select the uploaded GraphQL schema) Change to the Limits tab and enable GraphQL Limits checks. Set the limit values carefully to minimize the risk of DoS attacks – we recommend using the default values as a starting point. Consider reducing the Max query nesting depth if you notice high loads on your target system due to GraphQL requests. Activate the new configuration. GraphQL requests may now generate log messages (even blocks caused by deny rules) with the parameter name #graphql# . Step 2 – Create deny rule exceptions using policy learning In Log only mode and with the settings above, GraphQL-related checks like syntax errors will not lead to blocks. However, with Check values with deny rules enabled, the Security Gate still enforces the current deny rules. If you encounter false positives, use the Policy Learning feature to create exceptions to deny rules. Got to: Application Firewall >> Policy Learning If the GraqhQL query is sent in a JSON body, check for JSON blocks and create deny rule exceptions as required. Look for blocks with parameter name #json# . OR If the GraqhQL query is sent in query parameters, check for blocks with the query parameter names query , variables , or operationName and create deny rule exceptions as required. To check for GraphQL blocks, look for blocks with parameter name #graphql# and create GraphQL deny rule exceptions as required. Activate the new configuration. Re-check the log messages and disable the GraphQL log-only mode on the mapping when the logs don´t show false positives. Further information and links Internal links: Section – GraphQL (Schema upload) Section – GraphQL Schema Section – GraphQL Limits (API Security settings) Section – GraphQL Schema External links: GraphQL mutations GraphQL introspection GraphQL schema definition (Oct. 2021)','GraphQL integration','','')
Smc.XSearch.add('../data/1571978527050.html','Let´s Encrypt Let´s Encrypt as certificate provider Let´s Encrypt is a provider and certificate authority (CA) of free SSL/TLS server certificates. Installing and maintaining these certificates is fully automated. Under the current service agreement certificates are issued for a lifetime of 90 days and automatically renewed after 60 days. Required information To configure Let´s Encrypt certificates, the virtual host must be configured with an FQDN that is listed in the global DNS and an email address must be provided. This email address is used by Let´s Encrypt to communicate directly with the owner of the Let´s Encrypt certificate. It is recommended to provide an email that is monitored by an operations group. If a virtual host is configured with aliases, these aliases are automatically added to the Let´s Encrypt certificate. Routing The IP of Let´s Encrypt service host acme-v02.api.letsencrypt.org must be reachable. A destination route may be necessary. Legal notice Let´s Encrypt provides their certificates under their own Let´s Encrypt Subscriber Agreement . By using Let´s Encrypt certificates you implicitly agree to the most recent version of their subscriber agreement. Trust management Since Let´s Encrypt certificates change rather frequently, it is recommended to only use CA trust chain validation and to avoid solutions that rely on simple certificate trust. The trust chain can be downloaded from the Let´s Encrypt web site. To download the server certificate, it is recommended to use a normal browser to connect to the server and to retrieve the certificate including chain directly from there. Limitations The following functions have not been integrated or automated: Currently there is no support for wildcard certificates. Let´s Encrypt is not supported in setups with multiple active gateway appliances (active-active setup). Revocation of certificates must be accomplished manually. Documentation can be found on the Let´s Encrypt web site. When adding an alias to a running virtual host, care should be taken that both the FQDN of the virtual host and all the aliases are correctly configured in the global DNS. An incorrect configuration will result in a verification failure of the certificate request at Let´s Encrypt and therefore take this virtual host offline. Other virtual hosts will continue to work as expected. Operation During the initial setup of a virtual host, it may take some time until the first certificate is successfully issued. The Kibana log will show all the details on the exchange with the Let´s Encrypt services. Once the certificate is issued, no further operational activities are required. The system will automatically request new certificates and activate them using a graceful Apache restart to avoid any impact on end users. In case of a failover in an active-passive setup, the passive server has copies of the most recent certificates and will use these certificates should it be necessary to make this server the active node. Further information and links SSL settings configuration on the Virtual Host detail page: Tab – SSL Allowlisting of external hosts: Section – Allowed Network Endpoints','Let´s Encrypt as certificate provider','','')
Smc.XSearch.add('../data/1583435027340.html','Threat Intelligence Threat Intelligence by Webroot BrightCloud Threat intelligence is a separately licensed subscription service in Airlock Gateway that provides predefined lists of IP addresses with the purpose of allowing one or more categories of unwanted IP address origins to be blocked from accessing the protected applications. An IP address may be included in several categories. In case you want to define custom IP address lists, please refer to Submenu – IP Address Lists. The Threat Intelligence feed lists are categorized as follows: Category Description Spam Sources The Spam Sources category includes IP addresses involved in tunneling spam messages through proxy, anomalous SMTP activities, and forum spam activities. Windows Exploits The Windows Exploits category includes IP addresses participating in the distribution of malware, shell code, rootkits, worms or viruses for Windows platforms. Web Attacks The Web Attacks category includes IP addresses using cross site scripting, iFrame injection, SQL injection, cross domain injection, or domain password brute force attacks to target vulnerabilities on a web server. Botnets The Botnets category includes IP addresses acting as Botnet Command and Control (C&C) centers, and infected zombie machines controlled by the C&C servers. Scanners The Scanners category includes IP addresses involved in unauthorized reconnaissance activities such as probing, host scanning, port scanning and brute force login attempts. Denial of Service The Denial of Services category includes IPs addresses involved in DOS or DDOS attacks, anomalous sync flood, or anomalous traffic. Phishing The Phishing category includes IP addresses hosting phishing sites and sites related to other kinds of fraudulent activities. Proxy The Proxy category includes IP addresses providing proxy services, including both VPN and open web proxy services. Mobile Threats The Mobile Threats category includes IP addresses associated with malicious and unwanted mobile applications. Tor Proxy The Tor Proxy category includes IP addresses acting as exit nodes for the Tor Network. Exit nodes are the last point along the proxy chain and make a direct connection to the originator’s intended destination. Threat Intelligence Feed lists are an automatically maintained type of IP Address Lists. For more information on IP Address Lists please see Submenu – IP Address Lists. Should you find a problem with the content of the feed (e.g. a false positive), you may report this issue directly to the provider of the feed . Please specify Airlock Gateway for the field Your product/integration . Further information and links (External source) Webroot BrightCloud® Web Services Submenu – Threat Intelligence','Threat Intelligence by Webroot BrightCloud','','')
Smc.XSearch.add('../data/1597849687984.html','Microsoft integration Microsoft integration guides This chapter contains documentation integration guides for various Microsoft products. Integration of Microsoft Exchange 2016 / 2019 Publishing Microsoft SharePoint 2016 Publishing Microsoft SharePoint 2019 Publishing Microsoft WebDAV Kerberos integration','Microsoft integration guides','','')
Smc.XSearch.add('../data/1600697743210.html','Integration of Microsoft Exchange 2016 / 2019 This chapter focusses on the integration of Microsoft Exchange 2016 / 2019 into the Airlock Secure Access Hub. About Microsoft Exchange Microsoft Exchange is a mail server that allows users to work from anywhere at any time. It offers features such as: Outlook on the Web (formerly Outlook Web Access): Access to mails, calendar and contacts through the webmail client. Outlook Anywhere: Outlook integration over HTTP. ActiveSync: Synchronization of mails, calendar entries and contacts on mobile devices. MS Exchange allows employees to be more productive and collaborate. Typically, however, the MS Exchange services are reachable from the Internet. This increases the risk of being attacked. To enhance security, Airlock Gateway should be installed between MS Exchange and its clients. This gives users full access to MS Exchange´s features while still maintaining a secure environment. Requirements and limitations The integration of Microsoft Exchange into Airlock has been tested with the Airlock modules and/or 3rd party software versions listed in the following table. The instructions in this manual are based on these modules/versions. Title Component Required version Comments Airlock Gateway Version 7.3 or newer Valid Airlock Gateway license for at least 1 additional application None Airlock IAM Version 7.0 or newer Valid Airlock IAM license Optional: Only if authentication enforcement is used Microsoft Exchange Version 2016 / 2019 None Microsoft Outlook Version 2016 / 2019 Optional: Only if RPC over HTTP or MAPI over HTTP is used RPC Proxy On Windows Server 2016 / 2019 Optional: Only if RPC over HTTP should be used Medium – Although some functions might work with other Airlock Gateway , Airlock IAM , Airlock Microgateway , Airlock add-on modules and/or 3rd party software versions, it is highly recommended using the releases this documentation is based on. Always install the latest bugfix release before proceeding. Instructions The following chapters explain how to integrate MS Exchange into Airlock Gateway, for Outlook on the Web, Outlook Anywhere, and ActiveSync, respectively. This also includes instructions on the configuration of authentication enforcement. Configuring Airlock Gateway for Outlook Web Access / Outlook on the Web Configuring authentication enforcement for Outlook Web Access / Outlook on the Web Configuring Airlock Gateway for Outlook Anywhere Configuring authentication enforcement for Outlook Anywhere Configuring Airlock Gateway for ActiveSync Configuring authentication enforcement for ActiveSync Tips for troubleshooting','Integration of Microsoft Exchange 2016 / 2019','','')
Smc.XSearch.add('../data/1668101483901.html','Configure Outlook on the Web Configuring Airlock Gateway for Outlook Web Access / Outlook on the Web The following sections show the steps required to configure Outlook Web Access / Outlook on the Web behind Airlock Gateway . Outlook on the Web is the new name for Outlook Web Access (also known as Exchange Web Connect and Outlook Web App). Included steps: Creating an Airlock Gateway virtual host. Creating an Airlock Gateway back-end group. Creating an Airlock Gateway mapping. Activating your configuration. Detailed descriptions of each step follow below. Chapter-related prerequisites You must be logged in as admin in the Airlock Gateway Configuration Center . Creating an Airlock Gateway virtual host To create an Airlock Gateway virtual host for Outlook Web Access / Outlook on the Web, proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Virtual Host column on the + sign. Enter the FQDN and IP address: Host name (FQDN) : exchange.ext.virtinc.com Select a network interface. Enable the checkbox HTTP listener . Enable the checkbox HTTPS listener . Enable the checkbox Redirect to HTTPS . Change to the SSL tab. Select the Server certificate according to the FQDN of the virtual host. Change to the Expert Settings tab. Switch Security Gate settings to ON and enable legacy cookie parsing: # COOKIE PARSING  # In the legacy cookie parsing mode, comma characters may be used to separate # cookies. This means that cookie values cannot contain commas. The new cookie # parsing mode allows commas in cookie values. # (Context: global, virtual host) # # Whether to use the legacy cookie parsing mode. # If you change this setting, you also need to configure a corresponding # Apache Expert Setting with the name "AirlockLegacyCookieParsing". LegacyCookieParsing "TRUE" Switch Apache settings to ON and enable Airlock legacy cookie parsing: # COOKIE PARSING  AirlockLegacyCookieParsing On A virtual host has been pre-configured. Creating an Airlock Gateway back-end group To create an Airlock Gateway back-end group for Outlook Web Access / Outlook on the Web, proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : http Back-end Host : exchange.int.virtinc.com Port : 80 A back-end group has been pre-configured. Creating an Airlock Gateway mapping Next, create an Airlock Gateway mapping for Outlook Web Access / Outlook on the Web. Procedure-related prerequisites: You must have created an Airlock Gateway virtual host and back-end group for Outlook Web Access or Outlook on the Web, respectively, according to the instructions above. Proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Microsoft Exchange 2016 Outlook Web Access / Microsoft Exchange 2019 Outlook on the Web (depending on your Outlook version). A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new Outlook Web Access / Outlook on the Web mapping with the corresponding virtual host. Corresponding virtual host: exchange.ext.virtinc.com Connect the new Outlook Web Access / Outlook on the Web mapping to the corresponding back-end group. The mapping has been established. Activating the Airlock Gateway configuration for Outlook You can now activate your Airlock Gateway configuration for Outlook Web Access / Outlook on the Web. Proceed as follows: Click the Activate button on top of the main menu of the Configuration Center . The configuration has been updated successfully.','Configuring Airlock Gateway for Outlook Web Access / Outlook on the Web','','')
Smc.XSearch.add('../data/1668101483915.html','Configuring authentication enforcement for Outlook Web Access / Outlook on the Web If Airlock Gateway is not used for authentication enforcement, this chapter can be skipped. Why authentication enforcement should be configured Airlock Gateway has the ability to protect back-end applications from unauthorized access. This functionality is called authentication enforcement. For this purpose, Airlock Gateway is used in combination with Airlock IAM. Airlock Gateway ensures that users are authenticated against Airlock IAM and performs a sign-in on their behalf on the back-end application. The following sections describe how to configure authentication enforcement for Outlook Web Access / Outlook on the Web. The sections illustrate a setup that uses the authentication Basic Authentication between Airlock Gateway and the back-end application (called Identity Propagation). If using a different authentication mechanism, adapt the mentioned settings accordingly. This applies for Airlock Gateway , Airlock IAM and/or the back-end server. Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Included steps: Configuring Basic Authentication. Restricting access to the Outlook Web Access / Outlook on the Web mapping. Redirecting the logout request to Airlock IAM. Creating an Airlock Gateway back-end group for Airlock IAM. Creating an Airlock Gateway mapping for Airlock IAM. Activating the authentication enforcement configuration in Airlock Gateway. Configuring Airlock IAM for Outlook Web Access / Outlook on the Web. Chapter-related prerequisites Configuration takes place in the Airlock Gateway Configuration Center . You must be logged in as admin. The configuration of Airlock Gateway for Outlook Web Access / Outlook on the Web must already have been carried out (see also Configuring Airlock Gateway for Outlook Web Access / Outlook on the Web). Configuring Basic Authentication Outlook Web Access / Outlook on the Web can be configured with different authentication methods. Possible authentication methods are: Form-Based Authentication (MSOFBA) Basic Authentication NTLM Kerberos This section explains how to enable Basic Authentication for Outlook Web Access / Outlook on the Web. Procedure-related prerequisites: This configuration takes place in Outlook Web Access / Outlook on the Web. You need to run the commands with administrative permissions. Proceed as follows: Open the Exchange Management Shell via Run as administrator . For more information on the Exchange Management Shell, go to: KB – Using the Exchange Management Shell. Run the following commands: # List all OWA virtual directories.Get-OwaVirtualDirectory# Find out whether Basic Authentication is enabledGet-OwaVirtualDirectory | ` fl BasicAuthentication# Enable Basic AuthenticationSet-OwaVirtualDirectory ` -Identity "owa (Default Web Site)" ` -BasicAuthentication:$True# Restart IIS to ensure these changes are activeiisreset /timeout:120 /noforce Restricting access to the Outlook Web Access / Outlook on the Web mapping To secure the back-end server, restrict the Outlook Web Access / Outlook on the Web mapping to authenticated users only. This section explains how to configure this: In the Airlock Gateway Configuration Center , go to: Application Firewall >> Reverse Proxy . Edit the Outlook Web Access / Outlook on the Web mapping: Change to the Access tab. Enter the exchange role under Access restrictions >> Restricted to Roles . This role is set by Airlock IAM after successful authentication. Select the Authentication flow Redirect. Configure Denied access URL to /auth/check-login. Under Credential Propagation >> SSO credential propagation , select Basic-Auth. Enable the checkbox Credential mandatory . Redirecting the logout request to Airlock IAM To terminate the user´s session on Airlock Gateway, Airlock IAM and the back-end server, the logout request must be redirected to Airlock IAM´s logout page. Proceed as follows: In the Airlock Gateway Configuration Center , go to: Application Firewall >> Reverse Proxy . Edit the Outlook Web Access / Outlook on the Web mapping: Change to the Response Actions tab. Enable the Rewrite Response Redirect Location rule that has the comment Rewrite for logout attached to it. Creating an Airlock Gateway back-end group for Airlock IAM To create an Airlock Gateway back-end group for Airlock IAM, proceed as follows: If an Airlock IAM back-end group already exists, this section can be skipped. Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : https Back-end Host : iam.int.virtinc.com Port : 8443 A back-end group has been pre-configured. Creating an Airlock Gateway mapping for Airlock IAM Next, create an Airlock Gateway mapping for Airlock IAM. If an Airlock IAM mapping already exists, check that the existing mapping is connected to the corresponding virtual host. If yes, skip the following steps. Procedure-related prerequisites The previously described configuration steps must have been carried out. Proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM . Choose a template that matches your Airlock IAM release version and import it. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy . Connect the new Airlock IAM mapping with the corresponding virtual host , which is exchange.ext.virtinc.com. Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established. Activating authentication enforcement in Airlock Gateway You can now activate the configuration of the authentication enforcement in Airlock Gateway. Proceed as follows: Click the Activate button on top of the main menu of the Configuration Center . The configuration has been updated successfully. Configuring Airlock IAM for Outlook Web Access / Outlook on the Web. As a last step, configure Airlock IAM to authenticate the user and propagate its identity with Basic Authentication. Procedure-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor . Proceed as follows: In the Airlock IAM Config Editor , go to: Login Application >> Application Settings . Add a Target Application for Outlook Web Access / Outlook on the Web. Enter the Default URL with /owa/. Enter the URL Pattern with the pattern that matches the external URL. URL Pattern : https://exchange\\.ext\\.virtinc\\.com/(owa|ecp).* Configure a HTTP Basic Auth Identity Propagator as Identity Propagator . Configure the Airlock Credentials . Airlock Credentials : exchange Click on the Activate button. The configuration has been updated successfully. Further information and links Configuring Airlock Gateway for Outlook Web Access / Outlook on the Web KB – Using the Exchange Management Shell','Configuring authentication enforcement for Outlook Web Access / Outlook on the Web','','')
Smc.XSearch.add('../data/1668101483458.html','Configuring Airlock Gateway for Outlook Anywhere Microsoft introduced Outlook Anywhere with Exchange 2003 (formerly known as RPC over HTTP). It enables Outlook clients to access their Exchange mailbox without the need for a VPN connection. This is achieved by encapsulating the RPC request in HTTP requests. The following sections show the steps required to configure Outlook Anywhere behind Airlock Gateway . Included steps: Preparing Outlook Anywhere for the Airlock Gateway integration. Creating an Airlock Gateway virtual host for Outlook Anywhere. Creating an Airlock Gateway back-end group for Outlook Anywhere. Creating multiple Airlock Gateway mappings for Outlook Anywhere. Configuring TCP connection termination with TCP-RST packets. Disabling the Airlock Gateway HardChild timeout. Verifying the availability of sufficient Security Gate processes. Activating your configuration. Chapter-related warnings With Exchange 2013 SP1, Microsoft created a successor called MAPI over HTTP, which comes with improved Outlook connectivity and responsiveness. The Airlock Gateway mapping template contains the configuration for RPC over HTTP and MAPI over HTTP. Nevertheless, MAPI over HTTP has many advantages and should be the preferred method for Outlook connectivity. For more information, go to: KB – Information about RPC over HTTP and KB – Information about MAPI over HTTP. Chapter-related prerequisites Airlock Gateway for Outlook Web Access / Outlook on the Web must have been configured and authentication enforcement must be enabled. You must be logged in as adminin the Airlock Gateway Configuration Center . Preparing Outlook Anywhere for the Airlock Gateway integration Two steps are required to prepare Outlook Anywhere for integration behind the Airlock Gateway: Installing the RPC-over-HTTP-proxy feature on the Windows server. This step is only required for RPC over HTTP setups. Skip it, when MAPI over HTTP is used. Configuring the external FQDN for Outlook Anywhere. This section explains how to proceed. Procedure-related prerequisites: This configuration takes place in Outlook Anywhere. You need to run all commands with administrative permissions. Installing the RPC-over-HTTP proxy feature on the Windows Server: Open the Windows PowerShell via Run as administrator . Run the following command: Install-WindowsFeature RPC-over-HTTP-proxy, Web-Basic-Auth Configuring the external FQDN for Outlook Anywhere: Open the Exchange Management Shell via Run as administrator . Run the following commands. Be sure to enter the fully qualified domain name (FQDN) for the external host in the argument ExternalHostname . # List all Outlook Anywhere virtual directories. Get-OutlookAnywhere# Enable Basic Authentication and SSLSet-OutlookAnywhere ` -Identity "Rpc (Default Web Site)" ` -ExternalHostname "exchange.ext.virtinc.com" ` -InternalClientsRequireSsl $True ` -ExternalClientsRequireSsl $True ` -SSLOffloading $True ` -InternalClientAuthenticationMethod Basic ` -ExternalClientAuthenticationMethod Basic ` -IISAuthenticationMethods Basic# Restart IIS to ensure these changes are activeiisreset /timeout:120 /noforce Creating an Airlock Gateway virtual host for Outlook Anywhere Next, create an Airlock Gateway virtual host for Outlook Anywhere. Procedure-related prerequisites: This configuration and the following ones are performed in the Airlock Gateway Configuration Center . You must be logged in as admin. Proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Virtual Host column on the + sign. Enter the virtual host´s FQDN and IP address: Host name (FQDN) : exchange.ext.virtinc.com Select a network interface . Enable the checkbox HTTP listener . Enable the checkbox HTTPS listener . Enable the checkbox Redirect to HTTPS . Change to the SSL tab. Select the Server certificate according to the FQDN of the virtual host. A virtual host has been pre-configured. Creating an Airlock Gateway back-end group for Outlook Anywhere To create an Airlock Gateway back-end group for Outlook Anywhere, proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : http Back-end Host : exchange.int.virtinc.com Port : 80 A back-end group has been pre-configured. Creating multiple Airlock Gateway mappings for Outlook Anywhere The next step consists of connecting the previously created virtual host and back-end group with multiple Outlook Anywhere mappings. Procedure-related prerequisites: The previously described configuration steps must have been carried out. Proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Outlook Anywhere . Choose a template version that matches your Outlook Anywhere version. The following mappings, based upon the template, have been created: Exchange Autodiscover Exchange EWS Exchange MAPI Exchange OAB Exchange Outlook Anywhere Go to: Application Firewall >> Reverse Proxy Connect the new Outlook Anywhere mappings with the corresponding virtual host , which is exchange.ext.virtinc.com. Connect the new Outlook Anywhere mappings to the corresponding back-end group . The mappings have been established. Configuring TCP connection termination with TCP-RST packets Outlook clients use TCP-RST packets to terminate TCP connections. To achieve this behavior with Airlock Gateway, configure the expert settings as described below. Without this configuration, there is no noticeable impact except that the back-end server might log HTTP errors with status code 400. Procedure-related prerequisites: The previously described configuration steps must have been carried out. Proceed as follows: Go to: Application Firewall >> Reverse Proxy. Edit the Outlook Anywhere Back-end Group . Change to the Expert Settings tab. Select ON to enable the Security Gate expert settings. Enter the following expert settings: BackendConnectionCloseByReset "TRUE" Disabling the Airlock Gateway HardChild timeout By default, Airlock Gateway terminates requests that last longer than 18 hours. Since requests from Outlook clients could run much longer, we recommend disabling the gateway´s HardChild timeout. Procedure-related prerequisites: The previously described configuration steps must have been carried out. Proceed as follows: Go to: Expert Settings >> Security Gate / Apache . Select ON to enable the Security Gate expert settings. Enter the following expert settings: HardChildTimeout "0" Verifying the availability of sufficient Security Gate processes Next, you should verify whether Airlock Gateway has sufficient Security Gate processes available. Proceed as follows: Apply the following knowledge base article: KB – Sufficient security processes available Use the following value for the calculation: Number of proc per user: 4 Activating the Airlock Gateway configuration for Outlook Anywhere You can now activate your Airlock Gateway configuration for Outlook Anywhere. Proceed as follows: Click the Activate button on top of the main menu of the Configuration Center . The configuration has been updated successfully. Further information and links Internal links: KB – Information about RPC over HTTP KB – Information about MAPI over HTTP KB – Sufficient security processes available','Configuring Airlock Gateway for Outlook Anywhere','','')
Smc.XSearch.add('../data/1668101483472.html','Configuring authentication enforcement for Outlook Anywhere If Airlock Gateway is not used for authentication enforcement, this chapter can be skipped. Why authentication enforcement should be configured Airlock Gateway has the ability to protect back-end applications from unauthorized access. This functionality is called authentication enforcement. For this purpose, Airlock Gateway is used in combination with Airlock IAM. Airlock Gateway makes sure that the users are authenticated against Airlock IAM and perform a sign-in on their behalf on the back-end application. The following sections describe how authentication enforcement is configured for Outlook Anywhere. The sections illustrate a setup that uses Basic Authentication to propagate user identities from Airlock Gateway to the back-end application (this is called Identity Propagation). If using different authentication mechanisms, just adapt the mentioned settings. This applies for Airlock Gateway , Airlock IAM and/or the back-end server. Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Included steps: Configuring Basic Authentication. Restricting access to the Outlook Anywhere mapping. Creating an Airlock Gateway back-end group for Airlock IAM. Creating an Airlock Gateway mapping for Airlock IAM. Activating the authentication enforcement configuration in Airlock Gateway. Configuring Airlock IAM for Outlook Anywhere and Autodiscover. Chapter-related prerequisites Configuration takes place in the Airlock Gateway Configuration Center . You must be logged in as admin. The configuration of Airlock Gateway for Outlook Anywhere must already have been carried out (see also Configuring Airlock Gateway for Outlook Anywhere). Configuring Basic Authentication Outlook Anywhere can be configured with different authentication methods. Possible authentication methods are: Basic Authentication NTLM Kerberos This section explains how to enable Basic Authentication for Outlook Anywhere and the components Autodiscover, Exchange Web Services (EWS) and the Offline Address Book (OAB). Procedure-related prerequisites: This configuration takes place in Outlook Anywhere. You need to run the commands with administrative permissions. Proceed as follows: Open the Exchange Management Shell via Run as administrator . Run the following commands: Enabling Basic Authentication for Autodiscover # List all Autodiscover virtual directoriesGet-AutodiscoverVirtualDirectory# Find out whether Basic Authentication is enabledGet-AutodiscoverVirtualDirectory | ` fl BasicAuthentication# Enable Basic AuthenticationSet-AutodiscoverVirtualDirectory ` -Identity "Autodiscover (Default Web Site)" ` -BasicAuthentication:$True# Restart IIS to ensure these changes are activeiisreset /timeout:120 /noforce Enabling Basic Authentication for Exchange Web Services (EWS) # List all WebServices virtual directoriesGet-WebServicesVirtualDirectory# Find out whether Basic Authentication is enabledGet-WebServicesVirtualDirectory | ` fl BasicAuthentication# Enable Basic AuthenticationSet-WebServicesVirtualDirectory ` -Identity "EWS (Default Web Site)" ` -BasicAuthentication:$True# Restart IIS to ensure these changes are activeiisreset /timeout:120 /noforce Enabling Basic Authentication for the Offline Address Book (OAB) # List all OAB virtual directoriesGet-OabVirtualDirectory# Find out whether Basic Authentication is enabledGet-OabVirtualDirectory | ` fl BasicAuthentication# Enable Basic AuthenticationSet-OabVirtualDirectory ` -Identity "OAB (Default Web Site)" ` -BasicAuthentication:$True# Restart IIS to ensure these changes are activeiisreset /timeout:120 /noforce Enabling Basic Authentication for Outlook Anywhere # List all OutlookAnywhere virtual directoriesGet-OutlookAnywhere# Find out whether Basic Authentication is enabledGet-OutlookAnywhere | ` fl InternalClientAuthenticationMethod, ` ExternalClientAuthenticationMethod, ` IISAuthenticationMethods # Enable Basic AuthenticationSet-OutlookAnywhere ` -Identity "Rpc (Default Web Site)" ` -InternalClientAuthenticationMethod Basic `  -ExternalClientAuthenticationMethod Basic `  -IISAuthenticationMethods Basic, Ntlm, Negotiate # List all MAPI virtual directoriesGet-MapiVirtualDirectory # Find out whether Basic Authentication is enabled Get-MapiVirtualDirectory | ` fl IISAuthenticationMethods # Enable Basic Authentication Set-MapiVirtualDirectory ` -Identity "mapi (Default Web Site)" ` -IISAuthenticationMethods NTLM, Negotiate, Basic # Restart IIS to ensure these changes are active iisreset /timeout:120 /noforce Restricting access to the Outlook Anywhere mapping To secure the back-end server, restrict the Outlook Anywhere mapping to authenticated users only. This section explains how to configure this: In the Airlock Gateway Configuration Center , go to: Application Firewall >> Reverse Proxy . Edit the mappings listed below according to the instructions following the list: Exchange Autodiscover Exchange ESW Exchange MAPI Exchange OAB Exchange Outlook Anywhere Change to the Access tab. Enter the exchange role under Access restrictions >> Restricted to Roles . This role is set by Airlock IAM after successful authentication. Select the Authentication flow One-Shot. Configure Denied access URL to /auth/login-oneshot. Under Credential Propagation >> SSO credential propagation , select Basic-Auth. Enable the checkbox Credential mandatory . Creating an Airlock Gateway back-end group for Airlock IAM To create an Airlock Gateway back-end group for Airlock IAM, proceed as follows: If an Airlock IAM back-end group already exists, this section can be skipped. Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : https Back-end Host : iam.int.virtinc.com Port : 8443 A back-end group has been pre-configured. Creating an Airlock Gateway mapping for Airlock IAM Next, create an Airlock Gateway mapping for Airlock IAM. If an Airlock IAM mapping already exists, check that the existing mapping is connected to the corresponding virtual host. If yes, skip the following steps. Procedure-related prerequisites The previously described configuration steps must have been carried out. Proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM . Choose a template that matches your Airlock IAM release version and import it. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy . Connect the new Airlock IAM mapping with the corresponding virtual host , which is exchange.ext.virtinc.com. Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established. Activating authentication enforcement in Airlock Gateway You can now activate the configuration of the authentication enforcement in Airlock Gateway. Proceed as follows: Click the Activate button on top of the main menu of the Configuration Center . The configuration has been updated successfully. Configuring Airlock IAM for Outlook Anywhere/Autodiscover Next, configure Airlock IAM to authenticate the user and propagate its identity with Basic Authentication. You have to do this both for Outlook Anywhere and for Autodiscover. Procedure-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor . Proceed as follows: In the Airlock IAM Config Editor , go to: Login Application >> Authentication >> HTTP Request Authentication (One-Shot, REST) . Configure a HTTP Request Authentication (using Gateway One-Shot Flow) plugin. Add a Target Application for Outlook Anywhere / Autodiscover. Configure the Basic Auth HTTP Header Extractor as Credential Extractor . Configure the correct Authenticator plugin as Authenticator . Configure the Basic Auth Error Mapper as Failure Responses . Configure a HTTP Basic Auth Identity Propagator (requires Gateway) as Identity Propagator . Enter a URL Pattern that matches the external URL: Outlook Anywhere: https://exchange\\.ext\\.virtinc\\.com/(rpc|mapi|ews|oab).* Autodiscover: https://exchange\\.ext\\.virtinc\\.com/autodiscover.* Under Identity Propagation and Authorization , configure the Airlock Credentials . Airlock Credentials : exchange Click the Activate button. The configuration has been updated successfully. Further information and links Internal links: Configuring Airlock Gateway for Outlook Anywhere','Configuring authentication enforcement for Outlook Anywhere','','')
Smc.XSearch.add('../data/1668101483572.html','Configuring Airlock Gateway for ActiveSync The following sections show how to configure ActiveSync behind Airlock Gateway . Included steps: Creating an Airlock Gateway virtual host for ActiveSync. Creating an Airlock Gateway back-end group for ActiveSync. Creating multiple Airlock Gateway mappings for ActiveSync. Verifying the availability of sufficient Security Gate processes. Activating your configuration. Chapter-related prerequisites Airlock Gateway must have been configured and authentication enforcement must have been enabled for both Outlook Web Access / Outlook on the Web and Outlook Anywhere. You must be logged in as adminin the Airlock Gateway Configuration Center . Creating an Airlock Gateway virtual host for ActiveSync To create an Airlock Gateway virtual host for ActiveSync, proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Virtual Host column on the + sign. Enter the virtual host´s FQDN and IP address: Host name (FQDN) : exchange.ext.virtinc.com Select a network interface . Enable the checkbox HTTP listener . Enable the checkbox HTTPS listener . Enable the checkbox Redirect to HTTPS . Change to the SSL tab. Select the Server certificate according to the FQDN of the virtual host. A virtual host has been pre-configured. Creating an Airlock Gateway back-end group for ActiveSync To create an Airlock Gateway back-end group for ActiveSync, proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : http Back-end Host : exchange.int.virtinc.com Port : 80 A back-end group has been pre-configured. Creating multiple Airlock Gateway mappings for ActiveSync The next step consists of connecting the previously created virtual host and back-end group with multiple ActiveSync mappings. Procedure-related prerequisites: A virtual host and back-end group must have been created for ActiveSync. Proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> ActiveSync . Choose a template version that matches your ActiveSync version. The following mappings, based upon the template, have been created: Exchange ActiveSync Exchange Autodiscover Go to: Application Firewall >> Reverse Proxy Connect the new ActiveSync mappings with the corresponding virtual host , which is exchange.ext.virtinc.com. Connect the new ActiveSync mappings to the corresponding back-end group . The mappings have been established. Verifying the availability of sufficient Security Gate processes Next, you should verify whether Airlock Gateway has sufficient Security Gate processes available. Proceed as follows: Apply the following knowledge base article: KB – Sufficient security processes available Use the following value for the calculation: Number of proc per user: 1 Activating the Airlock Gateway configuration for ActiveSync You can now activate your Airlock Gateway configuration for ActiveSync. Proceed as follows: Click the Activate button on top of the main menu of the Configuration Center . The configuration has been updated successfully. Further information and links Internal links: KB – Sufficient security processes available','Configuring Airlock Gateway for ActiveSync','','')
Smc.XSearch.add('../data/1668101483630.html','Configuring authentication enforcement for ActiveSync If Airlock Gateway is not used for authentication enforcement, this chapter can be skipped. Why authentication enforcement should be configured Airlock Gateway has the ability to protect back-end applications from unauthorized access. This functionality is called authentication enforcement. For this purpose, Airlock Gateway is used in combination with Airlock IAM. Airlock Gateway makes sure that the users are authenticated against Airlock IAM and perform a sign-in on their behalf on the back-end application. The following sections describe how authentication enforcement is configured for ActiveSync. The sections illustrate a setup that uses Basic Authentication to propagate user identities from Airlock Gateway to the back-end application (this is called Identity Propagation). If using different authentication mechanisms, just adapt the mentioned settings. This applies for Airlock Gateway , Airlock IAM and/or the back-end server. Chapter-related warnings Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Included steps: Configuring Basic Authentication. Restricting access to the ActiveSync mapping. Creating an Airlock Gateway back-end group for Airlock IAM. Creating an Airlock Gateway mapping for Airlock IAM. Activating the authentication enforcement configuration in Airlock Gateway. Configuring Airlock IAM for ActiveSync and Autodiscover. Chapter-related prerequisites Configuration takes place in the Airlock Gateway Configuration Center . You must be logged in as admin. The configuration of Airlock Gateway for ActiveSync must already have been carried out (see also Configuring Airlock Gateway for ActiveSync). Configuring Basic Authentication ActiveSync can be configured with different authentication methods. Possible authentication methods are: Basic Authentication NTLM Kerberos This section explains how to enable Basic Authentication for ActiveSync and the component Autodiscover. Procedure-related prerequisites: This configuration takes place in ActiveSync. You need to run the commands with administrative permissions. Proceed as follows: Open the Exchange Management Shell via Run as administrator . Run the following commands: Enabling Basic Authentication for ActiveSync # List all ActiveSync virtual directories Get-ActiveSyncVirtualDirectory # Find out whether Basic Authentication is enabled Get-ActiveSyncVirtualDirectory | ` fl BasicAuthentication # Enable Basic Authentication Set-ActiveSyncVirtualDirectory ` -Identity "Microsoft-Server- ActiveSync (Default Web Site)" ` -BasicAuthentication:$True # Restart IIS to ensure these changes are active iisreset /timeout:120 /noforce Enabling Basic Authentication for Autodiscover # List all Autodiscover virtual directoriesGet-AutodiscoverVirtualDirectory# Find out whether Basic Authentication is enabledGet-AutodiscoverVirtualDirectory | ` fl BasicAuthentication# Enable Basic AuthenticationSet-AutodiscoverVirtualDirectory ` -Identity "Autodiscover (Default Web Site)" ` -BasicAuthentication:$True# Restart IIS to ensure these changes are activeiisreset /timeout:120 /noforce Restricting access to the ActiveSync mapping To secure the back-end server, restrict the ActiveSync mapping to authenticated users only. This section explains how to configure this: In the Airlock Gateway Configuration Center , go to: Application Firewall >> Reverse Proxy . Edit the mappings listed below according to the instructions following the list: Exchange ActiveSync Exchange Autodiscover Change to the Access tab. Enter the exchange role under Access restrictions >> Restricted to Roles . This role is set by Airlock IAM after successful authentication. Select the Authentication flow One-Shot. Configure Denied access URL to /auth/login-oneshot. Under Credential Propagation >> SSO credential propagation , select Basic-Auth. Enable the checkbox Credential mandatory . Creating an Airlock Gateway back-end group for Airlock IAM To create an Airlock Gateway back-end group for Airlock IAM, proceed as follows: If an Airlock IAM back-end group already exists, this section can be skipped. Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : https Back-end Host : iam.int.virtinc.com Port : 8443 A back-end group has been pre-configured. Creating an Airlock Gateway mapping for Airlock IAM Next, create an Airlock Gateway mapping for Airlock IAM. If an Airlock IAM mapping already exists, check that the existing mapping is connected to the corresponding virtual host. If yes, skip the following steps. Procedure-related prerequisites The previously described configuration steps must have been carried out. Proceed as follows: Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM . Choose a template that matches your Airlock IAM release version and import it. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy . Connect the new Airlock IAM mapping with the corresponding virtual host , which is exchange.ext.virtinc.com. Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established. Activating authentication enforcement in Airlock Gateway You can now activate the configuration of the authentication enforcement in Airlock Gateway. Proceed as follows: Click the Activate button on top of the main menu of the Configuration Center . The configuration has been updated successfully. Configuring Airlock IAM for ActiveSync/Autodiscover Next, configure Airlock IAM to authenticate the user and propagate its identity with Basic Authentication. You have to do this both for ActiveSync and for Autodiscover. Procedure-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor . Proceed as follows: In the Airlock IAM Config Editor , go to: Login Application >> Authentication >> HTTP Request Authentication (One-Shot, REST) . Configure a HTTP Request Authentication (using Gateway One-Shot Flow) plugin. Add a Target Application for ActiveSync / Autodiscover. Configure the Basic Auth HTTP Header Extractor as Credential Extractor . Configure the correct Authenticator plugin as Authenticator . Configure the Basic Auth Error Mapper as Failure Responses . Configure a HTTP Basic Auth Identity Propagator (requires Gateway) as Identity Propagator . Enter a URL Pattern that matches the external URL: ActiveSync: https://exchange\\.ext\\.virtinc\\.com/Microsoft-Server-ActiveSync.* Autodiscover: https://exchange\\.ext\\.virtinc\\.com/autodiscover.* Under Identity Propagation and Authorization , configure the Airlock Credentials . Airlock Credentials : exchange Click the Activate button. The configuration has been updated successfully. Further information and links Internal links: Configuring Airlock Gateway for ActiveSync','Configuring authentication enforcement for ActiveSync','','')
Smc.XSearch.add('../data/1567166011285.html','Tips for troubleshooting In well-determined environments and with specific problem-solving instructions, troubleshooting can be an easy task. But outside such well-known and controlled situations, the following universal troubleshooting strategy can become very handy. Check if your problem or a similar case has already been described in one of this chapter´s troubleshooting articles first! 1. What exactly is the problem? Troubleshooting with strategy. Don´t start with fighting the symptoms! Get to the bottom of the problem: Go through the current situation. How should it work in theory? Sometimes it can be helpful to make a sketch of the situation. Make sure you fully understand the theory of what and why. If another person reports and describes the problem: Listen carefully, make notes. Find the who, what and when. Afterward, proceed with questions that either have a yes/no answer or can be quantified (how many times did something happen?). Once you got a grasp on the issue, try to repeat your understanding of the problem towards the other person. Make sure both of you have the same understanding of the problem. 2. Gather more details and eliminate variables Now that you have a basic understanding of what the issue is all about, you can look into technical details that could point you towards a solution. What has been changed or modified? Problems rarely come out of the blue. Check error messages and event logs. Do they tell you about the core problem, or merely about symptoms? Can you run diagnostic tests? Sometimes a simple ping , cat-command or other simple diagnostic tools can be helpful. 3. Reproduce the problem At that point, you have a fact-based idea or hypothesis, what the problem might be. Proof of concept: Try to reproduce the original problem. Recheck error messages and event logs. Do they match with the initial data, as expected? 4. Attempt a fix, based upon your findings The gathered evidence should now have narrowed down the possible root cause. Contact our Airlock Support, if you are facing a very complex situative problem or you suspect that a software bug is probably the root cause. Fix the problem: When the problem has more than one cause, start fixing the ones which do not interfere with others! Do it one by one and In between and after every fixing action: Run individual tests to see the effect of your actions. Check if the initial problem is still there and check for error message and event logs again. Problem solved? Prepare for future issues. Congratulations, you solved the problem! Now it´s time for some cleaning up and note downs. Describe the initial problem and how you solved it – step by step. Also, note down any glitches and aberrations you encountered. Those things can be very useful and speed up the next troubleshooting for you and others. If you think your findings and notes could be helpful for others and if you are willing to contribute, please send us an email . Thank you very much! D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Tips for troubleshooting','','autocomplete_use:true')
Smc.XSearch.add('../data/1573196737759.html','Troubleshooting KB – Sufficient security processes available Affects product Airlock Gateway Question or problem Depending on the Airlock WAF´s hardware profile, more or less Security Gate processes can be started. The amount of Security Gate processes limits the number of concurrent requests that can be handled. When requests of a web application take much longer to process by the back-end, resources on Airlock Gateway are bound much longer than usual. Therefore, lesser concurrent requests can be handled with the same amount of Security Gate processes. Resources are bound much longer in web applications with the characteristics listed below: Exchange ActiveSync Exchange Outlook Anywhere Web application with WebSockets Web application with NTLM passthrough Web application with long-running requests Web application with huge file upload ... Calculate the required number of Security Gate processes Calculate whether Airlock WAF has enough security gate processes available to handle the expected traffic. Procedure-related prerequisites None. Calculation Variable Example value Explanation MaxProc 2048 Maximal available security gate processes. MaxProc used 430 Maximal currently used security gate processes. Number of proc per user 2 Number of processes required per user for this web application. It has been determined from the analysis of the web application. Number of concurrent users 250 Expected number of users for this web application. Required MaxProc <RESULT> Result of the calculation telling the minimum of available security gate processes. Apply the following formula: <Required MaxProc> = 2 (<MaxProc used> + (<Number of proc per user> <Number of concurrent users>)) Check the following: Good: The calculated Required MaxProc MaxProc. Bad: If the calculated Required MaxProc MaxProc, get in contact with Airlock support to discuss suitable hardware upgrade. Maximal available Security Gate processes. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Expert Settings >> Security Gate / Apache . Select ON to enable the Security Gate Expert Settings. Click on default settings file . Search in the Generated Config view for MaxProcs . MaxProcs "2048" The value behind MaxProcs specifies the maximum number of security processes. Maximal currently used Security Gate processes. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Log & Report >> System Monitor . Click on the SG Processes system graphic. Search for the highest Max value in the bottom line of the graphics. This shows the maximum number of started security gate processes with the current load and configuration. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB – Sufficient security processes available','','')
Smc.XSearch.add('../data/1572279537090.html','Testing and verification KB – Does the back-end server accept Basic Authentication Affects product Neutral Question or problem Verify that the back-end accepts Basic Authentication. Send an HTTP request Procedure-related prerequisites You must be logged in as root via SSH in a terminal window. Ensure that the back-end server is configured for Basic Authentication. Instruction Test preparation: Run the following commands: curl -v -k http://exchange.int.virtinc.com/ Test execution and verification: Check the curl output. The HTTP response contains an header WWW-Authenticate: Basic In case of failure: Check the back-end server is configured properly. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB – Does the back-end server accept Basic Authentication','','')
Smc.XSearch.add('../data/1573481828767.html','Testing and verification KB – Does Outlook Anywhere work properly Affects product Microsoft Outlook Question or problem Outlook Anywhere has many functions which interact differently with Airlock Gateway , Airlock IAM and Exchange. The tests outlined below help to verify whether the integration was successful or not. Test whether Outlook Anywhere is working properly through Airlock Gateway : Test Outlook client configuration Test that Outlook connects correctly Test the Autodiscover service Test the out of office service Test the offline address book Test Outlook client configuration In a properly configured Exchange environment, the Autodiscover service provides the necessary information about the available Exchange services. This allows users to setup their email accounts with minimal input. To verify that the Autodiscover service is providing the correct piece of information, follow the steps below. Procedure-related prerequisites The web application needs to be configured and running. Configuration takes place in Windows client. Close Outlook, if running Instruction Test preparation: Go to: Control Panel >> Mail . Click on Show Profiles... Select Prompt for a profile to be used . Click on Add... Enter a Profile Name . Click OK . Set the following values: Your Name : <YOUR NAME> Email Address : <YOUR EMAIL> Password : <YOUR PASSWORD> Retype Password : <YOUR PASSWORD> Click Next . Test execution and verification: Check the result of the wizard used in the preparation. The wizard finishes with a success confirmation. In case of failure: Check the Outlook client is connecting through HTTPS. Check the Windows client trusts the server certificate. Test that Outlook connects correctly To test that the Outlook client connects with the correct protocol, follow the steps below. Procedure-related prerequisites Configuration takes place in Windows client. Instruction Test preparation: Open Outlook. Press Ctrl + Right Mouse click on the Outlook icon in the notification area. Choose Connection Status... from the menu. Test execution and verification: Check the Protocol being used in the Outlook Connections Status column. The Protocol is either RPC over HTTP or MAPI over HTTP. In case of failure: Check the Exchange RPC and/or Exchange MAPI mapping is connected to the corresponding virtual host and back-end group. Further information and links (Microsoft) Start Outlook with parameters (Microsoft) Outlook does not connect with MAPI over HTTPS Test the Autodiscover service To verify that the Outlook client receives the correct information from the Autodiscover service, follow the steps below. Procedure-related prerequisites Configuration takes place in Windows client. Instruction Test preparation: Open Outlook. Press Ctrl + Right Mouse click on the Outlook icon in the notification area. Choose Test Email AutoConfiguration... from the menu. Set the following values: Email Address : <YOUR EMAIL> Password : <YOUR PASSWORD> Enable the checkbox Use AutoDiscover . Disable the checkbox Use Guessmart . Disable to checkbox Secure Guessmart Authentication . Click on Test . Test execution and verification: Check the output shown in the Results tab. Information about the Exchange environment is shown. Change to the Log tab. httpStatus=200 is shown. Change to the XML tab. The URLs shown are the expected ones. In case of failure: Check the Exchange Autodiscover mapping is connected to the corresponding virtual host and back-end group. Check the Autodiscover service is configured properly. Test the out of office service To verify that the Outlookclient can use the out-of-office service properly, follow the steps below. Procedure-related prerequisites Configuration takes place in Windows client. Instruction Test preparation: Open Outlook. Change to the menu File . Click on Automatic Replies (Out of Office) . Enable the checkbox Send automatic replies . Set the following values: Tab Inside My Organization : <YOUR MESSAGE> Tab Outside My Organization : <YOUR MESSAGE> Click on OK . Test execution and verification: Re-open the Automatic Replies (Out of Office) dialog. The out-of-office message is set correctly. Send a test mail to this account. You should receive an out-of-office message in return. Search in Airlock Gateway for Exchange EWS mapping logs. No block log messages are shown. Test finalization: Disable the out-of-office message. In case of failure: Check the Exchange EWS mapping is connected to the corresponding virtual host and back-end group. Test the offline address book To test if the Outlook client can retrieve the offline address book, follow the steps below. Procedure-related prerequisites Configuration takes place in Windows client. Instruction Test preparation: Open Outlook. Change to the menu Send / Receive . Click on Send/Receive Groups and choose Download Address Book... Enable the checkbox Download changes since last Send/Receive . Select the desired Address book . Click on OK . Test execution and verification: Search in Airlock Gateway for Exchange OAB mapping logs. No block log messages are shown. In case of failure: Check the Exchange OAB mapping is connected to the corresponding virtual host and back-end group. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB – Does Outlook Anywhere work properly','','')
Smc.XSearch.add('../data/1570736139720.html','External sources KB – Using the Exchange Management Shell Question or problem Further information about how to use the Exchange Management Shell can be found on the external websites. External links (Microsoft) Exchange Management Shell - Set-OwaVirtualDirectory Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB – Using the Exchange Management Shell','','')
Smc.XSearch.add('../data/1573196737112.html','External sources KB – Information about MAPI over HTTP Question or problem Outlook clients connect to the Exchange mailbox by using MAPI over HTTP. The external links might contain helpful information about the MAPI over HTTP protocol. External links (Microsoft) MAPI over HTTP in Exchange Server (Microsoft) Outlook Connectivity with MAPI over HTTP Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB – Information about MAPI over HTTP','','')
Smc.XSearch.add('../data/1573481826872.html','External sources KB – Information about RPC over HTTP Question or problem Outlook clients connect to the Exchange mailbox by using RPC over HTTP. The external links might contain helpful information about the RPC over HTTP protocol. External links (Microsoft) RPC over HTTP Security (Microsoft) Configuring Computers for RPC over HTTP Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB – Information about RPC over HTTP','','')
Smc.XSearch.add('../data/1573481830675.html','External sources KB – Configure Exchange Autodiscover Question or problem The Autodiscover service allows to configure the mobile and Outlook clients with a small number of settings. It simplifies the setup process tremendously. By using the Airlock WAF mapping template for Active Sync or OutlookAnywhere, the Autodiscover mapping is created automatically. That would be sufficient from an Airlock WAF perspective. All the Autodiscover requests would be passed to the Autodiscover service which will provide the external URLs for the different services. This mechanism requires that the external URLs are configured correctly in Exchange for each service. Otherwise, the client might try to connect to an URL which is not available to him, because the DNS name cannot be resolved. The external links might contain helpful information about the Autodiscover service. External links (Microsoft - Exchange 2016) Autodiscover service, configure external URLs (Microsoft - Exchange 2016) Autodiscover service in Exchange Server (Microsoft - Exchange 2019) Autodiscover service, configure external URLs (Microsoft - Exchange 2019) Autodiscover service in Exchange Server Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB – Configure Exchange Autodiscover','','')
Smc.XSearch.add('../data/1597849687989.html','Publishing Microsoft SharePoint 2016 Requirements and limitations About Microsoft SharePoint Prepare SharePoint for Airlock Gateway integration Configure Airlock Gateway for SharePoint Configure authentication enforcement for SharePoint Single Sign-On experience for Microsoft Office applications Tips for troubleshooting','Publishing Microsoft SharePoint 2016','','')
Smc.XSearch.add('../data/1563958438596.html','Requirements and limitations This documentation has been tested and written for the following software releases and versions: Requirements Title Component Requirement Comments Airlock WAF Version 7.3 or newer Valid Airlock Gateway license for at least 1 additional application. None. Airlock IAM Version 7.0 or newer Valid Airlock IAM license. Optional: Only if authentication enforcement is used. Airlock Secure Session Transfer Version 1.6 Optional Microsoft SharePoint Server Version 2016 None. Medium – Although some functions might work with other Airlock Gateway , Airlock IAM , Airlock Microgateway , Airlock add-on modules and/or 3rd party software versions, it is highly recommended using the releases this documentation is based on. Always install the latest bugfix release before proceeding.','Requirements and limitations','','autocomplete_use:true')
Smc.XSearch.add('../data/1563958438595.html','About Microsoft SharePoint Microsoft SharePoint is a versatile browser-based collaboration and document management platform. It offers features such as: Document library supporting keywords and file types Wiki functionality Shared calendar Tasks handling Hosting web pages SharePoint allows internal and external users to work on the same documents and can help businesses work more efficiently. Typically, SharePoint is reachable from the Internet, which increases the risk of being attacked. To increase security, Airlock Gateway should be installed between Microsoft SharePoint and its clients. This gives users full access to SharePoint’s features, while still having a secure environment.','About Microsoft SharePoint','','autocomplete_use:true')
Smc.XSearch.add('../data/1668421863951.html','Prepare SharePoint for Airlock Gateway integration The following contents show the steps required to configure SharePoint behind Airlock Gateway . Chapter-related prerequisites Configuration takes place in SharePoint. Chapter content Extend web application Configure Alternate Access Mappings in SharePoint','Prepare SharePoint for Airlock Gateway integration','','')
Smc.XSearch.add('../data/1668421863955.html','Extend web application In order to use a specific authentication method behind Airlock Gateway , the web application needs to be extended first. Procedure-related prerequisites None. Example values Internal URL: http://sharepoint.int.virtinc.com// External URL: https://sharepoint.ext.virtinc.com/ SharePoint Zone: Internet Instruction In SharePoint Central Administration, go to: Application Management >> Web Applications >> Manage web applications Select the web application. Click on Extend in menu bar. Set the following values: Port : 80 Host Header :sharepoint.int.virtinc.com URL : https://sharepoint.ext.virtinc.com/ Zone : Internet Optional: For encrypted traffic between Airlock Gateway and SharePoint Port : <YOUR PORT FOR SSL CONNECTION> Use Secure Sockets Layer (SSL) : yes Click OK to activate the new setting.','Extend web application','','')
Smc.XSearch.add('../data/1668421864002.html','Configure Alternate Access Mappings in SharePoint The Alternate Access Mappings need to be configured to map the incoming request from Airlock WAF to the extended web application. Procedure-related prerequisites The previously described configuration steps have been carried out. Example values Internal URL: http://sharepoint.int.virtinc.com/ SharePoint Zone: Internet Instruction In SharePoint Central Administration, go to: Application Management >> Web Applications >> Configure Alternate Access Mappings Select the web application in Alternate Access Mapping Collection . Afterwards, the following Alternate Access Mappings are shown: Click on Add Internal URLs . Set the following values: URL protocol, host and port : http://sharepoint.int.virtinc.com Zone : Internet Click Save to activate the new setting. Afterwards the following Alternate Access Mappings are active:','Configure Alternate Access Mappings in SharePoint','','')
Smc.XSearch.add('../data/1668421864026.html','Configure Airlock Gateway for SharePoint The following contents show the steps required to configure SharePoint behind Airlock Gateway . Chapter-related prerequisites The previously described configuration steps have been carried out. You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Create an Airlock Gateway virtual host for SharePoint Create an Airlock Gateway back-end group for SharePoint Create an Airlock Gateway mapping for SharePoint Activate Airlock Gateway configuration','Configure Airlock Gateway for SharePoint','','')
Smc.XSearch.add('../data/1668421864028.html','Create an Airlock Gateway virtual host for SharePoint Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Virtual Host column on the + sign. Enter the FQDN and IP address: Host name (FQDN) : sharepoint.ext.virtinc.com Select a network interface. Enable the checkbox HTTP listener . Enable the checkbox HTTPS listener . Enable the checkbox Redirect to HTTPS . Change to the SSL tab. Select the Server certificate according to the FQDN of the virtual host. A virtual host has been pre-configured.','Create an Airlock Gateway virtual host for SharePoint','','')
Smc.XSearch.add('../data/1668421864052.html','Create an Airlock Gateway back-end group for SharePoint Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : http Back-end Host : sharepoint.int.virtinc.com Port : 80 A back-end group has been pre-configured.','Create an Airlock Gateway back-end group for SharePoint','','')
Smc.XSearch.add('../data/1668421864074.html','Create an Airlock Gateway mapping for SharePoint Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> SharePoint , which matches your SharePoint version. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new SharePoint mapping with the corresponding virtual host . Corresponding virtual host: sharepoint.ext.virtinc.com Connect the new SharePoint mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for SharePoint','','')
Smc.XSearch.add('../data/1563958438606.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1668421864124.html','Configure authentication enforcement for SharePoint If Airlock Gateway is not used for authentication enforcement, this chapter can be skipped. Why authentication enforcement should be configured Airlock Gateway has the ability to protect back-end applications from unauthorized access. This functionality is called authentication enforcement. For this purpose, Airlock Gateway is used in combination with Airlock IAM. Airlock Gateway makes sure that the users are authenticated against Airlock IAM and perform a sign-in on their behalf on the back-end application. The following sections describe how authentication enforcement is configured for SharePoint. The chapters illustrate a setup that uses Basic Authentication between Airlock WAF and the back-end application (called Identity Propagation). If using different authentication mechanisms, just adapt the mentioned settings. This applies for Airlock Gateway , Airlock IAM and/or the back-end server. Chapter-related warnings Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Chapter-related prerequisites The previously described configuration steps have been carried out. Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Available authentication methods for SharePoint Restrict access to the SharePoint mapping Redirect SharePoints logout request to Airlock IAM Create an Airlock Gateway back-end group for Airlock IAM Create an Airlock Gateway mapping for Airlock IAM Activate Airlock Gateway configuration Configure Airlock IAM for SharePoint','Configure authentication enforcement for SharePoint','','')
Smc.XSearch.add('../data/1668421864128.html','Available authentication methods for SharePoint SharePoint can be configured with different authentication methods. Possible authentication methods are: Form Based Authentication (MSOFBA) Basic Authentication NTLM Kerberos Chapter-related prerequisites Configuration takes place in SharePoint. Further information and links This chapter describes how to configure Airlock IAM to propagate user´s identity using Basic Authentication for the back-end application. For further authentication methods and more information about Airlock IAM, refer to the latest version of the Airlock IAM manual on docs.airlock.com .','Available authentication methods for SharePoint','','')
Smc.XSearch.add('../data/1563958439473.html','Configure Basic Authentication in SharePoint Basic Authentication will be enabled in SharePoint for Zone Internet. Procedure-related prerequisites None. Instruction In SharePoint Central Administration, go to: Application Management >> Manage web applications Select the web application. Click on Authentication Providers in menu bar. Select the Zone . Zone : Internet In the dialog, in the section Claims Authentication Types select Basic Authentication Click on Save to activate the new setting. Basic authentication is configured in SharePoint for the Zone Internet. Further information and links KB – Does the back-end server accept Basic Authentication.','Configure Basic Authentication in SharePoint','','')
Smc.XSearch.add('../data/1668421864130.html','Restrict access to the SharePoint mapping To secure the back-end server, the SharePoint mapping has to be restricted to authenticated users only. Procedure-related prerequisites Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the SharePoint mapping. Change to the Access tab. Enter the role under Access restrictions >> Restricted to Roles . Restricted to Roles : sharepoint This role is set by Airlock IAM after successful authentication. Select Authentication flow Redirect. Configure Denied access URL to /auth/check-login Under Credential Propagation >> SSO credential propagation , select Basic-Auth. Enable the checkbox Credential mandatory .','Restrict access to the SharePoint mapping','','')
Smc.XSearch.add('../data/1668421864132.html','Redirect SharePoints logout request to Airlock IAM When Airlock Gateway authentication enforcement has been enabled, the SharePoints´s logout request of an authenticated user has to be redirected to the Airlock IAM. By receiving the user´s logout request, Airlock IAM terminates the user´s session, which causes Airlock Gateway to trigger the logout propagation URL on the back-end server. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the SharePoint mapping. Change to the Expert Settings tab. Select ON to enable the Apache Expert Settings. Remove the leading # character to enable the Apache directive. # Rewrite for logout RewriteRule /.*SignOut\\.aspx$ /auth/logout?Location=https://%{HTTP_HOST}/ [NC,L]','Redirect SharePoints logout request to Airlock IAM','','')
Smc.XSearch.add('../data/1668421864139.html','Create an Airlock Gateway back-end group for Airlock IAM If an Airlock IAM back-end group is already configured, this chapter can be skipped. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : http Back-end Host : iam.int.virtinc.com Port : 8443 A back-end group has been pre-configured.','Create an Airlock Gateway back-end group for Airlock IAM','','')
Smc.XSearch.add('../data/1668421864137.html','Create an Airlock Gateway mapping for Airlock IAM If an Airlock IAM mapping is already configured: Check that the existing mapping is connected to the corresponding virtual host and skip the following steps. Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM , which matches your Airlock IAM version. A new mapping based on the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new Airlock IAM mapping with the corresponding virtual host . Corresponding virtual host: sharepoint.ext.virtinc.com Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for Airlock IAM','','')
Smc.XSearch.add('../data/1563958438606_N541F5.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1668421864141.html','Configure Airlock IAM for SharePoint To configure Airlock IAM to authenticate the user and propagate its identity with Basic Authentication, follow the steps below. Procedure-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor. Instruction Go to: Login Application >> Application Settings . Add a Target Application for SharePoint. Enter the Default URL with / Enter the URL Pattern with the pattern that matches the external URL. URL Pattern : https://sharepoint\\.ext\\.virtinc\\.com/.* Configure a HTTP Basic Auth Identity Propagator as Identity Propagator . Configure the Airlock Credentials . Airlock Credentials : sharepoint Click on the Activate button. The configuration has been updated successfully.','Configure Airlock IAM for SharePoint','','')
Smc.XSearch.add('../data/1563958438615.html','Single Sign-On experience for Microsoft Office applications Documents can be opened in applications such as Word, Excel or PowerPoint by clicking on a document link in SharePoint. Without any additional configuration, each time the user does this, a login page is presented by Airlock IAM instead of the requested document. Unfortunately, the Microsoft Office applications do not know how to react to the Airlock IAM login page, signing in is not possible. To have a Single Sign-On experience (SSO), the Airlock Gateway session cookie needs to be made persistent. This can be either achieved by configuring the Airlock Gateway session cookie as persistent, or by deploying the Airlock add-on module Secure Session Transfer (SST). MEDIUM – For productive environments, Ergon recommends using Airlock Secure Session Transfer (SST) rather than configuring a fixed expiry date for the Airlock Gateway session cookie. Chapter-related prerequisites The previously described configuration steps have been carried out. Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Configure Airlock Secure Session Transfer Configure the Airlock Gateway session cookie persistently','Single Sign-On experience for Microsoft Office applications','','autocomplete_use:true')
Smc.XSearch.add('../data/1668421864143.html','Configure Airlock Secure Session Transfer Procedure-related prerequisites Airlock Secure Session Transfer (SST) is deployed and configured. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the SharePoint mapping. Change to the Response Actions tab. Enable the Rewrite Response Body (any content) rule with the comment Rewrite for Airlock Secure Session Transfer . Click on the Activate button. The configuration has been updated successfully.','Configure Airlock Secure Session Transfer','','')
Smc.XSearch.add('../data/1668421864145.html','Configure the Airlock Gateway session cookie persistently If Airlock Secure Session Transfer (SST) is configured, this chapter can be skipped. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the sharepoint.ext.virtinc.com virtual host. Change to the Advanced tab. Append an expiry date in the Session cookie path field. Session cookie path (current): / Session cookie path (new): /; expires=Fri, 31-Jan-2050 12:00:00 GMT Click on the Activate button. The configuration has been updated successfully.','Configure the Airlock Gateway session cookie persistently','','')
Smc.XSearch.add('../data/1567166011285_N545E2.html','Tips for troubleshooting In well-determined environments and with specific problem-solving instructions, troubleshooting can be an easy task. But outside such well-known and controlled situations, the following universal troubleshooting strategy can become very handy. Check if your problem or a similar case has already been described in one of this chapter´s troubleshooting articles first! 1. What exactly is the problem? Troubleshooting with strategy. Don´t start with fighting the symptoms! Get to the bottom of the problem: Go through the current situation. How should it work in theory? Sometimes it can be helpful to make a sketch of the situation. Make sure you fully understand the theory of what and why. If another person reports and describes the problem: Listen carefully, make notes. Find the who, what and when. Afterward, proceed with questions that either have a yes/no answer or can be quantified (how many times did something happen?). Once you got a grasp on the issue, try to repeat your understanding of the problem towards the other person. Make sure both of you have the same understanding of the problem. 2. Gather more details and eliminate variables Now that you have a basic understanding of what the issue is all about, you can look into technical details that could point you towards a solution. What has been changed or modified? Problems rarely come out of the blue. Check error messages and event logs. Do they tell you about the core problem, or merely about symptoms? Can you run diagnostic tests? Sometimes a simple ping , cat-command or other simple diagnostic tools can be helpful. 3. Reproduce the problem At that point, you have a fact-based idea or hypothesis, what the problem might be. Proof of concept: Try to reproduce the original problem. Recheck error messages and event logs. Do they match with the initial data, as expected? 4. Attempt a fix, based upon your findings The gathered evidence should now have narrowed down the possible root cause. Contact our Airlock Support, if you are facing a very complex situative problem or you suspect that a software bug is probably the root cause. Fix the problem: When the problem has more than one cause, start fixing the ones which do not interfere with others! Do it one by one and In between and after every fixing action: Run individual tests to see the effect of your actions. Check if the initial problem is still there and check for error message and event logs again. Problem solved? Prepare for future issues. Congratulations, you solved the problem! Now it´s time for some cleaning up and note downs. Describe the initial problem and how you solved it – step by step. Also, note down any glitches and aberrations you encountered. Those things can be very useful and speed up the next troubleshooting for you and others. If you think your findings and notes could be helpful for others and if you are willing to contribute, please send us an email . Thank you very much! D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Tips for troubleshooting','','autocomplete_use:true')
Smc.XSearch.add('../data/1668421864147.html','Testing and verification KB – Does the back-end server accept Basic Authentication Affects product Neutral Question or problem Verify that the back-end accepts Basic Authentication. Send an HTTP request Procedure-related prerequisites You must be logged in as root via SSH in a terminal window. Ensure that the back-end server is configured for Basic Authentication. Instruction Test preparation: Run the following commands: curl -v -k http://sharepoint.int.virtinc.com/ Test execution and verification: Check the curl output. The HTTP response contains an header WWW-Authenticate: Basic In case of failure: Check the back-end server is configured properly. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB – Does the back-end server accept Basic Authentication','','')
Smc.XSearch.add('../data/1597849687991.html','Publishing Microsoft SharePoint 2019 Requirements and limitations About Microsoft SharePoint Prepare SharePoint for Airlock Gateway integration Configure Airlock Gateway for SharePoint Configure authentication enforcement for SharePoint Single Sign-On experience for Microsoft Office applications Tips for troubleshooting','Publishing Microsoft SharePoint 2019','','')
Smc.XSearch.add('../data/1567166015577.html','Requirements and limitations This documentation has been tested under and written for the following software releases and versions: Requirements Title Component Requirement Comments Airlock WAF Version 7.3 or newer Valid Airlock Gateway license for at least 1 additional application. None. Airlock IAM Version 7.0 or newer Valid Airlock IAM license. Optional: Only if authentication enforcement is used. Airlock Secure Session Transfer Version 1.6 Optional Microsoft SharePoint Server Version 2019 None. Medium – Although some functions might work with other Airlock Gateway , Airlock IAM , Airlock Microgateway , Airlock add-on modules and/or 3rd party software versions, it is highly recommended using the releases this documentation is based on. Always install the latest bugfix release before proceeding.','Requirements and limitations','','autocomplete_use:true')
Smc.XSearch.add('../data/1563958438595_N54A98.html','About Microsoft SharePoint Microsoft SharePoint is a versatile browser-based collaboration and document management platform. It offers features such as: Document library supporting keywords and file types Wiki functionality Shared calendar Tasks handling Hosting web pages SharePoint allows internal and external users to work on the same documents and can help businesses work more efficiently. Typically, SharePoint is reachable from the Internet, which increases the risk of being attacked. To increase security, Airlock Gateway should be installed between Microsoft SharePoint and its clients. This gives users full access to SharePoint’s features, while still having a secure environment.','About Microsoft SharePoint','','autocomplete_use:true')
Smc.XSearch.add('../data/1668421863951_N54B2D.html','Prepare SharePoint for Airlock Gateway integration The following contents show the steps required to configure SharePoint behind Airlock Gateway . Chapter-related prerequisites Configuration takes place in SharePoint. Chapter content Extend web application Configure Alternate Access Mappings in SharePoint','Prepare SharePoint for Airlock Gateway integration','','')
Smc.XSearch.add('../data/1668421863955_N54BC9.html','Extend web application In order to use a specific authentication method behind Airlock Gateway , the web application needs to be extended first. Procedure-related prerequisites None. Example values Internal URL: http://sharepoint.int.virtinc.com// External URL: https://sharepoint.ext.virtinc.com/ SharePoint Zone: Internet Instruction In SharePoint Central Administration, go to: Application Management >> Web Applications >> Manage web applications Select the web application. Click on Extend in menu bar. Set the following values: Port : 80 Host Header :sharepoint.int.virtinc.com URL : https://sharepoint.ext.virtinc.com/ Zone : Internet Optional: For encrypted traffic between Airlock Gateway and SharePoint Port : <YOUR PORT FOR SSL CONNECTION> Use Secure Sockets Layer (SSL) : yes Click OK to activate the new setting.','Extend web application','','')
Smc.XSearch.add('../data/1668421864002_N54CD2.html','Configure Alternate Access Mappings in SharePoint The Alternate Access Mappings need to be configured to map the incoming request from Airlock WAF to the extended web application. Procedure-related prerequisites The previously described configuration steps have been carried out. Example values Internal URL: http://sharepoint.int.virtinc.com/ SharePoint Zone: Internet Instruction In SharePoint Central Administration, go to: Application Management >> Web Applications >> Configure Alternate Access Mappings Select the web application in Alternate Access Mapping Collection . Afterwards, the following Alternate Access Mappings are shown: Click on Add Internal URLs . Set the following values: URL protocol, host and port : http://sharepoint.int.virtinc.com Zone : Internet Click Save to activate the new setting. Afterwards the following Alternate Access Mappings are active:','Configure Alternate Access Mappings in SharePoint','','')
Smc.XSearch.add('../data/1668421864026_N54E3C.html','Configure Airlock Gateway for SharePoint The following contents show the steps required to configure SharePoint behind Airlock Gateway . Chapter-related prerequisites The previously described configuration steps have been carried out. You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Create an Airlock Gateway virtual host for SharePoint Create an Airlock Gateway back-end group for SharePoint Create an Airlock Gateway mapping for SharePoint Activate Airlock Gateway configuration','Configure Airlock Gateway for SharePoint','','')
Smc.XSearch.add('../data/1668421864028_N54EFD.html','Create an Airlock Gateway virtual host for SharePoint Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Virtual Host column on the + sign. Enter the FQDN and IP address: Host name (FQDN) : sharepoint.ext.virtinc.com Select a network interface. Enable the checkbox HTTP listener . Enable the checkbox HTTPS listener . Enable the checkbox Redirect to HTTPS . Change to the SSL tab. Select the Server certificate according to the FQDN of the virtual host. A virtual host has been pre-configured.','Create an Airlock Gateway virtual host for SharePoint','','')
Smc.XSearch.add('../data/1668421864052_N54FC8.html','Create an Airlock Gateway back-end group for SharePoint Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : http Back-end Host : sharepoint.int.virtinc.com Port : 80 A back-end group has been pre-configured.','Create an Airlock Gateway back-end group for SharePoint','','')
Smc.XSearch.add('../data/1668421864074_N5507D.html','Create an Airlock Gateway mapping for SharePoint Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> SharePoint , which matches your SharePoint version. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new SharePoint mapping with the corresponding virtual host . Corresponding virtual host: sharepoint.ext.virtinc.com Connect the new SharePoint mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for SharePoint','','')
Smc.XSearch.add('../data/1563958438606_N55142.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1668421864124_N551F3.html','Configure authentication enforcement for SharePoint If Airlock Gateway is not used for authentication enforcement, this chapter can be skipped. Why authentication enforcement should be configured Airlock Gateway has the ability to protect back-end applications from unauthorized access. This functionality is called authentication enforcement. For this purpose, Airlock Gateway is used in combination with Airlock IAM. Airlock Gateway makes sure that the users are authenticated against Airlock IAM and perform a sign-in on their behalf on the back-end application. The following sections describe how authentication enforcement is configured for SharePoint. The chapters illustrate a setup that uses Basic Authentication between Airlock WAF and the back-end application (called Identity Propagation). If using different authentication mechanisms, just adapt the mentioned settings. This applies for Airlock Gateway , Airlock IAM and/or the back-end server. Chapter-related warnings Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Chapter-related prerequisites The previously described configuration steps have been carried out. Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Available authentication methods for SharePoint Restrict access to the SharePoint mapping Redirect SharePoints logout request to Airlock IAM Create an Airlock Gateway back-end group for Airlock IAM Create an Airlock Gateway mapping for Airlock IAM Activate Airlock Gateway configuration Configure Airlock IAM for SharePoint','Configure authentication enforcement for SharePoint','','')
Smc.XSearch.add('../data/1668421864128_N5533F.html','Available authentication methods for SharePoint SharePoint can be configured with different authentication methods. Possible authentication methods are: Form Based Authentication (MSOFBA) Basic Authentication NTLM Kerberos Chapter-related prerequisites Configuration takes place in SharePoint. Further information and links This chapter describes how to configure Airlock IAM to propagate user´s identity using Basic Authentication for the back-end application. For further authentication methods and more information about Airlock IAM, refer to the latest version of the Airlock IAM manual on docs.airlock.com .','Available authentication methods for SharePoint','','')
Smc.XSearch.add('../data/1563958439473_N553DE.html','Configure Basic Authentication in SharePoint Basic Authentication will be enabled in SharePoint for Zone Internet. Procedure-related prerequisites None. Instruction In SharePoint Central Administration, go to: Application Management >> Manage web applications Select the web application. Click on Authentication Providers in menu bar. Select the Zone . Zone : Internet In the dialog, in the section Claims Authentication Types select Basic Authentication Click on Save to activate the new setting. Basic authentication is configured in SharePoint for the Zone Internet. Further information and links KB – Does the back-end server accept Basic Authentication.','Configure Basic Authentication in SharePoint','','')
Smc.XSearch.add('../data/1668421864130_N554B8.html','Restrict access to the SharePoint mapping To secure the back-end server, the SharePoint mapping has to be restricted to authenticated users only. Procedure-related prerequisites Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the SharePoint mapping. Change to the Access tab. Enter the role under Access restrictions >> Restricted to Roles . Restricted to Roles : sharepoint This role is set by Airlock IAM after successful authentication. Select Authentication flow Redirect. Configure Denied access URL to /auth/check-login Under Credential Propagation >> SSO credential propagation , select Basic-Auth. Enable the checkbox Credential mandatory .','Restrict access to the SharePoint mapping','','')
Smc.XSearch.add('../data/1668421864132_N555BA.html','Redirect SharePoints logout request to Airlock IAM When Airlock Gateway authentication enforcement has been enabled, the SharePoints´s logout request of an authenticated user has to be redirected to the Airlock IAM. By receiving the user´s logout request, Airlock IAM terminates the user´s session, which causes Airlock Gateway to trigger the logout propagation URL on the back-end server. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the SharePoint mapping. Change to the Expert Settings tab. Select ON to enable the Apache Expert Settings. Remove the leading # character to enable the Apache directive. # Rewrite for logout RewriteRule /.*SignOut\\.aspx$ /auth/logout?Location=https://%{HTTP_HOST}/ [NC,L]','Redirect SharePoints logout request to Airlock IAM','','')
Smc.XSearch.add('../data/1668421864139_N5568C.html','Create an Airlock Gateway back-end group for Airlock IAM If an Airlock IAM back-end group is already configured, this chapter can be skipped. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : http Back-end Host : iam.int.virtinc.com Port : 8443 A back-end group has been pre-configured.','Create an Airlock Gateway back-end group for Airlock IAM','','')
Smc.XSearch.add('../data/1668421864137_N55746.html','Create an Airlock Gateway mapping for Airlock IAM If an Airlock IAM mapping is already configured: Check that the existing mapping is connected to the corresponding virtual host and skip the following steps. Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM , which matches your Airlock IAM version. A new mapping based on the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new Airlock IAM mapping with the corresponding virtual host . Corresponding virtual host: sharepoint.ext.virtinc.com Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for Airlock IAM','','')
Smc.XSearch.add('../data/1563958438606_N55815.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1668421864141_N558C6.html','Configure Airlock IAM for SharePoint To configure Airlock IAM to authenticate the user and propagate its identity with Basic Authentication, follow the steps below. Procedure-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor. Instruction Go to: Login Application >> Application Settings . Add a Target Application for SharePoint. Enter the Default URL with / Enter the URL Pattern with the pattern that matches the external URL. URL Pattern : https://sharepoint\\.ext\\.virtinc\\.com/.* Configure a HTTP Basic Auth Identity Propagator as Identity Propagator . Configure the Airlock Credentials . Airlock Credentials : sharepoint Click on the Activate button. The configuration has been updated successfully.','Configure Airlock IAM for SharePoint','','')
Smc.XSearch.add('../data/1563958438615_N5599A.html','Single Sign-On experience for Microsoft Office applications Documents can be opened in applications such as Word, Excel or PowerPoint by clicking on a document link in SharePoint. Without any additional configuration, each time the user does this, a login page is presented by Airlock IAM instead of the requested document. Unfortunately, the Microsoft Office applications do not know how to react to the Airlock IAM login page, signing in is not possible. To have a Single Sign-On experience (SSO), the Airlock Gateway session cookie needs to be made persistent. This can be either achieved by configuring the Airlock Gateway session cookie as persistent, or by deploying the Airlock add-on module Secure Session Transfer (SST). MEDIUM – For productive environments, Ergon recommends using Airlock Secure Session Transfer (SST) rather than configuring a fixed expiry date for the Airlock Gateway session cookie. Chapter-related prerequisites The previously described configuration steps have been carried out. Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Configure Airlock Secure Session Transfer Configure the Airlock Gateway session cookie persistently','Single Sign-On experience for Microsoft Office applications','','autocomplete_use:true')
Smc.XSearch.add('../data/1668421864143_N55A9E.html','Configure Airlock Secure Session Transfer Procedure-related prerequisites Airlock Secure Session Transfer (SST) is deployed and configured. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the SharePoint mapping. Change to the Response Actions tab. Enable the Rewrite Response Body (any content) rule with the comment Rewrite for Airlock Secure Session Transfer . Click on the Activate button. The configuration has been updated successfully.','Configure Airlock Secure Session Transfer','','')
Smc.XSearch.add('../data/1668421864145_N55B47.html','Configure the Airlock Gateway session cookie persistently If Airlock Secure Session Transfer (SST) is configured, this chapter can be skipped. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the sharepoint.ext.virtinc.com virtual host. Change to the Advanced tab. Append an expiry date in the Session cookie path field. Session cookie path (current): / Session cookie path (new): /; expires=Fri, 31-Jan-2050 12:00:00 GMT Click on the Activate button. The configuration has been updated successfully.','Configure the Airlock Gateway session cookie persistently','','')
Smc.XSearch.add('../data/1567166011285_N55C02.html','Tips for troubleshooting In well-determined environments and with specific problem-solving instructions, troubleshooting can be an easy task. But outside such well-known and controlled situations, the following universal troubleshooting strategy can become very handy. Check if your problem or a similar case has already been described in one of this chapter´s troubleshooting articles first! 1. What exactly is the problem? Troubleshooting with strategy. Don´t start with fighting the symptoms! Get to the bottom of the problem: Go through the current situation. How should it work in theory? Sometimes it can be helpful to make a sketch of the situation. Make sure you fully understand the theory of what and why. If another person reports and describes the problem: Listen carefully, make notes. Find the who, what and when. Afterward, proceed with questions that either have a yes/no answer or can be quantified (how many times did something happen?). Once you got a grasp on the issue, try to repeat your understanding of the problem towards the other person. Make sure both of you have the same understanding of the problem. 2. Gather more details and eliminate variables Now that you have a basic understanding of what the issue is all about, you can look into technical details that could point you towards a solution. What has been changed or modified? Problems rarely come out of the blue. Check error messages and event logs. Do they tell you about the core problem, or merely about symptoms? Can you run diagnostic tests? Sometimes a simple ping , cat-command or other simple diagnostic tools can be helpful. 3. Reproduce the problem At that point, you have a fact-based idea or hypothesis, what the problem might be. Proof of concept: Try to reproduce the original problem. Recheck error messages and event logs. Do they match with the initial data, as expected? 4. Attempt a fix, based upon your findings The gathered evidence should now have narrowed down the possible root cause. Contact our Airlock Support, if you are facing a very complex situative problem or you suspect that a software bug is probably the root cause. Fix the problem: When the problem has more than one cause, start fixing the ones which do not interfere with others! Do it one by one and In between and after every fixing action: Run individual tests to see the effect of your actions. Check if the initial problem is still there and check for error message and event logs again. Problem solved? Prepare for future issues. Congratulations, you solved the problem! Now it´s time for some cleaning up and note downs. Describe the initial problem and how you solved it – step by step. Also, note down any glitches and aberrations you encountered. Those things can be very useful and speed up the next troubleshooting for you and others. If you think your findings and notes could be helpful for others and if you are willing to contribute, please send us an email . Thank you very much! D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Tips for troubleshooting','','autocomplete_use:true')
Smc.XSearch.add('../data/1668421864147_N55DDE.html','Testing and verification KB – Does the back-end server accept Basic Authentication Affects product Neutral Question or problem Verify that the back-end accepts Basic Authentication. Send an HTTP request Procedure-related prerequisites You must be logged in as root via SSH in a terminal window. Ensure that the back-end server is configured for Basic Authentication. Instruction Test preparation: Run the following commands: curl -v -k http://sharepoint.int.virtinc.com/ Test execution and verification: Check the curl output. The HTTP response contains an header WWW-Authenticate: Basic In case of failure: Check the back-end server is configured properly. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB – Does the back-end server accept Basic Authentication','','')
Smc.XSearch.add('../data/1600697743252.html','Publishing Microsoft WebDAV Requirements and limitations About WebDAV Prepare WebDAV for Airlock Gateway integration Configure Airlock Gateway for WebDAV Configure authentication enforcement for WebDAV Tips for troubleshooting','Publishing Microsoft WebDAV','','')
Smc.XSearch.add('../data/1568119817614.html','Requirements and limitations This documentation has been tested under and written for the following software releases and versions: Requirements Title Component Requirement Comments Airlock WAF Version 7.3 or newer Valid Airlock Gateway license for at least 1 additional application. None. Airlock IAM Version 7.0 or newer Valid Airlock IAM license. Optional: Only if authentication enforcement is used. Microsoft Server Windows Server 2019 / IIS 10.0 None. Medium – Although some functions might work with other Airlock Gateway , Airlock IAM , Airlock Microgateway , Airlock add-on modules and/or 3rd party software versions, it is highly recommended using the releases this documentation is based on. Always install the latest bugfix release before proceeding.','Requirements and limitations','','autocomplete_use:true')
Smc.XSearch.add('../data/1568119817643.html','About WebDAV Web Distributed Authoring and Versioning (WebDAV) is an extension of the HTTP protocol, which greatly simplifies sharing, editing, and managing of documents stored on a WebDAV server. Typically, WebDAV is reached from the Internet, which increases the risk of being attacked. To increase security, Airlock Gateway should be installed between the WebDAV server and its clients. This gives users full access to WebDAV features, while still having a secure environment.','About WebDAV','','autocomplete_use:true')
Smc.XSearch.add('../data/1668421864698.html','Prepare WebDAV for Airlock Gateway integration The following contents show the steps required to configure WebDAV behind Airlock Gateway . Chapter-related prerequisites Configuration takes place in WebDAV. Chapter content Install WebDAV features on Windows Server Enable WebDAV and add authoring rule','Prepare WebDAV for Airlock Gateway integration','','')
Smc.XSearch.add('../data/1568119817911.html','Install WebDAV features on Windows Server Procedure-related prerequisites You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . Instruction Run the following commands: Install-WindowsFeature Web-DAV-Publishing, ` Web-Filtering, ` Web-Mgmt-Tools, ` Web-Basic-Auth, ` Web-Windows-Auth Further information and links KB – Installing and Configuring WebDAV on IIS.','Install WebDAV features on Windows Server','','')
Smc.XSearch.add('../data/1568119817938.html','Enable WebDAV and add authoring rule The WebDAV extension needs to be enabled and an authoring rule to be configured in order to use it. Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the WebDAV Authoring Rules feature. In the Actions span, click on Enable WebDAV. WebDAV is enabled for the particular Web Site. In the Actions span, click on Add Authoring Rule... Set the following values: Allow access to : All content Allow access to this content to : All users Permissions : Read, Source and Write Click on OK to activate the setting. WebDAV is configured to allow all users full access. Further information and links KB – Does WebDAV work properly.','Enable WebDAV and add authoring rule','','')
Smc.XSearch.add('../data/1668421864700.html','Configure Airlock Gateway for WebDAV The following contents show the steps required to configure WebDAV behind Airlock Gateway . Chapter-related prerequisites The previously described configuration steps have been carried out. You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Create an Airlock Gateway virtual host for WebDAV Create an Airlock Gateway back-end group for WebDAV Create an Airlock Gateway mapping for WebDAV Activate Airlock Gateway configuration','Configure Airlock Gateway for WebDAV','','')
Smc.XSearch.add('../data/1668421864702.html','Create an Airlock Gateway virtual host for WebDAV Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Virtual Host column on the + sign. Enter the FQDN and IP address: Host name (FQDN) : webdav.ext.virtinc.com Select a network interface. Enable the checkbox HTTP listener . Enable the checkbox HTTPS listener . Enable the checkbox Redirect to HTTPS . Change to the SSL tab. Select the Server certificate according to the FQDN of the virtual host. A virtual host has been pre-configured.','Create an Airlock Gateway virtual host for WebDAV','','')
Smc.XSearch.add('../data/1668421864704.html','Create an Airlock Gateway back-end group for WebDAV Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : https Back-end Host : webdav.int.virtinc.com Port : 443 A back-end group has been pre-configured.','Create an Airlock Gateway back-end group for WebDAV','','')
Smc.XSearch.add('../data/1668421864706.html','Create an Airlock Gateway mapping for WebDAV Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> WebDAV , which matches your WebDAV version. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new WebDAV mapping with the corresponding virtual host . Corresponding virtual host: webdav.ext.virtinc.com Connect the new WebDAV mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for WebDAV','','')
Smc.XSearch.add('../data/1563958438606_N56665.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1668421864708.html','Configure authentication enforcement for WebDAV If Airlock Gateway is not used for authentication enforcement, this chapter can be skipped. Why authentication enforcement should be configured Airlock Gateway has the ability to protect back-end applications from unauthorized access. This functionality is called authentication enforcement. For this purpose, Airlock Gateway is used in combination with Airlock IAM. Airlock Gateway makes sure that the users are authenticated against Airlock IAM and perform a sign-in on their behalf on the back-end application. The following sections describe how authentication enforcement is configured for WebDAV. The chapters illustrate a setup that uses Basic Authentication between Airlock WAF and the back-end application (called Identity Propagation). If using different authentication mechanisms, just adapt the mentioned settings. This applies for Airlock Gateway , Airlock IAM and/or the back-end server. Chapter-related warnings Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Chapter-related prerequisites The previously described configuration steps have been carried out. Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Available authentication methods for WebDAV Restrict access to the WebDAV mapping Create an Airlock Gateway back-end group for Airlock IAM Create an Airlock Gateway mapping for Airlock IAM Activate Airlock Gateway configuration Configure Airlock IAM for WebDAV','Configure authentication enforcement for WebDAV','','')
Smc.XSearch.add('../data/1668421864710.html','Available authentication methods for WebDAV WebDAV can be configured with different authentication methods. Possible authentication methods are: Basic Authentication NTLM Kerberos Chapter-related prerequisites Configuration takes place in WebDAV.','Available authentication methods for WebDAV','','')
Smc.XSearch.add('../data/1568119818062.html','Configure Basic Authentication in Microsoft IIS for WebDAV Basic Authentication will be enabled for the Default Web Site. Procedure-related prerequisites None. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Basic Authentication . In the Action span, click on Enable . Basic Authentication is enabled for the Default Web Site Further information and links KB – Troubleshooting the WebDAV redirector. KB – Does the back-end server accept Basic Authentication.','Configure Basic Authentication in Microsoft IIS for WebDAV','','')
Smc.XSearch.add('../data/1668421864712.html','Restrict access to the WebDAV mapping To secure the back-end server, the WebDAV mapping has to be restricted to authenticated users only. Procedure-related prerequisites Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the WebDAV mapping. Change to the Access tab. Enter the role under Access restrictions >> Restricted to Roles . Restricted to Roles : webdav This role is set by Airlock IAM after successful authentication. Select Authentication flow One-Shot. Configure Denied access URL to /auth/login-oneshot Under Credential Propagation >> SSO credential propagation , select Basic-Auth. Enable the checkbox Credential mandatory .','Restrict access to the WebDAV mapping','','')
Smc.XSearch.add('../data/1668421864714.html','Create an Airlock Gateway back-end group for Airlock IAM If an Airlock IAM back-end group is already configured, this chapter can be skipped. Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Back-end Group column on the + sign. Enter a self-documenting name for Back-end Group Name . Set the following values: Protocol : https Back-end Host : iam.int.virtinc.com Port : 8443 A back-end group has been pre-configured.','Create an Airlock Gateway back-end group for Airlock IAM','','')
Smc.XSearch.add('../data/1668421864716.html','Create an Airlock Gateway mapping for Airlock IAM If an Airlock IAM mapping is already configured: Check that the existing mapping is connected to the corresponding virtual host and skip the following steps. Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM , which matches your Airlock IAM version. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new Airlock IAM mapping with the corresponding virtual host . Corresponding virtual host: webdav.ext.virtinc.com Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for Airlock IAM','','')
Smc.XSearch.add('../data/1563958438606_N56C52.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1668421864718.html','Configure Airlock IAM for WebDAV To configure Airlock IAM to authenticate the user and propagate its identity with Basic Authentication, follow the steps below. Procedure-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor. Instruction Go to: Login Application >> Authentication >> HTTP Request Authentication (One-Shot, REST) Configure a HTTP Request Authentication (using Gateway One-Shot Flow) plugin. Add a Target Application for WebDAV. Configure the Basic Auth HTTP Header Extractor as Credential Extractor . Configure the correct Authenticator plugin as Authenticator Configure the Basic Auth Error Mapper as Failure Responses . Configure the HTTP Basic Auth Identity Propagator (requires Gateway) as Identity Propagator . Enter the URL Pattern with the pattern that matches the external URL. URL Pattern : https://webdav\\.ext\\.virtinc\\.com/.* Under Identity Propagation and Authorization , configure the Airlock Credentials . Airlock Credentials : webdav Click on the Activate button. The configuration has been updated successfully.','Configure Airlock IAM for WebDAV','','')
Smc.XSearch.add('../data/1567166011285_N56DF3.html','Tips for troubleshooting In well-determined environments and with specific problem-solving instructions, troubleshooting can be an easy task. But outside such well-known and controlled situations, the following universal troubleshooting strategy can become very handy. Check if your problem or a similar case has already been described in one of this chapter´s troubleshooting articles first! 1. What exactly is the problem? Troubleshooting with strategy. Don´t start with fighting the symptoms! Get to the bottom of the problem: Go through the current situation. How should it work in theory? Sometimes it can be helpful to make a sketch of the situation. Make sure you fully understand the theory of what and why. If another person reports and describes the problem: Listen carefully, make notes. Find the who, what and when. Afterward, proceed with questions that either have a yes/no answer or can be quantified (how many times did something happen?). Once you got a grasp on the issue, try to repeat your understanding of the problem towards the other person. Make sure both of you have the same understanding of the problem. 2. Gather more details and eliminate variables Now that you have a basic understanding of what the issue is all about, you can look into technical details that could point you towards a solution. What has been changed or modified? Problems rarely come out of the blue. Check error messages and event logs. Do they tell you about the core problem, or merely about symptoms? Can you run diagnostic tests? Sometimes a simple ping , cat-command or other simple diagnostic tools can be helpful. 3. Reproduce the problem At that point, you have a fact-based idea or hypothesis, what the problem might be. Proof of concept: Try to reproduce the original problem. Recheck error messages and event logs. Do they match with the initial data, as expected? 4. Attempt a fix, based upon your findings The gathered evidence should now have narrowed down the possible root cause. Contact our Airlock Support, if you are facing a very complex situative problem or you suspect that a software bug is probably the root cause. Fix the problem: When the problem has more than one cause, start fixing the ones which do not interfere with others! Do it one by one and In between and after every fixing action: Run individual tests to see the effect of your actions. Check if the initial problem is still there and check for error message and event logs again. Problem solved? Prepare for future issues. Congratulations, you solved the problem! Now it´s time for some cleaning up and note downs. Describe the initial problem and how you solved it – step by step. Also, note down any glitches and aberrations you encountered. Those things can be very useful and speed up the next troubleshooting for you and others. If you think your findings and notes could be helpful for others and if you are willing to contribute, please send us an email . Thank you very much! D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Tips for troubleshooting','','autocomplete_use:true')
Smc.XSearch.add('../data/1570191308622.html','External sources KB – Installing and Configuring WebDAV on IIS Question or problem Further information about how to install and configure WebDAV on IIS can be found on the external websites. External links (Microsoft) Installing and Configuring WebDAV on IIS 7 and later Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB – Installing and Configuring WebDAV on IIS','','')
Smc.XSearch.add('../data/1570191308628.html','External sources KB – Installing Desktop Experience on Windows server Question or problem To test the WebDAV connection from a Windows system, the WebDAV redirector must be installed. This feature is installed by default on a Windows client, but not on a Windows server. To have it available on a Windows server, the feature Desktop Experience must be installed. External links (Microsoft) Installing Desktop Experience Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB – Installing Desktop Experience on Windows server','','')
Smc.XSearch.add('../data/1568119821229.html','External sources KB – Troubleshooting the WebDAV redirector Question or problem The WebDAV redirector is the application on the Windows client which is responsible to access a WebDAV server. The external links might contain helpful information when troubleshooting issues with WebDAV. External links (Microsoft) Using the WebDAV Redirector (Microsoft) Error message when downloading big files over WebDAV Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB – Troubleshooting the WebDAV redirector','','')
Smc.XSearch.add('../data/1668421864720.html','Test and verification KB – Does WebDAV work properly Affects product WebDAV with Windows. Question or problem Verify that the WebDAV service works properly. Mount a WebDAV directory Procedure-related prerequisites Ensure that the back-end server is configured for WebDAV. You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . Configuration takes place in Windows client. Instruction Test preparation: Run the following commands: net use * https://webdav.int.virtinc.com/ Set the following values: Enter the user name ... : <YOUR USERNAME> Enter the password ... : <YOUR PASSWORD> Test execution and verification: Check the command output. The output shows The command completed successfully . Open the Windows Explorer. Navigate to the drive letter displayed in the command output. Create, rename and delete files and folders. The file operations should be successful. Test finalization: Unmount the drive. Run the following commands: net use /d <YOUR DRIVE LETTER>: The output shows was deleted successfully . In case of failure: Check the back-end server is configured properly. Further information and links KB – Installing and Configuring WebDAV on IIS KB – Installing Desktop Experience on Windows server KB – Troubleshooting the WebDAV redirector.','KB – Does WebDAV work properly','','')
Smc.XSearch.add('../data/1668421864722.html','Testing and verification KB – Does the back-end server accept Basic Authentication Affects product Neutral Question or problem Verify that the back-end accepts Basic Authentication. Send an HTTP request Procedure-related prerequisites You must be logged in as root via SSH in a terminal window. Ensure that the back-end server is configured for Basic Authentication. Instruction Test preparation: Run the following commands: curl -v -k https://webdav.int.virtinc.com/ Test execution and verification: Check the curl output. The HTTP response contains an header WWW-Authenticate: Basic In case of failure: Check the back-end server is configured properly.','KB – Does the back-end server accept Basic Authentication','','')
Smc.XSearch.add('../data/1600697749499.html','Kerberos integration Requirements About Back-side Kerberos SSO Single domain setup Cross-domain setup Advanced Setup Tips for troubleshooting','Kerberos integration','','')
Smc.XSearch.add('../data/1574686289993.html','Requirements This documentation has been tested and written for the following software releases and versions: Requirements Title Component Requirement Comments Airlock Gateway Version 7.3 or newer Valid Airlock Gateway license with: 2 or more free back-ends Kerberos None. Airlock IAM Version 7.2 or newer Valid Airlock IAM license. KB - Verify the Airlock Gateway license for Back-side Kerberos SSO Active Directory Functional level „Windows Server 2012“ or higher KB - Verify the domain and forest functional level Back-end Windows Server 2012 or newer The back-end web application must run on this operating system and be a member of the Active Directory Domain. Medium – Although some functions might work with other Airlock Gateway , Airlock IAM , Airlock Microgateway , Airlock add-on modules and/or 3rd party software versions, it is highly recommended using the releases this documentation is based on. Always install the latest bugfix release before proceeding. Prerequisites Title Component Requirement Comments Active Directory Domain Controller Domain administator permissions Necessary for: Create users Grant user for Kerberos delegation Configure Service Principal Name (SPN) Back-end Administrative permissions Necessary for: Enable Kerberos authentication Configure application pool Back-end Supports Kerberos authentication The Airlock Gateway propagates user´s identity with Kerberos constrained delegation. This is done with the Kerberos Version 5 GSS-API (RFC 1964). Therefore, the IIS web server must be configured for Kerberos authentication and support this protocol. Network connection from Airlock Gateway to the Active Directory domain controllers: UDP Port 88 TCP Port 88 to the back-end server: HTTP/HTTPS to the listening port For cross domain setups multiple domain controllers from different domains might be involved. Time synchronization Time needs to be synchronized between: Airlock Gateway Airlock IAM Active Directory domain controllers Back-end server Kerberos has strict time requirement. If the time is not synchronized within the configured time limits, authentication fails.','Requirements','','')
Smc.XSearch.add('../data/1574686289991.html','About Back-side Kerberos SSO Back-side Kerberos SSO enables Single Sign-On for kerberized web applications. It provides an elegant way to propagate user identities to back-end servers, without any knowledge about their passwords. This might be very useful if the authentication enforcement on Airlock Gateway is done without the user’s domain password. This is for example the case when using a client certificate or an RSA Secure ID token. Chapter content Overview Concept Example','About Back-side Kerberos SSO','','')
Smc.XSearch.add('../data/1574686289992.html','Overview The following image shows the basic steps for Back-side Kerberos SSO, where the authenticated users are propagated to the back-end server. The user requests access to the back-end web application. Airlock IAM authenticates the user and informs Airlock Gateway to propagate user´s identity using back-side Kerberos SSO. Airlock Gateway requests a Kerberos ticket from the Active Directory domain controller on behalf of the user with his technical system user. Airlock Gateway sends the HTTP request to the back-end server and appends the user’s Kerberos ticket.','Overview','','')
Smc.XSearch.add('../data/1574686290037.html','Concept The configuration of Back-side Kerberos SSO is split into 2 parts. Part 1 The first part is in the Airlock Gateway configuration, which defines the following: If and where Back-side Kerberos SSO is used. Airlock Gateway Mapping configuration The role set in Access restrictions >> Restricted to Roles . Under Credential Propagation >> SSO credential propagation , Kerberos is selected. The system user which is used to request a Kerberos Ticket for the user. Airlock Gateway Back-end Group configuration The Kerberos Environment selected under Access >> Kerberos Environment . Part 2 The second part is in the Airlock IAM configuration, which defines the following: Who should be propagated to the back-end server.','Concept','','')
Smc.XSearch.add('../data/1597341395380.html','Example Airlock IAM authenticates the user and sets after successful authentication through the Control API the Kerberos user to propagate to the back-end server. The following example helps to explain which Kerberos user is propagated to the back-end. Airlock Gateway internal logic to choose the Kerberos user The most qualified Kerberos user is used. This means, a Kerberos user for a specific Mapping is preferred over the one without a Mapping defined. Airlock Gateway configuration The following configuration is active on Airlock Gateway . Title Mapping Name Back-end Group (Active Directory domain) Exchange_2016_OWA int.virtinc.com Exchange_2019_OWA int.virtinc.com Web_application airlock.academy Kerberos users set through Control API The following Kerberos users are set by Airlock IAM through Control API. Title Username Windows Domain Mapping Name UserA int.virtinc.com UserB int.virtinc.com Exchange_2019_OWA Admin airlock.academy Web_application The following users would be propagated to the back-end server: For Mapping Exchange_2016_OWA: UserA@int.virtinc.com will be propagated. Because this is the most qualified Kerberos user. For Mapping Exchange_2019_OWA: UserB@int.virtinc.com will be propagated. The Mapping-specific Kerberos user is the most qualified. For Mapping Web_application: Admin@airlock.academy will be propagated. The Mapping-specific Kerberos user is the most qualified. This setup is only possible with Cross-domain setup. Airlock Gateway can do KCD with a Single domain setup or a Cross-domain setup.','Example','','')
Smc.XSearch.add('../data/1600697753254.html','Single domain setup Microsoft has introduced Kerberos Constrained Delegation (KCD) with Windows Server 2003, which is the technology behind Back-side Kerberos SSO. With Windows Server 2012 KCD has been enhanced with Resource-Based Kerberos Constrained Delegation (RBKCD). With standard KCD users can only be impersonated within the same domain while RBKCD allows doing KCD across domain boundaries. How standard KCD can be configured with Airlock Gateway is described in this chapter. Chapter content Limitations Prepare Kerberos for Airlock Gateway integration Active Directory configuration Airlock Gateway configuration Airlock IAM configuration','Single domain setup','','')
Smc.XSearch.add('../data/1574686289995.html','Limitations The limitations which apply to Back-side Kerberos SSO with standard KCD are listed below. Same Active Directory domain Back-side Kerberos SSO with standard KCD only works if the following resources are within the same Active Directory domain: System user Kerberos user Back-end service Airlock Gateway 7.3 and newer supports RBKCD (Resource Based Kerberos Constrained Delegation) which allows having these resources within different Active Directory domains. The configuration for RBKCD is described in the cross-domain setup. One Kerberos user per Airlock Gateway session After successful authentication, Airlock IAM instructs Airlock Gateway through the Control API for which Kerberos user a Kerberos ticket must be requested, in order to propagate to the back-end server. The following rule applies to the Identity Propagator configuration in Airlock IAM: Only one Kerberos user without a Mapping name set is allowed per Airlock Gateway session. As many as required Mapping-specific Kerberos users can be set. Members of the administrators group Windows does not allow by default Kerberos delegation for system administrators. For security reasons, domain administrators should be flagged as sensitive and therefore will not be able to use this propagation. Make sure that the authenticating user is not a member of the administration group. Tested Back-end servers Kerberized web applications are most probably deployed in Microsoft’s IIS. Nevertheless, it is also possible to have non-Microsoft web servers that understand Kerberos as an authentication scheme. The documentation here describes how to integrate Microsoft’s IIS. As this is the most common scenario, non-Microsoft web servers are not described and not tested, but we expect that they work as well.','Limitations','','')
Smc.XSearch.add('../data/1668421864859.html','Prepare Kerberos for Airlock Gateway integration The following contents show the steps required to configure Kerberos authentication in the back-end server behind Airlock Gateway . Chapter-related prerequisites You need to have Internet Information Services (IIS) installed. Chapter content Enable Kerberos authentication Register SPN Mitigate the risk of broken authentication','Prepare Kerberos for Airlock Gateway integration','','')
Smc.XSearch.add('../data/1574686290003.html','Enable Kerberos authentication Depending on the IIS version, follow the instructions in the subsequent subchapters. Chapter content Enable Kerberos authentication in IIS 10.0 Enable Kerberos authentication in IIS 8.5 Enable Kerberos authentication in IIS 7.5 Enable Kerberos authentication in IIS 6.0','Enable Kerberos authentication','','')
Smc.XSearch.add('../data/1576563680230.html','Enable Kerberos authentication in IIS 10.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Enable . Windows Authentication is enabled for the Default Web Site In the Action span, click on Providers . Choose Negotiate from Available Providers and click on Add . Ensure that Negotiate is the first provider in Enabled Providers . Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 10.0','','')
Smc.XSearch.add('../data/1576563679995.html','Enable Kerberos authentication in IIS 8.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Enable . Windows Authentication is enabled for the Default Web Site In the Action span, click on Providers . Choose Negotiate from Available Providers and click on Add . Ensure that Negotiate is the first provider in Enabled Providers . Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 8.5','','')
Smc.XSearch.add('../data/1574686290005.html','Enable Kerberos authentication in IIS 7.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Enable . Windows Authentication is enabled for the Default Web Site In the Action span, click on Providers . Choose Negotiate from Available Providers and click on Add . Ensure that Negotiate is the first provider in Enabled Providers . Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 7.5','','')
Smc.XSearch.add('../data/1574686290004.html','Enable Kerberos authentication in IIS 6.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the left span, expand the Web Sites node tree. Select Default Web Site and click on Properties in the context menu. The instructions describe the required steps for the Default Web Site. Change to the Directory Security tab. Click on Edit in the Authentication and access control section. Disable Enable anonymous access . Enable Integrated Windows authentication in the Authenticated access section. Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 6.0','','')
Smc.XSearch.add('../data/1574686290007.html','Register SPN The correct SPN must be configured in order to bring Kerberos up and running. There is a strict coupling between the host header sent by Airlock Gateway to the back-end server and the registered SPN. The following example helps to explain that: Title Airlock Gateway configuration IIS webserver configuration Host Header (sent to back-end server) Machine name Web Site binding SPN IP Port Protocol Hostname webapp1.int.virtinc.com server1 172.16.1.1 80 http webapp1.int.virtinc.com http/webapp1.int.virtinc.com webapp2.int.virtinc.com server1 172.16.1.1 443 https webapp2.int.virtinc.com http/webapp2.int.virtinc.com webapp3.int.virtinc.com server1 * 8080 http webapp3.int.virtinc.com http/webapp3.int.virtinc.com webapp4 server2 172.16.1.2 80 http - http/webapp4 webapp.int.virtinc.com server3 * 8443 https - http/webapp.int.virtinc.com The example shows the following: The SPN always starts with http/ and ends with the host header value sent by Airlock Gateway . The SPN always starts with http/, no matter what protocol is used. The port has no influence on the SPN. Chapter-related warnings HIGH – The SPN is derived directly from the host header. Configure Airlock Gateway to rewrite the host header as described in KB - Verify Host Header sent corresponds to the IIS configuration. With Back-side Kerberos SSO Airlock Gateway will request a Kerberos ticket derived from the rewritten host header. HIGH – Check the identity of the application pool which serves the IIS web site. If the application pool serving the web site runs under a domain user(service account), follow the instructions described in "Register SPN for the service user". If the application pool serving the web site runs under the machine account, follow the instructions described in "Register SPN for the machine account". Chapter content Register SPN for the service user Register SPN for the machine account','Register SPN','','')
Smc.XSearch.add('../data/1668421864869.html','Register SPN for the service user The SPN will be registered for the service user serving the IIS website. Procedure-related prerequisites You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . You need to be logged in as a domain administrator on a domain controller. Example values SPN: webapp.int.virtinc.com Service user: srv-webapp Instruction Run the following commands: # List the SPNs registered# for the service usersetspn –L srv-webapp# Register the SPN for# the service usersetspn –A http/webapp.int.virtinc.com ` srv-webapp','Register SPN for the service user','','')
Smc.XSearch.add('../data/1576563682872.html','Disable Kernel-mode authentication If the IIS application pool serving the web site is running under a machine account, this chapter can be skipped. The IIS Kernel-mode authentication feature has been introduced in IIS 7.0 to speed up the authentication process. It must be disabled for web sites served by service users. Chapter-related warnings HIGH – Kerberos authentication fails Disable Kernel-mode authentication for IIS web sites served by service users. There is no action required for IIS versions older than 7.0. Chapter content Disable Kernel-mode authentication in IIS 10.0 Disable Kernel-mode authentication in IIS 8.5 Disable Kernel-mode authentication in IIS 7.5 Further information and links (Microsoft) Checklist for Kerberos authentication with IIS','Disable Kernel-mode authentication','','')
Smc.XSearch.add('../data/1576563683059.html','Disable Kernel-mode authentication in IIS 10.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Advanced Settings... Disable the checkbox Enable Kernel-mode authentication Click on OK to close the configuration dialog. Run the following command, to restart the IIS and make the previous changes active: iisreset /noforce','Disable Kernel-mode authentication in IIS 10.0','','')
Smc.XSearch.add('../data/1576563683074.html','Disable Kernel-mode authentication in IIS 8.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Advanced Settings... Disable the checkbox Enable Kernel-mode authentication Click on OK to close the configuration dialog. Run the following command, to restart the IIS and make the previous changes active: iisreset /noforce','Disable Kernel-mode authentication in IIS 8.5','','')
Smc.XSearch.add('../data/1576563683076.html','Disable Kernel-mode authentication in IIS 7.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Advanced Settings... Disable the checkbox Enable Kernel-mode authentication Click on OK to close the configuration dialog. Run the following command, to restart the IIS and make the previous changes active: iisreset /noforce','Disable Kernel-mode authentication in IIS 7.5','','')
Smc.XSearch.add('../data/1668421864895.html','Register SPN for the machine account The SPN will be registered for the machine account serving the IIS website. Procedure-related prerequisites You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . You need to be logged in as a domain administrator on a domain controller. Example values SPN: webapp.int.virtinc.com Server (machine account): server1 Instruction Run the following commands: # List the SPNs registered# for the machine accountsetspn –L server1# Register the SPN for# the machine accountsetspn –A http/webapp.int.virtinc.com ` server1','Register SPN for the machine account','','')
Smc.XSearch.add('../data/1574686290011.html','Mitigate the risk of broken authentication The IIS web server can be configured to authenticate each HTTP request or the TCP connection with a Kerberos ticket. With Airlock Gateway , HTTP requests from different users are sent over the same TCP connection to the back-end server. Under these circumstances, it is important that the IIS web server re-authenticates each request. Chapter-related warnings HIGH – Mitigate the risk of broken authentication Implement one of the actions listed below to mitigate the risk: KeepAlive configuration for back-end connections Follow the appropriate chapter to disable authPersistNonNTLM: Disable authPersistNonNTLM in IIS 7.5 Disable authPersistNonNTLM in IIS 8.5 Disable authPersistNonNTLM in IIS 10.0 Chapter content KeepAlive configuration for back-end connections Disable authPersistNonNTLM in IIS 10.0 Disable authPersistNonNTLM in IIS 8.5 Disable authPersistNonNTLM in IIS 7.5','Mitigate the risk of broken authentication','','')
Smc.XSearch.add('../data/1574686290012.html','KeepAlive configuration for back-end connections The option BackendForceNewConnections allows configuring HTTP keepalive on back-end connections using Expert Settings. By default, Airlock Gateway is configured to force new back-end connections. Procedure-related prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the affected Back-end Group . Change to the Expert Settings tab. Select ON to enable the Security Gate Expert Settings. Search and set BackendForceNewConnections to FALSE to enable HTTP keepalive (default configuration is TRUE ). Click on the Activate button. The configuration has been updated successfully.','KeepAlive configuration for back-end connections','','')
Smc.XSearch.add('../data/1576563683641.html','Disable authPersistNonNTLM in IIS 10.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Configuration Editor feature. Select in the drop down menu Section system.webServer/security/authentication/windowsAuthentication Change authPersistNonNTLM to False. In the Action span, click on Apply Further information and links (Microsoft) IIS Settings Schema - windowsAuthentication Element','Disable authPersistNonNTLM in IIS 10.0','','')
Smc.XSearch.add('../data/1576563683639.html','Disable authPersistNonNTLM in IIS 8.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Configuration Editor feature. Select in the drop down menu Section system.webServer/security/authentication/windowsAuthentication Change authPersistNonNTLM to False. In the Action span, click on Apply Further information and links (Microsoft) IIS Settings Schema - windowsAuthentication Element','Disable authPersistNonNTLM in IIS 8.5','','')
Smc.XSearch.add('../data/1576563683637.html','Disable authPersistNonNTLM in IIS 7.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Configuration Editor feature. Select in the drop down menu Section system.webServer/security/authentication/windowsAuthentication Change authPersistNonNTLM to False. In the Action span, click on Apply Further information and links (Microsoft) IIS Settings Schema - windowsAuthentication Element','Disable authPersistNonNTLM in IIS 7.5','','')
Smc.XSearch.add('../data/1574686290015.html','Active Directory configuration The following contents show the steps required to configure Active Directory to run Back-side Kerberos SSO. Chapter content System user for Kerberos constrained delegation Further information and links KB - Verify the domain and forest functional level','Active Directory configuration','','')
Smc.XSearch.add('../data/1574686290021.html','System user for Kerberos constrained delegation Airlock Gateway has a system user configured to request Kerberos tickets on behalf of an authenticated user. This concept is known as Kerberos constrained delegation. The following contents show the steps required to create and configure the system user. Chapter-related prerequisites The previously described configuration steps have been carried out. You need to be logged in as a domain administrator on a domain controller. Chapter content Create a system user Enable Kerberos constrained delegation for the system user Allow Kerberos constrained delegation in a single domain setup','System user for Kerberos constrained delegation','','')
Smc.XSearch.add('../data/1574686290022.html','Create a system user Procedure-related prerequisites None. Example values Full name: srv-airlock-kerberos User logon name: srv-airlock-kerberos Instruction Go to: Administrative Tools >> Active Directory Users and Computers . Create a user with the following values: Full name : srv-airlock-kerberos User logon name : srv-airlock-kerberos User cannot change password : enabled Password never expires : enabled Account is disabled : disabled The system user has been created.','Create a system user','','')
Smc.XSearch.add('../data/1574686290023.html','Enable Kerberos constrained delegation for the system user Kerberos constrained delegation is intended to be used by services and not regular users. Active Directory distinguish service users from regular users whether the user has an SPN registered or not. Regular users have no SPN registered while service users could have one. The Delegation tab in the user´s properties within Active Directory Users and Computers is only available if an SPN is configured. In order to use Kerberos constrained delegation, any SPN must be configured for the system user. Procedure-related prerequisites The previously described configuration steps have been carried out. You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . Example values User logon name: srv-airlock-kerberos SPN: http/airlock-gateway-production Instruction Run the following commands: Choose a descriptive name for the SPN. There is no technical requirement for which SPN must be configured. setspn -A http/airlock-gateway-production srv-airlock-kerberos The SPN has been registered to the system user. Further information and links KB - The delegation tab is not available','Enable Kerberos constrained delegation for the system user','','')
Smc.XSearch.add('../data/1574686290024.html','Allow Kerberos constrained delegation in a single domain setup Allow the system-user to do Kerberos constrained delegation for specific SPNs within a single domain setup. Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Administrative Tools >> Active Directory Users and Computers . Open the properties of the system user. Change to the Delegation tab. Enable the checkbox Trust this user for delegation to specified services only . Enable the checkbox Use any authentication protocol . Click on Add... . Click on Users or Computers . Click on Advanced . Search for the service user or machine account the application pool of the back-end application is running with. Search for the service-user if Register SPN for the service user has been proceeded. Search for the machine account if Register SPN for the machine account has been proceeded. Select the service user or machine account. Click on OK twice. Select the SPN which was configured in Register SPN Click on OK . The system user is granted to request Kerberos tickets for the configured SPN on behalf of other users.','Allow Kerberos constrained delegation in a single domain setup','','')
Smc.XSearch.add('../data/1574686290026.html','Airlock Gateway configuration After finishing the steps below, the web application is only reachable when authentication was successful and Back-side Kerberos SSO works properly. Chapter-related warnings Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Chapter-related prerequisites The previously described configuration steps have been carried out. Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Create a Kerberos Environment Restrict access to the Web application´s mapping Configure Kerberos Environment for the back-end group Create an Airlock Gateway mapping for Airlock IAM Activate Airlock Gateway configuration Further information and links KB - Verify the Airlock Gateway license for Back-side Kerberos SSO','Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1574686290028.html','Create a Kerberos Environment Procedure-related prerequisites None. Example values Name: int.virtinc.com-ch Domain Name: int.virtinc.com Domain Controllers: dc1.int.virtinc.com, dc2.int.virtinc.com System Username: srv-airlock-kerberos@int.virtinc.com Instruction Go to: System Setup >> Network Services . Click at the + sign in the section Kerberos Environments . Set the following values: Name : int.virtinc.com-ch Domain Name (DNS name): int.virtinc.com Domain Controllers (comma-separated list): dc1.int.virtinc.com, dc2.int.virtinc.com System Username : srv-airlock-kerberos@int.virtinc.com System Password : <YOUR PASSWORD FOR THE SYSTEM USER> Name : Is a descriptive name for the Active Directory domain the system user is permitted to do Kerberos constrained delegation. Domain Controllers : Resolved with DNS requests if left empty (KB - Verify the DNS configuration for Back-side Kerberos SSO) System Username : It is highly recommended to configure the system user UPN, especially in cross-domain setup. A Kerberos Environment has been configured. Further information and links KB - Delayed response from configured domain controllers KB - Verify the DNS configuration for Back-side Kerberos SSO','Create a Kerberos Environment','','')
Smc.XSearch.add('../data/1668421864941.html','Restrict access to the Web application´s mapping To secure the back-end server, the Web application´s mapping has to be restricted to authenticated users only. Procedure-related prerequisites Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the Web application´s mapping. Change to the Access tab. Enter the role under Access restrictions >> Restricted to Roles . Restricted to Roles : authenticated This role is set by Airlock IAM after successful authentication. Select Authentication flow One-Shot. Configure Denied access URL to /auth/login-oneshot Under Credential Propagation >> SSO credential propagation , select Kerberos. Enable the checkbox Credential mandatory .','Restrict access to the Web application´s mapping','','')
Smc.XSearch.add('../data/1668421864961.html','Configure Kerberos Environment for the back-end group Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the Web application´s Back-end Group . Select the Kerberos Environment under Access >> Kerberos Environment . The system user configured in this Kerberos Environment will be used to obtain a Kerberos ticket for the users.','Configure Kerberos Environment for the back-end group','','')
Smc.XSearch.add('../data/1668421864963.html','Create an Airlock Gateway mapping for Airlock IAM If an Airlock IAM mapping is already configured: Check that the existing mapping is connected to the corresponding virtual host and skip the following steps. Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM , which matches your Airlock IAM version. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new Airlock IAM mapping with the corresponding virtual host . Corresponding virtual host: webapp.ext.virtinc.com Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for Airlock IAM','','')
Smc.XSearch.add('../data/1563958438606_N594A6.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1574686290036.html','Airlock IAM configuration The following contents show the steps required to configure an existing target application in Airlock IAM for Back-side Kerberos SSO. Chapter-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor. Chapter content Configure Airlock IAM for Web application´s','Airlock IAM configuration','','')
Smc.XSearch.add('../data/1668421864973.html','Configure Airlock IAM for Web application´s Procedure-related prerequisites None. Instruction Go to: Loginapp >> Application Settings . Edit the Target Application for Web application´s. Configure a Kerberos Identity Propagator (requires Airlock Gateway) as Identity Propagator . Set the following values: Kerberos Users : Configure the plugin Kerberos User Definition Edit the Kerberos User Definition Set the following values: Username Attribute :<YOUR sAMAccountname or USER´s UPN> Windows Domain : <YOUR ACTIVE DIRECTORY DOMAIN WHICH CONTAINS THE USER> Mapping Name : <YOUR AIRLOCK GATEWAY MAPPING> Windows Domain : It is highly recommended in cross-domain setups to configure the username precisely. This can be achieved by: Configuring the sAMAccountname in Username Attribute and the Windows Domain . Configuring the User UPN in Username Attribute and leave the Windows Domain empty. Do not configure the User UPN in the Username Attribute and the Windows Domain . Mapping Name : This is an optional field. Click on the Activate button. The configuration has been updated successfully. HIGH – Only one Kerberos user per Airlock Gateway session Ensure that only one Kerberos user is set without Mapping Name . In case that a different user should be propagated to a specific web application, define a Kerberos user with the Mapping Name (see Example). Further information and links Example (Ergon) Online Manual - Airlock IAM','Configure Airlock IAM for Web application´s','','')
Smc.XSearch.add('../data/1600697753276.html','Cross-domain setup Microsoft has introduced Kerberos Constrained Delegation (KCD) with Windows Server 2003, which is the technology behind Back-side Kerberos SSO. With Windows Server 2012 KCD has been enhanced with Resource-Based Kerberos Constrained Delegation (RBKCD). With standard KCD users can only be impersonated within the same domain while RBKCD allows doing KCD across domain boundaries. How RBKCD can be configured with Airlock Gateway is described in this chapter. Chapter-related prerequisites The trust between the Active Directory Domain is configured properly. The configured DNS server in Airlock Gateway can resolve the DNS SRV requests to determine the involved Active Directory domains and domain controllers. Chapter content Limitations Prepare Kerberos for Airlock Gateway integration Active Directory configuration Airlock Gateway configuration Airlock IAM configuration Further information and links KB - Verify the DNS configuration for Back-side Kerberos SSO','Cross-domain setup','','')
Smc.XSearch.add('../data/1600697754058.html','Limitations The limitations which apply to Back-side Kerberos SSO with RBKCD are listed below. One Kerberos user per Airlock Gateway session After successful authentication, Airlock IAM instructs Airlock Gateway through the Control API for which Kerberos user a Kerberos ticket must be requested, in order to propagate to the back-end server. The following rule applies to the Identity Propagator configuration in Airlock IAM: Only one Kerberos user without a Mapping name set is allowed per Airlock Gateway session. As many as required Mapping-specific Kerberos users can be set. Possible combination to do RBKCD Resource-Based Kerberos Constrained Delegation (RBKCD) allows propagating users´ identity from one domain to a Back-end in another domain. Airlock Gateway uses a privileged system user to do that. In theory, there are many possible combinations in which domain these three identities (user, Back-end service and system user) could be members of. Nevertheless, not all combinations are possible because of restrictions within Active Directory. The simplified explanation below explains the possibilities: If the system user and the Back-end server are not in the same forest, then the impersonated user must be from the same forest as the system user. In other words, the Active Directory domain controller would not allow a system user from another forest to impersonate users from its own forest. The mentioning on the website (Microsoft) Updates to TGT delegation across incoming trusts in Windows Server underlines this restriction: Applications that rely on round-trip authentication across trusts are not supported by using constrained delegation. For example, a delegation fails if a user in Forest A authenticates to an application in Forest B and the application in Forest B is trying to delegate a ticket back to Forest A. Members of the administrators group Windows does not allow by default Kerberos delegation for system administrators. For security reasons, domain administrators should be flagged as sensitive and therefore will not be able to use this propagation. Make sure that the authenticating user is not a member of the administration group. Tested Back-end servers Kerberized web applications are most probably deployed in Microsoft’s IIS. Nevertheless, it is also possible to have non-Microsoft web servers that understand Kerberos as an authentication scheme. The documentation here describes how to integrate Microsoft’s IIS. As this is the most common scenario, non-Microsoft web servers are not described and not tested, but we expect that they work as well.','Limitations','','')
Smc.XSearch.add('../data/1668421864859_N598DE.html','Prepare Kerberos for Airlock Gateway integration The following contents show the steps required to configure Kerberos authentication in the back-end server behind Airlock Gateway . Chapter-related prerequisites You need to have Internet Information Services (IIS) installed. Chapter content Enable Kerberos authentication Register SPN Mitigate the risk of broken authentication','Prepare Kerberos for Airlock Gateway integration','','')
Smc.XSearch.add('../data/1574686290003_N5997A.html','Enable Kerberos authentication Depending on the IIS version, follow the instructions in the subsequent subchapters. Chapter content Enable Kerberos authentication in IIS 10.0 Enable Kerberos authentication in IIS 8.5 Enable Kerberos authentication in IIS 7.5 Enable Kerberos authentication in IIS 6.0','Enable Kerberos authentication','','')
Smc.XSearch.add('../data/1576563680230_N599EB.html','Enable Kerberos authentication in IIS 10.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Enable . Windows Authentication is enabled for the Default Web Site In the Action span, click on Providers . Choose Negotiate from Available Providers and click on Add . Ensure that Negotiate is the first provider in Enabled Providers . Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 10.0','','')
Smc.XSearch.add('../data/1576563679995_N59AC6.html','Enable Kerberos authentication in IIS 8.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Enable . Windows Authentication is enabled for the Default Web Site In the Action span, click on Providers . Choose Negotiate from Available Providers and click on Add . Ensure that Negotiate is the first provider in Enabled Providers . Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 8.5','','')
Smc.XSearch.add('../data/1574686290005_N59BA0.html','Enable Kerberos authentication in IIS 7.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Enable . Windows Authentication is enabled for the Default Web Site In the Action span, click on Providers . Choose Negotiate from Available Providers and click on Add . Ensure that Negotiate is the first provider in Enabled Providers . Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 7.5','','')
Smc.XSearch.add('../data/1574686290004_N59C7A.html','Enable Kerberos authentication in IIS 6.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the left span, expand the Web Sites node tree. Select Default Web Site and click on Properties in the context menu. The instructions describe the required steps for the Default Web Site. Change to the Directory Security tab. Click on Edit in the Authentication and access control section. Disable Enable anonymous access . Enable Integrated Windows authentication in the Authenticated access section. Click on OK to close the configuration dialog.','Enable Kerberos authentication in IIS 6.0','','')
Smc.XSearch.add('../data/1574686290007_N59D36.html','Register SPN The correct SPN must be configured in order to bring Kerberos up and running. There is a strict coupling between the host header sent by Airlock Gateway to the back-end server and the registered SPN. The following example helps to explain that: Title Airlock Gateway configuration IIS webserver configuration Host Header (sent to back-end server) Machine name Web Site binding SPN IP Port Protocol Hostname webapp1.int.virtinc.com server1 172.16.1.1 80 http webapp1.int.virtinc.com http/webapp1.int.virtinc.com webapp2.int.virtinc.com server1 172.16.1.1 443 https webapp2.int.virtinc.com http/webapp2.int.virtinc.com webapp3.int.virtinc.com server1 * 8080 http webapp3.int.virtinc.com http/webapp3.int.virtinc.com webapp4 server2 172.16.1.2 80 http - http/webapp4 webapp.int.virtinc.com server3 * 8443 https - http/webapp.int.virtinc.com The example shows the following: The SPN always starts with http/ and ends with the host header value sent by Airlock Gateway . The SPN always starts with http/, no matter what protocol is used. The port has no influence on the SPN. Chapter-related warnings HIGH – The SPN is derived directly from the host header. Configure Airlock Gateway to rewrite the host header as described in KB - Verify Host Header sent corresponds to the IIS configuration. With Back-side Kerberos SSO Airlock Gateway will request a Kerberos ticket derived from the rewritten host header. HIGH – Check the identity of the application pool which serves the IIS web site. If the application pool serving the web site runs under a domain user(service account), follow the instructions described in "Register SPN for the service user". If the application pool serving the web site runs under the machine account, follow the instructions described in "Register SPN for the machine account". Chapter content Register SPN for the service user Register SPN for the machine account','Register SPN','','')
Smc.XSearch.add('../data/1574686290008.html','Register SPN for the service user The SPN will be registered for the service user serving the IIS website. Procedure-related prerequisites You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . You need to be logged in as a domain administrator on a domain controller. Example values SPN: int.virtinc.com Service user: srv-webapp Instruction Run the following commands: # List the SPNs registered# for the service usersetspn –L srv-webapp# Register the SPN for# the service usersetspn –A http/int.virtinc.com ` srv-webapp','Register SPN for the service user','','')
Smc.XSearch.add('../data/1576563682872_N5A0DB.html','Disable Kernel-mode authentication If the IIS application pool serving the web site is running under a machine account, this chapter can be skipped. The IIS Kernel-mode authentication feature has been introduced in IIS 7.0 to speed up the authentication process. It must be disabled for web sites served by service users. Chapter-related warnings HIGH – Kerberos authentication fails Disable Kernel-mode authentication for IIS web sites served by service users. There is no action required for IIS versions older than 7.0. Chapter content Disable Kernel-mode authentication in IIS 10.0 Disable Kernel-mode authentication in IIS 8.5 Disable Kernel-mode authentication in IIS 7.5 Further information and links (Microsoft) Checklist for Kerberos authentication with IIS','Disable Kernel-mode authentication','','')
Smc.XSearch.add('../data/1576563683059_N5A182.html','Disable Kernel-mode authentication in IIS 10.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Advanced Settings... Disable the checkbox Enable Kernel-mode authentication Click on OK to close the configuration dialog. Run the following command, to restart the IIS and make the previous changes active: iisreset /noforce','Disable Kernel-mode authentication in IIS 10.0','','')
Smc.XSearch.add('../data/1576563683074_N5A24E.html','Disable Kernel-mode authentication in IIS 8.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Advanced Settings... Disable the checkbox Enable Kernel-mode authentication Click on OK to close the configuration dialog. Run the following command, to restart the IIS and make the previous changes active: iisreset /noforce','Disable Kernel-mode authentication in IIS 8.5','','')
Smc.XSearch.add('../data/1576563683076_N5A31A.html','Disable Kernel-mode authentication in IIS 7.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Authentication feature. Select Windows Authentication . In the Action span, click on Advanced Settings... Disable the checkbox Enable Kernel-mode authentication Click on OK to close the configuration dialog. Run the following command, to restart the IIS and make the previous changes active: iisreset /noforce','Disable Kernel-mode authentication in IIS 7.5','','')
Smc.XSearch.add('../data/1574686290009.html','Register SPN for the machine account The SPN will be registered for the machine account serving the IIS website. Procedure-related prerequisites You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . You need to be logged in as a domain administrator on a domain controller. Example values SPN: webapp.int.virtinc.com Server (machine account): server1 Instruction Run the following commands: # List the SPNs registered# for the machine accountsetspn –L server1# Register the SPN for# the machine accountsetspn –A http/webapp.int.virtinc.com ` server1','Register SPN for the machine account','','')
Smc.XSearch.add('../data/1574686290011_N5A4AE.html','Mitigate the risk of broken authentication The IIS web server can be configured to authenticate each HTTP request or the TCP connection with a Kerberos ticket. With Airlock Gateway , HTTP requests from different users are sent over the same TCP connection to the back-end server. Under these circumstances, it is important that the IIS web server re-authenticates each request. Chapter-related warnings HIGH – Mitigate the risk of broken authentication Implement one of the actions listed below to mitigate the risk: KeepAlive configuration for back-end connections Follow the appropriate chapter to disable authPersistNonNTLM: Disable authPersistNonNTLM in IIS 7.5 Disable authPersistNonNTLM in IIS 8.5 Disable authPersistNonNTLM in IIS 10.0 Chapter content KeepAlive configuration for back-end connections Disable authPersistNonNTLM in IIS 10.0 Disable authPersistNonNTLM in IIS 8.5 Disable authPersistNonNTLM in IIS 7.5','Mitigate the risk of broken authentication','','')
Smc.XSearch.add('../data/1574686290012_N5A587.html','KeepAlive configuration for back-end connections The option BackendForceNewConnections allows configuring HTTP keepalive on back-end connections using Expert Settings. By default, Airlock Gateway is configured to force new back-end connections. Procedure-related prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the affected Back-end Group . Change to the Expert Settings tab. Select ON to enable the Security Gate Expert Settings. Search and set BackendForceNewConnections to FALSE to enable HTTP keepalive (default configuration is TRUE ). Click on the Activate button. The configuration has been updated successfully.','KeepAlive configuration for back-end connections','','')
Smc.XSearch.add('../data/1576563683641_N5A64A.html','Disable authPersistNonNTLM in IIS 10.0 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Configuration Editor feature. Select in the drop down menu Section system.webServer/security/authentication/windowsAuthentication Change authPersistNonNTLM to False. In the Action span, click on Apply Further information and links (Microsoft) IIS Settings Schema - windowsAuthentication Element','Disable authPersistNonNTLM in IIS 10.0','','')
Smc.XSearch.add('../data/1576563683639_N5A727.html','Disable authPersistNonNTLM in IIS 8.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Configuration Editor feature. Select in the drop down menu Section system.webServer/security/authentication/windowsAuthentication Change authPersistNonNTLM to False. In the Action span, click on Apply Further information and links (Microsoft) IIS Settings Schema - windowsAuthentication Element','Disable authPersistNonNTLM in IIS 8.5','','')
Smc.XSearch.add('../data/1576563683637_N5A804.html','Disable authPersistNonNTLM in IIS 7.5 Procedure-related prerequisites You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site . The instructions describe the required steps for the Default Web Site. Double-click on the Configuration Editor feature. Select in the drop down menu Section system.webServer/security/authentication/windowsAuthentication Change authPersistNonNTLM to False. In the Action span, click on Apply Further information and links (Microsoft) IIS Settings Schema - windowsAuthentication Element','Disable authPersistNonNTLM in IIS 7.5','','')
Smc.XSearch.add('../data/1574686290015_N5A8E1.html','Active Directory configuration The following contents show the steps required to configure Active Directory to run Back-side Kerberos SSO. Chapter content System user for Kerberos constrained delegation Further information and links KB - Verify the domain and forest functional level','Active Directory configuration','','')
Smc.XSearch.add('../data/1574686290021_N5A96C.html','System user for Kerberos constrained delegation Airlock Gateway has a system user configured to request Kerberos tickets on behalf of an authenticated user. This concept is known as Kerberos constrained delegation. The following contents show the steps required to create and configure the system user. Chapter-related prerequisites The previously described configuration steps have been carried out. You need to be logged in as a domain administrator on a domain controller. Chapter content Create a system user Enable Kerberos constrained delegation for the system user Allow Kerberos constrained delegation in a cross-domain setup','System user for Kerberos constrained delegation','','')
Smc.XSearch.add('../data/1574686290022_N5AA10.html','Create a system user Procedure-related prerequisites None. Example values Full name: srv-airlock-kerberos User logon name: srv-airlock-kerberos Instruction Go to: Administrative Tools >> Active Directory Users and Computers . Create a user with the following values: Full name : srv-airlock-kerberos User logon name : srv-airlock-kerberos User cannot change password : enabled Password never expires : enabled Account is disabled : disabled The system user has been created.','Create a system user','','')
Smc.XSearch.add('../data/1574686290023_N5AAC6.html','Enable Kerberos constrained delegation for the system user Kerberos constrained delegation is intended to be used by services and not regular users. Active Directory distinguish service users from regular users whether the user has an SPN registered or not. Regular users have no SPN registered while service users could have one. The Delegation tab in the user´s properties within Active Directory Users and Computers is only available if an SPN is configured. In order to use Kerberos constrained delegation, any SPN must be configured for the system user. Procedure-related prerequisites The previously described configuration steps have been carried out. You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . Example values User logon name: srv-airlock-kerberos SPN: http/airlock-gateway-production Instruction Run the following commands: Choose a descriptive name for the SPN. There is no technical requirement for which SPN must be configured. setspn -A http/airlock-gateway-production srv-airlock-kerberos The SPN has been registered to the system user. Further information and links KB - The delegation tab is not available','Enable Kerberos constrained delegation for the system user','','')
Smc.XSearch.add('../data/1604477076517.html','Allow Kerberos constrained delegation in a cross-domain setup Allow the system user to do Kerberos constrained delegation in a cross-domain setup. Apply the corresponding section depending on where the SPN has been registered: SPN registered to a service user if Register SPN for the service user has been proceeded. SPN registered to a machine account if Register SPN for the machine account has been proceeded. SPN registered to a service user Procedure-related prerequisites The previously described configuration steps have been carried out. You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . You need to be logged in as a domain administrator on a domain controller. Run the commands in the Active Directory domain where the Service user is a member of. Example values System user UPN: srv-airlock-kerberos@int.virtinc.com Service user UPN: srv-webapp@sub.int.virtinc.com Instruction Run the following commands: # Change these variables according to your environment$SysUserUPN = "srv-airlock-kerberos@int.virtinc.com"$SrvUserUPN = "srv-webapp@sub.int.virtinc.com" # Determine the system user´s principle$DomainName = $SysUserUPN.Remove(0,($SysUserUPN.IndexOf("@")+1))$DomainDNSRoot = (Get-ADDomain $DomainName).DNSRoot$SysUserPrinc = Get-ADUser -Filter { UserPrincipalName -Like $SysUserUPN } ` -Server $DomainDNSRoot# Allow KCD for the $resource (service user)$resource = Get-ADUser -Filter { UserPrincipalName -Like $SrvUserUPN } ` -Properties msDS-AllowedToActOnBehalfOfOtherIdentity $resource | Set-ADUser -PrincipalsAllowedToDelegateToAccount $SysUserPrinc SPN registered to a machine account Procedure-related prerequisites The previously described configuration steps have been carried out. You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . You need to be logged in as a domain administrator on a domain controller. Run the commands in the Active Directory domain where the Server is a member of. Example values System user UPN: srv-airlock-kerberos@int.virtinc.com Server (machine account): server1 Instruction Run the following commands: # Change these variables according to your environment$SysUserUPN = "srv-airlock-kerberos@int.virtinc.com"$Server = "server1" # Determine the system user´s principle$DomainName = $SysUserUPN.Remove(0,($SysUserUPN.IndexOf("@")+1))$DomainDNSRoot = (Get-ADDomain $DomainName).DNSRoot$SysUserPrinc = Get-ADUser -Filter { UserPrincipalName -Like $SysUserUPN } ` -Server $DomainDNSRoot# Allow KCD for the $resource (server)$resource = Get-ADComputer -Filter { Name -Like $Server } ` -Properties msDS-AllowedToActOnBehalfOfOtherIdentity $resource | Set-ADComputer -PrincipalsAllowedToDelegateToAccount $SysUserPrinc Further information and links Register SPN (Telstra) Resource Based Kerberos Constrained Delegation','Allow Kerberos constrained delegation in a cross-domain setup','','')
Smc.XSearch.add('../data/1574686290026_N5ACF3.html','Airlock Gateway configuration After finishing the steps below, the web application is only reachable when authentication was successful and Back-side Kerberos SSO works properly. Chapter-related warnings Depending on the scope of the current Airlock Gateway or IAM license, it could also be required to upgrade or change the licensing for new authentication features, e.g. for back-side Kerberos SSO, front-side Kerberos, etc. Chapter-related prerequisites The previously described configuration steps have been carried out. Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Chapter content Create a Kerberos Environment Restrict access to the Web application´s mapping Configure Kerberos Environment for the back-end group Create an Airlock Gateway mapping for Airlock IAM Activate Airlock Gateway configuration Further information and links KB - Verify the Airlock Gateway license for Back-side Kerberos SSO','Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1574686290028_N5ADF6.html','Create a Kerberos Environment Procedure-related prerequisites None. Example values Name: int.virtinc.com-ch Domain Name: int.virtinc.com Domain Controllers: dc1.int.virtinc.com, dc2.int.virtinc.com System Username: srv-airlock-kerberos@int.virtinc.com Instruction Go to: System Setup >> Network Services . Click at the + sign in the section Kerberos Environments . Set the following values: Name : int.virtinc.com-ch Domain Name (DNS name): int.virtinc.com Domain Controllers (comma-separated list): dc1.int.virtinc.com, dc2.int.virtinc.com System Username : srv-airlock-kerberos@int.virtinc.com System Password : <YOUR PASSWORD FOR THE SYSTEM USER> Name : Is a descriptive name for the Active Directory domain the system user is permitted to do Kerberos constrained delegation. Domain Controllers : Resolved with DNS requests if left empty (KB - Verify the DNS configuration for Back-side Kerberos SSO) System Username : It is highly recommended to configure the system user UPN, especially in cross-domain setup. A Kerberos Environment has been configured. Further information and links KB - Delayed response from configured domain controllers KB - Verify the DNS configuration for Back-side Kerberos SSO','Create a Kerberos Environment','','')
Smc.XSearch.add('../data/1668421864941_N5AF19.html','Restrict access to the Web application´s mapping To secure the back-end server, the Web application´s mapping has to be restricted to authenticated users only. Procedure-related prerequisites Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the Web application´s mapping. Change to the Access tab. Enter the role under Access restrictions >> Restricted to Roles . Restricted to Roles : authenticated This role is set by Airlock IAM after successful authentication. Select Authentication flow One-Shot. Configure Denied access URL to /auth/login-oneshot Under Credential Propagation >> SSO credential propagation , select Kerberos. Enable the checkbox Credential mandatory .','Restrict access to the Web application´s mapping','','')
Smc.XSearch.add('../data/1668421864961_N5B01B.html','Configure Kerberos Environment for the back-end group Procedure-related prerequisites None. Instruction Go to: Application Firewall >> Reverse Proxy . Edit the Web application´s Back-end Group . Select the Kerberos Environment under Access >> Kerberos Environment . The system user configured in this Kerberos Environment will be used to obtain a Kerberos ticket for the users.','Configure Kerberos Environment for the back-end group','','')
Smc.XSearch.add('../data/1668421864963_N5B0C3.html','Create an Airlock Gateway mapping for Airlock IAM If an Airlock IAM mapping is already configured: Check that the existing mapping is connected to the corresponding virtual host and skip the following steps. Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction Go to: Application Firewall >> Reverse Proxy and click at the top of the Mapping column on the + sign. Choose New from template >> Airlock IAM , which matches your Airlock IAM version. A new mapping based upon the template has been created. Go to: Application Firewall >> Reverse Proxy Connect the new Airlock IAM mapping with the corresponding virtual host . Corresponding virtual host: webapp.ext.virtinc.com Connect the new Airlock IAM mapping to the corresponding back-end group . The mapping has been established and can be activated.','Create an Airlock Gateway mapping for Airlock IAM','','')
Smc.XSearch.add('../data/1563958438606_N5B192.html','Activate Airlock Gateway configuration Procedure-related prerequisites The previously described configuration steps have been carried out. Instruction In Airlock Gateway Configuration Center, as admin. Click on the Activate button. The configuration has been updated successfully.','Activate Airlock Gateway configuration','','')
Smc.XSearch.add('../data/1574686290036_N5B243.html','Airlock IAM configuration The following contents show the steps required to configure an existing target application in Airlock IAM for Back-side Kerberos SSO. Chapter-related prerequisites You need to be logged in to the Airlock IAM Adminapp and be able to access the Config Editor. Chapter content Configure Airlock IAM for Web application´s','Airlock IAM configuration','','')
Smc.XSearch.add('../data/1668421864973_N5B2D1.html','Configure Airlock IAM for Web application´s Procedure-related prerequisites None. Instruction Go to: Loginapp >> Application Settings . Edit the Target Application for Web application´s. Configure a Kerberos Identity Propagator (requires Airlock Gateway) as Identity Propagator . Set the following values: Kerberos Users : Configure the plugin Kerberos User Definition Edit the Kerberos User Definition Set the following values: Username Attribute :<YOUR sAMAccountname or USER´s UPN> Windows Domain : <YOUR ACTIVE DIRECTORY DOMAIN WHICH CONTAINS THE USER> Mapping Name : <YOUR AIRLOCK GATEWAY MAPPING> Windows Domain : It is highly recommended in cross-domain setups to configure the username precisely. This can be achieved by: Configuring the sAMAccountname in Username Attribute and the Windows Domain . Configuring the User UPN in Username Attribute and leave the Windows Domain empty. Do not configure the User UPN in the Username Attribute and the Windows Domain . Mapping Name : This is an optional field. Click on the Activate button. The configuration has been updated successfully. HIGH – Only one Kerberos user per Airlock Gateway session Ensure that only one Kerberos user is set without Mapping Name . In case that a different user should be propagated to a specific web application, define a Kerberos user with the Mapping Name (see Example). Further information and links Example (Ergon) Online Manual - Airlock IAM','Configure Airlock IAM for Web application´s','','')
Smc.XSearch.add('../data/1574686290040.html','Advanced Setup The following chapter describes some special use cases not covered by previous chapters. Chapter content Back-end Failover / Load Balancing','Advanced Setup','','')
Smc.XSearch.add('../data/1574686290042.html','Back-end Failover / Load Balancing This chapter describes how Back-side Kerberos SSO can be used together with back-end failover / load balancing. The configuration for back-end failover / load balancing is the same as for a single back-end server. The only difference is that the configuration must be valid for more than one back-end server. Depending on the web application installation at the customer’s site, one of the two setups described in chapter and might suit better. Chapter content Same Host Header / SPN Different Host Header / SPN','Back-end Failover / Load Balancing','','')
Smc.XSearch.add('../data/1574686290043.html','Same Host Header / SPN In this setup, the IIS website is running on both back-end servers under an application pool with the same application pool identity (Service User). This requires the following configuration: Requirements Title Component Requirement Comments Back-end configuration Both back-end servers run the web application with the same binding (they expect the same host header). The same service user is configured in the application pool identity on both back-end servers. KB - Verify Host Header sent corresponds to the IIS configuration Active Directory configuration The SPN is registered to the application pool identity The Kerberos System User is permitted to request Kerberos tickets for this SPN. Register SPN for the service user Allow Kerberos constrained delegation in a single domain setup Airlock Gateway configuration The Request Action (default) Translate Host Header is disabled. Possibly a Custom Translate Host Header Action is configured with a static value. Both back-end servers are configured in the same Back-end Group. KB - Verify Host Header sent corresponds to the IIS configuration','Same Host Header / SPN','','')
Smc.XSearch.add('../data/1574686290044.html','Different Host Header / SPN In this setup, the IIS website is running on both back-ends server under an application pool with either different application pool identities (Service User) or under the machine account. This requires the following configuration: Requirements Title Component Requirement Comments Back-end configuration Both back-end servers run the web application with a different binding (they expect a different host header). A different service user or the machine account is configured in the application pool identity on both back-end servers. KB - Verify Host Header sent corresponds to the IIS configuration Active Directory configuration Variant 1) The application pool runs under a service user (both servers use their own service user). Each back-end has their own SPN. The SPNs are registered to the dedicated service user. Variant 2) The application pool runs under the machine account. Each back-end has their own SPN. The SPNs are registered to the dedicated machine account. The Kerberos System User is permitted to request Kerberos tickets for all these SPNs. Variant 1) Register SPN for the service user Variant 2) Register SPN for the machine account Allow Kerberos constrained delegation in a single domain setup Airlock Gateway configuration The Request Action (default) Translate Host Header is enabled and there is no Custom Translate Host Header Action configured. This means that the host header is rewritten to the back-end server name in the Back-end Group. This also requires that the hostname is configured in the Back-end Group and not the IP address. Both back-end servers are configured in the same Back-end Group. KB - Verify Host Header sent corresponds to the IIS configuration','Different Host Header / SPN','','')
Smc.XSearch.add('../data/1567166011285_N5B800.html','Tips for troubleshooting In well-determined environments and with specific problem-solving instructions, troubleshooting can be an easy task. But outside such well-known and controlled situations, the following universal troubleshooting strategy can become very handy. Check if your problem or a similar case has already been described in one of this chapter´s troubleshooting articles first! 1. What exactly is the problem? Troubleshooting with strategy. Don´t start with fighting the symptoms! Get to the bottom of the problem: Go through the current situation. How should it work in theory? Sometimes it can be helpful to make a sketch of the situation. Make sure you fully understand the theory of what and why. If another person reports and describes the problem: Listen carefully, make notes. Find the who, what and when. Afterward, proceed with questions that either have a yes/no answer or can be quantified (how many times did something happen?). Once you got a grasp on the issue, try to repeat your understanding of the problem towards the other person. Make sure both of you have the same understanding of the problem. 2. Gather more details and eliminate variables Now that you have a basic understanding of what the issue is all about, you can look into technical details that could point you towards a solution. What has been changed or modified? Problems rarely come out of the blue. Check error messages and event logs. Do they tell you about the core problem, or merely about symptoms? Can you run diagnostic tests? Sometimes a simple ping , cat-command or other simple diagnostic tools can be helpful. 3. Reproduce the problem At that point, you have a fact-based idea or hypothesis, what the problem might be. Proof of concept: Try to reproduce the original problem. Recheck error messages and event logs. Do they match with the initial data, as expected? 4. Attempt a fix, based upon your findings The gathered evidence should now have narrowed down the possible root cause. Contact our Airlock Support, if you are facing a very complex situative problem or you suspect that a software bug is probably the root cause. Fix the problem: When the problem has more than one cause, start fixing the ones which do not interfere with others! Do it one by one and In between and after every fixing action: Run individual tests to see the effect of your actions. Check if the initial problem is still there and check for error message and event logs again. Problem solved? Prepare for future issues. Congratulations, you solved the problem! Now it´s time for some cleaning up and note downs. Describe the initial problem and how you solved it – step by step. Also, note down any glitches and aberrations you encountered. Those things can be very useful and speed up the next troubleshooting for you and others. If you think your findings and notes could be helpful for others and if you are willing to contribute, please send us an email . Thank you very much! D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Tips for troubleshooting','','autocomplete_use:true')
Smc.XSearch.add('../data/1574686290027.html','Testing and verification KB - Verify the Airlock Gateway license for Back-side Kerberos SSO Affects product Airlock Gateway Question or problem Verify that the required features are unlocked in the Airlock Gateway license. Procedure-related prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Test execution and verification: Go to: System Setup >> License . Verify the license allows the following: Number of Back-end Hosts : Sufficient for additional back-ends and Airlock IAM. Number of Sessions : Sufficient. Kerberos : on The license fulfills the requirements. In case of failure: Send an email to order@airlock.com to request a new license and activate it on Airlock Gateway . Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Verify the Airlock Gateway license for Back-side Kerberos SSO','','')
Smc.XSearch.add('../data/1595233449974.html','Testing and verification KB - Verify the domain and forest functional level Affects product Active Directory / Windows Server 2012 Question or problem Verify that the domain and forest functional level in Active Directory is Windows Server 2012 or higher. Procedure-related prerequisites You need to be logged in as a domain administrator on a domain controller. Instruction Test execution and verification: Go to: Administrative Tools >> Active Directory Users and Computers . In the left pane, right-click the root node for the domain. Then click Properties . In the left span, select the root node and click on Properties in the context menu. The domain functional level and the forest functional level is Windows Server 2012 or higher. In case of failure: Raise the domain functional level. Raise the forest functional level. Solution - Raise the domain functional level Go to: Administrative Tools >> Active Directory Users and Computers . In the left pane, right-click the root node for the domain. Then click Raise domain functional level in the Action menu. Select Windows 2012 or higher from the Select an available domain functional level dropdown box. Click OK . Solution - Raise forest functional level Go to: Administrative Tools >> Active Directory Domains and Trusts . In the left pane, right-click the Active Directory Domains and Trusts node (top element in the tree). Then click Raise Forest Functional Level... in the Action menu. Select Windows 2012 or higher from the Select an available domain functional level dropdown box. Click OK . HIGH – Kerberos authentication fails Raising the functional level cannot be undone. Check first if all Windows clients support the higher functional level. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! KB_01 Troubleshooting article KB_01 Troubleshooting article','KB - Verify the domain and forest functional level','','')
Smc.XSearch.add('../data/1574686290055.html','Troubleshooting KB - The delegation tab is not available Affects product Active Directory Question or problem The Delegation tab, which is used in Allow Kerberos constrained delegation in a single domain setup, is not available. Procedure-related prerequisites You need to run the commands with administrative permissions. Open PowerShell via Run as administrator . You need to be logged in as a domain administrator on a domain controller. Example values User logon name: srv-airlock-kerberos SPN: http/airlock-gateway-production Instruction Test execution and verification: Run the following commands: setspn -L srv-airlock-kerberos The output shows that the SPN http/airlock-gateway-production is registered to the system user. In case of failure: If no SPN is registered, follow along Enable Kerberos constrained delegation for the system user Verify the domain functional level Further information and links Enable Kerberos constrained delegation for the system user KB - Verify the domain and forest functional level Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - The delegation tab is not available','','')
Smc.XSearch.add('../data/1574686290052.html','Testing and verification KB - Access the back-end server directly Affects product Neutral Question or problem Verify whether the back-end works fine without Airlock Gateway in between. Procedure-related prerequisites Testing the back-end server directly only makes or is even possible if the following criteria are fulfilled: Direct network access from client to back-end server The client is able to sign in at the back-end. Either the client supports the configured authentication schemes (Basic Authentication, NTLM, Kerberos, ...) or a login form is presented. For a most meaningful test, a client accesses the website through Airlock Gateway with the same URL as Airlock Gateway the back-end. In other words, the internal URL is identically to the external URL. This finally means, that no rewriting is required to bring the web application up and running in front of Airlock Gateway . Additional prerequisites for a test with Kerberos: The client must be a member of the Active Directory domain. The client has network access to the Active Directory domain controllers. The test user is an Active Directory user. Instruction Test execution and verification: Use the web application the same way as through Airlock Gateway . The web application behaves the same way as through Airlock Gateway or differences are explainable. In case of failure: Resolve the issues in the back-end server. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! In case direct access from a client to the back-end server is possible, without Airlock Gateway in between, check whether the web site is accessible or not. If it works without Airlock Gateway , find the difference and try to solve it.','KB - Access the back-end server directly','','')
Smc.XSearch.add('../data/1668421865290.html','Troubleshooting KB - Look for Kerberos log messages Affects product Airlock Gateway Question or problem To investigate into Kerberos issues, start with the log messages described below. Procedure-related prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Test preparation on Airlock Gateway : Go to: Application Firewall >> Reverse Proxy . Edit the Web application´s mapping. Set the Operational mode to Integration. Click on the Activate button. The configuration has been updated successfully. Test preparation - reproduce the issue: After changing the Operational mode in Airlock Gateway to Integration, try to reproduce the issue. The issue could be reproduced. Test execution and verification: Go to: Log & Report >> Log Viewer . Click on Open to load saved searches. Select the saved search Logs - All Airlock Logs . Enter the search string below in the search field: log_id:(WR-SG-SUMMARY or WR-SG-REJECT* or WR-SG-CAPI* or WR-SG-KERB*) Start the investigation with this search string. Verify the following: There are no log messages with the log id WR-SG-SUMMARY the action below: rejected blocked There are no log messages with a log id starting with the names below describe a problem with Kerberos: WR-SG-REJECT WR-SG-KERB WR-SG-CAPI There are no log messages indicating a Kerberos problem. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Look for Kerberos log messages','','')
Smc.XSearch.add('../data/1574686290048.html','Troubleshooting KB - Inspect the Airlock Gateway session Affects product Airlock Gateway Question or problem Inspect which Kerberos Users are set by Airlock IAM for a certain session. Procedure-related prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Test execution and verification: Go to: Log & Report >> Session Viewer . Search for the user´s session, which should be impersonated and open the detail page. The section Kerberos Users lists the Kerberos users set by Airlock IAM. There are Kerberos users listed for the user´s session and they fit to the Active Directory domain. In case of failure: In case there are no or the wrong Kerberos Users listed, check the Airlock IAM configuration. Further information and links Configure Airlock IAM for Web application´s Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Inspect the Airlock Gateway session','','')
Smc.XSearch.add('../data/1574686290031.html','Testing and verification KB - Verify Host Header sent corresponds to the IIS configuration Affects product Neutral Question or problem Verify that the host header sent corresponds to the IIS configuration (as outlined in Register SPN) Procedure-related prerequisites Configuration takes place in Airlock Gateway . You must be logged in as an admin in the Airlock Gateway Configuration Center. You need to be logged in as an administrator. Configuration takes place in IIS web server. Instruction Test preparation in IIS 6.0: Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the left span, expand the Web Sites node tree. Select Default Web Site and click on Properties in the context menu. The instructions describe the required steps for the Default Web Site. Change to the Web Site tab. Click on Advanced . Ensure that the configuration in the Advanced Web Site Identification dialog is correct. Click on OK to close the configuration dialog. Test preparation in IIS 7.5, 8.5 and 10.0: Go to: Administrative Tools >> Internet Information Services (IIS) Manager In the Connections span, expand the Sites node tree. In the Connections span, select the Default Web Site and click on Edit Bindings... in the context menu. The instructions describe the required steps for the Default Web Site. Ensure that the configuration in the Site Bindings dialog is correct. Click on OK to close the configuration dialog. Test execution and verification: Go to: Application Firewall >> Reverse Proxy and edit the mapping of the web application for which Back-side Kerberos SSO should be used. Switch to tab Request Actions and check the configuration for (default) Translate Host Header . The rewritten Host Header matches the IIS configuration. In case of failure: Adapt the IIS or Airlock Gateway configuration. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Verify Host Header sent corresponds to the IIS configuration','','')
Smc.XSearch.add('../data/1668421865292.html','Testing and verification KB - Does the back-end server accept Kerberos Affects product Neutral Question or problem Verify that the back-end accepts Kerberos. Send an HTTP request Procedure-related prerequisites You need to be logged in as root on the Airlock Gateway console. Ensure that the back-end server is configured for Kerberos. Instruction Test preparation: Run the following commands: curl -v -k https://webapp.int.virtinc.com/ Test execution and verification: Check the curl output. The HTTP response contains a header WWW-Authenticate: Negotiate In case of failure: Check the back-end server is configured properly. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Does the back-end server accept Kerberos','','')
Smc.XSearch.add('../data/1668421865442.html','Troubleshooting KB - Verify the Back-side Kerberos SSO Setup Affects product Airlock Gateway Question or problem Verify the Kerberos configuration on Airlock Gateway , the Active Directory domain controller and the back-end server with the test program. Procedure-related prerequisites You need to be logged in as root on the Airlock Gateway console. Example values Kerberos Environment: int.virtinc.com-ch Kerberos user: test1@int.virtinc.com SPN: http/webapp.int.virtinc.com Internal URL: https://webapp.int.virtinc.com Instruction Test execution and verification: Run the following commands: airlock-test-kerberos -v -e int.virtinc.com-ch test1@int.virtinc.com HTTP/webapp.int.virtinc.comhttps://webapp.int.virtinc.com The test program stops in case of errors occur. Verify the following: When running airlock-test-kerberos with the internal URL, the HTTP response code is not 401. The test program runs through without any problems. The verification steps from the above were successful. In case of failure: Analyze the output of the test program and verify the settings on all involved systems.','KB - Verify the Back-side Kerberos SSO Setup','','')
Smc.XSearch.add('../data/1574686290051.html','Troubleshooting KB - Verify time synchronization Affects product Airlock Gateway Airlock IAM Active Directory domain controller Back-end server Question or problem Verify that the time is in sync on all involved systems. Kerberos has strict timing requirements. If the time is out of sync, authentication may fail. Instruction Test execution and verification: Verify that the time is in sync on the following systems: Airlock Gateway Airlock IAM Active Directory domain controllers Back-end server The time is in sync on all systems above. In case of failure: Configure an NTP server on the systems to ensure that the time will not be out of sync after a while. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Verify time synchronization','','')
Smc.XSearch.add('../data/1574686290053.html','Troubleshooting KB - Delayed response from configured domain controllers Affects product Airlock Gateway Question or problem It takes very long for Airlock Gateway to receive the Kerberos ticket. Airlock Gateway requests the Kerberos ticket from the configured domain controllers. It proceeds the comma-separated list from left to right. In case a domain controller is down, Airlock Gateway tries to reach the next one after a timeout. This behavior causes delays when requesting Kerberos tickets. Instruction Test preparation: Go to: System Setup >> Network Services Check in the affected Kerberos Environments the configured Domain Controllers . Test execution and verification: Verify the following: All domain controllers are fully operational. All domain controllers are reachable (no network issues). The verification steps from the above were successful. In case of failure: Ensure that all configured domain controllers are fully operational and reachable for Airlock Gateway . As a temporary workaround, remove the domain controller in bad status from the Gateway configuration. Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Delayed response from configured domain controllers','','')
Smc.XSearch.add('../data/1574686290056.html','Troubleshooting KB - Broken authentication in back-end Affects product IIS webserver Airlock Gateway Question or problem The IIS web server recognizes the user under a different identity. It looks like user identities are mixed up. Instruction Test execution and verification: Verify the following: Airlock IAM sets the correct Kerberos user to propagate to the back-end server. The configuration to Mitigate the risk of broken authentication has been done. The verification steps from the above were successful. In case of failure: Apply the referred links. Further information and links KB - Inspect the Airlock Gateway session Mitigate the risk of broken authentication Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Broken authentication in back-end','','')
Smc.XSearch.add('../data/1604477077674.html','Troubleshooting KB - Verify the DNS configuration for Back-side Kerberos SSO Affects product Airlock Gateway Question or problem Airlock Gateway requests Kerberos tickets on behalf of a user from the Active Directory domain controllers. In a cross-domain setup, multiple domain controllers could be involved. With DNS requests Airlock Gateway figures out the correct domain controller to request the Kerberos ticket. This requires that Airlock Gateway has a DNS server configured which can resolve the DNS SRV requests to determine the appropriate Active Directory domain and domain controllers. Procedure-related prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Instruction Test preparation: Go to: System Setup >> Network Services . Test execution and verification: Verify the following: The configured DNS server resolves the DNS SRV requests. Run the tool airlock-test-kerberos with the parameter -v and test with the involved user, system user and back-end. The output shows that the DNS requests could be resolved. An example of a successful response is shown below: Sending DNS SRV query for _kerberos._udp.INT.VIRTINC.COM. SRV answer: 0 100 88 "srv-dc1.int.virtinc.com." Sending DNS SRV query for _kerberos._tcp.INT.VIRTINC.COM. SRV answer: 0 100 88 "srv-dc1.int.virtinc.com." Resolving hostname srv-dc1.int.virtinc.com. Resolving hostname srv-dc1.int.virtinc.com. The verification steps from the above were successful. In case of failure: Ensure that the configured DNS server can resolve the DNS SRV requests to determine the appropriate Active Directory domain and domain controller. Either configure another DNS server or ensure that the required DNS records are available in the DNS server. Further information and links KB - Verify the Back-side Kerberos SSO Setup Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Verify the DNS configuration for Back-side Kerberos SSO','','')
Smc.XSearch.add('../data/1574686290054.html','Troubleshooting KB - Network analysis for Back-side Kerberos SSO Affects product Airlock Gateway Question or problem Although everything seems to be configured correctly, Back-side Kerberos SSO does not work. A deeper analysis of the network is required to see which packets are sent and received by Airlock Gateway . Procedure-related prerequisites You need to be logged in as root on the Airlock Gateway console. Instruction Test preparation: Record a tcpdump on Airlock Gateway containing the following traffic: Kerberos (port 88 ) from and to the Active Directory domain controllers. HTTP and HTTPS from and to the back-end server. The article Network traffic tracing using tcpdump and TShark/Wireshark describes how to record a tcpdump on Airlock Gateway . Ensure that Airlock Gateway is configured to record the SSL keys as well, in order to decrypt the SSL/TLS traffic later on. Otherwise, an analysis might be impossible. Test execution and verification: Open the recorded tcpdump in Wireshark. Configure Wireshark to use the SSL key log file to decrypt the traffic. Verify the following: The HTTP request sent to the back-end contains a Kerberos ticket for the correct SPN. The HTTP request sent to the back-end contains the correct host header. There are no obvious Kerberos problems in the tcpdump. Search in Airlock Gateway for suspicious log entries. Match them by using the WR-SG-CONNTRACE log message to the corresponding packets in the tcpdump. The verification steps from the above were successful. In case of failure: Kerberos tickets with the error KRB5KRB_ERR_GENERIC are in the tcpdump could indicate a timing synchronization. Further information and links Internal links: Network traffic tracing using tcpdump and TShark/Wireshark KB - Look for Kerberos log messages KB - Verify time synchronization Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much!','KB - Network analysis for Back-side Kerberos SSO','','')
Smc.XSearch.add('../data/1597849681051.html','External sources KB - How to enable Kerberos event logging Question or problem Further information about how to enable Kerberos event logging for the Windows event log. External links (Microsoft) How to enable Kerberos event logging Outdated links or content? In case of outdated links or bad content, please let us know by sending an email with a short description of your findings. Thank you very much! Disclaimer The following knowledge base article makes use of links to external websites of third parties, over which the Ergon AG has no influence. Therefore, Ergon AG can in no way be held liable for the content of third party content. Contents of the linked websites are the sole responsibility of the respective owner. At the time of linking the website, the site was examined for possible legal infractions. At the time of linkage, there was no knowledge of illegal content. Constant review of content of the linked websites is impractical and Ergon cannot be held liable for any legal violations therein. At first knowledge of such legal violations, the links to such websites will be immediately removed.','KB - How to enable Kerberos event logging','','')
Smc.XSearch.add('../data/1621543221673.html','Operation tasks Tasks to maintain and improve the operation This chapter contains a selection of tasks regarding general operational issues. This comprises automatic backup tasks, SSH login, user administration via shell script etc. Chapter content Working with Airlock Anomaly Shield dashboards Airlock Gateway failover cluster upgrade with full system installation Airlock Gateway Configuration Center access via IAM Automatic configuration backup with SCP System backup/restore via the Airlock Gateway admin menu or scripts Client connection handling keepalive using the Apache MPM module instead of the Apache HTTP Server Configure automatic updates for the geolocation database Increasing the Java heap space for Configuration Center Tomcat and the Airlock management agent Logs and diagnostics List of frequent events SSH login with public/private key authentication','Tasks to maintain and improve the operation','','')
Smc.XSearch.add('../data/1726159384774.html','Anomaly Shield dashboards Working with Airlock Anomaly Shield dashboards After installation/upgrade of Airlock Gateway, the GATEWAY Anomaly Shield and GATEWAY Offender Overview dashboards with Airlock Anomaly Shield (AAS)-related lenses are available in Submenu – Log Viewer. This article contains basic information about the use of these dashboards and their lenses. Dashboard Lenses GATEWAY Anomaly Shield AAS sessions assessment AAS IP aggregates AAS total of evaluated sessions AAS attack heatmap AAS False Positive candidates AAS Top offender candidates GATEWAY Offender Overview AAS potential offender behavior over time AAS entry path client error AAS entry path server error Note that you can narrow the scope of the dashboards by filtering on respective mapping using a KQL filter. Lens – AAS sessions assessment This lens shows all unique sessions in green against sessions with an IP block induced by Airlock Anomaly Shield. Description: All Sessions include sessions from all mappings. This also includes sessions from mappings that Airlock Anomaly Shield does not protect. All Sessions include sessions that are too short to be evaluated by Airlock Anomaly Shield (by default, sessions with less than 15 requests). Anomalous sessions have at least one Airlock Anomaly Shield IP block. Lens – AAS IP aggregates This lens shows the occurrence of IP blocks for traffic which is analyzed using IP aggregation. Description: The visualized count is not unique – a single IP can produce several Airlock Anomaly Shield IP blocks. However, this graph is a useful indication of either an excessive attack from one IP or simultaneous attacks from several IP. Lens – AAS total of evaluated sessions This lens shows the overall distribution of normal and malicious sessions. Description: Malicious sessions are shown in orange. Good sessions are shown in green. Note that the graph also includes good sessions from mappings that Airlock Anomaly Shield does not protect. The traffic can be narrowed down to single mappings. This allows you to check which of the mappings is more relevant for attackers. Lens – AAS attack heatmap This lens shows a breakdown of mappings and triggers. Description: This graph indicates which mapping (y-axis) might be at a high risk of attack. The triggers (x-axis) represent the triggers as configured for your specific applications. Lens – AAS False Positive candidates This lens shows potential false-positive candidates. For further session analyses, you can call up Show details in the context menu. Description: False Positives are sessions that have none or a low count of blocked and/or bad requests, yet are still flagged as anomalous by Airlock Anomaly Shield. In our example screenshot, all false-positive candidates have the suspicious session trigger activated and can be considered harmless bots. Depending on your trigger configuration, the number of table columns might vary. As a rule of thumb, the more strict the triggers are, the fewer false-positive results can be expected. Lens – AAS Top offender candidates This lens shows the most notorious attackers you should consider to put on the IP Blacklist. For further session analyses, you can call up Show details in the context menu to inspect a specific IP even further. Description: The AAS blocks column refers to the number of IP blocks triggered by the respective IP. Note, that an attacker with a blocked IP will still most likely try to send requests, which will result in HTTP Status 503 , as the backend would not be reachable for the attacker. The Bad HTTP code column refers to HTTP status codes for client-side (40x ) and server-side (50x ) errors. The Bot Check Fails column refers to the Bot Management feature, which enforces the reflection of the assigned cookie. Normal session and bots respecting cookies would have 1-2 bot checks. A high number indicates a bot that does not respect cookies. Lens – AAS potential offender behavior over time This lens shows the count of HTTP status over time separating good/bad response and AAS evaluation. Description: HTTP requests with 20x and 30x status codes in green. These are heuristically considered as good requests HTTP requests with 40x and 50x status codes in orange. These are heuristically considered as bad requests Red vertical bars represent Airlock Anomaly Shield IP blocks. Lens – AAS entry path client error This table shows requests with client error HTTP response codes 40x . This overview helps to find out, whether the client tried to access dead links, unauthorized content, or forcefully browsed your application. Lens – AAS entry path client error This table shows requests with server error HTTP response codes 50x . After Airlock Anomaly Shield blocks a client IP, all requests from this IP will respond with 503 status code for the duration of the IP block. This overview helps you to understand, how the client reacts to the IP block. Further information and links Internal links: Submenu – Log Viewer Section – IP Blacklist Tab – Bot Management','Working with Airlock Anomaly Shield dashboards','','')
Smc.XSearch.add('../data/1648621057096.html','Cluster upgrade with full installation Airlock Gateway failover cluster upgrade with full system installation The following procedure describes how to upgrade an Airlock Gateway cluster in a production environment, with minimized downtime. This may be required if it is not possible to update the Airlock Gateway installation of the nodes, e.g. if an upgrade to a new major version of Airlock Gateway requires a complete reinstallation of the nodes. With Airlock Gateway 8.0, the underlying OS has changed from CentOS to AlmaLinux 9. Thus, upgrading cluster nodes from Airlock Gateway 7.x to 8.x therefore requires full installation. Due to a change in the health check URL, an active/active situation can occur in a mixed 7.8 and 8.0 cluster. To avoid this situation, upgrade the cluster as follows. With a failover cluster with the nodes Alice and Bob running on the same Airlock Gateway 7.x version, take Alice offline. Bob will take over the traffic using the old health check URL. Install Airlock Gateway 8.x on Alice Switch node Alice back online. At this point, Alice and Bob have different health check URLs and Bob must be manually switched offline promptly. Install Airlock Gateway 8.x on Bob and switch Bob online again. Both nodes share the new health check URL and the failover functionality is restored. For standard update procedure, see Section – Updates. A functional Airlock Gateway cluster consists of two different nodes, one active and one passive node. Under normal operating conditions, both nodes are online (attached to the cluster) with the active node handling the traffic and the passive node performing health checks (see drawing). The current working state of a node is displayed in the upper left corner of the Airlock Gateway Configuration Center and can assume: Active – the node is online and handling the traffic. Passive – the node is online and performing health checks on the active node, ready to take over the traffic if the Active node fails. Offline – the node is not attached to the cluster. In this state, the node is neither Active nor Passive. If Airlock Anomaly Shield is enabled on your system, be sure to back up the ColdDB data using the Copy command before performing an Airlock Gateway system upgrade. It may be necessary to re-train the machine learning models of the upgraded Airlock gateways based on the ColdDB data. See also Release notes. Procedure summary: We will start with upgrading the passive node Bob (see Part 1 ), so that the traffic is handled by the active node Alice without interruption. After upgrading node Bob with the new Airlock Gateway release, Bob has to be synchronized (see Part 2 ) with the active node Alice. This prepares Bob to take over the traffic from Alice. In Part 3 , Alice will be set offline (detached from the cluster), causing the upgraded and synchronized node Bob to take over the traffic. In Part 4 we upgrade node Alice and import Bob´s cluster configuration. Finally, the cluster configuration must be applied to both updated nodes (see Part 5 ). After Alice is set back online, Alice enters the passive state and the full cluster functionality is restored. Prerequisites An Airlock Gateway cluster is configured and is fully functional. Part 1 – Upgrading node Bob Goals in this section: Export and save Bob´s current node configuration and SSH keys. Bring Bob offline (that detaches the node from the cluster). Alice stays active and handles the traffic. Reinstall Airlock Gateway on node Bob and import Bob´s old configuration. Export and save Bob´s node configuration and SSH keys for later use. Log in to the Airlock Gateway Configuration Center on the node Bob. Go to: Configuration >> Configuration Files In the section Export current configuration , tick Include sensitive data such as private keys and passphrases and export and save the configuration. Go to: System Setup >> System Admin In the section System Control , click the Offline button to detach Bob from the cluster. Bob´s State changes to Offline. Alice remains active and handles the traffic. All back-end applications are still available. Install the new Airlock Gateway release on Bob. Wait until the installation has finished. The system reboots automatically and starts up all services. After reboot, go to: System Setup >> System Admin In the section System Control , click the Offline button. Deploy add-on modules if necessary. Go to: Configuration >> Configuration Files In the section Import a configuration , click the Import button to import the saved configuration from step 2. Resolve errors if necessary. Activate the configuration and add a comment like Full installation upgrade. After activating the configuration, Bob´s State remains Offline (detached from the cluster), as configured in step 7. Go to: Configuration >> Configuration Files In the section Export current configuration , tick Include sensitive data such as private keys and passphrases to export and save Bob´s new configuration from the upgraded system. Bob is upgraded to the latest Airlock Gateway release and is preconfigured as a cluster node, but offline (detached from the cluster). Part 2 – Synchronize the session store, to upgrade without losing active sessions If no seamless cluster upgrade without session loss is intended, this section may be skipped and continued with Part 3 . Goals in this section: Copy the new SSH public key from the reinstalled node Bob to node Alice. Bring node Bob online in the cluster again. The cluster synchronization is performed automatically. Log in to Bob node via SSH. Copy Bob´s SSH public key to Alice using ssh-copy-id Alice . Now both nodes store the SSH keys to securely communicate with each other in the cluster. On Bob, log in to the Airlock Gateway Configuration Center. The banner saying Cluster partner node ´Alice´ not reachable should disappear within a minute – a page refresh is required to update the banner status. Go to: System Setup >> System Admin In the section System Control , click the Online button to bring Bob online (attach him to the cluster). Node synchronization starts automatically. Alice continues to handle the traffic. All back-end applications are still available. Search Bob´s logs for the event EVENT_SY-H-DBSYNC-OK . With the EVENT_SY-H-DBSYNC-OK message, both nodes are synchronized. Bob´s State changes to Passive. Part 3 – Switch traffic between the nodes Goals in this section: Make sure node Bob is online in the cluster. Bring node Alice offline (detach it from the cluster). Bob will get active and take over the traffic from Alice. In the Configuration Center of node Bob, check that the State is Passive. If Bob´s status is Offline, go to: System Setup >> System Admin >> section System Control Click the Online button to bring the node online (attach it to the cluster). Node synchronization starts automatically. Bob´s State changes to Passive. Change to the Configuration Center of node Alice and go to: System Setup >> System Admin In the section System Control , click the Offline button to detach Alice from the cluster. Alice´s State changes to Offline. With Alice being offline in the cluster, Bob takes over the traffic without loss. Check that Bob works properly and handles the traffic, i.e. that all back-end applications are available. Check dashboard and logs if required. Node Alice is in Offline state and ready for the system upgrade. Node Bob´s state changed to Active, handling the traffic. Part 4 – Upgrading node Alice Goals in this section: Reinstall Airlock Gateway on node Alice. After installation, set Alice offline (detach the node from the cluster). Import Bob´s configuration to Alice. With this import, node Alice has a complete cluster configuration including the set of SSH keys and the cluster IP configuration. Export the configuration of node Alice. Install the new Airlock Gateway release on node Alice. Wait until the installation has finished. The system reboots automatically and starts up all services. In Alice´s Configuration Center, go to: System Setup >> System Admin In the section System Control , click the Offline button to disconnect Alice from the cluster. Bob remains in Active state and handles the traffic. All back-end applications are still available. Deploy add-on modules if necessary. Go to: Configuration >> Configuration Files In the section Import a configuration , click the Import button to upload and import Bob´s latest configuration. Resolve errors if necessary. Activate the configuration and add a comment like Full installation upgrade. After activating the configuration, Alice´s State remains Offline (detached from the cluster), as configured in step 3. Alice now has a complete cluster configuration including Bob´s SSH key and IP failover settings. Go to: Configuration >> Configuration Files In the section Export current configuration , tick Include sensitive data such as private keys and passphrases to export and save Alice´s configuration. Log out from the Airlock Gateway Configuration Center. Alice upgrade and cluster configuration are finished. Alice is in Offline state. Part 5 – Complete the cluster setup Goals in this section: Import Alice´s complete configuration to node Bob, so that both nodes share the same configuration. Activate Bob´s configuration and remotely distribute it to Alice. The cluster synchronization is performed automatically. At this point, the cluster upgrade is complete. Node Bob is in Active state, node Alice in Passive state and both nodes share a complete cluster configuration. In this section, the configuration of the upgraded active node (see Part 4, step 9) will be reused. In the Configuration Editor of (the active) node Bob, go to: Configuration >> Configuration Files In the section Import a configuration , click the Import button to upload and import Alice´s configuration file. Activate the configuration on both nodes. Therefore choose the Activate on ´Bob´ and ´Alice´ radio button on the activation pop-up. The banner saying Cluster partner node ´Alice´ not reachable should disappear within a minute (do a page refresh). Cluster synchronization is performed automatically. Check that node Bob works properly and continues to handle the traffic. Check dashboard and logs if required. In the Configuration Center of node Alice, go to: System Setup >> System Admin In the section System Control , click the Online button to bring Alice online (attach the node to the cluster). The cluster synchronization starts automatically. Alice´s State changes to Passive. The cluster upgrade is now complete. Both nodes have been upgraded to the latest release and a fully functional cluster configuration has been activated (see drawing). Further information and links Internal links: Airlock Gateway failover setup for on-premises installations Clustering, load-balancing, and failover scenarios for Airlock Gateway setups','Airlock Gateway failover cluster upgrade with full system installation','','')
Smc.XSearch.add('../data/1635400835116.html','Configuration Center access via IAM Airlock Gateway Configuration Center access via IAM Access to the Airlock Gateway Configuration Center requires proper authentication for security reasons. With Airlock Gateway 7.7 the authentication options have been extended so that Airlock IAM can be configured as the access management and identity provider for the Airlock Gateway Configuration Center, offering the latest Airlock IAM authentication methods. When using Airlock IAM for access management, the local Airlock Gateway users can be removed to improve security. However, for fallback and emergency situations e.g. in the case the IAM is down, a local user with the role airlock-admin could be required. See also Emergency access and troubleshooting. The Airlock IAM and Airlock Gateway instance should be time-synchronized i.e. using NTP. About the configuration examples In the examples, we use the following example hostnames: gw.example.com – the management access hostname for the Airlock Gateway Configuration Center. iam.example.com – the Airlock IAM in charge of access and identity management to the Airlock Gateway Configuration Center. There are two ways to configure Gateway Configuration Center access via IAM : Configure Airlock IAM access management using URL parameters (recommended) Configure IAM access management using cookies (alternative) JWT format Airlock Gateway Configuration Center accepts encrypted and signed JWT types for authentication. Supported signatures: A256CBC_HS512 HS512 The JWT can be delivered in a cookie or as an URL parameter and requires the following claims: subject – the username can only contain characters from A-Z, a-z, numbers from 0-9 and the special characters ´@´ , ´.´ , ´-´ and ´_´ roles – an array of one or more roles e.g. airlock-administrator exp – the expiration time in seconds for the JWT Choose a low expiration time value of i.e. 10s – long enough to cover typical latencies but short enough to effectively prevent token misuse. KB_02 Special configurations article KB_02 Special configurations article','Airlock Gateway Configuration Center access via IAM','','')
Smc.XSearch.add('../data/1644518923471.html','URL param. configuration (recommended) Configure Airlock IAM access management using URL parameters (recommended) This configuration example refers to the Airlock IAM JSP-Loginapp . Configure a new Target Application using Identity Propagator in Airlock IAM : Recommended:To avoid log spam due to roles that are not used in Airlock Gateway, add the role processing according to the screenshot. Configure an SSO Ticket Identity Propagator : Configure a Mapping Ticket Service : Configure the JWT Ticket Encoder . Set HS_512 as algorithm for Signer in JWT Ticket HMAC Settings . Set A256CBC_HS512 as algorithm for Encrypter in JWT Ticket Direct AES Encryption Settings . Set Claims Stored As Array to roles. For both Signer and Encrypter, the content of /opt/airlock/custom-settings/mgt-auth/jwt-secret of the corresponding Airlock Gateway must be used as the passphrase. If multiple Gateway s are to be connected via this IAM , the file must be identical on all Gateway s. The jwt-secret file can be copied from one Gateway to all other Gateway s. Configure two new Allowed Forward Location Patterns in Loginapp >> Security Settings : https://iam\\.example\\.com:8443/auth-login/check-login\\?Location=https%3A%2F%2Fgw\\.example\\.com%2Fairlock%2Falec_security_check https://gw\\.example\\.com/airlock/alec_security_check Airlock IAM is now prepared to act as the identity provider for the Gateway Configuration Center. On Airlock Gateway , adapt the Gateway hostname, IAM hostname, and IAM instance in the Airlock Gateway properties file below as user root. /opt/airlock/custom-settings/mgt-tomcat/java-options.properties IAM_HOST=iam.example.com:8443 IAM_INSTANCE=auth GATEWAY_HOST=gw.example.com  JAVA_OPTS="${JAVA_OPTS} -Dmgt.auth.logout.url=https://${IAM_HOST}/${IAM_INSTANCE}-login/logout?Location=https%3A%2F%2F${IAM_HOST}%2F${IAM_INSTANCE}-login%2Fcheck-login%3FLocation%3Dhttps%253A%252F%252F${GATEWAY_HOST}%252Fairlock%252Falec_security_check -Dmgt.auth.assertion.transport=parameter" Restart the Airlock Gateway Configuration Center: systemctl restart airlock-mgt-tomcat Access to the Configuration Center using JWT in a parameter now managed by Airlock IAM .','Configure Airlock IAM access management using URL parameters (recommended)','','')
Smc.XSearch.add('../data/1644518923473.html','Cookie configuration (alternative) Configure IAM access management using cookies (alternative) This configuration example refers to the Airlock IAM JSP-Loginapp . Using local admin-users for emergency login is not possible with this type of configuration. Direct access to the Airlock Gateway Configuration Center with local admin-users requires URL parameter configuration. Configure a new Target Application using Identity Propagator in Airlock IAM : Recommended: To avoid log spam due to roles that are not used in Airlock Gateway, add the role processing according to the screenshot. Configure a Cookie Ticket Identity Propagator : Configure a Mapping Ticket Service : Configure the JWT ticket encoder. Set HS_512 as Signer algorithm. Set A256CBC_HS512 as Encrypter algorithm. Set Claims Stored As Array to roles. For both Signer and Encrypter, the content of /opt/airlock/custom-settings/mgt-auth/jwt-secret of the corresponding Airlock Gateway must be used as the passphrase. If multiple Gateway s are to be connected via this IAM , the file must be identical on all Gateway s. The jwt-secret file can be copied from one Gateway to all other Gateway s. Configure two new Allowed Forward Location Patterns in Loginapp >> Security Settings : https://iam\\.example\\.com:8443/auth-login/check-login\\?Location=https%3A%2F%2Fgw\\.example\\.com%2Fairlock%2Falec_security_check https://gw\\.example\\.com/airlock/alec_security_check Airlock IAM is now prepared to act as the identity provider for the Airlock Gateway Configuration Center. On Airlock Gateway , adapt the Gateway hostname, IAM hostname, and IAM instance in the Airlock Gateway properties file below as user root. /opt/airlock/custom-settings/mgt-tomcat/java-options.properties IAM_HOST=iam.example.com:8443 IAM_INSTANCE=auth GATEWAY_HOST=gw.example.com  JAVA_OPTS="${JAVA_OPTS} -Dmgt.auth.logout.url=https://${IAM_HOST}/${IAM_INSTANCE}-login/logout?Location=https%3A%2F%2F${IAM_HOST}%2F${IAM_INSTANCE}-login%2Fcheck-login%3FLocation%3Dhttps%253A%252F%252F${GATEWAY_HOST}%252Fairlock%252Falec_security_check -Dmgt.auth.assertion.transport=cookie" Restart the Airlock Gateway Configuration Center: systemctl restart airlock-mgt-tomcat Access to the Configuration Center using JWT in a cookie is now managed by Airlock IAM .','Configure IAM access management using cookies (alternative)','','')
Smc.XSearch.add('../data/1644518923475.html','Emergency access and troubleshooting Emergency access to the Airlock Gateway Configuration Center When access management and identity provisioning with URL parameter is configured, direct access to the local Authentication Center login page is still possible for local Gateway users. This might be used in fallback and emergency situations e.g. in the case Airlock IAM is down. Use the URL /auth/login of Airlock Gateway , in a browser https://gw.example.com/auth/login . The login page of the Airlock Gateway Configuration Center appears. Use a local user e.g. with the role airlock-admin to log in. Access to the Configuration Center is granted. Note that after failing login attempt or after pressing the Airlock Gateway Configuration Center logout button, the request will be redirected to the Airlock IAM loginpage. You will have to re-enter the URL /auth/login to log in again. Troubleshooting If Airlock Gateway returns the error page Sorry for the inconvenience during login, the following reasons are possible: Airlock Gateway configuration management roles are missing in the identity provisioning process. The HMAC and/or the encryption key in Airlock IAM does not match the JWT secret in Airlock Gateway. Only one role is propagated, but Claims Stored As Array for roles is not configured in the JWT Ticket Encoder.','Emergency access and troubleshooting','','')
Smc.XSearch.add('../data/1578554521155.html','Automatic configuration backup Automatic configuration backup with SCP Whenever you activate a configuration in the Airlock Gateway configuration center, Airlock Gateway will automatically save this configuration as backup in /home/log/configuration/airlock-conf_without-keys.zip. The following steps describe how to setup an automatic backup of the Gateway configuration using a readonly user and scp. Create a readonly shell user: USERNAME=log_user useradd -d /home/log/ -s /bin/bash -c "read-only console user" -K MAIL_DIR=/dev/null -G log $USERNAME passwd $USERNAME If you want to grant access with a ssh key, the user "root" must add the public key of the login user to /home/log/.ssh/authorized_keys . Do not change the permissions of this file! Download the Configuration: Go to your backup server and use the following command to download the current activated configuration. By adding the date to the filename, you can run the command with a script once per day without overwrite previous versions. scp log_user@airlockhost:/home/log/configuration/airlock-conf_without-keys.zip /<backupdir>/airlock-conf_without-keys-`date -I`.zip','Automatic configuration backup with SCP','','')
Smc.XSearch.add('../data/1659430051219.html','System backup/restore System backup/restore via the Airlock Gateway admin menu or scripts The Airlock Gateway admin menu and built-in backup scripts allow to: Back up all your custom settings for fast disaster recovery after a re-install on the same host. Migrate custom settings to a newly installed system of the same version as the backup file was created for. The new system should have at least the same or better technical specifications, e.g. same or bigger disk and RAM size, same interface names, etc. There might be host-specific settings that cannot be migrated to a new host (e.g. if MAC addresses differ). Note that this type of backup does not replace an external backup of the configuration history. It also does not cover failover clusters, each cluster node must be backed up separately e.g. before performing a cluster upgrade. System Backup menu page The following instruction uses the Airlock Gateway admin menu interface. Log in via ssh as user menu to access the Airlock Gateway admin menu . Choose 1) System Management >> 6) System Backup to go to the following menu screen: Airlock Gateway 8.0 STANDALONE System Backup ================= 1) Backup 2) Restore 3) Edit configuration 4) Enable daily cron job b) Back to Main Menu q) Quit Your choice? Choose the type of action: Select 1) Backup to create a backup file in /home/backup/backup.tar.gz . Select 2) Restore to restore a backup from /home/backup/backup.tar.gz . This will trigger a reboot after completion. Select 3) Edit configuration to configure which files and directories to include in the system backup. Note that some directories are excluded by default, such as /tmp/ , /var/tmp/ , /proc/ , /run etc. Select 4) Enable daily cron job to create automated backups. When enabled, the job runs daily at 01:00. After you have made your changes, select q) Quit to exit the menu. Backup and restore using built-in scripts If you don´t want to use the Airlock Gateway admin menu interface you can also trigger the backup and restore with the scripts below. Note that using these scripts requires root access. /opt/airlock/base/bin/airlock-backup /opt/airlock/base/bin/airlock-restore Download backup files with scp Backup files that have been created using the Airlock Gateway admin menu interface can be downloaded with the predefined non-root technical user backup . This user has no password defined by default. You can however use /home/backup/.ssh/authorized_keys to store your technical SSH public key. To retrieve the backup file use: scp -i ~/.ssh/id_airlock backup@airlock:/home/backup/backup.tar.gz . Make sure to save the file somewhere secure. Further information and links Introduction to the About the Airlock Gateway admin menu Airlock Gateway failover cluster upgrade with full system installation A_01 Action module (standard) A_01 Action module (standard)','System backup/restore via the Airlock Gateway admin menu or scripts','','autocomplete_use:true')
Smc.XSearch.add('../data/1621543155317.html','Client connection handling keepalive Client connection handling keepalive using the Apache MPM module instead of the Apache HTTP Server Airlock Gateway uses Apache HTTP Server as the web acceptor for incoming HTTP connections. By default, the Apache MPM module is used for request processing. In rare cases, this module can cause problems in environments with high loads in combination with special clients. This article describes when switching to the Apache MPM module should be considered. Causes or possible causes The Apache MPM module defines how client connections and requests are processed by the system regarding thread-, process- and event models. The MPM event module handles some connections in an asynchronous way and is the best fit and therefore the default module for most Airlock Gateway setups. In some cases, the module terminates active HTTP keep-alive connections which could cause problems in combination with special clients. Known errors and solutions If you observe one of the following problems, we recommend testing whether the problem is mitigated by switching to the Apache MPM worker module. Potential problems: Connection problems under high load when NTLM passthrough is used. NTLM relies on consecutive HTTP requests that are performed on a stable TCP connection. Termination of them due to lack of resources can cause problems. Connection problems under high load in combination with HTTP clients not being able to handle premature closing of HTTP keep-alive connections. Common browsers are not affected. Additional information Switching from MPM event to MPM worker module may introduce other drawbacks and should only be done when measures like fixing the HTTP client to deal with TCP connection reestablishment can not be applied. How to enable the Apache MPM Worker module: The following global Apache Expert has to be configured: Define USE_MPM_WORKER Activate the configuration. After activation, the Apache MPM worker module is active. KB_01 Troubleshooting article KB_01 Troubleshooting article','Client connection handling keepalive using the Apache MPM module instead of the Apache HTTP Server','','')
Smc.XSearch.add('../data/1603110400591.html','Automatic geolocation db updates Configure automatic updates for the geolocation database By default, the Gateway s preinstalled geolocation database (GeoIP) will not be updated automatically. Because geolocation information may change over time, we recommend configuring automatic updates. The preinstalled GeoIP database depends on the installed Airlock Gateway release: Airlock Gateway 7.0–7.4 uses GeoLite2 data created by MaxMind. Airlock Gateway 7.5 and later uses IP to City Lite data created by DB-IP. Every Gateway release itself includes the latest set GeoIP data. GeoLite2 and IP to City Lite by comparison The latest MaxMind End User License Agreement (EULA) for GeoLite2 stipulates regular database updates every 30 days while IP to City Lite by DP-IP does not. Since Airlock Gateway does not have automatic updates enabled by default, we have chosen IP to City Lite as the standard for Airlock Gateway 7.5 and later. However, Gateway 7.5 still comes with the MaxMind update tool (update-settings.sh ) installed. When enabling GeoIP updates in Gateway 7.5, the GeoLite2 database will replace IP to City Lite . Procedure-related prerequisites Geolocation filtering is configured. You need to be logged in as root on the Airlock Gateway console. A login account must be registered with MaxMind, the provider of the geolocation data. Before enabling automatic database updates, you need to create a MaxMind account and accept the GeoLite2 End User License Agreement . A MaxMind account ID and license key must be available. Enable automatic updates of geolocation data for GeoLite2 Create a local copy of the MaxMind update configuration: cp /opt/airlock/maxminddb/etc/GeoIP.conf /opt/airlock/custom-settings/maxminddb/GeoIP.conf Open the newly created GeoIP.conf with vim editor: vim /opt/airlock/custom-settings/maxminddb/GeoIP.conf Add the MaxMind account ID and license key. AccountID <your account id> LicenseKey <your license key>​​​ ​EditionIDs GeoLite2-City Save the changes and close the editor. Open the update-settings.sh with vim editor: vim /opt/airlock/custom-settings/maxminddb/update-settings.sh Enable the automatic update functionality: GEOIP_UPDATE_ENABLED="yes"​​​​​​ GEOIP_UPDATE_CONFIG_FILE="/opt/airlock/custom-settings/maxminddb/GeoIP.conf" Save the changes and close the editor. With GEOIP_UPDATE_ENABLED="yes" , a cronjob updates the database on a weekly basis. The database can only be updated if Airlock Gateway has access to a DNS server and is able to connect to https://updates.maxmind.com. Start the initial update process manually: /opt/airlock/maxminddb/bin/update.sh Check log messages for the update status: On success, a message with log_id "SY-GEOIP-UPDATE-200" is logged. On failure, a message with log_id "SY-GEOIP-UPDATE-500" is logged, providing more information about the error. Further information and links Sign up for Geolite2 here: https://dev.maxmind.com/geoip/geoip2/geolite2/ MaxMind EULA: https://www.maxmind.com/en/geolite2/eula DB-IP Homepage: https://db-ip.com/ A_01 Action module (standard) A_01 Action module (standard)','Configure automatic updates for the geolocation database','','autocomplete_use:true')
Smc.XSearch.add('../data/1642782494192.html','Increasing the Java heap space Increasing the Java heap space for Configuration Center Tomcat and the Airlock management agent The default heap space allocated to the airlock-mgt-tomcat and airlock-mgt-agent processes might not be sufficient for very large configurations. See also System and hardware requirements. The Java heap space can be increased to overcome java.lang.OutOfMemoryError issues. Instruction The amount of reserved memory should always be increased for both the airlock-mgt-tomcat and airlock-mgt-agent . Use grep Xmx to display the current memory settings: grep Xmx /opt/airlock/mgt-tomcat/etc/systemd/airlock-mgt-tomcat-start AND grep Xmx /opt/airlock/mgt-agent/etc/systemd/airlock-mgt-agent-start Start with doubling the memory value in both files. In this example, we increase the reserved memory to 2G in both properties files: /opt/airlock/custom-settings/mgt-tomcat/java-options.properties /opt/airlock/custom-settings/mgt-agent/java-options.properties ... JAVA_OPTS="${JAVA_OPTS} -Xmx2G"... Restart the services: systemctl restart airlock-mgt-tomcat AND systemctl restart airlock-mgt-agent Proceed to double the amount of reserved memory until the java.lang.OutOfMemoryError vanishes. As experience has shown, airlock-mgt-tomcat may require about 4 times more reserved memory than airlock-mgt-agent . Keep in mind that increasing the heap space for the Configuration Center Tomcat and the Airlock management agent will reduce the free memory that can be used by the Security Gate process. Additional information Instead of increasing the reserved memory for the Java Heap Space, we recommend decreasing the size and complexity of the mapping configuration using Dynamic back-end group selection. This can effectively lower the amount of required memory as well as increase the serviceability and management handling for admins. KB_01 Troubleshooting article KB_01 Troubleshooting article','Increasing the Java heap space for Configuration Center Tomcat and the Airlock management agent','','')
Smc.XSearch.add('../data/1571978527049.html','Logs and diagnostics Airlock Gateway includes internal monitoring mechanisms that continuously test the system. Depending on the internal status, these monitoring mechanisms take the needed actions. In case you encounter problems: Check logs and events in Kibana or via syslog on the management network. Reboot the system. Any changes of Airlock Gateway internals such as files, permissions or processes may seriously corrupt Airlock Gateway functionality and its security features. Manual changes to the system are therefore not supported by Airlock Gateway . Please use this account solely for read-only access. You may use it for troubleshooting tasks such as verifying the correctness of your network settings using netstat , tcpdump , ifconfig and other system commands. Do not modify any files or file permissions! Logfile collection via shell script Log in as user menu in the Airlock Gateway admin menu. Choose option 1) System Management . In the menu System Management , choose option 5) Collect system log . Download the generated file from /var/tmp . To export the TLS/SSL private keys, see Section – Export current configuration. List of diagnostic system commands and tools Airlock Gateway is based on a hardened Linux OS and comes with a variety of preinstalled CLI tools. Other installed services like the Apache HTTP server may offer additional tools and modules for troubleshooting. See the following list with common tools and commands: Show network interfaces: ifconfig -a Show routing/netmask information: netstat -arn Inspect network packets to troubleshoot routing problems: tcpdump See also article Network traffic tracing using tcpdump and TShark/Wireshark. Verify network connectivity to back-end systems: curl <host>[:port] For Apache HTTP server status: Apache HTTP server mod_status module Further information and links About the Airlock Gateway admin menu Reference lists of log messages and events List of frequent events','Logs and diagnostics','','')
Smc.XSearch.add('../data/1618511371935.html','List of frequent events The events in this chapter are known to appear more often, so we added a list of typical causes to every listed event type. Do not use event customization to suppress event messages, i.e., to cover a misconfiguration, system or network problems, etc. Best practice: Thoroughly check overall Airlock Gateway and system configuration when events occur frequently or at an unusual pace. Fix the cause of event warnings rather than adjust the event configuration. Before changing the file, create a copy of it for backup reasons. Chapter content Possible ICAP problem - response time repeatedly too high Possible back-end problem – response time repeatedly too high Possible attack - many requests with status code 404 Possible attack - many requests blocked D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','List of frequent events','','autocomplete_use:true')
Smc.XSearch.add('../data/1618511371873.html','ICAP response time events Possible ICAP problem - response time repeatedly too high In case the EVENT_WR-H-ICAP-501 warning (Possible ICAP problem - response time repeatedly too high) appears frequently, this can have the following causes: A network problem in the back-end network. An overall bad performance of the ICAP server. A misconfiguration of Airlock Gateway. This event is generated if 3 ICAP requests within 1 minute take more than 2 seconds each. Since the bad response time affects the overall system performance, it should be fixed soon. Each pending request consumes resources on the Airlock Gateway. The total time each request takes is almost as important for the performance as the total number of requests per second. In this case, we do not recommend event adjustment, which could only suppress the symptoms instead of addressing the causes. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Possible ICAP problem - response time repeatedly too high','','autocomplete_use:true')
Smc.XSearch.add('../data/1618511371956.html','Back-end response time events Possible back-end problem – response time repeatedly too high In case the EVENT_WR-H-back-end-500 warning (Possible back-end problem - response time repeatedly too high) appears frequently, this can have the following causes: A network problem in the back-end network. An overall bad performance of back-end server(s). Complex requests. This event is generated if 4 backend requests within 2 minutes need more than 3 seconds each and can be configured in the logsurfer.conf.user.custom file as described in the article Customizing events. Example: # responsetime is higher than 3 seconds 5 or more times in 2 minutes WR_SG_SUMMARY_BackendResponseTime_enable=true WR_SG_SUMMARY_BackendResponseTime_num=5 WR_SG_SUMMARY_BackendResponseTime_range=120 Since the bad response time affects the overall system performance, it should be fixed soon. Each pending request consumes resources on the Airlock Gateway. The total time each request takes is almost as important for the performance as the total number of requests per second. In this case, we do not recommend event adjustment, which could only suppress the symptoms instead of addressing the causes. Further information and links Internal links: Customizing events D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Possible back-end problem – response time repeatedly too high','','autocomplete_use:true')
Smc.XSearch.add('../data/1618511372002.html','Frequent requests with 404 Possible attack - many requests with status code 404 In case the EVENT_WR-Y-attack-601 warning (Possible attack - {NUM} requests with status code 404 within {NUM} seconds) appears frequently, this can have the following causes: Bad links inside or outside the application. Forceful browsing, especially if all requests come from the same IP address. A misconfiguration of Airlock Gateway. This event is generated if 10 or more requests result in status code 404 within 1 minute. Since unnecessary requests affect the overall system performance, the cause(s) should be addressed soon. This event can be customized in frequency and number of log messages it is based on. See Customizing events for more information. Research and countermeasures Research the cause(s) before taking any countermeasures. Analyze why the 404 responses occur: Are there missing files? Which files cannot be found, and why? Are there broken links in the application that a user repeatedly uses? Does forceful browsing possibly trigger the event? Use the Gateway URL encryption feature to protect your application as a countermeasure for forceful browsing effectively. See URL encryption. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Possible attack - many requests with status code 404','','autocomplete_use:true')
Smc.XSearch.add('../data/1618511372055.html','Too frequent requests Possible attack - many requests blocked In case the EVENT_WR-Y-attack-600 warning (Possible attack - {NUM} blocked requests within {NUM} seconds) appears frequently, this can have the following causes: Possible attack against applications. Check if the requests are coming from the same IP address. Missing exception configuration for parameters. This event is generated when 5 or more requests are blocked within 2 minutes due to filter rules. The frequency and number of the log messages required for the event to be generated can be customized. See Customizing events for more information. Research and countermeasures Research the cause(s) before taking any countermeasures. Analyze what causes the blocked requests: Are the blocked requests in fact attacks or inadvertently blocked legitimate requests? An example of an inadvertently blocked request may be a webmail application with SQL statements in the subject or body of the message. Those parameters should be defined as exceptions. D_01 Descriptive module (standard) D_01 Descriptive module (standard)','Possible attack - many requests blocked','','autocomplete_use:true')
Smc.XSearch.add('../data/1571978526990.html','SSH login with public/private key authentication To be able to connect to Airlock Gateway using SSH with public key authentication, the password for user log must be set in the configuration center of Airlock Gateway . The following paragraphs explain how to use SSH public key authentication with the two publicly available SSH tools putty and OpenSSH. PuTTY (recommended for Windows platforms) Please follow these steps to create a public and a private key for SSH access with PuTTY: Start the program PuTTYgen (PuTTY key generator) Choose type of key to generate "SSH2 RSA" Press "Generate" Move mouse pointer in window to create random bits Define a passphrase for the private key Save private key as "id_airlock.ppk" Save public key as "id_airlock" It is possible to use OpenSSL on Windows to create the key. There are precompiled OpenSSL binaries available. OpenSSL is a command line tool and does not provide a Windows GUI. Please follow these steps after the key generation to transform the key into OpenSSH format: Start an editor of your choice Load the generated public key "id_airlock" into the editor Add the line "ssh-rsa" in the beginning and join all key lines Remove extra lines The resulting key should look like this example key: ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAIBg0BmHN3QGltSBqxguuz<...>IQBWXGuhfLRWBeH2SQ== Note: The complete resulting encoded key must be on the same line. Now follow these steps to import the key to Airlock Gateway : Start client program PuTTY Connect to Airlock Gateway server with username log and enter password Edit the key file on Gateway using the command vi .ssh/authorized_keys Copy and paste the complete transformed public key into this file (type "i" to insert, paste the content, press the ESC key and enter ":wq " for save and exit) You can add as much different public keys into the same file as you like (access for different persons). Each key has to be on exactly one line. Connecting using the SSH private key is done as follows: Start PuTTY Load private key: Connection→SSH→Auth→Browse Choose "id_airlock.ppk" Log in using the passphrase of the private key. If the format of the public key file is not correct, then putty will ask for the password (fallback authentication). It is also possible to connect using the PuTTY authentication agent (Pageant): Start Pageant (PuTTY authentication agent) Right click on pageant tray icon and choose "Add key" Import the private key Keep Pageant running Now if you start PuTTY to connect to Airlock Gateway it will automatically log in (as long as Pageant runs). For usage with other tools you can export the private key in OpenSSH format: Start PuTTYgen Import "id_airlock.ppk" In menu choose: Conversions→Export OpenSSH Key OpenSSH (recommended for Unix/Linux platforms) The following steps are necessary to use public/private key-based SSH access with OpenSSH: Create the ssh user directory on your client machine (if this does not exist) % cd ~ % mkdir -p .ssh % cd .ssh Generate public/private key pair (type RSA) % ssh-keygen -t rsa -C "Airlock access for $USER" -f id_airlock Set the passphrase for the private key as requested Import the key to Airlock Gateway : % ssh log@myairlock.example.com% vi .ssh/authorized_keys Copy/paste the complete public key file into this file The public key has to have the following format: ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAIBg0BmHN3QGltSBqxguuz<...>IQBWXGuhfLRWBeH2SQ== The SSH public key must be on exactly one line. Now connect using the private key: % ssh -i id_airlock log@myairlock.example.com It is also possible to use the SSH key store agent: Use the program "ssh-agent" and the command "ssh-add" as described in the OpenSSH documentation','SSH login with public/private key authentication','','')
Smc.XSearch.add('../data/1660804708473.html','Reference documentation This chapter contains reference information and tables for quick reference. Chapter content Airlock Gateway default deny rule groups and request/response actions Reference lists of log messages and events Administrative roles in Airlock Gateway','Reference documentation','','autocomplete_use:true')
Smc.XSearch.add('../data/1646935863270.html','Default groups and actions Airlock Gateway default deny rule groups and request/response actions This chapter contains tables of all Airlock Gateway default groups and default actions. Other default settings and preconfigured values are described directly in the various configuration information of this online help, e.g. in the Airlock Gateway Configuration Center chapter. Chapter content Default Deny Rules Default Request Actions Default Response Actions','Airlock Gateway default deny rule groups and request/response actions','','')
Smc.XSearch.add('../data/1672991895822.html','Default Deny Rules Deny Rule Group - (default) SQL Injection (SQLi) in Parameter Value The group contains SQL injection deny rules for parameter values. The security level Basic prevents injection of new SQL statements (e.g. ; DROP TABLE) and set operations (e.g. UNION SELECT). The security level Standard further prevents injection of SQL sub queries and SQL expressions in single quote context (e.g. ´ or 1=1--). The security level Strict further prevents SQLi in unquoted context (e.g. 1 or 1). SQLI_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default SQL_001A) Expression in unquoted context in parameter value x (default SQL_005A) Expression in quoted context in parameter value x x (default SQL_020A) Statement in C style comment tag in parameter value x x x (default SQL_025A) New statement in unquoted context in parameter value x x (default SQL_030A) New statement in quoted context in parameter value x x x (default SQL_040A) Sub query in bracket context in parameter value x (default SQL_045A) Sub query in parameter value x x (default SQL_050A) Condition elimination in unquoted context in parameter value x (default SQL_055A) Condition elimination in quoted context in parameter value x x (default SQL_060A) Set operator in parameter value x x x (default SQL_065A) Special SQL keywords x x Deny Rule Group - (default) SQL Injection (SQLi) in Header Value The group contains SQL injection deny rules for header values. The security level Basic prevents injection of new SQL statements (e.g. ; DROP TABLE) and set operations (e.g. UNION SELECT). The security level Standard further prevents injection of SQL sub queries and SQL expressions in single quote context (e.g. ´ or 1=1--). The security level Strict further prevents SQLi in unquoted context (e.g. 1 or 1). SQLI_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default SQL_001B) Expression in unquoted context in HTTP header value x (default SQL_005B) Expression in quoted context in HTTP header value x x (default SQL_020B) Statement in C style comment tag in HTTP header value x x x (default SQL_025B) New statement in unquoted context in HTTP header value x x (default SQL_030B) New statement in quoted context in HTTP header value x x x (default SQL_040B) Sub query in bracket context in HTTP header value x (default SQL_045B) Sub query in HTTP header value x x (default SQL_050B) Condition elimination in unquoted context in HTTP header value x (default SQL_055B) Condition elimination in quoted context in HTTP header value x x (default SQL_060B) Set operator in HTTP header value x x x (default SQL_065B) Special SQL keywords x x Deny Rule Group - (default) Cross-Site Scripting (XSS) in Parameter Value The group contains XSS deny rules for parameter values. The security level Basic prevents injection of <script> and known HTML event handlers (e.g. "onload"). The security level Standard prevents injection of JavaScript code in quoted context. The security level Strict prevents injection of JavaScript code in unquoted context. XSS_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default XSS_001A) Source attribute of critical HTML tag in parameter value x x x (default XSS_005A) HTML script tag in parameter value x x x (default XSS_020A) Injection in link attributes in parameter value x x (default XSS_025A) Refresh rate manipulation in parameter value x x (default XSS_030A) JavaScript in quoted context in parameter value x x (default XSS_035A) JavaScript in unquoted context in parameter value x (default XSS_040A) HTML event handler in parameter value x x x (default XSS_050A) CSS expression in parameter value x x (default XSS_055A) XSS filter evasion using arrays and objects in parameter value x x Deny Rule Group - (default) Cross-Site Scripting (XSS) in Header Value The group contains XSS deny rules for HTTP header values. The security level Basic prevents injection of <script> and known HTML event handlers (e.g. "onload"). The security level Standard prevents injection of JavaScript code in quoted context. The security level Strict prevents injection of JavaScript code in unquoted context. XSS_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default XSS_001B) Source attribute of critical HTML tag in HTTP header value x x x (default XSS_005B) HTML script tag in HTTP header value x x x (default XSS_020B) Injection in link attributes in HTTP header value x x (default XSS_025B) Refresh rate manipulation in HTTP header value x x (default XSS_030B) JavaScript in quoted context in HTTP header value x x (default XSS_040B) HTML event handler in HTTP header value x x x (default XSS_050B) CSS expression in HTTP header value x x (default XSS_055B) XSS filter evasion using arrays and objects in HTTP header value x x Deny Rule Group - (default) Cross-Site Scripting (XSS) in Path The group contains XSS deny rules for HTTP paths. The security level Basic prevents injection of <script> and known HTML event handlers (e.g. "onload"). The security level Standard prevents injection of JavaScript code in quoted context. The security level Strict prevents injection of JavaScript code in unquoted context. XSS_PATH: Title Rule name Legacy Basic Standard Strict (default XSS_001C) Source attribute of critical HTML tag in path x x x (default XSS_005C) HTML script tag in path x x x (default XSS_040C) HTML eventhandler in path x x x Deny Rule Group - (default) Template and Expression Language Injection The group prevents template and expression language injections for various client-side and server-side templating engines. TI: Title Rule name Legacy Basic Standard Strict (default TI_001A) Template injection in parameter value x x (default TI_001B) Template injection in HTTP header value x x (default TI_001C) Template injection in path x x (default TI_001D) Template injection in parameter name x x (default TI_002A) Expression Language injection in parameter value x x (default TI_002B) Expression Language injection in HTTP header value x x (default TI_002C) Expression Language injection in path x x (default TI_002D) Expression Language injection in parameter name x x Deny Rule Group - (default) HTML Injection in Parameter Value The group prevents HTML injection through HTTP parameter values. The security level Basic does not prevent any HTML injection. The security level Standard prevents injection of well known HTML tags (e.g. <img src="path">) as well as injection of well known HTML attribute names in a single or double quoted attribute value (e.g. ´ href="url"). The security level Strict prevents injection of any kind of HTML tags as well as injection of any kind of HTML attribute names in a single or double quoted attribute value. Title Rule name Legacy Basic Standard Strict (default HTML_001A) HTML tag in parameter value x (default HTML_002A) Known HTML tag in parameter value x (default HTML_003A) HTML attribute in quoted context in parameter value x (default HTML_004A) Known HTML attribute in quoted context in parameter value x Deny Rule Group - (default) HTML Injection in Header Value The group prevents HTML injection through HTTP header values. The security level Basic does not prevent any HTML injection. The security level Standard prevents injection of well known HTML tags (e.g. <img src="path">) as well as injection of well known HTML attribute names in a single or double quoted attribute value (e.g. ´ href="url"). The security level Strict prevents injection of any kind of HTML tags as well as injection of any kind of HTML attribute names in a single or double quoted attribute value. HTML_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default HTML_001B) HTML tag in HTTP header value x (default HTML_002B) Known HTML tag in HTTP header value x (default HTML_003B) HTML attribute in quoted context in HTTP header value x (default HTML_004B) Known HTML attribute in quoted context in HTTP header value x Deny Rule Group - (default) HTML Injection in Path The group prevents HTML injection through HTTP paths. The security level Basic does not prevent any HTML injection. The security level Standard prevents injection of well known HTML tags (e.g. <img src="path">) as well as injection of well known HTML attribute names in a single or double quoted attribute value (e.g. ´ href="url"). The security level Strict prevents injection of any kind of HTML tags as well as injection of any kind of HTML attribute names in a single or double quoted attribute value. HTML_PATH: Title Rule name Legacy Basic Standard Strict (default HTML_001C) HTML tag in path x (default HTML_002C) Known HTML tag in path x (default HTML_003C) HTML attribute in quoted context in path x (default HTML_004C) Known HTML attribute in quoted context in path x Deny Rule Group - (default) UNIX Command Injection in Parameter Value The group contains deny rules preventing UNIX command injections through HTTP parameter values. UNIXCMD_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default UNIX_001A) Bash command injection exploiting Shellshock bug in parameter value x x x (default UNIX_005A) UNIX command injection in quoted context in parameter value x x (default UNIX_006A) UNIX command injection in quoted context (strict) in parameter value x (default UNIX_010A) UNIX command injection in unquoted context in parameter value x Deny Rule Group - (default) UNIX Command Injection in Header Value The group contains deny rules preventing UNIX command injections through HTTP header values. UNIXCMD_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default UNIX_001B) Bash command injection exploiting Shellshock bug in HTTP header value x x x (default UNIX_005B) UNIX command injection in quoted context in HTTP header value x x (default UNIX_006B) UNIX command injection in quoted context (strict) in HTTP header value x (default UNIX_010B) UNIX command injection in unquoted context in HTTP header value x Deny Rule Group - (default) Windows Command Injection in Parameter Value The group contains deny rules preventing Windows command injections through HTTP parameter values. WINCMD_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default WIN_015A) Windows command injection in quoted context in parameter value x x (default WIN_020A) Windows command injection in unquoted context in parameter value x Deny Rule Group - (default) Windows Command Injection in Header Value The group contains deny rules preventing Windows command injections through HTTP header values. WINCMD_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default WIN_015B) Windows command injection in quoted context in HTTP header value x x (default WIN_020B) Windows command injection in unquoted context in HTTP header value x Deny Rule Group - (default) LDAP Injection in Parameter Value Prevents LDAP query injection in parameter values LDAP_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default LDAP_001A) LDAP query injection in parameter value x (default LDAP_002A) LDAP query injection (strict) in parameter value x Deny Rule Group - (default) LDAP Injection in Header Value Prevents LDAP query injection in header values LDAP_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default LDAP_001B) LDAP query injection in HTTP header value x (default LDAP_002B) LDAP query injection (strict) in HTTP header value x Deny Rule Group - (default) PHP Injection in Parameter Value Prevents PHP code injection in parameter values PHP_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default PHP_001A) PHP tag injection in parameter value x x x (default PHP_002A) PHP short tag injection in parameter value x x Deny Rule Group - (default) PHP Injection in Header Value Prevents PHP code injection in header values PHP_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default PHP_001B) PHP tag injection in HTTP header value x x x (default PHP_002B) PHP short tag injection in HTTP header value x x Deny Rule Group - (default) Object Graph Navigation Library (OGNL) injection (Apache Struts) Prevents OGNL injection OGNL: Title Rule name Legacy Basic Standard Strict (default OGNL_001A) Object Graph Navigation Library (OGNL) injection (Apache Struts2) in parameter value x x x (default OGNL_001B) Object Graph Navigation Library (OGNL) injection (Apache Struts2) in HTTP header value x x x (default OGNL_001C) Object Graph Navigation Library (OGNL) injection (Apache Struts2) in path x x x Deny Rule Group - (default) Insecure Direct Object Reference in Parameter Value The group contains insecure direct object reference deny rules and file inclusion deny rules for parameter values. The security level Basic prevents directory traversal and injection of certain critical files (e.g. /etc/passwd). The security level Standard prevents injection of known top level directory paths (e.g. /etc/) and critical protocol schemes (e.g. "php://). The security level Strict further prevents injection of file paths with critical suffixes (e.g. .exe) any absolute Windows and UNIX directory path, any protocol scheme or path in universal naming convention format. IDOR_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default DOR_002A) Absolute UNIX path - known top level directory in parameter value x x (default DOR_003A) Absolute UNIX path - environment variables in parameter value x x (default DOR_004A) Absolute UNIX path - critical system files in parameter value x (default DOR_005A) Critical application files in parameter value x x (default DOR_006A) Absolute UNIX path - critical application files in parameter value x (default DOR_008A) Universal Naming Convention in parameter value x (default DOR_009A) Absolute Windows path - common top level directories in parameter value x x (default DOR_010A) Directory traversal for Windows and UNIX in parameter value x x x (default DOR_011A) Critical file suffixes in parameter value x (default DOR_014A) Protocol scheme in parameter value x x (default DOR_015A) Directory traversal or absolute path as parameter in URL in parameter value x x Deny Rule Group - (default) Insecure Direct Object Reference in Path The group contains insecure direct object reference deny rules and file inclusion deny rules for HTTP paths. The security level Basic and Standard prevents directory traversal and injection of certain critical files (e.g. .htaccess). The security level Strict further prevents injection of file paths with critical suffixes (e.g. .exe). IDOR_PATH: Title Rule name Legacy Basic Standard Strict (default DOR_010C) Directory traversal for Windows and UNIX in path x x x (default DOR_011C) Critical file suffixes in path x (default DOR_012C) Critical elements in path x x x Deny Rule Group - (default) NoSQL Injection in Parameter Name Prevents NoSQL injection in parameter names NOSQL_PARAM_NAME: Title Rule name Legacy Basic Standard Strict (default NOSQL_001D) Operator in JSON in parameter name x x (default NOSQL_010D) NoSQL Operator as PHP Array Key in parameter name x x Deny Rule Group - (default) NoSQL Injection in Parameter Value Prevents NoSQL injection in parameter values NOSQL_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default NOSQL_020A) JS Injection in $where clause in parameter value x x (default NOSQL_030A) NoSQL Operator in parameter value x x (default NOSQL_040A) NoSQL Method or Function in parameter value x x Deny Rule Group - (default) NoSQL Injection in Header Value Prevents NoSQL injection in header values NOSQL_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default NOSQL_030B) NoSQL Operator in HTTP header value x x (default NOSQL_040B) NoSQL Method or Function in HTTP header value x x Deny Rule Group - (default) Parameter Name Sanity Prevents injection of special encoded characters in parameter names. SANITY_PARAM_NAME: Title Rule name Legacy Basic Standard Strict (default SAN_005D) Sanity check of parameter name x x x (default SAN_010D) Full-/half-width unicode in parameter name x x x (default SAN_015D) Non-printable characters in parameter name x x x Deny Rule Group - (default) Parameter Value Sanity Prevents injection of special encoded characters in parameter values. SANITY_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default SAN_010A) Full-/half-width unicode in parameter value x x x (default SAN_020A) Non-printable characters in parameter value x x (default SAN_021A) Non-printable characters strict in parameter value x Deny Rule Group - (default) Header Name Sanity Prevents injection of special encoded characters in header names. SANITY_HEADER_NAME: Title Rule name Legacy Basic Standard Strict (default SAN_025E) Enforce alphanumeric characters in HTTP header name x x x (default SAN_055E) Header name longer than 60 characters x x Deny Rule Group - (default) Header Value Sanity Prevents injection of special encoded characters in header values. SANITY_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default SAN_010B) Full-/half-width unicode in HTTP header value x x x (default SAN_030B) Enforce printable ASCII characters in HTTP header value x x x (default SAN_040B) Sanity check of Content-Type header value x x x (default SAN_045B) Sanity check of multipart content-type header value x x x (default SAN_050B) Unsafe character in HTTP header value x (default SAN_060B) Header value longer than 300 characters x x (default SAN_070B) Sanity check of Accept-Encoding header value x x (default SAN_080B) Sanity check of Accept-Language header value x x (default SAN_090B) Sanity check of Accept header value x x (default SAN_100B) Sanity check of Cache-Control header value x x x (default SAN_110B) Sanity check of Sec-Fetch- headers value x x (default SAN_120B) Sanity check of Range header value x x Deny Rule Group - (default) Path Sanity Prevents injection of special encoded characters in HTTP paths. SANITY_PATH: Title Rule name Legacy Basic Standard Strict (default SAN_010C) Full-/half-width unicode in path x x x (default SAN_015C) Non-printable characters in path x x x Deny Rule Group - (default) Encoding and Conversion Exploits in Parameter Value Prevents injection of special encoded characters, such as double URL encoded characters in parameter values. ENCONV_PARAM_VALUE: Title Rule name Legacy Basic Standard Strict (default ENC_005A) MIN_VALUE floating point attack in parameter value x x x Deny Rule Group - (default) Encoding and Conversion Exploits in Header Value Prevents injection of special encoded characters, such as double URL encoded characters in header values. ENCONV_HEADER_VALUE: Title Rule name Legacy Basic Standard Strict (default ENC_005B) MIN_VALUE floating point attack in HTTP header value x x x Deny Rule Group - (default) HTTP Response Splitting Prevents HTTP response splitting by blocking injection of an HTML response body or response header. HRS: Title Rule name Legacy Basic Standard Strict (default HPE_005A) Critical response header injection in parameter value x x x (default HPE_010A) Response body injection in parameter value x (default HPE_015A) Critical response body injection in parameter value x x Deny Rule Group - (default) HTTP Parameter Pollution Prevents HTTP parameter pollution by blocking nested parameters in parameter values. HPP: Title Rule name Legacy Basic Standard Strict (default HPE_020A) HTTP parameter pollution in parameter value x Deny Rule Group - (default) Miscellanous Exploits The group prevents injections of special payloads not covered by the other Deny Rule groups. MISC_EXPLOITS: Title Rule name Legacy Basic Standard Strict (default ME_001A) Spring Core RCE Exploit (CVE-2022-22965) in parameter value x x (default ME_001D) Spring Core RCE Exploit (CVE-2022-22965) in parameter name x x (default ME_002B) Spring Cloud RCE Exploit (CVE-2022-22963) in HTTP header value x x x Deny Rule Group - (default) Automated Scanning Prevents automated scanning with standard tools SCANNING: Title Rule name Legacy Basic Standard Strict (default AS_001A) SQL injection test with parameter value x x x (default AS_005A) XSS injection test with parameter value x x x (default AS_010A) XPath injection test with parameter value x x x (default AS_015A) OS command injection test with parameter value x x x (default AS_020A) PHP code injection test with parameter value x x x (default AS_025A) XML injection test with parameter value x x x (default AS_050B) Penetration testing tool detection with HTTP header value x x x (default AS_051A) NoSQL injection test with parameter value x x x (default AS_052A) Penetration testing tool detection with parameter value x x x Deny Rule Group - (default) Server-Side Request Forgery in Parameter Value - SSRF_PARAM_VALUE Prevents SSRF attacks in Parameter Value. Included Deny Rules: Title Rule name Legacy Basic Standard Strict (default SSRF_001A) Protocol scheme in parameter value x x (default SSRF_002A) HTTP/S URLs in parameter value x (default SSRF_003A) URL containing internal or obfuscated IP addresses in parameter value x x Deny Rule Group - (default) Server-Side Request Forgery in Header Value - SSRF_HEADER_VALUE Prevents SSRF attacks in Header Value. Included Deny Rules: Title Rule name Legacy Basic Standard Strict (default SSRF_001B) Protocol scheme in HTTP header value x x (default SSRF_002B) HTTP/S URLs in HTTP header value x (default SSRF_003B) URL containing internal or obfuscated IP addresses in HTTP header value x x Deny Rule Group - (default) Bot Detection in Header Value - BOT_HEADER_VALUE Prevents access from bots, crawlers and scrapers. Included Deny Rules: Title Rule name Legacy Basic Standard Strict (default BOT_001B) Penetration testing tool detection with HTTP header value x x x (default BOT_002B) Extended penetration testing tool detection with HTTP header value x','Default Deny Rules','','')
Smc.XSearch.add('../data/1672991895799.html','Default Request Actions (default) Translate Host header The value in the incoming host header is replaced by the back-end host. Rewriting the host header may be necessary if the application server needs the back-end host name in the header instead of the external name (e.g. for name based virtual hosts in the back-end). This action is enabled by default. (default) Translate Referer header The incoming referer header is rewritten to match the back-end protocol/host/URL. Rewriting the referer may be necessary if the application interprets the referer field but is not reverse-proxy compatible. This action is enabled by default. (default) Translate Origin header The incoming origin header is rewritten to match the back-end protocol/host/URL. Rewriting the origin may be necessary if the application interprets the origin field but is not reverse-proxy compatible. This action is enabled by default. (default) Add X-Forwarded-For header Adds an X-Forwarded-For header to preserve the original client IP for back-ends. This action is enabled by default. (default) Add X-Forwarded-Proto header Adds an X-Forwarded-Proto header to preserve the original protocol for back-ends. This action is enabled by default.','Default Request Actions','','')
Smc.XSearch.add('../data/1672991895776.html','Default Response Actions Note that only one of the HSTS rules below can be enabled while the other one must be disabled: (default) Add Strict-Transport-Security (HSTS) header (default) Add Strict Transport Security (HSTS) header for preload list For more information about HSTS preload, see https://hstspreload.org/ . (default) Prevent information leakage in headers Some headers leak information about back-end servers and deployed software. By removing these headers, such information is hidden from potential attackers. This action is enabled by default. (default) Remove NTLM header Back-ends can advise clients to authenticate using NTLM. By default, these headers are removed, because NTLM passthrough is not supported. When using front-side NTLM in combination with an authentication service, this action must be disabled. This action is enabled by default. (default) Remove Negotiate header Back-end can advise clients to authenticate using a specific method. By default, these headers are removed. This action must be disabled when using front-side Kerberos in combination with an authentication service. This action is enabled by default. (default) Remove permissive CORS header CORS (Cross-Origin Resource Sharing) is a method for enabling cross-origin requests in browsers. If misconfigured, CORS reduces client-side security. This action removes CORS headers that have no restrictions. This action is enabled by default. (default) Add X-Frame-Options header If no X-Frame-Options are specified by the back-end, this action advises browser to display a page only in a frame with the same origin as the page itself. This prevents clickjacking attacks. This action is enabled by default. (default) Add Strict-Transport-Security (HSTS) header HSTS headers advise browsers to use solely secure HTTPS connections towards the back-end. If no HSTS header is specified by the back-end, this actions adds a default HSTS header, requiring HTTPS for all requests. This action is enabled by default. (default) Add Strict Transport Security (HSTS) header for preload list HSTS headers advise browsers to use solely secure HTTPS connections towards the back-end. Sets the Strict-Transport-Security header correctly in order to comply with the HSTS preload list requirements. After enabling this action your virtual host must be registered at https://hstspreload.org. This action is disabled by default. (default) Add Content-Security-Policy (CSP) header Content Security Policy (CSP) is a technique for preventing Cross-Site-Scripting and similar attacks by restricting the origin of included resources in a website. Defining fine-grained policies requires good knowledge of the application. If no CSP headers are specified by the back-end, this action adds a base protection, allowing inclusion of Javascript and image resources only from the back-end itself. This action is disabled by default. (default) Add Content-Security-Policy (CSP) header (with prefix "X-") See action "(default) Add Content Security Policy (CSP) header" (variant with an "X-" prefix). This action is disabled by default. (default) Add Content-Type-Options header If no corresponding header is present, this action disables a browser feature called MIME-type sniffing, which can be harmful. This action is enabled by default. (default) Set cookie security attributes This action automatically sets the security attributes of cookies based on the current configuration. In particular, the "Secure" attribute is set if HTTPS is enabled on the virtual host and disabled otherwise. The "HttpOnly" attribute is automatically set for encrypted cookies. For passthrough cookies, the "HttpOnly" attribute is not modified. This action is enabled by default. (default) Translate internal cookie path Action for rewriting the "Path" attribute of cookies. Rewriting the cookie path may be necessary if the application creates absolute or incorrect cookie paths because it is not reverse proxy compatible. This action is disabled by default. (default) Translate internal cookie domain This action replaces the "Domain" attribute of cookies with the session cookie domain configured on the corresponding virtual host. This action is enabled by default. (default) Add Referrer-Policy header If no corresponding header is present, this action prevents information leakage from your web application. This action is enabled by default. (default) Add Feature-Policy header If no corresponding header is present, this action prevents the use of some sensitive browser features outside of your web application. This action is enabled by default.','Default Response Actions','','')
Smc.XSearch.add('../data/1571978527026.html','Log messages / events reference Reference lists of log messages and events The Log Viewer (Kibana) shows both events and messages mixed in one view allowing filtering and searches. viewable in Log Viewer can be alerted can be forwarded to external syslog Log Messages yes – yes Events yes yes yes Example for Kibana searches The following example is based upon the Kibana dashboard Discover / Logs - All Airlock Logs which is accessible under Log & Report >> Log Viewer . To filter for Events: For custom searches: Perform a new search i.e. log_id:EVENT_* or a more refined regular expression. For searches based upon our predefined Kibana templates: On the dashboard, click on Open and use the search template Requests - GATEWAY Troubleshooting - Events . Log messages System components generate log messages. These messages can be viewed in the Log Viewer (Kibana). Alternatively, log messages may be forwarded to a second Syslog located in the management network. See also reference list of log fields.. Events Events are created by rules based on log messages. Events can be alerted, i.e. sent by email, create a web request or to a specific syslog server. The alerting methods can be configured in "Log Settings" - "Event Notification Channels". There are two types of events: Airlock Gateway defines internal events. The administrator can´t change those events. They may be changed with product updates in the future. Customizable events cover events highly dependent on the Airlock Gateway usage scenario, i.e., the number of requests per second. See also reference list of events and frequent events. Further information and links Internal links: Section – Syslog Forwarding Customizing events. Logs and diagnostics List of frequent events Reference list of Log messages Reference list of Events','Reference lists of log messages and events','','')
Smc.XSearch.add('../data/1672991895623.html','Log messages This article lists all available log messages on a single page for easy reference. Navigation links for this page: JSON fields Block Summary Reject Summary Back-end messages Session start and end messages Other messages JSON fields All Security Gate log messages are written in JSON format. This is a list of all available JSON fields including a short description. The column CEF Alias shows the field aliases used in CEF exports. Field Name CEF Alias Description log_id Log message ID. log_cat Log message category. req_id cs1 ID of the request. sess_id cs2 ID of the session the request belongs to. corr_id Request correlation ID. corr_id_2 Second request correlation ID. corr_id_3 Third request correlation ID. mapping destinationServiceName Mapping name used to handle the request. entry_url Entry URL of the request. entry_path request Entry path of the request. entry_query request Query parameters of the entry URL. audit_token suser Audit token set by the authentication server. This usually represents an individual user. tech_client_id Technical client ID extracted from request. tech_client_display_name Display name of the technical client. tech_client_label Label of the technical client. tech_client_subscription_id Subscription ID of the technical client. tenant Tenant of the requested mapping or virtual host. th_mode Threat handling mode. vhost dhost The FQDN of the virtual host. vhost_ip dst / c6a3 The IP address the virtual host is listening on. vhost_port dpt The port the virtual host is listening on. vhost_proto app The HTTP protocol used in the request. vhost_proto_vers The HTTP protocol version used in the request. back_host The back-end host the request was sent to. back_host_ip The IP address of the back-end host the request was sent to. back_host_port The port of the back-end host the request was sent to. back_host_proto The protocol of the back-end host the request was sent to. http_method requestMethod The HTTP method used in the request. http_status cn1 The HTTP status code delivered to the client. http_user_agent The user agent header sent by the client. http_accept_lang The accept-language header sent by the client. backend_url Back-end URL of the request. http_redirect_url The redirect URL delivered to the client. http_referrer requestContext The referrer URL sent by the client. req_size in The number of bytes received from the client. resp_size out The number of bytes received from the back-end. time_total cn2 The duration from the moment all request headers have been read up from the client to the point where all response data has been sent to the client. Total processing time can vary significantly between different requests. time_filter The duration the gateway requires to filter the request. The measured time is a fraction of time_total . time_backend The duration from establishing the connection between gateway and back-end to receiving the first response byte from the back-end. The measured time is an indicator of the responsiveness of the back-end. The measured time is a fraction of time_total . time_req_icap Currently not functional. time_resp_icap Currently not functional. time_resp The duration from reading the first response header from the back-end to receiving the last byte of a response from the back-end. The measured time is a performance indicator of the network and the back-end. The measured time is a fraction of time_total . time_wsock_total The total duration required to handle the WebSocket connection. The time measurement starts after the handshake (HTTP upgrade). client_ip src / c6a2 The IP address of the client. Usually, this is the connection IP address (front_src_ip ). If a reverse proxy or load balancer is in place and sets the X-Forwarded-For header, Airlock Gateway can be configured to use the X-Forwarded-For value as client_ip. front_src_ip The IP address from which the front-end TCP connection was established. front_src_port The port from which the front-end TCP connection was established. front_dst_ip The IP address the client connected to. front_dst_port The port the client connected to. back_src_ip The IP address Airlock Gateway used to connect to the back-end server. back_src_port The port Airlock Gateway used to connect to the back-end server. back_dst_ip The IP address of the back-end server Airlock Gateway connected to. back_dst_port The port of the back-end server Airlock Gateway connected to. geoip_continent Continent code resolved for the client IP address (client_ip ). geoip_country Country code resolved for the client IP address (client_ip ). geoip_location cs3 Latitude and longitude resolved for the client IP address (client_ip ). wsock_bytes_in Number of bytes received from the client (WebSocket). wsock_bytes_out Number of bytes sent to the client (WebSocket). front_tls_sess_id The ID of the TLS session on the front-end. front_tls_proto The TLS protocol that has been negotiated on the front-end. front_tls_cipher The TLS cipher that has been negotiated on the front-end. front_tls_client_subject_dn The subject´s distinguished name (DN) of the TLS client certificate. sess_auth Flag indicating whether the session was authenticated or not. sess_count_auth Count of authenticated sessions. sess_count_auth_licensed The licensed limit of authenticated sessions. sess_count_total Total count of sessions. reason Reason for connection or session termination. lifetime Lifetime of the session in seconds. reject_type Reject type for the rejected request. block_type Technology used to block the attack. attack_type cs4 Type of the blocked attack. rule_name Name of the rule that triggered the block. rule_key Short name of the rule that triggered the block. ip_lists Matching IP list names. rule_group Name of the deny rule group that triggered the block. rule_group_key Short name of the deny rule group that triggered the block. action act Action taken by Airlock Gateway for this request. constraint Violated constraint that led to the block. position Description of where the error/block was detected. file Filename error_code The error code returned by libcurl. req_rate The measured request rate (requests per second). req_rate_licensed The licensed request rate (requests per second). ml_app Anomaly Shield application. ml_anomaly Anomaly Shield session anomaly tag. message msg Message describing the log event. trunc This field is only added when the truncation mechanism has skipped one or more fields. It is added with the value 1 . 1 The time base for Syslog and Elasticsearch is in microseconds, for Kibana and CSV output in milliseconds. Block Summary A block message will be written whenever a request is blocked, giving a short description of why the request was blocked. The log ID of block messages starts with BLOCK- or BLOCKDET- . Every message will log the fields listed in the JSON fields table. Some fields may be left out when there is no value available, and others may write <n/a> instead. List of log messages: Title Message ID Attack Type Block Type Description WR-SG-BLOCK-108-01 Filter evasion Multipart Parser illegal boundary characters "..." found in multipart POST. WR-SG-BLOCK-108-02 Filter evasion Multipart Parser multiple content-disposition headers found in multipart POST. WR-SG-BLOCK-108-03 Filter evasion Multipart Parser nesting level (...) exceeded in multipart POST. WR-SG-BLOCK-108-04 Filter evasion Multipart Parser Syntax Error in multipart POST: no delimiter found in the request body "...". WR-SG-BLOCK-108-05 Filter evasion Multipart Parser delimiter found in multipart header "...". WR-SG-BLOCK-108-06 Filter evasion Multipart Parser multiple multipart boundary definitions found in the content-type header "...". WR-SG-BLOCK-108-07 Filter evasion Multipart Parser Syntax Error in multipart POST: Error while parsing multipart header "...". WR-SG-BLOCK-108-08 Filter evasion Multipart Parser multipart boundary definition not found in content-type header "...". WR-SG-BLOCK-108-10 Filter evasion Multipart Parser Syntax Error in multipart POST: Missing newline characters ... WR-SG-BLOCK-108-11 Filter evasion Multipart Parser Syntax Error in multipart POST: Missing delimiter. WR-SG-BLOCK-108-20 Unsafe multipart headers Multipart Parser Multipart header blacklist rule was triggered by multipart header "...". WR-SG-BLOCK-108-21 Unsafe multipart headers Multipart Parser Multipart header allowlist rule was triggered by multipart header "...". WR-SG-BLOCK-108-30 Filter evasion Multipart Parser Error while decoding multipart content: ...: "...". WR-SG-BLOCK-108-35 Filter evasion Multipart Parser Trailing characters found after encoded content "...". WR-SG-BLOCK-108-40 Filter evasion Multipart Parser Filename was empty but content was not. WR-SG-BLOCK-109-01 Filter evasion JSON Parser JSON syntaxerrormessage: "..." in ... WR-SG-BLOCK-109-02 Filter evasion JSON Parser Failed to sanitize JSON data (UTF8) in ... WR-SG-BLOCK-109-03 Filter evasion JSON Parser Failed to convert JSON data (from ... to UTF-8) in ... WR-SG-BLOCK-117-01 Filter evasion GraphQL Multiple definition error: "..." WR-SG-BLOCK-117-02 Filter evasion GraphQL Query syntax error: "..." WR-SG-BLOCK-117-03 Noncompliant API usage GraphQL Validation error in operation: "..." WR-SG-BLOCK-117-04 Filter evasion GraphQL Forbidden action in operation "..." : "..." WR-SG-BLOCK-118 Denial of service GraphQL Limit exceeded in operation "..." : "..." WR-SG-BLOCK-120-01 URL tampering URL Encryption Decryption failed for request URL using passphrase-based encryption. URL has been modified by the client or was encrypted for a different user session using session-based encryption. WR-SG-BLOCK-120-02 URL tampering URL Encryption Decryption failed for request URL using session-based encryption. The URL has been modified by client. WR-SG-BLOCK-120-03 URL tampering URL Encryption The request URL is not or incorrectly encrypted (unrecognized/wrong encryption mode). WR-SG-BLOCK-120-04 URL tampering URL Encryption Decryption failed for the encrypted request URL. URL belongs to an unknown (expired or otherwise different) session or the passphrase has changed. WR-SG-BLOCK-120-05 URL tampering URL Encryption Request URL is PBE encrypted but SBE is configured. WR-SG-BLOCK-131-01 Filter evasion ParameterNormalization Filter notification: parameter normalization failed on data "..." using default charset:... fallback:... WR-SG-BLOCK-131-02 Filter evasion ParameterNormalization Filter notification: parameter normalization failed on data "..." using charset from content-type:... WR-SG-BLOCK-131-03 Filter evasion ParameterNormalization Filter notification: parameter normalization not possible from unsupported charset derived from content-type "..." WR-SG-BLOCK-131-04 Filter evasion ParameterNormalization Filter notification: ... in path "...". UTF-8 is enforced. WR-SG-BLOCK-131-05 Filter evasion ParameterNormalization Filter notification: ... in header "...". UTF-8 is enforced. WR-SG-BLOCK-131-06 Filter evasion ParameterNormalization Filter notification: ... in ... "...". UTF-8 is enforced. WR-SG-BLOCK-131-07 Filter evasion ParameterNormalization Filter notification: Charset encoding "..." found in Content-Type header. UTF-8 is enforced. WR-SG-BLOCK-131-08 Filter evasion BodyNormalization Filter notification: ... in body of content-type "...". UTF-8 is enforced. WR-SG-BLOCK-135-01 Parameter tampering URL Encryption Location parameter "..." with value "..." is invalid: ... WR-SG-BLOCK-111-00 URL tampering Allow Rule no allow rule matched WR-SG-BLOCK-111-06 Request tampering Allow Rule Content-Type of request (...) does not match Content-Type pattern "..." , path pattern:"..." WR-SG-BLOCK-111-05 Request tampering Allow Rule HTTP method "..." does not match the method pattern "..." WR-SG-BLOCK-111-04 Parameter tampering Allow Rule Parameter value is not allowed. Value "..." of parameter "..." does not match value pattern "..." , path pattern:"..." WR-SG-BLOCK-111-08 Parameter tampering Allow Rule Parameter "..." is not allowed because there is no parameter rule defined that would match the parameter name. The parameter value would be"..." ,pathpattern:"..." WR-SG-BLOCK-111-07 Parameter tampering Allow Rule The request must contain a parameter matching pattern "..." , path pattern:"..." WR-SG-BLOCK-111-20 URL tampering Parameter Limits Path has length ..., but at most ... would be allowed WR-SG-BLOCK-111-21 Parameter tampering Parameter Limits There are ... parameters, but at most ... would be allowed WR-SG-BLOCK-111-22 Parameter tampering Parameter Limits Length of parameter name "..." is ... bytes, but at most ... bytes would be allowed WR-SG-BLOCK-111-23 Parameter tampering Parameter Limits Value "..." of parameter "..." contains ... bytes, but at most ... bytes would be allowed WR-SG-BLOCK-117-01 Filter evasion GraphQL Multiple definition error: ... WR-SG-BLOCK-117-02 Filter evasion GraphQL Query syntaxerror: ... WR-SG-BLOCK-117-03 Noncompliant API usage GraphQL Validation error in operation "...": ... WR-SG-BLOCK-117-04 Filter evasion GraphQL Forbidden action in operation "...": ... WR-SG-BLOCK-118 Denial of service GraphQL Limit exceeded in operation "...": ... WR-SG-BLOCK-115 ... OpenAPI ... WR-SG-BLOCKDET-115 ... OpenAPI ...... WR-SG-BLOCK-116 ... JSON Limits ... WR-SG-BLOCK-122-00 Parameter tampering FormProtection Parameter "..." is illegal according to form signature WR-SG-BLOCK-122-02 Parameter tampering FormProtection Value "..." of parameter "..." is illegal according to form signature WR-SG-BLOCK-122-03 Parameter tampering FormProtection Value length of parameter "..." (... bytes) exceeds maximum allowed length (... bytes). WR-SG-BLOCK-122-04 Parameter tampering FormProtection Form signature ID is invalid. WR-SG-BLOCK-122-05 Parameter tampering FormProtection Value "..." for parameter "..." of type "..." is invalid according to validation pattern "..." WR-SG-BLOCK-122-06 Parameter tampering FormProtection Required parameters {...} have been omitted WR-SG-BLOCK-130 Cross-site request forgery CSRFProtection CSRF attack detected. CSRF token is invalid or missing. WR-SG-BLOCK-190 Botaccess Bot Management The client does not support cookies: ... WR-SG-BLOCK-110-01 ... Deny Rule Deny rule was triggered WR-SG-BLOCK-112 Unwanted IP IP Allowlist IP allowlist did not match WR-SG-BLOCK-113 ... ThreatIntelligence Bad IP detected WR-SG-BLOCK-114 Blacklisted IP IP Blacklist IP blacklistmatched WR-SG-BLOCKDET-110-01 ... Deny Rule Blockedpath: "..." WR-SG-BLOCKDET-110-02 ... Deny Rule Blockedmethod: "..." WR-SG-BLOCKDET-110-03 ... Deny Rule Blocked Content-Type: "..." WR-SG-BLOCKDET-110-05 ... Deny Rule Blockedparameter: "...=..." (...) WR-SG-BLOCKDET-110-06 ... Deny Rule Blocked header: "...: ..." WR-SG-BLOCK-140-01 Parameterpollution HTTP Parameter Pollution Multiple parameters with the same name "..." and different types (..., ...) found. WR-SG-BLOCK-145 Filter evasion Web Listener Checks Maximum request body size exceeded WR-SG-BLOCK-125 Parameter tampering DyVE Parameter "..." with value "..." is illegal according to dynamic value endorsement. WR-SG-BLOCK-150-01 Behaviour anomaly Client Fingerprinting Client Fingerprinting: Blocking request. WR-SG-BLOCK-150-02 Behaviour anomaly Client Fingerprinting Client Fingerprinting: Blocking request and terminating session. WR-SG-BLOCK-160 Denial of service DOSThresholds Maximum number of allowed requests (...) within ... seconds for this IP (...) reached. WR-SG-BLOCK-180 RecurringAttack Dynamic IP Blacklist Blocked due to Dynamic IP blacklist. WR-SG-BLOCK-170 Illegalpayload ICAP ICAP service "..." at ...:... blocked in REQMOD. WR-SG-BLOCK-161 Denial of service DOSThresholds Maximum number of allowed sessions (...) for this IP reached. WR-SG-BLOCK-155 Behaviour anomaly Anomaly Shield Session anomaly detected. Matched rule "..." with Trigger(s) "...". Executingblockaction(s) "...". WR-SG-BLOCK-156 Behaviour anomaly Anomaly Shield IP blocked due to previous anomalous behavior detected by Anomaly Shield rule. Request Summary Airlock Gateways´ own access log format replaced the classic access-log of Apache, the Request Summary. For each request such a summary will be written. The summary is enhanced with much more information about the request than a normal HTTPd log line can provide. The request summary will be logged with the log ID WR-SG-SUMMARY . Every message will log the fields listed in the JSON fields table. Some fields may be left out when no value is available, and others may write <n/a> instead. List of log messages: Message ID Description WR-SG-SUMMARY Request processed WR-SG-SUMMARY-LP Session logout propagation with URL "{}" Reject Summary A request may be rejected due to errors or system limitations. In that case a reject message will be logged. The log ID of reject messages start with "REJECT-". Every message will log the fields listed in the JSON fields table. Some fields may be left out when no value is available, and others may write <n/a> instead. List of log messages: Message ID Reject Type Description WR-SG-REJECT-105 System Error (...) while matching content-type "..." WR-SG-REJECT-111-26 Config allow rule "...": not properly initialized: ... WR-SG-REJECT-115 Config OpenAPI configuration is invalid WR-SG-REJECT-190 Config Redirecting to the cookie check URL: ... WR-SG-REJECT-100 Config ... is invalid due to malformed pattern WR-SG-REJECT-117 Config GraphQL configuration is invalid WR-SG-REJECT-120 System ... failed due to communication error with ip-info-service WR-SG-REJECT-140 Web Listener Web listener aborted the request with status code ... WR-SG-REJECT-141 Web Listener Maximum request read time exceeded WR-SG-REJECT-101 Config No matching mapping found WR-SG-REJECT-102 Config No matching virtual host found WR-SG-REJECT-103 Config No matching Back-end Group found WR-SG-REJECT-200 Config Mapping is under maintenance. Redirecting request to maintenance page at "..." WR-SG-REJECT-250 Config Running in restricted mode, rejecting request due to missing or invalid license WR-SG-REJECT-700 Access Required API key not provided. WR-SG-REJECT-701 Access API Policy Service - ... WR-SG-REJECT-702 Access API Policy Service - ... WR-SG-REJECT-703 Access API Policy Service - ... WR-SG-REJECT-704 Limit API Policy Service - ... WR-SG-REJECT-720 Access API Policy Service not configured WR-SG-REJECT-300 Access User not authorized to access mapping: ... WR-SG-REJECT-300-01 Access Browser is not authorized to access the favicon WR-SG-REJECT-301-01 Config on-behalf-login error: Basic authentication credentials not set but required by configuration. Aborting request WR-SG-REJECT-302-01 Config on-behalf-login error: NTLM credentials not set but required by configuration. Aborting request WR-SG-REJECT-303-01 Config on-behalf-login error: Kerberos credentials not set but required by configuration. Aborting request WR-SG-REJECT-801-01 System Fatal error during backend request "..." for host "..." (...) WR-SG-REJECT-802 Environment Backend timeout occurred WR-SG-REJECT-804 Environment Back-end communication error: All Back-end Hosts ... failed WR-SG-REJECT-301-02 Config on-behalf-login error: Basic authentication failed. Server returned 401 (not authorized) error. Redirecting request WR-SG-REJECT-302-02 Config on-behalf-login error: NTLM authentication failed. Server returned 401 (not authorized) error. Redirecting request WR-SG-REJECT-303-02 Config on-behalf-login error: Kerberos authentication failed for SPN "...". Server returned 401 (not authorized) error. Redirecting request WR-SG-REJECT-400 Config Request handler mapping error: ......... WR-SG-REJECT-401 Config Response handler mapping error: ... WR-SG-REJECT-505 Environment Cannot perform backend failover because the request body has been truncated WR-SG-REJECT-520 System Back-end state machine: Invalid signal "..." for state "..." WR-SG-REJECT-180 System Internal stream handler error in ...: ... WR-SG-REJECT-181 System Child process has been signaled to terminate. WR-SG-REJECT-820-02 Environment ICAP client: Idle request timeout (...s) on ICAP service "..." at ...:... WR-SG-REJECT-820-03 Environment ICAP client: Request buffer limit has been exceeded on ICAP service "...", failover not possible WR-SG-REJECT-820-04 Config ICAP client: Error initializing ... request, ... WR-SG-REJECT-820-05 System ICAP client: ... WR-SG-REJECT-820-06 Environment ICAP client: No more servers available for ICAP service "..." WR-SG-REJECT-821-01 Environment ICAP client: ICAP response parser failed: ... (invalid response from icap server) WR-SG-REJECT-821-02 Environment ICAP client: No encapsulation header present in ICAP response WR-SG-REJECT-822-01 Environment ICAP client: Error creating HTTP ... WR-SG-REJECT-060 Environment ICAP client: ICAP response contains HTTP request - This should not happen when ICAP request mode was not REQMOD WR-SG-REJECT-061 Environment ICAP client: ICAP response contains malformed ... WR-SG-REJECT-171 Environment ICAP service "..." at ...:... responded in ... with ICAP status code ... WR-SG-REJECT-823-01 Config ICAP client: Forbidden path change detected during ICAP REQMOD (Client View) from path:... to path:... that would change the mapping from mapping:... to mapping:... , service "..." at ...:... WR-SG-REJECT-823-02 Config ICAP client: Forbidden path change detected during ICAP REQMOD (Client View) from path:... to path:... (slash is missing) , ICAP service "..." at ...:... WR-SG-REJECT-823-03 Config ICAP client: Forbidden path change detected for an encrypted request during ICAP REQMOD (Client View) from path ... to path ... ICAP service "..." at ...:... WR-SG-REJECT-823-04 Config ICAP client: Forbidden query change detected for an encrypted request during ICAP REQMOD (Client View) from query ... to query ..., ICAP service "..." at ...:... WR-SG-REJECT-805-01 System Idle child timeout for child ... after ... seconds. Invoking child terminator. WR-SG-REJECT-805-02 System Hard child timeout for child ... after ... seconds. Invoking child terminator. WR-SG-REJECT-150-01 System Failed to create session. Rejecting request. Reason of failure: ... WR-SG-REJECT-150-02 System Failed to create session. Rejecting request. Reason of failure: ... WR-SG-REJECT-151 System Session tracking mode switch to ...:... failed. Rejecting request. WR-SG-REJECT-152 System Failed to assure session tracking mode. Rejecting request. WR-SG-REJECT-560 System Allowed number of concurrent authenticated sessions exceeded. Licensed are ..., grace margin is ... and currently used are .... Please contact product support or sales for a license upgrade. WR-SG-REJECT-112 System Not enough space in credentials store for credential "...". ... bytes used (limit ...) and ... credentials stored WR-SG-REJECT-113 System Too many entries in credentials store. Limit of ... entries reached. Rejected credential "..." WR-SG-REJECT-155 Config Request for SSL-tracked Airlock Gateway session uses wrong SSL session. Terminating session. WR-SG-REJECT-901 limit Virtual host: ... WR-SG-REJECT-902 limit Mapping: ... WR-SG-REJECT-903 limit Back-end group: ... Back-end messages Some events that occur during back-end requests will be reported with back messages. Depending on the severity of the event an according reject message may follow. Every message will log the fields listed in the JSON fields table. Some fields may be left out when no value is available, and others may write <n/a> instead. List of log messages: Message ID Description WR-SG-BACK-500 Timeout during back-end request "..." WR-SG-BACK-502 Communication error (...; ...) (errno:...: ...) during backend request "..." WR-SG-BACK-503 HTTP response indicates back-end failure "..." for request "..." WR-SG-BACK-506 Resetting original request for back-end failover WR-SG-BACK-510 Backend request handler: Internal error during back-end request: .... Errno:... ... WR-SG-BACK-511 Backend request handler: Curl multi error during back-end request: CURLMcode:... .... Errno:... ... Session start and end messages There are two messages reporting the start and the end of a session and one message reporting the start of a new TLS session. Every message will log the fields listed in the JSON fields table. Some fields may be left out when no value is available, and others may write <n/a> instead. Message ID Description WR-SG-SESS-004 Session created WR-SG-SESS-005 Session finished: {} WR-SG-TLS-SESS-START TLS session started Other messages Message ID Description WR-SG-CONNTRACE Connection Trace See troubleshooting article Network traffic tracking based on conntrace log messages for details.','Log messages','','')
Smc.XSearch.add('../data/1589475703161.html','Events This table lists all existing events, including countermeasures. See also List of frequent events for additional information about how to deal with frequent events. Note that some events are customizable. See: Customizing events Event ID Log level Text Countermeasure EVENT_SY-C-04-80010-000 notice Update successfully installed - EVENT_SY-C-04-80020-100 error Update installation failed Login to console with user "menu" and check the update installation log. Try reinstalling the update. EVENT_SY-C-70-01400-100 warn Invalid license information Install a valid license under "Server Settings" in the Configuration Center. EVENT_SY-C-70-01420-100 crit Number of concurrent authenticated sessions exceeds license limit Request a license with more authenticated sessions. EVENT_SY-C-ACTIVATION notice New Configuration activated - EVENT_SY-C-CCLOGIN-FAIL warn Multiple failed login attempts to Configuration Center - EVENT_SY-C-CCLOGIN-OK info Successful Configuration Center login - EVENT_SY-C-CCUSER-ADD notice User ´root´ has added the new administrator A new user was added for Configuration Center. EVENT_SY-C-CCUSER-DEL notice User ´root´ has deleted the administrator A Configuration Center user was deleted. EVENT_SY-C-CCUSER-DIS notice User ´root´ has disabled the account of administrator An account of a Configuration Center user was disabled. EVENT_SY-C-CCUSER-ENA notice User ´root´ has enabled the account of administrator An account of a Configuration Center user was enabled. EVENT_SY-C-CCUSER-PWD notice User ´root´ has set a new password for administrator The password for a Configuration Center user was changed. EVENT_SY-C-CCUSER-REN notice User ´root´ has changed the name of administrator An account of a Configuration Center user was renamed. EVENT_SY-C-CCUSER-ROL notice User ´root´ has changed the roles for administrator New roles for a Configuration Center user were set. EVENT_SY-C-LICENSE-100 warn The licensed request rate was exceeded in the last hour EVENT_SY-C-SG-CONF-581 info Resource illegal, using default value Contact Airlock support. EVENT_SY-C-SG-TIME-301 info Security Gate running in tracemode, this affects performance If not enabled intentionally, disable trace mode in "Log Settings" in Configuration Center. EVENT_SY-H-CRLG-500 warn Content of CRL file(s) is not ok Upload the CRL file again, verify that CRL file is valid. EVENT_SY-H-CRLG-501 error Access to CRL file(s) failed Contact Airlock support. EVENT_SY-H-DBSYNC-FAIL error Database synchronization with passive Airlock failed, stateful fail-over will not work Contact Airlock support. EVENT_SY-H-DBSYNC-OK info Database synchronization with passive Airlock successful - EVENT_SY-H-DSK-FAIL error Disk I/O error Replace the broken disk. EVENT_SY-H-DSK-SMART-FAIL warn SMART disk self-check failed Replace the broken disk. EVENT_SY-H-FS-FULL crit File system full Delete some files from indicated partition. EVENT_SY-H-ML-SVC-CDB-ALMOST warn Cold DB is 90% full EVENT_SY-H-ML-SVC-CDB-DROP-ENTRIES warn Dropping new data due to full cold DB EVENT_SY-H-ML-SVC-CDB-FULL error Cold DB is full EVENT_SY-H-MON-BE-FAIL warn Back-end checks results caused this airlock switching to offline (bad back-end servers) EVENT_SY-H-MON-BE-OK info Back-end checks results caused this airlock switching to online (healthy back-end servers) EVENT_SY-H-mon-failo-800 error Failover system could not start Verify your failover configuration is correct. EVENT_SY-H-MON-LICG-500 warn License will soon expire Contact Airlock support for a new license. EVENT_SY-H-MON-LICG-600 error License has expired Contact Airlock support for a new license. EVENT_SY-H-PROC-300 warn Busy child processes threshold reached - EVENT_SY-H-PROC-310 warn All Security Gate processes are busy. MaxProcs reached. EVENT_SY-H-PROC-320 warn All Security Gate processes are busy. EVENT_SY-N-30-01010-000 warn Failover switch to active (takeover) Check the partner machine for reasons for the takeover. EVENT_SY-N-30-02006-100 warn Failover switch to passive (switch back) - EVENT_SY-N-30-02011-101 info Failover healthcheck failed If this happens repeatedly, check if there is a network problem. EVENT_SY-N-addon-tomcat-600 error Add-on tomcat is terminated unexpectedly EVENT_SY-N-failo-pchk info Failover partner state unreadable Check your cluster configuration and make sure the network topology allows the two failover nodes to contact each other. EVENT_SY-S-LE-CREATE info Created Let´s Encrypt certificates - EVENT_SY-S-LE-FAIL error Something went wrong during updating a Let´s Encrypt certificate Check logs. EVENT_SY-S-LE-RENEW info Renewed Let´s Encrypt certificates - EVENT_SY-S-MON-CRL-EOLG-500 info SSL CRL expires in 30 days EVENT_SY-S-MON-CRL-EOLG-510 notice SSL CRL expires in 7 days Refresh CRL. EVENT_SY-S-MON-CRL-EOLG-520 warn SSL CRL expires in 1 day Refresh CRL. EVENT_SY-S-MON-CRL-EOLG-600 error SSL CRL expired Refresh CRL. EVENT_SY-S-MON-SSL-EOLG-500 warn SSL certificate will soon expire Replace SSL certificate. EVENT_SY-S-MON-SSL-EOLG-600 error SSL certificate has expired Replace SSL certificate. EVENT_SY-Y-notify-mapping warn Mapping is in NOTIFY mode and thus not able to protect your application Disable NOTIFY mode if mapping is used for production. EVENT_SY-Y-SSH-LOGIN-FAIL warn Failed SSH logins Check if failed logins are caused by a password typo or are an attempt to gain illegal access to your Airlock. EVENT_SY-Y-SSH-LOGIN-OK notice Successful SSH login - EVENT_SY-Y-TTY-LOGIN-FAIL warn Failed console login Check if failed logins are caused by a password typo or are an attempt to gain illegal access to your Airlock. EVENT_SY-Y-TTY-LOGIN-OK notice Successful console login - EVENT_WR-H-70-01200-100 crit Serious internal error in Security Gate Contact Airlock support. EVENT_WR-H-70-01421-100 crit Number of concurrent sessions per source IP exceeded If not needed disable under "Session settings" or set a bigger limit. EVENT_WR-H-backend-500 warn Possible backend problem - response time repeatedly too high Check if the high back-end response time was regular or if there is a performance or network problem with the back-end system. EVENT_WR-H-ICAP-501 warn Possible ICAP problem - response time repeatedly too high Verify that there is no network problem with the ICAP server. EVENT_WR-H-LBAL-022-BAD info Back-end Host changed state to BAD Check your Back-end. Check the logs to find out why the Back-end became BAD. EVENT_WR-H-LBAL-022-GOOD info Back-end Host changed state to GOOD Check the logs to find out why the Back-end became BAD in the first place. EVENT_WR-Y-attack-600 error Possible attack - {NUM} blocked requests within {NUM} seconds Check logs to see if this was an attack or false alarm, adjust threshold if necessary. EVENT_WR-Y-attack-601 error Possible attack - {NUM} requests with statuscode 404 within {NUM} seconds Check logs to see if this was an attack or false alarm, adjust threshold if necessary. EVENT_WR-Y-reqfilter-300 notice Traffic or session limits reached, request(s) blocked See the logs to find out why the limit was reached. Enlarge limits for request frequency filter or session count. EVENT_WR-Y-sessionstore-300 warn Session store problem, request(s) blocked','Events','','')
Smc.XSearch.add('../data/1726159388755.html','Administrative roles Administrative roles in Airlock Gateway With the release of Airlock Gateway 8.3, we have cleaned up our administrative role matrix based on customer feedback. Customizing administration roles for Airlock Gateway is no longer possible for Airlock Gateway 8.3 and later. The role airlock-supervisor has been removed. Use the role airlock-administrator instead. Role descriptions and use cases Role name Description airlock-administrator Unlimited role with full access to the Airlock Gateway Configuration Center. airlock-config-editor Restricted role allows editing of the entire configuration, including saving, loading, exporting, and importing configurations. Access to the license is not given. It is not possible to activate configurations. This role can be used for strict 4-eyes principle configuration workflows, where the airlock-config-editor makes initial configurational changes. Users with the role ​airlock-config-applier can then review and activate the changes. airlock-config-applier Restricted role that allows loading and activating already existing, saved configurations. This role can be used for strict 4-eyes principle configuration workflows, where the airlock-config-editor makes initial configurational changes. Users with the role ​airlock-config-applier can then review and activate the changes. airlock-app-operator Restricted role that allows customization in maintenance work on back-end applications. The role allows the maintenance page to be switched on/off and to adjust back-end host modes, spare flags, and weight. Changes are only possible in the current (active) configuration. Loading, saving, importing, or exporting is not allowed. The role is intended for users who need to be able to turn maintenance pages on or off in the event of maintenance work on back-end applications or switch between redundant back-end hosts. airlock-app-admin Restricted role that allows configuration changes at the mapping level, including editing the connections of mappings to virtual hosts and back-end groups. Configuration export and import are allowed for mappings only. The role is intended for users responsible for integrating and maintaining application mappings when entry points (virtual hosts) and back-end groups are already defined. airlock-cert-admin Restricted role to manage and activate certificates in the current (active) configuration. This role is for managing certificates for Airlock Gateway and applications. This includes server certificates, client certificates, and their use, as well as local JWKS providers and the use of JWKS providers. airlock-auditor Restricted role that allows viewing, loading, import, and export configurations (except private key material). The role is for auditors who are supposed to audit/review Airlock Gateway configurations, including the possibility to compare different configurations with each other. airlock-readonly Read-only role that allows access to the current (active) configuration, including logs, reports, and current sessions (Session Viewer). The role is intended for read-only access for log evaluation and reporting. airlock-readonly-restricted Restricted role with limited read-only access to the current configuration. Access to sensitive information is prohibited. The role is intended for read-only access in cases where access to logs and other sensitive information should not be possible. Actions Action airlock-administrator airlock-config-editor airlock-config-applier airlock-app-operator airlock-app-admin airlock-cert-admin airlock-auditor airlock-readonly airlock-readonly-restricted Log in to the Configuration Center x x x x x x x x x Change own password x x x x x x x x x Activate configuration x x x x x Revalidate configuration x x x x x x Load configuration x x x x Save configuration x x x Export configuration x x x (w/o private keys) Import configuration x x x Export mapping x x x x Import mapping x x x System Admin actions x Upload update x Session Viewer list x x x x x x x Session Viewer details x Terminate session x Policy Learning x x x View logs x x x x x x x View reports x x x x x x x Dashboard → Proxy Statistics x x x x x x x Configuration summary x x x x x x x x Manage add-on modules x 1 Set time/date, shutdown/reboot, take offline, API key actions Configuration management Configuration item airlock-administrator airlock-config-editor airlock-config-applier airlock-app-operator airlock-app-admin airlock-cert-admin airlock-auditor airlock-readonly airlock-readonly-restricted License RW R R R Nodes, Interface, Routes, Hosts RW RW R R R R R R R Network Services RW RW R R R R R R R Threat Intelligence RW R R R R R R R IP Address Lists RW RW R R R R R R Reverse Proxy (connections) RW RW R R RW R R R R Virtual Hosts RW RW R RW R RW R R R Mappings RW RW R RW RW RW R R R Back-end Groups RW RW R RW R RW R R R Anomaly Shield RW RW R R R R R R R Geolocation Filter RW RW R R R R R R R Certificates RW RW R R R RW R R JWKS Providers RW RW R R R RW R R Session Settings RW RW R R R R R R R Default Actions RW RW R R R R R R R Deny Rules RW RW R R R R R R R API Security RW RW R R R R R R R Dynamic IP Blacklist RW RW R R R R R R R Error Pages RW RW R R R R R R R Display Error Pages RW RW R R R R R R R Expert Settings RW RW R R R R R R 1 No write access to ACME Services. 2 Write access allows assigning certificates to virtual hosts or switching to ACME service (incl. e-mail), writing the HTTPS flag, the HTTPS port to VHosts, and the redirect flag HTTP → HTTPS. 3 Write access allows the assignment of client certificates to back-end groups. 4 Write access allows for setting, removing and changing JWKS providers. 5 Write access allows enabling and deactivating maintenance pages. 6 Write access allows editing back-end host modes, spare flags, and weight. 7 Write access on JWKS local providers only (no write access to JWKS remote providers). 8 No viewing access to details of certificates (client and server) and local JWKS.','Administrative roles in Airlock Gateway','','')
Smc.XSearch.add('../data/1595233449978.html','Expert settings collection This chapter supplies expert-level information about enhanced configuration tasks using Airlock Gateway Expert settings. Expert settings require deep knowledge of proper and secure usage. Configurational mistakes can e.g. lead to massive system loads similar to a Denial-of-Service (DoS) attack etc. Since most expert settings are individual, we collect a growing number of examples for usage here. Chapter-related prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. You need to be logged in as root on the Airlock Gateway console. Types of data structures in Expert Settings The following types of data structures are used in Expert Settings: primitives Primitives are strings, numbers, and booleans. All primitive values are written in double-quotes: # string ResourceName "A string"  # Often string resources are used to reference something already defined in the configuration. # In those cases, take care to write the string exactly as the referenced element is written. # Sometimes strings may be used to configure a restricted set of strings (an enumeration). # Those cases will be documented where needed.  # number ResourceName "123"  # floating point numbers ResourceName "3.1415"  # booleans "TRUE" or "FALSE" ResourceName "TRUE" patterns Patterns are regular expressions and can have three properties: Pattern string, a Perl compatible regular expression Ignore-Case flag, can be match case or insensitive Invert flag, determines whether the match should be inverted # Pattern string ResourceName.Pattern "^prefix.*suffix$" # optional boolean (default "FALSE") ResourceName.IgnoreCase "TRUE" # optional boolean (default "FALSE") ResourceName.InvertPattern "FALSE" simple lists Simple lists of strings are written in parenthesis. Note that strings need to be separated by a space, not a comma: # A simple list with three entries # json equivalent: ["Entry one", "Entry two", "Entry three"]) ResourceName ("Entry one" "Entry two" "Entry three") multi-line lists Multi-line lists have one entry per line: # List with one value per entry # json equivalent: # [ # { "Value": "The value 1" }, # { "Value": "The value 2" } # ] ResourceName.0.Value "The value 1" ResourceName.1.Value "The value 2" Multi-line lists may have more than one resource for each index: # List with more than one value per entry # json equivalent: # [ # { "Value": "The value 1", "OtherValue": "One" }, # { "Value": "The value 2", "OtherValue": "Two" } # ] ResourceName.0.Value "The value 1" ResourceName.0.OtherValue "One" ResourceName.1.Value "The value 2" ResourceName.1.OtherValue "Two" Be aware that the list must contain strictly consecutive indices, i.e. if one index is skipped, the list ends with it. named multi-line lists Named multi-line lists consists of one indexed resource defining a new scope for the following entries: # Named list with more than one resource for each entry # json equivalent: # [ # { "Name": "Scope1", "Value": "The value 1", "OtherValue": "One" }, # { "Name": "Scope2", "Value": "The value 2", "OtherValue": "Two" } # ] ResourceName.0.Name "Scope1" ResourceName.Scope1.Value "The value 1" ResourceName.Scope1.OtherValue "One" ResourceName.1.Name "Scope2" ResourceName.Scope2.Value "The value 2" ResourceName.Scope2.OtherValue "Two" Chapter content Regular Expressions advanced examples Modification of default Apache SSL/TLS settings Deploy Apache mod_status for analysis purposes','Expert settings collection','','autocomplete_use:true')
Smc.XSearch.add('../data/1571978527015_N65979.html','RegEx advanced Regular Expressions advanced examples This is the regular expressions expert page. For a simpler and quicker overview consult the basic regular expression page. Regex syntax Mode of operation Airlock Gateway uses the pattern matching engine exclusively to perform "find" operations: A match exists if the given pattern occurs at least once in the tested string. In contrast a "match" operation would match if the given pattern covers the entire tested string. Example: the pattern ´b´ matches the string ´abc´ in Airlock Gateway . For ensuring a complete match string start and string end tags would have to be added. Example: the pattern ´^b$´ does not match the string ´abc´ - but the pattern ´^abc$´ would match it. As a consequence the empty pattern ´´ matches every possible string (including the empty string). PCRE is run with following flags / modes: dotall: the dot matches all characters (inclusive newline characters) no UCP: meaning standard mode - some relevant Perl and POSIX classes are matching to ASCII only JIT: Just-in-time compiler support - makes matching faster Characters \\x{hhh..} Character with unicode codepoint U+hhh.. (1 to 6 hex digits) (recommended to use)\\a Alert (bell) character (U+0007)\\cx "control-x", where x is any ASCII character\\e Escape character (U+001B)\\f Form feed character (U+000C)\\n Line feed character (U+000A)\\o{ddd..} Character with unicode codepoint ddd.. (1 to 7 octal digits)\\r Carriage return character (U+000D)\\t Tab character (U+0009)\\xhh Character with unicode codepoint hh (hex) (not recommended to use!)\\ddd Character with unicode codepoint ddd (octal) (not recommended to use!) Escaping \\\\ Backslash character\\? Escaped character (for any non-alphanumeric character) Escaping is needed for these characters: [({.*?+^$\\|\\Q .. \\E Literal-text span: treat enclosed characters as literal until the first appearance of \\E (no escaping possible) Generic characters types Basic character types . Any character (including CR or LF)\\C One data unit ("Byte") - not recommended to use\\R Any unicode newline sequence such as CRLF, CR,LF, VT, FF, NEL, .. - see (*BSR_...) settings\\X a Unicode extended grapheme cluster (meaning a character potentially with modification marks) shorthand for \\P{M}\\p{M}* ASCII character types \\d Any ASCII decimal digit - equals [0123456789]\\D Any character that is not an ASCII decimal digit\\s Any ASCII white space character - equals to ´ ´, HT, LF, FF, CR, VT\\S Any character that is not an ASCII whitespace character\\w Any ASCII "word" character [a-zA-Z0-9_]\\W Any "non-word" character non-ASCII character types \\h Any horizontal white space character (including non-ASCII U+2000, U+00a0, U+180e, ...)\\H Any character that is not a horizontal whitespace character\\v Any vertical white space character (including non-ASCII U+2028, U+0085)\\V Any character that is not a vertical white space character Unicode properties and scripts \\p{xx} a character with the unicode property xx\\P{xx} a character without the unicode property xx The following general category property codes are supported: C OtherCc Control - The ASCII and Latin-1 control characters HT, LF, CR, NULL, Escape, NEL, ...)Cf Format - Non-visible characters for basic formatting (zero width joiner, activate arabic form shaping, ...)Cn Unassigned - Codepoints that have no characters assignedCo Private use - Company logos, ...Cs Surrogate - No characters, reserved for use in UTF-16 for specifying characters outside basic multilingual planeL LetterL& Case letters - A composite matching all Ll, Lu and Lt charactersLl Lower case letterLm Modifier letter - A small set of letter-like special-use charactersLo Other letter - Letters that have no case and aren´t modifiers (hebrew, arabic, bengali, tibetan, japanese, ...)Lt Title case letter - Letters that appear at the start of a word (e.g. the character ǅ is the title case of the lowercase ǆ and of the uppercase Ǆ)Lu Upper case letterM MarkMc Spacing mark - Modification characters that take up space (mostly "vowel signs" in bengali, gujarati, tamil, telugu, kannada, sinhala, ...)Me Enclosing mark - A small set of marks that can enclose other characters (circles, squares, diamonds, keycaps, ...)Mn Non-spacing mark - Characters that modify other characters, such as accents, umlauts, "vowel signs", tone marks, ...N NumberNd Decimal number - Zero to nine, in various scripts (not including chinese, japanese and korean): 8, ٣, ໖ or ꘧Nl Letter number - Mostly roman numerals (such as ⅶ, ↉, 〨, 〇, ᛯ or ᛰ)No Other number - Other numbers as ⑲, ፷, ₅, ⅞ or ៵P PunctuationPc Connector punctuation - A few punctuation characters with special linguistic meaning such as underscorePd Dash punctuation - Hyphens and dashes of all sortsPe Close punctuation - Characters like ), ], }, ⟫ 】, ︾, ...Pf Final punctuation - Characters like », ›, ”, ’, ...Pi Initial punctuation - Characters like «, ‘, ‛, ‹, ...Po Other punctuation - Characters like !, ", *, :, @, ߷, ‱, ⁜, ፣ or ¶Ps Open punctuation - Characters like (, [, {, ༼, ❰, ﹃, ...S SymbolSc Currency symbol - Characters like $, £, ¤, ¥, ₠, ௹, €, ₧, ₪d or ﷼Sk Modifier symbol - Mostly versions of the combining characters, but as full-fledged characters in their own right such as ^, `, ¸, ˚ or ˨Sm Mathematical symbol - Characters like +, >, =, ±, ÷, ⅀, ∀, ∜, ∰, ≹ or ﬩ (not including ´-´ which is in Pd)So Other symbol - Various Dingbats, box-drawing symbols, Braille patterns, ... (¦, ©, מ, ࿏, ℡, ⌫, ▧, ,  or ☣) Z SeparatorZl Line separator - Just the LINE SEPARATOR characters (U+2028)Zp Paragraph separator - Just the PARAGRAPH SEPARATOR character (U+2029)Zs Space separator - Various spacing characters such as normal space, non-breaking space, em-space, thin space, ... PCRE special categories To be used within \\p{xxx} and \\P{xxx}. Xan Alphanumeric: union of properties L and NXps POSIX-like space: property Z plus HT, NL, VT, FF and CRXsp Perl-like space: property Z plus HT, NL, FF, CRXwd Perl-like word: property Xan or underscore Unicode script Script recognition like \\p{Greek} ("is Greek") or \\P{Greek} ("is not Greek") is possible for the following scripts: Arabic, Armenian, Avestan, Balinese, Bamum, Batak, Bengali, Bopomofo, Brahmi, Braille, Buginese, Buhid, Canadian_Aboriginal, Carian, Chakma, Cham, Cherokee, Common, Coptic, Cuneiform, Cypriot, Cyrillic, Deseret, Devanagari, Egyptian_Hieroglyphs, Ethiopic, Georgian, Glagolitic, Gothic, Greek, Gujarati, Gurmukhi, Han, Hangul, Hanunoo, Hebrew, Hiragana, Imperial_Aramaic, Inherited, Inscriptional_Pahlavi, Inscriptional_Parthian, Javanese, Kaithi, Kannada, Katakana, Kayah_Li, Kharoshthi, Khmer, Lao, Latin, Lepcha, Limbu, Linear_B, Lisu, Lycian, Lydian, Malayalam, Mandaic, Meetei_Mayek, Meroitic_Cursive, Meroitic_Hieroglyphs, Miao, Mongolian, Myanmar, New_Tai_Lue, Nko, Ogham, Old_Italic, Old_Persian, Old_South_Arabian, Old_Turkic, Ol_Chiki, Oriya, Osmanya, Phags_Pa, Phoenician, Rejang, Runic, Samaritan, Saurashtra, Sharada, Shavian, Sinhala, Sora_Sompeng, Sundanese, Syloti_Nagri, Syriac, Tagalog, Tagbanwa, Tai_Le, Tai_Tham, Tai_Viet, Takri, Tamil, Telugu, Thaana, Thai, Tibetan, Tifinagh, Ugaritic, Vai, Yi. POSIX named sets All POSIX named sets include ASCII characters only. [[:alnum:]] An alphanumeric character: [[:alpha:][:digit:]][[:alpha:]] An ascii character: [[:lower:][:upper:]][[:ascii:]] Codepoints U+0000 .. U+007F[[:blank:]] A space or a tab: [ \\t][[:cntrl:]] An ascii control character: U+0000 to U+001f[[:digit:]] A decimal digit: [0123456789][[:graph:]] A visible ascii character: [[:alnum:][:punct:]][[:lower:]] A lower-case ascii character[[:print:]] A printable character: [ [:graph:]] (including space U+0020)[[:punct:]] Punctuation: One of !"#$%&`()*+,-./:;<=>?@[\\]^_`{|}~[[:space:]] A whitespace character: [ \\t\\n\\x{0b}\\f\\r][[:upper:]] An upper-case ASCII character[[:word:]] Same as \\w[[:xdigit:]] A hexadecimal digit: [[:digit:]abcdefABCDEF][[:^xxxx:]] negative POSIX named set Boundary matchers ^ The beginning of the string (plus after newlines in multiline mode)$ The end of the string (plus before newline at end of string) (plus before internal newline in multiline mode)\\b Word boundary the position is between a word character (\\w) and a non-word character (\\W) beware: only ASCII characters are regarded as word characters\\B Not a word boundary[[:<:]] start of a word[[:>:]] end of a word\\A start of the string\\Z end of the string (plus before newline at end of string)\\z end of the string\\G first matching position in string Comments (?#...) comment (not nestable) Mode modifiers Option setting (?i) case insensitive(?J) allow duplicate names(?m) multiline (^ and $ are matching newlines in the string)(?s) dot-matches-all mode (already set by default)(?U) default ungreedy(?x) extended (ignore white space) - used for documentation/readability(?-...) unset option(s) Unicode operational mode The following modifiers are recognized only at the start of a pattern or after one of the newline-setting options with similar syntax. (*NO_START_OPT) no start-match optimization(*UTF8) set UTF-8 mode: 8-bit library (already set by default)(*UTF-16) set UTF-16 mode: 16-bit library (not recommended)(*UTF-32) set UTF-32 mode: 32-bit library (not recommended)(*UTF) set appropriate UTF mode for the library (not recommended)(*UCP) set PCRE_UCP to use Unicode properties instead of ASCII for: [:alnum:] [:alpha:] [:blank:] [:digit:] [:graph:] [:lower:] [:print:] [:punct:] [:space:] [:upper:] [:word:] \\b \\B \\d \\D \\s \\S \\w \\W Newline conventions Since Airlock Gateway operates in dot-matches-all and multiline-off mode those settings are not that relevant normally. (*CR) carriage return only U+000d(*LF) linefeed only U+000a(*CRLF) carriage return followed by linefeed(*ANYCRLF) all three of the above(*ANY) any Unicode newline sequence What \\R matches (*BSR_ANYCRLF) CR, LF or CRLF(*BSR_UNICODE) any Unicode newline sequence (default on Airlock Gateway ) Grouping, capturing and back references Grouping (...) capturing group(?<name>...) named capturing group (used by Airlock Gateway in (?<URL>...) )(?´name´...) named capturing group(?P<name>...) named capturing group(?:...) non-capturing group - grouping only(?|...) non-capturing group reset group numbers for capturing groups in each alternative(?>...) Atomic grouping (never gives up the first match - no backtracking) Back references \\1 .. \\9 Back reference by number (for values within 1..9) - not recommended for using, ambiguous\\g1 .. \\g9 Back reference by number (for values within 1..9)\\g{n} Back reference by number\\g{-n} Relative reference by number\\k<name> Back reference by name\\k´name´ Back reference by name\\g{name} Back reference by name\\k{name} Back reference by name(?P=name) Back reference by name Subroutine references Subroutine references are possibly recursive. (?R) recurse whole pattern(?n) call subpattern by absolute number (0 for whole)(?+n) call subpattern by relative number(?-n) call subpattern by relative number(?&name) call subpattern by name(?P>name) call subpattern by name\\g<name> call subpattern by name\\g´name´ call subpattern by name\\g<n> call subpattern by absolute number\\g´n´ call subpattern by absolute number\\g<+n> call subpattern by relative number\\g<-n> call subpattern by relative number\\g´+n´ call subpattern by absolute number\\g´-n´ call subpattern by absolute number Conditional patterns (?(condition)yes-pattern)(?(condition)yes-pattern|no-pattern)(?(n)... absolute reference condition(?(+n)... relative reference condition(?(-n)... relative reference condition(?(<name>)... named reference condition(?(´name´)... named reference condition(?(name)... named reference condition(?(R)... overall recursion condition(?(Rn)... specific group recursion condition(?(R&name)... specific group recursion condition(?(DEFINE)... define subpattern for references(?(assert)... assertion condition Quantifiers X? X, one single occurrence or none at all, equivalent to X{0,1}, greedyX?+ X, one single occurrence or none at all, possessiveX?? X, one single occurrence or none at all, lazyX* X, zero or more times, equivalent to X{0,}, greedyX*+ X, zero or more times, possessiveX*? X, zero or more times, lazyX+ X, one or more times, equivalent to X{1,}, greedyX++ X, one or more times, possessiveX+? X, one or more times, lazyX{n} X, exactly n timesX{min,} X, at least min times, greedyX{min,}+ X, at least min times, possessiveX{min,}? X, at least min times, lazyX{min,max} X, at least min but not more than max times, greedyX{min,max}+ X, at least min but not more than max times, possessiveX{min,max}? X, at least min but not more than max times, lazy Lookaround Lookahead and lookbehind Lookaround constructs check for existence, but do not ´consume´ the text. Lookbehind is only supported for fixed-length strings. (?=...) positive look ahead(?!...) negative look ahead(?<=...) positive look behind(?<!...) negative look behind Match point reset \\K resets start of match This can be useful to reset the start of the current whole match. This provides a flexible alternative approach to lookbehind assertions because the discarded part of the match (the part that precedes \\K) need not to be fixed in length. Backtracking control The following tags act immediately they are reached: (*ACCEPT) force successful match(*FAIL) force backtrack; synonym (*F)(*MARK:NAME) set name to be passed back; synonym (*:NAME) The following tags act only when a subsequent match failure causes a backtrack to reach them. They all force a match failure, but they differ in what happens afterwards. (*COMMIT) overall failure, no advance of starting point(*PRUNE) advance to next starting character(*PRUNE:NAME) equivalent to (*MARK:NAME)(*PRUNE)(*SKIP) advance to current matching position(*SKIP:NAME) advance to position corresponding to an earlier (*MARK:NAME); if not found, the (*SKIP) is ignored(*THEN) local failure, backtrack to next alternation(*THEN:NAME) equivalent to (*MARK:NAME)(*THEN) Precedence The precedence of regex operators, from highest to lowest: Escaped special characters like \\\\ \\. \\( \\[ \\^ Extended ASCII characters like \\x{hh} \\t \\r \\f \\a Unicode property \\p{Prop} Collation-related bracket symbols [: :] Character class [ ] Grouping ( ) Quantifiers * + ? {m,n} Concatenation Anchoring ^ $ Alternation | Examples Pattern Matches the empty pattern matches every string [aaaa] Just the letter ´a´ [+--] Matches any of the ASCII characters between + and -. What evaluates to the three characters plus, comma and minus. [a--@] Invalid expression, since the letter ´a´ follows the symbol ´-´. [a-c-o] One of the five characters ´a´, ´b´, ´c´, ´-´ or ´o´ []ab] Either the letter ´a´ or ´b´ or the symbol ´]´ [@\\d[:lower:]\\p{Lu}\\t] The at-Symbol, any digit from 0-9, a lowercase ASCII letter, any uppercase Unicode letter or the tabulator (?<!^Expires|^If-Match):.*[´"] Any value, which does not start with ´Expires:´ or ´If-Match:´ and does contain a single or double quote (x(i?)y)z xYz and xyz - no other variants (?=\\p{N})\\p{Thai} Any thai digit Original documentation For a more detailed documentation please read the extensive PCRE2 man pages .','Regular Expressions advanced examples','','')
Smc.XSearch.add('../data/1606834944529.html','Modification of default Apache SSL/TLS settings The global default SSL/TLS settings for virtual hosts are based on Apache HTTP server with mod_ssl and OpenSSL. These default settings already maintain a high level of security but might be altered using the following documentation. We strongly recommend modifying individual virtual hosts only instead of changing the global Apache defaults. You can change these settings using the GUI here: Submenu – Certificates. Note that the Airlock Gateway default SSL/TLS settings are optimized for compatibility and security. If you override the default settings you will no longer profit from these optimizations in further Airlock Gateway updates. Prerequisites You must be logged in as an admin in the Airlock Gateway Configuration Center. Modify the default Apache SSL/TLS settings (with global effect) Go to: Expert Settings >> Security Gate / Apache In the section Apache , set the radio button to ON. To look-up the current settings in the httpd.conf file, use the link at the end of the Apache section. To change the httpd.conf, paste the new settings into the textbox of the Apache section. For Example: # SSL Cipher Suites to reenable TLS 1.0. This is not recommended in general! SSLProtocol ALL -SSLv3 SSLCipherSuite ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:DHE-RSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256:DHE-RSA-AES256-SHA256:DHE-RSA-AES128-SHA256:AES256-GCM-SHA384:AES128-GCM-SHA256:AES256-SHA256:AES128-SHA256:ECDHE-ECDSA-AES256-SHA:ECDHE-RSA-AES256-SHA:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES128-SHA:AES256-SHA:AES128-SHA:DHE-RSA-AES256-SHA:DHE-RSA-AES128-SHA Click on the Validate button to validate the altered httpd-configuration. On success, activate the configuration. The new httpd-settings are globally active. By removing support for old or weak TLS protocol versions or ciphers, older clients may no longer be able to establish an HTTPS connection with Airlock Gateway . Further information and links A list of known attacks on SSL/TLS can be found here: Attacks on TLS and Airlock Gateway Protection Mechanisms','Modification of default Apache SSL/TLS settings','','')
Smc.XSearch.add('../data/1619512302024.html','Apache mod_status Deploy Apache mod_status for analysis purposes The Airlock Gateway´s web listener is based on the Apache HTTP server. To analyze certain problems, it may be helpful to deploy the Apache mod_status module. The following description explains how it can be easily deployed for Airlock Gateway 7.6 and later versions. Deployment Since the mod_status module serves its information via a virtual host on the Gateway, it is strongly recommended to limit access to the module and its information. Limited access can be assured by: Configuring a special virtual host that is exclusively accessible over the internal network. OR Configuring an access restriction via the optional authorization module mod_authz_host. The latter is described in the below example. Example configuration This example enables mod_status for all virtual hosts via the global Apache Expert Settings since this is the most common approach. However, Apache status pages may be enabled non-globally for specific virtual hosts in the Expert Settings on the virtual host detail page. The mod_status module generates status pages that contain a full set of Apache server information – no matter whether the module has been enabled globally or for individual virtual hosts. Add the following line to load the status module: LoadModule status_module bin/mod_status.so In our example, the status information should be available for all publicly accessible virtual hosts. For security reasons, this requires loading the authorization module by adding the following line to the global Apache Expert Settings: LoadModule authz_host_module bin/mod_authz_host.so To enable the serving of the status information, a Location block with the SetHandler server-status directive must be configured via Expert Settings. The Require ip directive is used to restrict access to a certain range of IP addresses. Example: <Location "/server-status">  SetHandler server-status  Require ip 192.168.0.0/24 </Location> It is not necessary to configure a mapping for Location , because it will be served directly by the Apache HTTP server. For further information refer to the Apache server module documentation. Test To check if the module is working, access the configured Virtual Host on the configured Location path: curl https://virtual-host/server-status Further links and information Apache homepage Apache 2.4 mod_status documentation Apache 2.4 mod_authz_host documentation KB_02 Special configurations article KB_02 Special configurations article','Deploy Apache mod_status for analysis purposes','','')
Smc.XSearch.add('../data/1659430054787.html','Troubleshooting and support This troubleshooting chapter provides problem determination and resolution information for issues that are commonly encountered. The articles in this chapter can help you to determine why something does not work as expected and explain how to resolve the problem. Troubleshooting works best when you choose a systematic approach to solving a problem. If you encounter a problem that you cannot solve by yourself, even after you determine its cause, you can contact our service department. Chapter content Network traffic tracing using tcpdump and TShark/Wireshark Network traffic tracking based on conntrace log messages D_04 Descriptive module (with TOC) D_04 Descriptive module (with TOC)','Troubleshooting and support','','autocomplete_use:true')
Smc.XSearch.add('../data/1648621057427.html','Network traffic tracing Network traffic tracing using tcpdump and TShark/Wireshark It can be useful to record network traffic on network interfaces attached to Airlock Gateway. This may be to analyze: Whether packets sent from external systems are reaching the gateway. To check network connectivity and quality issues like packet loss etc. To check routing or firewall settings. To record network traffic on Airlock Gateway the common Linux tool tcpdump can be used. Traces recorded with tcpdump are compatible with other monitoring tools and analyzers like Wireshark. Alternatively, you can use also use TShark, the command-line version of Wireshark. How to use tcpdump The most important thing to know when recording network traffic is the names of the used network interfaces. There is a management interface, a back-end interface, and one or more external interfaces. In the Airlock Gateway Configuration Center: The management and back-end interface can be found in the menu System Setup >> Nodes . The external interface can be found by selecting the corresponding virtual host in the menu Application Firewall >> Reverse Proxy . Typical names used for interfaces are eth0 , eth1 , vmnet1 , etc. The names depend on the interface card type used. The number of interfaces may vary depending on the network setup. To record everything received and transmitted on the interface eth1 and print ASCII content, use the following command: tcpdump -i ens224 -A To restrict the traced traffic to a certain IP address, use the following command: tcpdump -i ens224 host 192.168.1.23 To restrict the traced traffic further to a certain port, use the following command: tcpdump -i ens224 host 192.168.1.23 and port 80 To trace everything except SSH traffic, use the following command: tcpdump -i ens224 not port 22 To write traffic to a file for further analysis in another tool, use the following command: tcpdump -i ens224 -w /tmp/backend.pcap To reduce the recorded traffic, combine filter expressions while writing the traffic to a file: tcpdump -i ens224 -w /tmp/backend.pcap port 443 How to use TShark TShark is the command-line version of Wireshark, the widely-used network protocol analyzer. It works similarly to tcpdump but is capable of parsing hundreds of protocols directly. It is therefore very useful for in-depth protocol analysis. For example, the following command displays HTTP content directly on the command line: tshark -i ens33 -x -Y ´tcp.port==80 && http´ Secure data transfer to your workstation using SCP The SCP protocol is a file transfer network protocol, which supports encryption and authentication features. It can be used to transfer computer files securely from a local host to a remote host. It works on the Secure Shell (SSH) protocol technique. To copy the recorded data to another system for further analysis, use SCP or WinSCP from the target system, e.g.: scp root@airlock:/tmp/backend.pcap . Decrypt HTTPS traffic on Airlock Gateway Airlock Gateway is able to log SSL/TLS session keys of front-end and back-end HTTPS connections when enabled in the expert settings. This allows deciphering the encrypted traffic. Setup SSL Session Key Logging: Paths to keys.log files: Front-end logging is written to /var/log/airlock/ext-apache/ssl/keys.log . Back-end logging is written to /var/log/airlock/gatekeeper/ssl/keys.log . For front-end keylogging add the following directive to the Apache Expert Settings either globally or in the virtual host: # Writes front-end SSL keys to # file /var/log/airlock/ext-apache/ssl/keys.log AirlockSSLKeyLogEnable On For back-end keylogging, add the following directive has to be added to the Security Gate Expert Settings either globally or for a single back-end group: # Writes back-end SSL keys for back-end group(s) to # file /var/log/airlock/gatekeeper/ssl/keys.log BackendSSLKeyLog.Enable "TRUE" As soon as the configuration is activated the SSL session keys will be logged to the appropriate files. Traffic recording with tcpdump or TShark To record the encrypted traffic the tcpdump or TShark commands from above may be used. For most encrypted traffic the initial handshake must be included in the captured traffic in order to be decrypted: Connections that reuse older SSL sessions may not be decrypted, since the key may not be written to the log file. SSL session reuse can be prevented by clearing the SSL session cache of the client or server after TShark is started: For front-end connections, this can be done by restarting the client/browser. For back-end connections, this can be done by reloading the airlock-gatekeeper service. On Airlock Gateway this is accomplished with the following command: systemctl reload airlock-gatekeeper Traffic deciphering using Wireshark Use scp or a similar secure copy tool to transfer the recorded traffic and the keyfiles to your workstation. Start Wireshark and configure the SSL/TLS key log file. Go to: Edit >> Preferences In the preferences popup menu, go to: Protocols >> TLS >> (Pre)-Master-Secret log filename Open the pcap file with the encrypted traffic. WireShark now displays the decrypted HTTP traffic. Analyze the traffic as required. Further information and links Internal links: Network traffic tracking based on conntrace log messages External links: Tcpdump manpage Wireshark online manual TShark manpage','Network traffic tracing using tcpdump and TShark/Wireshark','','')
Smc.XSearch.add('../data/1701414610069.html','Conntrace Network traffic tracking based on conntrace log messages Airlock Gateway provides ​WR-SG-CONNTRACE log messages that include external and internal TCP connection information, such as the source IP, port, and destination IP with port number. This information can be used to track one single request from the client to the back-end. Front-end and back-end packet trace information can be correlated with the corresponding log messages. To log the conntrace message, the log mode for the mapping must be set to Integration mode. See article Section – Service and Mode. Example log message in JSON format: {  "_index": "airlock-gateway-default-2023.12.06",  "_id": "ZM5_P4wBJv2E8SO6m0tx",  "_version": 1,  "_score": 0,  "_source": {  "log_id": "WR-SG-CONNTRACE",  "mapping": "root",  "front_dst_port": "80",  "front_src_port": "18982",  "pid": "176182",  "program": "SG_child",  "priority": "info",  "message": "Connection Trace",  "back_src_ip": "172.18.98.225",  "back_dst_ip": "172.18.98.50",  "req_id": "ZXCC9-Ko6WsU10yuyRWf7wAAAIA",  "front_src_ip": "172.18.60.2",  "front_dst_ip": "172.18.60.225",  "rcpt_id": "1709447",  "@timestamp": "2023-12-06T15:19:35.763+01:00",  "back_dst_port": "80",  "sess_id": "8fda8ccee7d2a555c910cf9d2d5afb5e",  "log_cat": "U",  "host": "lesbos",  "back_src_port": "54444",  "client_ip": "172.18.60.2",  "facility": "user"  },  "fields": {  "log_id": [  "WR-SG-CONNTRACE"  ],  "mapping": [  "root"  ],  "front_dst_port": [  80  ],  "front_src_port": [  18982  ],  "pid": [  176182  ],  "program": [  "SG_child"  ],  "priority": [  "info"  ],  "message": [  "Connection Trace"  ],  "back_dst_ip": [  "172.18.98.50"  ],  "back_src_ip": [  "172.18.98.225"  ],  "req_id": [  "ZXCC9-Ko6WsU10yuyRWf7wAAAIA"  ],  "front_dst_ip": [  "172.18.60.225"  ],  "front_src_ip": [  "172.18.60.2"  ],  "@timestamp": [  "2023-12-06T14:19:35.763Z"  ],  "rcpt_id": [  1709447  ],  "back_dst_port": [  80  ],  "log_cat": [  "U"  ],  "sess_id": [  "8fda8ccee7d2a555c910cf9d2d5afb5e"  ],  "host": [  "lesbos"  ],  "back_src_port": [  54444  ],  "client_ip": [  "172.18.60.2"  ],  "Facility": [  "user"  ]  } } From the above example, we can extract the following connection information: Front-end source (web client) "front_src_ip": "172.18.60.2", "front_src_port": "18982", Front-end destination (Airlock Gateway address) "front_dst_ip": "172.18.60.225",  "front_dst_port": "80", Back-end source (web client) "back_src_ip": "172.18.98.225", "back_src_port": "54444", Back-end destination (Airlock Gateway address) "back_dst_ip": "172.18.98.50", "back_dst_port": "80",  How to record and examine packets Packets from the external and internal Airlock Gateway interface can be recorded and examined. Use tools like TCPdump or TShark to record the packages. See the article Traffic recording with tcpdump or TShark for details. Save the external and internal recordings in separate files, e.g., /tmp/conntrace_ext.snoop and /tmp/conntrace_int.snoop . Use a tool like WinSCP to download the files from the gateway. Open the files in Wireshark. To filter for the external interface – tcp.srcport == <frontend-src Port> or tcp.dstport == <frontend-src Port> To filter for the internal interface – tcp.srcport == <backend-src Port> or tcp.dstport == <backend-src Port> Note that only the packets of a single chosen TCP connection are shown. Further information and links Internal links: Network traffic tracing using tcpdump and TShark/Wireshark','Network traffic tracking based on conntrace log messages','','')
